#include <attica_includes.h>

#include <smoke.h>
#include <attica_smoke.h>

namespace __smokeattica {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Attica::AccountBalance
      switch(to) {
        case 1: return (void*)(Attica::AccountBalance*)xptr;
        default: return xptr;
      }
    case 2:   //Attica::Activity
      switch(to) {
        case 2: return (void*)(Attica::Activity*)xptr;
        default: return xptr;
      }
    case 3:   //Attica::BaseJob
      switch(to) {
        case 31: return (void*)(QObject*)(Attica::BaseJob*)xptr;
        case 3: return (void*)(Attica::BaseJob*)xptr;
        case 10: return (void*)(Attica::GetJob*)(Attica::BaseJob*)xptr;
        case 17: return (void*)(Attica::PostJob*)(Attica::BaseJob*)xptr;
        default: return xptr;
      }
    case 4:   //Attica::Category
      switch(to) {
        case 4: return (void*)(Attica::Category*)xptr;
        default: return xptr;
      }
    case 5:   //Attica::Content
      switch(to) {
        case 5: return (void*)(Attica::Content*)xptr;
        default: return xptr;
      }
    case 6:   //Attica::DownloadDescription
      switch(to) {
        case 6: return (void*)(Attica::DownloadDescription*)xptr;
        default: return xptr;
      }
    case 7:   //Attica::DownloadItem
      switch(to) {
        case 7: return (void*)(Attica::DownloadItem*)xptr;
        default: return xptr;
      }
    case 8:   //Attica::Event
      switch(to) {
        case 8: return (void*)(Attica::Event*)xptr;
        default: return xptr;
      }
    case 9:   //Attica::Folder
      switch(to) {
        case 9: return (void*)(Attica::Folder*)xptr;
        default: return xptr;
      }
    case 10:   //Attica::GetJob
      switch(to) {
        case 3: return (void*)(Attica::BaseJob*)(Attica::GetJob*)xptr;
        case 31: return (void*)(QObject*)(Attica::GetJob*)xptr;
        case 10: return (void*)(Attica::GetJob*)xptr;
        default: return xptr;
      }
    case 11:   //Attica::KnowledgeBaseEntry
      switch(to) {
        case 11: return (void*)(Attica::KnowledgeBaseEntry*)xptr;
        default: return xptr;
      }
    case 12:   //Attica::License
      switch(to) {
        case 12: return (void*)(Attica::License*)xptr;
        default: return xptr;
      }
    case 13:   //Attica::Message
      switch(to) {
        case 13: return (void*)(Attica::Message*)xptr;
        default: return xptr;
      }
    case 14:   //Attica::Metadata
      switch(to) {
        case 14: return (void*)(Attica::Metadata*)xptr;
        default: return xptr;
      }
    case 15:   //Attica::Person
      switch(to) {
        case 15: return (void*)(Attica::Person*)xptr;
        default: return xptr;
      }
    case 16:   //Attica::PlatformDependent
      switch(to) {
        case 16: return (void*)(Attica::PlatformDependent*)xptr;
        default: return xptr;
      }
    case 17:   //Attica::PostJob
      switch(to) {
        case 3: return (void*)(Attica::BaseJob*)(Attica::PostJob*)xptr;
        case 31: return (void*)(QObject*)(Attica::PostJob*)xptr;
        case 17: return (void*)(Attica::PostJob*)xptr;
        default: return xptr;
      }
    case 18:   //Attica::Provider
      switch(to) {
        case 18: return (void*)(Attica::Provider*)xptr;
        default: return xptr;
      }
    case 19:   //Attica::ProviderManager
      switch(to) {
        case 31: return (void*)(QObject*)(Attica::ProviderManager*)xptr;
        case 19: return (void*)(Attica::ProviderManager*)xptr;
        default: return xptr;
      }
    case 20:   //QByteArray
      switch(to) {
        case 20: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 21:   //QChildEvent
      switch(to) {
        case 21: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QDate
      switch(to) {
        case 22: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 23:   //QDateTime
      switch(to) {
        case 23: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 24:   //QEvent
      switch(to) {
        case 24: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QIODevice
      switch(to) {
        case 31: return (void*)(QObject*)(QIODevice*)xptr;
        case 26: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 27:   //QMetaObject
      switch(to) {
        case 27: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 28:   //QNetworkAccessManager
      switch(to) {
        case 31: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 28: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 29:   //QNetworkReply
      switch(to) {
        case 29: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 30:   //QNetworkRequest
      switch(to) {
        case 30: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 31:   //QObject
      switch(to) {
        case 31: return (void*)(QObject*)xptr;
        case 19: return (void*)(Attica::ProviderManager*)(QObject*)xptr;
        case 3: return (void*)(Attica::BaseJob*)(QObject*)xptr;
        case 10: return (void*)(Attica::GetJob*)(QObject*)xptr;
        case 17: return (void*)(Attica::PostJob*)(QObject*)xptr;
        default: return xptr;
      }
    case 32:   //QTimerEvent
      switch(to) {
        case 32: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QUrl
      switch(to) {
        case 33: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    31, 0,	// 1: QObject
    3, 0,	// 3: Attica::BaseJob
};

// These are the xenum functions for manipulating enum pointers
void xenum_Attica__Provider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Metadata(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Message(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Attica__AccountBalance(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Activity(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__BaseJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Category(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Content(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadDescription(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__DownloadItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Folder(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__GetJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__KnowledgeBaseEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__License(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Message(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Metadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Person(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PlatformDependent(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PostJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__Provider(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__ProviderManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Attica::AccountBalance", false, 0, xcall_Attica__AccountBalance, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::AccountBalance) },	//1
    { "Attica::Activity", false, 0, xcall_Attica__Activity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Activity) },	//2
    { "Attica::BaseJob", false, 1, xcall_Attica__BaseJob, 0, Smoke::cf_virtual, sizeof(Attica::BaseJob) },	//3
    { "Attica::Category", false, 0, xcall_Attica__Category, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Category) },	//4
    { "Attica::Content", false, 0, xcall_Attica__Content, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Content) },	//5
    { "Attica::DownloadDescription", false, 0, xcall_Attica__DownloadDescription, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadDescription) },	//6
    { "Attica::DownloadItem", false, 0, xcall_Attica__DownloadItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::DownloadItem) },	//7
    { "Attica::Event", false, 0, xcall_Attica__Event, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Event) },	//8
    { "Attica::Folder", false, 0, xcall_Attica__Folder, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Folder) },	//9
    { "Attica::GetJob", false, 3, xcall_Attica__GetJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::GetJob) },	//10
    { "Attica::KnowledgeBaseEntry", false, 0, xcall_Attica__KnowledgeBaseEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::KnowledgeBaseEntry) },	//11
    { "Attica::License", false, 0, xcall_Attica__License, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::License) },	//12
    { "Attica::Message", false, 0, xcall_Attica__Message, xenum_Attica__Message, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Message) },	//13
    { "Attica::Metadata", false, 0, xcall_Attica__Metadata, xenum_Attica__Metadata, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Metadata) },	//14
    { "Attica::Person", false, 0, xcall_Attica__Person, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Person) },	//15
    { "Attica::PlatformDependent", false, 0, xcall_Attica__PlatformDependent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Attica::PlatformDependent) },	//16
    { "Attica::PostJob", false, 3, xcall_Attica__PostJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::PostJob) },	//17
    { "Attica::Provider", false, 0, xcall_Attica__Provider, xenum_Attica__Provider, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Attica::Provider) },	//18
    { "Attica::ProviderManager", false, 1, xcall_Attica__ProviderManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::ProviderManager) },	//19
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//20
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QDate", true, 0, 0, 0, 0, 0 },	//22
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//23
    { "QEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//25
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//26
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//27
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//28
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//29
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//30
    { "QObject", true, 0, 0, 0, 0, 0 },	//31
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QUrl", true, 0, 0, 0, 0, 0 },	//33
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref },	//1
    { "Attica::AccountBalance*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Attica::Activity&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "Attica::Activity*", 2, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Attica::BaseJob*", 3, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Attica::Category&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "Attica::Category*", 4, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Attica::Content&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "Attica::Content*", 5, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Attica::DownloadDescription", 6, Smoke::t_class|Smoke::tf_stack },	//10
    { "Attica::DownloadDescription&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "Attica::DownloadDescription*", 6, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Attica::DownloadItem&", 7, Smoke::t_class|Smoke::tf_ref },	//13
    { "Attica::DownloadItem*", 7, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Attica::Event&", 8, Smoke::t_class|Smoke::tf_ref },	//15
    { "Attica::Event*", 8, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Attica::Folder&", 9, Smoke::t_class|Smoke::tf_ref },	//17
    { "Attica::Folder*", 9, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Attica::ItemJob<Attica::AccountBalance>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//19
    { "Attica::ItemJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//20
    { "Attica::ItemJob<Attica::DownloadItem>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//21
    { "Attica::ItemJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//22
    { "Attica::ItemJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//23
    { "Attica::ItemJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//24
    { "Attica::ItemJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//25
    { "Attica::ItemPostJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//26
    { "Attica::KnowledgeBaseEntry&", 11, Smoke::t_class|Smoke::tf_ref },	//27
    { "Attica::KnowledgeBaseEntry*", 11, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Attica::License&", 12, Smoke::t_class|Smoke::tf_ref },	//29
    { "Attica::License*", 12, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Attica::ListJob<Attica::Activity>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//31
    { "Attica::ListJob<Attica::Category>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//32
    { "Attica::ListJob<Attica::Content>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//33
    { "Attica::ListJob<Attica::Event>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//34
    { "Attica::ListJob<Attica::Folder>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//35
    { "Attica::ListJob<Attica::KnowledgeBaseEntry>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//36
    { "Attica::ListJob<Attica::License>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//37
    { "Attica::ListJob<Attica::Message>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//38
    { "Attica::ListJob<Attica::Person>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//39
    { "Attica::Message&", 13, Smoke::t_class|Smoke::tf_ref },	//40
    { "Attica::Message*", 13, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Attica::Message::Status", 13, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Attica::Metadata", 14, Smoke::t_class|Smoke::tf_stack },	//43
    { "Attica::Metadata&", 14, Smoke::t_class|Smoke::tf_ref },	//44
    { "Attica::Metadata*", 14, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Attica::Metadata::Error", 14, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Attica::Person", 15, Smoke::t_class|Smoke::tf_stack },	//47
    { "Attica::Person&", 15, Smoke::t_class|Smoke::tf_ref },	//48
    { "Attica::Person*", 15, Smoke::t_class|Smoke::tf_ptr },	//49
    { "Attica::PlatformDependent*", 16, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Attica::PostJob*", 17, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Attica::Provider", 18, Smoke::t_class|Smoke::tf_stack },	//52
    { "Attica::Provider&", 18, Smoke::t_class|Smoke::tf_ref },	//53
    { "Attica::Provider*", 18, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Attica::Provider::SortMode", 18, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Attica::ProviderManager*", 19, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QChildEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDate", 22, Smoke::t_class|Smoke::tf_stack },	//58
    { "QDateTime", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QIODevice*", 26, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QList<Attica::DownloadDescription>", 0, Smoke::t_voidp|Smoke::tf_stack },	//62
    { "QList<Attica::Provider>", 0, Smoke::t_voidp|Smoke::tf_stack },	//63
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//64
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//65
    { "QMetaObject::Call", 27, Smoke::t_enum|Smoke::tf_stack },	//66
    { "QNetworkAccessManager*", 28, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QNetworkReply*", 29, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QNetworkRequest", 30, Smoke::t_class|Smoke::tf_stack },	//69
    { "QObject*", 31, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//72
    { "QTimerEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QUrl", 33, Smoke::t_class|Smoke::tf_stack },	//74
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "QtMsgType", 25, Smoke::t_enum|Smoke::tf_stack },	//146
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//147
    { "const Attica::AccountBalance&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//148
    { "const Attica::Activity&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//149
    { "const Attica::Category&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//150
    { "const Attica::Content&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//151
    { "const Attica::DownloadDescription&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//152
    { "const Attica::DownloadItem&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//153
    { "const Attica::Event&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//154
    { "const Attica::Folder&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//155
    { "const Attica::KnowledgeBaseEntry&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//156
    { "const Attica::License&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//157
    { "const Attica::Message&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//158
    { "const Attica::Metadata&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//159
    { "const Attica::Person&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//160
    { "const Attica::PlatformDependent&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const Attica::Provider&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const QByteArray&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const QDate&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//164
    { "const QDateTime&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const QList<Attica::Category>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//166
    { "const QMetaObject&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const QMetaObject*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//168
    { "const QNetworkRequest&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//170
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//171
    { "const QUrl&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//173
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//174
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//175
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//176
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//177
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//178
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//179
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//180
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//181
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    148, 0,	//1  const Attica::AccountBalance&
    171, 0,	//3  const QString&
    149, 0,	//5  const Attica::Activity&
    160, 0,	//7  const Attica::Person&
    165, 0,	//9  const QDateTime&
    172, 0,	//11  const QUrl&
    173, 0,	//13  const char*
    173, 173, 0,	//15  const char*, const char*
    173, 173, 176, 0,	//18  const char*, const char*, int
    66, 176, 180, 0,	//22  QMetaObject::Call, int, void**
    5, 0,	//26  Attica::BaseJob*
    159, 0,	//28  const Attica::Metadata&
    150, 0,	//30  const Attica::Category&
    151, 0,	//32  const Attica::Content&
    176, 0,	//34  int
    171, 171, 0,	//36  const QString&, const QString&
    152, 0,	//39  const Attica::DownloadDescription&
    147, 0,	//41  bool
    153, 0,	//43  const Attica::DownloadItem&
    154, 0,	//45  const Attica::Event&
    164, 0,	//47  const QDate&
    175, 0,	//49  double
    155, 0,	//51  const Attica::Folder&
    156, 0,	//53  const Attica::KnowledgeBaseEntry&
    71, 0,	//55  QString
    170, 0,	//57  const QString
    157, 0,	//59  const Attica::License&
    178, 0,	//61  unsigned int
    158, 0,	//63  const Attica::Message&
    42, 0,	//65  Attica::Message::Status
    46, 0,	//67  Attica::Metadata::Error
    172, 147, 0,	//69  const QUrl&, bool
    172, 72, 72, 0,	//72  const QUrl&, QString&, QString&
    172, 171, 171, 0,	//76  const QUrl&, const QString&, const QString&
    169, 0,	//80  const QNetworkRequest&
    169, 61, 0,	//82  const QNetworkRequest&, QIODevice*
    169, 163, 0,	//85  const QNetworkRequest&, const QByteArray&
    161, 0,	//88  const Attica::PlatformDependent&
    162, 0,	//90  const Attica::Provider&
    72, 72, 0,	//92  QString&, QString&
    171, 171, 171, 171, 171, 0,	//95  const QString&, const QString&, const QString&, const QString&, const QString&
    175, 175, 175, 176, 176, 0,	//101  double, double, double, int, int
    175, 175, 171, 171, 0,	//107  double, double, const QString&, const QString&
    171, 176, 176, 0,	//112  const QString&, int, int
    176, 176, 0,	//116  int, int
    155, 42, 0,	//119  const Attica::Folder&, Attica::Message::Status
    155, 171, 0,	//122  const Attica::Folder&, const QString&
    166, 171, 55, 178, 178, 0,	//125  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    166, 171, 171, 55, 178, 178, 0,	//131  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int
    171, 147, 0,	//138  const QString&, bool
    150, 151, 0,	//141  const Attica::Category&, const Attica::Content&
    150, 171, 151, 0,	//144  const Attica::Category&, const QString&, const Attica::Content&
    171, 171, 163, 0,	//148  const QString&, const QString&, const QByteArray&
    171, 171, 171, 163, 0,	//152  const QString&, const QString&, const QString&, const QByteArray&
    151, 171, 55, 176, 176, 0,	//157  const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int
    171, 171, 164, 55, 176, 176, 0,	//163  const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int
    171, 178, 178, 0,	//170  const QString&, unsigned int, unsigned int
    175, 175, 0,	//174  double, double
    175, 175, 175, 0,	//177  double, double, double
    175, 175, 175, 176, 0,	//181  double, double, double, int
    175, 175, 171, 0,	//186  double, double, const QString&
    171, 176, 0,	//190  const QString&, int
    166, 0,	//193  const QList<Attica::Category>&
    166, 171, 0,	//195  const QList<Attica::Category>&, const QString&
    166, 171, 55, 0,	//198  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode
    166, 171, 55, 178, 0,	//202  const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int
    166, 171, 171, 0,	//207  const QList<Attica::Category>&, const QString&, const QString&
    166, 171, 171, 55, 0,	//211  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode
    166, 171, 171, 55, 178, 0,	//216  const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int
    171, 178, 0,	//222  const QString&, unsigned int
    60, 0,	//225  QEvent*
    70, 60, 0,	//227  QObject*, QEvent*
    73, 0,	//230  QTimerEvent*
    57, 0,	//232  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccountBalance",	//1
    "AccountBalance#",	//2
    "Activity",	//3
    "Activity#",	//4
    "Alphabetical",	//5
    "Answered",	//6
    "Category",	//7
    "Category#",	//8
    "Content",	//9
    "Content#",	//10
    "DownloadDescription",	//11
    "DownloadDescription#",	//12
    "DownloadItem",	//13
    "DownloadItem#",	//14
    "Downloads",	//15
    "Event",	//16
    "Event#",	//17
    "Folder",	//18
    "Folder#",	//19
    "KnowledgeBaseEntry",	//20
    "KnowledgeBaseEntry#",	//21
    "License",	//22
    "License#",	//23
    "Message",	//24
    "Message#",	//25
    "Metadata",	//26
    "Metadata#",	//27
    "NetworkError",	//28
    "Newest",	//29
    "NoError",	//30
    "OcsError",	//31
    "Person",	//32
    "Person#",	//33
    "PlatformDependent",	//34
    "PlatformDependent#",	//35
    "Provider",	//36
    "Provider#",	//37
    "ProviderManager",	//38
    "Q_COMPLEX_TYPE",	//39
    "Q_DUMMY_TYPE",	//40
    "Q_MOVABLE_TYPE",	//41
    "Q_PRIMITIVE_TYPE",	//42
    "Q_STATIC_TYPE",	//43
    "QtCriticalMsg",	//44
    "QtDebugMsg",	//45
    "QtFatalMsg",	//46
    "QtSystemMsg",	//47
    "QtWarningMsg",	//48
    "Rating",	//49
    "Read",	//50
    "Unread",	//51
    "abort",	//52
    "activityServiceVersion",	//53
    "addAttribute",	//54
    "addAttribute$$",	//55
    "addDefaultProviderFile",	//56
    "addDefaultProviderFile#",	//57
    "addExtendedAttribute",	//58
    "addExtendedAttribute$$",	//59
    "addNewContent",	//60
    "addNewContent##",	//61
    "addProviderFile",	//62
    "addProviderFile#",	//63
    "addProviderFileToDefaultProviders",	//64
    "addProviderFileToDefaultProviders#",	//65
    "addProviderFromXml",	//66
    "addProviderFromXml$",	//67
    "answer",	//68
    "approveFriendship",	//69
    "approveFriendship$",	//70
    "askForCredentials",	//71
    "askForCredentials#$$",	//72
    "associatedPerson",	//73
    "attribute",	//74
    "attribute$",	//75
    "attributes",	//76
    "authenticationCredentialsMissing",	//77
    "authenticationCredentialsMissing#",	//78
    "author",	//79
    "avatarUrl",	//80
    "balance",	//81
    "baseUrl",	//82
    "becomeFan",	//83
    "becomeFan$",	//84
    "birthday",	//85
    "body",	//86
    "cancelFriendship",	//87
    "cancelFriendship$",	//88
    "category",	//89
    "changed",	//90
    "changelog",	//91
    "checkLogin",	//92
    "checkLogin$$",	//93
    "childEvent",	//94
    "city",	//95
    "clear",	//96
    "commentServiceVersion",	//97
    "comments",	//98
    "connectNotify",	//99
    "contains",	//100
    "contains$",	//101
    "contentId",	//102
    "contentServiceVersion",	//103
    "country",	//104
    "createRequest",	//105
    "createRequest#",	//106
    "createRequest$",	//107
    "createUrl",	//108
    "createUrl$",	//109
    "created",	//110
    "currency",	//111
    "customEvent",	//112
    "dataFinished",	//113
    "declineFriendship",	//114
    "declineFriendship$",	//115
    "defaultProviderFiles",	//116
    "defaultProvidersLoaded",	//117
    "deleteContent",	//118
    "deleteContent$",	//119
    "deleteDownloadFile",	//120
    "deleteDownloadFile$",	//121
    "deletePreviewImage",	//122
    "deletePreviewImage$$",	//123
    "depend",	//124
    "description",	//125
    "detailPage",	//126
    "detailpage",	//127
    "disconnectNotify",	//128
    "distributionType",	//129
    "doRequestAccountBalance",	//130
    "doRequestAccountBalance#",	//131
    "doRequestActivityList",	//132
    "doRequestActivityList#",	//133
    "doRequestFolderList",	//134
    "doRequestFolderList#",	//135
    "doRequestMessageList",	//136
    "doRequestMessageList#",	//137
    "doRequestPerson",	//138
    "doRequestPerson#",	//139
    "doRequestPersonList",	//140
    "doRequestPersonList#",	//141
    "downloadLink",	//142
    "downloadLink$",	//143
    "downloadLink$$",	//144
    "downloadUrlDescription",	//145
    "downloadUrlDescription$",	//146
    "downloadUrlDescriptions",	//147
    "downloads",	//148
    "editContent",	//149
    "editContent#$#",	//150
    "enableProvider",	//151
    "enableProvider#$",	//152
    "endDate",	//153
    "error",	//154
    "event",	//155
    "eventFilter",	//156
    "executeRequest",	//157
    "extendedAttribute",	//158
    "extendedAttribute$",	//159
    "extendedAttributes",	//160
    "fanServiceVersion",	//161
    "finished",	//162
    "finished#",	//163
    "firstName",	//164
    "friendServiceVersion",	//165
    "from",	//166
    "get",	//167
    "get#",	//168
    "getDefaultProviderFiles",	//169
    "hasActivityService",	//170
    "hasCommentService",	//171
    "hasContentService",	//172
    "hasCredentials",	//173
    "hasCredentials#",	//174
    "hasFanService",	//175
    "hasFriendService",	//176
    "hasKnowledgebaseService",	//177
    "hasMessageService",	//178
    "hasPersonService",	//179
    "hasPrice",	//180
    "homepage",	//181
    "id",	//182
    "internals",	//183
    "inviteFriend",	//184
    "inviteFriend$$",	//185
    "isDownloadtypLink",	//186
    "isEnabled",	//187
    "isEnabled#",	//188
    "isValid",	//189
    "itemsPerPage",	//190
    "knowledgebaseServiceVersion",	//191
    "lastName",	//192
    "latitude",	//193
    "license",	//194
    "link",	//195
    "loadCredentials",	//196
    "loadCredentials#$$",	//197
    "loadCredentials$$",	//198
    "loadDefaultProviders",	//199
    "longitude",	//200
    "message",	//201
    "messageCount",	//202
    "messageServiceVersion",	//203
    "metaObject",	//204
    "metadata",	//205
    "nam",	//206
    "name",	//207
    "operator=",	//208
    "operator=#",	//209
    "parse",	//210
    "parse$",	//211
    "personServiceVersion",	//212
    "post",	//213
    "post##",	//214
    "postActivity",	//215
    "postActivity$",	//216
    "postLocation",	//217
    "postLocation$$",	//218
    "postLocation$$$",	//219
    "postLocation$$$$",	//220
    "postMessage",	//221
    "postMessage#",	//222
    "previewPicture",	//223
    "previewPicture$",	//224
    "priceAmount",	//225
    "priceReason",	//226
    "providerAdded",	//227
    "providerAdded#",	//228
    "providerByUrl",	//229
    "providerByUrl#",	//230
    "providerFiles",	//231
    "providers",	//232
    "qt_metacall",	//233
    "qt_metacall$$?",	//234
    "qt_metacast",	//235
    "qt_metacast$",	//236
    "rating",	//237
    "registerAccount",	//238
    "registerAccount$$$$$",	//239
    "removeDefaultProviderFile",	//240
    "removeDefaultProviderFile#",	//241
    "removeProviderFileFromDefaultProviders",	//242
    "removeProviderFileFromDefaultProviders#",	//243
    "requestAccountBalance",	//244
    "requestActivities",	//245
    "requestCategories",	//246
    "requestContent",	//247
    "requestContent$",	//248
    "requestEvent",	//249
    "requestEvent$",	//250
    "requestEvent$$#$$$",	//251
    "requestFans",	//252
    "requestFans$",	//253
    "requestFans$$",	//254
    "requestFans$$$",	//255
    "requestFolders",	//256
    "requestFriends",	//257
    "requestFriends$",	//258
    "requestFriends$$",	//259
    "requestFriends$$$",	//260
    "requestKnowledgeBaseEntry",	//261
    "requestKnowledgeBaseEntry$",	//262
    "requestLicenses",	//263
    "requestMessage",	//264
    "requestMessage#$",	//265
    "requestMessages",	//266
    "requestMessages#",	//267
    "requestMessages#$",	//268
    "requestPerson",	//269
    "requestPerson$",	//270
    "requestPersonSearchByLocation",	//271
    "requestPersonSearchByLocation$$",	//272
    "requestPersonSearchByLocation$$$",	//273
    "requestPersonSearchByLocation$$$$",	//274
    "requestPersonSearchByLocation$$$$$",	//275
    "requestPersonSearchByName",	//276
    "requestPersonSearchByName$",	//277
    "requestPersonSelf",	//278
    "requestReceivedInvitations",	//279
    "requestReceivedInvitations$",	//280
    "requestReceivedInvitations$$",	//281
    "requestSentInvitations",	//282
    "requestSentInvitations$",	//283
    "requestSentInvitations$$",	//284
    "saveCredentials",	//285
    "saveCredentials#$$",	//286
    "saveCredentials$$",	//287
    "searchContents",	//288
    "searchContents?",	//289
    "searchContents?$",	//290
    "searchContents?$$",	//291
    "searchContents?$$$",	//292
    "searchContents?$$$$",	//293
    "searchContentsByPerson",	//294
    "searchContentsByPerson?$",	//295
    "searchContentsByPerson?$$",	//296
    "searchContentsByPerson?$$$",	//297
    "searchContentsByPerson?$$$$",	//298
    "searchContentsByPerson?$$$$$",	//299
    "searchKnowledgeBase",	//300
    "searchKnowledgeBase#$$$$",	//301
    "sent",	//302
    "setAnswer",	//303
    "setAnswer$",	//304
    "setAssociatedPerson",	//305
    "setAssociatedPerson#",	//306
    "setAuthenticationSuppressed",	//307
    "setAuthenticationSuppressed$",	//308
    "setAvatarUrl",	//309
    "setAvatarUrl#",	//310
    "setBalance",	//311
    "setBalance$",	//312
    "setBirthday",	//313
    "setBirthday#",	//314
    "setBody",	//315
    "setBody$",	//316
    "setCategory",	//317
    "setCategory$",	//318
    "setChanged",	//319
    "setChanged#",	//320
    "setCity",	//321
    "setCity$",	//322
    "setComments",	//323
    "setComments$",	//324
    "setContentId",	//325
    "setContentId$",	//326
    "setCountry",	//327
    "setCountry$",	//328
    "setCreated",	//329
    "setCreated#",	//330
    "setCurrency",	//331
    "setCurrency$",	//332
    "setDescription",	//333
    "setDescription$",	//334
    "setDetailPage",	//335
    "setDetailPage#",	//336
    "setDistributionType",	//337
    "setDistributionType$",	//338
    "setDownloadFile",	//339
    "setDownloadFile$$#",	//340
    "setDownloads",	//341
    "setDownloads$",	//342
    "setDownloadtypLink",	//343
    "setDownloadtypLink$",	//344
    "setEnabled",	//345
    "setEnabled$",	//346
    "setEndDate",	//347
    "setEndDate#",	//348
    "setError",	//349
    "setError$",	//350
    "setFirstName",	//351
    "setFirstName$",	//352
    "setFrom",	//353
    "setFrom$",	//354
    "setHasPrice",	//355
    "setHasPrice$",	//356
    "setHomepage",	//357
    "setHomepage#",	//358
    "setHomepage$",	//359
    "setId",	//360
    "setId$",	//361
    "setItemsPerPage",	//362
    "setItemsPerPage$",	//363
    "setLastName",	//364
    "setLastName$",	//365
    "setLatitude",	//366
    "setLatitude$",	//367
    "setLink",	//368
    "setLink#",	//369
    "setLink$",	//370
    "setLongitude",	//371
    "setLongitude$",	//372
    "setMessage",	//373
    "setMessage$",	//374
    "setMessageCount",	//375
    "setMessageCount$",	//376
    "setMetadata",	//377
    "setMetadata#",	//378
    "setName",	//379
    "setName$",	//380
    "setPreviewImage",	//381
    "setPreviewImage$$$#",	//382
    "setPriceAmount",	//383
    "setPriceAmount$",	//384
    "setPriceReason",	//385
    "setPriceReason$",	//386
    "setRating",	//387
    "setRating$",	//388
    "setSent",	//389
    "setSent#",	//390
    "setStartDate",	//391
    "setStartDate#",	//392
    "setStatus",	//393
    "setStatus$",	//394
    "setStatusCode",	//395
    "setStatusCode$",	//396
    "setStatusString",	//397
    "setStatusString$",	//398
    "setSubject",	//399
    "setSubject$",	//400
    "setTimestamp",	//401
    "setTimestamp#",	//402
    "setTo",	//403
    "setTo$",	//404
    "setTotalItems",	//405
    "setTotalItems$",	//406
    "setType",	//407
    "setType$",	//408
    "setUpdated",	//409
    "setUpdated#",	//410
    "setUrl",	//411
    "setUrl#",	//412
    "setUser",	//413
    "setUser$",	//414
    "smallPreviewPicture",	//415
    "smallPreviewPicture$",	//416
    "start",	//417
    "startDate",	//418
    "staticMetaObject",	//419
    "status",	//420
    "statusCode",	//421
    "statusString",	//422
    "subject",	//423
    "timerEvent",	//424
    "timestamp",	//425
    "to",	//426
    "totalItems",	//427
    "tr",	//428
    "tr$",	//429
    "tr$$",	//430
    "tr$$$",	//431
    "trUtf8",	//432
    "trUtf8$",	//433
    "trUtf8$$",	//434
    "trUtf8$$$",	//435
    "type",	//436
    "updated",	//437
    "url",	//438
    "user",	//439
    "version",	//440
    "voteForContent",	//441
    "voteForContent$$",	//442
    "~AccountBalance",	//443
    "~Activity",	//444
    "~BaseJob",	//445
    "~Category",	//446
    "~Content",	//447
    "~DownloadDescription",	//448
    "~DownloadItem",	//449
    "~Event",	//450
    "~Folder",	//451
    "~GetJob",	//452
    "~KnowledgeBaseEntry",	//453
    "~License",	//454
    "~Message",	//455
    "~Metadata",	//456
    "~Person",	//457
    "~PlatformDependent",	//458
    "~PostJob",	//459
    "~Provider",	//460
    "~ProviderManager",	//461
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 1, 0, 0, Smoke::mf_ctor, 2, 1},	//1 Attica::AccountBalance::AccountBalance()
    {1, 1, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 2},	//2 Attica::AccountBalance::AccountBalance(const Attica::AccountBalance&)
    {1, 208, 1, 1, 0, 1, 3},	//3 Attica::AccountBalance::operator=(const Attica::AccountBalance&)
    {1, 331, 3, 1, 0, 0, 4},	//4 Attica::AccountBalance::setCurrency(const QString&)
    {1, 111, 0, 0, Smoke::mf_const, 71, 5},	//5 Attica::AccountBalance::currency() const
    {1, 311, 3, 1, 0, 0, 6},	//6 Attica::AccountBalance::setBalance(const QString&)
    {1, 81, 0, 0, Smoke::mf_const, 71, 7},	//7 Attica::AccountBalance::balance() const
    {1, 443, 0, 0, Smoke::mf_dtor, 0, 8 },	//8 Attica::AccountBalance::~AccountBalance()
    {2, 3, 0, 0, Smoke::mf_ctor, 4, 1},	//9 Attica::Activity::Activity()
    {2, 3, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 2},	//10 Attica::Activity::Activity(const Attica::Activity&)
    {2, 208, 5, 1, 0, 3, 3},	//11 Attica::Activity::operator=(const Attica::Activity&)
    {2, 360, 3, 1, 0, 0, 4},	//12 Attica::Activity::setId(const QString&)
    {2, 182, 0, 0, Smoke::mf_const, 71, 5},	//13 Attica::Activity::id() const
    {2, 305, 7, 1, 0, 0, 6},	//14 Attica::Activity::setAssociatedPerson(const Attica::Person&)
    {2, 73, 0, 0, Smoke::mf_const, 47, 7},	//15 Attica::Activity::associatedPerson() const
    {2, 401, 9, 1, 0, 0, 8},	//16 Attica::Activity::setTimestamp(const QDateTime&)
    {2, 425, 0, 0, Smoke::mf_const, 59, 9},	//17 Attica::Activity::timestamp() const
    {2, 373, 3, 1, 0, 0, 10},	//18 Attica::Activity::setMessage(const QString&)
    {2, 201, 0, 0, Smoke::mf_const, 71, 11},	//19 Attica::Activity::message() const
    {2, 368, 11, 1, 0, 0, 12},	//20 Attica::Activity::setLink(const QUrl&)
    {2, 195, 0, 0, Smoke::mf_const, 74, 13},	//21 Attica::Activity::link() const
    {2, 189, 0, 0, Smoke::mf_const, 147, 14},	//22 Attica::Activity::isValid() const
    {2, 444, 0, 0, Smoke::mf_dtor, 0, 15 },	//23 Attica::Activity::~Activity()
    {3, 204, 0, 0, Smoke::mf_const, 168, 1},	//24 Attica::BaseJob::metaObject() const
    {3, 235, 13, 1, 0, 179, 2},	//25 Attica::BaseJob::qt_metacast(const char*)
    {3, 428, 15, 2, Smoke::mf_static, 71, 3},	//26 Attica::BaseJob::tr(const char*, const char*)
    {3, 432, 15, 2, Smoke::mf_static, 71, 4},	//27 Attica::BaseJob::trUtf8(const char*, const char*)
    {3, 428, 18, 3, Smoke::mf_static, 71, 5},	//28 Attica::BaseJob::tr(const char*, const char*, int)
    {3, 432, 18, 3, Smoke::mf_static, 71, 6},	//29 Attica::BaseJob::trUtf8(const char*, const char*, int)
    {3, 233, 22, 3, 0, 176, 7},	//30 Attica::BaseJob::qt_metacall(QMetaObject::Call, int, void**)
    {3, 205, 0, 0, Smoke::mf_const, 43, 8},	//31 Attica::BaseJob::metadata() const
    {3, 417, 0, 0, Smoke::mf_slot, 0, 9},	//32 Attica::BaseJob::start()
    {3, 52, 0, 0, Smoke::mf_slot, 0, 10},	//33 Attica::BaseJob::abort()
    {3, 162, 26, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//34 Attica::BaseJob::finished(Attica::BaseJob*)
    {3, 113, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 12},	//35 Attica::BaseJob::dataFinished()
    {3, 377, 28, 1, Smoke::mf_const|Smoke::mf_protected, 0, 13},	//36 Attica::BaseJob::setMetadata(const Attica::Metadata&) const
    {3, 157, 0, 0, Smoke::mf_protected|Smoke::mf_purevirtual, 68, 14},	//37 Attica::BaseJob::executeRequest() [pure virtual]
    {3, 210, 3, 1, Smoke::mf_protected|Smoke::mf_purevirtual, 0, 15},	//38 Attica::BaseJob::parse(const QString&) [pure virtual]
    {3, 183, 0, 0, Smoke::mf_protected, 50, 16},	//39 Attica::BaseJob::internals()
    {3, 428, 13, 1, Smoke::mf_static, 71, 17},	//40 Attica::BaseJob::tr(const char*)
    {3, 432, 13, 1, Smoke::mf_static, 71, 18},	//41 Attica::BaseJob::trUtf8(const char*)
    {3, 419, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 167, 19},	//42 Attica::BaseJob::staticMetaObject() const
    {3, 445, 0, 0, Smoke::mf_dtor, 0, 20 },	//43 Attica::BaseJob::~BaseJob()
    {4, 7, 0, 0, Smoke::mf_ctor, 7, 1},	//44 Attica::Category::Category()
    {4, 7, 30, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 2},	//45 Attica::Category::Category(const Attica::Category&)
    {4, 208, 30, 1, 0, 6, 3},	//46 Attica::Category::operator=(const Attica::Category&)
    {4, 360, 3, 1, 0, 0, 4},	//47 Attica::Category::setId(const QString&)
    {4, 182, 0, 0, Smoke::mf_const, 71, 5},	//48 Attica::Category::id() const
    {4, 379, 3, 1, 0, 0, 6},	//49 Attica::Category::setName(const QString&)
    {4, 207, 0, 0, Smoke::mf_const, 71, 7},	//50 Attica::Category::name() const
    {4, 189, 0, 0, Smoke::mf_const, 147, 8},	//51 Attica::Category::isValid() const
    {4, 446, 0, 0, Smoke::mf_dtor, 0, 9 },	//52 Attica::Category::~Category()
    {5, 9, 0, 0, Smoke::mf_ctor, 9, 1},	//53 Attica::Content::Content()
    {5, 9, 32, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//54 Attica::Content::Content(const Attica::Content&)
    {5, 208, 32, 1, 0, 8, 3},	//55 Attica::Content::operator=(const Attica::Content&)
    {5, 360, 3, 1, 0, 0, 4},	//56 Attica::Content::setId(const QString&)
    {5, 182, 0, 0, Smoke::mf_const, 71, 5},	//57 Attica::Content::id() const
    {5, 379, 3, 1, 0, 0, 6},	//58 Attica::Content::setName(const QString&)
    {5, 207, 0, 0, Smoke::mf_const, 71, 7},	//59 Attica::Content::name() const
    {5, 387, 34, 1, 0, 0, 8},	//60 Attica::Content::setRating(int)
    {5, 237, 0, 0, Smoke::mf_const, 176, 9},	//61 Attica::Content::rating() const
    {5, 341, 34, 1, 0, 0, 10},	//62 Attica::Content::setDownloads(int)
    {5, 148, 0, 0, Smoke::mf_const, 176, 11},	//63 Attica::Content::downloads() const
    {5, 329, 9, 1, 0, 0, 12},	//64 Attica::Content::setCreated(const QDateTime&)
    {5, 110, 0, 0, Smoke::mf_const, 59, 13},	//65 Attica::Content::created() const
    {5, 409, 9, 1, 0, 0, 14},	//66 Attica::Content::setUpdated(const QDateTime&)
    {5, 437, 0, 0, Smoke::mf_const, 59, 15},	//67 Attica::Content::updated() const
    {5, 125, 0, 0, Smoke::mf_const, 71, 16},	//68 Attica::Content::description() const
    {5, 127, 0, 0, Smoke::mf_const, 74, 17},	//69 Attica::Content::detailpage() const
    {5, 91, 0, 0, Smoke::mf_const, 71, 18},	//70 Attica::Content::changelog() const
    {5, 440, 0, 0, Smoke::mf_const, 71, 19},	//71 Attica::Content::version() const
    {5, 124, 0, 0, Smoke::mf_const, 71, 20},	//72 Attica::Content::depend() const
    {5, 145, 34, 1, Smoke::mf_const, 10, 21},	//73 Attica::Content::downloadUrlDescription(int) const
    {5, 147, 0, 0, Smoke::mf_const, 62, 22},	//74 Attica::Content::downloadUrlDescriptions() const
    {5, 223, 3, 1, Smoke::mf_const, 71, 23},	//75 Attica::Content::previewPicture(const QString&) const
    {5, 415, 3, 1, Smoke::mf_const, 71, 24},	//76 Attica::Content::smallPreviewPicture(const QString&) const
    {5, 194, 0, 0, Smoke::mf_const, 71, 25},	//77 Attica::Content::license() const
    {5, 79, 0, 0, Smoke::mf_const, 71, 26},	//78 Attica::Content::author() const
    {5, 54, 36, 2, 0, 0, 27},	//79 Attica::Content::addAttribute(const QString&, const QString&)
    {5, 74, 3, 1, Smoke::mf_const, 71, 28},	//80 Attica::Content::attribute(const QString&) const
    {5, 76, 0, 0, Smoke::mf_const, 65, 29},	//81 Attica::Content::attributes() const
    {5, 189, 0, 0, Smoke::mf_const, 147, 30},	//82 Attica::Content::isValid() const
    {5, 223, 0, 0, Smoke::mf_const, 71, 31},	//83 Attica::Content::previewPicture() const
    {5, 415, 0, 0, Smoke::mf_const, 71, 32},	//84 Attica::Content::smallPreviewPicture() const
    {5, 447, 0, 0, Smoke::mf_dtor, 0, 33 },	//85 Attica::Content::~Content()
    {6, 11, 0, 0, Smoke::mf_ctor, 12, 1},	//86 Attica::DownloadDescription::DownloadDescription()
    {6, 11, 39, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//87 Attica::DownloadDescription::DownloadDescription(const Attica::DownloadDescription&)
    {6, 208, 39, 1, 0, 11, 3},	//88 Attica::DownloadDescription::operator=(const Attica::DownloadDescription&)
    {6, 182, 0, 0, 0, 176, 4},	//89 Attica::DownloadDescription::id()
    {6, 186, 0, 0, 0, 147, 5},	//90 Attica::DownloadDescription::isDownloadtypLink()
    {6, 180, 0, 0, 0, 147, 6},	//91 Attica::DownloadDescription::hasPrice()
    {6, 89, 0, 0, 0, 71, 7},	//92 Attica::DownloadDescription::category()
    {6, 207, 0, 0, 0, 71, 8},	//93 Attica::DownloadDescription::name()
    {6, 195, 0, 0, 0, 71, 9},	//94 Attica::DownloadDescription::link()
    {6, 129, 0, 0, 0, 71, 10},	//95 Attica::DownloadDescription::distributionType()
    {6, 226, 0, 0, 0, 71, 11},	//96 Attica::DownloadDescription::priceReason()
    {6, 225, 0, 0, 0, 71, 12},	//97 Attica::DownloadDescription::priceAmount()
    {6, 360, 34, 1, 0, 0, 13},	//98 Attica::DownloadDescription::setId(int)
    {6, 343, 41, 1, 0, 0, 14},	//99 Attica::DownloadDescription::setDownloadtypLink(bool)
    {6, 355, 41, 1, 0, 0, 15},	//100 Attica::DownloadDescription::setHasPrice(bool)
    {6, 317, 3, 1, 0, 0, 16},	//101 Attica::DownloadDescription::setCategory(const QString&)
    {6, 379, 3, 1, 0, 0, 17},	//102 Attica::DownloadDescription::setName(const QString&)
    {6, 368, 3, 1, 0, 0, 18},	//103 Attica::DownloadDescription::setLink(const QString&)
    {6, 337, 3, 1, 0, 0, 19},	//104 Attica::DownloadDescription::setDistributionType(const QString&)
    {6, 385, 3, 1, 0, 0, 20},	//105 Attica::DownloadDescription::setPriceReason(const QString&)
    {6, 383, 3, 1, 0, 0, 21},	//106 Attica::DownloadDescription::setPriceAmount(const QString&)
    {6, 448, 0, 0, Smoke::mf_dtor, 0, 22 },	//107 Attica::DownloadDescription::~DownloadDescription()
    {7, 13, 0, 0, Smoke::mf_ctor, 14, 1},	//108 Attica::DownloadItem::DownloadItem()
    {7, 13, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//109 Attica::DownloadItem::DownloadItem(const Attica::DownloadItem&)
    {7, 208, 43, 1, 0, 13, 3},	//110 Attica::DownloadItem::operator=(const Attica::DownloadItem&)
    {7, 411, 11, 1, 0, 0, 4},	//111 Attica::DownloadItem::setUrl(const QUrl&)
    {7, 438, 0, 0, Smoke::mf_const, 74, 5},	//112 Attica::DownloadItem::url() const
    {7, 449, 0, 0, Smoke::mf_dtor, 0, 6 },	//113 Attica::DownloadItem::~DownloadItem()
    {8, 16, 0, 0, Smoke::mf_ctor, 16, 1},	//114 Attica::Event::Event()
    {8, 16, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 2},	//115 Attica::Event::Event(const Attica::Event&)
    {8, 208, 45, 1, 0, 15, 3},	//116 Attica::Event::operator=(const Attica::Event&)
    {8, 360, 3, 1, 0, 0, 4},	//117 Attica::Event::setId(const QString&)
    {8, 182, 0, 0, Smoke::mf_const, 71, 5},	//118 Attica::Event::id() const
    {8, 379, 3, 1, 0, 0, 6},	//119 Attica::Event::setName(const QString&)
    {8, 207, 0, 0, Smoke::mf_const, 71, 7},	//120 Attica::Event::name() const
    {8, 333, 3, 1, 0, 0, 8},	//121 Attica::Event::setDescription(const QString&)
    {8, 125, 0, 0, Smoke::mf_const, 71, 9},	//122 Attica::Event::description() const
    {8, 413, 3, 1, 0, 0, 10},	//123 Attica::Event::setUser(const QString&)
    {8, 439, 0, 0, Smoke::mf_const, 71, 11},	//124 Attica::Event::user() const
    {8, 391, 47, 1, 0, 0, 12},	//125 Attica::Event::setStartDate(const QDate&)
    {8, 418, 0, 0, Smoke::mf_const, 58, 13},	//126 Attica::Event::startDate() const
    {8, 347, 47, 1, 0, 0, 14},	//127 Attica::Event::setEndDate(const QDate&)
    {8, 153, 0, 0, Smoke::mf_const, 58, 15},	//128 Attica::Event::endDate() const
    {8, 366, 49, 1, 0, 0, 16},	//129 Attica::Event::setLatitude(double)
    {8, 193, 0, 0, Smoke::mf_const, 175, 17},	//130 Attica::Event::latitude() const
    {8, 371, 49, 1, 0, 0, 18},	//131 Attica::Event::setLongitude(double)
    {8, 200, 0, 0, Smoke::mf_const, 175, 19},	//132 Attica::Event::longitude() const
    {8, 357, 11, 1, 0, 0, 20},	//133 Attica::Event::setHomepage(const QUrl&)
    {8, 181, 0, 0, Smoke::mf_const, 74, 21},	//134 Attica::Event::homepage() const
    {8, 327, 3, 1, 0, 0, 22},	//135 Attica::Event::setCountry(const QString&)
    {8, 104, 0, 0, Smoke::mf_const, 71, 23},	//136 Attica::Event::country() const
    {8, 321, 3, 1, 0, 0, 24},	//137 Attica::Event::setCity(const QString&)
    {8, 95, 0, 0, Smoke::mf_const, 71, 25},	//138 Attica::Event::city() const
    {8, 58, 36, 2, 0, 0, 26},	//139 Attica::Event::addExtendedAttribute(const QString&, const QString&)
    {8, 158, 3, 1, Smoke::mf_const, 71, 27},	//140 Attica::Event::extendedAttribute(const QString&) const
    {8, 160, 0, 0, Smoke::mf_const, 65, 28},	//141 Attica::Event::extendedAttributes() const
    {8, 189, 0, 0, Smoke::mf_const, 147, 29},	//142 Attica::Event::isValid() const
    {8, 450, 0, 0, Smoke::mf_dtor, 0, 30 },	//143 Attica::Event::~Event()
    {9, 18, 0, 0, Smoke::mf_ctor, 18, 1},	//144 Attica::Folder::Folder()
    {9, 18, 51, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//145 Attica::Folder::Folder(const Attica::Folder&)
    {9, 208, 51, 1, 0, 17, 3},	//146 Attica::Folder::operator=(const Attica::Folder&)
    {9, 360, 3, 1, 0, 0, 4},	//147 Attica::Folder::setId(const QString&)
    {9, 182, 0, 0, Smoke::mf_const, 71, 5},	//148 Attica::Folder::id() const
    {9, 379, 3, 1, 0, 0, 6},	//149 Attica::Folder::setName(const QString&)
    {9, 207, 0, 0, Smoke::mf_const, 71, 7},	//150 Attica::Folder::name() const
    {9, 375, 34, 1, 0, 0, 8},	//151 Attica::Folder::setMessageCount(int)
    {9, 202, 0, 0, Smoke::mf_const, 176, 9},	//152 Attica::Folder::messageCount() const
    {9, 407, 3, 1, 0, 0, 10},	//153 Attica::Folder::setType(const QString&)
    {9, 436, 0, 0, Smoke::mf_const, 71, 11},	//154 Attica::Folder::type() const
    {9, 189, 0, 0, Smoke::mf_const, 147, 12},	//155 Attica::Folder::isValid() const
    {9, 451, 0, 0, Smoke::mf_dtor, 0, 13 },	//156 Attica::Folder::~Folder()
    {10, 204, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 168, 1},	//157 Attica::GetJob::metaObject() const
    {10, 235, 13, 1, Smoke::mf_virtual, 179, 2},	//158 Attica::GetJob::qt_metacast(const char*)
    {10, 428, 15, 2, Smoke::mf_static, 71, 3},	//159 Attica::GetJob::tr(const char*, const char*)
    {10, 432, 15, 2, Smoke::mf_static, 71, 4},	//160 Attica::GetJob::trUtf8(const char*, const char*)
    {10, 428, 18, 3, Smoke::mf_static, 71, 5},	//161 Attica::GetJob::tr(const char*, const char*, int)
    {10, 432, 18, 3, Smoke::mf_static, 71, 6},	//162 Attica::GetJob::trUtf8(const char*, const char*, int)
    {10, 233, 22, 3, Smoke::mf_virtual, 176, 7},	//163 Attica::GetJob::qt_metacall(QMetaObject::Call, int, void**)
    {10, 428, 13, 1, Smoke::mf_static, 71, 8},	//164 Attica::GetJob::tr(const char*)
    {10, 432, 13, 1, Smoke::mf_static, 71, 9},	//165 Attica::GetJob::trUtf8(const char*)
    {10, 419, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 167, 10},	//166 Attica::GetJob::staticMetaObject() const
    {10, 452, 0, 0, Smoke::mf_dtor, 0, 11 },	//167 Attica::GetJob::~GetJob()
    {11, 20, 0, 0, Smoke::mf_ctor, 28, 1},	//168 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry()
    {11, 20, 53, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//169 Attica::KnowledgeBaseEntry::KnowledgeBaseEntry(const Attica::KnowledgeBaseEntry&)
    {11, 208, 53, 1, 0, 27, 3},	//170 Attica::KnowledgeBaseEntry::operator=(const Attica::KnowledgeBaseEntry&)
    {11, 360, 55, 1, 0, 0, 4},	//171 Attica::KnowledgeBaseEntry::setId(QString)
    {11, 182, 0, 0, Smoke::mf_const, 71, 5},	//172 Attica::KnowledgeBaseEntry::id() const
    {11, 325, 34, 1, 0, 0, 6},	//173 Attica::KnowledgeBaseEntry::setContentId(int)
    {11, 102, 0, 0, Smoke::mf_const, 176, 7},	//174 Attica::KnowledgeBaseEntry::contentId() const
    {11, 413, 3, 1, 0, 0, 8},	//175 Attica::KnowledgeBaseEntry::setUser(const QString&)
    {11, 439, 0, 0, Smoke::mf_const, 71, 9},	//176 Attica::KnowledgeBaseEntry::user() const
    {11, 393, 57, 1, 0, 0, 10},	//177 Attica::KnowledgeBaseEntry::setStatus(const QString)
    {11, 420, 0, 0, Smoke::mf_const, 71, 11},	//178 Attica::KnowledgeBaseEntry::status() const
    {11, 319, 9, 1, 0, 0, 12},	//179 Attica::KnowledgeBaseEntry::setChanged(const QDateTime&)
    {11, 90, 0, 0, Smoke::mf_const, 59, 13},	//180 Attica::KnowledgeBaseEntry::changed() const
    {11, 379, 3, 1, 0, 0, 14},	//181 Attica::KnowledgeBaseEntry::setName(const QString&)
    {11, 207, 0, 0, Smoke::mf_const, 71, 15},	//182 Attica::KnowledgeBaseEntry::name() const
    {11, 333, 3, 1, 0, 0, 16},	//183 Attica::KnowledgeBaseEntry::setDescription(const QString&)
    {11, 125, 0, 0, Smoke::mf_const, 71, 17},	//184 Attica::KnowledgeBaseEntry::description() const
    {11, 303, 3, 1, 0, 0, 18},	//185 Attica::KnowledgeBaseEntry::setAnswer(const QString&)
    {11, 68, 0, 0, Smoke::mf_const, 71, 19},	//186 Attica::KnowledgeBaseEntry::answer() const
    {11, 323, 34, 1, 0, 0, 20},	//187 Attica::KnowledgeBaseEntry::setComments(int)
    {11, 98, 0, 0, Smoke::mf_const, 176, 21},	//188 Attica::KnowledgeBaseEntry::comments() const
    {11, 335, 11, 1, 0, 0, 22},	//189 Attica::KnowledgeBaseEntry::setDetailPage(const QUrl&)
    {11, 126, 0, 0, Smoke::mf_const, 74, 23},	//190 Attica::KnowledgeBaseEntry::detailPage() const
    {11, 58, 36, 2, 0, 0, 24},	//191 Attica::KnowledgeBaseEntry::addExtendedAttribute(const QString&, const QString&)
    {11, 158, 3, 1, Smoke::mf_const, 71, 25},	//192 Attica::KnowledgeBaseEntry::extendedAttribute(const QString&) const
    {11, 160, 0, 0, Smoke::mf_const, 65, 26},	//193 Attica::KnowledgeBaseEntry::extendedAttributes() const
    {11, 189, 0, 0, Smoke::mf_const, 147, 27},	//194 Attica::KnowledgeBaseEntry::isValid() const
    {11, 453, 0, 0, Smoke::mf_dtor, 0, 28 },	//195 Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry()
    {12, 22, 0, 0, Smoke::mf_ctor, 30, 1},	//196 Attica::License::License()
    {12, 22, 59, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 2},	//197 Attica::License::License(const Attica::License&)
    {12, 208, 59, 1, 0, 29, 3},	//198 Attica::License::operator=(const Attica::License&)
    {12, 182, 0, 0, Smoke::mf_const, 178, 4},	//199 Attica::License::id() const
    {12, 360, 61, 1, 0, 0, 5},	//200 Attica::License::setId(unsigned int)
    {12, 207, 0, 0, Smoke::mf_const, 71, 6},	//201 Attica::License::name() const
    {12, 379, 3, 1, 0, 0, 7},	//202 Attica::License::setName(const QString&)
    {12, 438, 0, 0, Smoke::mf_const, 74, 8},	//203 Attica::License::url() const
    {12, 411, 11, 1, 0, 0, 9},	//204 Attica::License::setUrl(const QUrl&)
    {12, 454, 0, 0, Smoke::mf_dtor, 0, 10 },	//205 Attica::License::~License()
    {13, 24, 0, 0, Smoke::mf_ctor, 41, 1},	//206 Attica::Message::Message()
    {13, 24, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 41, 2},	//207 Attica::Message::Message(const Attica::Message&)
    {13, 208, 63, 1, 0, 40, 3},	//208 Attica::Message::operator=(const Attica::Message&)
    {13, 360, 3, 1, 0, 0, 4},	//209 Attica::Message::setId(const QString&)
    {13, 182, 0, 0, Smoke::mf_const, 71, 5},	//210 Attica::Message::id() const
    {13, 353, 3, 1, 0, 0, 6},	//211 Attica::Message::setFrom(const QString&)
    {13, 166, 0, 0, Smoke::mf_const, 71, 7},	//212 Attica::Message::from() const
    {13, 403, 3, 1, 0, 0, 8},	//213 Attica::Message::setTo(const QString&)
    {13, 426, 0, 0, Smoke::mf_const, 71, 9},	//214 Attica::Message::to() const
    {13, 389, 9, 1, 0, 0, 10},	//215 Attica::Message::setSent(const QDateTime&)
    {13, 302, 0, 0, Smoke::mf_const, 59, 11},	//216 Attica::Message::sent() const
    {13, 393, 65, 1, 0, 0, 12},	//217 Attica::Message::setStatus(Attica::Message::Status)
    {13, 420, 0, 0, Smoke::mf_const, 42, 13},	//218 Attica::Message::status() const
    {13, 399, 3, 1, 0, 0, 14},	//219 Attica::Message::setSubject(const QString&)
    {13, 423, 0, 0, Smoke::mf_const, 71, 15},	//220 Attica::Message::subject() const
    {13, 315, 3, 1, 0, 0, 16},	//221 Attica::Message::setBody(const QString&)
    {13, 86, 0, 0, Smoke::mf_const, 71, 17},	//222 Attica::Message::body() const
    {13, 189, 0, 0, Smoke::mf_const, 147, 18},	//223 Attica::Message::isValid() const
    {13, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 19},	//224 Attica::Message::Unread (enum)
    {13, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 20},	//225 Attica::Message::Read (enum)
    {13, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 21},	//226 Attica::Message::Answered (enum)
    {13, 455, 0, 0, Smoke::mf_dtor, 0, 22 },	//227 Attica::Message::~Message()
    {14, 26, 0, 0, Smoke::mf_ctor, 45, 1},	//228 Attica::Metadata::Metadata()
    {14, 26, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 2},	//229 Attica::Metadata::Metadata(const Attica::Metadata&)
    {14, 208, 28, 1, 0, 44, 3},	//230 Attica::Metadata::operator=(const Attica::Metadata&)
    {14, 154, 0, 0, Smoke::mf_const, 46, 4},	//231 Attica::Metadata::error() const
    {14, 349, 67, 1, 0, 0, 5},	//232 Attica::Metadata::setError(Attica::Metadata::Error)
    {14, 421, 0, 0, Smoke::mf_const, 176, 6},	//233 Attica::Metadata::statusCode() const
    {14, 395, 34, 1, 0, 0, 7},	//234 Attica::Metadata::setStatusCode(int)
    {14, 422, 0, 0, Smoke::mf_const, 71, 8},	//235 Attica::Metadata::statusString() const
    {14, 397, 3, 1, 0, 0, 9},	//236 Attica::Metadata::setStatusString(const QString&)
    {14, 201, 0, 0, 0, 71, 10},	//237 Attica::Metadata::message()
    {14, 373, 3, 1, 0, 0, 11},	//238 Attica::Metadata::setMessage(const QString&)
    {14, 427, 0, 0, 0, 176, 12},	//239 Attica::Metadata::totalItems()
    {14, 405, 34, 1, 0, 0, 13},	//240 Attica::Metadata::setTotalItems(int)
    {14, 190, 0, 0, 0, 176, 14},	//241 Attica::Metadata::itemsPerPage()
    {14, 362, 34, 1, 0, 0, 15},	//242 Attica::Metadata::setItemsPerPage(int)
    {14, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 16},	//243 Attica::Metadata::NoError (enum)
    {14, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 17},	//244 Attica::Metadata::NetworkError (enum)
    {14, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 18},	//245 Attica::Metadata::OcsError (enum)
    {14, 456, 0, 0, Smoke::mf_dtor, 0, 19 },	//246 Attica::Metadata::~Metadata()
    {15, 32, 0, 0, Smoke::mf_ctor, 49, 1},	//247 Attica::Person::Person()
    {15, 32, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//248 Attica::Person::Person(const Attica::Person&)
    {15, 208, 7, 1, 0, 48, 3},	//249 Attica::Person::operator=(const Attica::Person&)
    {15, 360, 3, 1, 0, 0, 4},	//250 Attica::Person::setId(const QString&)
    {15, 182, 0, 0, Smoke::mf_const, 71, 5},	//251 Attica::Person::id() const
    {15, 351, 3, 1, 0, 0, 6},	//252 Attica::Person::setFirstName(const QString&)
    {15, 164, 0, 0, Smoke::mf_const, 71, 7},	//253 Attica::Person::firstName() const
    {15, 364, 3, 1, 0, 0, 8},	//254 Attica::Person::setLastName(const QString&)
    {15, 192, 0, 0, Smoke::mf_const, 71, 9},	//255 Attica::Person::lastName() const
    {15, 313, 47, 1, 0, 0, 10},	//256 Attica::Person::setBirthday(const QDate&)
    {15, 85, 0, 0, Smoke::mf_const, 58, 11},	//257 Attica::Person::birthday() const
    {15, 327, 3, 1, 0, 0, 12},	//258 Attica::Person::setCountry(const QString&)
    {15, 104, 0, 0, Smoke::mf_const, 71, 13},	//259 Attica::Person::country() const
    {15, 366, 49, 1, 0, 0, 14},	//260 Attica::Person::setLatitude(double)
    {15, 193, 0, 0, Smoke::mf_const, 175, 15},	//261 Attica::Person::latitude() const
    {15, 371, 49, 1, 0, 0, 16},	//262 Attica::Person::setLongitude(double)
    {15, 200, 0, 0, Smoke::mf_const, 175, 17},	//263 Attica::Person::longitude() const
    {15, 309, 11, 1, 0, 0, 18},	//264 Attica::Person::setAvatarUrl(const QUrl&)
    {15, 80, 0, 0, Smoke::mf_const, 74, 19},	//265 Attica::Person::avatarUrl() const
    {15, 357, 3, 1, 0, 0, 20},	//266 Attica::Person::setHomepage(const QString&)
    {15, 181, 0, 0, Smoke::mf_const, 71, 21},	//267 Attica::Person::homepage() const
    {15, 321, 3, 1, 0, 0, 22},	//268 Attica::Person::setCity(const QString&)
    {15, 95, 0, 0, Smoke::mf_const, 71, 23},	//269 Attica::Person::city() const
    {15, 58, 36, 2, 0, 0, 24},	//270 Attica::Person::addExtendedAttribute(const QString&, const QString&)
    {15, 158, 3, 1, Smoke::mf_const, 71, 25},	//271 Attica::Person::extendedAttribute(const QString&) const
    {15, 160, 0, 0, Smoke::mf_const, 65, 26},	//272 Attica::Person::extendedAttributes() const
    {15, 189, 0, 0, Smoke::mf_const, 147, 27},	//273 Attica::Person::isValid() const
    {15, 457, 0, 0, Smoke::mf_dtor, 0, 28 },	//274 Attica::Person::~Person()
    {16, 169, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 64, 1},	//275 Attica::PlatformDependent::getDefaultProviderFiles() const [pure virtual]
    {16, 56, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//276 Attica::PlatformDependent::addDefaultProviderFile(const QUrl&) [pure virtual]
    {16, 240, 11, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//277 Attica::PlatformDependent::removeDefaultProviderFile(const QUrl&) [pure virtual]
    {16, 151, 69, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//278 Attica::PlatformDependent::enableProvider(const QUrl&, bool) const [pure virtual]
    {16, 187, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 5},	//279 Attica::PlatformDependent::isEnabled(const QUrl&) const [pure virtual]
    {16, 173, 11, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 6},	//280 Attica::PlatformDependent::hasCredentials(const QUrl&) const [pure virtual]
    {16, 196, 72, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 7},	//281 Attica::PlatformDependent::loadCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {16, 71, 72, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 8},	//282 Attica::PlatformDependent::askForCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {16, 285, 76, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 9},	//283 Attica::PlatformDependent::saveCredentials(const QUrl&, const QString&, const QString&) [pure virtual]
    {16, 167, 80, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 68, 10},	//284 Attica::PlatformDependent::get(const QNetworkRequest&) [pure virtual]
    {16, 213, 82, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 68, 11},	//285 Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*) [pure virtual]
    {16, 213, 85, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 68, 12},	//286 Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&) [pure virtual]
    {16, 206, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 67, 13},	//287 Attica::PlatformDependent::nam() [pure virtual]
    {16, 34, 0, 0, Smoke::mf_ctor, 50, 14},	//288 Attica::PlatformDependent::PlatformDependent()
    {16, 34, 88, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 15},	//289 Attica::PlatformDependent::PlatformDependent(const Attica::PlatformDependent&)
    {16, 458, 0, 0, Smoke::mf_dtor, 0, 16 },	//290 Attica::PlatformDependent::~PlatformDependent()
    {17, 204, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 168, 1},	//291 Attica::PostJob::metaObject() const
    {17, 235, 13, 1, Smoke::mf_virtual, 179, 2},	//292 Attica::PostJob::qt_metacast(const char*)
    {17, 428, 15, 2, Smoke::mf_static, 71, 3},	//293 Attica::PostJob::tr(const char*, const char*)
    {17, 432, 15, 2, Smoke::mf_static, 71, 4},	//294 Attica::PostJob::trUtf8(const char*, const char*)
    {17, 428, 18, 3, Smoke::mf_static, 71, 5},	//295 Attica::PostJob::tr(const char*, const char*, int)
    {17, 432, 18, 3, Smoke::mf_static, 71, 6},	//296 Attica::PostJob::trUtf8(const char*, const char*, int)
    {17, 233, 22, 3, Smoke::mf_virtual, 176, 7},	//297 Attica::PostJob::qt_metacall(QMetaObject::Call, int, void**)
    {17, 428, 13, 1, Smoke::mf_static, 71, 8},	//298 Attica::PostJob::tr(const char*)
    {17, 432, 13, 1, Smoke::mf_static, 71, 9},	//299 Attica::PostJob::trUtf8(const char*)
    {17, 419, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 167, 10},	//300 Attica::PostJob::staticMetaObject() const
    {17, 459, 0, 0, Smoke::mf_dtor, 0, 11 },	//301 Attica::PostJob::~PostJob()
    {18, 36, 0, 0, Smoke::mf_ctor, 54, 1},	//302 Attica::Provider::Provider()
    {18, 36, 90, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 2},	//303 Attica::Provider::Provider(const Attica::Provider&)
    {18, 208, 90, 1, 0, 53, 3},	//304 Attica::Provider::operator=(const Attica::Provider&)
    {18, 189, 0, 0, Smoke::mf_const, 147, 4},	//305 Attica::Provider::isValid() const
    {18, 187, 0, 0, Smoke::mf_const, 147, 5},	//306 Attica::Provider::isEnabled() const
    {18, 345, 41, 1, 0, 0, 6},	//307 Attica::Provider::setEnabled(bool)
    {18, 82, 0, 0, Smoke::mf_const, 74, 7},	//308 Attica::Provider::baseUrl() const
    {18, 207, 0, 0, Smoke::mf_const, 71, 8},	//309 Attica::Provider::name() const
    {18, 179, 0, 0, Smoke::mf_const, 147, 9},	//310 Attica::Provider::hasPersonService() const
    {18, 212, 0, 0, Smoke::mf_const, 71, 10},	//311 Attica::Provider::personServiceVersion() const
    {18, 176, 0, 0, Smoke::mf_const, 147, 11},	//312 Attica::Provider::hasFriendService() const
    {18, 165, 0, 0, Smoke::mf_const, 71, 12},	//313 Attica::Provider::friendServiceVersion() const
    {18, 178, 0, 0, Smoke::mf_const, 147, 13},	//314 Attica::Provider::hasMessageService() const
    {18, 203, 0, 0, Smoke::mf_const, 71, 14},	//315 Attica::Provider::messageServiceVersion() const
    {18, 170, 0, 0, Smoke::mf_const, 147, 15},	//316 Attica::Provider::hasActivityService() const
    {18, 53, 0, 0, Smoke::mf_const, 71, 16},	//317 Attica::Provider::activityServiceVersion() const
    {18, 172, 0, 0, Smoke::mf_const, 147, 17},	//318 Attica::Provider::hasContentService() const
    {18, 103, 0, 0, Smoke::mf_const, 71, 18},	//319 Attica::Provider::contentServiceVersion() const
    {18, 175, 0, 0, Smoke::mf_const, 147, 19},	//320 Attica::Provider::hasFanService() const
    {18, 161, 0, 0, Smoke::mf_const, 71, 20},	//321 Attica::Provider::fanServiceVersion() const
    {18, 177, 0, 0, Smoke::mf_const, 147, 21},	//322 Attica::Provider::hasKnowledgebaseService() const
    {18, 191, 0, 0, Smoke::mf_const, 71, 22},	//323 Attica::Provider::knowledgebaseServiceVersion() const
    {18, 171, 0, 0, Smoke::mf_const, 147, 23},	//324 Attica::Provider::hasCommentService() const
    {18, 97, 0, 0, Smoke::mf_const, 71, 24},	//325 Attica::Provider::commentServiceVersion() const
    {18, 173, 0, 0, Smoke::mf_const, 147, 25},	//326 Attica::Provider::hasCredentials() const
    {18, 173, 0, 0, 0, 147, 26},	//327 Attica::Provider::hasCredentials()
    {18, 196, 92, 2, 0, 147, 27},	//328 Attica::Provider::loadCredentials(QString&, QString&)
    {18, 285, 36, 2, 0, 147, 28},	//329 Attica::Provider::saveCredentials(const QString&, const QString&)
    {18, 92, 36, 2, 0, 51, 29},	//330 Attica::Provider::checkLogin(const QString&, const QString&)
    {18, 238, 95, 5, 0, 51, 30},	//331 Attica::Provider::registerAccount(const QString&, const QString&, const QString&, const QString&, const QString&)
    {18, 269, 3, 1, 0, 25, 31},	//332 Attica::Provider::requestPerson(const QString&)
    {18, 278, 0, 0, 0, 25, 32},	//333 Attica::Provider::requestPersonSelf()
    {18, 244, 0, 0, 0, 19, 33},	//334 Attica::Provider::requestAccountBalance()
    {18, 276, 3, 1, 0, 39, 34},	//335 Attica::Provider::requestPersonSearchByName(const QString&)
    {18, 271, 101, 5, 0, 39, 35},	//336 Attica::Provider::requestPersonSearchByLocation(double, double, double, int, int)
    {18, 217, 107, 4, 0, 51, 36},	//337 Attica::Provider::postLocation(double, double, const QString&, const QString&)
    {18, 257, 112, 3, 0, 39, 37},	//338 Attica::Provider::requestFriends(const QString&, int, int)
    {18, 282, 116, 2, 0, 39, 38},	//339 Attica::Provider::requestSentInvitations(int, int)
    {18, 279, 116, 2, 0, 39, 39},	//340 Attica::Provider::requestReceivedInvitations(int, int)
    {18, 184, 36, 2, 0, 51, 40},	//341 Attica::Provider::inviteFriend(const QString&, const QString&)
    {18, 69, 3, 1, 0, 51, 41},	//342 Attica::Provider::approveFriendship(const QString&)
    {18, 114, 3, 1, 0, 51, 42},	//343 Attica::Provider::declineFriendship(const QString&)
    {18, 87, 3, 1, 0, 51, 43},	//344 Attica::Provider::cancelFriendship(const QString&)
    {18, 256, 0, 0, 0, 35, 44},	//345 Attica::Provider::requestFolders()
    {18, 266, 51, 1, 0, 38, 45},	//346 Attica::Provider::requestMessages(const Attica::Folder&)
    {18, 266, 119, 2, 0, 38, 46},	//347 Attica::Provider::requestMessages(const Attica::Folder&, Attica::Message::Status)
    {18, 264, 122, 2, 0, 24, 47},	//348 Attica::Provider::requestMessage(const Attica::Folder&, const QString&)
    {18, 221, 63, 1, 0, 51, 48},	//349 Attica::Provider::postMessage(const Attica::Message&)
    {18, 245, 0, 0, 0, 31, 49},	//350 Attica::Provider::requestActivities()
    {18, 215, 3, 1, 0, 51, 50},	//351 Attica::Provider::postActivity(const QString&)
    {18, 246, 0, 0, 0, 32, 51},	//352 Attica::Provider::requestCategories()
    {18, 263, 0, 0, 0, 37, 52},	//353 Attica::Provider::requestLicenses()
    {18, 288, 125, 5, 0, 33, 53},	//354 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {18, 294, 131, 6, 0, 33, 54},	//355 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int, unsigned int)
    {18, 247, 3, 1, 0, 20, 55},	//356 Attica::Provider::requestContent(const QString&)
    {18, 142, 36, 2, 0, 21, 56},	//357 Attica::Provider::downloadLink(const QString&, const QString&)
    {18, 441, 138, 2, 0, 51, 57},	//358 Attica::Provider::voteForContent(const QString&, bool)
    {18, 60, 141, 2, 0, 26, 58},	//359 Attica::Provider::addNewContent(const Attica::Category&, const Attica::Content&)
    {18, 149, 144, 3, 0, 26, 59},	//360 Attica::Provider::editContent(const Attica::Category&, const QString&, const Attica::Content&)
    {18, 118, 3, 1, 0, 51, 60},	//361 Attica::Provider::deleteContent(const QString&)
    {18, 339, 148, 3, 0, 51, 61},	//362 Attica::Provider::setDownloadFile(const QString&, const QString&, const QByteArray&)
    {18, 120, 3, 1, 0, 51, 62},	//363 Attica::Provider::deleteDownloadFile(const QString&)
    {18, 381, 152, 4, 0, 51, 63},	//364 Attica::Provider::setPreviewImage(const QString&, const QString&, const QString&, const QByteArray&)
    {18, 122, 36, 2, 0, 51, 64},	//365 Attica::Provider::deletePreviewImage(const QString&, const QString&)
    {18, 261, 3, 1, 0, 23, 65},	//366 Attica::Provider::requestKnowledgeBaseEntry(const QString&)
    {18, 300, 157, 5, 0, 36, 66},	//367 Attica::Provider::searchKnowledgeBase(const Attica::Content&, const QString&, Attica::Provider::SortMode, int, int)
    {18, 249, 3, 1, 0, 22, 67},	//368 Attica::Provider::requestEvent(const QString&)
    {18, 249, 163, 6, 0, 34, 68},	//369 Attica::Provider::requestEvent(const QString&, const QString&, const QDate&, Attica::Provider::SortMode, int, int)
    {18, 83, 3, 1, 0, 51, 69},	//370 Attica::Provider::becomeFan(const QString&)
    {18, 252, 170, 3, 0, 39, 70},	//371 Attica::Provider::requestFans(const QString&, unsigned int, unsigned int)
    {18, 108, 3, 1, Smoke::mf_protected, 74, 71},	//372 Attica::Provider::createUrl(const QString&)
    {18, 105, 11, 1, Smoke::mf_protected, 69, 72},	//373 Attica::Provider::createRequest(const QUrl&)
    {18, 105, 3, 1, Smoke::mf_protected, 69, 73},	//374 Attica::Provider::createRequest(const QString&)
    {18, 138, 11, 1, Smoke::mf_protected, 25, 74},	//375 Attica::Provider::doRequestPerson(const QUrl&)
    {18, 130, 11, 1, Smoke::mf_protected, 19, 75},	//376 Attica::Provider::doRequestAccountBalance(const QUrl&)
    {18, 140, 11, 1, Smoke::mf_protected, 39, 76},	//377 Attica::Provider::doRequestPersonList(const QUrl&)
    {18, 132, 11, 1, Smoke::mf_protected, 31, 77},	//378 Attica::Provider::doRequestActivityList(const QUrl&)
    {18, 134, 11, 1, Smoke::mf_protected, 35, 78},	//379 Attica::Provider::doRequestFolderList(const QUrl&)
    {18, 136, 11, 1, Smoke::mf_protected, 38, 79},	//380 Attica::Provider::doRequestMessageList(const QUrl&)
    {18, 271, 174, 2, 0, 39, 80},	//381 Attica::Provider::requestPersonSearchByLocation(double, double)
    {18, 271, 177, 3, 0, 39, 81},	//382 Attica::Provider::requestPersonSearchByLocation(double, double, double)
    {18, 271, 181, 4, 0, 39, 82},	//383 Attica::Provider::requestPersonSearchByLocation(double, double, double, int)
    {18, 217, 174, 2, 0, 51, 83},	//384 Attica::Provider::postLocation(double, double)
    {18, 217, 186, 3, 0, 51, 84},	//385 Attica::Provider::postLocation(double, double, const QString&)
    {18, 257, 3, 1, 0, 39, 85},	//386 Attica::Provider::requestFriends(const QString&)
    {18, 257, 190, 2, 0, 39, 86},	//387 Attica::Provider::requestFriends(const QString&, int)
    {18, 282, 0, 0, 0, 39, 87},	//388 Attica::Provider::requestSentInvitations()
    {18, 282, 34, 1, 0, 39, 88},	//389 Attica::Provider::requestSentInvitations(int)
    {18, 279, 0, 0, 0, 39, 89},	//390 Attica::Provider::requestReceivedInvitations()
    {18, 279, 34, 1, 0, 39, 90},	//391 Attica::Provider::requestReceivedInvitations(int)
    {18, 288, 193, 1, 0, 33, 91},	//392 Attica::Provider::searchContents(const QList<Attica::Category>&)
    {18, 288, 195, 2, 0, 33, 92},	//393 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&)
    {18, 288, 198, 3, 0, 33, 93},	//394 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode)
    {18, 288, 202, 4, 0, 33, 94},	//395 Attica::Provider::searchContents(const QList<Attica::Category>&, const QString&, Attica::Provider::SortMode, unsigned int)
    {18, 294, 195, 2, 0, 33, 95},	//396 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&)
    {18, 294, 207, 3, 0, 33, 96},	//397 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&)
    {18, 294, 211, 4, 0, 33, 97},	//398 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode)
    {18, 294, 216, 5, 0, 33, 98},	//399 Attica::Provider::searchContentsByPerson(const QList<Attica::Category>&, const QString&, const QString&, Attica::Provider::SortMode, unsigned int)
    {18, 142, 3, 1, 0, 21, 99},	//400 Attica::Provider::downloadLink(const QString&)
    {18, 252, 3, 1, 0, 39, 100},	//401 Attica::Provider::requestFans(const QString&)
    {18, 252, 222, 2, 0, 39, 101},	//402 Attica::Provider::requestFans(const QString&, unsigned int)
    {18, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 102},	//403 Attica::Provider::Newest (enum)
    {18, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 103},	//404 Attica::Provider::Alphabetical (enum)
    {18, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 104},	//405 Attica::Provider::Rating (enum)
    {18, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 105},	//406 Attica::Provider::Downloads (enum)
    {18, 460, 0, 0, Smoke::mf_dtor, 0, 106 },	//407 Attica::Provider::~Provider()
    {19, 204, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 168, 1},	//408 Attica::ProviderManager::metaObject() const
    {19, 235, 13, 1, Smoke::mf_virtual, 179, 2},	//409 Attica::ProviderManager::qt_metacast(const char*)
    {19, 428, 15, 2, Smoke::mf_static, 71, 3},	//410 Attica::ProviderManager::tr(const char*, const char*)
    {19, 432, 15, 2, Smoke::mf_static, 71, 4},	//411 Attica::ProviderManager::trUtf8(const char*, const char*)
    {19, 428, 18, 3, Smoke::mf_static, 71, 5},	//412 Attica::ProviderManager::tr(const char*, const char*, int)
    {19, 432, 18, 3, Smoke::mf_static, 71, 6},	//413 Attica::ProviderManager::trUtf8(const char*, const char*, int)
    {19, 233, 22, 3, Smoke::mf_virtual, 176, 7},	//414 Attica::ProviderManager::qt_metacall(QMetaObject::Call, int, void**)
    {19, 38, 0, 0, Smoke::mf_ctor, 56, 8},	//415 Attica::ProviderManager::ProviderManager()
    {19, 199, 0, 0, 0, 0, 9},	//416 Attica::ProviderManager::loadDefaultProviders()
    {19, 116, 0, 0, 0, 64, 10},	//417 Attica::ProviderManager::defaultProviderFiles()
    {19, 64, 11, 1, 0, 0, 11},	//418 Attica::ProviderManager::addProviderFileToDefaultProviders(const QUrl&)
    {19, 242, 11, 1, 0, 0, 12},	//419 Attica::ProviderManager::removeProviderFileFromDefaultProviders(const QUrl&)
    {19, 307, 41, 1, 0, 0, 13},	//420 Attica::ProviderManager::setAuthenticationSuppressed(bool)
    {19, 96, 0, 0, 0, 0, 14},	//421 Attica::ProviderManager::clear()
    {19, 66, 3, 1, 0, 0, 15},	//422 Attica::ProviderManager::addProviderFromXml(const QString&)
    {19, 62, 11, 1, 0, 0, 16},	//423 Attica::ProviderManager::addProviderFile(const QUrl&)
    {19, 231, 0, 0, Smoke::mf_const, 64, 17},	//424 Attica::ProviderManager::providerFiles() const
    {19, 232, 0, 0, Smoke::mf_const, 63, 18},	//425 Attica::ProviderManager::providers() const
    {19, 100, 3, 1, Smoke::mf_const, 147, 19},	//426 Attica::ProviderManager::contains(const QString&) const
    {19, 229, 11, 1, Smoke::mf_const, 52, 20},	//427 Attica::ProviderManager::providerByUrl(const QUrl&) const
    {19, 227, 90, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//428 Attica::ProviderManager::providerAdded(const Attica::Provider&)
    {19, 117, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//429 Attica::ProviderManager::defaultProvidersLoaded()
    {19, 77, 90, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//430 Attica::ProviderManager::authenticationCredentialsMissing(const Attica::Provider&)
    {19, 428, 13, 1, Smoke::mf_static, 71, 24},	//431 Attica::ProviderManager::tr(const char*)
    {19, 432, 13, 1, Smoke::mf_static, 71, 25},	//432 Attica::ProviderManager::trUtf8(const char*)
    {19, 419, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 167, 26},	//433 Attica::ProviderManager::staticMetaObject() const
    {19, 461, 0, 0, Smoke::mf_dtor, 0, 27 },	//434 Attica::ProviderManager::~ProviderManager()
    {25, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 1},	//435 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {25, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 2},	//436 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {25, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 3},	//437 QGlobalSpace::Q_STATIC_TYPE (enum)
    {25, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 4},	//438 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {25, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 5},	//439 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {25, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 6},	//440 QGlobalSpace::QtDebugMsg (enum)
    {25, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 7},	//441 QGlobalSpace::QtWarningMsg (enum)
    {25, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 8},	//442 QGlobalSpace::QtCriticalMsg (enum)
    {25, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 9},	//443 QGlobalSpace::QtFatalMsg (enum)
    {25, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 10},	//444 QGlobalSpace::QtSystemMsg (enum)
    {31, 155, 225, 1, Smoke::mf_virtual, 147, 0},	//445 QObject::event(QEvent*)
    {31, 156, 227, 2, Smoke::mf_virtual, 147, 0},	//446 QObject::eventFilter(QObject*, QEvent*)
    {31, 424, 230, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//447 QObject::timerEvent(QTimerEvent*)
    {31, 94, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//448 QObject::childEvent(QChildEvent*)
    {31, 112, 225, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//449 QObject::customEvent(QEvent*)
    {31, 99, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//450 QObject::connectNotify(const char*)
    {31, 128, 13, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//451 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    285,  // Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*)
    286,  // Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&)
    0,
    326,  // Attica::Provider::hasCredentials() const
    327,  // Attica::Provider::hasCredentials()
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 1, 1},	// Attica::AccountBalance::AccountBalance
    {1, 2, 2},	// Attica::AccountBalance::AccountBalance#
    {1, 81, 7},	// Attica::AccountBalance::balance
    {1, 111, 5},	// Attica::AccountBalance::currency
    {1, 209, 3},	// Attica::AccountBalance::operator=#
    {1, 312, 6},	// Attica::AccountBalance::setBalance$
    {1, 332, 4},	// Attica::AccountBalance::setCurrency$
    {1, 443, 8},	// Attica::AccountBalance::~AccountBalance
    {2, 3, 9},	// Attica::Activity::Activity
    {2, 4, 10},	// Attica::Activity::Activity#
    {2, 73, 15},	// Attica::Activity::associatedPerson
    {2, 182, 13},	// Attica::Activity::id
    {2, 189, 22},	// Attica::Activity::isValid
    {2, 195, 21},	// Attica::Activity::link
    {2, 201, 19},	// Attica::Activity::message
    {2, 209, 11},	// Attica::Activity::operator=#
    {2, 306, 14},	// Attica::Activity::setAssociatedPerson#
    {2, 361, 12},	// Attica::Activity::setId$
    {2, 369, 20},	// Attica::Activity::setLink#
    {2, 374, 18},	// Attica::Activity::setMessage$
    {2, 402, 16},	// Attica::Activity::setTimestamp#
    {2, 425, 17},	// Attica::Activity::timestamp
    {2, 444, 23},	// Attica::Activity::~Activity
    {3, 52, 33},	// Attica::BaseJob::abort
    {3, 113, 35},	// Attica::BaseJob::dataFinished
    {3, 157, 37},	// Attica::BaseJob::executeRequest
    {3, 163, 34},	// Attica::BaseJob::finished#
    {3, 183, 39},	// Attica::BaseJob::internals
    {3, 204, 24},	// Attica::BaseJob::metaObject
    {3, 205, 31},	// Attica::BaseJob::metadata
    {3, 211, 38},	// Attica::BaseJob::parse$
    {3, 234, 30},	// Attica::BaseJob::qt_metacall$$?
    {3, 236, 25},	// Attica::BaseJob::qt_metacast$
    {3, 378, 36},	// Attica::BaseJob::setMetadata#
    {3, 417, 32},	// Attica::BaseJob::start
    {3, 419, 42},	// Attica::BaseJob::staticMetaObject
    {3, 429, 40},	// Attica::BaseJob::tr$
    {3, 430, 26},	// Attica::BaseJob::tr$$
    {3, 431, 28},	// Attica::BaseJob::tr$$$
    {3, 433, 41},	// Attica::BaseJob::trUtf8$
    {3, 434, 27},	// Attica::BaseJob::trUtf8$$
    {3, 435, 29},	// Attica::BaseJob::trUtf8$$$
    {3, 445, 43},	// Attica::BaseJob::~BaseJob
    {4, 7, 44},	// Attica::Category::Category
    {4, 8, 45},	// Attica::Category::Category#
    {4, 182, 48},	// Attica::Category::id
    {4, 189, 51},	// Attica::Category::isValid
    {4, 207, 50},	// Attica::Category::name
    {4, 209, 46},	// Attica::Category::operator=#
    {4, 361, 47},	// Attica::Category::setId$
    {4, 380, 49},	// Attica::Category::setName$
    {4, 446, 52},	// Attica::Category::~Category
    {5, 9, 53},	// Attica::Content::Content
    {5, 10, 54},	// Attica::Content::Content#
    {5, 55, 79},	// Attica::Content::addAttribute$$
    {5, 75, 80},	// Attica::Content::attribute$
    {5, 76, 81},	// Attica::Content::attributes
    {5, 79, 78},	// Attica::Content::author
    {5, 91, 70},	// Attica::Content::changelog
    {5, 110, 65},	// Attica::Content::created
    {5, 124, 72},	// Attica::Content::depend
    {5, 125, 68},	// Attica::Content::description
    {5, 127, 69},	// Attica::Content::detailpage
    {5, 146, 73},	// Attica::Content::downloadUrlDescription$
    {5, 147, 74},	// Attica::Content::downloadUrlDescriptions
    {5, 148, 63},	// Attica::Content::downloads
    {5, 182, 57},	// Attica::Content::id
    {5, 189, 82},	// Attica::Content::isValid
    {5, 194, 77},	// Attica::Content::license
    {5, 207, 59},	// Attica::Content::name
    {5, 209, 55},	// Attica::Content::operator=#
    {5, 223, 83},	// Attica::Content::previewPicture
    {5, 224, 75},	// Attica::Content::previewPicture$
    {5, 237, 61},	// Attica::Content::rating
    {5, 330, 64},	// Attica::Content::setCreated#
    {5, 342, 62},	// Attica::Content::setDownloads$
    {5, 361, 56},	// Attica::Content::setId$
    {5, 380, 58},	// Attica::Content::setName$
    {5, 388, 60},	// Attica::Content::setRating$
    {5, 410, 66},	// Attica::Content::setUpdated#
    {5, 415, 84},	// Attica::Content::smallPreviewPicture
    {5, 416, 76},	// Attica::Content::smallPreviewPicture$
    {5, 437, 67},	// Attica::Content::updated
    {5, 440, 71},	// Attica::Content::version
    {5, 447, 85},	// Attica::Content::~Content
    {6, 11, 86},	// Attica::DownloadDescription::DownloadDescription
    {6, 12, 87},	// Attica::DownloadDescription::DownloadDescription#
    {6, 89, 92},	// Attica::DownloadDescription::category
    {6, 129, 95},	// Attica::DownloadDescription::distributionType
    {6, 180, 91},	// Attica::DownloadDescription::hasPrice
    {6, 182, 89},	// Attica::DownloadDescription::id
    {6, 186, 90},	// Attica::DownloadDescription::isDownloadtypLink
    {6, 195, 94},	// Attica::DownloadDescription::link
    {6, 207, 93},	// Attica::DownloadDescription::name
    {6, 209, 88},	// Attica::DownloadDescription::operator=#
    {6, 225, 97},	// Attica::DownloadDescription::priceAmount
    {6, 226, 96},	// Attica::DownloadDescription::priceReason
    {6, 318, 101},	// Attica::DownloadDescription::setCategory$
    {6, 338, 104},	// Attica::DownloadDescription::setDistributionType$
    {6, 344, 99},	// Attica::DownloadDescription::setDownloadtypLink$
    {6, 356, 100},	// Attica::DownloadDescription::setHasPrice$
    {6, 361, 98},	// Attica::DownloadDescription::setId$
    {6, 370, 103},	// Attica::DownloadDescription::setLink$
    {6, 380, 102},	// Attica::DownloadDescription::setName$
    {6, 384, 106},	// Attica::DownloadDescription::setPriceAmount$
    {6, 386, 105},	// Attica::DownloadDescription::setPriceReason$
    {6, 448, 107},	// Attica::DownloadDescription::~DownloadDescription
    {7, 13, 108},	// Attica::DownloadItem::DownloadItem
    {7, 14, 109},	// Attica::DownloadItem::DownloadItem#
    {7, 209, 110},	// Attica::DownloadItem::operator=#
    {7, 412, 111},	// Attica::DownloadItem::setUrl#
    {7, 438, 112},	// Attica::DownloadItem::url
    {7, 449, 113},	// Attica::DownloadItem::~DownloadItem
    {8, 16, 114},	// Attica::Event::Event
    {8, 17, 115},	// Attica::Event::Event#
    {8, 59, 139},	// Attica::Event::addExtendedAttribute$$
    {8, 95, 138},	// Attica::Event::city
    {8, 104, 136},	// Attica::Event::country
    {8, 125, 122},	// Attica::Event::description
    {8, 153, 128},	// Attica::Event::endDate
    {8, 159, 140},	// Attica::Event::extendedAttribute$
    {8, 160, 141},	// Attica::Event::extendedAttributes
    {8, 181, 134},	// Attica::Event::homepage
    {8, 182, 118},	// Attica::Event::id
    {8, 189, 142},	// Attica::Event::isValid
    {8, 193, 130},	// Attica::Event::latitude
    {8, 200, 132},	// Attica::Event::longitude
    {8, 207, 120},	// Attica::Event::name
    {8, 209, 116},	// Attica::Event::operator=#
    {8, 322, 137},	// Attica::Event::setCity$
    {8, 328, 135},	// Attica::Event::setCountry$
    {8, 334, 121},	// Attica::Event::setDescription$
    {8, 348, 127},	// Attica::Event::setEndDate#
    {8, 358, 133},	// Attica::Event::setHomepage#
    {8, 361, 117},	// Attica::Event::setId$
    {8, 367, 129},	// Attica::Event::setLatitude$
    {8, 372, 131},	// Attica::Event::setLongitude$
    {8, 380, 119},	// Attica::Event::setName$
    {8, 392, 125},	// Attica::Event::setStartDate#
    {8, 414, 123},	// Attica::Event::setUser$
    {8, 418, 126},	// Attica::Event::startDate
    {8, 439, 124},	// Attica::Event::user
    {8, 450, 143},	// Attica::Event::~Event
    {9, 18, 144},	// Attica::Folder::Folder
    {9, 19, 145},	// Attica::Folder::Folder#
    {9, 182, 148},	// Attica::Folder::id
    {9, 189, 155},	// Attica::Folder::isValid
    {9, 202, 152},	// Attica::Folder::messageCount
    {9, 207, 150},	// Attica::Folder::name
    {9, 209, 146},	// Attica::Folder::operator=#
    {9, 361, 147},	// Attica::Folder::setId$
    {9, 376, 151},	// Attica::Folder::setMessageCount$
    {9, 380, 149},	// Attica::Folder::setName$
    {9, 408, 153},	// Attica::Folder::setType$
    {9, 436, 154},	// Attica::Folder::type
    {9, 451, 156},	// Attica::Folder::~Folder
    {10, 204, 157},	// Attica::GetJob::metaObject
    {10, 234, 163},	// Attica::GetJob::qt_metacall$$?
    {10, 236, 158},	// Attica::GetJob::qt_metacast$
    {10, 419, 166},	// Attica::GetJob::staticMetaObject
    {10, 429, 164},	// Attica::GetJob::tr$
    {10, 430, 159},	// Attica::GetJob::tr$$
    {10, 431, 161},	// Attica::GetJob::tr$$$
    {10, 433, 165},	// Attica::GetJob::trUtf8$
    {10, 434, 160},	// Attica::GetJob::trUtf8$$
    {10, 435, 162},	// Attica::GetJob::trUtf8$$$
    {10, 452, 167},	// Attica::GetJob::~GetJob
    {11, 20, 168},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry
    {11, 21, 169},	// Attica::KnowledgeBaseEntry::KnowledgeBaseEntry#
    {11, 59, 191},	// Attica::KnowledgeBaseEntry::addExtendedAttribute$$
    {11, 68, 186},	// Attica::KnowledgeBaseEntry::answer
    {11, 90, 180},	// Attica::KnowledgeBaseEntry::changed
    {11, 98, 188},	// Attica::KnowledgeBaseEntry::comments
    {11, 102, 174},	// Attica::KnowledgeBaseEntry::contentId
    {11, 125, 184},	// Attica::KnowledgeBaseEntry::description
    {11, 126, 190},	// Attica::KnowledgeBaseEntry::detailPage
    {11, 159, 192},	// Attica::KnowledgeBaseEntry::extendedAttribute$
    {11, 160, 193},	// Attica::KnowledgeBaseEntry::extendedAttributes
    {11, 182, 172},	// Attica::KnowledgeBaseEntry::id
    {11, 189, 194},	// Attica::KnowledgeBaseEntry::isValid
    {11, 207, 182},	// Attica::KnowledgeBaseEntry::name
    {11, 209, 170},	// Attica::KnowledgeBaseEntry::operator=#
    {11, 304, 185},	// Attica::KnowledgeBaseEntry::setAnswer$
    {11, 320, 179},	// Attica::KnowledgeBaseEntry::setChanged#
    {11, 324, 187},	// Attica::KnowledgeBaseEntry::setComments$
    {11, 326, 173},	// Attica::KnowledgeBaseEntry::setContentId$
    {11, 334, 183},	// Attica::KnowledgeBaseEntry::setDescription$
    {11, 336, 189},	// Attica::KnowledgeBaseEntry::setDetailPage#
    {11, 361, 171},	// Attica::KnowledgeBaseEntry::setId$
    {11, 380, 181},	// Attica::KnowledgeBaseEntry::setName$
    {11, 394, 177},	// Attica::KnowledgeBaseEntry::setStatus$
    {11, 414, 175},	// Attica::KnowledgeBaseEntry::setUser$
    {11, 420, 178},	// Attica::KnowledgeBaseEntry::status
    {11, 439, 176},	// Attica::KnowledgeBaseEntry::user
    {11, 453, 195},	// Attica::KnowledgeBaseEntry::~KnowledgeBaseEntry
    {12, 22, 196},	// Attica::License::License
    {12, 23, 197},	// Attica::License::License#
    {12, 182, 199},	// Attica::License::id
    {12, 207, 201},	// Attica::License::name
    {12, 209, 198},	// Attica::License::operator=#
    {12, 361, 200},	// Attica::License::setId$
    {12, 380, 202},	// Attica::License::setName$
    {12, 412, 204},	// Attica::License::setUrl#
    {12, 438, 203},	// Attica::License::url
    {12, 454, 205},	// Attica::License::~License
    {13, 6, 226},	// Attica::Message::Answered
    {13, 24, 206},	// Attica::Message::Message
    {13, 25, 207},	// Attica::Message::Message#
    {13, 50, 225},	// Attica::Message::Read
    {13, 51, 224},	// Attica::Message::Unread
    {13, 86, 222},	// Attica::Message::body
    {13, 166, 212},	// Attica::Message::from
    {13, 182, 210},	// Attica::Message::id
    {13, 189, 223},	// Attica::Message::isValid
    {13, 209, 208},	// Attica::Message::operator=#
    {13, 302, 216},	// Attica::Message::sent
    {13, 316, 221},	// Attica::Message::setBody$
    {13, 354, 211},	// Attica::Message::setFrom$
    {13, 361, 209},	// Attica::Message::setId$
    {13, 390, 215},	// Attica::Message::setSent#
    {13, 394, 217},	// Attica::Message::setStatus$
    {13, 400, 219},	// Attica::Message::setSubject$
    {13, 404, 213},	// Attica::Message::setTo$
    {13, 420, 218},	// Attica::Message::status
    {13, 423, 220},	// Attica::Message::subject
    {13, 426, 214},	// Attica::Message::to
    {13, 455, 227},	// Attica::Message::~Message
    {14, 26, 228},	// Attica::Metadata::Metadata
    {14, 27, 229},	// Attica::Metadata::Metadata#
    {14, 28, 244},	// Attica::Metadata::NetworkError
    {14, 30, 243},	// Attica::Metadata::NoError
    {14, 31, 245},	// Attica::Metadata::OcsError
    {14, 154, 231},	// Attica::Metadata::error
    {14, 190, 241},	// Attica::Metadata::itemsPerPage
    {14, 201, 237},	// Attica::Metadata::message
    {14, 209, 230},	// Attica::Metadata::operator=#
    {14, 350, 232},	// Attica::Metadata::setError$
    {14, 363, 242},	// Attica::Metadata::setItemsPerPage$
    {14, 374, 238},	// Attica::Metadata::setMessage$
    {14, 396, 234},	// Attica::Metadata::setStatusCode$
    {14, 398, 236},	// Attica::Metadata::setStatusString$
    {14, 406, 240},	// Attica::Metadata::setTotalItems$
    {14, 421, 233},	// Attica::Metadata::statusCode
    {14, 422, 235},	// Attica::Metadata::statusString
    {14, 427, 239},	// Attica::Metadata::totalItems
    {14, 456, 246},	// Attica::Metadata::~Metadata
    {15, 32, 247},	// Attica::Person::Person
    {15, 33, 248},	// Attica::Person::Person#
    {15, 59, 270},	// Attica::Person::addExtendedAttribute$$
    {15, 80, 265},	// Attica::Person::avatarUrl
    {15, 85, 257},	// Attica::Person::birthday
    {15, 95, 269},	// Attica::Person::city
    {15, 104, 259},	// Attica::Person::country
    {15, 159, 271},	// Attica::Person::extendedAttribute$
    {15, 160, 272},	// Attica::Person::extendedAttributes
    {15, 164, 253},	// Attica::Person::firstName
    {15, 181, 267},	// Attica::Person::homepage
    {15, 182, 251},	// Attica::Person::id
    {15, 189, 273},	// Attica::Person::isValid
    {15, 192, 255},	// Attica::Person::lastName
    {15, 193, 261},	// Attica::Person::latitude
    {15, 200, 263},	// Attica::Person::longitude
    {15, 209, 249},	// Attica::Person::operator=#
    {15, 310, 264},	// Attica::Person::setAvatarUrl#
    {15, 314, 256},	// Attica::Person::setBirthday#
    {15, 322, 268},	// Attica::Person::setCity$
    {15, 328, 258},	// Attica::Person::setCountry$
    {15, 352, 252},	// Attica::Person::setFirstName$
    {15, 359, 266},	// Attica::Person::setHomepage$
    {15, 361, 250},	// Attica::Person::setId$
    {15, 365, 254},	// Attica::Person::setLastName$
    {15, 367, 260},	// Attica::Person::setLatitude$
    {15, 372, 262},	// Attica::Person::setLongitude$
    {15, 457, 274},	// Attica::Person::~Person
    {16, 34, 288},	// Attica::PlatformDependent::PlatformDependent
    {16, 35, 289},	// Attica::PlatformDependent::PlatformDependent#
    {16, 57, 276},	// Attica::PlatformDependent::addDefaultProviderFile#
    {16, 72, 282},	// Attica::PlatformDependent::askForCredentials#$$
    {16, 152, 278},	// Attica::PlatformDependent::enableProvider#$
    {16, 168, 284},	// Attica::PlatformDependent::get#
    {16, 169, 275},	// Attica::PlatformDependent::getDefaultProviderFiles
    {16, 174, 280},	// Attica::PlatformDependent::hasCredentials#
    {16, 188, 279},	// Attica::PlatformDependent::isEnabled#
    {16, 197, 281},	// Attica::PlatformDependent::loadCredentials#$$
    {16, 206, 287},	// Attica::PlatformDependent::nam
    {16, 214, -1},	// Attica::PlatformDependent::post##
    {16, 241, 277},	// Attica::PlatformDependent::removeDefaultProviderFile#
    {16, 286, 283},	// Attica::PlatformDependent::saveCredentials#$$
    {16, 458, 290},	// Attica::PlatformDependent::~PlatformDependent
    {17, 204, 291},	// Attica::PostJob::metaObject
    {17, 234, 297},	// Attica::PostJob::qt_metacall$$?
    {17, 236, 292},	// Attica::PostJob::qt_metacast$
    {17, 419, 300},	// Attica::PostJob::staticMetaObject
    {17, 429, 298},	// Attica::PostJob::tr$
    {17, 430, 293},	// Attica::PostJob::tr$$
    {17, 431, 295},	// Attica::PostJob::tr$$$
    {17, 433, 299},	// Attica::PostJob::trUtf8$
    {17, 434, 294},	// Attica::PostJob::trUtf8$$
    {17, 435, 296},	// Attica::PostJob::trUtf8$$$
    {17, 459, 301},	// Attica::PostJob::~PostJob
    {18, 5, 404},	// Attica::Provider::Alphabetical
    {18, 15, 406},	// Attica::Provider::Downloads
    {18, 29, 403},	// Attica::Provider::Newest
    {18, 36, 302},	// Attica::Provider::Provider
    {18, 37, 303},	// Attica::Provider::Provider#
    {18, 49, 405},	// Attica::Provider::Rating
    {18, 53, 317},	// Attica::Provider::activityServiceVersion
    {18, 61, 359},	// Attica::Provider::addNewContent##
    {18, 70, 342},	// Attica::Provider::approveFriendship$
    {18, 82, 308},	// Attica::Provider::baseUrl
    {18, 84, 370},	// Attica::Provider::becomeFan$
    {18, 88, 344},	// Attica::Provider::cancelFriendship$
    {18, 93, 330},	// Attica::Provider::checkLogin$$
    {18, 97, 325},	// Attica::Provider::commentServiceVersion
    {18, 103, 319},	// Attica::Provider::contentServiceVersion
    {18, 106, 373},	// Attica::Provider::createRequest#
    {18, 107, 374},	// Attica::Provider::createRequest$
    {18, 109, 372},	// Attica::Provider::createUrl$
    {18, 115, 343},	// Attica::Provider::declineFriendship$
    {18, 119, 361},	// Attica::Provider::deleteContent$
    {18, 121, 363},	// Attica::Provider::deleteDownloadFile$
    {18, 123, 365},	// Attica::Provider::deletePreviewImage$$
    {18, 131, 376},	// Attica::Provider::doRequestAccountBalance#
    {18, 133, 378},	// Attica::Provider::doRequestActivityList#
    {18, 135, 379},	// Attica::Provider::doRequestFolderList#
    {18, 137, 380},	// Attica::Provider::doRequestMessageList#
    {18, 139, 375},	// Attica::Provider::doRequestPerson#
    {18, 141, 377},	// Attica::Provider::doRequestPersonList#
    {18, 143, 400},	// Attica::Provider::downloadLink$
    {18, 144, 357},	// Attica::Provider::downloadLink$$
    {18, 150, 360},	// Attica::Provider::editContent#$#
    {18, 161, 321},	// Attica::Provider::fanServiceVersion
    {18, 165, 313},	// Attica::Provider::friendServiceVersion
    {18, 170, 316},	// Attica::Provider::hasActivityService
    {18, 171, 324},	// Attica::Provider::hasCommentService
    {18, 172, 318},	// Attica::Provider::hasContentService
    {18, 173, -4},	// Attica::Provider::hasCredentials
    {18, 175, 320},	// Attica::Provider::hasFanService
    {18, 176, 312},	// Attica::Provider::hasFriendService
    {18, 177, 322},	// Attica::Provider::hasKnowledgebaseService
    {18, 178, 314},	// Attica::Provider::hasMessageService
    {18, 179, 310},	// Attica::Provider::hasPersonService
    {18, 185, 341},	// Attica::Provider::inviteFriend$$
    {18, 187, 306},	// Attica::Provider::isEnabled
    {18, 189, 305},	// Attica::Provider::isValid
    {18, 191, 323},	// Attica::Provider::knowledgebaseServiceVersion
    {18, 198, 328},	// Attica::Provider::loadCredentials$$
    {18, 203, 315},	// Attica::Provider::messageServiceVersion
    {18, 207, 309},	// Attica::Provider::name
    {18, 209, 304},	// Attica::Provider::operator=#
    {18, 212, 311},	// Attica::Provider::personServiceVersion
    {18, 216, 351},	// Attica::Provider::postActivity$
    {18, 218, 384},	// Attica::Provider::postLocation$$
    {18, 219, 385},	// Attica::Provider::postLocation$$$
    {18, 220, 337},	// Attica::Provider::postLocation$$$$
    {18, 222, 349},	// Attica::Provider::postMessage#
    {18, 239, 331},	// Attica::Provider::registerAccount$$$$$
    {18, 244, 334},	// Attica::Provider::requestAccountBalance
    {18, 245, 350},	// Attica::Provider::requestActivities
    {18, 246, 352},	// Attica::Provider::requestCategories
    {18, 248, 356},	// Attica::Provider::requestContent$
    {18, 250, 368},	// Attica::Provider::requestEvent$
    {18, 251, 369},	// Attica::Provider::requestEvent$$#$$$
    {18, 253, 401},	// Attica::Provider::requestFans$
    {18, 254, 402},	// Attica::Provider::requestFans$$
    {18, 255, 371},	// Attica::Provider::requestFans$$$
    {18, 256, 345},	// Attica::Provider::requestFolders
    {18, 258, 386},	// Attica::Provider::requestFriends$
    {18, 259, 387},	// Attica::Provider::requestFriends$$
    {18, 260, 338},	// Attica::Provider::requestFriends$$$
    {18, 262, 366},	// Attica::Provider::requestKnowledgeBaseEntry$
    {18, 263, 353},	// Attica::Provider::requestLicenses
    {18, 265, 348},	// Attica::Provider::requestMessage#$
    {18, 267, 346},	// Attica::Provider::requestMessages#
    {18, 268, 347},	// Attica::Provider::requestMessages#$
    {18, 270, 332},	// Attica::Provider::requestPerson$
    {18, 272, 381},	// Attica::Provider::requestPersonSearchByLocation$$
    {18, 273, 382},	// Attica::Provider::requestPersonSearchByLocation$$$
    {18, 274, 383},	// Attica::Provider::requestPersonSearchByLocation$$$$
    {18, 275, 336},	// Attica::Provider::requestPersonSearchByLocation$$$$$
    {18, 277, 335},	// Attica::Provider::requestPersonSearchByName$
    {18, 278, 333},	// Attica::Provider::requestPersonSelf
    {18, 279, 390},	// Attica::Provider::requestReceivedInvitations
    {18, 280, 391},	// Attica::Provider::requestReceivedInvitations$
    {18, 281, 340},	// Attica::Provider::requestReceivedInvitations$$
    {18, 282, 388},	// Attica::Provider::requestSentInvitations
    {18, 283, 389},	// Attica::Provider::requestSentInvitations$
    {18, 284, 339},	// Attica::Provider::requestSentInvitations$$
    {18, 287, 329},	// Attica::Provider::saveCredentials$$
    {18, 289, 392},	// Attica::Provider::searchContents?
    {18, 290, 393},	// Attica::Provider::searchContents?$
    {18, 291, 394},	// Attica::Provider::searchContents?$$
    {18, 292, 395},	// Attica::Provider::searchContents?$$$
    {18, 293, 354},	// Attica::Provider::searchContents?$$$$
    {18, 295, 396},	// Attica::Provider::searchContentsByPerson?$
    {18, 296, 397},	// Attica::Provider::searchContentsByPerson?$$
    {18, 297, 398},	// Attica::Provider::searchContentsByPerson?$$$
    {18, 298, 399},	// Attica::Provider::searchContentsByPerson?$$$$
    {18, 299, 355},	// Attica::Provider::searchContentsByPerson?$$$$$
    {18, 301, 367},	// Attica::Provider::searchKnowledgeBase#$$$$
    {18, 340, 362},	// Attica::Provider::setDownloadFile$$#
    {18, 346, 307},	// Attica::Provider::setEnabled$
    {18, 382, 364},	// Attica::Provider::setPreviewImage$$$#
    {18, 442, 358},	// Attica::Provider::voteForContent$$
    {18, 460, 407},	// Attica::Provider::~Provider
    {19, 38, 415},	// Attica::ProviderManager::ProviderManager
    {19, 63, 423},	// Attica::ProviderManager::addProviderFile#
    {19, 65, 418},	// Attica::ProviderManager::addProviderFileToDefaultProviders#
    {19, 67, 422},	// Attica::ProviderManager::addProviderFromXml$
    {19, 78, 430},	// Attica::ProviderManager::authenticationCredentialsMissing#
    {19, 96, 421},	// Attica::ProviderManager::clear
    {19, 101, 426},	// Attica::ProviderManager::contains$
    {19, 116, 417},	// Attica::ProviderManager::defaultProviderFiles
    {19, 117, 429},	// Attica::ProviderManager::defaultProvidersLoaded
    {19, 199, 416},	// Attica::ProviderManager::loadDefaultProviders
    {19, 204, 408},	// Attica::ProviderManager::metaObject
    {19, 228, 428},	// Attica::ProviderManager::providerAdded#
    {19, 230, 427},	// Attica::ProviderManager::providerByUrl#
    {19, 231, 424},	// Attica::ProviderManager::providerFiles
    {19, 232, 425},	// Attica::ProviderManager::providers
    {19, 234, 414},	// Attica::ProviderManager::qt_metacall$$?
    {19, 236, 409},	// Attica::ProviderManager::qt_metacast$
    {19, 243, 419},	// Attica::ProviderManager::removeProviderFileFromDefaultProviders#
    {19, 308, 420},	// Attica::ProviderManager::setAuthenticationSuppressed$
    {19, 419, 433},	// Attica::ProviderManager::staticMetaObject
    {19, 429, 431},	// Attica::ProviderManager::tr$
    {19, 430, 410},	// Attica::ProviderManager::tr$$
    {19, 431, 412},	// Attica::ProviderManager::tr$$$
    {19, 433, 432},	// Attica::ProviderManager::trUtf8$
    {19, 434, 411},	// Attica::ProviderManager::trUtf8$$
    {19, 435, 413},	// Attica::ProviderManager::trUtf8$$$
    {19, 461, 434},	// Attica::ProviderManager::~ProviderManager
    {25, 39, 435},	// QGlobalSpace::Q_COMPLEX_TYPE
    {25, 40, 439},	// QGlobalSpace::Q_DUMMY_TYPE
    {25, 41, 438},	// QGlobalSpace::Q_MOVABLE_TYPE
    {25, 42, 436},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {25, 43, 437},	// QGlobalSpace::Q_STATIC_TYPE
    {25, 44, 442},	// QGlobalSpace::QtCriticalMsg
    {25, 45, 440},	// QGlobalSpace::QtDebugMsg
    {25, 46, 443},	// QGlobalSpace::QtFatalMsg
    {25, 47, 444},	// QGlobalSpace::QtSystemMsg
    {25, 48, 441},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *attica_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_attica_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    attica_Smoke = new Smoke(
        "attica",
        __smokeattica::classes, 33,
        __smokeattica::methods, 452,
        __smokeattica::methodMaps, 443,
        __smokeattica::methodNames, 461,
        __smokeattica::types, 181,
        __smokeattica::inheritanceList,
        __smokeattica::argumentList,
        __smokeattica::ambiguousMethodList,
        __smokeattica::cast );
    initialized = true;
}

void delete_attica_Smoke() { delete attica_Smoke; }

}
