#include <knewstuff2_includes.h>

#include <smoke.h>
#include <knewstuff2_smoke.h>

namespace __smokeknewstuff2 {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComponentData
      switch(to) {
        case 4: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 5:   //KGuiItem
      switch(to) {
        case 5: return (void*)(KGuiItem*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KNS::Button
      switch(to) {
        case 8: return (void*)(KPushButton*)(KNS::Button*)xptr;
        case 59: return (void*)(QPushButton*)(KNS::Button*)xptr;
        case 10: return (void*)(QAbstractButton*)(KNS::Button*)xptr;
        case 80: return (void*)(QWidget*)(KNS::Button*)xptr;
        case 49: return (void*)(QObject*)(KNS::Button*)xptr;
        case 7: return (void*)(KNS::Button*)xptr;
        default: return xptr;
      }
    case 8:   //KPushButton
      switch(to) {
        case 59: return (void*)(QPushButton*)(KPushButton*)xptr;
        case 10: return (void*)(QAbstractButton*)(KPushButton*)xptr;
        case 80: return (void*)(QWidget*)(KPushButton*)xptr;
        case 49: return (void*)(QObject*)(KPushButton*)xptr;
        case 8: return (void*)(KPushButton*)xptr;
        case 7: return (void*)(KNS::Button*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 9:   //KStandardDirs
      switch(to) {
        case 9: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 10:   //QAbstractButton
      switch(to) {
        case 80: return (void*)(QWidget*)(QAbstractButton*)xptr;
        case 49: return (void*)(QObject*)(QAbstractButton*)xptr;
        case 10: return (void*)(QAbstractButton*)xptr;
        case 7: return (void*)(KNS::Button*)(QAbstractButton*)xptr;
        default: return xptr;
      }
    case 11:   //QActionEvent
      switch(to) {
        case 11: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QBool
      switch(to) {
        case 12: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 13:   //QBrush
      switch(to) {
        case 13: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 14:   //QByteArray
      switch(to) {
        case 14: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 15:   //QChar
      switch(to) {
        case 15: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 16:   //QChildEvent
      switch(to) {
        case 16: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QCloseEvent
      switch(to) {
        case 17: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QColor
      switch(to) {
        case 18: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 19:   //QContextMenuEvent
      switch(to) {
        case 19: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QCursor
      switch(to) {
        case 20: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 21:   //QDataStream
      switch(to) {
        case 21: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 22:   //QDate
      switch(to) {
        case 22: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 23:   //QDateTime
      switch(to) {
        case 23: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 24:   //QDrag
      switch(to) {
        case 24: return (void*)(QDrag*)xptr;
        default: return xptr;
      }
    case 25:   //QDragEnterEvent
      switch(to) {
        case 25: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 26:   //QDragLeaveEvent
      switch(to) {
        case 26: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QDragMoveEvent
      switch(to) {
        case 27: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QDropEvent
      switch(to) {
        case 28: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 29:   //QEvent
      switch(to) {
        case 29: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QFocusEvent
      switch(to) {
        case 30: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QFont
      switch(to) {
        case 31: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 33:   //QHashDummyValue
      switch(to) {
        case 33: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 34:   //QHideEvent
      switch(to) {
        case 34: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QIcon
      switch(to) {
        case 35: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 36:   //QImage
      switch(to) {
        case 36: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 37:   //QIncompatibleFlag
      switch(to) {
        case 37: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 38:   //QInputMethodEvent
      switch(to) {
        case 38: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QKeyEvent
      switch(to) {
        case 39: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QKeySequence
      switch(to) {
        case 40: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 41:   //QLatin1String
      switch(to) {
        case 41: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 42:   //QLine
      switch(to) {
        case 42: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 43:   //QLineF
      switch(to) {
        case 43: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 44:   //QMargins
      switch(to) {
        case 44: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 45:   //QMatrix
      switch(to) {
        case 45: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 46:   //QMetaObject
      switch(to) {
        case 46: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 47:   //QMouseEvent
      switch(to) {
        case 47: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QMoveEvent
      switch(to) {
        case 48: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QObject
      switch(to) {
        case 49: return (void*)(QObject*)xptr;
        case 7: return (void*)(KNS::Button*)(QObject*)xptr;
        default: return xptr;
      }
    case 50:   //QPaintEngine
      switch(to) {
        case 50: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 51:   //QPaintEvent
      switch(to) {
        case 51: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QPainterPath
      switch(to) {
        case 52: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 53:   //QPalette
      switch(to) {
        case 53: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 54:   //QPixmap
      switch(to) {
        case 54: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 55:   //QPoint
      switch(to) {
        case 55: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 56:   //QPointF
      switch(to) {
        case 56: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 57:   //QPolygon
      switch(to) {
        case 57: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 58:   //QPolygonF
      switch(to) {
        case 58: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 59:   //QPushButton
      switch(to) {
        case 10: return (void*)(QAbstractButton*)(QPushButton*)xptr;
        case 80: return (void*)(QWidget*)(QPushButton*)xptr;
        case 49: return (void*)(QObject*)(QPushButton*)xptr;
        case 59: return (void*)(QPushButton*)xptr;
        case 7: return (void*)(KNS::Button*)(QPushButton*)xptr;
        default: return xptr;
      }
    case 60:   //QRect
      switch(to) {
        case 60: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 61:   //QRectF
      switch(to) {
        case 61: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 62:   //QRegExp
      switch(to) {
        case 62: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 63:   //QRegion
      switch(to) {
        case 63: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 64:   //QResizeEvent
      switch(to) {
        case 64: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QShowEvent
      switch(to) {
        case 65: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 66:   //QSize
      switch(to) {
        case 66: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 67:   //QSizeF
      switch(to) {
        case 67: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 68:   //QSizePolicy
      switch(to) {
        case 68: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 69:   //QString::Null
      switch(to) {
        case 69: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 70:   //QStringRef
      switch(to) {
        case 70: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 71:   //QStyle
      switch(to) {
        case 71: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 72:   //QTabletEvent
      switch(to) {
        case 72: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QTime
      switch(to) {
        case 73: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 74:   //QTimerEvent
      switch(to) {
        case 74: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QTransform
      switch(to) {
        case 75: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 76:   //QUrl
      switch(to) {
        case 76: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 77:   //QVariant
      switch(to) {
        case 77: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 78:   //QVariantComparisonHelper
      switch(to) {
        case 78: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 79:   //QWheelEvent
      switch(to) {
        case 79: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QWidget
      switch(to) {
        case 49: return (void*)(QObject*)(QWidget*)xptr;
        case 80: return (void*)(QWidget*)xptr;
        case 7: return (void*)(KNS::Button*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    8, 0,	// 1: KPushButton
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KNS__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//4
    { "KGuiItem", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KNS::Button", false, 1, xcall_KNS__Button, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS::Button) },	//7
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//8
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//9
    { "QAbstractButton", true, 0, 0, 0, 0, 0 },	//10
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QBool", true, 0, 0, 0, 0, 0 },	//12
    { "QBrush", true, 0, 0, 0, 0, 0 },	//13
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//14
    { "QChar", true, 0, 0, 0, 0, 0 },	//15
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//16
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QColor", true, 0, 0, 0, 0, 0 },	//18
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QCursor", true, 0, 0, 0, 0, 0 },	//20
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//21
    { "QDate", true, 0, 0, 0, 0, 0 },	//22
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//23
    { "QDrag", true, 0, 0, 0, 0, 0 },	//24
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//25
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//28
    { "QEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QFont", true, 0, 0, 0, 0, 0 },	//31
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//32
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//33
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QIcon", true, 0, 0, 0, 0, 0 },	//35
    { "QImage", true, 0, 0, 0, 0, 0 },	//36
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//37
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//40
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//41
    { "QLine", true, 0, 0, 0, 0, 0 },	//42
    { "QLineF", true, 0, 0, 0, 0, 0 },	//43
    { "QMargins", true, 0, 0, 0, 0, 0 },	//44
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//45
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//46
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QObject", true, 0, 0, 0, 0, 0 },	//49
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//50
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//52
    { "QPalette", true, 0, 0, 0, 0, 0 },	//53
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//54
    { "QPoint", true, 0, 0, 0, 0, 0 },	//55
    { "QPointF", true, 0, 0, 0, 0, 0 },	//56
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//57
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//58
    { "QPushButton", true, 0, 0, 0, 0, 0 },	//59
    { "QRect", true, 0, 0, 0, 0, 0 },	//60
    { "QRectF", true, 0, 0, 0, 0, 0 },	//61
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//62
    { "QRegion", true, 0, 0, 0, 0, 0 },	//63
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//65
    { "QSize", true, 0, 0, 0, 0, 0 },	//66
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//67
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//68
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//69
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//70
    { "QStyle", true, 0, 0, 0, 0, 0 },	//71
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QTime", true, 0, 0, 0, 0, 0 },	//73
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QTransform", true, 0, 0, 0, 0, 0 },	//75
    { "QUrl", true, 0, 0, 0, 0, 0 },	//76
    { "QVariant", true, 0, 0, 0, 0, 0 },	//77
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//78
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QWidget", true, 0, 0, 0, 0, 0 },	//80
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComponentData", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KGuiItem", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//8
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KNS::Button*", 7, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "KStandardDirs*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KStandardGuiItem::BidiMode", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "KStandardGuiItem::StandardItem", 0, Smoke::t_enum|Smoke::tf_stack },	//14
    { "KUrl::CleanPathOption", 0, Smoke::t_enum|Smoke::tf_stack },	//15
    { "KUrl::DirectoryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "KUrl::EncodedPathAndQueryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KUrl::EqualsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KUrl::QueryItemsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QActionEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QBool", 12, Smoke::t_class|Smoke::tf_stack },	//21
    { "QBrush&", 13, Smoke::t_class|Smoke::tf_ref },	//22
    { "QByteArray&", 14, Smoke::t_class|Smoke::tf_ref },	//23
    { "QChar", 15, Smoke::t_class|Smoke::tf_stack },	//24
    { "QChar&", 15, Smoke::t_class|Smoke::tf_ref },	//25
    { "QChildEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QCloseEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QColor&", 18, Smoke::t_class|Smoke::tf_ref },	//28
    { "QContextMenuEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QCursor&", 20, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDataStream&", 21, Smoke::t_class|Smoke::tf_ref },	//31
    { "QDate&", 22, Smoke::t_class|Smoke::tf_ref },	//32
    { "QDateTime&", 23, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDrag*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDragEnterEvent*", 25, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QDragLeaveEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDragMoveEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDropEvent*", 28, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFocusEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QFont&", 31, Smoke::t_class|Smoke::tf_ref },	//67
    { "QHideEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QIcon&", 35, Smoke::t_class|Smoke::tf_ref },	//70
    { "QImage&", 36, Smoke::t_class|Smoke::tf_ref },	//71
    { "QIncompatibleFlag", 37, Smoke::t_class|Smoke::tf_stack },	//72
    { "QInputMethodEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QKeyEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QKeySequence&", 40, Smoke::t_class|Smoke::tf_ref },	//75
    { "QLine", 42, Smoke::t_class|Smoke::tf_stack },	//76
    { "QLine&", 42, Smoke::t_class|Smoke::tf_ref },	//77
    { "QLineF", 43, Smoke::t_class|Smoke::tf_stack },	//78
    { "QLineF&", 43, Smoke::t_class|Smoke::tf_ref },	//79
    { "QMatrix&", 45, Smoke::t_class|Smoke::tf_ref },	//80
    { "QMetaObject::Call", 46, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QMouseEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QMoveEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QObject*", 49, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QPaintEngine*", 50, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QPaintEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QPainterPath", 52, Smoke::t_class|Smoke::tf_stack },	//88
    { "QPainterPath&", 52, Smoke::t_class|Smoke::tf_ref },	//89
    { "QPair<KGuiItem,KGuiItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QPalette&", 53, Smoke::t_class|Smoke::tf_ref },	//91
    { "QPixmap&", 54, Smoke::t_class|Smoke::tf_ref },	//92
    { "QPoint", 55, Smoke::t_class|Smoke::tf_stack },	//93
    { "QPoint&", 55, Smoke::t_class|Smoke::tf_ref },	//94
    { "QPointF", 56, Smoke::t_class|Smoke::tf_stack },	//95
    { "QPointF&", 56, Smoke::t_class|Smoke::tf_ref },	//96
    { "QPolygon", 57, Smoke::t_class|Smoke::tf_stack },	//97
    { "QPolygon&", 57, Smoke::t_class|Smoke::tf_ref },	//98
    { "QPolygonF", 58, Smoke::t_class|Smoke::tf_stack },	//99
    { "QPolygonF&", 58, Smoke::t_class|Smoke::tf_ref },	//100
    { "QRect&", 60, Smoke::t_class|Smoke::tf_ref },	//101
    { "QRectF&", 61, Smoke::t_class|Smoke::tf_ref },	//102
    { "QRegExp&", 62, Smoke::t_class|Smoke::tf_ref },	//103
    { "QRegion", 63, Smoke::t_class|Smoke::tf_stack },	//104
    { "QRegion&", 63, Smoke::t_class|Smoke::tf_ref },	//105
    { "QResizeEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QShowEvent*", 65, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QSize", 66, Smoke::t_class|Smoke::tf_stack },	//108
    { "QSize&", 66, Smoke::t_class|Smoke::tf_ref },	//109
    { "QSizeF&", 67, Smoke::t_class|Smoke::tf_ref },	//110
    { "QSizePolicy&", 68, Smoke::t_class|Smoke::tf_ref },	//111
    { "QSizePolicy::ControlType", 68, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//114
    { "QString::Null", 69, Smoke::t_class|Smoke::tf_stack },	//115
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//117
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//118
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//119
    { "QStyle&", 71, Smoke::t_class|Smoke::tf_ref },	//120
    { "QTabletEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//121
    { "QTime&", 73, Smoke::t_class|Smoke::tf_ref },	//122
    { "QTimerEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QTransform", 75, Smoke::t_class|Smoke::tf_stack },	//124
    { "QTransform&", 75, Smoke::t_class|Smoke::tf_ref },	//125
    { "QUrl&", 76, Smoke::t_class|Smoke::tf_ref },	//126
    { "QUrl::FormattingOption", 76, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QVariant", 77, Smoke::t_class|Smoke::tf_stack },	//128
    { "QVariant&", 77, Smoke::t_class|Smoke::tf_ref },	//129
    { "QVariant::Type&", 77, Smoke::t_enum|Smoke::tf_ref },	//130
    { "QWheelEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//131
    { "QWidget*", 80, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QWidget::RenderFlag", 80, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QtMsgType", 32, Smoke::t_enum|Smoke::tf_stack },	//205
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//206
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//207
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//208
    { "const KComponentData&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QBrush&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const QByteArray", 14, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//211
    { "const QByteArray&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const QChar&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const QColor&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const QCursor&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const QDate&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QDateTime&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QFont&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QHashDummyValue&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QIcon&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QImage&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QKeySequence&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QLatin1String&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QLine&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QLineF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QMargins&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QMatrix&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QMetaObject&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QMetaObject*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//229
    { "const QObject*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//230
    { "const QPainterPath&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QPalette&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QPixmap&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QPoint", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//234
    { "const QPoint&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QPointF", 56, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//236
    { "const QPointF&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QPolygon&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QPolygonF&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QRect&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QRectF&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QRegExp&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QRegion&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QSize", 66, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//244
    { "const QSize&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QSizeF", 67, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//246
    { "const QSizeF&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QSizePolicy&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//249
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//252
    { "const QStringRef&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QTime&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QTransform&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QUrl&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QVariant&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QVariant::Type", 77, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//258
    { "const QVariantComparisonHelper&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//260
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//261
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//262
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//263
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//264
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//265
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//266
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//267
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//268
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    260, 0,	//1  const char*
    260, 260, 0,	//3  const char*, const char*
    260, 260, 263, 0,	//6  const char*, const char*, int
    81, 263, 267, 0,	//10  QMetaObject::Call, int, void**
    250, 250, 250, 132, 0,	//14  const QString&, const QString&, const QString&, QWidget*
    132, 0,	//19  QWidget*
    250, 0,	//21  const QString&
    82, 0,	//23  QMouseEvent*
    87, 0,	//25  QPaintEvent*
    235, 0,	//27  const QPoint&
    74, 0,	//29  QKeyEvent*
    39, 0,	//31  QEvent*
    123, 0,	//33  QTimerEvent*
    153, 263, 0,	//35  Qt::DockWidgetArea, int
    235, 262, 0,	//38  const QPoint&, double
    262, 237, 0,	//41  double, const QPointF&
    177, 59, 0,	//44  Qt::MouseButton, QFlags<Qt::MouseButton>
    226, 226, 0,	//47  const QMargins&, const QMargins&
    262, 247, 0,	//50  double, const QSizeF&
    31, 71, 0,	//53  QDataStream&, QImage&
    31, 248, 0,	//56  QDataStream&, const QSizePolicy&
    166, 263, 0,	//59  Qt::InputMethodHint, int
    240, 240, 0,	//62  const QRect&, const QRect&
    245, 245, 0,	//65  const QSize&, const QSize&
    31, 255, 0,	//68  QDataStream&, const QTransform&
    237, 227, 0,	//71  const QPointF&, const QMatrix&
    224, 255, 0,	//74  const QLine&, const QTransform&
    203, 64, 0,	//77  Qt::WindowState, QFlags<Qt::WindowState>
    247, 262, 0,	//80  const QSizeF&, double
    31, 224, 0,	//83  QDataStream&, const QLine&
    260, 223, 0,	//86  const char*, const QLatin1String&
    247, 247, 0,	//89  const QSizeF&, const QSizeF&
    212, 212, 0,	//92  const QByteArray&, const QByteArray&
    223, 253, 0,	//95  const QLatin1String&, const QStringRef&
    177, 177, 0,	//98  Qt::MouseButton, Qt::MouseButton
    15, 40, 0,	//101  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    15, 15, 0,	//104  KUrl::CleanPathOption, KUrl::CleanPathOption
    257, 259, 0,	//107  const QVariant&, const QVariantComparisonHelper&
    21, 21, 0,	//110  QBool, QBool
    134, 50, 0,	//113  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    115, 115, 0,	//116  QString::Null, QString::Null
    31, 241, 0,	//119  QDataStream&, const QRectF&
    24, 250, 0,	//122  QChar, const QString&
    69, 45, 0,	//125  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    31, 232, 0,	//128  QDataStream&, const QPalette&
    8, 0,	//131  KIconLoader::Group&
    31, 212, 0,	//133  QDataStream&, const QByteArray&
    239, 255, 0,	//136  const QPolygonF&, const QTransform&
    194, 194, 0,	//139  Qt::ToolBarArea, Qt::ToolBarArea
    19, 263, 0,	//142  KUrl::QueryItemsOption, int
    133, 263, 0,	//145  QWidget::RenderFlag, int
    155, 263, 0,	//148  Qt::DropAction, int
    31, 251, 0,	//151  QDataStream&, const QStringList&
    17, 17, 0,	//154  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    134, 134, 0,	//157  Qt::AlignmentFlag, Qt::AlignmentFlag
    31, 28, 0,	//160  QDataStream&, QColor&
    31, 242, 0,	//163  QDataStream&, const QRegExp&
    127, 263, 0,	//166  QUrl::FormattingOption, int
    212, 260, 0,	//169  const QByteArray&, const char*
    16, 16, 0,	//172  KUrl::DirectoryOption, KUrl::DirectoryOption
    153, 51, 0,	//175  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    224, 227, 0,	//178  const QLine&, const QMatrix&
    16, 41, 0,	//181  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    225, 227, 0,	//184  const QLineF&, const QMatrix&
    179, 179, 0,	//187  Qt::Orientation, Qt::Orientation
    231, 227, 0,	//190  const QPainterPath&, const QMatrix&
    194, 263, 0,	//193  Qt::ToolBarArea, int
    31, 96, 0,	//196  QDataStream&, QPointF&
    31, 222, 0,	//199  QDataStream&, const QKeySequence&
    175, 263, 0,	//202  Qt::MatchFlag, int
    250, 260, 0,	//205  const QString&, const char*
    31, 215, 0,	//208  QDataStream&, const QCursor&
    160, 160, 0,	//211  Qt::GestureFlag, Qt::GestureFlag
    31, 32, 0,	//214  QDataStream&, QDate&
    69, 69, 0,	//217  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    208, 212, 0,	//220  char, const QByteArray&
    260, 250, 0,	//223  const char*, const QString&
    260, 212, 0,	//226  const char*, const QByteArray&
    31, 23, 0,	//229  QDataStream&, QByteArray&
    31, 129, 0,	//232  QDataStream&, QVariant&
    31, 103, 0,	//235  QDataStream&, QRegExp&
    237, 237, 0,	//238  const QPointF&, const QPointF&
    255, 262, 0,	//241  const QTransform&, double
    253, 253, 0,	//244  const QStringRef&, const QStringRef&
    24, 24, 0,	//247  QChar, QChar
    231, 255, 0,	//250  const QPainterPath&, const QTransform&
    31, 210, 0,	//253  QDataStream&, const QBrush&
    31, 105, 0,	//256  QDataStream&, QRegion&
    237, 262, 0,	//259  const QPointF&, double
    17, 263, 0,	//262  KUrl::EncodedPathAndQueryOption, int
    31, 216, 0,	//265  QDataStream&, const QDate&
    175, 58, 0,	//268  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    160, 263, 0,	//271  Qt::GestureFlag, int
    112, 112, 0,	//274  QSizePolicy::ControlType, QSizePolicy::ControlType
    31, 30, 0,	//277  QDataStream&, QCursor&
    172, 57, 0,	//280  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    175, 175, 0,	//283  Qt::MatchFlag, Qt::MatchFlag
    31, 125, 0,	//286  QDataStream&, QTransform&
    238, 227, 0,	//289  const QPolygon&, const QMatrix&
    250, 115, 0,	//292  const QString&, QString::Null
    31, 110, 0,	//295  QDataStream&, QSizeF&
    237, 0,	//298  const QPointF&
    169, 169, 0,	//300  Qt::ItemFlag, Qt::ItemFlag
    31, 233, 0,	//303  QDataStream&, const QPixmap&
    212, 250, 0,	//306  const QByteArray&, const QString&
    204, 65, 0,	//309  Qt::WindowType, QFlags<Qt::WindowType>
    237, 255, 0,	//312  const QPointF&, const QTransform&
    169, 56, 0,	//315  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    197, 63, 0,	//318  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    250, 208, 0,	//321  const QString&, char
    31, 256, 0,	//324  QDataStream&, const QUrl&
    112, 46, 0,	//327  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    31, 257, 0,	//330  QDataStream&, const QVariant&
    31, 77, 0,	//333  QDataStream&, QLine&
    172, 172, 0,	//336  Qt::KeyboardModifier, Qt::KeyboardModifier
    134, 263, 0,	//339  Qt::AlignmentFlag, int
    235, 227, 0,	//342  const QPoint&, const QMatrix&
    172, 263, 0,	//345  Qt::KeyboardModifier, int
    169, 263, 0,	//348  Qt::ItemFlag, int
    164, 54, 0,	//351  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    235, 235, 0,	//354  const QPoint&, const QPoint&
    116, 263, 0,	//357  QString::SectionFlag, int
    204, 263, 0,	//360  Qt::WindowType, int
    133, 133, 0,	//363  QWidget::RenderFlag, QWidget::RenderFlag
    253, 250, 0,	//366  const QStringRef&, const QString&
    223, 223, 0,	//369  const QLatin1String&, const QLatin1String&
    219, 219, 0,	//372  const QHashDummyValue&, const QHashDummyValue&
    18, 18, 0,	//375  KUrl::EqualsOption, KUrl::EqualsOption
    127, 127, 0,	//378  QUrl::FormattingOption, QUrl::FormattingOption
    31, 70, 0,	//381  QDataStream&, QIcon&
    31, 238, 0,	//384  QDataStream&, const QPolygon&
    197, 263, 0,	//387  Qt::TouchPointState, int
    133, 49, 0,	//390  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    253, 260, 0,	//393  const QStringRef&, const char*
    15, 263, 0,	//396  KUrl::CleanPathOption, int
    19, 19, 0,	//399  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    31, 225, 0,	//402  QDataStream&, const QLineF&
    31, 22, 0,	//405  QDataStream&, QBrush&
    31, 237, 0,	//408  QDataStream&, const QPointF&
    250, 250, 0,	//411  const QString&, const QString&
    250, 253, 0,	//414  const QString&, const QStringRef&
    18, 263, 0,	//417  KUrl::EqualsOption, int
    112, 263, 0,	//420  QSizePolicy::ControlType, int
    31, 111, 0,	//423  QDataStream&, QSizePolicy&
    260, 253, 0,	//426  const char*, const QStringRef&
    31, 80, 0,	//429  QDataStream&, QMatrix&
    177, 263, 0,	//432  Qt::MouseButton, int
    31, 109, 0,	//435  QDataStream&, QSize&
    166, 166, 0,	//438  Qt::InputMethodHint, Qt::InputMethodHint
    31, 130, 0,	//441  QDataStream&, QVariant::Type&
    191, 61, 0,	//444  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    225, 255, 0,	//447  const QLineF&, const QTransform&
    253, 223, 0,	//450  const QStringRef&, const QLatin1String&
    31, 239, 0,	//453  QDataStream&, const QPolygonF&
    31, 247, 0,	//456  QDataStream&, const QSizeF&
    194, 62, 0,	//459  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    31, 218, 0,	//462  QDataStream&, const QFont&
    18, 43, 0,	//465  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    31, 227, 0,	//468  QDataStream&, const QMatrix&
    208, 250, 0,	//471  char, const QString&
    203, 203, 0,	//474  Qt::WindowState, Qt::WindowState
    127, 48, 0,	//477  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    31, 100, 0,	//480  QDataStream&, QPolygonF&
    31, 91, 0,	//483  QDataStream&, QPalette&
    31, 231, 0,	//486  QDataStream&, const QPainterPath&
    241, 241, 0,	//489  const QRectF&, const QRectF&
    262, 245, 0,	//492  double, const QSize&
    262, 235, 0,	//495  double, const QPoint&
    31, 235, 0,	//498  QDataStream&, const QPoint&
    31, 221, 0,	//501  QDataStream&, const QImage&
    212, 208, 0,	//504  const QByteArray&, char
    31, 67, 0,	//507  QDataStream&, QFont&
    116, 47, 0,	//510  QString::SectionFlag, QFlags<QString::SectionFlag>
    31, 245, 0,	//513  QDataStream&, const QSize&
    31, 102, 0,	//516  QDataStream&, QRectF&
    31, 213, 0,	//519  QDataStream&, const QChar&
    207, 21, 0,	//522  bool, QBool
    19, 44, 0,	//525  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    238, 255, 0,	//528  const QPolygon&, const QTransform&
    21, 207, 0,	//531  QBool, bool
    203, 263, 0,	//534  Qt::WindowState, int
    31, 118, 0,	//537  QDataStream&, QStringList&
    31, 240, 0,	//540  QDataStream&, const QRect&
    16, 263, 0,	//543  KUrl::DirectoryOption, int
    31, 243, 0,	//546  QDataStream&, const QRegion&
    153, 153, 0,	//549  Qt::DockWidgetArea, Qt::DockWidgetArea
    31, 214, 0,	//552  QDataStream&, const QColor&
    204, 204, 0,	//555  Qt::WindowType, Qt::WindowType
    245, 262, 0,	//558  const QSize&, double
    115, 250, 0,	//561  QString::Null, const QString&
    166, 55, 0,	//564  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    31, 94, 0,	//567  QDataStream&, QPoint&
    31, 33, 0,	//570  QDataStream&, QDateTime&
    31, 254, 0,	//573  QDataStream&, const QTime&
    31, 75, 0,	//576  QDataStream&, QKeySequence&
    243, 255, 0,	//579  const QRegion&, const QTransform&
    116, 116, 0,	//582  QString::SectionFlag, QString::SectionFlag
    69, 263, 0,	//585  QIODevice::OpenModeFlag, int
    160, 53, 0,	//588  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    239, 227, 0,	//591  const QPolygonF&, const QMatrix&
    31, 98, 0,	//594  QDataStream&, QPolygon&
    17, 42, 0,	//597  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    31, 114, 0,	//600  QDataStream&, QString&
    31, 250, 0,	//603  QDataStream&, const QString&
    31, 25, 0,	//606  QDataStream&, QChar&
    191, 191, 0,	//609  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    31, 92, 0,	//612  QDataStream&, QPixmap&
    250, 212, 0,	//615  const QString&, const QByteArray&
    31, 101, 0,	//618  QDataStream&, QRect&
    164, 263, 0,	//621  Qt::ImageConversionFlag, int
    31, 220, 0,	//624  QDataStream&, const QIcon&
    31, 258, 0,	//627  QDataStream&, const QVariant::Type
    31, 79, 0,	//630  QDataStream&, QLineF&
    31, 89, 0,	//633  QDataStream&, QPainterPath&
    197, 197, 0,	//636  Qt::TouchPointState, Qt::TouchPointState
    191, 263, 0,	//639  Qt::TextInteractionFlag, int
    235, 255, 0,	//642  const QPoint&, const QTransform&
    31, 217, 0,	//645  QDataStream&, const QDateTime&
    31, 122, 0,	//648  QDataStream&, QTime&
    164, 164, 0,	//651  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    155, 52, 0,	//654  Qt::DropAction, QFlags<Qt::DropAction>
    155, 155, 0,	//657  Qt::DropAction, Qt::DropAction
    179, 263, 0,	//660  Qt::Orientation, int
    243, 227, 0,	//663  const QRegion&, const QMatrix&
    31, 126, 0,	//666  QDataStream&, QUrl&
    250, 24, 0,	//669  const QString&, QChar
    179, 60, 0,	//672  Qt::Orientation, QFlags<Qt::Orientation>
    8, 263, 0,	//675  KIconLoader::Group&, int
    84, 39, 0,	//678  QObject*, QEvent*
    26, 0,	//681  QChildEvent*
    66, 0,	//683  QFocusEvent*
    207, 0,	//685  bool
    263, 0,	//687  int
    131, 0,	//689  QWheelEvent*
    83, 0,	//691  QMoveEvent*
    106, 0,	//693  QResizeEvent*
    27, 0,	//695  QCloseEvent*
    29, 0,	//697  QContextMenuEvent*
    121, 0,	//699  QTabletEvent*
    20, 0,	//701  QActionEvent*
    35, 0,	//703  QDragEnterEvent*
    37, 0,	//705  QDragMoveEvent*
    36, 0,	//707  QDragLeaveEvent*
    38, 0,	//709  QDropEvent*
    107, 0,	//711  QShowEvent*
    68, 0,	//713  QHideEvent*
    206, 0,	//715  _XEvent*
    85, 0,	//717  QPaintDevice::PaintDeviceMetric
    73, 0,	//719  QInputMethodEvent*
    167, 0,	//721  Qt::InputMethodQuery
    120, 0,	//723  QStyle&
    232, 0,	//725  const QPalette&
    218, 0,	//727  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Button",	//1
    "Button#",	//2
    "Button$$$#",	//3
    "DrawChildren",	//4
    "DrawWindowBackground",	//5
    "IgnoreMask",	//6
    "Q_COMPLEX_TYPE",	//7
    "Q_DUMMY_TYPE",	//8
    "Q_MOVABLE_TYPE",	//9
    "Q_PRIMITIVE_TYPE",	//10
    "Q_STATIC_TYPE",	//11
    "QtCriticalMsg",	//12
    "QtDebugMsg",	//13
    "QtFatalMsg",	//14
    "QtSystemMsg",	//15
    "QtWarningMsg",	//16
    "aboutToShowDialog",	//17
    "actionEvent",	//18
    "changeEvent",	//19
    "checkStateSet",	//20
    "childEvent",	//21
    "closeEvent",	//22
    "connectNotify",	//23
    "contextMenuEvent",	//24
    "customEvent",	//25
    "devType",	//26
    "dialogFinished",	//27
    "disconnectNotify",	//28
    "dragEnterEvent",	//29
    "dragLeaveEvent",	//30
    "dragMoveEvent",	//31
    "dragObject",	//32
    "dropEvent",	//33
    "enabledChange",	//34
    "enterEvent",	//35
    "event",	//36
    "eventFilter",	//37
    "focusInEvent",	//38
    "focusNextPrevChild",	//39
    "focusOutEvent",	//40
    "fontChange",	//41
    "heightForWidth",	//42
    "hideEvent",	//43
    "hitButton",	//44
    "inputMethodEvent",	//45
    "inputMethodQuery",	//46
    "keyPressEvent",	//47
    "keyReleaseEvent",	//48
    "languageChange",	//49
    "leaveEvent",	//50
    "metaObject",	//51
    "metric",	//52
    "minimumSizeHint",	//53
    "mouseDoubleClickEvent",	//54
    "mouseMoveEvent",	//55
    "mousePressEvent",	//56
    "mouseReleaseEvent",	//57
    "moveEvent",	//58
    "nextCheckState",	//59
    "operator!=",	//60
    "operator!=##",	//61
    "operator!=#$",	//62
    "operator!=$#",	//63
    "operator!=$$",	//64
    "operator*",	//65
    "operator*##",	//66
    "operator*#$",	//67
    "operator*$#",	//68
    "operator+",	//69
    "operator+##",	//70
    "operator+#$",	//71
    "operator+$#",	//72
    "operator+$$",	//73
    "operator++",	//74
    "operator++$",	//75
    "operator++$$",	//76
    "operator-",	//77
    "operator-#",	//78
    "operator-##",	//79
    "operator-#$",	//80
    "operator/",	//81
    "operator/#$",	//82
    "operator<",	//83
    "operator<##",	//84
    "operator<#$",	//85
    "operator<$#",	//86
    "operator<$$",	//87
    "operator<<",	//88
    "operator<<##",	//89
    "operator<<#$",	//90
    "operator<<#?",	//91
    "operator<=",	//92
    "operator<=##",	//93
    "operator<=#$",	//94
    "operator<=$#",	//95
    "operator<=$$",	//96
    "operator==",	//97
    "operator==##",	//98
    "operator==#$",	//99
    "operator==$#",	//100
    "operator==$$",	//101
    "operator>",	//102
    "operator>##",	//103
    "operator>#$",	//104
    "operator>$#",	//105
    "operator>$$",	//106
    "operator>=",	//107
    "operator>=##",	//108
    "operator>=#$",	//109
    "operator>=$#",	//110
    "operator>=$$",	//111
    "operator>>",	//112
    "operator>>##",	//113
    "operator>>#$",	//114
    "operator>>#?",	//115
    "operator|",	//116
    "operator|$$",	//117
    "paintEngine",	//118
    "paintEvent",	//119
    "paletteChange",	//120
    "qt_metacall",	//121
    "qt_metacall$$?",	//122
    "qt_metacast",	//123
    "qt_metacast$",	//124
    "resizeEvent",	//125
    "setButtonText",	//126
    "setButtonText$",	//127
    "setProviderList",	//128
    "setProviderList$",	//129
    "setResourceType",	//130
    "setResourceType$",	//131
    "setVisible",	//132
    "showDialog",	//133
    "showEvent",	//134
    "sizeHint",	//135
    "startDrag",	//136
    "staticMetaObject",	//137
    "styleChange",	//138
    "tabletEvent",	//139
    "timerEvent",	//140
    "tr",	//141
    "tr$",	//142
    "tr$$",	//143
    "tr$$$",	//144
    "trUtf8",	//145
    "trUtf8$",	//146
    "trUtf8$$",	//147
    "trUtf8$$$",	//148
    "wheelEvent",	//149
    "windowActivationChange",	//150
    "x11Event",	//151
    "~Button",	//152
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 51, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 229, 1},	//1 KNS::Button::metaObject() const
    {7, 123, 1, 1, Smoke::mf_virtual, 266, 2},	//2 KNS::Button::qt_metacast(const char*)
    {7, 141, 3, 2, Smoke::mf_static, 113, 3},	//3 KNS::Button::tr(const char*, const char*)
    {7, 145, 3, 2, Smoke::mf_static, 113, 4},	//4 KNS::Button::trUtf8(const char*, const char*)
    {7, 141, 6, 3, Smoke::mf_static, 113, 5},	//5 KNS::Button::tr(const char*, const char*, int)
    {7, 145, 6, 3, Smoke::mf_static, 113, 6},	//6 KNS::Button::trUtf8(const char*, const char*, int)
    {7, 121, 10, 3, Smoke::mf_virtual, 263, 7},	//7 KNS::Button::qt_metacall(QMetaObject::Call, int, void**)
    {7, 1, 14, 4, Smoke::mf_ctor, 10, 8},	//8 KNS::Button::Button(const QString&, const QString&, const QString&, QWidget*)
    {7, 1, 19, 1, Smoke::mf_ctor, 10, 9},	//9 KNS::Button::Button(QWidget*)
    {7, 128, 21, 1, 0, 0, 10},	//10 KNS::Button::setProviderList(const QString&)
    {7, 130, 21, 1, 0, 0, 11},	//11 KNS::Button::setResourceType(const QString&)
    {7, 126, 21, 1, 0, 0, 12},	//12 KNS::Button::setButtonText(const QString&)
    {7, 17, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//13 KNS::Button::aboutToShowDialog()
    {7, 27, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//14 KNS::Button::dialogFinished()
    {7, 133, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//15 KNS::Button::showDialog()
    {7, 141, 1, 1, Smoke::mf_static, 113, 16},	//16 KNS::Button::tr(const char*)
    {7, 145, 1, 1, Smoke::mf_static, 113, 17},	//17 KNS::Button::trUtf8(const char*)
    {7, 137, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 228, 18},	//18 KNS::Button::staticMetaObject() const
    {7, 152, 0, 0, Smoke::mf_dtor, 0, 19 },	//19 KNS::Button::~Button()
    {8, 135, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 108, 0},	//20 KPushButton::sizeHint() const
    {8, 32, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 34, 0},	//21 KPushButton::dragObject()
    {8, 56, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//22 KPushButton::mousePressEvent(QMouseEvent*)
    {8, 55, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 KPushButton::mouseMoveEvent(QMouseEvent*)
    {8, 119, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//24 KPushButton::paintEvent(QPaintEvent*)
    {8, 136, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//25 KPushButton::startDrag()
    {10, 44, 27, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 207, 0},	//26 QAbstractButton::hitButton(const QPoint&) const
    {10, 20, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 QAbstractButton::checkStateSet()
    {10, 59, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//28 QAbstractButton::nextCheckState()
    {10, 48, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//29 QAbstractButton::keyReleaseEvent(QKeyEvent*)
    {10, 57, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//30 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
    {10, 19, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//31 QAbstractButton::changeEvent(QEvent*)
    {10, 140, 33, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//32 QAbstractButton::timerEvent(QTimerEvent*)
    {32, 116, 35, 2, Smoke::mf_static, 72, 1},	//33 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {32, 65, 38, 2, Smoke::mf_static, 234, 2},	//34 QGlobalSpace::operator*(const QPoint&, double)
    {32, 65, 41, 2, Smoke::mf_static, 236, 3},	//35 QGlobalSpace::operator*(double, const QPointF&)
    {32, 116, 44, 2, Smoke::mf_static, 59, 4},	//36 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {32, 60, 47, 2, Smoke::mf_static, 207, 5},	//37 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {32, 65, 50, 2, Smoke::mf_static, 246, 6},	//38 QGlobalSpace::operator*(double, const QSizeF&)
    {32, 112, 53, 2, Smoke::mf_static, 31, 7},	//39 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {32, 88, 56, 2, Smoke::mf_static, 31, 8},	//40 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {32, 116, 59, 2, Smoke::mf_static, 72, 9},	//41 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {32, 60, 62, 2, Smoke::mf_static, 207, 10},	//42 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {32, 69, 65, 2, Smoke::mf_static, 244, 11},	//43 QGlobalSpace::operator+(const QSize&, const QSize&)
    {32, 88, 68, 2, Smoke::mf_static, 31, 12},	//44 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {32, 65, 71, 2, Smoke::mf_static, 95, 13},	//45 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {32, 65, 74, 2, Smoke::mf_static, 76, 14},	//46 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {32, 97, 47, 2, Smoke::mf_static, 207, 15},	//47 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {32, 116, 77, 2, Smoke::mf_static, 64, 16},	//48 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {32, 65, 80, 2, Smoke::mf_static, 246, 17},	//49 QGlobalSpace::operator*(const QSizeF&, double)
    {32, 88, 83, 2, Smoke::mf_static, 31, 18},	//50 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {32, 102, 86, 2, Smoke::mf_static, 207, 19},	//51 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {32, 77, 89, 2, Smoke::mf_static, 246, 20},	//52 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {32, 107, 92, 2, Smoke::mf_static, 207, 21},	//53 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {32, 97, 95, 2, Smoke::mf_static, 207, 22},	//54 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {32, 116, 98, 2, Smoke::mf_static, 59, 23},	//55 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {32, 116, 101, 2, Smoke::mf_static, 40, 24},	//56 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {32, 116, 104, 2, Smoke::mf_static, 40, 25},	//57 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {32, 60, 107, 2, Smoke::mf_static, 207, 26},	//58 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {32, 97, 110, 2, Smoke::mf_static, 207, 27},	//59 QGlobalSpace::operator==(QBool, QBool)
    {32, 116, 113, 2, Smoke::mf_static, 50, 28},	//60 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {32, 97, 116, 2, Smoke::mf_static, 207, 29},	//61 QGlobalSpace::operator==(QString::Null, QString::Null)
    {32, 88, 119, 2, Smoke::mf_static, 31, 30},	//62 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {32, 69, 122, 2, Smoke::mf_static, 249, 31},	//63 QGlobalSpace::operator+(QChar, const QString&)
    {32, 116, 125, 2, Smoke::mf_static, 45, 32},	//64 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {32, 88, 128, 2, Smoke::mf_static, 31, 33},	//65 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {32, 74, 131, 1, Smoke::mf_static, 8, 34},	//66 QGlobalSpace::operator++(KIconLoader::Group&)
    {32, 88, 133, 2, Smoke::mf_static, 31, 35},	//67 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {32, 65, 136, 2, Smoke::mf_static, 99, 36},	//68 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {32, 116, 139, 2, Smoke::mf_static, 62, 37},	//69 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {32, 116, 142, 2, Smoke::mf_static, 72, 38},	//70 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {32, 69, 89, 2, Smoke::mf_static, 246, 39},	//71 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {32, 116, 145, 2, Smoke::mf_static, 72, 40},	//72 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {32, 116, 148, 2, Smoke::mf_static, 72, 41},	//73 QGlobalSpace::operator|(Qt::DropAction, int)
    {32, 88, 151, 2, Smoke::mf_static, 31, 42},	//74 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {32, 116, 154, 2, Smoke::mf_static, 42, 43},	//75 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {32, 116, 157, 2, Smoke::mf_static, 50, 44},	//76 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {32, 112, 160, 2, Smoke::mf_static, 31, 45},	//77 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {32, 88, 163, 2, Smoke::mf_static, 31, 46},	//78 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {32, 116, 166, 2, Smoke::mf_static, 72, 47},	//79 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {32, 83, 169, 2, Smoke::mf_static, 207, 48},	//80 QGlobalSpace::operator<(const QByteArray&, const char*)
    {32, 116, 172, 2, Smoke::mf_static, 41, 49},	//81 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {32, 116, 175, 2, Smoke::mf_static, 51, 50},	//82 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {32, 65, 178, 2, Smoke::mf_static, 76, 51},	//83 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {32, 116, 181, 2, Smoke::mf_static, 41, 52},	//84 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {32, 65, 184, 2, Smoke::mf_static, 78, 53},	//85 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {32, 116, 187, 2, Smoke::mf_static, 60, 54},	//86 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {32, 65, 190, 2, Smoke::mf_static, 88, 55},	//87 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {32, 116, 193, 2, Smoke::mf_static, 72, 56},	//88 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {32, 112, 196, 2, Smoke::mf_static, 31, 57},	//89 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {32, 88, 199, 2, Smoke::mf_static, 31, 58},	//90 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {32, 116, 202, 2, Smoke::mf_static, 72, 59},	//91 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {32, 69, 205, 2, Smoke::mf_static, 249, 60},	//92 QGlobalSpace::operator+(const QString&, const char*)
    {32, 88, 208, 2, Smoke::mf_static, 31, 61},	//93 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {32, 116, 211, 2, Smoke::mf_static, 53, 62},	//94 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {32, 112, 214, 2, Smoke::mf_static, 31, 63},	//95 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {32, 116, 217, 2, Smoke::mf_static, 45, 64},	//96 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {32, 69, 220, 2, Smoke::mf_static, 211, 65},	//97 QGlobalSpace::operator+(char, const QByteArray&)
    {32, 81, 38, 2, Smoke::mf_static, 234, 66},	//98 QGlobalSpace::operator/(const QPoint&, double)
    {32, 69, 223, 2, Smoke::mf_static, 249, 67},	//99 QGlobalSpace::operator+(const char*, const QString&)
    {32, 97, 226, 2, Smoke::mf_static, 207, 68},	//100 QGlobalSpace::operator==(const char*, const QByteArray&)
    {32, 112, 229, 2, Smoke::mf_static, 31, 69},	//101 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {32, 112, 232, 2, Smoke::mf_static, 31, 70},	//102 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {32, 112, 235, 2, Smoke::mf_static, 31, 71},	//103 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {32, 97, 238, 2, Smoke::mf_static, 207, 72},	//104 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {32, 81, 241, 2, Smoke::mf_static, 124, 73},	//105 QGlobalSpace::operator/(const QTransform&, double)
    {32, 92, 223, 2, Smoke::mf_static, 207, 74},	//106 QGlobalSpace::operator<=(const char*, const QString&)
    {32, 60, 244, 2, Smoke::mf_static, 207, 75},	//107 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {32, 83, 247, 2, Smoke::mf_static, 207, 76},	//108 QGlobalSpace::operator<(QChar, QChar)
    {32, 65, 250, 2, Smoke::mf_static, 88, 77},	//109 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {32, 88, 253, 2, Smoke::mf_static, 31, 78},	//110 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {32, 107, 86, 2, Smoke::mf_static, 207, 79},	//111 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {32, 112, 256, 2, Smoke::mf_static, 31, 80},	//112 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {32, 65, 259, 2, Smoke::mf_static, 236, 81},	//113 QGlobalSpace::operator*(const QPointF&, double)
    {32, 116, 262, 2, Smoke::mf_static, 72, 82},	//114 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {32, 97, 65, 2, Smoke::mf_static, 207, 83},	//115 QGlobalSpace::operator==(const QSize&, const QSize&)
    {32, 88, 265, 2, Smoke::mf_static, 31, 84},	//116 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {32, 97, 86, 2, Smoke::mf_static, 207, 85},	//117 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {32, 116, 268, 2, Smoke::mf_static, 58, 86},	//118 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {32, 116, 271, 2, Smoke::mf_static, 72, 87},	//119 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {32, 60, 92, 2, Smoke::mf_static, 207, 88},	//120 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {32, 116, 274, 2, Smoke::mf_static, 46, 89},	//121 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {32, 112, 277, 2, Smoke::mf_static, 31, 90},	//122 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {32, 116, 280, 2, Smoke::mf_static, 57, 91},	//123 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {32, 81, 80, 2, Smoke::mf_static, 246, 92},	//124 QGlobalSpace::operator/(const QSizeF&, double)
    {32, 116, 283, 2, Smoke::mf_static, 58, 93},	//125 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {32, 112, 286, 2, Smoke::mf_static, 31, 94},	//126 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {32, 65, 289, 2, Smoke::mf_static, 97, 95},	//127 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {32, 102, 247, 2, Smoke::mf_static, 207, 96},	//128 QGlobalSpace::operator>(QChar, QChar)
    {32, 107, 226, 2, Smoke::mf_static, 207, 97},	//129 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {32, 97, 292, 2, Smoke::mf_static, 207, 98},	//130 QGlobalSpace::operator==(const QString&, QString::Null)
    {32, 83, 92, 2, Smoke::mf_static, 207, 99},	//131 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {32, 112, 295, 2, Smoke::mf_static, 31, 100},	//132 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {32, 77, 298, 1, Smoke::mf_static, 236, 101},	//133 QGlobalSpace::operator-(const QPointF&)
    {32, 116, 300, 2, Smoke::mf_static, 56, 102},	//134 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {32, 88, 303, 2, Smoke::mf_static, 31, 103},	//135 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {32, 69, 306, 2, Smoke::mf_static, 249, 104},	//136 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {32, 116, 309, 2, Smoke::mf_static, 65, 105},	//137 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {32, 65, 312, 2, Smoke::mf_static, 95, 106},	//138 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {32, 116, 315, 2, Smoke::mf_static, 56, 107},	//139 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {32, 116, 318, 2, Smoke::mf_static, 63, 108},	//140 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {32, 69, 321, 2, Smoke::mf_static, 249, 109},	//141 QGlobalSpace::operator+(const QString&, char)
    {32, 107, 244, 2, Smoke::mf_static, 207, 110},	//142 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {32, 97, 107, 2, Smoke::mf_static, 207, 111},	//143 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {32, 88, 324, 2, Smoke::mf_static, 31, 112},	//144 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {32, 116, 327, 2, Smoke::mf_static, 46, 113},	//145 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {32, 88, 330, 2, Smoke::mf_static, 31, 114},	//146 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {32, 112, 333, 2, Smoke::mf_static, 31, 115},	//147 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {32, 116, 336, 2, Smoke::mf_static, 57, 116},	//148 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {32, 83, 226, 2, Smoke::mf_static, 207, 117},	//149 QGlobalSpace::operator<(const char*, const QByteArray&)
    {32, 116, 339, 2, Smoke::mf_static, 72, 118},	//150 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {32, 65, 342, 2, Smoke::mf_static, 93, 119},	//151 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {32, 116, 345, 2, Smoke::mf_static, 72, 120},	//152 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {32, 116, 348, 2, Smoke::mf_static, 72, 121},	//153 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {32, 60, 65, 2, Smoke::mf_static, 207, 122},	//154 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {32, 116, 351, 2, Smoke::mf_static, 54, 123},	//155 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {32, 92, 169, 2, Smoke::mf_static, 207, 124},	//156 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {32, 60, 354, 2, Smoke::mf_static, 207, 125},	//157 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {32, 116, 357, 2, Smoke::mf_static, 72, 126},	//158 QGlobalSpace::operator|(QString::SectionFlag, int)
    {32, 116, 360, 2, Smoke::mf_static, 72, 127},	//159 QGlobalSpace::operator|(Qt::WindowType, int)
    {32, 116, 363, 2, Smoke::mf_static, 49, 128},	//160 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {32, 97, 366, 2, Smoke::mf_static, 207, 129},	//161 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {32, 107, 369, 2, Smoke::mf_static, 207, 130},	//162 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {32, 97, 372, 2, Smoke::mf_static, 207, 131},	//163 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {32, 116, 375, 2, Smoke::mf_static, 43, 132},	//164 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {32, 116, 378, 2, Smoke::mf_static, 48, 133},	//165 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {32, 112, 381, 2, Smoke::mf_static, 31, 134},	//166 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {32, 88, 384, 2, Smoke::mf_static, 31, 135},	//167 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {32, 65, 241, 2, Smoke::mf_static, 124, 136},	//168 QGlobalSpace::operator*(const QTransform&, double)
    {32, 116, 387, 2, Smoke::mf_static, 72, 137},	//169 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {32, 116, 390, 2, Smoke::mf_static, 49, 138},	//170 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {32, 83, 244, 2, Smoke::mf_static, 207, 139},	//171 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {32, 60, 393, 2, Smoke::mf_static, 207, 140},	//172 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {32, 60, 226, 2, Smoke::mf_static, 207, 141},	//173 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {32, 102, 244, 2, Smoke::mf_static, 207, 142},	//174 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {32, 116, 396, 2, Smoke::mf_static, 72, 143},	//175 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {32, 116, 399, 2, Smoke::mf_static, 44, 144},	//176 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {32, 88, 402, 2, Smoke::mf_static, 31, 145},	//177 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {32, 112, 405, 2, Smoke::mf_static, 31, 146},	//178 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {32, 88, 408, 2, Smoke::mf_static, 31, 147},	//179 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {32, 69, 411, 2, Smoke::mf_static, 249, 148},	//180 QGlobalSpace::operator+(const QString&, const QString&)
    {32, 83, 223, 2, Smoke::mf_static, 207, 149},	//181 QGlobalSpace::operator<(const char*, const QString&)
    {32, 60, 223, 2, Smoke::mf_static, 207, 150},	//182 QGlobalSpace::operator!=(const char*, const QString&)
    {32, 60, 169, 2, Smoke::mf_static, 207, 151},	//183 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {32, 60, 414, 2, Smoke::mf_static, 207, 152},	//184 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {32, 116, 417, 2, Smoke::mf_static, 72, 153},	//185 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {32, 116, 420, 2, Smoke::mf_static, 72, 154},	//186 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {32, 112, 423, 2, Smoke::mf_static, 31, 155},	//187 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {32, 102, 92, 2, Smoke::mf_static, 207, 156},	//188 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {32, 92, 86, 2, Smoke::mf_static, 207, 157},	//189 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {32, 97, 354, 2, Smoke::mf_static, 207, 158},	//190 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {32, 97, 426, 2, Smoke::mf_static, 207, 159},	//191 QGlobalSpace::operator==(const char*, const QStringRef&)
    {32, 69, 226, 2, Smoke::mf_static, 211, 160},	//192 QGlobalSpace::operator+(const char*, const QByteArray&)
    {32, 112, 429, 2, Smoke::mf_static, 31, 161},	//193 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {32, 116, 432, 2, Smoke::mf_static, 72, 162},	//194 QGlobalSpace::operator|(Qt::MouseButton, int)
    {32, 92, 244, 2, Smoke::mf_static, 207, 163},	//195 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {32, 112, 435, 2, Smoke::mf_static, 31, 164},	//196 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {32, 116, 438, 2, Smoke::mf_static, 55, 165},	//197 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {32, 112, 441, 2, Smoke::mf_static, 31, 166},	//198 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {32, 97, 247, 2, Smoke::mf_static, 207, 167},	//199 QGlobalSpace::operator==(QChar, QChar)
    {32, 116, 444, 2, Smoke::mf_static, 61, 168},	//200 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {32, 60, 366, 2, Smoke::mf_static, 207, 169},	//201 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {32, 65, 447, 2, Smoke::mf_static, 78, 170},	//202 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {32, 60, 450, 2, Smoke::mf_static, 207, 171},	//203 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {32, 88, 453, 2, Smoke::mf_static, 31, 172},	//204 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {32, 88, 456, 2, Smoke::mf_static, 31, 173},	//205 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {32, 116, 459, 2, Smoke::mf_static, 62, 174},	//206 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {32, 88, 462, 2, Smoke::mf_static, 31, 175},	//207 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {32, 116, 465, 2, Smoke::mf_static, 43, 176},	//208 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {32, 88, 468, 2, Smoke::mf_static, 31, 177},	//209 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {32, 69, 471, 2, Smoke::mf_static, 249, 178},	//210 QGlobalSpace::operator+(char, const QString&)
    {32, 60, 95, 2, Smoke::mf_static, 207, 179},	//211 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {32, 60, 247, 2, Smoke::mf_static, 207, 180},	//212 QGlobalSpace::operator!=(QChar, QChar)
    {32, 97, 369, 2, Smoke::mf_static, 207, 181},	//213 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {32, 116, 474, 2, Smoke::mf_static, 64, 182},	//214 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {32, 116, 477, 2, Smoke::mf_static, 48, 183},	//215 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {32, 97, 89, 2, Smoke::mf_static, 207, 184},	//216 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {32, 112, 480, 2, Smoke::mf_static, 31, 185},	//217 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {32, 112, 483, 2, Smoke::mf_static, 31, 186},	//218 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {32, 88, 486, 2, Smoke::mf_static, 31, 187},	//219 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {32, 97, 244, 2, Smoke::mf_static, 207, 188},	//220 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {32, 60, 489, 2, Smoke::mf_static, 207, 189},	//221 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {32, 65, 492, 2, Smoke::mf_static, 244, 190},	//222 QGlobalSpace::operator*(double, const QSize&)
    {32, 107, 169, 2, Smoke::mf_static, 207, 191},	//223 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {32, 65, 495, 2, Smoke::mf_static, 234, 192},	//224 QGlobalSpace::operator*(double, const QPoint&)
    {32, 88, 498, 2, Smoke::mf_static, 31, 193},	//225 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {32, 88, 501, 2, Smoke::mf_static, 31, 194},	//226 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {32, 69, 504, 2, Smoke::mf_static, 211, 195},	//227 QGlobalSpace::operator+(const QByteArray&, char)
    {32, 81, 259, 2, Smoke::mf_static, 236, 196},	//228 QGlobalSpace::operator/(const QPointF&, double)
    {32, 107, 247, 2, Smoke::mf_static, 207, 197},	//229 QGlobalSpace::operator>=(QChar, QChar)
    {32, 92, 92, 2, Smoke::mf_static, 207, 198},	//230 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {32, 112, 507, 2, Smoke::mf_static, 31, 199},	//231 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {32, 92, 369, 2, Smoke::mf_static, 207, 200},	//232 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {32, 116, 510, 2, Smoke::mf_static, 47, 201},	//233 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {32, 88, 513, 2, Smoke::mf_static, 31, 202},	//234 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {32, 102, 226, 2, Smoke::mf_static, 207, 203},	//235 QGlobalSpace::operator>(const char*, const QByteArray&)
    {32, 112, 516, 2, Smoke::mf_static, 31, 204},	//236 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {32, 88, 519, 2, Smoke::mf_static, 31, 205},	//237 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {32, 97, 489, 2, Smoke::mf_static, 207, 206},	//238 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {32, 60, 522, 2, Smoke::mf_static, 207, 207},	//239 QGlobalSpace::operator!=(bool, QBool)
    {32, 116, 525, 2, Smoke::mf_static, 44, 208},	//240 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {32, 65, 528, 2, Smoke::mf_static, 97, 209},	//241 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {32, 60, 531, 2, Smoke::mf_static, 207, 210},	//242 QGlobalSpace::operator!=(QBool, bool)
    {32, 116, 534, 2, Smoke::mf_static, 72, 211},	//243 QGlobalSpace::operator|(Qt::WindowState, int)
    {32, 77, 354, 2, Smoke::mf_static, 234, 212},	//244 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {32, 112, 537, 2, Smoke::mf_static, 31, 213},	//245 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {32, 69, 169, 2, Smoke::mf_static, 211, 214},	//246 QGlobalSpace::operator+(const QByteArray&, const char*)
    {32, 88, 540, 2, Smoke::mf_static, 31, 215},	//247 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {32, 60, 89, 2, Smoke::mf_static, 207, 216},	//248 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {32, 92, 226, 2, Smoke::mf_static, 207, 217},	//249 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {32, 116, 543, 2, Smoke::mf_static, 72, 218},	//250 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {32, 88, 546, 2, Smoke::mf_static, 31, 219},	//251 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {32, 116, 549, 2, Smoke::mf_static, 51, 220},	//252 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {32, 97, 414, 2, Smoke::mf_static, 207, 221},	//253 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {32, 60, 369, 2, Smoke::mf_static, 207, 222},	//254 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {32, 88, 552, 2, Smoke::mf_static, 31, 223},	//255 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {32, 116, 555, 2, Smoke::mf_static, 65, 224},	//256 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {32, 65, 558, 2, Smoke::mf_static, 244, 225},	//257 QGlobalSpace::operator*(const QSize&, double)
    {32, 97, 561, 2, Smoke::mf_static, 207, 226},	//258 QGlobalSpace::operator==(QString::Null, const QString&)
    {32, 116, 564, 2, Smoke::mf_static, 55, 227},	//259 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {32, 112, 567, 2, Smoke::mf_static, 31, 228},	//260 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {32, 97, 169, 2, Smoke::mf_static, 207, 229},	//261 QGlobalSpace::operator==(const QByteArray&, const char*)
    {32, 112, 570, 2, Smoke::mf_static, 31, 230},	//262 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {32, 102, 223, 2, Smoke::mf_static, 207, 231},	//263 QGlobalSpace::operator>(const char*, const QString&)
    {32, 88, 573, 2, Smoke::mf_static, 31, 232},	//264 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {32, 112, 576, 2, Smoke::mf_static, 31, 233},	//265 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {32, 102, 169, 2, Smoke::mf_static, 207, 234},	//266 QGlobalSpace::operator>(const QByteArray&, const char*)
    {32, 83, 86, 2, Smoke::mf_static, 207, 235},	//267 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {32, 69, 354, 2, Smoke::mf_static, 234, 236},	//268 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {32, 92, 247, 2, Smoke::mf_static, 207, 237},	//269 QGlobalSpace::operator<=(QChar, QChar)
    {32, 65, 579, 2, Smoke::mf_static, 104, 238},	//270 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {32, 60, 561, 2, Smoke::mf_static, 207, 239},	//271 QGlobalSpace::operator!=(QString::Null, const QString&)
    {32, 102, 369, 2, Smoke::mf_static, 207, 240},	//272 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {32, 116, 582, 2, Smoke::mf_static, 47, 241},	//273 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {32, 60, 292, 2, Smoke::mf_static, 207, 242},	//274 QGlobalSpace::operator!=(const QString&, QString::Null)
    {32, 116, 585, 2, Smoke::mf_static, 72, 243},	//275 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {32, 116, 588, 2, Smoke::mf_static, 53, 244},	//276 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {32, 65, 591, 2, Smoke::mf_static, 99, 245},	//277 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {32, 77, 27, 1, Smoke::mf_static, 234, 246},	//278 QGlobalSpace::operator-(const QPoint&)
    {32, 112, 594, 2, Smoke::mf_static, 31, 247},	//279 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {32, 116, 597, 2, Smoke::mf_static, 42, 248},	//280 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {32, 112, 600, 2, Smoke::mf_static, 31, 249},	//281 QGlobalSpace::operator>>(QDataStream&, QString&)
    {32, 97, 92, 2, Smoke::mf_static, 207, 250},	//282 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {32, 88, 603, 2, Smoke::mf_static, 31, 251},	//283 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {32, 77, 238, 2, Smoke::mf_static, 236, 252},	//284 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {32, 83, 369, 2, Smoke::mf_static, 207, 253},	//285 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {32, 112, 606, 2, Smoke::mf_static, 31, 254},	//286 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {32, 69, 241, 2, Smoke::mf_static, 124, 255},	//287 QGlobalSpace::operator+(const QTransform&, double)
    {32, 116, 609, 2, Smoke::mf_static, 61, 256},	//288 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {32, 97, 393, 2, Smoke::mf_static, 207, 257},	//289 QGlobalSpace::operator==(const QStringRef&, const char*)
    {32, 60, 426, 2, Smoke::mf_static, 207, 258},	//290 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {32, 112, 612, 2, Smoke::mf_static, 31, 259},	//291 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {32, 69, 92, 2, Smoke::mf_static, 211, 260},	//292 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {32, 69, 615, 2, Smoke::mf_static, 249, 261},	//293 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {32, 112, 618, 2, Smoke::mf_static, 31, 262},	//294 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {32, 116, 621, 2, Smoke::mf_static, 72, 263},	//295 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {32, 97, 223, 2, Smoke::mf_static, 207, 264},	//296 QGlobalSpace::operator==(const char*, const QString&)
    {32, 88, 624, 2, Smoke::mf_static, 31, 265},	//297 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {32, 88, 627, 2, Smoke::mf_static, 31, 266},	//298 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {32, 81, 558, 2, Smoke::mf_static, 244, 267},	//299 QGlobalSpace::operator/(const QSize&, double)
    {32, 112, 630, 2, Smoke::mf_static, 31, 268},	//300 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {32, 112, 633, 2, Smoke::mf_static, 31, 269},	//301 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {32, 97, 522, 2, Smoke::mf_static, 207, 270},	//302 QGlobalSpace::operator==(bool, QBool)
    {32, 116, 636, 2, Smoke::mf_static, 63, 271},	//303 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {32, 116, 639, 2, Smoke::mf_static, 72, 272},	//304 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {32, 65, 642, 2, Smoke::mf_static, 93, 273},	//305 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {32, 107, 223, 2, Smoke::mf_static, 207, 274},	//306 QGlobalSpace::operator>=(const char*, const QString&)
    {32, 88, 645, 2, Smoke::mf_static, 31, 275},	//307 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {32, 112, 648, 2, Smoke::mf_static, 31, 276},	//308 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {32, 60, 238, 2, Smoke::mf_static, 207, 277},	//309 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {32, 116, 651, 2, Smoke::mf_static, 54, 278},	//310 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {32, 77, 65, 2, Smoke::mf_static, 244, 279},	//311 QGlobalSpace::operator-(const QSize&, const QSize&)
    {32, 116, 654, 2, Smoke::mf_static, 52, 280},	//312 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {32, 116, 657, 2, Smoke::mf_static, 52, 281},	//313 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {32, 116, 660, 2, Smoke::mf_static, 72, 282},	//314 QGlobalSpace::operator|(Qt::Orientation, int)
    {32, 60, 86, 2, Smoke::mf_static, 207, 283},	//315 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {32, 69, 238, 2, Smoke::mf_static, 236, 284},	//316 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {32, 65, 663, 2, Smoke::mf_static, 104, 285},	//317 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {32, 97, 531, 2, Smoke::mf_static, 207, 286},	//318 QGlobalSpace::operator==(QBool, bool)
    {32, 97, 62, 2, Smoke::mf_static, 207, 287},	//319 QGlobalSpace::operator==(const QRect&, const QRect&)
    {32, 112, 666, 2, Smoke::mf_static, 31, 288},	//320 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {32, 69, 669, 2, Smoke::mf_static, 249, 289},	//321 QGlobalSpace::operator+(const QString&, QChar)
    {32, 60, 116, 2, Smoke::mf_static, 207, 290},	//322 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {32, 116, 672, 2, Smoke::mf_static, 60, 291},	//323 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {32, 60, 110, 2, Smoke::mf_static, 207, 292},	//324 QGlobalSpace::operator!=(QBool, QBool)
    {32, 97, 450, 2, Smoke::mf_static, 207, 293},	//325 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {32, 77, 241, 2, Smoke::mf_static, 124, 294},	//326 QGlobalSpace::operator-(const QTransform&, double)
    {32, 74, 675, 2, Smoke::mf_static, 7, 295},	//327 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {32, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 296},	//328 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {32, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 297},	//329 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {32, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 298},	//330 QGlobalSpace::Q_STATIC_TYPE (enum)
    {32, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 299},	//331 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {32, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 300},	//332 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {32, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 301},	//333 QGlobalSpace::QtDebugMsg (enum)
    {32, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 302},	//334 QGlobalSpace::QtWarningMsg (enum)
    {32, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 303},	//335 QGlobalSpace::QtCriticalMsg (enum)
    {32, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 304},	//336 QGlobalSpace::QtFatalMsg (enum)
    {32, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 305},	//337 QGlobalSpace::QtSystemMsg (enum)
    {49, 37, 678, 2, Smoke::mf_virtual, 207, 0},	//338 QObject::eventFilter(QObject*, QEvent*)
    {49, 21, 681, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//339 QObject::childEvent(QChildEvent*)
    {49, 25, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//340 QObject::customEvent(QEvent*)
    {49, 23, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//341 QObject::connectNotify(const char*)
    {49, 28, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//342 QObject::disconnectNotify(const char*)
    {59, 53, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 108, 0},	//343 QPushButton::minimumSizeHint() const
    {59, 36, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 207, 0},	//344 QPushButton::event(QEvent*)
    {59, 47, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//345 QPushButton::keyPressEvent(QKeyEvent*)
    {59, 38, 683, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//346 QPushButton::focusInEvent(QFocusEvent*)
    {59, 40, 683, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//347 QPushButton::focusOutEvent(QFocusEvent*)
    {80, 26, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 263, 0},	//348 QWidget::devType() const
    {80, 132, 685, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//349 QWidget::setVisible(bool)
    {80, 42, 687, 1, Smoke::mf_const|Smoke::mf_virtual, 263, 0},	//350 QWidget::heightForWidth(int) const
    {80, 118, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 86, 0},	//351 QWidget::paintEngine() const
    {80, 54, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//352 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {80, 149, 689, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//353 QWidget::wheelEvent(QWheelEvent*)
    {80, 35, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//354 QWidget::enterEvent(QEvent*)
    {80, 50, 31, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//355 QWidget::leaveEvent(QEvent*)
    {80, 58, 691, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//356 QWidget::moveEvent(QMoveEvent*)
    {80, 125, 693, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//357 QWidget::resizeEvent(QResizeEvent*)
    {80, 22, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//358 QWidget::closeEvent(QCloseEvent*)
    {80, 24, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//359 QWidget::contextMenuEvent(QContextMenuEvent*)
    {80, 139, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//360 QWidget::tabletEvent(QTabletEvent*)
    {80, 18, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//361 QWidget::actionEvent(QActionEvent*)
    {80, 29, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//362 QWidget::dragEnterEvent(QDragEnterEvent*)
    {80, 31, 705, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//363 QWidget::dragMoveEvent(QDragMoveEvent*)
    {80, 30, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//364 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {80, 33, 709, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//365 QWidget::dropEvent(QDropEvent*)
    {80, 134, 711, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//366 QWidget::showEvent(QShowEvent*)
    {80, 43, 713, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//367 QWidget::hideEvent(QHideEvent*)
    {80, 151, 715, 1, Smoke::mf_protected|Smoke::mf_virtual, 207, 0},	//368 QWidget::x11Event(_XEvent*)
    {80, 52, 717, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 263, 0},	//369 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {80, 45, 719, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//370 QWidget::inputMethodEvent(QInputMethodEvent*)
    {80, 46, 721, 1, Smoke::mf_const|Smoke::mf_virtual, 128, 0},	//371 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {80, 39, 685, 1, Smoke::mf_protected|Smoke::mf_virtual, 207, 0},	//372 QWidget::focusNextPrevChild(bool)
    {80, 138, 723, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//373 QWidget::styleChange(QStyle&)
    {80, 34, 685, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//374 QWidget::enabledChange(bool)
    {80, 120, 725, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//375 QWidget::paletteChange(const QPalette&)
    {80, 41, 727, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//376 QWidget::fontChange(const QFont&)
    {80, 150, 685, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//377 QWidget::windowActivationChange(bool)
    {80, 49, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//378 QWidget::languageChange()
    {80, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 32},	//379 QWidget::DrawWindowBackground (enum)
    {80, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 33},	//380 QWidget::DrawChildren (enum)
    {80, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 34},	//381 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    37,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    42,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    58,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    107,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    120,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    154,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    157,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    203,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    211,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    212,  // QGlobalSpace::operator!=(QChar, QChar)
    221,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    248,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    254,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    309,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    322,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    324,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    172,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    183,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    201,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    242,  // QGlobalSpace::operator!=(QBool, bool)
    271,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    173,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    184,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    239,  // QGlobalSpace::operator!=(bool, QBool)
    274,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    290,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    315,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    45,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    46,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    68,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    83,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    85,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    87,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    109,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    127,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    138,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    151,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    202,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    241,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    270,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    277,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    305,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    317,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    34,  // QGlobalSpace::operator*(const QPoint&, double)
    49,  // QGlobalSpace::operator*(const QSizeF&, double)
    113,  // QGlobalSpace::operator*(const QPointF&, double)
    168,  // QGlobalSpace::operator*(const QTransform&, double)
    257,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    35,  // QGlobalSpace::operator*(double, const QPointF&)
    38,  // QGlobalSpace::operator*(double, const QSizeF&)
    222,  // QGlobalSpace::operator*(double, const QSize&)
    224,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    43,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    71,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    268,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    292,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    316,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    63,  // QGlobalSpace::operator+(QChar, const QString&)
    136,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    227,  // QGlobalSpace::operator+(const QByteArray&, char)
    246,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    287,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    97,  // QGlobalSpace::operator+(char, const QByteArray&)
    192,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    293,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    321,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    92,  // QGlobalSpace::operator+(const QString&, const char*)
    99,  // QGlobalSpace::operator+(const char*, const QString&)
    141,  // QGlobalSpace::operator+(const QString&, char)
    180,  // QGlobalSpace::operator+(const QString&, const QString&)
    210,  // QGlobalSpace::operator+(char, const QString&)
    0,
    133,  // QGlobalSpace::operator-(const QPointF&)
    278,  // QGlobalSpace::operator-(const QPoint&)
    0,
    52,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    244,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    284,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    311,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    98,  // QGlobalSpace::operator/(const QPoint&, double)
    105,  // QGlobalSpace::operator/(const QTransform&, double)
    124,  // QGlobalSpace::operator/(const QSizeF&, double)
    228,  // QGlobalSpace::operator/(const QPointF&, double)
    299,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    108,  // QGlobalSpace::operator<(QChar, QChar)
    131,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    171,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    285,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    149,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    267,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    40,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    44,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    50,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    62,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    65,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    67,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    78,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    90,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    93,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    110,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    116,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    135,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    144,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    146,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    167,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    177,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    179,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    204,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    205,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    207,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    209,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    219,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    225,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    226,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    234,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    237,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    247,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    251,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    255,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    264,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    297,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    307,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    283,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    298,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    195,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    230,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    232,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    269,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    189,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    249,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    47,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    54,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    59,  // QGlobalSpace::operator==(QBool, QBool)
    61,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    104,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    115,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    143,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    163,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    190,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    199,  // QGlobalSpace::operator==(QChar, QChar)
    213,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    216,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    220,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    238,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    282,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    319,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    325,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    161,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    258,  // QGlobalSpace::operator==(QString::Null, const QString&)
    261,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    289,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    318,  // QGlobalSpace::operator==(QBool, bool)
    0,
    100,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    117,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    130,  // QGlobalSpace::operator==(const QString&, QString::Null)
    191,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    253,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    302,  // QGlobalSpace::operator==(bool, QBool)
    0,
    128,  // QGlobalSpace::operator>(QChar, QChar)
    174,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    188,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    272,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    51,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    235,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    53,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    142,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    162,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    229,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    111,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    129,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    39,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    77,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    89,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    95,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    101,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    102,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    103,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    112,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    122,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    126,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    132,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    147,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    166,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    178,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    187,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    193,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    196,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    217,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    218,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    231,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    236,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    260,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    262,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    265,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    279,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    286,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    291,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    294,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    300,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    301,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    308,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    320,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    198,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    281,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    33,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    36,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    41,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    48,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    55,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    56,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    57,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    60,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    64,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    69,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    70,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    72,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    73,  // QGlobalSpace::operator|(Qt::DropAction, int)
    75,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    76,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    79,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    81,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    82,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    84,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    86,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    88,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    91,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    94,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    96,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    114,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    118,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    119,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    121,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    123,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    125,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    134,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    137,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    139,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    140,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    145,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    148,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    150,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    152,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    153,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    155,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    158,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    159,  // QGlobalSpace::operator|(Qt::WindowType, int)
    160,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    164,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    165,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    169,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    170,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    175,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    176,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    185,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    186,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    194,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    197,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    200,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    206,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    208,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    214,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    215,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    233,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    240,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    243,  // QGlobalSpace::operator|(Qt::WindowState, int)
    250,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    252,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    256,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    259,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    273,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    275,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    276,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    280,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    288,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    295,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    303,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    304,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    310,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    312,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    313,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    314,  // QGlobalSpace::operator|(Qt::Orientation, int)
    323,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 2, 9},	// KNS::Button::Button#
    {7, 3, 8},	// KNS::Button::Button$$$#
    {7, 17, 13},	// KNS::Button::aboutToShowDialog
    {7, 27, 14},	// KNS::Button::dialogFinished
    {7, 51, 1},	// KNS::Button::metaObject
    {7, 122, 7},	// KNS::Button::qt_metacall$$?
    {7, 124, 2},	// KNS::Button::qt_metacast$
    {7, 127, 12},	// KNS::Button::setButtonText$
    {7, 129, 10},	// KNS::Button::setProviderList$
    {7, 131, 11},	// KNS::Button::setResourceType$
    {7, 133, 15},	// KNS::Button::showDialog
    {7, 137, 18},	// KNS::Button::staticMetaObject
    {7, 142, 16},	// KNS::Button::tr$
    {7, 143, 3},	// KNS::Button::tr$$
    {7, 144, 5},	// KNS::Button::tr$$$
    {7, 146, 17},	// KNS::Button::trUtf8$
    {7, 147, 4},	// KNS::Button::trUtf8$$
    {7, 148, 6},	// KNS::Button::trUtf8$$$
    {7, 152, 19},	// KNS::Button::~Button
    {32, 7, 328},	// QGlobalSpace::Q_COMPLEX_TYPE
    {32, 8, 332},	// QGlobalSpace::Q_DUMMY_TYPE
    {32, 9, 331},	// QGlobalSpace::Q_MOVABLE_TYPE
    {32, 10, 329},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {32, 11, 330},	// QGlobalSpace::Q_STATIC_TYPE
    {32, 12, 335},	// QGlobalSpace::QtCriticalMsg
    {32, 13, 333},	// QGlobalSpace::QtDebugMsg
    {32, 14, 336},	// QGlobalSpace::QtFatalMsg
    {32, 15, 337},	// QGlobalSpace::QtSystemMsg
    {32, 16, 334},	// QGlobalSpace::QtWarningMsg
    {32, 61, -1},	// QGlobalSpace::operator!=##
    {32, 62, -18},	// QGlobalSpace::operator!=#$
    {32, 63, -24},	// QGlobalSpace::operator!=$#
    {32, 64, 182},	// QGlobalSpace::operator!=$$
    {32, 66, -31},	// QGlobalSpace::operator*##
    {32, 67, -48},	// QGlobalSpace::operator*#$
    {32, 68, -54},	// QGlobalSpace::operator*$#
    {32, 70, -59},	// QGlobalSpace::operator+##
    {32, 71, -65},	// QGlobalSpace::operator+#$
    {32, 72, -71},	// QGlobalSpace::operator+$#
    {32, 73, -76},	// QGlobalSpace::operator+$$
    {32, 75, 66},	// QGlobalSpace::operator++$
    {32, 76, 327},	// QGlobalSpace::operator++$$
    {32, 78, -82},	// QGlobalSpace::operator-#
    {32, 79, -85},	// QGlobalSpace::operator-##
    {32, 80, 326},	// QGlobalSpace::operator-#$
    {32, 82, -90},	// QGlobalSpace::operator/#$
    {32, 84, -96},	// QGlobalSpace::operator<##
    {32, 85, 80},	// QGlobalSpace::operator<#$
    {32, 86, -101},	// QGlobalSpace::operator<$#
    {32, 87, 181},	// QGlobalSpace::operator<$$
    {32, 89, -104},	// QGlobalSpace::operator<<##
    {32, 90, -137},	// QGlobalSpace::operator<<#$
    {32, 91, 74},	// QGlobalSpace::operator<<#?
    {32, 93, -140},	// QGlobalSpace::operator<=##
    {32, 94, 156},	// QGlobalSpace::operator<=#$
    {32, 95, -145},	// QGlobalSpace::operator<=$#
    {32, 96, 106},	// QGlobalSpace::operator<=$$
    {32, 98, -148},	// QGlobalSpace::operator==##
    {32, 99, -166},	// QGlobalSpace::operator==#$
    {32, 100, -172},	// QGlobalSpace::operator==$#
    {32, 101, 296},	// QGlobalSpace::operator==$$
    {32, 103, -179},	// QGlobalSpace::operator>##
    {32, 104, 266},	// QGlobalSpace::operator>#$
    {32, 105, -184},	// QGlobalSpace::operator>$#
    {32, 106, 263},	// QGlobalSpace::operator>$$
    {32, 108, -187},	// QGlobalSpace::operator>=##
    {32, 109, 223},	// QGlobalSpace::operator>=#$
    {32, 110, -192},	// QGlobalSpace::operator>=$#
    {32, 111, 306},	// QGlobalSpace::operator>=$$
    {32, 113, -195},	// QGlobalSpace::operator>>##
    {32, 114, -228},	// QGlobalSpace::operator>>#$
    {32, 115, 245},	// QGlobalSpace::operator>>#?
    {32, 117, -231},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *knewstuff2_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_knewstuff2_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    knewstuff2_Smoke = new Smoke(
        "knewstuff2",
        __smokeknewstuff2::classes, 80,
        __smokeknewstuff2::methods, 382,
        __smokeknewstuff2::methodMaps, 74,
        __smokeknewstuff2::methodNames, 152,
        __smokeknewstuff2::types, 268,
        __smokeknewstuff2::inheritanceList,
        __smokeknewstuff2::argumentList,
        __smokeknewstuff2::ambiguousMethodList,
        __smokeknewstuff2::cast );
    initialized = true;
}

void delete_knewstuff2_Smoke() { delete knewstuff2_Smoke; }

}
