#include <nepomukquery_includes.h>

#include <smoke.h>
#include <nepomukquery_smoke.h>

namespace __smokenepomukquery {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KStandardDirs
      switch(to) {
        case 4: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 5:   //KUrl
      switch(to) {
        case 5: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 7:   //Nepomuk::Query::AndTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::AndTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::AndTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)xptr;
        default: return xptr;
      }
    case 8:   //Nepomuk::Query::ComparisonTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ComparisonTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)xptr;
        default: return xptr;
      }
    case 9:   //Nepomuk::Query::FileQuery
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query*)(Nepomuk::Query::FileQuery*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::Query::GroupTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::GroupTerm*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::GroupTerm*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::Query::LiteralTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::LiteralTerm*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::Query::NegationTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::NegationTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::NegationTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::Query::OptionalTerm
      switch(to) {
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::OptionalTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OptionalTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::Query::OrTerm
      switch(to) {
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::OrTerm*)xptr;
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::OrTerm*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::Query::Query
      switch(to) {
        case 15: return (void*)(Nepomuk::Query::Query*)xptr;
        case 9: return (void*)(Nepomuk::Query::FileQuery*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::Query::Query::RequestProperty
      switch(to) {
        case 16: return (void*)(Nepomuk::Query::Query::RequestProperty*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::Query::QueryParser
      switch(to) {
        case 17: return (void*)(Nepomuk::Query::QueryParser*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::Query::QueryServiceClient
      switch(to) {
        case 35: return (void*)(QObject*)(Nepomuk::Query::QueryServiceClient*)xptr;
        case 18: return (void*)(Nepomuk::Query::QueryServiceClient*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::Query::ResourceTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTerm*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTerm*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Query::ResourceTypeTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        case 20: return (void*)(Nepomuk::Query::ResourceTypeTerm*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::Result
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::Result*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Query::SimpleTerm
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::SimpleTerm*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::Query::Term
      switch(to) {
        case 23: return (void*)(Nepomuk::Query::Term*)xptr;
        case 14: return (void*)(Nepomuk::Query::OrTerm*)(Nepomuk::Query::Term*)xptr;
        case 11: return (void*)(Nepomuk::Query::LiteralTerm*)(Nepomuk::Query::Term*)xptr;
        case 19: return (void*)(Nepomuk::Query::ResourceTerm*)(Nepomuk::Query::Term*)xptr;
        case 7: return (void*)(Nepomuk::Query::AndTerm*)(Nepomuk::Query::Term*)xptr;
        case 13: return (void*)(Nepomuk::Query::OptionalTerm*)(Nepomuk::Query::Term*)xptr;
        case 8: return (void*)(Nepomuk::Query::ComparisonTerm*)(Nepomuk::Query::Term*)xptr;
        case 10: return (void*)(Nepomuk::Query::GroupTerm*)(Nepomuk::Query::Term*)xptr;
        case 20: return (void*)(Nepomuk::Query::ResourceTypeTerm*)(Nepomuk::Query::Term*)xptr;
        case 22: return (void*)(Nepomuk::Query::SimpleTerm*)(Nepomuk::Query::Term*)xptr;
        case 12: return (void*)(Nepomuk::Query::NegationTerm*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::Query::TermPrivate
      switch(to) {
        case 24: return (void*)(Nepomuk::Query::TermPrivate*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::Resource
      switch(to) {
        case 25: return (void*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::Types::Class
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 26: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::Types::Entity
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 28:   //Nepomuk::Types::Property
      switch(to) {
        case 27: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 28: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 29:   //Nepomuk::Variant
      switch(to) {
        case 29: return (void*)(Nepomuk::Variant*)xptr;
        default: return xptr;
      }
    case 30:   //QBool
      switch(to) {
        case 30: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 31:   //QChildEvent
      switch(to) {
        case 31: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QEvent
      switch(to) {
        case 32: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QMetaObject
      switch(to) {
        case 34: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 35:   //QObject
      switch(to) {
        case 35: return (void*)(QObject*)xptr;
        case 18: return (void*)(Nepomuk::Query::QueryServiceClient*)(QObject*)xptr;
        default: return xptr;
      }
    case 36:   //QRegExp
      switch(to) {
        case 36: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 37:   //QTimerEvent
      switch(to) {
        case 37: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 38:   //Soprano::BindingSet
      switch(to) {
        case 38: return (void*)(Soprano::BindingSet*)xptr;
        default: return xptr;
      }
    case 39:   //Soprano::LanguageTag
      switch(to) {
        case 39: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 40:   //Soprano::LiteralValue
      switch(to) {
        case 40: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 41:   //Soprano::Node
      switch(to) {
        case 41: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 42:   //Soprano::Statement
      switch(to) {
        case 42: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    10, 0,	// 1: Nepomuk::Query::GroupTerm
    22, 0,	// 3: Nepomuk::Query::SimpleTerm
    15, 0,	// 5: Nepomuk::Query::Query
    23, 0,	// 7: Nepomuk::Query::Term
    35, 0,	// 9: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_Nepomuk__Query__Query(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__FileQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__ComparisonTerm(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__QueryParser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk__Query__Term(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Nepomuk__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__AndTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ComparisonTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__FileQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__GroupTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__LiteralTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__NegationTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OptionalTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__OrTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Query__RequestProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryParser(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__QueryServiceClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__ResourceTypeTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Result(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__SimpleTerm(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Query__Term(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//4
    { "KUrl", true, 0, 0, 0, 0, 0 },	//5
    { "Nepomuk::Query", false, 0, xcall_Nepomuk__Query, 0, Smoke::cf_namespace, 0 },	//6
    { "Nepomuk::Query::AndTerm", false, 1, xcall_Nepomuk__Query__AndTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::AndTerm) },	//7
    { "Nepomuk::Query::ComparisonTerm", false, 3, xcall_Nepomuk__Query__ComparisonTerm, xenum_Nepomuk__Query__ComparisonTerm, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ComparisonTerm) },	//8
    { "Nepomuk::Query::FileQuery", false, 5, xcall_Nepomuk__Query__FileQuery, xenum_Nepomuk__Query__FileQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::FileQuery) },	//9
    { "Nepomuk::Query::GroupTerm", false, 7, xcall_Nepomuk__Query__GroupTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::GroupTerm) },	//10
    { "Nepomuk::Query::LiteralTerm", false, 7, xcall_Nepomuk__Query__LiteralTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::LiteralTerm) },	//11
    { "Nepomuk::Query::NegationTerm", false, 3, xcall_Nepomuk__Query__NegationTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::NegationTerm) },	//12
    { "Nepomuk::Query::OptionalTerm", false, 3, xcall_Nepomuk__Query__OptionalTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OptionalTerm) },	//13
    { "Nepomuk::Query::OrTerm", false, 1, xcall_Nepomuk__Query__OrTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::OrTerm) },	//14
    { "Nepomuk::Query::Query", false, 0, xcall_Nepomuk__Query__Query, xenum_Nepomuk__Query__Query, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query) },	//15
    { "Nepomuk::Query::Query::RequestProperty", false, 0, xcall_Nepomuk__Query__Query__RequestProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Query::RequestProperty) },	//16
    { "Nepomuk::Query::QueryParser", false, 0, xcall_Nepomuk__Query__QueryParser, xenum_Nepomuk__Query__QueryParser, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::QueryParser) },	//17
    { "Nepomuk::Query::QueryServiceClient", false, 9, xcall_Nepomuk__Query__QueryServiceClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Query::QueryServiceClient) },	//18
    { "Nepomuk::Query::ResourceTerm", false, 7, xcall_Nepomuk__Query__ResourceTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTerm) },	//19
    { "Nepomuk::Query::ResourceTypeTerm", false, 7, xcall_Nepomuk__Query__ResourceTypeTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::ResourceTypeTerm) },	//20
    { "Nepomuk::Query::Result", false, 0, xcall_Nepomuk__Query__Result, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Result) },	//21
    { "Nepomuk::Query::SimpleTerm", false, 7, xcall_Nepomuk__Query__SimpleTerm, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::SimpleTerm) },	//22
    { "Nepomuk::Query::Term", false, 0, xcall_Nepomuk__Query__Term, xenum_Nepomuk__Query__Term, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Query::Term) },	//23
    { "Nepomuk::Query::TermPrivate", true, 0, 0, 0, 0, 0 },	//24
    { "Nepomuk::Resource", true, 0, 0, 0, 0, 0 },	//25
    { "Nepomuk::Types::Class", true, 0, 0, 0, 0, 0 },	//26
    { "Nepomuk::Types::Entity", true, 0, 0, 0, 0, 0 },	//27
    { "Nepomuk::Types::Property", true, 0, 0, 0, 0, 0 },	//28
    { "Nepomuk::Variant", true, 0, 0, 0, 0, 0 },	//29
    { "QBool", true, 0, 0, 0, 0, 0 },	//30
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//33
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//34
    { "QObject", true, 0, 0, 0, 0, 0 },	//35
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//36
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//37
    { "Soprano::BindingSet", true, 0, 0, 0, 0, 0 },	//38
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//39
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//40
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//41
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//42
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//5
    { "KStandardDirs*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KUrl", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "Nepomuk::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "Nepomuk::Query::AndTerm", 7, Smoke::t_class|Smoke::tf_stack },	//10
    { "Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref },	//11
    { "Nepomuk::Query::AndTerm*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::Query::ComparisonTerm", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref },	//14
    { "Nepomuk::Query::ComparisonTerm*", 8, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Nepomuk::Query::ComparisonTerm::AggregateFunction", 8, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Nepomuk::Query::ComparisonTerm::Comparator", 8, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref },	//18
    { "Nepomuk::Query::FileQuery*", 9, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Nepomuk::Query::FileQuery::FileModeFlags", 9, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Nepomuk::Query::GroupTerm*", 10, Smoke::t_class|Smoke::tf_ptr },	//21
    { "Nepomuk::Query::LiteralTerm", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "Nepomuk::Query::LiteralTerm*", 11, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Nepomuk::Query::NegationTerm", 12, Smoke::t_class|Smoke::tf_stack },	//25
    { "Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref },	//26
    { "Nepomuk::Query::NegationTerm*", 12, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Nepomuk::Query::OptionalTerm", 13, Smoke::t_class|Smoke::tf_stack },	//28
    { "Nepomuk::Query::OptionalTerm&", 13, Smoke::t_class|Smoke::tf_ref },	//29
    { "Nepomuk::Query::OptionalTerm*", 13, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Nepomuk::Query::OrTerm", 14, Smoke::t_class|Smoke::tf_stack },	//31
    { "Nepomuk::Query::OrTerm&", 14, Smoke::t_class|Smoke::tf_ref },	//32
    { "Nepomuk::Query::OrTerm*", 14, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Nepomuk::Query::Query", 15, Smoke::t_class|Smoke::tf_stack },	//34
    { "Nepomuk::Query::Query&", 15, Smoke::t_class|Smoke::tf_ref },	//35
    { "Nepomuk::Query::Query*", 15, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Nepomuk::Query::Query::RequestProperty&", 16, Smoke::t_class|Smoke::tf_ref },	//37
    { "Nepomuk::Query::Query::RequestProperty*", 16, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Nepomuk::Query::Query::SparqlFlag", 15, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Nepomuk::Query::QueryParser*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Nepomuk::Query::QueryParser::ParserFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Nepomuk::Query::QueryServiceClient*", 18, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Nepomuk::Query::ResourceTerm", 19, Smoke::t_class|Smoke::tf_stack },	//43
    { "Nepomuk::Query::ResourceTerm&", 19, Smoke::t_class|Smoke::tf_ref },	//44
    { "Nepomuk::Query::ResourceTerm*", 19, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Nepomuk::Query::ResourceTypeTerm", 20, Smoke::t_class|Smoke::tf_stack },	//46
    { "Nepomuk::Query::ResourceTypeTerm&", 20, Smoke::t_class|Smoke::tf_ref },	//47
    { "Nepomuk::Query::ResourceTypeTerm*", 20, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Nepomuk::Query::Result&", 21, Smoke::t_class|Smoke::tf_ref },	//49
    { "Nepomuk::Query::Result*", 21, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Nepomuk::Query::SimpleTerm*", 22, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Nepomuk::Query::Term", 23, Smoke::t_class|Smoke::tf_stack },	//52
    { "Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref },	//53
    { "Nepomuk::Query::Term*", 23, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Nepomuk::Query::Term::Type", 23, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Nepomuk::Query::TermPrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Nepomuk::Resource", 25, Smoke::t_class|Smoke::tf_stack },	//57
    { "Nepomuk::Types::Class", 26, Smoke::t_class|Smoke::tf_stack },	//58
    { "Nepomuk::Types::Property", 28, Smoke::t_class|Smoke::tf_stack },	//59
    { "Nepomuk::Variant", 29, Smoke::t_class|Smoke::tf_stack },	//60
    { "QBool", 30, Smoke::t_class|Smoke::tf_stack },	//61
    { "QChildEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QFlags<Nepomuk::Query::FileQuery::FileModeFlags>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Nepomuk::Query::Query::SparqlFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Nepomuk::Query::QueryParser::ParserFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QHash<Nepomuk::Types::Property,Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QHash<QString,Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "QList<Nepomuk::Query::Query::RequestProperty>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QList<Nepomuk::Query::Result>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QList<Nepomuk::Query::Term>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QMetaObject::Call", 34, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QObject*", 35, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QRegExp&", 36, Smoke::t_class|Smoke::tf_ref },	//75
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//77
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//78
    { "QTimerEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QtMsgType", 33, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Soprano::BindingSet", 38, Smoke::t_class|Smoke::tf_stack },	//152
    { "Soprano::LiteralValue", 40, Smoke::t_class|Smoke::tf_stack },	//153
    { "Soprano::Node", 41, Smoke::t_class|Smoke::tf_stack },	//154
    { "__codecvt_result", 33, Smoke::t_enum|Smoke::tf_stack },	//155
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//156
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//157
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//158
    { "const KUrl&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//159
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//160
    { "const Nepomuk::Query::AndTerm&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//161
    { "const Nepomuk::Query::ComparisonTerm&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//162
    { "const Nepomuk::Query::FileQuery&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const Nepomuk::Query::GroupTerm&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//164
    { "const Nepomuk::Query::LiteralTerm&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const Nepomuk::Query::NegationTerm&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//166
    { "const Nepomuk::Query::OptionalTerm&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const Nepomuk::Query::OrTerm&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//168
    { "const Nepomuk::Query::Query&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const Nepomuk::Query::Query::RequestProperty&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//170
    { "const Nepomuk::Query::QueryParser&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//171
    { "const Nepomuk::Query::RequestPropertyMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "const Nepomuk::Query::ResourceTerm&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//173
    { "const Nepomuk::Query::ResourceTypeTerm&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//174
    { "const Nepomuk::Query::Result&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//175
    { "const Nepomuk::Query::SimpleTerm&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const Nepomuk::Query::Term&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Nepomuk::Resource&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Nepomuk::Types::Class&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Nepomuk::Types::Entity&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Nepomuk::Types::Property&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const QHash<QString,Nepomuk::Types::Property>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const QList<Nepomuk::Query::Query::RequestProperty>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const QList<Nepomuk::Query::Result>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const QList<Nepomuk::Query::Term>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const QMetaObject&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const QMetaObject*", 34, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//188
    { "const QObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//189
    { "const QRegExp&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//192
    { "const Soprano::BindingSet&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const Soprano::LanguageTag&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const Soprano::LiteralValue&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const Soprano::Node&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const Soprano::Statement&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//198
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//199
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//200
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//201
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//202
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//203
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//204
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//205
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//206
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    177, 0,	//1  const Nepomuk::Query::Term&
    169, 0,	//3  const Nepomuk::Query::Query&
    161, 0,	//5  const Nepomuk::Query::AndTerm&
    177, 177, 177, 177, 177, 177, 0,	//7  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    185, 0,	//14  const QList<Nepomuk::Query::Term>&
    177, 177, 0,	//16  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    177, 177, 177, 0,	//19  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    177, 177, 177, 177, 0,	//23  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    177, 177, 177, 177, 177, 0,	//28  const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    162, 0,	//34  const Nepomuk::Query::ComparisonTerm&
    181, 177, 17, 0,	//36  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator
    17, 0,	//40  Nepomuk::Query::ComparisonTerm::Comparator
    181, 0,	//42  const Nepomuk::Types::Property&
    191, 0,	//44  const QString&
    16, 0,	//46  Nepomuk::Query::ComparisonTerm::AggregateFunction
    201, 133, 0,	//48  int, Qt::SortOrder
    156, 0,	//51  bool
    181, 177, 0,	//53  const Nepomuk::Types::Property&, const Nepomuk::Query::Term&
    201, 0,	//56  int
    159, 0,	//58  const KUrl&
    160, 0,	//60  const KUrl::List&
    64, 0,	//62  QFlags<Nepomuk::Query::FileQuery::FileModeFlags>
    163, 0,	//64  const Nepomuk::Query::FileQuery&
    56, 0,	//66  Nepomuk::Query::TermPrivate*
    56, 177, 177, 177, 177, 177, 177, 0,	//68  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    164, 0,	//76  const Nepomuk::Query::GroupTerm&
    56, 177, 177, 0,	//78  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    56, 177, 177, 177, 0,	//82  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    56, 177, 177, 177, 177, 0,	//87  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    56, 177, 177, 177, 177, 177, 0,	//93  Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&
    165, 0,	//100  const Nepomuk::Query::LiteralTerm&
    195, 0,	//102  const Soprano::LiteralValue&
    166, 0,	//104  const Nepomuk::Query::NegationTerm&
    167, 0,	//106  const Nepomuk::Query::OptionalTerm&
    168, 0,	//108  const Nepomuk::Query::OrTerm&
    170, 0,	//110  const Nepomuk::Query::Query::RequestProperty&
    183, 0,	//112  const QList<Nepomuk::Query::Query::RequestProperty>&
    65, 0,	//114  QFlags<Nepomuk::Query::Query::SparqlFlag>
    191, 65, 0,	//116  const QString&, QFlags<Nepomuk::Query::Query::SparqlFlag>
    181, 156, 0,	//119  const Nepomuk::Types::Property&, bool
    191, 66, 0,	//122  const QString&, QFlags<Nepomuk::Query::QueryParser::ParserFlag>
    171, 0,	//125  const Nepomuk::Query::QueryParser&
    198, 0,	//127  const char*
    198, 198, 0,	//129  const char*, const char*
    198, 198, 201, 0,	//132  const char*, const char*, int
    73, 201, 205, 0,	//136  QMetaObject::Call, int, void**
    74, 0,	//140  QObject*
    169, 157, 0,	//142  const Nepomuk::Query::Query&, bool*
    191, 182, 157, 0,	//145  const QString&, const QHash<QString,Nepomuk::Types::Property>&, bool*
    191, 157, 0,	//149  const QString&, bool*
    191, 172, 0,	//152  const QString&, const Nepomuk::Query::RequestPropertyMap&
    184, 0,	//155  const QList<Nepomuk::Query::Result>&
    186, 0,	//157  const QList<QUrl>&
    191, 182, 0,	//159  const QString&, const QHash<QString,Nepomuk::Types::Property>&
    173, 0,	//162  const Nepomuk::Query::ResourceTerm&
    178, 0,	//164  const Nepomuk::Resource&
    174, 0,	//166  const Nepomuk::Query::ResourceTypeTerm&
    179, 0,	//168  const Nepomuk::Types::Class&
    178, 200, 0,	//170  const Nepomuk::Resource&, double
    175, 0,	//173  const Nepomuk::Query::Result&
    200, 0,	//175  double
    181, 196, 0,	//177  const Nepomuk::Types::Property&, const Soprano::Node&
    193, 0,	//180  const Soprano::BindingSet&
    176, 0,	//182  const Nepomuk::Query::SimpleTerm&
    63, 0,	//184  QEvent*
    74, 63, 0,	//186  QObject*, QEvent*
    79, 0,	//189  QTimerEvent*
    62, 0,	//191  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "And",	//1
    "AndTerm",	//2
    "AndTerm#",	//3
    "AndTerm##",	//4
    "AndTerm###",	//5
    "AndTerm####",	//6
    "AndTerm#####",	//7
    "AndTerm######",	//8
    "AndTerm?",	//9
    "Average",	//10
    "Comparison",	//11
    "ComparisonTerm",	//12
    "ComparisonTerm#",	//13
    "ComparisonTerm##",	//14
    "ComparisonTerm##$",	//15
    "Contains",	//16
    "Count",	//17
    "CreateCountQuery",	//18
    "DistinctAverage",	//19
    "DistinctCount",	//20
    "DistinctSum",	//21
    "Equal",	//22
    "FileQuery",	//23
    "FileQuery#",	//24
    "Greater",	//25
    "GreaterOrEqual",	//26
    "GroupTerm",	//27
    "GroupTerm#",	//28
    "GroupTerm###",	//29
    "GroupTerm####",	//30
    "GroupTerm#####",	//31
    "GroupTerm######",	//32
    "GroupTerm#######",	//33
    "HandleInverseProperties",	//34
    "Invalid",	//35
    "Literal",	//36
    "LiteralTerm",	//37
    "LiteralTerm#",	//38
    "Max",	//39
    "Min",	//40
    "Negation",	//41
    "NegationTerm",	//42
    "NegationTerm#",	//43
    "NoAggregateFunction",	//44
    "NoFlags",	//45
    "NoParserFlags",	//46
    "Optional",	//47
    "OptionalTerm",	//48
    "OptionalTerm#",	//49
    "Or",	//50
    "OrTerm",	//51
    "OrTerm#",	//52
    "OrTerm##",	//53
    "OrTerm###",	//54
    "OrTerm####",	//55
    "OrTerm#####",	//56
    "OrTerm######",	//57
    "OrTerm?",	//58
    "Q_COMPLEX_TYPE",	//59
    "Q_DUMMY_TYPE",	//60
    "Q_MOVABLE_TYPE",	//61
    "Q_PRIMITIVE_TYPE",	//62
    "Q_STATIC_TYPE",	//63
    "QtCriticalMsg",	//64
    "QtDebugMsg",	//65
    "QtFatalMsg",	//66
    "QtSystemMsg",	//67
    "QtWarningMsg",	//68
    "Query",	//69
    "Query#",	//70
    "QueryFiles",	//71
    "QueryFilesAndFolders",	//72
    "QueryFolders",	//73
    "QueryParser",	//74
    "QueryParser#",	//75
    "QueryServiceClient",	//76
    "QueryServiceClient#",	//77
    "QueryTermGlobbing",	//78
    "Regexp",	//79
    "RequestProperty",	//80
    "RequestProperty#",	//81
    "RequestProperty#$",	//82
    "Resource",	//83
    "ResourceTerm",	//84
    "ResourceTerm#",	//85
    "ResourceType",	//86
    "ResourceTypeTerm",	//87
    "ResourceTypeTerm#",	//88
    "Result",	//89
    "Result#",	//90
    "Result#$",	//91
    "SimpleTerm",	//92
    "SimpleTerm#",	//93
    "Smaller",	//94
    "SmallerOrEqual",	//95
    "Sum",	//96
    "Term",	//97
    "Term#",	//98
    "__codecvt_error",	//99
    "__codecvt_noconv",	//100
    "__codecvt_ok",	//101
    "__codecvt_partial",	//102
    "addExcludeFolder",	//103
    "addExcludeFolder#",	//104
    "addIncludeFolder",	//105
    "addIncludeFolder#",	//106
    "addRequestProperty",	//107
    "addRequestProperty#",	//108
    "addRequestProperty##",	//109
    "addSubTerm",	//110
    "addSubTerm#",	//111
    "additionalBinding",	//112
    "additionalBinding$",	//113
    "additionalBindings",	//114
    "aggregateFunction",	//115
    "blockingDesktopQuery",	//116
    "blockingDesktopQuery$",	//117
    "blockingQuery",	//118
    "blockingQuery#",	//119
    "blockingSparqlQuery",	//120
    "blockingSparqlQuery$",	//121
    "blockingSparqlQuery$?",	//122
    "childEvent",	//123
    "close",	//124
    "comparator",	//125
    "connectNotify",	//126
    "customEvent",	//127
    "desktopQuery",	//128
    "desktopQuery$",	//129
    "disconnectNotify",	//130
    "entriesRemoved",	//131
    "entriesRemoved?",	//132
    "event",	//133
    "eventFilter",	//134
    "excludeFolders",	//135
    "fileMode",	//136
    "finishedListing",	//137
    "fromQueryUrl",	//138
    "fromQueryUrl#",	//139
    "fromString",	//140
    "fromString$",	//141
    "includeFolders",	//142
    "inverted",	//143
    "isAndTerm",	//144
    "isComparisonTerm",	//145
    "isFileQuery",	//146
    "isInverted",	//147
    "isLiteralTerm",	//148
    "isNegationTerm",	//149
    "isOptionalTerm",	//150
    "isOrTerm",	//151
    "isResourceTerm",	//152
    "isResourceTypeTerm",	//153
    "isValid",	//154
    "limit",	//155
    "matchProperty",	//156
    "matchProperty$",	//157
    "metaObject",	//158
    "negateTerm",	//159
    "negateTerm#",	//160
    "newEntries",	//161
    "newEntries?",	//162
    "offset",	//163
    "operator=",	//164
    "operator=#",	//165
    "operator==",	//166
    "operator==#",	//167
    "operator[]",	//168
    "operator[]#",	//169
    "optional",	//170
    "optionalizeTerm",	//171
    "optionalizeTerm#",	//172
    "parse",	//173
    "parse$",	//174
    "parse$$",	//175
    "parseQuery",	//176
    "parseQuery$",	//177
    "property",	//178
    "qHash",	//179
    "qHash#",	//180
    "qt_metacall",	//181
    "qt_metacall$$?",	//182
    "qt_metacast",	//183
    "qt_metacast$",	//184
    "query",	//185
    "query#",	//186
    "requestProperties",	//187
    "requestProperty",	//188
    "requestProperty#",	//189
    "requestPropertyMap",	//190
    "resource",	//191
    "score",	//192
    "serviceAvailable",	//193
    "setAdditionalBindings",	//194
    "setAdditionalBindings#",	//195
    "setAggregateFunction",	//196
    "setAggregateFunction$",	//197
    "setComparator",	//198
    "setComparator$",	//199
    "setExcludeFolders",	//200
    "setExcludeFolders?",	//201
    "setFileMode",	//202
    "setFileMode$",	//203
    "setIncludeFolders",	//204
    "setIncludeFolders?",	//205
    "setInverted",	//206
    "setInverted$",	//207
    "setLimit",	//208
    "setLimit$",	//209
    "setOffset",	//210
    "setOffset$",	//211
    "setProperty",	//212
    "setProperty#",	//213
    "setRequestProperties",	//214
    "setRequestProperties?",	//215
    "setResource",	//216
    "setResource#",	//217
    "setScore",	//218
    "setScore$",	//219
    "setSortWeight",	//220
    "setSortWeight$",	//221
    "setSortWeight$$",	//222
    "setSubTerm",	//223
    "setSubTerm#",	//224
    "setSubTerms",	//225
    "setSubTerms?",	//226
    "setTerm",	//227
    "setTerm#",	//228
    "setType",	//229
    "setType#",	//230
    "setValue",	//231
    "setValue#",	//232
    "setVariableName",	//233
    "setVariableName$",	//234
    "sortOrder",	//235
    "sortWeight",	//236
    "sparqlFromQueryUrl",	//237
    "sparqlFromQueryUrl#",	//238
    "sparqlQuery",	//239
    "sparqlQuery$",	//240
    "sparqlQuery$?",	//241
    "staticMetaObject",	//242
    "subTerm",	//243
    "subTerms",	//244
    "syncDesktopQuery",	//245
    "syncDesktopQuery$",	//246
    "syncDesktopQuery$$",	//247
    "syncQuery",	//248
    "syncQuery#",	//249
    "syncQuery#$",	//250
    "syncSparqlQuery",	//251
    "syncSparqlQuery$",	//252
    "syncSparqlQuery$?",	//253
    "syncSparqlQuery$?$",	//254
    "term",	//255
    "timerEvent",	//256
    "titleFromQueryUrl",	//257
    "titleFromQueryUrl#",	//258
    "toAndTerm",	//259
    "toComparisonTerm",	//260
    "toLiteralTerm",	//261
    "toNegationTerm",	//262
    "toOptionalTerm",	//263
    "toOrTerm",	//264
    "toResourceTerm",	//265
    "toResourceTypeTerm",	//266
    "toSearchUrl",	//267
    "toSearchUrl$",	//268
    "toSearchUrl$$",	//269
    "toSparqlQuery",	//270
    "toSparqlQuery$",	//271
    "toString",	//272
    "tr",	//273
    "tr$",	//274
    "tr$$",	//275
    "tr$$$",	//276
    "trUtf8",	//277
    "trUtf8$",	//278
    "trUtf8$$",	//279
    "trUtf8$$$",	//280
    "type",	//281
    "value",	//282
    "variableName",	//283
    "~AndTerm",	//284
    "~ComparisonTerm",	//285
    "~FileQuery",	//286
    "~GroupTerm",	//287
    "~LiteralTerm",	//288
    "~NegationTerm",	//289
    "~OptionalTerm",	//290
    "~OrTerm",	//291
    "~Query",	//292
    "~QueryParser",	//293
    "~QueryServiceClient",	//294
    "~RequestProperty",	//295
    "~ResourceTerm",	//296
    "~ResourceTypeTerm",	//297
    "~Result",	//298
    "~SimpleTerm",	//299
    "~Term",	//300
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {6, 179, 1, 1, Smoke::mf_static, 203, 1},	//1 Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    {6, 179, 3, 1, Smoke::mf_static, 203, 2},	//2 Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    {7, 2, 0, 0, Smoke::mf_ctor, 12, 1},	//3 Nepomuk::Query::AndTerm::AndTerm()
    {7, 2, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 2},	//4 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::AndTerm&)
    {7, 2, 7, 6, Smoke::mf_ctor, 12, 3},	//5 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 14, 1, Smoke::mf_ctor, 12, 4},	//6 Nepomuk::Query::AndTerm::AndTerm(const QList<Nepomuk::Query::Term>&)
    {7, 164, 5, 1, 0, 11, 5},	//7 Nepomuk::Query::AndTerm::operator=(const Nepomuk::Query::AndTerm&)
    {7, 2, 16, 2, Smoke::mf_ctor, 12, 6},	//8 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 19, 3, Smoke::mf_ctor, 12, 7},	//9 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 23, 4, Smoke::mf_ctor, 12, 8},	//10 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 2, 28, 5, Smoke::mf_ctor, 12, 9},	//11 Nepomuk::Query::AndTerm::AndTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {7, 284, 0, 0, Smoke::mf_dtor, 0, 10 },	//12 Nepomuk::Query::AndTerm::~AndTerm()
    {8, 12, 0, 0, Smoke::mf_ctor, 15, 1},	//13 Nepomuk::Query::ComparisonTerm::ComparisonTerm()
    {8, 12, 34, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 15, 2},	//14 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Query::ComparisonTerm&)
    {8, 12, 36, 3, Smoke::mf_ctor, 15, 3},	//15 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&, Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 164, 34, 1, 0, 14, 4},	//16 Nepomuk::Query::ComparisonTerm::operator=(const Nepomuk::Query::ComparisonTerm&)
    {8, 125, 0, 0, Smoke::mf_const, 17, 5},	//17 Nepomuk::Query::ComparisonTerm::comparator() const
    {8, 178, 0, 0, Smoke::mf_const, 59, 6},	//18 Nepomuk::Query::ComparisonTerm::property() const
    {8, 198, 40, 1, 0, 0, 7},	//19 Nepomuk::Query::ComparisonTerm::setComparator(Nepomuk::Query::ComparisonTerm::Comparator)
    {8, 212, 42, 1, 0, 0, 8},	//20 Nepomuk::Query::ComparisonTerm::setProperty(const Nepomuk::Types::Property&)
    {8, 233, 44, 1, 0, 0, 9},	//21 Nepomuk::Query::ComparisonTerm::setVariableName(const QString&)
    {8, 283, 0, 0, Smoke::mf_const, 76, 10},	//22 Nepomuk::Query::ComparisonTerm::variableName() const
    {8, 196, 46, 1, 0, 0, 11},	//23 Nepomuk::Query::ComparisonTerm::setAggregateFunction(Nepomuk::Query::ComparisonTerm::AggregateFunction)
    {8, 115, 0, 0, Smoke::mf_const, 16, 12},	//24 Nepomuk::Query::ComparisonTerm::aggregateFunction() const
    {8, 220, 48, 2, 0, 0, 13},	//25 Nepomuk::Query::ComparisonTerm::setSortWeight(int, Qt::SortOrder)
    {8, 236, 0, 0, Smoke::mf_const, 201, 14},	//26 Nepomuk::Query::ComparisonTerm::sortWeight() const
    {8, 235, 0, 0, Smoke::mf_const, 133, 15},	//27 Nepomuk::Query::ComparisonTerm::sortOrder() const
    {8, 147, 0, 0, Smoke::mf_const, 156, 16},	//28 Nepomuk::Query::ComparisonTerm::isInverted() const
    {8, 206, 51, 1, 0, 0, 17},	//29 Nepomuk::Query::ComparisonTerm::setInverted(bool)
    {8, 143, 0, 0, Smoke::mf_const, 13, 18},	//30 Nepomuk::Query::ComparisonTerm::inverted() const
    {8, 12, 53, 2, Smoke::mf_ctor, 15, 19},	//31 Nepomuk::Query::ComparisonTerm::ComparisonTerm(const Nepomuk::Types::Property&, const Nepomuk::Query::Term&)
    {8, 220, 56, 1, 0, 0, 20},	//32 Nepomuk::Query::ComparisonTerm::setSortWeight(int)
    {8, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 21},	//33 Nepomuk::Query::ComparisonTerm::Contains (enum)
    {8, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 22},	//34 Nepomuk::Query::ComparisonTerm::Regexp (enum)
    {8, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 23},	//35 Nepomuk::Query::ComparisonTerm::Equal (enum)
    {8, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 24},	//36 Nepomuk::Query::ComparisonTerm::Greater (enum)
    {8, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 25},	//37 Nepomuk::Query::ComparisonTerm::Smaller (enum)
    {8, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//38 Nepomuk::Query::ComparisonTerm::GreaterOrEqual (enum)
    {8, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//39 Nepomuk::Query::ComparisonTerm::SmallerOrEqual (enum)
    {8, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 28},	//40 Nepomuk::Query::ComparisonTerm::NoAggregateFunction (enum)
    {8, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 29},	//41 Nepomuk::Query::ComparisonTerm::Count (enum)
    {8, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 30},	//42 Nepomuk::Query::ComparisonTerm::DistinctCount (enum)
    {8, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 31},	//43 Nepomuk::Query::ComparisonTerm::Max (enum)
    {8, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 32},	//44 Nepomuk::Query::ComparisonTerm::Min (enum)
    {8, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 33},	//45 Nepomuk::Query::ComparisonTerm::Sum (enum)
    {8, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 34},	//46 Nepomuk::Query::ComparisonTerm::DistinctSum (enum)
    {8, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 35},	//47 Nepomuk::Query::ComparisonTerm::Average (enum)
    {8, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 36},	//48 Nepomuk::Query::ComparisonTerm::DistinctAverage (enum)
    {8, 285, 0, 0, Smoke::mf_dtor, 0, 37 },	//49 Nepomuk::Query::ComparisonTerm::~ComparisonTerm()
    {9, 23, 0, 0, Smoke::mf_ctor, 19, 1},	//50 Nepomuk::Query::FileQuery::FileQuery()
    {9, 23, 1, 1, Smoke::mf_ctor, 19, 2},	//51 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Term&)
    {9, 23, 3, 1, Smoke::mf_ctor, 19, 3},	//52 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    {9, 164, 3, 1, 0, 18, 4},	//53 Nepomuk::Query::FileQuery::operator=(const Nepomuk::Query::Query&)
    {9, 105, 58, 1, 0, 0, 5},	//54 Nepomuk::Query::FileQuery::addIncludeFolder(const KUrl&)
    {9, 204, 60, 1, 0, 0, 6},	//55 Nepomuk::Query::FileQuery::setIncludeFolders(const KUrl::List&)
    {9, 142, 0, 0, Smoke::mf_const, 8, 7},	//56 Nepomuk::Query::FileQuery::includeFolders() const
    {9, 103, 58, 1, 0, 0, 8},	//57 Nepomuk::Query::FileQuery::addExcludeFolder(const KUrl&)
    {9, 200, 60, 1, 0, 0, 9},	//58 Nepomuk::Query::FileQuery::setExcludeFolders(const KUrl::List&)
    {9, 135, 0, 0, Smoke::mf_const, 8, 10},	//59 Nepomuk::Query::FileQuery::excludeFolders() const
    {9, 202, 62, 1, 0, 0, 11},	//60 Nepomuk::Query::FileQuery::setFileMode(QFlags<Nepomuk::Query::FileQuery::FileModeFlags>)
    {9, 136, 0, 0, Smoke::mf_const, 64, 12},	//61 Nepomuk::Query::FileQuery::fileMode() const
    {9, 23, 64, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 13},	//62 Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    {9, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 14},	//63 Nepomuk::Query::FileQuery::QueryFiles (enum)
    {9, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 15},	//64 Nepomuk::Query::FileQuery::QueryFolders (enum)
    {9, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 16},	//65 Nepomuk::Query::FileQuery::QueryFilesAndFolders (enum)
    {9, 286, 0, 0, Smoke::mf_dtor, 0, 17 },	//66 Nepomuk::Query::FileQuery::~FileQuery()
    {10, 244, 0, 0, Smoke::mf_const, 71, 1},	//67 Nepomuk::Query::GroupTerm::subTerms() const
    {10, 225, 14, 1, 0, 0, 2},	//68 Nepomuk::Query::GroupTerm::setSubTerms(const QList<Nepomuk::Query::Term>&)
    {10, 110, 1, 1, 0, 0, 3},	//69 Nepomuk::Query::GroupTerm::addSubTerm(const Nepomuk::Query::Term&)
    {10, 27, 1, 1, Smoke::mf_ctor|Smoke::mf_protected, 21, 4},	//70 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    {10, 27, 66, 1, Smoke::mf_ctor|Smoke::mf_protected, 21, 5},	//71 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    {10, 27, 68, 7, Smoke::mf_ctor|Smoke::mf_protected, 21, 6},	//72 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 21, 7},	//73 Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    {10, 27, 78, 3, Smoke::mf_ctor|Smoke::mf_protected, 21, 8},	//74 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 82, 4, Smoke::mf_ctor|Smoke::mf_protected, 21, 9},	//75 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 87, 5, Smoke::mf_ctor|Smoke::mf_protected, 21, 10},	//76 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 27, 93, 6, Smoke::mf_ctor|Smoke::mf_protected, 21, 11},	//77 Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {10, 287, 0, 0, Smoke::mf_dtor, 0, 12 },	//78 Nepomuk::Query::GroupTerm::~GroupTerm()
    {11, 37, 100, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 1},	//79 Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    {11, 37, 102, 1, Smoke::mf_ctor, 24, 2},	//80 Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    {11, 164, 100, 1, 0, 23, 3},	//81 Nepomuk::Query::LiteralTerm::operator=(const Nepomuk::Query::LiteralTerm&)
    {11, 282, 0, 0, Smoke::mf_const, 153, 4},	//82 Nepomuk::Query::LiteralTerm::value() const
    {11, 231, 102, 1, 0, 0, 5},	//83 Nepomuk::Query::LiteralTerm::setValue(const Soprano::LiteralValue&)
    {11, 37, 0, 0, Smoke::mf_ctor, 24, 6},	//84 Nepomuk::Query::LiteralTerm::LiteralTerm()
    {11, 288, 0, 0, Smoke::mf_dtor, 0, 7 },	//85 Nepomuk::Query::LiteralTerm::~LiteralTerm()
    {12, 42, 0, 0, Smoke::mf_ctor, 27, 1},	//86 Nepomuk::Query::NegationTerm::NegationTerm()
    {12, 42, 104, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 2},	//87 Nepomuk::Query::NegationTerm::NegationTerm(const Nepomuk::Query::NegationTerm&)
    {12, 164, 104, 1, 0, 26, 3},	//88 Nepomuk::Query::NegationTerm::operator=(const Nepomuk::Query::NegationTerm&)
    {12, 159, 1, 1, Smoke::mf_static, 52, 4},	//89 Nepomuk::Query::NegationTerm::negateTerm(const Nepomuk::Query::Term&)
    {12, 289, 0, 0, Smoke::mf_dtor, 0, 5 },	//90 Nepomuk::Query::NegationTerm::~NegationTerm()
    {13, 48, 0, 0, Smoke::mf_ctor, 30, 1},	//91 Nepomuk::Query::OptionalTerm::OptionalTerm()
    {13, 48, 106, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 2},	//92 Nepomuk::Query::OptionalTerm::OptionalTerm(const Nepomuk::Query::OptionalTerm&)
    {13, 164, 106, 1, 0, 29, 3},	//93 Nepomuk::Query::OptionalTerm::operator=(const Nepomuk::Query::OptionalTerm&)
    {13, 171, 1, 1, Smoke::mf_static, 52, 4},	//94 Nepomuk::Query::OptionalTerm::optionalizeTerm(const Nepomuk::Query::Term&)
    {13, 290, 0, 0, Smoke::mf_dtor, 0, 5 },	//95 Nepomuk::Query::OptionalTerm::~OptionalTerm()
    {14, 51, 0, 0, Smoke::mf_ctor, 33, 1},	//96 Nepomuk::Query::OrTerm::OrTerm()
    {14, 51, 108, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 2},	//97 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::OrTerm&)
    {14, 51, 7, 6, Smoke::mf_ctor, 33, 3},	//98 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 51, 14, 1, Smoke::mf_ctor, 33, 4},	//99 Nepomuk::Query::OrTerm::OrTerm(const QList<Nepomuk::Query::Term>&)
    {14, 164, 108, 1, 0, 32, 5},	//100 Nepomuk::Query::OrTerm::operator=(const Nepomuk::Query::OrTerm&)
    {14, 51, 16, 2, Smoke::mf_ctor, 33, 6},	//101 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 51, 19, 3, Smoke::mf_ctor, 33, 7},	//102 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 51, 23, 4, Smoke::mf_ctor, 33, 8},	//103 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 51, 28, 5, Smoke::mf_ctor, 33, 9},	//104 Nepomuk::Query::OrTerm::OrTerm(const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&, const Nepomuk::Query::Term&)
    {14, 291, 0, 0, Smoke::mf_dtor, 0, 10 },	//105 Nepomuk::Query::OrTerm::~OrTerm()
    {15, 69, 0, 0, Smoke::mf_ctor, 36, 1},	//106 Nepomuk::Query::Query::Query()
    {15, 69, 1, 1, Smoke::mf_ctor, 36, 2},	//107 Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    {15, 69, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 3},	//108 Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    {15, 164, 3, 1, 0, 35, 4},	//109 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    {15, 164, 1, 1, 0, 35, 5},	//110 Nepomuk::Query::Query::operator=(const Nepomuk::Query::Term&)
    {15, 154, 0, 0, Smoke::mf_const, 156, 6},	//111 Nepomuk::Query::Query::isValid() const
    {15, 146, 0, 0, Smoke::mf_const, 156, 7},	//112 Nepomuk::Query::Query::isFileQuery() const
    {15, 255, 0, 0, Smoke::mf_const, 52, 8},	//113 Nepomuk::Query::Query::term() const
    {15, 155, 0, 0, Smoke::mf_const, 201, 9},	//114 Nepomuk::Query::Query::limit() const
    {15, 163, 0, 0, Smoke::mf_const, 201, 10},	//115 Nepomuk::Query::Query::offset() const
    {15, 227, 1, 1, 0, 0, 11},	//116 Nepomuk::Query::Query::setTerm(const Nepomuk::Query::Term&)
    {15, 208, 56, 1, 0, 0, 12},	//117 Nepomuk::Query::Query::setLimit(int)
    {15, 210, 56, 1, 0, 0, 13},	//118 Nepomuk::Query::Query::setOffset(int)
    {15, 107, 110, 1, 0, 0, 14},	//119 Nepomuk::Query::Query::addRequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {15, 214, 112, 1, 0, 0, 15},	//120 Nepomuk::Query::Query::setRequestProperties(const QList<Nepomuk::Query::Query::RequestProperty>&)
    {15, 187, 0, 0, Smoke::mf_const, 69, 16},	//121 Nepomuk::Query::Query::requestProperties() const
    {15, 270, 114, 1, Smoke::mf_const, 76, 17},	//122 Nepomuk::Query::Query::toSparqlQuery(QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    {15, 267, 114, 1, Smoke::mf_const, 7, 18},	//123 Nepomuk::Query::Query::toSearchUrl(QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    {15, 267, 116, 2, Smoke::mf_const, 7, 19},	//124 Nepomuk::Query::Query::toSearchUrl(const QString&, QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    {15, 190, 0, 0, Smoke::mf_const, 68, 20},	//125 Nepomuk::Query::Query::requestPropertyMap() const
    {15, 166, 3, 1, Smoke::mf_const, 156, 21},	//126 Nepomuk::Query::Query::operator==(const Nepomuk::Query::Query&) const
    {15, 272, 0, 0, Smoke::mf_const, 76, 22},	//127 Nepomuk::Query::Query::toString() const
    {15, 140, 44, 1, Smoke::mf_static, 34, 23},	//128 Nepomuk::Query::Query::fromString(const QString&)
    {15, 138, 58, 1, Smoke::mf_static, 34, 24},	//129 Nepomuk::Query::Query::fromQueryUrl(const KUrl&)
    {15, 237, 58, 1, Smoke::mf_static, 76, 25},	//130 Nepomuk::Query::Query::sparqlFromQueryUrl(const KUrl&)
    {15, 257, 58, 1, Smoke::mf_static, 76, 26},	//131 Nepomuk::Query::Query::titleFromQueryUrl(const KUrl&)
    {15, 270, 0, 0, Smoke::mf_const, 76, 27},	//132 Nepomuk::Query::Query::toSparqlQuery() const
    {15, 267, 0, 0, Smoke::mf_const, 7, 28},	//133 Nepomuk::Query::Query::toSearchUrl() const
    {15, 267, 44, 1, Smoke::mf_const, 7, 29},	//134 Nepomuk::Query::Query::toSearchUrl(const QString&) const
    {15, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 30},	//135 Nepomuk::Query::Query::NoFlags (enum)
    {15, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 31},	//136 Nepomuk::Query::Query::CreateCountQuery (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 32},	//137 Nepomuk::Query::Query::HandleInverseProperties (enum)
    {15, 292, 0, 0, Smoke::mf_dtor, 0, 33 },	//138 Nepomuk::Query::Query::~Query()
    {16, 80, 119, 2, Smoke::mf_ctor, 38, 1},	//139 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&, bool)
    {16, 80, 110, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 2},	//140 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    {16, 164, 110, 1, 0, 37, 3},	//141 Nepomuk::Query::Query::RequestProperty::operator=(const Nepomuk::Query::Query::RequestProperty&)
    {16, 166, 110, 1, Smoke::mf_const, 156, 4},	//142 Nepomuk::Query::Query::RequestProperty::operator==(const Nepomuk::Query::Query::RequestProperty&) const
    {16, 178, 0, 0, Smoke::mf_const, 59, 5},	//143 Nepomuk::Query::Query::RequestProperty::property() const
    {16, 170, 0, 0, Smoke::mf_const, 156, 6},	//144 Nepomuk::Query::Query::RequestProperty::optional() const
    {16, 80, 42, 1, Smoke::mf_ctor, 38, 7},	//145 Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    {16, 295, 0, 0, Smoke::mf_dtor, 0, 8 },	//146 Nepomuk::Query::Query::RequestProperty::~RequestProperty()
    {17, 74, 0, 0, Smoke::mf_ctor, 40, 1},	//147 Nepomuk::Query::QueryParser::QueryParser()
    {17, 173, 44, 1, Smoke::mf_const, 34, 2},	//148 Nepomuk::Query::QueryParser::parse(const QString&) const
    {17, 173, 122, 2, Smoke::mf_const, 34, 3},	//149 Nepomuk::Query::QueryParser::parse(const QString&, QFlags<Nepomuk::Query::QueryParser::ParserFlag>) const
    {17, 156, 44, 1, Smoke::mf_const, 72, 4},	//150 Nepomuk::Query::QueryParser::matchProperty(const QString&) const
    {17, 176, 44, 1, Smoke::mf_static, 34, 5},	//151 Nepomuk::Query::QueryParser::parseQuery(const QString&)
    {17, 74, 125, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 6},	//152 Nepomuk::Query::QueryParser::QueryParser(const Nepomuk::Query::QueryParser&)
    {17, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 7},	//153 Nepomuk::Query::QueryParser::NoParserFlags (enum)
    {17, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 8},	//154 Nepomuk::Query::QueryParser::QueryTermGlobbing (enum)
    {17, 293, 0, 0, Smoke::mf_dtor, 0, 9 },	//155 Nepomuk::Query::QueryParser::~QueryParser()
    {18, 158, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 188, 1},	//156 Nepomuk::Query::QueryServiceClient::metaObject() const
    {18, 183, 127, 1, Smoke::mf_virtual, 204, 2},	//157 Nepomuk::Query::QueryServiceClient::qt_metacast(const char*)
    {18, 273, 129, 2, Smoke::mf_static, 76, 3},	//158 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*)
    {18, 277, 129, 2, Smoke::mf_static, 76, 4},	//159 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*)
    {18, 273, 132, 3, Smoke::mf_static, 76, 5},	//160 Nepomuk::Query::QueryServiceClient::tr(const char*, const char*, int)
    {18, 277, 132, 3, Smoke::mf_static, 76, 6},	//161 Nepomuk::Query::QueryServiceClient::trUtf8(const char*, const char*, int)
    {18, 181, 136, 3, Smoke::mf_virtual, 201, 7},	//162 Nepomuk::Query::QueryServiceClient::qt_metacall(QMetaObject::Call, int, void**)
    {18, 76, 140, 1, Smoke::mf_ctor, 42, 8},	//163 Nepomuk::Query::QueryServiceClient::QueryServiceClient(QObject*)
    {18, 193, 0, 0, Smoke::mf_static, 156, 9},	//164 Nepomuk::Query::QueryServiceClient::serviceAvailable()
    {18, 248, 142, 2, Smoke::mf_static, 70, 10},	//165 Nepomuk::Query::QueryServiceClient::syncQuery(const Nepomuk::Query::Query&, bool*)
    {18, 251, 145, 3, Smoke::mf_static, 70, 11},	//166 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&, bool*)
    {18, 245, 149, 2, Smoke::mf_static, 70, 12},	//167 Nepomuk::Query::QueryServiceClient::syncDesktopQuery(const QString&, bool*)
    {18, 185, 3, 1, Smoke::mf_slot, 156, 13},	//168 Nepomuk::Query::QueryServiceClient::query(const Nepomuk::Query::Query&)
    {18, 239, 152, 2, Smoke::mf_slot, 156, 14},	//169 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&, const Nepomuk::Query::RequestPropertyMap&)
    {18, 128, 44, 1, Smoke::mf_slot, 156, 15},	//170 Nepomuk::Query::QueryServiceClient::desktopQuery(const QString&)
    {18, 118, 3, 1, Smoke::mf_slot, 156, 16},	//171 Nepomuk::Query::QueryServiceClient::blockingQuery(const Nepomuk::Query::Query&)
    {18, 120, 152, 2, Smoke::mf_slot, 156, 17},	//172 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&, const Nepomuk::Query::RequestPropertyMap&)
    {18, 116, 44, 1, Smoke::mf_slot, 156, 18},	//173 Nepomuk::Query::QueryServiceClient::blockingDesktopQuery(const QString&)
    {18, 124, 0, 0, Smoke::mf_slot, 0, 19},	//174 Nepomuk::Query::QueryServiceClient::close()
    {18, 161, 155, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//175 Nepomuk::Query::QueryServiceClient::newEntries(const QList<Nepomuk::Query::Result>&)
    {18, 131, 157, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//176 Nepomuk::Query::QueryServiceClient::entriesRemoved(const QList<QUrl>&)
    {18, 137, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//177 Nepomuk::Query::QueryServiceClient::finishedListing()
    {18, 273, 127, 1, Smoke::mf_static, 76, 23},	//178 Nepomuk::Query::QueryServiceClient::tr(const char*)
    {18, 277, 127, 1, Smoke::mf_static, 76, 24},	//179 Nepomuk::Query::QueryServiceClient::trUtf8(const char*)
    {18, 76, 0, 0, Smoke::mf_ctor, 42, 25},	//180 Nepomuk::Query::QueryServiceClient::QueryServiceClient()
    {18, 248, 3, 1, Smoke::mf_static, 70, 26},	//181 Nepomuk::Query::QueryServiceClient::syncQuery(const Nepomuk::Query::Query&)
    {18, 251, 44, 1, Smoke::mf_static, 70, 27},	//182 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&)
    {18, 251, 159, 2, Smoke::mf_static, 70, 28},	//183 Nepomuk::Query::QueryServiceClient::syncSparqlQuery(const QString&, const QHash<QString,Nepomuk::Types::Property>&)
    {18, 245, 44, 1, Smoke::mf_static, 70, 29},	//184 Nepomuk::Query::QueryServiceClient::syncDesktopQuery(const QString&)
    {18, 239, 44, 1, Smoke::mf_slot, 156, 30},	//185 Nepomuk::Query::QueryServiceClient::sparqlQuery(const QString&)
    {18, 120, 44, 1, Smoke::mf_slot, 156, 31},	//186 Nepomuk::Query::QueryServiceClient::blockingSparqlQuery(const QString&)
    {18, 242, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 187, 32},	//187 Nepomuk::Query::QueryServiceClient::staticMetaObject() const
    {18, 294, 0, 0, Smoke::mf_dtor, 0, 33 },	//188 Nepomuk::Query::QueryServiceClient::~QueryServiceClient()
    {19, 84, 162, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 1},	//189 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    {19, 84, 164, 1, Smoke::mf_ctor, 45, 2},	//190 Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    {19, 164, 162, 1, 0, 44, 3},	//191 Nepomuk::Query::ResourceTerm::operator=(const Nepomuk::Query::ResourceTerm&)
    {19, 191, 0, 0, Smoke::mf_const, 57, 4},	//192 Nepomuk::Query::ResourceTerm::resource() const
    {19, 216, 164, 1, 0, 0, 5},	//193 Nepomuk::Query::ResourceTerm::setResource(const Nepomuk::Resource&)
    {19, 84, 0, 0, Smoke::mf_ctor, 45, 6},	//194 Nepomuk::Query::ResourceTerm::ResourceTerm()
    {19, 296, 0, 0, Smoke::mf_dtor, 0, 7 },	//195 Nepomuk::Query::ResourceTerm::~ResourceTerm()
    {20, 87, 166, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 1},	//196 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    {20, 87, 168, 1, Smoke::mf_ctor, 48, 2},	//197 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    {20, 164, 166, 1, 0, 47, 3},	//198 Nepomuk::Query::ResourceTypeTerm::operator=(const Nepomuk::Query::ResourceTypeTerm&)
    {20, 281, 0, 0, Smoke::mf_const, 58, 4},	//199 Nepomuk::Query::ResourceTypeTerm::type() const
    {20, 229, 168, 1, 0, 0, 5},	//200 Nepomuk::Query::ResourceTypeTerm::setType(const Nepomuk::Types::Class&)
    {20, 87, 0, 0, Smoke::mf_ctor, 48, 6},	//201 Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm()
    {20, 297, 0, 0, Smoke::mf_dtor, 0, 7 },	//202 Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm()
    {21, 89, 0, 0, Smoke::mf_ctor, 50, 1},	//203 Nepomuk::Query::Result::Result()
    {21, 89, 170, 2, Smoke::mf_ctor, 50, 2},	//204 Nepomuk::Query::Result::Result(const Nepomuk::Resource&, double)
    {21, 89, 173, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 3},	//205 Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    {21, 164, 173, 1, 0, 49, 4},	//206 Nepomuk::Query::Result::operator=(const Nepomuk::Query::Result&)
    {21, 192, 0, 0, Smoke::mf_const, 200, 5},	//207 Nepomuk::Query::Result::score() const
    {21, 191, 0, 0, Smoke::mf_const, 57, 6},	//208 Nepomuk::Query::Result::resource() const
    {21, 218, 175, 1, 0, 0, 7},	//209 Nepomuk::Query::Result::setScore(double)
    {21, 107, 177, 2, 0, 0, 8},	//210 Nepomuk::Query::Result::addRequestProperty(const Nepomuk::Types::Property&, const Soprano::Node&)
    {21, 187, 0, 0, Smoke::mf_const, 67, 9},	//211 Nepomuk::Query::Result::requestProperties() const
    {21, 168, 42, 1, Smoke::mf_const, 154, 10},	//212 Nepomuk::Query::Result::operator[](const Nepomuk::Types::Property&) const
    {21, 188, 42, 1, Smoke::mf_const, 154, 11},	//213 Nepomuk::Query::Result::requestProperty(const Nepomuk::Types::Property&) const
    {21, 194, 180, 1, 0, 0, 12},	//214 Nepomuk::Query::Result::setAdditionalBindings(const Soprano::BindingSet&)
    {21, 114, 0, 0, Smoke::mf_const, 152, 13},	//215 Nepomuk::Query::Result::additionalBindings() const
    {21, 112, 44, 1, Smoke::mf_const, 60, 14},	//216 Nepomuk::Query::Result::additionalBinding(const QString&) const
    {21, 166, 173, 1, Smoke::mf_const, 156, 15},	//217 Nepomuk::Query::Result::operator==(const Nepomuk::Query::Result&) const
    {21, 89, 164, 1, Smoke::mf_ctor, 50, 16},	//218 Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    {21, 298, 0, 0, Smoke::mf_dtor, 0, 17 },	//219 Nepomuk::Query::Result::~Result()
    {22, 243, 0, 0, Smoke::mf_const, 52, 1},	//220 Nepomuk::Query::SimpleTerm::subTerm() const
    {22, 223, 1, 1, 0, 0, 2},	//221 Nepomuk::Query::SimpleTerm::setSubTerm(const Nepomuk::Query::Term&)
    {22, 92, 1, 1, Smoke::mf_ctor|Smoke::mf_protected, 51, 3},	//222 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    {22, 92, 66, 1, Smoke::mf_ctor|Smoke::mf_protected, 51, 4},	//223 Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    {22, 92, 182, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 5},	//224 Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    {22, 299, 0, 0, Smoke::mf_dtor, 0, 6 },	//225 Nepomuk::Query::SimpleTerm::~SimpleTerm()
    {23, 97, 0, 0, Smoke::mf_ctor, 54, 1},	//226 Nepomuk::Query::Term::Term()
    {23, 97, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 2},	//227 Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    {23, 164, 1, 1, 0, 53, 3},	//228 Nepomuk::Query::Term::operator=(const Nepomuk::Query::Term&)
    {23, 154, 0, 0, Smoke::mf_const, 156, 4},	//229 Nepomuk::Query::Term::isValid() const
    {23, 281, 0, 0, Smoke::mf_const, 55, 5},	//230 Nepomuk::Query::Term::type() const
    {23, 148, 0, 0, Smoke::mf_const, 156, 6},	//231 Nepomuk::Query::Term::isLiteralTerm() const
    {23, 152, 0, 0, Smoke::mf_const, 156, 7},	//232 Nepomuk::Query::Term::isResourceTerm() const
    {23, 149, 0, 0, Smoke::mf_const, 156, 8},	//233 Nepomuk::Query::Term::isNegationTerm() const
    {23, 150, 0, 0, Smoke::mf_const, 156, 9},	//234 Nepomuk::Query::Term::isOptionalTerm() const
    {23, 144, 0, 0, Smoke::mf_const, 156, 10},	//235 Nepomuk::Query::Term::isAndTerm() const
    {23, 151, 0, 0, Smoke::mf_const, 156, 11},	//236 Nepomuk::Query::Term::isOrTerm() const
    {23, 145, 0, 0, Smoke::mf_const, 156, 12},	//237 Nepomuk::Query::Term::isComparisonTerm() const
    {23, 153, 0, 0, Smoke::mf_const, 156, 13},	//238 Nepomuk::Query::Term::isResourceTypeTerm() const
    {23, 261, 0, 0, Smoke::mf_const, 22, 14},	//239 Nepomuk::Query::Term::toLiteralTerm() const
    {23, 265, 0, 0, Smoke::mf_const, 43, 15},	//240 Nepomuk::Query::Term::toResourceTerm() const
    {23, 262, 0, 0, Smoke::mf_const, 25, 16},	//241 Nepomuk::Query::Term::toNegationTerm() const
    {23, 263, 0, 0, Smoke::mf_const, 28, 17},	//242 Nepomuk::Query::Term::toOptionalTerm() const
    {23, 259, 0, 0, Smoke::mf_const, 10, 18},	//243 Nepomuk::Query::Term::toAndTerm() const
    {23, 264, 0, 0, Smoke::mf_const, 31, 19},	//244 Nepomuk::Query::Term::toOrTerm() const
    {23, 260, 0, 0, Smoke::mf_const, 13, 20},	//245 Nepomuk::Query::Term::toComparisonTerm() const
    {23, 266, 0, 0, Smoke::mf_const, 46, 21},	//246 Nepomuk::Query::Term::toResourceTypeTerm() const
    {23, 261, 0, 0, 0, 23, 22},	//247 Nepomuk::Query::Term::toLiteralTerm()
    {23, 265, 0, 0, 0, 44, 23},	//248 Nepomuk::Query::Term::toResourceTerm()
    {23, 262, 0, 0, 0, 26, 24},	//249 Nepomuk::Query::Term::toNegationTerm()
    {23, 263, 0, 0, 0, 29, 25},	//250 Nepomuk::Query::Term::toOptionalTerm()
    {23, 259, 0, 0, 0, 11, 26},	//251 Nepomuk::Query::Term::toAndTerm()
    {23, 264, 0, 0, 0, 32, 27},	//252 Nepomuk::Query::Term::toOrTerm()
    {23, 260, 0, 0, 0, 14, 28},	//253 Nepomuk::Query::Term::toComparisonTerm()
    {23, 266, 0, 0, 0, 47, 29},	//254 Nepomuk::Query::Term::toResourceTypeTerm()
    {23, 272, 0, 0, Smoke::mf_const, 76, 30},	//255 Nepomuk::Query::Term::toString() const
    {23, 140, 44, 1, Smoke::mf_static, 52, 31},	//256 Nepomuk::Query::Term::fromString(const QString&)
    {23, 166, 1, 1, Smoke::mf_const, 156, 32},	//257 Nepomuk::Query::Term::operator==(const Nepomuk::Query::Term&) const
    {23, 97, 66, 1, Smoke::mf_ctor|Smoke::mf_protected, 54, 33},	//258 Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    {23, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 34},	//259 Nepomuk::Query::Term::Invalid (enum)
    {23, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 35},	//260 Nepomuk::Query::Term::Literal (enum)
    {23, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 36},	//261 Nepomuk::Query::Term::Resource (enum)
    {23, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 37},	//262 Nepomuk::Query::Term::And (enum)
    {23, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 38},	//263 Nepomuk::Query::Term::Or (enum)
    {23, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 39},	//264 Nepomuk::Query::Term::Comparison (enum)
    {23, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 40},	//265 Nepomuk::Query::Term::ResourceType (enum)
    {23, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 41},	//266 Nepomuk::Query::Term::Negation (enum)
    {23, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 55, 42},	//267 Nepomuk::Query::Term::Optional (enum)
    {23, 300, 0, 0, Smoke::mf_dtor, 0, 43 },	//268 Nepomuk::Query::Term::~Term()
    {33, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 1},	//269 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {33, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 2},	//270 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {33, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 3},	//271 QGlobalSpace::Q_STATIC_TYPE (enum)
    {33, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 4},	//272 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {33, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 202, 5},	//273 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {33, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 6},	//274 QGlobalSpace::QtDebugMsg (enum)
    {33, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 7},	//275 QGlobalSpace::QtWarningMsg (enum)
    {33, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 8},	//276 QGlobalSpace::QtCriticalMsg (enum)
    {33, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 9},	//277 QGlobalSpace::QtFatalMsg (enum)
    {33, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 151, 10},	//278 QGlobalSpace::QtSystemMsg (enum)
    {33, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 11},	//279 QGlobalSpace::__codecvt_ok (enum)
    {33, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 12},	//280 QGlobalSpace::__codecvt_partial (enum)
    {33, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 13},	//281 QGlobalSpace::__codecvt_error (enum)
    {33, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 14},	//282 QGlobalSpace::__codecvt_noconv (enum)
    {35, 133, 184, 1, Smoke::mf_virtual, 156, 0},	//283 QObject::event(QEvent*)
    {35, 134, 186, 2, Smoke::mf_virtual, 156, 0},	//284 QObject::eventFilter(QObject*, QEvent*)
    {35, 256, 189, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//285 QObject::timerEvent(QTimerEvent*)
    {35, 123, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//286 QObject::childEvent(QChildEvent*)
    {35, 127, 184, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//287 QObject::customEvent(QEvent*)
    {35, 126, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//288 QObject::connectNotify(const char*)
    {35, 130, 127, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//289 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    107,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Term&)
    108,  // Nepomuk::Query::Query::Query(const Nepomuk::Query::Query&)
    0,
    109,  // Nepomuk::Query::Query::operator=(const Nepomuk::Query::Query&)
    110,  // Nepomuk::Query::Query::operator=(const Nepomuk::Query::Term&)
    0,
    123,  // Nepomuk::Query::Query::toSearchUrl(QFlags<Nepomuk::Query::Query::SparqlFlag>) const
    134,  // Nepomuk::Query::Query::toSearchUrl(const QString&) const
    0,
    70,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::Term&)
    71,  // Nepomuk::Query::GroupTerm::GroupTerm(Nepomuk::Query::TermPrivate*)
    73,  // Nepomuk::Query::GroupTerm::GroupTerm(const Nepomuk::Query::GroupTerm&)
    0,
    140,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Query::Query::RequestProperty&)
    145,  // Nepomuk::Query::Query::RequestProperty::RequestProperty(const Nepomuk::Types::Property&)
    0,
    79,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Nepomuk::Query::LiteralTerm&)
    80,  // Nepomuk::Query::LiteralTerm::LiteralTerm(const Soprano::LiteralValue&)
    0,
    205,  // Nepomuk::Query::Result::Result(const Nepomuk::Query::Result&)
    218,  // Nepomuk::Query::Result::Result(const Nepomuk::Resource&)
    0,
    1,  // Nepomuk::Query::qHash(const Nepomuk::Query::Term&)
    2,  // Nepomuk::Query::qHash(const Nepomuk::Query::Query&)
    0,
    196,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Query::ResourceTypeTerm&)
    197,  // Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm(const Nepomuk::Types::Class&)
    0,
    222,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::Term&)
    223,  // Nepomuk::Query::SimpleTerm::SimpleTerm(Nepomuk::Query::TermPrivate*)
    224,  // Nepomuk::Query::SimpleTerm::SimpleTerm(const Nepomuk::Query::SimpleTerm&)
    0,
    51,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Term&)
    52,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::Query&)
    62,  // Nepomuk::Query::FileQuery::FileQuery(const Nepomuk::Query::FileQuery&)
    0,
    227,  // Nepomuk::Query::Term::Term(const Nepomuk::Query::Term&)
    258,  // Nepomuk::Query::Term::Term(Nepomuk::Query::TermPrivate*)
    0,
    243,  // Nepomuk::Query::Term::toAndTerm() const
    251,  // Nepomuk::Query::Term::toAndTerm()
    0,
    245,  // Nepomuk::Query::Term::toComparisonTerm() const
    253,  // Nepomuk::Query::Term::toComparisonTerm()
    0,
    239,  // Nepomuk::Query::Term::toLiteralTerm() const
    247,  // Nepomuk::Query::Term::toLiteralTerm()
    0,
    241,  // Nepomuk::Query::Term::toNegationTerm() const
    249,  // Nepomuk::Query::Term::toNegationTerm()
    0,
    242,  // Nepomuk::Query::Term::toOptionalTerm() const
    250,  // Nepomuk::Query::Term::toOptionalTerm()
    0,
    244,  // Nepomuk::Query::Term::toOrTerm() const
    252,  // Nepomuk::Query::Term::toOrTerm()
    0,
    240,  // Nepomuk::Query::Term::toResourceTerm() const
    248,  // Nepomuk::Query::Term::toResourceTerm()
    0,
    246,  // Nepomuk::Query::Term::toResourceTypeTerm() const
    254,  // Nepomuk::Query::Term::toResourceTypeTerm()
    0,
    189,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Query::ResourceTerm&)
    190,  // Nepomuk::Query::ResourceTerm::ResourceTerm(const Nepomuk::Resource&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {6, 180, -23},	// Nepomuk::Query::qHash#
    {7, 2, 3},	// Nepomuk::Query::AndTerm::AndTerm
    {7, 3, 4},	// Nepomuk::Query::AndTerm::AndTerm#
    {7, 4, 8},	// Nepomuk::Query::AndTerm::AndTerm##
    {7, 5, 9},	// Nepomuk::Query::AndTerm::AndTerm###
    {7, 6, 10},	// Nepomuk::Query::AndTerm::AndTerm####
    {7, 7, 11},	// Nepomuk::Query::AndTerm::AndTerm#####
    {7, 8, 5},	// Nepomuk::Query::AndTerm::AndTerm######
    {7, 9, 6},	// Nepomuk::Query::AndTerm::AndTerm?
    {7, 165, 7},	// Nepomuk::Query::AndTerm::operator=#
    {7, 284, 12},	// Nepomuk::Query::AndTerm::~AndTerm
    {8, 10, 47},	// Nepomuk::Query::ComparisonTerm::Average
    {8, 12, 13},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm
    {8, 13, 14},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm#
    {8, 14, 31},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##
    {8, 15, 15},	// Nepomuk::Query::ComparisonTerm::ComparisonTerm##$
    {8, 16, 33},	// Nepomuk::Query::ComparisonTerm::Contains
    {8, 17, 41},	// Nepomuk::Query::ComparisonTerm::Count
    {8, 19, 48},	// Nepomuk::Query::ComparisonTerm::DistinctAverage
    {8, 20, 42},	// Nepomuk::Query::ComparisonTerm::DistinctCount
    {8, 21, 46},	// Nepomuk::Query::ComparisonTerm::DistinctSum
    {8, 22, 35},	// Nepomuk::Query::ComparisonTerm::Equal
    {8, 25, 36},	// Nepomuk::Query::ComparisonTerm::Greater
    {8, 26, 38},	// Nepomuk::Query::ComparisonTerm::GreaterOrEqual
    {8, 39, 43},	// Nepomuk::Query::ComparisonTerm::Max
    {8, 40, 44},	// Nepomuk::Query::ComparisonTerm::Min
    {8, 44, 40},	// Nepomuk::Query::ComparisonTerm::NoAggregateFunction
    {8, 79, 34},	// Nepomuk::Query::ComparisonTerm::Regexp
    {8, 94, 37},	// Nepomuk::Query::ComparisonTerm::Smaller
    {8, 95, 39},	// Nepomuk::Query::ComparisonTerm::SmallerOrEqual
    {8, 96, 45},	// Nepomuk::Query::ComparisonTerm::Sum
    {8, 115, 24},	// Nepomuk::Query::ComparisonTerm::aggregateFunction
    {8, 125, 17},	// Nepomuk::Query::ComparisonTerm::comparator
    {8, 143, 30},	// Nepomuk::Query::ComparisonTerm::inverted
    {8, 147, 28},	// Nepomuk::Query::ComparisonTerm::isInverted
    {8, 165, 16},	// Nepomuk::Query::ComparisonTerm::operator=#
    {8, 178, 18},	// Nepomuk::Query::ComparisonTerm::property
    {8, 197, 23},	// Nepomuk::Query::ComparisonTerm::setAggregateFunction$
    {8, 199, 19},	// Nepomuk::Query::ComparisonTerm::setComparator$
    {8, 207, 29},	// Nepomuk::Query::ComparisonTerm::setInverted$
    {8, 213, 20},	// Nepomuk::Query::ComparisonTerm::setProperty#
    {8, 221, 32},	// Nepomuk::Query::ComparisonTerm::setSortWeight$
    {8, 222, 25},	// Nepomuk::Query::ComparisonTerm::setSortWeight$$
    {8, 234, 21},	// Nepomuk::Query::ComparisonTerm::setVariableName$
    {8, 235, 27},	// Nepomuk::Query::ComparisonTerm::sortOrder
    {8, 236, 26},	// Nepomuk::Query::ComparisonTerm::sortWeight
    {8, 283, 22},	// Nepomuk::Query::ComparisonTerm::variableName
    {8, 285, 49},	// Nepomuk::Query::ComparisonTerm::~ComparisonTerm
    {9, 23, 50},	// Nepomuk::Query::FileQuery::FileQuery
    {9, 24, -33},	// Nepomuk::Query::FileQuery::FileQuery#
    {9, 71, 63},	// Nepomuk::Query::FileQuery::QueryFiles
    {9, 72, 65},	// Nepomuk::Query::FileQuery::QueryFilesAndFolders
    {9, 73, 64},	// Nepomuk::Query::FileQuery::QueryFolders
    {9, 104, 57},	// Nepomuk::Query::FileQuery::addExcludeFolder#
    {9, 106, 54},	// Nepomuk::Query::FileQuery::addIncludeFolder#
    {9, 135, 59},	// Nepomuk::Query::FileQuery::excludeFolders
    {9, 136, 61},	// Nepomuk::Query::FileQuery::fileMode
    {9, 142, 56},	// Nepomuk::Query::FileQuery::includeFolders
    {9, 165, 53},	// Nepomuk::Query::FileQuery::operator=#
    {9, 201, 58},	// Nepomuk::Query::FileQuery::setExcludeFolders?
    {9, 203, 60},	// Nepomuk::Query::FileQuery::setFileMode$
    {9, 205, 55},	// Nepomuk::Query::FileQuery::setIncludeFolders?
    {9, 286, 66},	// Nepomuk::Query::FileQuery::~FileQuery
    {10, 28, -10},	// Nepomuk::Query::GroupTerm::GroupTerm#
    {10, 29, 74},	// Nepomuk::Query::GroupTerm::GroupTerm###
    {10, 30, 75},	// Nepomuk::Query::GroupTerm::GroupTerm####
    {10, 31, 76},	// Nepomuk::Query::GroupTerm::GroupTerm#####
    {10, 32, 77},	// Nepomuk::Query::GroupTerm::GroupTerm######
    {10, 33, 72},	// Nepomuk::Query::GroupTerm::GroupTerm#######
    {10, 111, 69},	// Nepomuk::Query::GroupTerm::addSubTerm#
    {10, 226, 68},	// Nepomuk::Query::GroupTerm::setSubTerms?
    {10, 244, 67},	// Nepomuk::Query::GroupTerm::subTerms
    {10, 287, 78},	// Nepomuk::Query::GroupTerm::~GroupTerm
    {11, 37, 84},	// Nepomuk::Query::LiteralTerm::LiteralTerm
    {11, 38, -17},	// Nepomuk::Query::LiteralTerm::LiteralTerm#
    {11, 165, 81},	// Nepomuk::Query::LiteralTerm::operator=#
    {11, 232, 83},	// Nepomuk::Query::LiteralTerm::setValue#
    {11, 282, 82},	// Nepomuk::Query::LiteralTerm::value
    {11, 288, 85},	// Nepomuk::Query::LiteralTerm::~LiteralTerm
    {12, 42, 86},	// Nepomuk::Query::NegationTerm::NegationTerm
    {12, 43, 87},	// Nepomuk::Query::NegationTerm::NegationTerm#
    {12, 160, 89},	// Nepomuk::Query::NegationTerm::negateTerm#
    {12, 165, 88},	// Nepomuk::Query::NegationTerm::operator=#
    {12, 289, 90},	// Nepomuk::Query::NegationTerm::~NegationTerm
    {13, 48, 91},	// Nepomuk::Query::OptionalTerm::OptionalTerm
    {13, 49, 92},	// Nepomuk::Query::OptionalTerm::OptionalTerm#
    {13, 165, 93},	// Nepomuk::Query::OptionalTerm::operator=#
    {13, 172, 94},	// Nepomuk::Query::OptionalTerm::optionalizeTerm#
    {13, 290, 95},	// Nepomuk::Query::OptionalTerm::~OptionalTerm
    {14, 51, 96},	// Nepomuk::Query::OrTerm::OrTerm
    {14, 52, 97},	// Nepomuk::Query::OrTerm::OrTerm#
    {14, 53, 101},	// Nepomuk::Query::OrTerm::OrTerm##
    {14, 54, 102},	// Nepomuk::Query::OrTerm::OrTerm###
    {14, 55, 103},	// Nepomuk::Query::OrTerm::OrTerm####
    {14, 56, 104},	// Nepomuk::Query::OrTerm::OrTerm#####
    {14, 57, 98},	// Nepomuk::Query::OrTerm::OrTerm######
    {14, 58, 99},	// Nepomuk::Query::OrTerm::OrTerm?
    {14, 165, 100},	// Nepomuk::Query::OrTerm::operator=#
    {14, 291, 105},	// Nepomuk::Query::OrTerm::~OrTerm
    {15, 18, 136},	// Nepomuk::Query::Query::CreateCountQuery
    {15, 34, 137},	// Nepomuk::Query::Query::HandleInverseProperties
    {15, 45, 135},	// Nepomuk::Query::Query::NoFlags
    {15, 69, 106},	// Nepomuk::Query::Query::Query
    {15, 70, -1},	// Nepomuk::Query::Query::Query#
    {15, 108, 119},	// Nepomuk::Query::Query::addRequestProperty#
    {15, 139, 129},	// Nepomuk::Query::Query::fromQueryUrl#
    {15, 141, 128},	// Nepomuk::Query::Query::fromString$
    {15, 146, 112},	// Nepomuk::Query::Query::isFileQuery
    {15, 154, 111},	// Nepomuk::Query::Query::isValid
    {15, 155, 114},	// Nepomuk::Query::Query::limit
    {15, 163, 115},	// Nepomuk::Query::Query::offset
    {15, 165, -4},	// Nepomuk::Query::Query::operator=#
    {15, 167, 126},	// Nepomuk::Query::Query::operator==#
    {15, 187, 121},	// Nepomuk::Query::Query::requestProperties
    {15, 190, 125},	// Nepomuk::Query::Query::requestPropertyMap
    {15, 209, 117},	// Nepomuk::Query::Query::setLimit$
    {15, 211, 118},	// Nepomuk::Query::Query::setOffset$
    {15, 215, 120},	// Nepomuk::Query::Query::setRequestProperties?
    {15, 228, 116},	// Nepomuk::Query::Query::setTerm#
    {15, 238, 130},	// Nepomuk::Query::Query::sparqlFromQueryUrl#
    {15, 255, 113},	// Nepomuk::Query::Query::term
    {15, 258, 131},	// Nepomuk::Query::Query::titleFromQueryUrl#
    {15, 267, 133},	// Nepomuk::Query::Query::toSearchUrl
    {15, 268, -7},	// Nepomuk::Query::Query::toSearchUrl$
    {15, 269, 124},	// Nepomuk::Query::Query::toSearchUrl$$
    {15, 270, 132},	// Nepomuk::Query::Query::toSparqlQuery
    {15, 271, 122},	// Nepomuk::Query::Query::toSparqlQuery$
    {15, 272, 127},	// Nepomuk::Query::Query::toString
    {15, 292, 138},	// Nepomuk::Query::Query::~Query
    {16, 81, -14},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#
    {16, 82, 139},	// Nepomuk::Query::Query::RequestProperty::RequestProperty#$
    {16, 165, 141},	// Nepomuk::Query::Query::RequestProperty::operator=#
    {16, 167, 142},	// Nepomuk::Query::Query::RequestProperty::operator==#
    {16, 170, 144},	// Nepomuk::Query::Query::RequestProperty::optional
    {16, 178, 143},	// Nepomuk::Query::Query::RequestProperty::property
    {16, 295, 146},	// Nepomuk::Query::Query::RequestProperty::~RequestProperty
    {17, 46, 153},	// Nepomuk::Query::QueryParser::NoParserFlags
    {17, 74, 147},	// Nepomuk::Query::QueryParser::QueryParser
    {17, 75, 152},	// Nepomuk::Query::QueryParser::QueryParser#
    {17, 78, 154},	// Nepomuk::Query::QueryParser::QueryTermGlobbing
    {17, 157, 150},	// Nepomuk::Query::QueryParser::matchProperty$
    {17, 174, 148},	// Nepomuk::Query::QueryParser::parse$
    {17, 175, 149},	// Nepomuk::Query::QueryParser::parse$$
    {17, 177, 151},	// Nepomuk::Query::QueryParser::parseQuery$
    {17, 293, 155},	// Nepomuk::Query::QueryParser::~QueryParser
    {18, 76, 180},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient
    {18, 77, 163},	// Nepomuk::Query::QueryServiceClient::QueryServiceClient#
    {18, 117, 173},	// Nepomuk::Query::QueryServiceClient::blockingDesktopQuery$
    {18, 119, 171},	// Nepomuk::Query::QueryServiceClient::blockingQuery#
    {18, 121, 186},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$
    {18, 122, 172},	// Nepomuk::Query::QueryServiceClient::blockingSparqlQuery$?
    {18, 124, 174},	// Nepomuk::Query::QueryServiceClient::close
    {18, 129, 170},	// Nepomuk::Query::QueryServiceClient::desktopQuery$
    {18, 132, 176},	// Nepomuk::Query::QueryServiceClient::entriesRemoved?
    {18, 137, 177},	// Nepomuk::Query::QueryServiceClient::finishedListing
    {18, 158, 156},	// Nepomuk::Query::QueryServiceClient::metaObject
    {18, 162, 175},	// Nepomuk::Query::QueryServiceClient::newEntries?
    {18, 182, 162},	// Nepomuk::Query::QueryServiceClient::qt_metacall$$?
    {18, 184, 157},	// Nepomuk::Query::QueryServiceClient::qt_metacast$
    {18, 186, 168},	// Nepomuk::Query::QueryServiceClient::query#
    {18, 193, 164},	// Nepomuk::Query::QueryServiceClient::serviceAvailable
    {18, 240, 185},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$
    {18, 241, 169},	// Nepomuk::Query::QueryServiceClient::sparqlQuery$?
    {18, 242, 187},	// Nepomuk::Query::QueryServiceClient::staticMetaObject
    {18, 246, 184},	// Nepomuk::Query::QueryServiceClient::syncDesktopQuery$
    {18, 247, 167},	// Nepomuk::Query::QueryServiceClient::syncDesktopQuery$$
    {18, 249, 181},	// Nepomuk::Query::QueryServiceClient::syncQuery#
    {18, 250, 165},	// Nepomuk::Query::QueryServiceClient::syncQuery#$
    {18, 252, 182},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$
    {18, 253, 183},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$?
    {18, 254, 166},	// Nepomuk::Query::QueryServiceClient::syncSparqlQuery$?$
    {18, 274, 178},	// Nepomuk::Query::QueryServiceClient::tr$
    {18, 275, 158},	// Nepomuk::Query::QueryServiceClient::tr$$
    {18, 276, 160},	// Nepomuk::Query::QueryServiceClient::tr$$$
    {18, 278, 179},	// Nepomuk::Query::QueryServiceClient::trUtf8$
    {18, 279, 159},	// Nepomuk::Query::QueryServiceClient::trUtf8$$
    {18, 280, 161},	// Nepomuk::Query::QueryServiceClient::trUtf8$$$
    {18, 294, 188},	// Nepomuk::Query::QueryServiceClient::~QueryServiceClient
    {19, 84, 194},	// Nepomuk::Query::ResourceTerm::ResourceTerm
    {19, 85, -64},	// Nepomuk::Query::ResourceTerm::ResourceTerm#
    {19, 165, 191},	// Nepomuk::Query::ResourceTerm::operator=#
    {19, 191, 192},	// Nepomuk::Query::ResourceTerm::resource
    {19, 217, 193},	// Nepomuk::Query::ResourceTerm::setResource#
    {19, 296, 195},	// Nepomuk::Query::ResourceTerm::~ResourceTerm
    {20, 87, 201},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm
    {20, 88, -26},	// Nepomuk::Query::ResourceTypeTerm::ResourceTypeTerm#
    {20, 165, 198},	// Nepomuk::Query::ResourceTypeTerm::operator=#
    {20, 230, 200},	// Nepomuk::Query::ResourceTypeTerm::setType#
    {20, 281, 199},	// Nepomuk::Query::ResourceTypeTerm::type
    {20, 297, 202},	// Nepomuk::Query::ResourceTypeTerm::~ResourceTypeTerm
    {21, 89, 203},	// Nepomuk::Query::Result::Result
    {21, 90, -20},	// Nepomuk::Query::Result::Result#
    {21, 91, 204},	// Nepomuk::Query::Result::Result#$
    {21, 109, 210},	// Nepomuk::Query::Result::addRequestProperty##
    {21, 113, 216},	// Nepomuk::Query::Result::additionalBinding$
    {21, 114, 215},	// Nepomuk::Query::Result::additionalBindings
    {21, 165, 206},	// Nepomuk::Query::Result::operator=#
    {21, 167, 217},	// Nepomuk::Query::Result::operator==#
    {21, 169, 212},	// Nepomuk::Query::Result::operator[]#
    {21, 187, 211},	// Nepomuk::Query::Result::requestProperties
    {21, 189, 213},	// Nepomuk::Query::Result::requestProperty#
    {21, 191, 208},	// Nepomuk::Query::Result::resource
    {21, 192, 207},	// Nepomuk::Query::Result::score
    {21, 195, 214},	// Nepomuk::Query::Result::setAdditionalBindings#
    {21, 219, 209},	// Nepomuk::Query::Result::setScore$
    {21, 298, 219},	// Nepomuk::Query::Result::~Result
    {22, 93, -29},	// Nepomuk::Query::SimpleTerm::SimpleTerm#
    {22, 224, 221},	// Nepomuk::Query::SimpleTerm::setSubTerm#
    {22, 243, 220},	// Nepomuk::Query::SimpleTerm::subTerm
    {22, 299, 225},	// Nepomuk::Query::SimpleTerm::~SimpleTerm
    {23, 1, 262},	// Nepomuk::Query::Term::And
    {23, 11, 264},	// Nepomuk::Query::Term::Comparison
    {23, 35, 259},	// Nepomuk::Query::Term::Invalid
    {23, 36, 260},	// Nepomuk::Query::Term::Literal
    {23, 41, 266},	// Nepomuk::Query::Term::Negation
    {23, 47, 267},	// Nepomuk::Query::Term::Optional
    {23, 50, 263},	// Nepomuk::Query::Term::Or
    {23, 83, 261},	// Nepomuk::Query::Term::Resource
    {23, 86, 265},	// Nepomuk::Query::Term::ResourceType
    {23, 97, 226},	// Nepomuk::Query::Term::Term
    {23, 98, -37},	// Nepomuk::Query::Term::Term#
    {23, 141, 256},	// Nepomuk::Query::Term::fromString$
    {23, 144, 235},	// Nepomuk::Query::Term::isAndTerm
    {23, 145, 237},	// Nepomuk::Query::Term::isComparisonTerm
    {23, 148, 231},	// Nepomuk::Query::Term::isLiteralTerm
    {23, 149, 233},	// Nepomuk::Query::Term::isNegationTerm
    {23, 150, 234},	// Nepomuk::Query::Term::isOptionalTerm
    {23, 151, 236},	// Nepomuk::Query::Term::isOrTerm
    {23, 152, 232},	// Nepomuk::Query::Term::isResourceTerm
    {23, 153, 238},	// Nepomuk::Query::Term::isResourceTypeTerm
    {23, 154, 229},	// Nepomuk::Query::Term::isValid
    {23, 165, 228},	// Nepomuk::Query::Term::operator=#
    {23, 167, 257},	// Nepomuk::Query::Term::operator==#
    {23, 259, -40},	// Nepomuk::Query::Term::toAndTerm
    {23, 260, -43},	// Nepomuk::Query::Term::toComparisonTerm
    {23, 261, -46},	// Nepomuk::Query::Term::toLiteralTerm
    {23, 262, -49},	// Nepomuk::Query::Term::toNegationTerm
    {23, 263, -52},	// Nepomuk::Query::Term::toOptionalTerm
    {23, 264, -55},	// Nepomuk::Query::Term::toOrTerm
    {23, 265, -58},	// Nepomuk::Query::Term::toResourceTerm
    {23, 266, -61},	// Nepomuk::Query::Term::toResourceTypeTerm
    {23, 272, 255},	// Nepomuk::Query::Term::toString
    {23, 281, 230},	// Nepomuk::Query::Term::type
    {23, 300, 268},	// Nepomuk::Query::Term::~Term
    {33, 59, 269},	// QGlobalSpace::Q_COMPLEX_TYPE
    {33, 60, 273},	// QGlobalSpace::Q_DUMMY_TYPE
    {33, 61, 272},	// QGlobalSpace::Q_MOVABLE_TYPE
    {33, 62, 270},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {33, 63, 271},	// QGlobalSpace::Q_STATIC_TYPE
    {33, 64, 276},	// QGlobalSpace::QtCriticalMsg
    {33, 65, 274},	// QGlobalSpace::QtDebugMsg
    {33, 66, 277},	// QGlobalSpace::QtFatalMsg
    {33, 67, 278},	// QGlobalSpace::QtSystemMsg
    {33, 68, 275},	// QGlobalSpace::QtWarningMsg
    {33, 99, 281},	// QGlobalSpace::__codecvt_error
    {33, 100, 282},	// QGlobalSpace::__codecvt_noconv
    {33, 101, 279},	// QGlobalSpace::__codecvt_ok
    {33, 102, 280},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *nepomukquery_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomukquery_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    nepomukquery_Smoke = new Smoke(
        "nepomukquery",
        __smokenepomukquery::classes, 42,
        __smokenepomukquery::methods, 290,
        __smokenepomukquery::methodMaps, 259,
        __smokenepomukquery::methodNames, 300,
        __smokenepomukquery::types, 206,
        __smokenepomukquery::inheritanceList,
        __smokenepomukquery::argumentList,
        __smokenepomukquery::ambiguousMethodList,
        __smokenepomukquery::cast );
    initialized = true;
}

void delete_nepomukquery_Smoke() { delete nepomukquery_Smoke; }

}
