#include <solid_includes.h>

#include <smoke.h>
#include <solid_smoke.h>

namespace __smokesolid {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QMetaObject
      switch(to) {
        case 5: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 6:   //QObject
      switch(to) {
        case 6: return (void*)(QObject*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(QObject*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(QObject*)xptr;
        case 25: return (void*)(Solid::Networking::Notifier*)(QObject*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(QObject*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(QObject*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(QObject*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(QObject*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)(QObject*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(QObject*)xptr;
        case 39: return (void*)(Solid::Video*)(QObject*)xptr;
        case 32: return (void*)(Solid::Processor*)(QObject*)xptr;
        case 13: return (void*)(Solid::Battery*)(QObject*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(QObject*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(QObject*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(QObject*)xptr;
        case 15: return (void*)(Solid::Button*)(QObject*)xptr;
        case 14: return (void*)(Solid::Block*)(QObject*)xptr;
        case 30: return (void*)(Solid::PowerManagement::Notifier*)(QObject*)xptr;
        case 16: return (void*)(Solid::Camera*)(QObject*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(QObject*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(QObject*)xptr;
        default: return xptr;
      }
    case 7:   //QRegExp
      switch(to) {
        case 7: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 8:   //QTimerEvent
      switch(to) {
        case 8: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QVariant
      switch(to) {
        case 9: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 11:   //Solid::AcAdapter
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AcAdapter*)xptr;
        case 6: return (void*)(QObject*)(Solid::AcAdapter*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)xptr;
        default: return xptr;
      }
    case 12:   //Solid::AudioInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::AudioInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::AudioInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)xptr;
        default: return xptr;
      }
    case 13:   //Solid::Battery
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Battery*)xptr;
        case 6: return (void*)(QObject*)(Solid::Battery*)xptr;
        case 13: return (void*)(Solid::Battery*)xptr;
        default: return xptr;
      }
    case 14:   //Solid::Block
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Block*)xptr;
        case 6: return (void*)(QObject*)(Solid::Block*)xptr;
        case 14: return (void*)(Solid::Block*)xptr;
        default: return xptr;
      }
    case 15:   //Solid::Button
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Button*)xptr;
        case 6: return (void*)(QObject*)(Solid::Button*)xptr;
        case 15: return (void*)(Solid::Button*)xptr;
        default: return xptr;
      }
    case 16:   //Solid::Camera
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Camera*)xptr;
        case 6: return (void*)(QObject*)(Solid::Camera*)xptr;
        case 16: return (void*)(Solid::Camera*)xptr;
        default: return xptr;
      }
    case 17:   //Solid::Device
      switch(to) {
        case 17: return (void*)(Solid::Device*)xptr;
        default: return xptr;
      }
    case 18:   //Solid::DeviceInterface
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceInterface*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)(Solid::DeviceInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)(Solid::DeviceInterface*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)(Solid::DeviceInterface*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)(Solid::DeviceInterface*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)(Solid::DeviceInterface*)xptr;
        case 12: return (void*)(Solid::AudioInterface*)(Solid::DeviceInterface*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)(Solid::DeviceInterface*)xptr;
        case 39: return (void*)(Solid::Video*)(Solid::DeviceInterface*)xptr;
        case 32: return (void*)(Solid::Processor*)(Solid::DeviceInterface*)xptr;
        case 13: return (void*)(Solid::Battery*)(Solid::DeviceInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)(Solid::DeviceInterface*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::DeviceInterface*)xptr;
        case 11: return (void*)(Solid::AcAdapter*)(Solid::DeviceInterface*)xptr;
        case 15: return (void*)(Solid::Button*)(Solid::DeviceInterface*)xptr;
        case 14: return (void*)(Solid::Block*)(Solid::DeviceInterface*)xptr;
        case 16: return (void*)(Solid::Camera*)(Solid::DeviceInterface*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::DeviceInterface*)xptr;
        default: return xptr;
      }
    case 19:   //Solid::DeviceInterfacePrivate
      switch(to) {
        case 19: return (void*)(Solid::DeviceInterfacePrivate*)xptr;
        default: return xptr;
      }
    case 20:   //Solid::DeviceNotifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::DeviceNotifier*)xptr;
        case 20: return (void*)(Solid::DeviceNotifier*)xptr;
        default: return xptr;
      }
    case 21:   //Solid::DvbInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::DvbInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::DvbInterface*)xptr;
        case 21: return (void*)(Solid::DvbInterface*)xptr;
        default: return xptr;
      }
    case 22:   //Solid::GenericInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::GenericInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::GenericInterface*)xptr;
        case 22: return (void*)(Solid::GenericInterface*)xptr;
        default: return xptr;
      }
    case 23:   //Solid::NetworkInterface
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::NetworkInterface*)xptr;
        case 6: return (void*)(QObject*)(Solid::NetworkInterface*)xptr;
        case 23: return (void*)(Solid::NetworkInterface*)xptr;
        default: return xptr;
      }
    case 25:   //Solid::Networking::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::Networking::Notifier*)xptr;
        case 25: return (void*)(Solid::Networking::Notifier*)xptr;
        default: return xptr;
      }
    case 26:   //Solid::OpticalDisc
      switch(to) {
        case 37: return (void*)(Solid::StorageVolume*)(Solid::OpticalDisc*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDisc*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDisc*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)xptr;
        default: return xptr;
      }
    case 27:   //Solid::OpticalDrive
      switch(to) {
        case 35: return (void*)(Solid::StorageDrive*)(Solid::OpticalDrive*)xptr;
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::OpticalDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::OpticalDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)xptr;
        default: return xptr;
      }
    case 28:   //Solid::PortableMediaPlayer
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::PortableMediaPlayer*)xptr;
        case 6: return (void*)(QObject*)(Solid::PortableMediaPlayer*)xptr;
        case 28: return (void*)(Solid::PortableMediaPlayer*)xptr;
        default: return xptr;
      }
    case 30:   //Solid::PowerManagement::Notifier
      switch(to) {
        case 6: return (void*)(QObject*)(Solid::PowerManagement::Notifier*)xptr;
        case 30: return (void*)(Solid::PowerManagement::Notifier*)xptr;
        default: return xptr;
      }
    case 31:   //Solid::Predicate
      switch(to) {
        case 31: return (void*)(Solid::Predicate*)xptr;
        default: return xptr;
      }
    case 32:   //Solid::Processor
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Processor*)xptr;
        case 6: return (void*)(QObject*)(Solid::Processor*)xptr;
        case 32: return (void*)(Solid::Processor*)xptr;
        default: return xptr;
      }
    case 33:   //Solid::StorageAccess
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageAccess*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageAccess*)xptr;
        case 33: return (void*)(Solid::StorageAccess*)xptr;
        default: return xptr;
      }
    case 34:   //Solid::StorageAccessPrivate
      switch(to) {
        case 34: return (void*)(Solid::StorageAccessPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Solid::StorageDrive
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageDrive*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageDrive*)xptr;
        case 35: return (void*)(Solid::StorageDrive*)xptr;
        case 27: return (void*)(Solid::OpticalDrive*)(Solid::StorageDrive*)xptr;
        default: return xptr;
      }
    case 36:   //Solid::StorageDrivePrivate
      switch(to) {
        case 36: return (void*)(Solid::StorageDrivePrivate*)xptr;
        default: return xptr;
      }
    case 37:   //Solid::StorageVolume
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::StorageVolume*)xptr;
        case 6: return (void*)(QObject*)(Solid::StorageVolume*)xptr;
        case 37: return (void*)(Solid::StorageVolume*)xptr;
        case 26: return (void*)(Solid::OpticalDisc*)(Solid::StorageVolume*)xptr;
        default: return xptr;
      }
    case 38:   //Solid::StorageVolumePrivate
      switch(to) {
        case 38: return (void*)(Solid::StorageVolumePrivate*)xptr;
        default: return xptr;
      }
    case 39:   //Solid::Video
      switch(to) {
        case 18: return (void*)(Solid::DeviceInterface*)(Solid::Video*)xptr;
        case 6: return (void*)(QObject*)(Solid::Video*)xptr;
        case 39: return (void*)(Solid::Video*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    18, 0,	// 1: Solid::DeviceInterface
    6, 0,	// 3: QObject
    37, 0,	// 5: Solid::StorageVolume
    35, 0,	// 7: Solid::StorageDrive
};

// These are the xenum functions for manipulating enum pointers
void xenum_Solid__OpticalDisc(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DvbInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Button(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__OpticalDrive(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Battery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__PowerManagement(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Networking(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__GenericInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__StorageVolume(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__AudioInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Processor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__Predicate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Solid__DeviceInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AcAdapter(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__AudioInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Battery(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Block(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Camera(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Device(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DeviceNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__DvbInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__GenericInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__NetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Networking__Notifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDisc(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__OpticalDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PortableMediaPlayer(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__PowerManagement__Notifier(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Predicate(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Processor(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageAccess(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageDrive(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__StorageVolume(Smoke::Index, void*, Smoke::Stack);
void xcall_Solid__Video(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//4
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//5
    { "QObject", true, 0, 0, 0, 0, 0 },	//6
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//7
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QVariant", true, 0, 0, 0, 0, 0 },	//9
    { "Solid", false, 0, xcall_Solid, xenum_Solid, Smoke::cf_namespace, 0 },	//10
    { "Solid::AcAdapter", false, 1, xcall_Solid__AcAdapter, 0, Smoke::cf_virtual, sizeof(Solid::AcAdapter) },	//11
    { "Solid::AudioInterface", false, 1, xcall_Solid__AudioInterface, xenum_Solid__AudioInterface, Smoke::cf_virtual, sizeof(Solid::AudioInterface) },	//12
    { "Solid::Battery", false, 1, xcall_Solid__Battery, xenum_Solid__Battery, Smoke::cf_virtual, sizeof(Solid::Battery) },	//13
    { "Solid::Block", false, 1, xcall_Solid__Block, 0, Smoke::cf_virtual, sizeof(Solid::Block) },	//14
    { "Solid::Button", false, 1, xcall_Solid__Button, xenum_Solid__Button, Smoke::cf_virtual, sizeof(Solid::Button) },	//15
    { "Solid::Camera", false, 1, xcall_Solid__Camera, 0, Smoke::cf_virtual, sizeof(Solid::Camera) },	//16
    { "Solid::Device", false, 0, xcall_Solid__Device, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Device) },	//17
    { "Solid::DeviceInterface", false, 3, xcall_Solid__DeviceInterface, xenum_Solid__DeviceInterface, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceInterface) },	//18
    { "Solid::DeviceInterfacePrivate", true, 0, 0, 0, 0, 0 },	//19
    { "Solid::DeviceNotifier", false, 3, xcall_Solid__DeviceNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::DeviceNotifier) },	//20
    { "Solid::DvbInterface", false, 1, xcall_Solid__DvbInterface, xenum_Solid__DvbInterface, Smoke::cf_virtual, sizeof(Solid::DvbInterface) },	//21
    { "Solid::GenericInterface", false, 1, xcall_Solid__GenericInterface, xenum_Solid__GenericInterface, Smoke::cf_virtual, sizeof(Solid::GenericInterface) },	//22
    { "Solid::NetworkInterface", false, 1, xcall_Solid__NetworkInterface, 0, Smoke::cf_virtual, sizeof(Solid::NetworkInterface) },	//23
    { "Solid::Networking", false, 0, xcall_Solid__Networking, xenum_Solid__Networking, Smoke::cf_namespace, 0 },	//24
    { "Solid::Networking::Notifier", false, 3, xcall_Solid__Networking__Notifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::Networking::Notifier) },	//25
    { "Solid::OpticalDisc", false, 5, xcall_Solid__OpticalDisc, xenum_Solid__OpticalDisc, Smoke::cf_virtual, sizeof(Solid::OpticalDisc) },	//26
    { "Solid::OpticalDrive", false, 7, xcall_Solid__OpticalDrive, xenum_Solid__OpticalDrive, Smoke::cf_virtual, sizeof(Solid::OpticalDrive) },	//27
    { "Solid::PortableMediaPlayer", false, 1, xcall_Solid__PortableMediaPlayer, 0, Smoke::cf_virtual, sizeof(Solid::PortableMediaPlayer) },	//28
    { "Solid::PowerManagement", false, 0, xcall_Solid__PowerManagement, xenum_Solid__PowerManagement, Smoke::cf_namespace, 0 },	//29
    { "Solid::PowerManagement::Notifier", false, 3, xcall_Solid__PowerManagement__Notifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::PowerManagement::Notifier) },	//30
    { "Solid::Predicate", false, 0, xcall_Solid__Predicate, xenum_Solid__Predicate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Solid::Predicate) },	//31
    { "Solid::Processor", false, 1, xcall_Solid__Processor, xenum_Solid__Processor, Smoke::cf_virtual, sizeof(Solid::Processor) },	//32
    { "Solid::StorageAccess", false, 1, xcall_Solid__StorageAccess, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageAccess) },	//33
    { "Solid::StorageAccessPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Solid::StorageDrive", false, 1, xcall_Solid__StorageDrive, xenum_Solid__StorageDrive, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageDrive) },	//35
    { "Solid::StorageDrivePrivate", true, 0, 0, 0, 0, 0 },	//36
    { "Solid::StorageVolume", false, 1, xcall_Solid__StorageVolume, xenum_Solid__StorageVolume, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Solid::StorageVolume) },	//37
    { "Solid::StorageVolumePrivate", true, 0, 0, 0, 0, 0 },	//38
    { "Solid::Video", false, 1, xcall_Solid__Video, 0, Smoke::cf_virtual, sizeof(Solid::Video) },	//39
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QFlags<Solid::AudioInterface::AudioInterfaceType>", 0, Smoke::t_uint|Smoke::tf_stack },	//4
    { "QFlags<Solid::OpticalDisc::ContentType>", 0, Smoke::t_uint|Smoke::tf_stack },	//5
    { "QFlags<Solid::OpticalDrive::MediumType>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QFlags<Solid::Processor::InstructionSet>", 0, Smoke::t_uint|Smoke::tf_stack },	//7
    { "QList<Solid::Device>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "QMetaObject::Call", 5, Smoke::t_enum|Smoke::tf_stack },	//11
    { "QObject*", 6, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QRegExp&", 7, Smoke::t_class|Smoke::tf_ref },	//13
    { "QSet<Solid::DeviceInterface::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QSet<Solid::PowerManagement::SleepState>", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//18
    { "QTimerEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QVariant", 9, Smoke::t_class|Smoke::tf_stack },	//20
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QtMsgType", 4, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Solid::AudioInterface::AudioDriver", 12, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Solid::AudioInterface::AudioInterfaceType", 12, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Solid::AudioInterface::SoundcardType", 12, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Solid::Battery::BatteryType", 13, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Solid::Battery::ChargeState", 13, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Solid::Button::ButtonType", 15, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Solid::Device", 17, Smoke::t_class|Smoke::tf_stack },	//99
    { "Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref },	//100
    { "Solid::Device*", 17, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Solid::DeviceInterface::Type", 18, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Solid::DeviceInterfacePrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//104
    { "Solid::DeviceNotifier*", 20, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Solid::DvbInterface::DeviceType", 21, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Solid::ErrorType", 10, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Solid::GenericInterface::PropertyChange", 22, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Solid::Networking::ManagementPolicy", 24, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Solid::Networking::Notifier*", 25, Smoke::t_class|Smoke::tf_ptr },	//110
    { "Solid::Networking::Status", 24, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Solid::OpticalDisc::ContentType", 26, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Solid::OpticalDisc::DiscType", 26, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Solid::OpticalDrive::MediumType", 27, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Solid::PowerManagement::Notifier*", 30, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Solid::PowerManagement::SleepState", 29, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Solid::Predicate", 31, Smoke::t_class|Smoke::tf_stack },	//117
    { "Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref },	//118
    { "Solid::Predicate*", 31, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Solid::Predicate::ComparisonOperator", 31, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Solid::Predicate::Type", 31, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Solid::Processor::InstructionSet", 32, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Solid::StorageAccess*", 33, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Solid::StorageAccessPrivate&", 34, Smoke::t_class|Smoke::tf_ref },	//124
    { "Solid::StorageDrive*", 35, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Solid::StorageDrive::Bus", 35, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Solid::StorageDrive::DriveType", 35, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Solid::StorageDrivePrivate&", 36, Smoke::t_class|Smoke::tf_ref },	//128
    { "Solid::StorageVolume*", 37, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Solid::StorageVolume::UsageType", 37, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Solid::StorageVolumePrivate&", 38, Smoke::t_class|Smoke::tf_ref },	//131
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//132
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//133
    { "const QMetaObject&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const QMetaObject*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//135
    { "const QRegExp&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//137
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//138
    { "const QVariant&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const Solid::Device&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//140
    { "const Solid::DeviceInterface*", 18, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//141
    { "const Solid::DeviceInterface::Type&", 18, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const Solid::Predicate&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//143
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//144
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//145
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//146
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//147
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//148
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//149
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    12, 3, 0,	//3  QObject*, QEvent*
    19, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    144, 0,	//10  const char*
    144, 144, 0,	//12  const char*, const char*
    144, 144, 145, 0,	//15  const char*, const char*, int
    11, 145, 149, 0,	//19  QMetaObject::Call, int, void**
    132, 137, 0,	//23  bool, const QString&
    145, 137, 0,	//26  int, const QString&
    98, 137, 0,	//29  Solid::Button::ButtonType, const QString&
    16, 0,	//32  QString
    137, 0,	//34  const QString&
    142, 137, 0,	//36  const Solid::DeviceInterface::Type&, const QString&
    143, 137, 0,	//39  const Solid::Predicate&, const QString&
    137, 137, 0,	//42  const QString&, const QString&
    140, 0,	//45  const Solid::Device&
    142, 0,	//47  const Solid::DeviceInterface::Type&
    143, 0,	//49  const Solid::Predicate&
    103, 0,	//51  Solid::DeviceInterface::Type
    104, 12, 0,	//53  Solid::DeviceInterfacePrivate&, QObject*
    133, 0,	//56  const QMap<QString,int>&
    109, 0,	//58  Solid::Networking::ManagementPolicy
    111, 0,	//60  Solid::Networking::Status
    107, 20, 137, 0,	//62  Solid::ErrorType, QVariant, const QString&
    145, 0,	//66  int
    116, 12, 144, 0,	//68  Solid::PowerManagement::SleepState, QObject*, const char*
    132, 0,	//72  bool
    142, 137, 139, 120, 0,	//74  const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    137, 137, 139, 120, 0,	//79  const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator
    142, 137, 139, 0,	//84  const Solid::DeviceInterface::Type&, const QString&, const QVariant&
    137, 137, 139, 0,	//88  const QString&, const QString&, const QVariant&
    124, 12, 0,	//92  Solid::StorageAccessPrivate&, QObject*
    128, 12, 0,	//95  Solid::StorageDrivePrivate&, QObject*
    131, 12, 0,	//98  Solid::StorageVolumePrivate&, QObject*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcAdapter",	//1
    "Alsa",	//2
    "AltiVec",	//3
    "Amd3DNow",	//4
    "Audio",	//5
    "AudioControl",	//6
    "AudioInput",	//7
    "AudioInterface",	//8
    "AudioOutput",	//9
    "Battery",	//10
    "Bd",	//11
    "Bdr",	//12
    "Bdre",	//13
    "Block",	//14
    "BluRayRecordable",	//15
    "BluRayRewritable",	//16
    "BluRayRom",	//17
    "Button",	//18
    "Camera",	//19
    "CameraBattery",	//20
    "CdRecordable",	//21
    "CdRewritable",	//22
    "CdRom",	//23
    "Cdr",	//24
    "CdromDrive",	//25
    "Cdrw",	//26
    "Charging",	//27
    "CompactFlash",	//28
    "Conjunction",	//29
    "Connected",	//30
    "Connecting",	//31
    "Data",	//32
    "Device",	//33
    "Device#",	//34
    "Device$",	//35
    "DeviceInterface",	//36
    "DeviceInterface##",	//37
    "DeviceNotifier",	//38
    "Discharging",	//39
    "Disconnecting",	//40
    "Disjunction",	//41
    "DvbAudio",	//42
    "DvbCa",	//43
    "DvbDemux",	//44
    "DvbDvr",	//45
    "DvbFrontend",	//46
    "DvbInterface",	//47
    "DvbNet",	//48
    "DvbOsd",	//49
    "DvbSec",	//50
    "DvbUnknown",	//51
    "DvbVideo",	//52
    "Dvd",	//53
    "DvdPlusRecordable",	//54
    "DvdPlusRecordableDuallayer",	//55
    "DvdPlusRewritable",	//56
    "DvdPlusRewritableDuallayer",	//57
    "DvdRam",	//58
    "DvdRecordable",	//59
    "DvdRewritable",	//60
    "DvdRom",	//61
    "Dvdplusdl",	//62
    "Dvdplusdlrw",	//63
    "Dvdplusr",	//64
    "Dvdplusrw",	//65
    "Dvdr",	//66
    "Dvdram",	//67
    "Dvdrw",	//68
    "Encrypted",	//69
    "Equals",	//70
    "FileSystem",	//71
    "FirewireSoundcard",	//72
    "Floppy",	//73
    "GenericInterface",	//74
    "HardDisk",	//75
    "HdDvd",	//76
    "HdDvdRecordable",	//77
    "HdDvdRewritable",	//78
    "HdDvdRom",	//79
    "HdDvdr",	//80
    "HdDvdrw",	//81
    "Headset",	//82
    "HibernateState",	//83
    "Ide",	//84
    "Ieee1394",	//85
    "IntelMmx",	//86
    "IntelSse",	//87
    "IntelSse2",	//88
    "IntelSse3",	//89
    "IntelSse4",	//90
    "InterfaceCheck",	//91
    "InternalSoundcard",	//92
    "KeyboardBattery",	//93
    "KeyboardMouseBattery",	//94
    "Last",	//95
    "LidButton",	//96
    "Managed",	//97
    "Manual",	//98
    "Mask",	//99
    "MemoryStick",	//100
    "Modem",	//101
    "MonitorBattery",	//102
    "MouseBattery",	//103
    "NetworkInterface",	//104
    "NoCharge",	//105
    "NoError",	//106
    "NoExtensions",	//107
    "Notifier",	//108
    "OnNextStatusChange",	//109
    "OpenSoundSystem",	//110
    "OpticalDisc",	//111
    "OpticalDrive",	//112
    "Other",	//113
    "PartitionTable",	//114
    "PdaBattery",	//115
    "PhoneBattery",	//116
    "Platform",	//117
    "PortableMediaPlayer",	//118
    "PowerButton",	//119
    "Predicate",	//120
    "Predicate#",	//121
    "Predicate$",	//122
    "Predicate$$#",	//123
    "Predicate$$#$",	//124
    "PrimaryBattery",	//125
    "Processor",	//126
    "PropertyAdded",	//127
    "PropertyCheck",	//128
    "PropertyModified",	//129
    "PropertyRemoved",	//130
    "Q_COMPLEX_TYPE",	//131
    "Q_DUMMY_TYPE",	//132
    "Q_MOVABLE_TYPE",	//133
    "Q_PRIMITIVE_TYPE",	//134
    "Q_STATIC_TYPE",	//135
    "QtCriticalMsg",	//136
    "QtDebugMsg",	//137
    "QtFatalMsg",	//138
    "QtSystemMsg",	//139
    "QtWarningMsg",	//140
    "Raid",	//141
    "Sata",	//142
    "Scsi",	//143
    "SdMmc",	//144
    "SerialInterface",	//145
    "SleepButton",	//146
    "SmartCardReader",	//147
    "SmartMedia",	//148
    "StandbyState",	//149
    "StorageAccess",	//150
    "StorageAccess##",	//151
    "StorageDrive",	//152
    "StorageDrive##",	//153
    "StorageVolume",	//154
    "StorageVolume##",	//155
    "SuperVideoCd",	//156
    "SuspendState",	//157
    "TabletButton",	//158
    "Tape",	//159
    "UnauthorizedOperation",	//160
    "Unconnected",	//161
    "Unknown",	//162
    "UnknownAudioDriver",	//163
    "UnknownAudioInterfaceType",	//164
    "UnknownBattery",	//165
    "UnknownButtonType",	//166
    "UnknownDiscType",	//167
    "Unused",	//168
    "UpsBattery",	//169
    "Usb",	//170
    "UsbSoundcard",	//171
    "Video",	//172
    "VideoCd",	//173
    "VideoDvd",	//174
    "Xd",	//175
    "accessibilityChanged",	//176
    "accessibilityChanged$$",	//177
    "allDevices",	//178
    "allProperties",	//179
    "appShouldConserveResources",	//180
    "appShouldConserveResourcesChanged",	//181
    "appShouldConserveResourcesChanged$",	//182
    "asDeviceInterface",	//183
    "asDeviceInterface$",	//184
    "availableContent",	//185
    "beginSuppressingSleep",	//186
    "beginSuppressingSleep$",	//187
    "bus",	//188
    "canChangeFrequency",	//189
    "capacity",	//190
    "chargePercent",	//191
    "chargePercentChanged",	//192
    "chargePercentChanged$$",	//193
    "chargeState",	//194
    "chargeStateChanged",	//195
    "chargeStateChanged$$",	//196
    "childEvent",	//197
    "comparisonOperator",	//198
    "conditionRaised",	//199
    "conditionRaised$$",	//200
    "connectNotify",	//201
    "connectPolicy",	//202
    "customEvent",	//203
    "description",	//204
    "device",	//205
    "deviceAdapter",	//206
    "deviceAdded",	//207
    "deviceAdded$",	//208
    "deviceIndex",	//209
    "deviceInterfaceType",	//210
    "deviceMajor",	//211
    "deviceMinor",	//212
    "deviceRemoved",	//213
    "deviceRemoved$",	//214
    "deviceType",	//215
    "discType",	//216
    "disconnectNotify",	//217
    "disconnectPolicy",	//218
    "driveType",	//219
    "driver",	//220
    "driverHandle",	//221
    "driverHandle$",	//222
    "eject",	//223
    "ejectDone",	//224
    "ejectDone$#$",	//225
    "ejectPressed",	//226
    "ejectPressed$",	//227
    "ejectRequested",	//228
    "ejectRequested$",	//229
    "emblems",	//230
    "encryptedContainer",	//231
    "event",	//232
    "eventFilter",	//233
    "filePath",	//234
    "firstOperand",	//235
    "fromString",	//236
    "fromString$",	//237
    "fsType",	//238
    "hasState",	//239
    "hwAddress",	//240
    "icon",	//241
    "ifaceName",	//242
    "instance",	//243
    "instructionSets",	//244
    "interfaceType",	//245
    "isAccessible",	//246
    "isAppendable",	//247
    "isBlank",	//248
    "isDeviceInterface",	//249
    "isDeviceInterface$",	//250
    "isHotpluggable",	//251
    "isIgnored",	//252
    "isPlugged",	//253
    "isRechargeable",	//254
    "isRemovable",	//255
    "isRewritable",	//256
    "isValid",	//257
    "isWireless",	//258
    "label",	//259
    "listFromQuery",	//260
    "listFromQuery#",	//261
    "listFromQuery#$",	//262
    "listFromQuery$",	//263
    "listFromQuery$$",	//264
    "listFromType",	//265
    "listFromType$",	//266
    "listFromType$$",	//267
    "macAddress",	//268
    "matches",	//269
    "matches#",	//270
    "matchingValue",	//271
    "maxSpeed",	//272
    "metaObject",	//273
    "name",	//274
    "notifier",	//275
    "number",	//276
    "operator&",	//277
    "operator&#",	//278
    "operator&=",	//279
    "operator&=#",	//280
    "operator=",	//281
    "operator=#",	//282
    "operator|",	//283
    "operator|#",	//284
    "operator|=",	//285
    "operator|=#",	//286
    "parent",	//287
    "parentUdi",	//288
    "plugStateChanged",	//289
    "plugStateChanged$$",	//290
    "pressed",	//291
    "pressed$$",	//292
    "product",	//293
    "property",	//294
    "property$",	//295
    "propertyChanged",	//296
    "propertyChanged?",	//297
    "propertyExists",	//298
    "propertyExists$",	//299
    "propertyName",	//300
    "qt_metacall",	//301
    "qt_metacall$$?",	//302
    "qt_metacast",	//303
    "qt_metacast$",	//304
    "readSpeed",	//305
    "requestSleep",	//306
    "requestSleep$#$",	//307
    "secondOperand",	//308
    "setConnectPolicy",	//309
    "setConnectPolicy$",	//310
    "setDisconnectPolicy",	//311
    "setDisconnectPolicy$",	//312
    "setup",	//313
    "setupDone",	//314
    "setupDone$#$",	//315
    "setupRequested",	//316
    "setupRequested$",	//317
    "shouldConnect",	//318
    "shouldDisconnect",	//319
    "size",	//320
    "soundcardType",	//321
    "stateValue",	//322
    "staticMetaObject",	//323
    "status",	//324
    "statusChanged",	//325
    "statusChanged$",	//326
    "stopSuppressingSleep",	//327
    "stopSuppressingSleep$",	//328
    "stringToType",	//329
    "stringToType$",	//330
    "supportedDrivers",	//331
    "supportedDrivers$",	//332
    "supportedMedia",	//333
    "supportedProtocols",	//334
    "supportedSleepStates",	//335
    "teardown",	//336
    "teardownDone",	//337
    "teardownDone$#$",	//338
    "teardownRequested",	//339
    "teardownRequested$",	//340
    "timerEvent",	//341
    "toString",	//342
    "tr",	//343
    "tr$",	//344
    "tr$$",	//345
    "tr$$$",	//346
    "trUtf8",	//347
    "trUtf8$",	//348
    "trUtf8$$",	//349
    "trUtf8$$$",	//350
    "type",	//351
    "typeDescription",	//352
    "typeDescription$",	//353
    "typeToString",	//354
    "typeToString$",	//355
    "udi",	//356
    "usage",	//357
    "usedTypes",	//358
    "uuid",	//359
    "vendor",	//360
    "writeSpeed",	//361
    "writeSpeeds",	//362
    "~AcAdapter",	//363
    "~AudioInterface",	//364
    "~Battery",	//365
    "~Block",	//366
    "~Button",	//367
    "~Camera",	//368
    "~Device",	//369
    "~DeviceInterface",	//370
    "~DeviceNotifier",	//371
    "~DvbInterface",	//372
    "~GenericInterface",	//373
    "~NetworkInterface",	//374
    "~Notifier",	//375
    "~OpticalDisc",	//376
    "~OpticalDrive",	//377
    "~PortableMediaPlayer",	//378
    "~Predicate",	//379
    "~Processor",	//380
    "~StorageAccess",	//381
    "~StorageDrive",	//382
    "~StorageVolume",	//383
    "~Video",	//384
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {4, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {4, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {4, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {4, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {4, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {4, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {4, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {4, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {4, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {6, 232, 1, 1, Smoke::mf_virtual, 132, 0},	//11 QObject::event(QEvent*)
    {6, 233, 3, 2, Smoke::mf_virtual, 132, 0},	//12 QObject::eventFilter(QObject*, QEvent*)
    {6, 341, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 QObject::timerEvent(QTimerEvent*)
    {6, 197, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 QObject::childEvent(QChildEvent*)
    {6, 203, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//15 QObject::customEvent(QEvent*)
    {6, 201, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//16 QObject::connectNotify(const char*)
    {6, 217, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::disconnectNotify(const char*)
    {10, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 1},	//18 Solid::NoError (enum)
    {10, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 2},	//19 Solid::UnauthorizedOperation (enum)
    {11, 273, 0, 0, Smoke::mf_const, 135, 1},	//20 Solid::AcAdapter::metaObject() const
    {11, 303, 10, 1, 0, 148, 2},	//21 Solid::AcAdapter::qt_metacast(const char*)
    {11, 343, 12, 2, Smoke::mf_static, 16, 3},	//22 Solid::AcAdapter::tr(const char*, const char*)
    {11, 347, 12, 2, Smoke::mf_static, 16, 4},	//23 Solid::AcAdapter::trUtf8(const char*, const char*)
    {11, 343, 15, 3, Smoke::mf_static, 16, 5},	//24 Solid::AcAdapter::tr(const char*, const char*, int)
    {11, 347, 15, 3, Smoke::mf_static, 16, 6},	//25 Solid::AcAdapter::trUtf8(const char*, const char*, int)
    {11, 301, 19, 3, 0, 145, 7},	//26 Solid::AcAdapter::qt_metacall(QMetaObject::Call, int, void**)
    {11, 210, 0, 0, Smoke::mf_static, 103, 8},	//27 Solid::AcAdapter::deviceInterfaceType()
    {11, 253, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//28 Solid::AcAdapter::isPlugged() const
    {11, 289, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//29 Solid::AcAdapter::plugStateChanged(bool, const QString&)
    {11, 343, 10, 1, Smoke::mf_static, 16, 11},	//30 Solid::AcAdapter::tr(const char*)
    {11, 347, 10, 1, Smoke::mf_static, 16, 12},	//31 Solid::AcAdapter::trUtf8(const char*)
    {11, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 13},	//32 Solid::AcAdapter::staticMetaObject() const
    {11, 363, 0, 0, Smoke::mf_dtor, 0, 14 },	//33 Solid::AcAdapter::~AcAdapter()
    {12, 273, 0, 0, Smoke::mf_const, 135, 1},	//34 Solid::AudioInterface::metaObject() const
    {12, 303, 10, 1, 0, 148, 2},	//35 Solid::AudioInterface::qt_metacast(const char*)
    {12, 343, 12, 2, Smoke::mf_static, 16, 3},	//36 Solid::AudioInterface::tr(const char*, const char*)
    {12, 347, 12, 2, Smoke::mf_static, 16, 4},	//37 Solid::AudioInterface::trUtf8(const char*, const char*)
    {12, 343, 15, 3, Smoke::mf_static, 16, 5},	//38 Solid::AudioInterface::tr(const char*, const char*, int)
    {12, 347, 15, 3, Smoke::mf_static, 16, 6},	//39 Solid::AudioInterface::trUtf8(const char*, const char*, int)
    {12, 301, 19, 3, 0, 145, 7},	//40 Solid::AudioInterface::qt_metacall(QMetaObject::Call, int, void**)
    {12, 210, 0, 0, Smoke::mf_static, 103, 8},	//41 Solid::AudioInterface::deviceInterfaceType()
    {12, 220, 0, 0, Smoke::mf_const|Smoke::mf_property, 93, 9},	//42 Solid::AudioInterface::driver() const
    {12, 221, 0, 0, Smoke::mf_const|Smoke::mf_property, 20, 10},	//43 Solid::AudioInterface::driverHandle() const
    {12, 274, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//44 Solid::AudioInterface::name() const
    {12, 215, 0, 0, Smoke::mf_const, 4, 12},	//45 Solid::AudioInterface::deviceType() const
    {12, 321, 0, 0, Smoke::mf_const|Smoke::mf_property, 95, 13},	//46 Solid::AudioInterface::soundcardType() const
    {12, 343, 10, 1, Smoke::mf_static, 16, 14},	//47 Solid::AudioInterface::tr(const char*)
    {12, 347, 10, 1, Smoke::mf_static, 16, 15},	//48 Solid::AudioInterface::trUtf8(const char*)
    {12, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 16},	//49 Solid::AudioInterface::staticMetaObject() const
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 17},	//50 Solid::AudioInterface::Alsa (enum)
    {12, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 18},	//51 Solid::AudioInterface::OpenSoundSystem (enum)
    {12, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 19},	//52 Solid::AudioInterface::UnknownAudioDriver (enum)
    {12, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 20},	//53 Solid::AudioInterface::UnknownAudioInterfaceType (enum)
    {12, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 21},	//54 Solid::AudioInterface::AudioControl (enum)
    {12, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 22},	//55 Solid::AudioInterface::AudioInput (enum)
    {12, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 23},	//56 Solid::AudioInterface::AudioOutput (enum)
    {12, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 24},	//57 Solid::AudioInterface::InternalSoundcard (enum)
    {12, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 25},	//58 Solid::AudioInterface::UsbSoundcard (enum)
    {12, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 26},	//59 Solid::AudioInterface::FirewireSoundcard (enum)
    {12, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 27},	//60 Solid::AudioInterface::Headset (enum)
    {12, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 28},	//61 Solid::AudioInterface::Modem (enum)
    {12, 364, 0, 0, Smoke::mf_dtor, 0, 29 },	//62 Solid::AudioInterface::~AudioInterface()
    {13, 273, 0, 0, Smoke::mf_const, 135, 1},	//63 Solid::Battery::metaObject() const
    {13, 303, 10, 1, 0, 148, 2},	//64 Solid::Battery::qt_metacast(const char*)
    {13, 343, 12, 2, Smoke::mf_static, 16, 3},	//65 Solid::Battery::tr(const char*, const char*)
    {13, 347, 12, 2, Smoke::mf_static, 16, 4},	//66 Solid::Battery::trUtf8(const char*, const char*)
    {13, 343, 15, 3, Smoke::mf_static, 16, 5},	//67 Solid::Battery::tr(const char*, const char*, int)
    {13, 347, 15, 3, Smoke::mf_static, 16, 6},	//68 Solid::Battery::trUtf8(const char*, const char*, int)
    {13, 301, 19, 3, 0, 145, 7},	//69 Solid::Battery::qt_metacall(QMetaObject::Call, int, void**)
    {13, 210, 0, 0, Smoke::mf_static, 103, 8},	//70 Solid::Battery::deviceInterfaceType()
    {13, 253, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//71 Solid::Battery::isPlugged() const
    {13, 351, 0, 0, Smoke::mf_const|Smoke::mf_property, 96, 10},	//72 Solid::Battery::type() const
    {13, 191, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 11},	//73 Solid::Battery::chargePercent() const
    {13, 254, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 12},	//74 Solid::Battery::isRechargeable() const
    {13, 194, 0, 0, Smoke::mf_const|Smoke::mf_property, 97, 13},	//75 Solid::Battery::chargeState() const
    {13, 192, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//76 Solid::Battery::chargePercentChanged(int, const QString&)
    {13, 195, 26, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//77 Solid::Battery::chargeStateChanged(int, const QString&)
    {13, 289, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//78 Solid::Battery::plugStateChanged(bool, const QString&)
    {13, 343, 10, 1, Smoke::mf_static, 16, 17},	//79 Solid::Battery::tr(const char*)
    {13, 347, 10, 1, Smoke::mf_static, 16, 18},	//80 Solid::Battery::trUtf8(const char*)
    {13, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 19},	//81 Solid::Battery::staticMetaObject() const
    {13, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 20},	//82 Solid::Battery::UnknownBattery (enum)
    {13, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 21},	//83 Solid::Battery::PdaBattery (enum)
    {13, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 22},	//84 Solid::Battery::UpsBattery (enum)
    {13, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 23},	//85 Solid::Battery::PrimaryBattery (enum)
    {13, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 24},	//86 Solid::Battery::MouseBattery (enum)
    {13, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 25},	//87 Solid::Battery::KeyboardBattery (enum)
    {13, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 26},	//88 Solid::Battery::KeyboardMouseBattery (enum)
    {13, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 27},	//89 Solid::Battery::CameraBattery (enum)
    {13, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 28},	//90 Solid::Battery::PhoneBattery (enum)
    {13, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 29},	//91 Solid::Battery::MonitorBattery (enum)
    {13, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 30},	//92 Solid::Battery::NoCharge (enum)
    {13, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 31},	//93 Solid::Battery::Charging (enum)
    {13, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 32},	//94 Solid::Battery::Discharging (enum)
    {13, 365, 0, 0, Smoke::mf_dtor, 0, 33 },	//95 Solid::Battery::~Battery()
    {14, 273, 0, 0, Smoke::mf_const, 135, 1},	//96 Solid::Block::metaObject() const
    {14, 303, 10, 1, 0, 148, 2},	//97 Solid::Block::qt_metacast(const char*)
    {14, 343, 12, 2, Smoke::mf_static, 16, 3},	//98 Solid::Block::tr(const char*, const char*)
    {14, 347, 12, 2, Smoke::mf_static, 16, 4},	//99 Solid::Block::trUtf8(const char*, const char*)
    {14, 343, 15, 3, Smoke::mf_static, 16, 5},	//100 Solid::Block::tr(const char*, const char*, int)
    {14, 347, 15, 3, Smoke::mf_static, 16, 6},	//101 Solid::Block::trUtf8(const char*, const char*, int)
    {14, 301, 19, 3, 0, 145, 7},	//102 Solid::Block::qt_metacall(QMetaObject::Call, int, void**)
    {14, 210, 0, 0, Smoke::mf_static, 103, 8},	//103 Solid::Block::deviceInterfaceType()
    {14, 211, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 9},	//104 Solid::Block::deviceMajor() const
    {14, 212, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 10},	//105 Solid::Block::deviceMinor() const
    {14, 205, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//106 Solid::Block::device() const
    {14, 343, 10, 1, Smoke::mf_static, 16, 12},	//107 Solid::Block::tr(const char*)
    {14, 347, 10, 1, Smoke::mf_static, 16, 13},	//108 Solid::Block::trUtf8(const char*)
    {14, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 14},	//109 Solid::Block::staticMetaObject() const
    {14, 366, 0, 0, Smoke::mf_dtor, 0, 15 },	//110 Solid::Block::~Block()
    {15, 273, 0, 0, Smoke::mf_const, 135, 1},	//111 Solid::Button::metaObject() const
    {15, 303, 10, 1, 0, 148, 2},	//112 Solid::Button::qt_metacast(const char*)
    {15, 343, 12, 2, Smoke::mf_static, 16, 3},	//113 Solid::Button::tr(const char*, const char*)
    {15, 347, 12, 2, Smoke::mf_static, 16, 4},	//114 Solid::Button::trUtf8(const char*, const char*)
    {15, 343, 15, 3, Smoke::mf_static, 16, 5},	//115 Solid::Button::tr(const char*, const char*, int)
    {15, 347, 15, 3, Smoke::mf_static, 16, 6},	//116 Solid::Button::trUtf8(const char*, const char*, int)
    {15, 301, 19, 3, 0, 145, 7},	//117 Solid::Button::qt_metacall(QMetaObject::Call, int, void**)
    {15, 210, 0, 0, Smoke::mf_static, 103, 8},	//118 Solid::Button::deviceInterfaceType()
    {15, 351, 0, 0, Smoke::mf_const|Smoke::mf_property, 98, 9},	//119 Solid::Button::type() const
    {15, 239, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 10},	//120 Solid::Button::hasState() const
    {15, 322, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//121 Solid::Button::stateValue() const
    {15, 291, 29, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//122 Solid::Button::pressed(Solid::Button::ButtonType, const QString&)
    {15, 343, 10, 1, Smoke::mf_static, 16, 13},	//123 Solid::Button::tr(const char*)
    {15, 347, 10, 1, Smoke::mf_static, 16, 14},	//124 Solid::Button::trUtf8(const char*)
    {15, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//125 Solid::Button::staticMetaObject() const
    {15, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 16},	//126 Solid::Button::LidButton (enum)
    {15, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 17},	//127 Solid::Button::PowerButton (enum)
    {15, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 18},	//128 Solid::Button::SleepButton (enum)
    {15, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 19},	//129 Solid::Button::UnknownButtonType (enum)
    {15, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 20},	//130 Solid::Button::TabletButton (enum)
    {15, 367, 0, 0, Smoke::mf_dtor, 0, 21 },	//131 Solid::Button::~Button()
    {16, 273, 0, 0, Smoke::mf_const, 135, 1},	//132 Solid::Camera::metaObject() const
    {16, 303, 10, 1, 0, 148, 2},	//133 Solid::Camera::qt_metacast(const char*)
    {16, 343, 12, 2, Smoke::mf_static, 16, 3},	//134 Solid::Camera::tr(const char*, const char*)
    {16, 347, 12, 2, Smoke::mf_static, 16, 4},	//135 Solid::Camera::trUtf8(const char*, const char*)
    {16, 343, 15, 3, Smoke::mf_static, 16, 5},	//136 Solid::Camera::tr(const char*, const char*, int)
    {16, 347, 15, 3, Smoke::mf_static, 16, 6},	//137 Solid::Camera::trUtf8(const char*, const char*, int)
    {16, 301, 19, 3, 0, 145, 7},	//138 Solid::Camera::qt_metacall(QMetaObject::Call, int, void**)
    {16, 210, 0, 0, Smoke::mf_static, 103, 8},	//139 Solid::Camera::deviceInterfaceType()
    {16, 334, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 9},	//140 Solid::Camera::supportedProtocols() const
    {16, 331, 32, 1, Smoke::mf_const, 17, 10},	//141 Solid::Camera::supportedDrivers(QString) const
    {16, 221, 34, 1, Smoke::mf_const, 20, 11},	//142 Solid::Camera::driverHandle(const QString&) const
    {16, 343, 10, 1, Smoke::mf_static, 16, 12},	//143 Solid::Camera::tr(const char*)
    {16, 347, 10, 1, Smoke::mf_static, 16, 13},	//144 Solid::Camera::trUtf8(const char*)
    {16, 331, 0, 0, Smoke::mf_const, 17, 14},	//145 Solid::Camera::supportedDrivers() const
    {16, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//146 Solid::Camera::staticMetaObject() const
    {16, 368, 0, 0, Smoke::mf_dtor, 0, 16 },	//147 Solid::Camera::~Camera()
    {17, 178, 0, 0, Smoke::mf_static, 8, 1},	//148 Solid::Device::allDevices()
    {17, 265, 36, 2, Smoke::mf_static, 8, 2},	//149 Solid::Device::listFromType(const Solid::DeviceInterface::Type&, const QString&)
    {17, 260, 39, 2, Smoke::mf_static, 8, 3},	//150 Solid::Device::listFromQuery(const Solid::Predicate&, const QString&)
    {17, 260, 42, 2, Smoke::mf_static, 8, 4},	//151 Solid::Device::listFromQuery(const QString&, const QString&)
    {17, 33, 34, 1, Smoke::mf_ctor, 101, 5},	//152 Solid::Device::Device(const QString&)
    {17, 33, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 6},	//153 Solid::Device::Device(const Solid::Device&)
    {17, 281, 45, 1, 0, 100, 7},	//154 Solid::Device::operator=(const Solid::Device&)
    {17, 257, 0, 0, Smoke::mf_const, 132, 8},	//155 Solid::Device::isValid() const
    {17, 356, 0, 0, Smoke::mf_const, 16, 9},	//156 Solid::Device::udi() const
    {17, 288, 0, 0, Smoke::mf_const, 16, 10},	//157 Solid::Device::parentUdi() const
    {17, 287, 0, 0, Smoke::mf_const, 99, 11},	//158 Solid::Device::parent() const
    {17, 360, 0, 0, Smoke::mf_const, 16, 12},	//159 Solid::Device::vendor() const
    {17, 293, 0, 0, Smoke::mf_const, 16, 13},	//160 Solid::Device::product() const
    {17, 241, 0, 0, Smoke::mf_const, 16, 14},	//161 Solid::Device::icon() const
    {17, 230, 0, 0, Smoke::mf_const, 17, 15},	//162 Solid::Device::emblems() const
    {17, 204, 0, 0, Smoke::mf_const, 16, 16},	//163 Solid::Device::description() const
    {17, 249, 47, 1, Smoke::mf_const, 132, 17},	//164 Solid::Device::isDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 183, 47, 1, 0, 102, 18},	//165 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    {17, 183, 47, 1, Smoke::mf_const, 141, 19},	//166 Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    {17, 265, 47, 1, Smoke::mf_static, 8, 20},	//167 Solid::Device::listFromType(const Solid::DeviceInterface::Type&)
    {17, 260, 49, 1, Smoke::mf_static, 8, 21},	//168 Solid::Device::listFromQuery(const Solid::Predicate&)
    {17, 260, 34, 1, Smoke::mf_static, 8, 22},	//169 Solid::Device::listFromQuery(const QString&)
    {17, 33, 0, 0, Smoke::mf_ctor, 101, 23},	//170 Solid::Device::Device()
    {17, 369, 0, 0, Smoke::mf_dtor, 0, 24 },	//171 Solid::Device::~Device()
    {18, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//172 Solid::DeviceInterface::metaObject() const
    {18, 303, 10, 1, Smoke::mf_virtual, 148, 2},	//173 Solid::DeviceInterface::qt_metacast(const char*)
    {18, 343, 12, 2, Smoke::mf_static, 16, 3},	//174 Solid::DeviceInterface::tr(const char*, const char*)
    {18, 347, 12, 2, Smoke::mf_static, 16, 4},	//175 Solid::DeviceInterface::trUtf8(const char*, const char*)
    {18, 343, 15, 3, Smoke::mf_static, 16, 5},	//176 Solid::DeviceInterface::tr(const char*, const char*, int)
    {18, 347, 15, 3, Smoke::mf_static, 16, 6},	//177 Solid::DeviceInterface::trUtf8(const char*, const char*, int)
    {18, 301, 19, 3, Smoke::mf_virtual, 145, 7},	//178 Solid::DeviceInterface::qt_metacall(QMetaObject::Call, int, void**)
    {18, 257, 0, 0, Smoke::mf_const, 132, 8},	//179 Solid::DeviceInterface::isValid() const
    {18, 354, 51, 1, Smoke::mf_static, 16, 9},	//180 Solid::DeviceInterface::typeToString(Solid::DeviceInterface::Type)
    {18, 329, 34, 1, Smoke::mf_static, 103, 10},	//181 Solid::DeviceInterface::stringToType(const QString&)
    {18, 352, 51, 1, Smoke::mf_static, 16, 11},	//182 Solid::DeviceInterface::typeDescription(Solid::DeviceInterface::Type)
    {18, 36, 53, 2, Smoke::mf_ctor|Smoke::mf_protected, 102, 12},	//183 Solid::DeviceInterface::DeviceInterface(Solid::DeviceInterfacePrivate&, QObject*)
    {18, 343, 10, 1, Smoke::mf_static, 16, 13},	//184 Solid::DeviceInterface::tr(const char*)
    {18, 347, 10, 1, Smoke::mf_static, 16, 14},	//185 Solid::DeviceInterface::trUtf8(const char*)
    {18, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//186 Solid::DeviceInterface::staticMetaObject() const
    {18, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 16},	//187 Solid::DeviceInterface::Unknown (enum)
    {18, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 17},	//188 Solid::DeviceInterface::GenericInterface (enum)
    {18, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 18},	//189 Solid::DeviceInterface::Processor (enum)
    {18, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 19},	//190 Solid::DeviceInterface::Block (enum)
    {18, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 20},	//191 Solid::DeviceInterface::StorageAccess (enum)
    {18, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 21},	//192 Solid::DeviceInterface::StorageDrive (enum)
    {18, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 22},	//193 Solid::DeviceInterface::OpticalDrive (enum)
    {18, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 23},	//194 Solid::DeviceInterface::StorageVolume (enum)
    {18, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 24},	//195 Solid::DeviceInterface::OpticalDisc (enum)
    {18, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 25},	//196 Solid::DeviceInterface::Camera (enum)
    {18, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 26},	//197 Solid::DeviceInterface::PortableMediaPlayer (enum)
    {18, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 27},	//198 Solid::DeviceInterface::NetworkInterface (enum)
    {18, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 28},	//199 Solid::DeviceInterface::AcAdapter (enum)
    {18, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 29},	//200 Solid::DeviceInterface::Battery (enum)
    {18, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 30},	//201 Solid::DeviceInterface::Button (enum)
    {18, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 31},	//202 Solid::DeviceInterface::AudioInterface (enum)
    {18, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 32},	//203 Solid::DeviceInterface::DvbInterface (enum)
    {18, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 33},	//204 Solid::DeviceInterface::Video (enum)
    {18, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 34},	//205 Solid::DeviceInterface::SerialInterface (enum)
    {18, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 35},	//206 Solid::DeviceInterface::SmartCardReader (enum)
    {18, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 36},	//207 Solid::DeviceInterface::Last (enum)
    {18, 370, 0, 0, Smoke::mf_dtor, 0, 37 },	//208 Solid::DeviceInterface::~DeviceInterface()
    {20, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//209 Solid::DeviceNotifier::metaObject() const
    {20, 303, 10, 1, Smoke::mf_virtual, 148, 2},	//210 Solid::DeviceNotifier::qt_metacast(const char*)
    {20, 343, 12, 2, Smoke::mf_static, 16, 3},	//211 Solid::DeviceNotifier::tr(const char*, const char*)
    {20, 347, 12, 2, Smoke::mf_static, 16, 4},	//212 Solid::DeviceNotifier::trUtf8(const char*, const char*)
    {20, 343, 15, 3, Smoke::mf_static, 16, 5},	//213 Solid::DeviceNotifier::tr(const char*, const char*, int)
    {20, 347, 15, 3, Smoke::mf_static, 16, 6},	//214 Solid::DeviceNotifier::trUtf8(const char*, const char*, int)
    {20, 301, 19, 3, Smoke::mf_virtual, 145, 7},	//215 Solid::DeviceNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {20, 243, 0, 0, Smoke::mf_static, 105, 8},	//216 Solid::DeviceNotifier::instance()
    {20, 207, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//217 Solid::DeviceNotifier::deviceAdded(const QString&)
    {20, 213, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//218 Solid::DeviceNotifier::deviceRemoved(const QString&)
    {20, 38, 0, 0, Smoke::mf_ctor, 105, 11},	//219 Solid::DeviceNotifier::DeviceNotifier()
    {20, 343, 10, 1, Smoke::mf_static, 16, 12},	//220 Solid::DeviceNotifier::tr(const char*)
    {20, 347, 10, 1, Smoke::mf_static, 16, 13},	//221 Solid::DeviceNotifier::trUtf8(const char*)
    {20, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 14},	//222 Solid::DeviceNotifier::staticMetaObject() const
    {20, 371, 0, 0, Smoke::mf_dtor, 0, 15 },	//223 Solid::DeviceNotifier::~DeviceNotifier()
    {21, 273, 0, 0, Smoke::mf_const, 135, 1},	//224 Solid::DvbInterface::metaObject() const
    {21, 303, 10, 1, 0, 148, 2},	//225 Solid::DvbInterface::qt_metacast(const char*)
    {21, 343, 12, 2, Smoke::mf_static, 16, 3},	//226 Solid::DvbInterface::tr(const char*, const char*)
    {21, 347, 12, 2, Smoke::mf_static, 16, 4},	//227 Solid::DvbInterface::trUtf8(const char*, const char*)
    {21, 343, 15, 3, Smoke::mf_static, 16, 5},	//228 Solid::DvbInterface::tr(const char*, const char*, int)
    {21, 347, 15, 3, Smoke::mf_static, 16, 6},	//229 Solid::DvbInterface::trUtf8(const char*, const char*, int)
    {21, 301, 19, 3, 0, 145, 7},	//230 Solid::DvbInterface::qt_metacall(QMetaObject::Call, int, void**)
    {21, 210, 0, 0, Smoke::mf_static, 103, 8},	//231 Solid::DvbInterface::deviceInterfaceType()
    {21, 205, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 9},	//232 Solid::DvbInterface::device() const
    {21, 206, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 10},	//233 Solid::DvbInterface::deviceAdapter() const
    {21, 215, 0, 0, Smoke::mf_const|Smoke::mf_property, 106, 11},	//234 Solid::DvbInterface::deviceType() const
    {21, 209, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 12},	//235 Solid::DvbInterface::deviceIndex() const
    {21, 343, 10, 1, Smoke::mf_static, 16, 13},	//236 Solid::DvbInterface::tr(const char*)
    {21, 347, 10, 1, Smoke::mf_static, 16, 14},	//237 Solid::DvbInterface::trUtf8(const char*)
    {21, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//238 Solid::DvbInterface::staticMetaObject() const
    {21, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 16},	//239 Solid::DvbInterface::DvbUnknown (enum)
    {21, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 17},	//240 Solid::DvbInterface::DvbAudio (enum)
    {21, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 18},	//241 Solid::DvbInterface::DvbCa (enum)
    {21, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 19},	//242 Solid::DvbInterface::DvbDemux (enum)
    {21, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 20},	//243 Solid::DvbInterface::DvbDvr (enum)
    {21, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 21},	//244 Solid::DvbInterface::DvbFrontend (enum)
    {21, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 22},	//245 Solid::DvbInterface::DvbNet (enum)
    {21, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 23},	//246 Solid::DvbInterface::DvbOsd (enum)
    {21, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 24},	//247 Solid::DvbInterface::DvbSec (enum)
    {21, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 25},	//248 Solid::DvbInterface::DvbVideo (enum)
    {21, 372, 0, 0, Smoke::mf_dtor, 0, 26 },	//249 Solid::DvbInterface::~DvbInterface()
    {22, 273, 0, 0, Smoke::mf_const, 135, 1},	//250 Solid::GenericInterface::metaObject() const
    {22, 303, 10, 1, 0, 148, 2},	//251 Solid::GenericInterface::qt_metacast(const char*)
    {22, 343, 12, 2, Smoke::mf_static, 16, 3},	//252 Solid::GenericInterface::tr(const char*, const char*)
    {22, 347, 12, 2, Smoke::mf_static, 16, 4},	//253 Solid::GenericInterface::trUtf8(const char*, const char*)
    {22, 343, 15, 3, Smoke::mf_static, 16, 5},	//254 Solid::GenericInterface::tr(const char*, const char*, int)
    {22, 347, 15, 3, Smoke::mf_static, 16, 6},	//255 Solid::GenericInterface::trUtf8(const char*, const char*, int)
    {22, 301, 19, 3, 0, 145, 7},	//256 Solid::GenericInterface::qt_metacall(QMetaObject::Call, int, void**)
    {22, 210, 0, 0, Smoke::mf_static, 103, 8},	//257 Solid::GenericInterface::deviceInterfaceType()
    {22, 294, 34, 1, Smoke::mf_const, 20, 9},	//258 Solid::GenericInterface::property(const QString&) const
    {22, 179, 0, 0, Smoke::mf_const, 10, 10},	//259 Solid::GenericInterface::allProperties() const
    {22, 298, 34, 1, Smoke::mf_const, 132, 11},	//260 Solid::GenericInterface::propertyExists(const QString&) const
    {22, 296, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//261 Solid::GenericInterface::propertyChanged(const QMap<QString,int>&)
    {22, 199, 42, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//262 Solid::GenericInterface::conditionRaised(const QString&, const QString&)
    {22, 343, 10, 1, Smoke::mf_static, 16, 14},	//263 Solid::GenericInterface::tr(const char*)
    {22, 347, 10, 1, Smoke::mf_static, 16, 15},	//264 Solid::GenericInterface::trUtf8(const char*)
    {22, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 16},	//265 Solid::GenericInterface::staticMetaObject() const
    {22, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 17},	//266 Solid::GenericInterface::PropertyModified (enum)
    {22, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 18},	//267 Solid::GenericInterface::PropertyAdded (enum)
    {22, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 19},	//268 Solid::GenericInterface::PropertyRemoved (enum)
    {22, 373, 0, 0, Smoke::mf_dtor, 0, 20 },	//269 Solid::GenericInterface::~GenericInterface()
    {23, 273, 0, 0, Smoke::mf_const, 135, 1},	//270 Solid::NetworkInterface::metaObject() const
    {23, 303, 10, 1, 0, 148, 2},	//271 Solid::NetworkInterface::qt_metacast(const char*)
    {23, 343, 12, 2, Smoke::mf_static, 16, 3},	//272 Solid::NetworkInterface::tr(const char*, const char*)
    {23, 347, 12, 2, Smoke::mf_static, 16, 4},	//273 Solid::NetworkInterface::trUtf8(const char*, const char*)
    {23, 343, 15, 3, Smoke::mf_static, 16, 5},	//274 Solid::NetworkInterface::tr(const char*, const char*, int)
    {23, 347, 15, 3, Smoke::mf_static, 16, 6},	//275 Solid::NetworkInterface::trUtf8(const char*, const char*, int)
    {23, 301, 19, 3, 0, 145, 7},	//276 Solid::NetworkInterface::qt_metacall(QMetaObject::Call, int, void**)
    {23, 210, 0, 0, Smoke::mf_static, 103, 8},	//277 Solid::NetworkInterface::deviceInterfaceType()
    {23, 242, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 9},	//278 Solid::NetworkInterface::ifaceName() const
    {23, 258, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 10},	//279 Solid::NetworkInterface::isWireless() const
    {23, 240, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//280 Solid::NetworkInterface::hwAddress() const
    {23, 268, 0, 0, Smoke::mf_const, 147, 12},	//281 Solid::NetworkInterface::macAddress() const
    {23, 343, 10, 1, Smoke::mf_static, 16, 13},	//282 Solid::NetworkInterface::tr(const char*)
    {23, 347, 10, 1, Smoke::mf_static, 16, 14},	//283 Solid::NetworkInterface::trUtf8(const char*)
    {23, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//284 Solid::NetworkInterface::staticMetaObject() const
    {23, 374, 0, 0, Smoke::mf_dtor, 0, 16 },	//285 Solid::NetworkInterface::~NetworkInterface()
    {24, 202, 0, 0, Smoke::mf_static, 109, 1},	//286 Solid::Networking::connectPolicy()
    {24, 309, 58, 1, Smoke::mf_static, 0, 2},	//287 Solid::Networking::setConnectPolicy(Solid::Networking::ManagementPolicy)
    {24, 311, 58, 1, Smoke::mf_static, 0, 3},	//288 Solid::Networking::setDisconnectPolicy(Solid::Networking::ManagementPolicy)
    {24, 218, 0, 0, Smoke::mf_static, 109, 4},	//289 Solid::Networking::disconnectPolicy()
    {24, 324, 0, 0, Smoke::mf_static, 111, 5},	//290 Solid::Networking::status()
    {24, 275, 0, 0, Smoke::mf_static, 110, 6},	//291 Solid::Networking::notifier()
    {24, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 7},	//292 Solid::Networking::Manual (enum)
    {24, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 8},	//293 Solid::Networking::OnNextStatusChange (enum)
    {24, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 9},	//294 Solid::Networking::Managed (enum)
    {24, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 10},	//295 Solid::Networking::Unknown (enum)
    {24, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 11},	//296 Solid::Networking::Unconnected (enum)
    {24, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 12},	//297 Solid::Networking::Disconnecting (enum)
    {24, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 13},	//298 Solid::Networking::Connecting (enum)
    {24, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 14},	//299 Solid::Networking::Connected (enum)
    {25, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//300 Solid::Networking::Notifier::metaObject() const
    {25, 303, 10, 1, Smoke::mf_virtual, 148, 2},	//301 Solid::Networking::Notifier::qt_metacast(const char*)
    {25, 343, 12, 2, Smoke::mf_static, 16, 3},	//302 Solid::Networking::Notifier::tr(const char*, const char*)
    {25, 347, 12, 2, Smoke::mf_static, 16, 4},	//303 Solid::Networking::Notifier::trUtf8(const char*, const char*)
    {25, 343, 15, 3, Smoke::mf_static, 16, 5},	//304 Solid::Networking::Notifier::tr(const char*, const char*, int)
    {25, 347, 15, 3, Smoke::mf_static, 16, 6},	//305 Solid::Networking::Notifier::trUtf8(const char*, const char*, int)
    {25, 301, 19, 3, Smoke::mf_virtual, 145, 7},	//306 Solid::Networking::Notifier::qt_metacall(QMetaObject::Call, int, void**)
    {25, 325, 60, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//307 Solid::Networking::Notifier::statusChanged(Solid::Networking::Status)
    {25, 318, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//308 Solid::Networking::Notifier::shouldConnect()
    {25, 319, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//309 Solid::Networking::Notifier::shouldDisconnect()
    {25, 108, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 110, 11},	//310 Solid::Networking::Notifier::Notifier()
    {25, 343, 10, 1, Smoke::mf_static, 16, 12},	//311 Solid::Networking::Notifier::tr(const char*)
    {25, 347, 10, 1, Smoke::mf_static, 16, 13},	//312 Solid::Networking::Notifier::trUtf8(const char*)
    {25, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 14},	//313 Solid::Networking::Notifier::staticMetaObject() const
    {25, 375, 0, 0, Smoke::mf_dtor, 0, 15 },	//314 Solid::Networking::Notifier::~Notifier()
    {26, 273, 0, 0, Smoke::mf_const, 135, 1},	//315 Solid::OpticalDisc::metaObject() const
    {26, 303, 10, 1, 0, 148, 2},	//316 Solid::OpticalDisc::qt_metacast(const char*)
    {26, 343, 12, 2, Smoke::mf_static, 16, 3},	//317 Solid::OpticalDisc::tr(const char*, const char*)
    {26, 347, 12, 2, Smoke::mf_static, 16, 4},	//318 Solid::OpticalDisc::trUtf8(const char*, const char*)
    {26, 343, 15, 3, Smoke::mf_static, 16, 5},	//319 Solid::OpticalDisc::tr(const char*, const char*, int)
    {26, 347, 15, 3, Smoke::mf_static, 16, 6},	//320 Solid::OpticalDisc::trUtf8(const char*, const char*, int)
    {26, 301, 19, 3, 0, 145, 7},	//321 Solid::OpticalDisc::qt_metacall(QMetaObject::Call, int, void**)
    {26, 210, 0, 0, Smoke::mf_static, 103, 8},	//322 Solid::OpticalDisc::deviceInterfaceType()
    {26, 185, 0, 0, Smoke::mf_const, 5, 9},	//323 Solid::OpticalDisc::availableContent() const
    {26, 216, 0, 0, Smoke::mf_const|Smoke::mf_property, 113, 10},	//324 Solid::OpticalDisc::discType() const
    {26, 247, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//325 Solid::OpticalDisc::isAppendable() const
    {26, 248, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 12},	//326 Solid::OpticalDisc::isBlank() const
    {26, 256, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 13},	//327 Solid::OpticalDisc::isRewritable() const
    {26, 190, 0, 0, Smoke::mf_const, 147, 14},	//328 Solid::OpticalDisc::capacity() const
    {26, 343, 10, 1, Smoke::mf_static, 16, 15},	//329 Solid::OpticalDisc::tr(const char*)
    {26, 347, 10, 1, Smoke::mf_static, 16, 16},	//330 Solid::OpticalDisc::trUtf8(const char*)
    {26, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 17},	//331 Solid::OpticalDisc::staticMetaObject() const
    {26, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 18},	//332 Solid::OpticalDisc::Audio (enum)
    {26, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 19},	//333 Solid::OpticalDisc::Data (enum)
    {26, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 20},	//334 Solid::OpticalDisc::VideoCd (enum)
    {26, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 21},	//335 Solid::OpticalDisc::SuperVideoCd (enum)
    {26, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 22},	//336 Solid::OpticalDisc::VideoDvd (enum)
    {26, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 23},	//337 Solid::OpticalDisc::UnknownDiscType (enum)
    {26, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 24},	//338 Solid::OpticalDisc::CdRom (enum)
    {26, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 25},	//339 Solid::OpticalDisc::CdRecordable (enum)
    {26, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 26},	//340 Solid::OpticalDisc::CdRewritable (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 27},	//341 Solid::OpticalDisc::DvdRom (enum)
    {26, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 28},	//342 Solid::OpticalDisc::DvdRam (enum)
    {26, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 29},	//343 Solid::OpticalDisc::DvdRecordable (enum)
    {26, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 30},	//344 Solid::OpticalDisc::DvdRewritable (enum)
    {26, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 31},	//345 Solid::OpticalDisc::DvdPlusRecordable (enum)
    {26, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 32},	//346 Solid::OpticalDisc::DvdPlusRewritable (enum)
    {26, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 33},	//347 Solid::OpticalDisc::DvdPlusRecordableDuallayer (enum)
    {26, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 34},	//348 Solid::OpticalDisc::DvdPlusRewritableDuallayer (enum)
    {26, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 35},	//349 Solid::OpticalDisc::BluRayRom (enum)
    {26, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 36},	//350 Solid::OpticalDisc::BluRayRecordable (enum)
    {26, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 37},	//351 Solid::OpticalDisc::BluRayRewritable (enum)
    {26, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 38},	//352 Solid::OpticalDisc::HdDvdRom (enum)
    {26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 39},	//353 Solid::OpticalDisc::HdDvdRecordable (enum)
    {26, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 40},	//354 Solid::OpticalDisc::HdDvdRewritable (enum)
    {26, 376, 0, 0, Smoke::mf_dtor, 0, 41 },	//355 Solid::OpticalDisc::~OpticalDisc()
    {27, 273, 0, 0, Smoke::mf_const, 135, 1},	//356 Solid::OpticalDrive::metaObject() const
    {27, 303, 10, 1, 0, 148, 2},	//357 Solid::OpticalDrive::qt_metacast(const char*)
    {27, 343, 12, 2, Smoke::mf_static, 16, 3},	//358 Solid::OpticalDrive::tr(const char*, const char*)
    {27, 347, 12, 2, Smoke::mf_static, 16, 4},	//359 Solid::OpticalDrive::trUtf8(const char*, const char*)
    {27, 343, 15, 3, Smoke::mf_static, 16, 5},	//360 Solid::OpticalDrive::tr(const char*, const char*, int)
    {27, 347, 15, 3, Smoke::mf_static, 16, 6},	//361 Solid::OpticalDrive::trUtf8(const char*, const char*, int)
    {27, 301, 19, 3, 0, 145, 7},	//362 Solid::OpticalDrive::qt_metacall(QMetaObject::Call, int, void**)
    {27, 210, 0, 0, Smoke::mf_static, 103, 8},	//363 Solid::OpticalDrive::deviceInterfaceType()
    {27, 333, 0, 0, Smoke::mf_const, 6, 9},	//364 Solid::OpticalDrive::supportedMedia() const
    {27, 305, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 10},	//365 Solid::OpticalDrive::readSpeed() const
    {27, 361, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 11},	//366 Solid::OpticalDrive::writeSpeed() const
    {27, 362, 0, 0, Smoke::mf_const|Smoke::mf_property, 9, 12},	//367 Solid::OpticalDrive::writeSpeeds() const
    {27, 223, 0, 0, 0, 132, 13},	//368 Solid::OpticalDrive::eject()
    {27, 226, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//369 Solid::OpticalDrive::ejectPressed(const QString&)
    {27, 224, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//370 Solid::OpticalDrive::ejectDone(Solid::ErrorType, QVariant, const QString&)
    {27, 228, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//371 Solid::OpticalDrive::ejectRequested(const QString&)
    {27, 343, 10, 1, Smoke::mf_static, 16, 17},	//372 Solid::OpticalDrive::tr(const char*)
    {27, 347, 10, 1, Smoke::mf_static, 16, 18},	//373 Solid::OpticalDrive::trUtf8(const char*)
    {27, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 19},	//374 Solid::OpticalDrive::staticMetaObject() const
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 20},	//375 Solid::OpticalDrive::Cdr (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 21},	//376 Solid::OpticalDrive::Cdrw (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 22},	//377 Solid::OpticalDrive::Dvd (enum)
    {27, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 23},	//378 Solid::OpticalDrive::Dvdr (enum)
    {27, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 24},	//379 Solid::OpticalDrive::Dvdrw (enum)
    {27, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 25},	//380 Solid::OpticalDrive::Dvdram (enum)
    {27, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 26},	//381 Solid::OpticalDrive::Dvdplusr (enum)
    {27, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 27},	//382 Solid::OpticalDrive::Dvdplusrw (enum)
    {27, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 28},	//383 Solid::OpticalDrive::Dvdplusdl (enum)
    {27, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 29},	//384 Solid::OpticalDrive::Dvdplusdlrw (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 30},	//385 Solid::OpticalDrive::Bd (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 31},	//386 Solid::OpticalDrive::Bdr (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 32},	//387 Solid::OpticalDrive::Bdre (enum)
    {27, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 33},	//388 Solid::OpticalDrive::HdDvd (enum)
    {27, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 34},	//389 Solid::OpticalDrive::HdDvdr (enum)
    {27, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 35},	//390 Solid::OpticalDrive::HdDvdrw (enum)
    {27, 377, 0, 0, Smoke::mf_dtor, 0, 36 },	//391 Solid::OpticalDrive::~OpticalDrive()
    {28, 273, 0, 0, Smoke::mf_const, 135, 1},	//392 Solid::PortableMediaPlayer::metaObject() const
    {28, 303, 10, 1, 0, 148, 2},	//393 Solid::PortableMediaPlayer::qt_metacast(const char*)
    {28, 343, 12, 2, Smoke::mf_static, 16, 3},	//394 Solid::PortableMediaPlayer::tr(const char*, const char*)
    {28, 347, 12, 2, Smoke::mf_static, 16, 4},	//395 Solid::PortableMediaPlayer::trUtf8(const char*, const char*)
    {28, 343, 15, 3, Smoke::mf_static, 16, 5},	//396 Solid::PortableMediaPlayer::tr(const char*, const char*, int)
    {28, 347, 15, 3, Smoke::mf_static, 16, 6},	//397 Solid::PortableMediaPlayer::trUtf8(const char*, const char*, int)
    {28, 301, 19, 3, 0, 145, 7},	//398 Solid::PortableMediaPlayer::qt_metacall(QMetaObject::Call, int, void**)
    {28, 210, 0, 0, Smoke::mf_static, 103, 8},	//399 Solid::PortableMediaPlayer::deviceInterfaceType()
    {28, 334, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 9},	//400 Solid::PortableMediaPlayer::supportedProtocols() const
    {28, 331, 32, 1, Smoke::mf_const, 17, 10},	//401 Solid::PortableMediaPlayer::supportedDrivers(QString) const
    {28, 221, 34, 1, Smoke::mf_const, 20, 11},	//402 Solid::PortableMediaPlayer::driverHandle(const QString&) const
    {28, 343, 10, 1, Smoke::mf_static, 16, 12},	//403 Solid::PortableMediaPlayer::tr(const char*)
    {28, 347, 10, 1, Smoke::mf_static, 16, 13},	//404 Solid::PortableMediaPlayer::trUtf8(const char*)
    {28, 331, 0, 0, Smoke::mf_const, 17, 14},	//405 Solid::PortableMediaPlayer::supportedDrivers() const
    {28, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//406 Solid::PortableMediaPlayer::staticMetaObject() const
    {28, 378, 0, 0, Smoke::mf_dtor, 0, 16 },	//407 Solid::PortableMediaPlayer::~PortableMediaPlayer()
    {29, 180, 0, 0, Smoke::mf_static, 132, 1},	//408 Solid::PowerManagement::appShouldConserveResources()
    {29, 335, 0, 0, Smoke::mf_static, 15, 2},	//409 Solid::PowerManagement::supportedSleepStates()
    {29, 327, 66, 1, Smoke::mf_static, 132, 3},	//410 Solid::PowerManagement::stopSuppressingSleep(int)
    {29, 186, 34, 1, Smoke::mf_static, 145, 4},	//411 Solid::PowerManagement::beginSuppressingSleep(const QString&)
    {29, 186, 0, 0, Smoke::mf_static, 145, 5},	//412 Solid::PowerManagement::beginSuppressingSleep()
    {29, 306, 68, 3, Smoke::mf_static, 0, 6},	//413 Solid::PowerManagement::requestSleep(Solid::PowerManagement::SleepState, QObject*, const char*)
    {29, 275, 0, 0, Smoke::mf_static, 115, 7},	//414 Solid::PowerManagement::notifier()
    {29, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 8},	//415 Solid::PowerManagement::StandbyState (enum)
    {29, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 9},	//416 Solid::PowerManagement::SuspendState (enum)
    {29, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 116, 10},	//417 Solid::PowerManagement::HibernateState (enum)
    {30, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//418 Solid::PowerManagement::Notifier::metaObject() const
    {30, 303, 10, 1, Smoke::mf_virtual, 148, 2},	//419 Solid::PowerManagement::Notifier::qt_metacast(const char*)
    {30, 343, 12, 2, Smoke::mf_static, 16, 3},	//420 Solid::PowerManagement::Notifier::tr(const char*, const char*)
    {30, 347, 12, 2, Smoke::mf_static, 16, 4},	//421 Solid::PowerManagement::Notifier::trUtf8(const char*, const char*)
    {30, 343, 15, 3, Smoke::mf_static, 16, 5},	//422 Solid::PowerManagement::Notifier::tr(const char*, const char*, int)
    {30, 347, 15, 3, Smoke::mf_static, 16, 6},	//423 Solid::PowerManagement::Notifier::trUtf8(const char*, const char*, int)
    {30, 301, 19, 3, Smoke::mf_virtual, 145, 7},	//424 Solid::PowerManagement::Notifier::qt_metacall(QMetaObject::Call, int, void**)
    {30, 181, 72, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//425 Solid::PowerManagement::Notifier::appShouldConserveResourcesChanged(bool)
    {30, 108, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 115, 9},	//426 Solid::PowerManagement::Notifier::Notifier()
    {30, 343, 10, 1, Smoke::mf_static, 16, 10},	//427 Solid::PowerManagement::Notifier::tr(const char*)
    {30, 347, 10, 1, Smoke::mf_static, 16, 11},	//428 Solid::PowerManagement::Notifier::trUtf8(const char*)
    {30, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 12},	//429 Solid::PowerManagement::Notifier::staticMetaObject() const
    {30, 375, 0, 0, Smoke::mf_dtor, 0, 13 },	//430 Solid::PowerManagement::Notifier::~Notifier()
    {31, 120, 0, 0, Smoke::mf_ctor, 119, 1},	//431 Solid::Predicate::Predicate()
    {31, 120, 49, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//432 Solid::Predicate::Predicate(const Solid::Predicate&)
    {31, 120, 74, 4, Smoke::mf_ctor, 119, 3},	//433 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 120, 79, 4, Smoke::mf_ctor, 119, 4},	//434 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    {31, 120, 47, 1, Smoke::mf_ctor, 119, 5},	//435 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    {31, 120, 34, 1, Smoke::mf_ctor, 119, 6},	//436 Solid::Predicate::Predicate(const QString&)
    {31, 281, 49, 1, 0, 118, 7},	//437 Solid::Predicate::operator=(const Solid::Predicate&)
    {31, 277, 49, 1, 0, 117, 8},	//438 Solid::Predicate::operator&(const Solid::Predicate&)
    {31, 279, 49, 1, 0, 118, 9},	//439 Solid::Predicate::operator&=(const Solid::Predicate&)
    {31, 283, 49, 1, 0, 117, 10},	//440 Solid::Predicate::operator|(const Solid::Predicate&)
    {31, 285, 49, 1, 0, 118, 11},	//441 Solid::Predicate::operator|=(const Solid::Predicate&)
    {31, 257, 0, 0, Smoke::mf_const, 132, 12},	//442 Solid::Predicate::isValid() const
    {31, 269, 45, 1, Smoke::mf_const, 132, 13},	//443 Solid::Predicate::matches(const Solid::Device&) const
    {31, 358, 0, 0, Smoke::mf_const, 14, 14},	//444 Solid::Predicate::usedTypes() const
    {31, 342, 0, 0, Smoke::mf_const, 16, 15},	//445 Solid::Predicate::toString() const
    {31, 236, 34, 1, Smoke::mf_static, 117, 16},	//446 Solid::Predicate::fromString(const QString&)
    {31, 351, 0, 0, Smoke::mf_const, 121, 17},	//447 Solid::Predicate::type() const
    {31, 245, 0, 0, Smoke::mf_const, 103, 18},	//448 Solid::Predicate::interfaceType() const
    {31, 300, 0, 0, Smoke::mf_const, 16, 19},	//449 Solid::Predicate::propertyName() const
    {31, 271, 0, 0, Smoke::mf_const, 20, 20},	//450 Solid::Predicate::matchingValue() const
    {31, 198, 0, 0, Smoke::mf_const, 120, 21},	//451 Solid::Predicate::comparisonOperator() const
    {31, 235, 0, 0, Smoke::mf_const, 117, 22},	//452 Solid::Predicate::firstOperand() const
    {31, 308, 0, 0, Smoke::mf_const, 117, 23},	//453 Solid::Predicate::secondOperand() const
    {31, 120, 84, 3, Smoke::mf_ctor, 119, 24},	//454 Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    {31, 120, 88, 3, Smoke::mf_ctor, 119, 25},	//455 Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    {31, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 26},	//456 Solid::Predicate::Equals (enum)
    {31, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 27},	//457 Solid::Predicate::Mask (enum)
    {31, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 28},	//458 Solid::Predicate::PropertyCheck (enum)
    {31, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 29},	//459 Solid::Predicate::Conjunction (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 30},	//460 Solid::Predicate::Disjunction (enum)
    {31, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 31},	//461 Solid::Predicate::InterfaceCheck (enum)
    {31, 379, 0, 0, Smoke::mf_dtor, 0, 32 },	//462 Solid::Predicate::~Predicate()
    {32, 273, 0, 0, Smoke::mf_const, 135, 1},	//463 Solid::Processor::metaObject() const
    {32, 303, 10, 1, 0, 148, 2},	//464 Solid::Processor::qt_metacast(const char*)
    {32, 343, 12, 2, Smoke::mf_static, 16, 3},	//465 Solid::Processor::tr(const char*, const char*)
    {32, 347, 12, 2, Smoke::mf_static, 16, 4},	//466 Solid::Processor::trUtf8(const char*, const char*)
    {32, 343, 15, 3, Smoke::mf_static, 16, 5},	//467 Solid::Processor::tr(const char*, const char*, int)
    {32, 347, 15, 3, Smoke::mf_static, 16, 6},	//468 Solid::Processor::trUtf8(const char*, const char*, int)
    {32, 301, 19, 3, 0, 145, 7},	//469 Solid::Processor::qt_metacall(QMetaObject::Call, int, void**)
    {32, 210, 0, 0, Smoke::mf_static, 103, 8},	//470 Solid::Processor::deviceInterfaceType()
    {32, 276, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 9},	//471 Solid::Processor::number() const
    {32, 272, 0, 0, Smoke::mf_const, 145, 10},	//472 Solid::Processor::maxSpeed() const
    {32, 189, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//473 Solid::Processor::canChangeFrequency() const
    {32, 244, 0, 0, Smoke::mf_const, 7, 12},	//474 Solid::Processor::instructionSets() const
    {32, 343, 10, 1, Smoke::mf_static, 16, 13},	//475 Solid::Processor::tr(const char*)
    {32, 347, 10, 1, Smoke::mf_static, 16, 14},	//476 Solid::Processor::trUtf8(const char*)
    {32, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//477 Solid::Processor::staticMetaObject() const
    {32, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 16},	//478 Solid::Processor::NoExtensions (enum)
    {32, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 17},	//479 Solid::Processor::IntelMmx (enum)
    {32, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 18},	//480 Solid::Processor::IntelSse (enum)
    {32, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 19},	//481 Solid::Processor::IntelSse2 (enum)
    {32, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 20},	//482 Solid::Processor::IntelSse3 (enum)
    {32, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 21},	//483 Solid::Processor::IntelSse4 (enum)
    {32, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 22},	//484 Solid::Processor::Amd3DNow (enum)
    {32, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 23},	//485 Solid::Processor::AltiVec (enum)
    {32, 380, 0, 0, Smoke::mf_dtor, 0, 24 },	//486 Solid::Processor::~Processor()
    {33, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//487 Solid::StorageAccess::metaObject() const
    {33, 303, 10, 1, Smoke::mf_virtual, 148, 2},	//488 Solid::StorageAccess::qt_metacast(const char*)
    {33, 343, 12, 2, Smoke::mf_static, 16, 3},	//489 Solid::StorageAccess::tr(const char*, const char*)
    {33, 347, 12, 2, Smoke::mf_static, 16, 4},	//490 Solid::StorageAccess::trUtf8(const char*, const char*)
    {33, 343, 15, 3, Smoke::mf_static, 16, 5},	//491 Solid::StorageAccess::tr(const char*, const char*, int)
    {33, 347, 15, 3, Smoke::mf_static, 16, 6},	//492 Solid::StorageAccess::trUtf8(const char*, const char*, int)
    {33, 301, 19, 3, Smoke::mf_virtual, 145, 7},	//493 Solid::StorageAccess::qt_metacall(QMetaObject::Call, int, void**)
    {33, 210, 0, 0, Smoke::mf_static, 103, 8},	//494 Solid::StorageAccess::deviceInterfaceType()
    {33, 246, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//495 Solid::StorageAccess::isAccessible() const
    {33, 234, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 10},	//496 Solid::StorageAccess::filePath() const
    {33, 313, 0, 0, 0, 132, 11},	//497 Solid::StorageAccess::setup()
    {33, 336, 0, 0, 0, 132, 12},	//498 Solid::StorageAccess::teardown()
    {33, 176, 23, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//499 Solid::StorageAccess::accessibilityChanged(bool, const QString&)
    {33, 314, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//500 Solid::StorageAccess::setupDone(Solid::ErrorType, QVariant, const QString&)
    {33, 337, 62, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//501 Solid::StorageAccess::teardownDone(Solid::ErrorType, QVariant, const QString&)
    {33, 316, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//502 Solid::StorageAccess::setupRequested(const QString&)
    {33, 339, 34, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//503 Solid::StorageAccess::teardownRequested(const QString&)
    {33, 150, 92, 2, Smoke::mf_ctor|Smoke::mf_protected, 123, 18},	//504 Solid::StorageAccess::StorageAccess(Solid::StorageAccessPrivate&, QObject*)
    {33, 343, 10, 1, Smoke::mf_static, 16, 19},	//505 Solid::StorageAccess::tr(const char*)
    {33, 347, 10, 1, Smoke::mf_static, 16, 20},	//506 Solid::StorageAccess::trUtf8(const char*)
    {33, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 21},	//507 Solid::StorageAccess::staticMetaObject() const
    {33, 381, 0, 0, Smoke::mf_dtor, 0, 22 },	//508 Solid::StorageAccess::~StorageAccess()
    {35, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//509 Solid::StorageDrive::metaObject() const
    {35, 303, 10, 1, Smoke::mf_virtual, 148, 2},	//510 Solid::StorageDrive::qt_metacast(const char*)
    {35, 343, 12, 2, Smoke::mf_static, 16, 3},	//511 Solid::StorageDrive::tr(const char*, const char*)
    {35, 347, 12, 2, Smoke::mf_static, 16, 4},	//512 Solid::StorageDrive::trUtf8(const char*, const char*)
    {35, 343, 15, 3, Smoke::mf_static, 16, 5},	//513 Solid::StorageDrive::tr(const char*, const char*, int)
    {35, 347, 15, 3, Smoke::mf_static, 16, 6},	//514 Solid::StorageDrive::trUtf8(const char*, const char*, int)
    {35, 301, 19, 3, Smoke::mf_virtual, 145, 7},	//515 Solid::StorageDrive::qt_metacall(QMetaObject::Call, int, void**)
    {35, 210, 0, 0, Smoke::mf_static, 103, 8},	//516 Solid::StorageDrive::deviceInterfaceType()
    {35, 188, 0, 0, Smoke::mf_const|Smoke::mf_property, 126, 9},	//517 Solid::StorageDrive::bus() const
    {35, 219, 0, 0, Smoke::mf_const|Smoke::mf_property, 127, 10},	//518 Solid::StorageDrive::driveType() const
    {35, 255, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 11},	//519 Solid::StorageDrive::isRemovable() const
    {35, 251, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 12},	//520 Solid::StorageDrive::isHotpluggable() const
    {35, 320, 0, 0, Smoke::mf_const, 147, 13},	//521 Solid::StorageDrive::size() const
    {35, 152, 95, 2, Smoke::mf_ctor|Smoke::mf_protected, 125, 14},	//522 Solid::StorageDrive::StorageDrive(Solid::StorageDrivePrivate&, QObject*)
    {35, 343, 10, 1, Smoke::mf_static, 16, 15},	//523 Solid::StorageDrive::tr(const char*)
    {35, 347, 10, 1, Smoke::mf_static, 16, 16},	//524 Solid::StorageDrive::trUtf8(const char*)
    {35, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 17},	//525 Solid::StorageDrive::staticMetaObject() const
    {35, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 18},	//526 Solid::StorageDrive::Ide (enum)
    {35, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 19},	//527 Solid::StorageDrive::Usb (enum)
    {35, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 20},	//528 Solid::StorageDrive::Ieee1394 (enum)
    {35, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 21},	//529 Solid::StorageDrive::Scsi (enum)
    {35, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 22},	//530 Solid::StorageDrive::Sata (enum)
    {35, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 23},	//531 Solid::StorageDrive::Platform (enum)
    {35, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 24},	//532 Solid::StorageDrive::HardDisk (enum)
    {35, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 25},	//533 Solid::StorageDrive::CdromDrive (enum)
    {35, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 26},	//534 Solid::StorageDrive::Floppy (enum)
    {35, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 27},	//535 Solid::StorageDrive::Tape (enum)
    {35, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 28},	//536 Solid::StorageDrive::CompactFlash (enum)
    {35, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 29},	//537 Solid::StorageDrive::MemoryStick (enum)
    {35, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 30},	//538 Solid::StorageDrive::SmartMedia (enum)
    {35, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 31},	//539 Solid::StorageDrive::SdMmc (enum)
    {35, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 32},	//540 Solid::StorageDrive::Xd (enum)
    {35, 382, 0, 0, Smoke::mf_dtor, 0, 33 },	//541 Solid::StorageDrive::~StorageDrive()
    {37, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 135, 1},	//542 Solid::StorageVolume::metaObject() const
    {37, 303, 10, 1, Smoke::mf_virtual, 148, 2},	//543 Solid::StorageVolume::qt_metacast(const char*)
    {37, 343, 12, 2, Smoke::mf_static, 16, 3},	//544 Solid::StorageVolume::tr(const char*, const char*)
    {37, 347, 12, 2, Smoke::mf_static, 16, 4},	//545 Solid::StorageVolume::trUtf8(const char*, const char*)
    {37, 343, 15, 3, Smoke::mf_static, 16, 5},	//546 Solid::StorageVolume::tr(const char*, const char*, int)
    {37, 347, 15, 3, Smoke::mf_static, 16, 6},	//547 Solid::StorageVolume::trUtf8(const char*, const char*, int)
    {37, 301, 19, 3, Smoke::mf_virtual, 145, 7},	//548 Solid::StorageVolume::qt_metacall(QMetaObject::Call, int, void**)
    {37, 210, 0, 0, Smoke::mf_static, 103, 8},	//549 Solid::StorageVolume::deviceInterfaceType()
    {37, 252, 0, 0, Smoke::mf_const|Smoke::mf_property, 132, 9},	//550 Solid::StorageVolume::isIgnored() const
    {37, 357, 0, 0, Smoke::mf_const|Smoke::mf_property, 130, 10},	//551 Solid::StorageVolume::usage() const
    {37, 238, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 11},	//552 Solid::StorageVolume::fsType() const
    {37, 259, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 12},	//553 Solid::StorageVolume::label() const
    {37, 359, 0, 0, Smoke::mf_const|Smoke::mf_property, 16, 13},	//554 Solid::StorageVolume::uuid() const
    {37, 320, 0, 0, Smoke::mf_const, 147, 14},	//555 Solid::StorageVolume::size() const
    {37, 231, 0, 0, Smoke::mf_const, 99, 15},	//556 Solid::StorageVolume::encryptedContainer() const
    {37, 154, 98, 2, Smoke::mf_ctor|Smoke::mf_protected, 129, 16},	//557 Solid::StorageVolume::StorageVolume(Solid::StorageVolumePrivate&, QObject*)
    {37, 343, 10, 1, Smoke::mf_static, 16, 17},	//558 Solid::StorageVolume::tr(const char*)
    {37, 347, 10, 1, Smoke::mf_static, 16, 18},	//559 Solid::StorageVolume::trUtf8(const char*)
    {37, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 19},	//560 Solid::StorageVolume::staticMetaObject() const
    {37, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 20},	//561 Solid::StorageVolume::Other (enum)
    {37, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 21},	//562 Solid::StorageVolume::Unused (enum)
    {37, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 22},	//563 Solid::StorageVolume::FileSystem (enum)
    {37, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 23},	//564 Solid::StorageVolume::PartitionTable (enum)
    {37, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 24},	//565 Solid::StorageVolume::Raid (enum)
    {37, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 25},	//566 Solid::StorageVolume::Encrypted (enum)
    {37, 383, 0, 0, Smoke::mf_dtor, 0, 26 },	//567 Solid::StorageVolume::~StorageVolume()
    {39, 273, 0, 0, Smoke::mf_const, 135, 1},	//568 Solid::Video::metaObject() const
    {39, 303, 10, 1, 0, 148, 2},	//569 Solid::Video::qt_metacast(const char*)
    {39, 343, 12, 2, Smoke::mf_static, 16, 3},	//570 Solid::Video::tr(const char*, const char*)
    {39, 347, 12, 2, Smoke::mf_static, 16, 4},	//571 Solid::Video::trUtf8(const char*, const char*)
    {39, 343, 15, 3, Smoke::mf_static, 16, 5},	//572 Solid::Video::tr(const char*, const char*, int)
    {39, 347, 15, 3, Smoke::mf_static, 16, 6},	//573 Solid::Video::trUtf8(const char*, const char*, int)
    {39, 301, 19, 3, 0, 145, 7},	//574 Solid::Video::qt_metacall(QMetaObject::Call, int, void**)
    {39, 210, 0, 0, Smoke::mf_static, 103, 8},	//575 Solid::Video::deviceInterfaceType()
    {39, 334, 0, 0, Smoke::mf_const, 17, 9},	//576 Solid::Video::supportedProtocols() const
    {39, 331, 32, 1, Smoke::mf_const, 17, 10},	//577 Solid::Video::supportedDrivers(QString) const
    {39, 221, 34, 1, Smoke::mf_const, 20, 11},	//578 Solid::Video::driverHandle(const QString&) const
    {39, 343, 10, 1, Smoke::mf_static, 16, 12},	//579 Solid::Video::tr(const char*)
    {39, 347, 10, 1, Smoke::mf_static, 16, 13},	//580 Solid::Video::trUtf8(const char*)
    {39, 331, 0, 0, Smoke::mf_const, 17, 14},	//581 Solid::Video::supportedDrivers() const
    {39, 323, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 134, 15},	//582 Solid::Video::staticMetaObject() const
    {39, 384, 0, 0, Smoke::mf_dtor, 0, 16 },	//583 Solid::Video::~Video()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    165,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&)
    166,  // Solid::Device::asDeviceInterface(const Solid::DeviceInterface::Type&) const
    0,
    435,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&)
    436,  // Solid::Predicate::Predicate(const QString&)
    0,
    454,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&)
    455,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&)
    0,
    433,  // Solid::Predicate::Predicate(const Solid::DeviceInterface::Type&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    434,  // Solid::Predicate::Predicate(const QString&, const QString&, const QVariant&, Solid::Predicate::ComparisonOperator)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 131, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {4, 132, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {4, 133, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {4, 134, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {4, 135, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {4, 136, 8},	// QGlobalSpace::QtCriticalMsg
    {4, 137, 6},	// QGlobalSpace::QtDebugMsg
    {4, 138, 9},	// QGlobalSpace::QtFatalMsg
    {4, 139, 10},	// QGlobalSpace::QtSystemMsg
    {4, 140, 7},	// QGlobalSpace::QtWarningMsg
    {10, 106, 18},	// Solid::NoError
    {10, 160, 19},	// Solid::UnauthorizedOperation
    {11, 210, 27},	// Solid::AcAdapter::deviceInterfaceType
    {11, 253, 28},	// Solid::AcAdapter::isPlugged
    {11, 273, 20},	// Solid::AcAdapter::metaObject
    {11, 290, 29},	// Solid::AcAdapter::plugStateChanged$$
    {11, 302, 26},	// Solid::AcAdapter::qt_metacall$$?
    {11, 304, 21},	// Solid::AcAdapter::qt_metacast$
    {11, 323, 32},	// Solid::AcAdapter::staticMetaObject
    {11, 344, 30},	// Solid::AcAdapter::tr$
    {11, 345, 22},	// Solid::AcAdapter::tr$$
    {11, 346, 24},	// Solid::AcAdapter::tr$$$
    {11, 348, 31},	// Solid::AcAdapter::trUtf8$
    {11, 349, 23},	// Solid::AcAdapter::trUtf8$$
    {11, 350, 25},	// Solid::AcAdapter::trUtf8$$$
    {11, 363, 33},	// Solid::AcAdapter::~AcAdapter
    {12, 2, 50},	// Solid::AudioInterface::Alsa
    {12, 6, 54},	// Solid::AudioInterface::AudioControl
    {12, 7, 55},	// Solid::AudioInterface::AudioInput
    {12, 9, 56},	// Solid::AudioInterface::AudioOutput
    {12, 72, 59},	// Solid::AudioInterface::FirewireSoundcard
    {12, 82, 60},	// Solid::AudioInterface::Headset
    {12, 92, 57},	// Solid::AudioInterface::InternalSoundcard
    {12, 101, 61},	// Solid::AudioInterface::Modem
    {12, 110, 51},	// Solid::AudioInterface::OpenSoundSystem
    {12, 163, 52},	// Solid::AudioInterface::UnknownAudioDriver
    {12, 164, 53},	// Solid::AudioInterface::UnknownAudioInterfaceType
    {12, 171, 58},	// Solid::AudioInterface::UsbSoundcard
    {12, 210, 41},	// Solid::AudioInterface::deviceInterfaceType
    {12, 215, 45},	// Solid::AudioInterface::deviceType
    {12, 220, 42},	// Solid::AudioInterface::driver
    {12, 221, 43},	// Solid::AudioInterface::driverHandle
    {12, 273, 34},	// Solid::AudioInterface::metaObject
    {12, 274, 44},	// Solid::AudioInterface::name
    {12, 302, 40},	// Solid::AudioInterface::qt_metacall$$?
    {12, 304, 35},	// Solid::AudioInterface::qt_metacast$
    {12, 321, 46},	// Solid::AudioInterface::soundcardType
    {12, 323, 49},	// Solid::AudioInterface::staticMetaObject
    {12, 344, 47},	// Solid::AudioInterface::tr$
    {12, 345, 36},	// Solid::AudioInterface::tr$$
    {12, 346, 38},	// Solid::AudioInterface::tr$$$
    {12, 348, 48},	// Solid::AudioInterface::trUtf8$
    {12, 349, 37},	// Solid::AudioInterface::trUtf8$$
    {12, 350, 39},	// Solid::AudioInterface::trUtf8$$$
    {12, 364, 62},	// Solid::AudioInterface::~AudioInterface
    {13, 20, 89},	// Solid::Battery::CameraBattery
    {13, 27, 93},	// Solid::Battery::Charging
    {13, 39, 94},	// Solid::Battery::Discharging
    {13, 93, 87},	// Solid::Battery::KeyboardBattery
    {13, 94, 88},	// Solid::Battery::KeyboardMouseBattery
    {13, 102, 91},	// Solid::Battery::MonitorBattery
    {13, 103, 86},	// Solid::Battery::MouseBattery
    {13, 105, 92},	// Solid::Battery::NoCharge
    {13, 115, 83},	// Solid::Battery::PdaBattery
    {13, 116, 90},	// Solid::Battery::PhoneBattery
    {13, 125, 85},	// Solid::Battery::PrimaryBattery
    {13, 165, 82},	// Solid::Battery::UnknownBattery
    {13, 169, 84},	// Solid::Battery::UpsBattery
    {13, 191, 73},	// Solid::Battery::chargePercent
    {13, 193, 76},	// Solid::Battery::chargePercentChanged$$
    {13, 194, 75},	// Solid::Battery::chargeState
    {13, 196, 77},	// Solid::Battery::chargeStateChanged$$
    {13, 210, 70},	// Solid::Battery::deviceInterfaceType
    {13, 253, 71},	// Solid::Battery::isPlugged
    {13, 254, 74},	// Solid::Battery::isRechargeable
    {13, 273, 63},	// Solid::Battery::metaObject
    {13, 290, 78},	// Solid::Battery::plugStateChanged$$
    {13, 302, 69},	// Solid::Battery::qt_metacall$$?
    {13, 304, 64},	// Solid::Battery::qt_metacast$
    {13, 323, 81},	// Solid::Battery::staticMetaObject
    {13, 344, 79},	// Solid::Battery::tr$
    {13, 345, 65},	// Solid::Battery::tr$$
    {13, 346, 67},	// Solid::Battery::tr$$$
    {13, 348, 80},	// Solid::Battery::trUtf8$
    {13, 349, 66},	// Solid::Battery::trUtf8$$
    {13, 350, 68},	// Solid::Battery::trUtf8$$$
    {13, 351, 72},	// Solid::Battery::type
    {13, 365, 95},	// Solid::Battery::~Battery
    {14, 205, 106},	// Solid::Block::device
    {14, 210, 103},	// Solid::Block::deviceInterfaceType
    {14, 211, 104},	// Solid::Block::deviceMajor
    {14, 212, 105},	// Solid::Block::deviceMinor
    {14, 273, 96},	// Solid::Block::metaObject
    {14, 302, 102},	// Solid::Block::qt_metacall$$?
    {14, 304, 97},	// Solid::Block::qt_metacast$
    {14, 323, 109},	// Solid::Block::staticMetaObject
    {14, 344, 107},	// Solid::Block::tr$
    {14, 345, 98},	// Solid::Block::tr$$
    {14, 346, 100},	// Solid::Block::tr$$$
    {14, 348, 108},	// Solid::Block::trUtf8$
    {14, 349, 99},	// Solid::Block::trUtf8$$
    {14, 350, 101},	// Solid::Block::trUtf8$$$
    {14, 366, 110},	// Solid::Block::~Block
    {15, 96, 126},	// Solid::Button::LidButton
    {15, 119, 127},	// Solid::Button::PowerButton
    {15, 146, 128},	// Solid::Button::SleepButton
    {15, 158, 130},	// Solid::Button::TabletButton
    {15, 166, 129},	// Solid::Button::UnknownButtonType
    {15, 210, 118},	// Solid::Button::deviceInterfaceType
    {15, 239, 120},	// Solid::Button::hasState
    {15, 273, 111},	// Solid::Button::metaObject
    {15, 292, 122},	// Solid::Button::pressed$$
    {15, 302, 117},	// Solid::Button::qt_metacall$$?
    {15, 304, 112},	// Solid::Button::qt_metacast$
    {15, 322, 121},	// Solid::Button::stateValue
    {15, 323, 125},	// Solid::Button::staticMetaObject
    {15, 344, 123},	// Solid::Button::tr$
    {15, 345, 113},	// Solid::Button::tr$$
    {15, 346, 115},	// Solid::Button::tr$$$
    {15, 348, 124},	// Solid::Button::trUtf8$
    {15, 349, 114},	// Solid::Button::trUtf8$$
    {15, 350, 116},	// Solid::Button::trUtf8$$$
    {15, 351, 119},	// Solid::Button::type
    {15, 367, 131},	// Solid::Button::~Button
    {16, 210, 139},	// Solid::Camera::deviceInterfaceType
    {16, 222, 142},	// Solid::Camera::driverHandle$
    {16, 273, 132},	// Solid::Camera::metaObject
    {16, 302, 138},	// Solid::Camera::qt_metacall$$?
    {16, 304, 133},	// Solid::Camera::qt_metacast$
    {16, 323, 146},	// Solid::Camera::staticMetaObject
    {16, 331, 145},	// Solid::Camera::supportedDrivers
    {16, 332, 141},	// Solid::Camera::supportedDrivers$
    {16, 334, 140},	// Solid::Camera::supportedProtocols
    {16, 344, 143},	// Solid::Camera::tr$
    {16, 345, 134},	// Solid::Camera::tr$$
    {16, 346, 136},	// Solid::Camera::tr$$$
    {16, 348, 144},	// Solid::Camera::trUtf8$
    {16, 349, 135},	// Solid::Camera::trUtf8$$
    {16, 350, 137},	// Solid::Camera::trUtf8$$$
    {16, 368, 147},	// Solid::Camera::~Camera
    {17, 33, 170},	// Solid::Device::Device
    {17, 34, 153},	// Solid::Device::Device#
    {17, 35, 152},	// Solid::Device::Device$
    {17, 178, 148},	// Solid::Device::allDevices
    {17, 184, -1},	// Solid::Device::asDeviceInterface$
    {17, 204, 163},	// Solid::Device::description
    {17, 230, 162},	// Solid::Device::emblems
    {17, 241, 161},	// Solid::Device::icon
    {17, 250, 164},	// Solid::Device::isDeviceInterface$
    {17, 257, 155},	// Solid::Device::isValid
    {17, 261, 168},	// Solid::Device::listFromQuery#
    {17, 262, 150},	// Solid::Device::listFromQuery#$
    {17, 263, 169},	// Solid::Device::listFromQuery$
    {17, 264, 151},	// Solid::Device::listFromQuery$$
    {17, 266, 167},	// Solid::Device::listFromType$
    {17, 267, 149},	// Solid::Device::listFromType$$
    {17, 282, 154},	// Solid::Device::operator=#
    {17, 287, 158},	// Solid::Device::parent
    {17, 288, 157},	// Solid::Device::parentUdi
    {17, 293, 160},	// Solid::Device::product
    {17, 356, 156},	// Solid::Device::udi
    {17, 360, 159},	// Solid::Device::vendor
    {17, 369, 171},	// Solid::Device::~Device
    {18, 1, 199},	// Solid::DeviceInterface::AcAdapter
    {18, 8, 202},	// Solid::DeviceInterface::AudioInterface
    {18, 10, 200},	// Solid::DeviceInterface::Battery
    {18, 14, 190},	// Solid::DeviceInterface::Block
    {18, 18, 201},	// Solid::DeviceInterface::Button
    {18, 19, 196},	// Solid::DeviceInterface::Camera
    {18, 37, 183},	// Solid::DeviceInterface::DeviceInterface##
    {18, 47, 203},	// Solid::DeviceInterface::DvbInterface
    {18, 74, 188},	// Solid::DeviceInterface::GenericInterface
    {18, 95, 207},	// Solid::DeviceInterface::Last
    {18, 104, 198},	// Solid::DeviceInterface::NetworkInterface
    {18, 111, 195},	// Solid::DeviceInterface::OpticalDisc
    {18, 112, 193},	// Solid::DeviceInterface::OpticalDrive
    {18, 118, 197},	// Solid::DeviceInterface::PortableMediaPlayer
    {18, 126, 189},	// Solid::DeviceInterface::Processor
    {18, 145, 205},	// Solid::DeviceInterface::SerialInterface
    {18, 147, 206},	// Solid::DeviceInterface::SmartCardReader
    {18, 150, 191},	// Solid::DeviceInterface::StorageAccess
    {18, 152, 192},	// Solid::DeviceInterface::StorageDrive
    {18, 154, 194},	// Solid::DeviceInterface::StorageVolume
    {18, 162, 187},	// Solid::DeviceInterface::Unknown
    {18, 172, 204},	// Solid::DeviceInterface::Video
    {18, 257, 179},	// Solid::DeviceInterface::isValid
    {18, 273, 172},	// Solid::DeviceInterface::metaObject
    {18, 302, 178},	// Solid::DeviceInterface::qt_metacall$$?
    {18, 304, 173},	// Solid::DeviceInterface::qt_metacast$
    {18, 323, 186},	// Solid::DeviceInterface::staticMetaObject
    {18, 330, 181},	// Solid::DeviceInterface::stringToType$
    {18, 344, 184},	// Solid::DeviceInterface::tr$
    {18, 345, 174},	// Solid::DeviceInterface::tr$$
    {18, 346, 176},	// Solid::DeviceInterface::tr$$$
    {18, 348, 185},	// Solid::DeviceInterface::trUtf8$
    {18, 349, 175},	// Solid::DeviceInterface::trUtf8$$
    {18, 350, 177},	// Solid::DeviceInterface::trUtf8$$$
    {18, 353, 182},	// Solid::DeviceInterface::typeDescription$
    {18, 355, 180},	// Solid::DeviceInterface::typeToString$
    {18, 370, 208},	// Solid::DeviceInterface::~DeviceInterface
    {20, 38, 219},	// Solid::DeviceNotifier::DeviceNotifier
    {20, 208, 217},	// Solid::DeviceNotifier::deviceAdded$
    {20, 214, 218},	// Solid::DeviceNotifier::deviceRemoved$
    {20, 243, 216},	// Solid::DeviceNotifier::instance
    {20, 273, 209},	// Solid::DeviceNotifier::metaObject
    {20, 302, 215},	// Solid::DeviceNotifier::qt_metacall$$?
    {20, 304, 210},	// Solid::DeviceNotifier::qt_metacast$
    {20, 323, 222},	// Solid::DeviceNotifier::staticMetaObject
    {20, 344, 220},	// Solid::DeviceNotifier::tr$
    {20, 345, 211},	// Solid::DeviceNotifier::tr$$
    {20, 346, 213},	// Solid::DeviceNotifier::tr$$$
    {20, 348, 221},	// Solid::DeviceNotifier::trUtf8$
    {20, 349, 212},	// Solid::DeviceNotifier::trUtf8$$
    {20, 350, 214},	// Solid::DeviceNotifier::trUtf8$$$
    {20, 371, 223},	// Solid::DeviceNotifier::~DeviceNotifier
    {21, 42, 240},	// Solid::DvbInterface::DvbAudio
    {21, 43, 241},	// Solid::DvbInterface::DvbCa
    {21, 44, 242},	// Solid::DvbInterface::DvbDemux
    {21, 45, 243},	// Solid::DvbInterface::DvbDvr
    {21, 46, 244},	// Solid::DvbInterface::DvbFrontend
    {21, 48, 245},	// Solid::DvbInterface::DvbNet
    {21, 49, 246},	// Solid::DvbInterface::DvbOsd
    {21, 50, 247},	// Solid::DvbInterface::DvbSec
    {21, 51, 239},	// Solid::DvbInterface::DvbUnknown
    {21, 52, 248},	// Solid::DvbInterface::DvbVideo
    {21, 205, 232},	// Solid::DvbInterface::device
    {21, 206, 233},	// Solid::DvbInterface::deviceAdapter
    {21, 209, 235},	// Solid::DvbInterface::deviceIndex
    {21, 210, 231},	// Solid::DvbInterface::deviceInterfaceType
    {21, 215, 234},	// Solid::DvbInterface::deviceType
    {21, 273, 224},	// Solid::DvbInterface::metaObject
    {21, 302, 230},	// Solid::DvbInterface::qt_metacall$$?
    {21, 304, 225},	// Solid::DvbInterface::qt_metacast$
    {21, 323, 238},	// Solid::DvbInterface::staticMetaObject
    {21, 344, 236},	// Solid::DvbInterface::tr$
    {21, 345, 226},	// Solid::DvbInterface::tr$$
    {21, 346, 228},	// Solid::DvbInterface::tr$$$
    {21, 348, 237},	// Solid::DvbInterface::trUtf8$
    {21, 349, 227},	// Solid::DvbInterface::trUtf8$$
    {21, 350, 229},	// Solid::DvbInterface::trUtf8$$$
    {21, 372, 249},	// Solid::DvbInterface::~DvbInterface
    {22, 127, 267},	// Solid::GenericInterface::PropertyAdded
    {22, 129, 266},	// Solid::GenericInterface::PropertyModified
    {22, 130, 268},	// Solid::GenericInterface::PropertyRemoved
    {22, 179, 259},	// Solid::GenericInterface::allProperties
    {22, 200, 262},	// Solid::GenericInterface::conditionRaised$$
    {22, 210, 257},	// Solid::GenericInterface::deviceInterfaceType
    {22, 273, 250},	// Solid::GenericInterface::metaObject
    {22, 295, 258},	// Solid::GenericInterface::property$
    {22, 297, 261},	// Solid::GenericInterface::propertyChanged?
    {22, 299, 260},	// Solid::GenericInterface::propertyExists$
    {22, 302, 256},	// Solid::GenericInterface::qt_metacall$$?
    {22, 304, 251},	// Solid::GenericInterface::qt_metacast$
    {22, 323, 265},	// Solid::GenericInterface::staticMetaObject
    {22, 344, 263},	// Solid::GenericInterface::tr$
    {22, 345, 252},	// Solid::GenericInterface::tr$$
    {22, 346, 254},	// Solid::GenericInterface::tr$$$
    {22, 348, 264},	// Solid::GenericInterface::trUtf8$
    {22, 349, 253},	// Solid::GenericInterface::trUtf8$$
    {22, 350, 255},	// Solid::GenericInterface::trUtf8$$$
    {22, 373, 269},	// Solid::GenericInterface::~GenericInterface
    {23, 210, 277},	// Solid::NetworkInterface::deviceInterfaceType
    {23, 240, 280},	// Solid::NetworkInterface::hwAddress
    {23, 242, 278},	// Solid::NetworkInterface::ifaceName
    {23, 258, 279},	// Solid::NetworkInterface::isWireless
    {23, 268, 281},	// Solid::NetworkInterface::macAddress
    {23, 273, 270},	// Solid::NetworkInterface::metaObject
    {23, 302, 276},	// Solid::NetworkInterface::qt_metacall$$?
    {23, 304, 271},	// Solid::NetworkInterface::qt_metacast$
    {23, 323, 284},	// Solid::NetworkInterface::staticMetaObject
    {23, 344, 282},	// Solid::NetworkInterface::tr$
    {23, 345, 272},	// Solid::NetworkInterface::tr$$
    {23, 346, 274},	// Solid::NetworkInterface::tr$$$
    {23, 348, 283},	// Solid::NetworkInterface::trUtf8$
    {23, 349, 273},	// Solid::NetworkInterface::trUtf8$$
    {23, 350, 275},	// Solid::NetworkInterface::trUtf8$$$
    {23, 374, 285},	// Solid::NetworkInterface::~NetworkInterface
    {24, 30, 299},	// Solid::Networking::Connected
    {24, 31, 298},	// Solid::Networking::Connecting
    {24, 40, 297},	// Solid::Networking::Disconnecting
    {24, 97, 294},	// Solid::Networking::Managed
    {24, 98, 292},	// Solid::Networking::Manual
    {24, 109, 293},	// Solid::Networking::OnNextStatusChange
    {24, 161, 296},	// Solid::Networking::Unconnected
    {24, 162, 295},	// Solid::Networking::Unknown
    {24, 202, 286},	// Solid::Networking::connectPolicy
    {24, 218, 289},	// Solid::Networking::disconnectPolicy
    {24, 275, 291},	// Solid::Networking::notifier
    {24, 310, 287},	// Solid::Networking::setConnectPolicy$
    {24, 312, 288},	// Solid::Networking::setDisconnectPolicy$
    {24, 324, 290},	// Solid::Networking::status
    {25, 108, 310},	// Solid::Networking::Notifier::Notifier
    {25, 273, 300},	// Solid::Networking::Notifier::metaObject
    {25, 302, 306},	// Solid::Networking::Notifier::qt_metacall$$?
    {25, 304, 301},	// Solid::Networking::Notifier::qt_metacast$
    {25, 318, 308},	// Solid::Networking::Notifier::shouldConnect
    {25, 319, 309},	// Solid::Networking::Notifier::shouldDisconnect
    {25, 323, 313},	// Solid::Networking::Notifier::staticMetaObject
    {25, 326, 307},	// Solid::Networking::Notifier::statusChanged$
    {25, 344, 311},	// Solid::Networking::Notifier::tr$
    {25, 345, 302},	// Solid::Networking::Notifier::tr$$
    {25, 346, 304},	// Solid::Networking::Notifier::tr$$$
    {25, 348, 312},	// Solid::Networking::Notifier::trUtf8$
    {25, 349, 303},	// Solid::Networking::Notifier::trUtf8$$
    {25, 350, 305},	// Solid::Networking::Notifier::trUtf8$$$
    {25, 375, 314},	// Solid::Networking::Notifier::~Notifier
    {26, 5, 332},	// Solid::OpticalDisc::Audio
    {26, 15, 350},	// Solid::OpticalDisc::BluRayRecordable
    {26, 16, 351},	// Solid::OpticalDisc::BluRayRewritable
    {26, 17, 349},	// Solid::OpticalDisc::BluRayRom
    {26, 21, 339},	// Solid::OpticalDisc::CdRecordable
    {26, 22, 340},	// Solid::OpticalDisc::CdRewritable
    {26, 23, 338},	// Solid::OpticalDisc::CdRom
    {26, 32, 333},	// Solid::OpticalDisc::Data
    {26, 54, 345},	// Solid::OpticalDisc::DvdPlusRecordable
    {26, 55, 347},	// Solid::OpticalDisc::DvdPlusRecordableDuallayer
    {26, 56, 346},	// Solid::OpticalDisc::DvdPlusRewritable
    {26, 57, 348},	// Solid::OpticalDisc::DvdPlusRewritableDuallayer
    {26, 58, 342},	// Solid::OpticalDisc::DvdRam
    {26, 59, 343},	// Solid::OpticalDisc::DvdRecordable
    {26, 60, 344},	// Solid::OpticalDisc::DvdRewritable
    {26, 61, 341},	// Solid::OpticalDisc::DvdRom
    {26, 77, 353},	// Solid::OpticalDisc::HdDvdRecordable
    {26, 78, 354},	// Solid::OpticalDisc::HdDvdRewritable
    {26, 79, 352},	// Solid::OpticalDisc::HdDvdRom
    {26, 156, 335},	// Solid::OpticalDisc::SuperVideoCd
    {26, 167, 337},	// Solid::OpticalDisc::UnknownDiscType
    {26, 173, 334},	// Solid::OpticalDisc::VideoCd
    {26, 174, 336},	// Solid::OpticalDisc::VideoDvd
    {26, 185, 323},	// Solid::OpticalDisc::availableContent
    {26, 190, 328},	// Solid::OpticalDisc::capacity
    {26, 210, 322},	// Solid::OpticalDisc::deviceInterfaceType
    {26, 216, 324},	// Solid::OpticalDisc::discType
    {26, 247, 325},	// Solid::OpticalDisc::isAppendable
    {26, 248, 326},	// Solid::OpticalDisc::isBlank
    {26, 256, 327},	// Solid::OpticalDisc::isRewritable
    {26, 273, 315},	// Solid::OpticalDisc::metaObject
    {26, 302, 321},	// Solid::OpticalDisc::qt_metacall$$?
    {26, 304, 316},	// Solid::OpticalDisc::qt_metacast$
    {26, 323, 331},	// Solid::OpticalDisc::staticMetaObject
    {26, 344, 329},	// Solid::OpticalDisc::tr$
    {26, 345, 317},	// Solid::OpticalDisc::tr$$
    {26, 346, 319},	// Solid::OpticalDisc::tr$$$
    {26, 348, 330},	// Solid::OpticalDisc::trUtf8$
    {26, 349, 318},	// Solid::OpticalDisc::trUtf8$$
    {26, 350, 320},	// Solid::OpticalDisc::trUtf8$$$
    {26, 376, 355},	// Solid::OpticalDisc::~OpticalDisc
    {27, 11, 385},	// Solid::OpticalDrive::Bd
    {27, 12, 386},	// Solid::OpticalDrive::Bdr
    {27, 13, 387},	// Solid::OpticalDrive::Bdre
    {27, 24, 375},	// Solid::OpticalDrive::Cdr
    {27, 26, 376},	// Solid::OpticalDrive::Cdrw
    {27, 53, 377},	// Solid::OpticalDrive::Dvd
    {27, 62, 383},	// Solid::OpticalDrive::Dvdplusdl
    {27, 63, 384},	// Solid::OpticalDrive::Dvdplusdlrw
    {27, 64, 381},	// Solid::OpticalDrive::Dvdplusr
    {27, 65, 382},	// Solid::OpticalDrive::Dvdplusrw
    {27, 66, 378},	// Solid::OpticalDrive::Dvdr
    {27, 67, 380},	// Solid::OpticalDrive::Dvdram
    {27, 68, 379},	// Solid::OpticalDrive::Dvdrw
    {27, 76, 388},	// Solid::OpticalDrive::HdDvd
    {27, 80, 389},	// Solid::OpticalDrive::HdDvdr
    {27, 81, 390},	// Solid::OpticalDrive::HdDvdrw
    {27, 210, 363},	// Solid::OpticalDrive::deviceInterfaceType
    {27, 223, 368},	// Solid::OpticalDrive::eject
    {27, 225, 370},	// Solid::OpticalDrive::ejectDone$#$
    {27, 227, 369},	// Solid::OpticalDrive::ejectPressed$
    {27, 229, 371},	// Solid::OpticalDrive::ejectRequested$
    {27, 273, 356},	// Solid::OpticalDrive::metaObject
    {27, 302, 362},	// Solid::OpticalDrive::qt_metacall$$?
    {27, 304, 357},	// Solid::OpticalDrive::qt_metacast$
    {27, 305, 365},	// Solid::OpticalDrive::readSpeed
    {27, 323, 374},	// Solid::OpticalDrive::staticMetaObject
    {27, 333, 364},	// Solid::OpticalDrive::supportedMedia
    {27, 344, 372},	// Solid::OpticalDrive::tr$
    {27, 345, 358},	// Solid::OpticalDrive::tr$$
    {27, 346, 360},	// Solid::OpticalDrive::tr$$$
    {27, 348, 373},	// Solid::OpticalDrive::trUtf8$
    {27, 349, 359},	// Solid::OpticalDrive::trUtf8$$
    {27, 350, 361},	// Solid::OpticalDrive::trUtf8$$$
    {27, 361, 366},	// Solid::OpticalDrive::writeSpeed
    {27, 362, 367},	// Solid::OpticalDrive::writeSpeeds
    {27, 377, 391},	// Solid::OpticalDrive::~OpticalDrive
    {28, 210, 399},	// Solid::PortableMediaPlayer::deviceInterfaceType
    {28, 222, 402},	// Solid::PortableMediaPlayer::driverHandle$
    {28, 273, 392},	// Solid::PortableMediaPlayer::metaObject
    {28, 302, 398},	// Solid::PortableMediaPlayer::qt_metacall$$?
    {28, 304, 393},	// Solid::PortableMediaPlayer::qt_metacast$
    {28, 323, 406},	// Solid::PortableMediaPlayer::staticMetaObject
    {28, 331, 405},	// Solid::PortableMediaPlayer::supportedDrivers
    {28, 332, 401},	// Solid::PortableMediaPlayer::supportedDrivers$
    {28, 334, 400},	// Solid::PortableMediaPlayer::supportedProtocols
    {28, 344, 403},	// Solid::PortableMediaPlayer::tr$
    {28, 345, 394},	// Solid::PortableMediaPlayer::tr$$
    {28, 346, 396},	// Solid::PortableMediaPlayer::tr$$$
    {28, 348, 404},	// Solid::PortableMediaPlayer::trUtf8$
    {28, 349, 395},	// Solid::PortableMediaPlayer::trUtf8$$
    {28, 350, 397},	// Solid::PortableMediaPlayer::trUtf8$$$
    {28, 378, 407},	// Solid::PortableMediaPlayer::~PortableMediaPlayer
    {29, 83, 417},	// Solid::PowerManagement::HibernateState
    {29, 149, 415},	// Solid::PowerManagement::StandbyState
    {29, 157, 416},	// Solid::PowerManagement::SuspendState
    {29, 180, 408},	// Solid::PowerManagement::appShouldConserveResources
    {29, 186, 412},	// Solid::PowerManagement::beginSuppressingSleep
    {29, 187, 411},	// Solid::PowerManagement::beginSuppressingSleep$
    {29, 275, 414},	// Solid::PowerManagement::notifier
    {29, 307, 413},	// Solid::PowerManagement::requestSleep$#$
    {29, 328, 410},	// Solid::PowerManagement::stopSuppressingSleep$
    {29, 335, 409},	// Solid::PowerManagement::supportedSleepStates
    {30, 108, 426},	// Solid::PowerManagement::Notifier::Notifier
    {30, 182, 425},	// Solid::PowerManagement::Notifier::appShouldConserveResourcesChanged$
    {30, 273, 418},	// Solid::PowerManagement::Notifier::metaObject
    {30, 302, 424},	// Solid::PowerManagement::Notifier::qt_metacall$$?
    {30, 304, 419},	// Solid::PowerManagement::Notifier::qt_metacast$
    {30, 323, 429},	// Solid::PowerManagement::Notifier::staticMetaObject
    {30, 344, 427},	// Solid::PowerManagement::Notifier::tr$
    {30, 345, 420},	// Solid::PowerManagement::Notifier::tr$$
    {30, 346, 422},	// Solid::PowerManagement::Notifier::tr$$$
    {30, 348, 428},	// Solid::PowerManagement::Notifier::trUtf8$
    {30, 349, 421},	// Solid::PowerManagement::Notifier::trUtf8$$
    {30, 350, 423},	// Solid::PowerManagement::Notifier::trUtf8$$$
    {30, 375, 430},	// Solid::PowerManagement::Notifier::~Notifier
    {31, 29, 459},	// Solid::Predicate::Conjunction
    {31, 41, 460},	// Solid::Predicate::Disjunction
    {31, 70, 456},	// Solid::Predicate::Equals
    {31, 91, 461},	// Solid::Predicate::InterfaceCheck
    {31, 99, 457},	// Solid::Predicate::Mask
    {31, 120, 431},	// Solid::Predicate::Predicate
    {31, 121, 432},	// Solid::Predicate::Predicate#
    {31, 122, -4},	// Solid::Predicate::Predicate$
    {31, 123, -7},	// Solid::Predicate::Predicate$$#
    {31, 124, -10},	// Solid::Predicate::Predicate$$#$
    {31, 128, 458},	// Solid::Predicate::PropertyCheck
    {31, 198, 451},	// Solid::Predicate::comparisonOperator
    {31, 235, 452},	// Solid::Predicate::firstOperand
    {31, 237, 446},	// Solid::Predicate::fromString$
    {31, 245, 448},	// Solid::Predicate::interfaceType
    {31, 257, 442},	// Solid::Predicate::isValid
    {31, 270, 443},	// Solid::Predicate::matches#
    {31, 271, 450},	// Solid::Predicate::matchingValue
    {31, 278, 438},	// Solid::Predicate::operator&#
    {31, 280, 439},	// Solid::Predicate::operator&=#
    {31, 282, 437},	// Solid::Predicate::operator=#
    {31, 284, 440},	// Solid::Predicate::operator|#
    {31, 286, 441},	// Solid::Predicate::operator|=#
    {31, 300, 449},	// Solid::Predicate::propertyName
    {31, 308, 453},	// Solid::Predicate::secondOperand
    {31, 342, 445},	// Solid::Predicate::toString
    {31, 351, 447},	// Solid::Predicate::type
    {31, 358, 444},	// Solid::Predicate::usedTypes
    {31, 379, 462},	// Solid::Predicate::~Predicate
    {32, 3, 485},	// Solid::Processor::AltiVec
    {32, 4, 484},	// Solid::Processor::Amd3DNow
    {32, 86, 479},	// Solid::Processor::IntelMmx
    {32, 87, 480},	// Solid::Processor::IntelSse
    {32, 88, 481},	// Solid::Processor::IntelSse2
    {32, 89, 482},	// Solid::Processor::IntelSse3
    {32, 90, 483},	// Solid::Processor::IntelSse4
    {32, 107, 478},	// Solid::Processor::NoExtensions
    {32, 189, 473},	// Solid::Processor::canChangeFrequency
    {32, 210, 470},	// Solid::Processor::deviceInterfaceType
    {32, 244, 474},	// Solid::Processor::instructionSets
    {32, 272, 472},	// Solid::Processor::maxSpeed
    {32, 273, 463},	// Solid::Processor::metaObject
    {32, 276, 471},	// Solid::Processor::number
    {32, 302, 469},	// Solid::Processor::qt_metacall$$?
    {32, 304, 464},	// Solid::Processor::qt_metacast$
    {32, 323, 477},	// Solid::Processor::staticMetaObject
    {32, 344, 475},	// Solid::Processor::tr$
    {32, 345, 465},	// Solid::Processor::tr$$
    {32, 346, 467},	// Solid::Processor::tr$$$
    {32, 348, 476},	// Solid::Processor::trUtf8$
    {32, 349, 466},	// Solid::Processor::trUtf8$$
    {32, 350, 468},	// Solid::Processor::trUtf8$$$
    {32, 380, 486},	// Solid::Processor::~Processor
    {33, 151, 504},	// Solid::StorageAccess::StorageAccess##
    {33, 177, 499},	// Solid::StorageAccess::accessibilityChanged$$
    {33, 210, 494},	// Solid::StorageAccess::deviceInterfaceType
    {33, 234, 496},	// Solid::StorageAccess::filePath
    {33, 246, 495},	// Solid::StorageAccess::isAccessible
    {33, 273, 487},	// Solid::StorageAccess::metaObject
    {33, 302, 493},	// Solid::StorageAccess::qt_metacall$$?
    {33, 304, 488},	// Solid::StorageAccess::qt_metacast$
    {33, 313, 497},	// Solid::StorageAccess::setup
    {33, 315, 500},	// Solid::StorageAccess::setupDone$#$
    {33, 317, 502},	// Solid::StorageAccess::setupRequested$
    {33, 323, 507},	// Solid::StorageAccess::staticMetaObject
    {33, 336, 498},	// Solid::StorageAccess::teardown
    {33, 338, 501},	// Solid::StorageAccess::teardownDone$#$
    {33, 340, 503},	// Solid::StorageAccess::teardownRequested$
    {33, 344, 505},	// Solid::StorageAccess::tr$
    {33, 345, 489},	// Solid::StorageAccess::tr$$
    {33, 346, 491},	// Solid::StorageAccess::tr$$$
    {33, 348, 506},	// Solid::StorageAccess::trUtf8$
    {33, 349, 490},	// Solid::StorageAccess::trUtf8$$
    {33, 350, 492},	// Solid::StorageAccess::trUtf8$$$
    {33, 381, 508},	// Solid::StorageAccess::~StorageAccess
    {35, 25, 533},	// Solid::StorageDrive::CdromDrive
    {35, 28, 536},	// Solid::StorageDrive::CompactFlash
    {35, 73, 534},	// Solid::StorageDrive::Floppy
    {35, 75, 532},	// Solid::StorageDrive::HardDisk
    {35, 84, 526},	// Solid::StorageDrive::Ide
    {35, 85, 528},	// Solid::StorageDrive::Ieee1394
    {35, 100, 537},	// Solid::StorageDrive::MemoryStick
    {35, 117, 531},	// Solid::StorageDrive::Platform
    {35, 142, 530},	// Solid::StorageDrive::Sata
    {35, 143, 529},	// Solid::StorageDrive::Scsi
    {35, 144, 539},	// Solid::StorageDrive::SdMmc
    {35, 148, 538},	// Solid::StorageDrive::SmartMedia
    {35, 153, 522},	// Solid::StorageDrive::StorageDrive##
    {35, 159, 535},	// Solid::StorageDrive::Tape
    {35, 170, 527},	// Solid::StorageDrive::Usb
    {35, 175, 540},	// Solid::StorageDrive::Xd
    {35, 188, 517},	// Solid::StorageDrive::bus
    {35, 210, 516},	// Solid::StorageDrive::deviceInterfaceType
    {35, 219, 518},	// Solid::StorageDrive::driveType
    {35, 251, 520},	// Solid::StorageDrive::isHotpluggable
    {35, 255, 519},	// Solid::StorageDrive::isRemovable
    {35, 273, 509},	// Solid::StorageDrive::metaObject
    {35, 302, 515},	// Solid::StorageDrive::qt_metacall$$?
    {35, 304, 510},	// Solid::StorageDrive::qt_metacast$
    {35, 320, 521},	// Solid::StorageDrive::size
    {35, 323, 525},	// Solid::StorageDrive::staticMetaObject
    {35, 344, 523},	// Solid::StorageDrive::tr$
    {35, 345, 511},	// Solid::StorageDrive::tr$$
    {35, 346, 513},	// Solid::StorageDrive::tr$$$
    {35, 348, 524},	// Solid::StorageDrive::trUtf8$
    {35, 349, 512},	// Solid::StorageDrive::trUtf8$$
    {35, 350, 514},	// Solid::StorageDrive::trUtf8$$$
    {35, 382, 541},	// Solid::StorageDrive::~StorageDrive
    {37, 69, 566},	// Solid::StorageVolume::Encrypted
    {37, 71, 563},	// Solid::StorageVolume::FileSystem
    {37, 113, 561},	// Solid::StorageVolume::Other
    {37, 114, 564},	// Solid::StorageVolume::PartitionTable
    {37, 141, 565},	// Solid::StorageVolume::Raid
    {37, 155, 557},	// Solid::StorageVolume::StorageVolume##
    {37, 168, 562},	// Solid::StorageVolume::Unused
    {37, 210, 549},	// Solid::StorageVolume::deviceInterfaceType
    {37, 231, 556},	// Solid::StorageVolume::encryptedContainer
    {37, 238, 552},	// Solid::StorageVolume::fsType
    {37, 252, 550},	// Solid::StorageVolume::isIgnored
    {37, 259, 553},	// Solid::StorageVolume::label
    {37, 273, 542},	// Solid::StorageVolume::metaObject
    {37, 302, 548},	// Solid::StorageVolume::qt_metacall$$?
    {37, 304, 543},	// Solid::StorageVolume::qt_metacast$
    {37, 320, 555},	// Solid::StorageVolume::size
    {37, 323, 560},	// Solid::StorageVolume::staticMetaObject
    {37, 344, 558},	// Solid::StorageVolume::tr$
    {37, 345, 544},	// Solid::StorageVolume::tr$$
    {37, 346, 546},	// Solid::StorageVolume::tr$$$
    {37, 348, 559},	// Solid::StorageVolume::trUtf8$
    {37, 349, 545},	// Solid::StorageVolume::trUtf8$$
    {37, 350, 547},	// Solid::StorageVolume::trUtf8$$$
    {37, 357, 551},	// Solid::StorageVolume::usage
    {37, 359, 554},	// Solid::StorageVolume::uuid
    {37, 383, 567},	// Solid::StorageVolume::~StorageVolume
    {39, 210, 575},	// Solid::Video::deviceInterfaceType
    {39, 222, 578},	// Solid::Video::driverHandle$
    {39, 273, 568},	// Solid::Video::metaObject
    {39, 302, 574},	// Solid::Video::qt_metacall$$?
    {39, 304, 569},	// Solid::Video::qt_metacast$
    {39, 323, 582},	// Solid::Video::staticMetaObject
    {39, 331, 581},	// Solid::Video::supportedDrivers
    {39, 332, 577},	// Solid::Video::supportedDrivers$
    {39, 334, 576},	// Solid::Video::supportedProtocols
    {39, 344, 579},	// Solid::Video::tr$
    {39, 345, 570},	// Solid::Video::tr$$
    {39, 346, 572},	// Solid::Video::tr$$$
    {39, 348, 580},	// Solid::Video::trUtf8$
    {39, 349, 571},	// Solid::Video::trUtf8$$
    {39, 350, 573},	// Solid::Video::trUtf8$$$
    {39, 384, 583},	// Solid::Video::~Video
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *solid_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_solid_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    solid_Smoke = new Smoke(
        "solid",
        __smokesolid::classes, 39,
        __smokesolid::methods, 584,
        __smokesolid::methodMaps, 573,
        __smokesolid::methodNames, 384,
        __smokesolid::types, 149,
        __smokesolid::inheritanceList,
        __smokesolid::argumentList,
        __smokesolid::ambiguousMethodList,
        __smokesolid::cast );
    initialized = true;
}

void delete_solid_Smoke() { delete solid_Smoke; }

}
