#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AgentBase
      switch(to) {
        case 62: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 42: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 4: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 70: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 35: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentInstance
      switch(to) {
        case 6: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 29: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentManager
      switch(to) {
        case 62: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentType
      switch(to) {
        case 11: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 28: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 43: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 76: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentTypeModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::Attribute
      switch(to) {
        case 15: return (void*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AttributeFactory
      switch(to) {
        case 16: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::CachePolicy
      switch(to) {
        case 17: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::ChangeRecorder
      switch(to) {
        case 18: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Collection
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 19: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::CollectionStatistics
      switch(to) {
        case 20: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::Entity
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)xptr;
        case 19: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::EntityPrivate
      switch(to) {
        case 22: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::Exception
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Item
      switch(to) {
        case 24: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::PayloadException
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 26:   //KCharsets
      switch(to) {
        case 26: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 27:   //KComponentData
      switch(to) {
        case 27: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 28:   //KDialog
      switch(to) {
        case 43: return (void*)(QDialog*)(KDialog*)xptr;
        case 76: return (void*)(QWidget*)(KDialog*)xptr;
        case 62: return (void*)(QObject*)(KDialog*)xptr;
        case 28: return (void*)(KDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 29:   //KJob
      switch(to) {
        case 62: return (void*)(QObject*)(KJob*)xptr;
        case 29: return (void*)(KJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 30:   //KLocale
      switch(to) {
        case 30: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 31:   //KStandardDirs
      switch(to) {
        case 31: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 32:   //KUrl
      switch(to) {
        case 32: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 33:   //QAbstractItemModel
      switch(to) {
        case 62: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 34:   //QAbstractItemView
      switch(to) {
        case 34: return (void*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 35:   //QAbstractProxyModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 62: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 35: return (void*)(QAbstractProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 36:   //QActionEvent
      switch(to) {
        case 36: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QBool
      switch(to) {
        case 37: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 38:   //QByteArray
      switch(to) {
        case 38: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 39:   //QChildEvent
      switch(to) {
        case 48: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 39: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QCloseEvent
      switch(to) {
        case 40: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QContextMenuEvent
      switch(to) {
        case 41: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDBusContext
      switch(to) {
        case 42: return (void*)(QDBusContext*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 43:   //QDialog
      switch(to) {
        case 76: return (void*)(QWidget*)(QDialog*)xptr;
        case 62: return (void*)(QObject*)(QDialog*)xptr;
        case 43: return (void*)(QDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 44:   //QDragEnterEvent
      switch(to) {
        case 44: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDragLeaveEvent
      switch(to) {
        case 45: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDragMoveEvent
      switch(to) {
        case 46: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QDropEvent
      switch(to) {
        case 47: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QEvent
      switch(to) {
        case 48: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QFocusEvent
      switch(to) {
        case 49: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QFont
      switch(to) {
        case 50: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 52:   //QHideEvent
      switch(to) {
        case 52: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QIcon
      switch(to) {
        case 53: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 54:   //QInputMethodEvent
      switch(to) {
        case 54: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QItemSelection
      switch(to) {
        case 55: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 56:   //QKeyEvent
      switch(to) {
        case 56: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QMimeData
      switch(to) {
        case 58: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 59:   //QModelIndex
      switch(to) {
        case 59: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 60:   //QMouseEvent
      switch(to) {
        case 60: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QMoveEvent
      switch(to) {
        case 61: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QObject
      switch(to) {
        case 62: return (void*)(QObject*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPalette
      switch(to) {
        case 65: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 66:   //QRegExp
      switch(to) {
        case 66: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 67:   //QResizeEvent
      switch(to) {
        case 67: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QShowEvent
      switch(to) {
        case 68: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QSize
      switch(to) {
        case 69: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 70:   //QSortFilterProxyModel
      switch(to) {
        case 35: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 62: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 70: return (void*)(QSortFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 71:   //QStyle
      switch(to) {
        case 71: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 72:   //QTabletEvent
      switch(to) {
        case 72: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QTimerEvent
      switch(to) {
        case 48: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 73: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QVariant
      switch(to) {
        case 74: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 75:   //QWheelEvent
      switch(to) {
        case 75: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QWidget
      switch(to) {
        case 62: return (void*)(QObject*)(QWidget*)xptr;
        case 76: return (void*)(QWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        default: return xptr;
      }
    case 77:   //boost::exception
      switch(to) {
        case 77: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 78:   //boost::exception_detail::large_size
      switch(to) {
        case 78: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 79:   //boost::exception_detail::small_size
      switch(to) {
        case 79: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 42, 0,	// 1: QObject, QDBusContext
    2, 0,	// 4: Akonadi::AgentBase::Observer
    70, 0,	// 6: QSortFilterProxyModel
    29, 0,	// 8: KJob
    33, 0,	// 10: QAbstractItemModel
    76, 0,	// 12: QWidget
    62, 0,	// 14: QObject
    28, 0,	// 16: KDialog
    21, 0,	// 18: Akonadi::Entity
    23, 0,	// 20: Akonadi::Exception
};

// These are the xenum functions for manipulating enum pointers
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AgentBase", false, 1, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//1
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//2
    { "Akonadi::AgentBase::ObserverV2", false, 4, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//3
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//4
    { "Akonadi::AgentFilterProxyModel", false, 6, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//5
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//6
    { "Akonadi::AgentInstanceCreateJob", false, 8, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//7
    { "Akonadi::AgentInstanceModel", false, 10, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//8
    { "Akonadi::AgentInstanceWidget", false, 12, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//9
    { "Akonadi::AgentManager", false, 14, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//10
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//11
    { "Akonadi::AgentTypeDialog", false, 16, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//12
    { "Akonadi::AgentTypeModel", false, 10, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//13
    { "Akonadi::AgentTypeWidget", false, 12, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//14
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//15
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//16
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//17
    { "Akonadi::ChangeRecorder", true, 0, 0, 0, 0, 0 },	//18
    { "Akonadi::Collection", false, 18, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//19
    { "Akonadi::CollectionStatistics", true, 0, 0, 0, 0, 0 },	//20
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//21
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//22
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//23
    { "Akonadi::Item", true, 0, 0, 0, 0, 0 },	//24
    { "Akonadi::PayloadException", false, 20, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//25
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//26
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//27
    { "KDialog", true, 0, 0, 0, 0, 0 },	//28
    { "KJob", true, 0, 0, 0, 0, 0 },	//29
    { "KLocale", true, 0, 0, 0, 0, 0 },	//30
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//31
    { "KUrl", true, 0, 0, 0, 0, 0 },	//32
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//33
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//34
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//35
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QBool", true, 0, 0, 0, 0, 0 },	//37
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//38
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//42
    { "QDialog", true, 0, 0, 0, 0, 0 },	//43
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QFont", true, 0, 0, 0, 0, 0 },	//50
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//51
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QIcon", true, 0, 0, 0, 0, 0 },	//53
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//55
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//58
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//59
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QObject", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPalette", true, 0, 0, 0, 0, 0 },	//65
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//66
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QSize", true, 0, 0, 0, 0, 0 },	//69
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//70
    { "QStyle", true, 0, 0, 0, 0, 0 },	//71
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QVariant", true, 0, 0, 0, 0, 0 },	//74
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QWidget", true, 0, 0, 0, 0, 0 },	//76
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//77
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//78
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AgentBase*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AgentBase::Observer*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AgentBase::ObserverV2*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AgentBase::Status", 1, Smoke::t_enum|Smoke::tf_stack },	//4
    { "Akonadi::AgentBasePrivate*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentFilterProxyModel*", 5, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentInstance", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "Akonadi::AgentInstance*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentInstance::Status", 6, Smoke::t_enum|Smoke::tf_stack },	//10
    { "Akonadi::AgentInstanceCreateJob*", 7, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Akonadi::AgentInstanceModel*", 8, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Akonadi::AgentInstanceModel::Roles", 8, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Akonadi::AgentInstanceWidget*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Akonadi::AgentManager*", 10, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentType", 11, Smoke::t_class|Smoke::tf_stack },	//16
    { "Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref },	//17
    { "Akonadi::AgentType*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentTypeDialog*", 12, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentTypeModel*", 13, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Akonadi::AgentTypeModel::Roles", 13, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Akonadi::AgentTypeWidget*", 14, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::Attribute*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AttributeFactory*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::CachePolicy", 17, Smoke::t_class|Smoke::tf_stack },	//25
    { "Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref },	//26
    { "Akonadi::CachePolicy*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::ChangeRecorder*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::Collection", 19, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::Collection*", 19, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::Collection::Right", 19, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Akonadi::CollectionStatistics", 20, Smoke::t_class|Smoke::tf_stack },	//33
    { "Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref },	//34
    { "Akonadi::Entity*", 21, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Akonadi::Entity::CreateOption", 21, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Akonadi::Exception*", 23, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Akonadi::PayloadException*", 25, Smoke::t_class|Smoke::tf_ptr },	//39
    { "KCharsets*", 26, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KComponentData", 27, Smoke::t_class|Smoke::tf_stack },	//41
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KLocale*", 30, Smoke::t_class|Smoke::tf_ptr },	//43
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "KStandardDirs*", 31, Smoke::t_class|Smoke::tf_ptr },	//45
    { "KUrl", 32, Smoke::t_class|Smoke::tf_stack },	//46
    { "QAbstractItemModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QAbstractItemView*", 34, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QActionEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QBool", 37, Smoke::t_class|Smoke::tf_stack },	//50
    { "QByteArray", 38, Smoke::t_class|Smoke::tf_stack },	//51
    { "QChildEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QCloseEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QContextMenuEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QDragEnterEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QDragLeaveEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDragMoveEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDropEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QFlags<Akonadi::Collection::Right>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFocusEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QHideEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QIcon", 53, Smoke::t_class|Smoke::tf_stack },	//66
    { "QInputMethodEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QItemSelection", 55, Smoke::t_class|Smoke::tf_stack },	//68
    { "QKeyEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//71
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//75
    { "QMimeData*", 58, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QModelIndex", 59, Smoke::t_class|Smoke::tf_stack },	//77
    { "QMouseEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QMoveEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QObject*", 62, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QRegExp&", 66, Smoke::t_class|Smoke::tf_ref },	//84
    { "QResizeEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QShowEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QSize", 69, Smoke::t_class|Smoke::tf_stack },	//87
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//90
    { "QStyle&", 71, Smoke::t_class|Smoke::tf_ref },	//91
    { "QTabletEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QTimerEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QVariant", 74, Smoke::t_class|Smoke::tf_stack },	//94
    { "QWheelEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QWidget*", 76, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QtMsgType", 51, Smoke::t_enum|Smoke::tf_stack },	//168
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//169
    { "__codecvt_result", 51, Smoke::t_enum|Smoke::tf_stack },	//170
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//171
    { "boost::exception*", 77, Smoke::t_class|Smoke::tf_ptr },	//172
    { "boost::exception_detail::large_size", 78, Smoke::t_class|Smoke::tf_stack },	//173
    { "boost::exception_detail::small_size", 79, Smoke::t_class|Smoke::tf_stack },	//174
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//176
    { "const Akonadi::AgentBase::Observer&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Akonadi::AgentBase::ObserverV2&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Akonadi::Attribute&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Akonadi::AttributeFactory&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Akonadi::CollectionStatistics&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//187
    { "const Akonadi::Exception&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Akonadi::Item&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const Akonadi::PayloadException&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const E&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const KComponentData&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const KUrl&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QByteArray&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QFont&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QItemSelection&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//200
    { "const QMimeData*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//201
    { "const QModelIndex&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QObject*", 62, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//203
    { "const QPalette&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QRegExp&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//209
    { "const QVariant&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const boost::exception&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const boost::exception*", 77, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//212
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//213
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//216
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//217
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//218
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//219
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//220
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//221
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//222
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//223
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//224
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    213, 0,	//1  const char*
    213, 213, 0,	//3  const char*, const char*
    213, 213, 216, 0,	//6  const char*, const char*, int
    75, 216, 223, 0,	//10  QMetaObject::Call, int, void**
    221, 0,	//14  unsigned long
    2, 0,	//16  Akonadi::AgentBase::Observer*
    207, 0,	//18  const QString&
    216, 207, 0,	//20  int, const QString&
    216, 0,	//23  int
    171, 0,	//25  bool
    5, 207, 0,	//27  Akonadi::AgentBasePrivate*, const QString&
    189, 184, 0,	//30  const Akonadi::Item&, const Akonadi::Collection&
    189, 206, 0,	//33  const Akonadi::Item&, const QSet<QByteArray>&
    189, 0,	//36  const Akonadi::Item&
    184, 184, 0,	//38  const Akonadi::Collection&, const Akonadi::Collection&
    184, 0,	//41  const Akonadi::Collection&
    177, 0,	//43  const Akonadi::AgentBase::Observer&
    189, 184, 184, 0,	//45  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    184, 184, 184, 0,	//49  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    184, 206, 0,	//53  const Akonadi::Collection&, const QSet<QByteArray>&
    178, 0,	//56  const Akonadi::AgentBase::ObserverV2&
    80, 0,	//58  QObject*
    216, 202, 0,	//60  int, const QModelIndex&
    179, 0,	//63  const Akonadi::AgentInstance&
    96, 0,	//65  QWidget*
    180, 80, 0,	//67  const Akonadi::AgentType&, QObject*
    207, 80, 0,	//70  const QString&, QObject*
    180, 0,	//73  const Akonadi::AgentType&
    202, 0,	//75  const QModelIndex&
    202, 216, 0,	//77  const QModelIndex&, int
    216, 142, 216, 0,	//80  int, Qt::Orientation, int
    216, 216, 202, 0,	//84  int, int, const QModelIndex&
    202, 210, 216, 0,	//88  const QModelIndex&, const QVariant&, int
    216, 142, 0,	//92  int, Qt::Orientation
    216, 216, 0,	//95  int, int
    179, 179, 0,	//98  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    179, 207, 0,	//101  const Akonadi::AgentInstance&, const QString&
    179, 171, 0,	//104  const Akonadi::AgentInstance&, bool
    180, 180, 0,	//107  const Akonadi::AgentType&, const Akonadi::AgentType&
    194, 0,	//110  const QByteArray&
    181, 0,	//112  const Akonadi::Attribute&
    182, 0,	//114  const Akonadi::AttributeFactory&
    183, 0,	//116  const Akonadi::CachePolicy&
    208, 0,	//118  const QStringList&
    218, 0,	//120  long long
    193, 0,	//122  const KUrl&
    60, 0,	//124  QFlags<Akonadi::Collection::Right>
    185, 0,	//126  const Akonadi::CollectionStatistics&
    186, 0,	//128  const Akonadi::Entity&
    23, 0,	//130  Akonadi::Attribute*
    37, 0,	//132  Akonadi::EntityPrivate*
    188, 0,	//134  const Akonadi::Exception&
    190, 0,	//136  const Akonadi::PayloadException&
    207, 171, 0,	//138  const QString&, bool
    65, 0,	//141  QHideEvent*
    53, 0,	//143  QCloseEvent*
    69, 0,	//145  QKeyEvent*
    216, 142, 210, 216, 0,	//147  int, Qt::Orientation, const QVariant&, int
    202, 198, 0,	//152  const QModelIndex&, const QMap<int,QVariant>&
    197, 0,	//155  const QList<QModelIndex>&
    201, 118, 216, 216, 202, 0,	//157  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    216, 150, 0,	//163  int, Qt::SortOrder
    202, 216, 210, 216, 63, 0,	//166  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    86, 0,	//172  QShowEvent*
    85, 0,	//174  QResizeEvent*
    54, 0,	//176  QContextMenuEvent*
    80, 59, 0,	//178  QObject*, QEvent*
    59, 0,	//181  QEvent*
    93, 0,	//183  QTimerEvent*
    52, 0,	//185  QChildEvent*
    47, 0,	//187  QAbstractItemModel*
    196, 0,	//189  const QItemSelection&
    202, 202, 0,	//191  const QModelIndex&, const QModelIndex&
    78, 0,	//194  QMouseEvent*
    95, 0,	//196  QWheelEvent*
    64, 0,	//198  QFocusEvent*
    83, 0,	//200  QPaintEvent*
    79, 0,	//202  QMoveEvent*
    92, 0,	//204  QTabletEvent*
    49, 0,	//206  QActionEvent*
    55, 0,	//208  QDragEnterEvent*
    57, 0,	//210  QDragMoveEvent*
    56, 0,	//212  QDragLeaveEvent*
    58, 0,	//214  QDropEvent*
    169, 0,	//216  _XEvent*
    81, 0,	//218  QPaintDevice::PaintDeviceMetric
    67, 0,	//220  QInputMethodEvent*
    130, 0,	//222  Qt::InputMethodQuery
    91, 0,	//224  QStyle&
    204, 0,	//226  const QPalette&
    195, 0,	//228  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AddIfMissing",	//2
    "AgentBase",	//3
    "AgentBase#$",	//4
    "AgentBase$",	//5
    "AgentFilterProxyModel",	//6
    "AgentFilterProxyModel#",	//7
    "AgentInstance",	//8
    "AgentInstance#",	//9
    "AgentInstanceCreateJob",	//10
    "AgentInstanceCreateJob#",	//11
    "AgentInstanceCreateJob##",	//12
    "AgentInstanceCreateJob$",	//13
    "AgentInstanceCreateJob$#",	//14
    "AgentInstanceModel",	//15
    "AgentInstanceModel#",	//16
    "AgentInstanceWidget",	//17
    "AgentInstanceWidget#",	//18
    "AgentType",	//19
    "AgentType#",	//20
    "AgentTypeDialog",	//21
    "AgentTypeDialog#",	//22
    "AgentTypeModel",	//23
    "AgentTypeModel#",	//24
    "AgentTypeWidget",	//25
    "AgentTypeWidget#",	//26
    "AllRights",	//27
    "AppNameCaption",	//28
    "Apply",	//29
    "Attribute",	//30
    "Attribute#",	//31
    "AttributeFactory",	//32
    "AttributeFactory#",	//33
    "Broken",	//34
    "Bytes",	//35
    "CachePolicy",	//36
    "CachePolicy#",	//37
    "CanChangeCollection",	//38
    "CanChangeItem",	//39
    "CanCreateCollection",	//40
    "CanCreateItem",	//41
    "CanDeleteCollection",	//42
    "CanDeleteItem",	//43
    "CanLinkItem",	//44
    "CanUnlinkItem",	//45
    "Cancel",	//46
    "CapabilitiesRole",	//47
    "Close",	//48
    "Collection",	//49
    "Collection#",	//50
    "Collection?",	//51
    "Default",	//52
    "DelayedPopup",	//53
    "DescriptionRole",	//54
    "Details",	//55
    "Directories",	//56
    "DrawChildren",	//57
    "DrawWindowBackground",	//58
    "EmitResult",	//59
    "Entity",	//60
    "Entity#",	//61
    "Exception",	//62
    "Exception#",	//63
    "Exception$",	//64
    "Files",	//65
    "HIGCompliantCaption",	//66
    "Help",	//67
    "IdentifierRole",	//68
    "Idle",	//69
    "IgnoreMask",	//70
    "InstanceIdentifierRole",	//71
    "InstanceRole",	//72
    "InstantPopup",	//73
    "Killable",	//74
    "KilledJobError",	//75
    "MimeTypesRole",	//76
    "ModifiedCaption",	//77
    "No",	//78
    "NoCapabilities",	//79
    "NoCaptionFlags",	//80
    "NoDefault",	//81
    "NoError",	//82
    "None",	//83
    "Observer",	//84
    "Observer#",	//85
    "ObserverV2",	//86
    "ObserverV2#",	//87
    "Ok",	//88
    "OnlineRole",	//89
    "PayloadException",	//90
    "PayloadException#",	//91
    "PayloadException$",	//92
    "ProgressRole",	//93
    "QtCriticalMsg",	//94
    "QtDebugMsg",	//95
    "QtFatalMsg",	//96
    "QtSystemMsg",	//97
    "QtWarningMsg",	//98
    "Quietly",	//99
    "ReadOnly",	//100
    "Rejected",	//101
    "Reset",	//102
    "Running",	//103
    "StatusMessageRole",	//104
    "StatusRole",	//105
    "Suspendable",	//106
    "Try",	//107
    "TypeIdentifierRole",	//108
    "TypeRole",	//109
    "User1",	//110
    "User2",	//111
    "User3",	//112
    "UserDefinedError",	//113
    "UserRole",	//114
    "Yes",	//115
    "_CS_GNU_LIBC_VERSION",	//116
    "_CS_GNU_LIBPTHREAD_VERSION",	//117
    "_CS_LFS64_CFLAGS",	//118
    "_CS_LFS64_LDFLAGS",	//119
    "_CS_LFS64_LIBS",	//120
    "_CS_LFS64_LINTFLAGS",	//121
    "_CS_LFS_CFLAGS",	//122
    "_CS_LFS_LDFLAGS",	//123
    "_CS_LFS_LIBS",	//124
    "_CS_LFS_LINTFLAGS",	//125
    "_CS_PATH",	//126
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//127
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//128
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//129
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//130
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//131
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//132
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//133
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//134
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//135
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//136
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//137
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//138
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//139
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//140
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//141
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//142
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//143
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//144
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//145
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//146
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//147
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//148
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//149
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//150
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//151
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//152
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//153
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//154
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//155
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//156
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//157
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//158
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//159
    "_CS_V6_ENV",	//160
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//161
    "_CS_V7_ENV",	//162
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//163
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//164
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//165
    "_CS_XBS5_ILP32_OFF32_LIBS",	//166
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//167
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//168
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//169
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//170
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//171
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//172
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//173
    "_CS_XBS5_LP64_OFF64_LIBS",	//174
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//175
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//176
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//177
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//178
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//179
    "__codecvt_error",	//180
    "__codecvt_noconv",	//181
    "__codecvt_ok",	//182
    "__codecvt_partial",	//183
    "abortCurrentTask",	//184
    "abortRequested",	//185
    "aboutToQuit",	//186
    "accept",	//187
    "actionEvent",	//188
    "activated",	//189
    "addAttribute",	//190
    "addAttribute#",	//191
    "addCapabilityFilter",	//192
    "addCapabilityFilter$",	//193
    "addMimeTypeFilter",	//194
    "addMimeTypeFilter$",	//195
    "agentFilterProxyModel",	//196
    "agentName",	//197
    "agentNameChanged",	//198
    "agentNameChanged$",	//199
    "agentType",	//200
    "attribute",	//201
    "attribute#",	//202
    "attributes",	//203
    "buddy",	//204
    "cachePolicy",	//205
    "cacheTimeout",	//206
    "canFetchMore",	//207
    "capabilities",	//208
    "changeEvent",	//209
    "changeProcessed",	//210
    "changeRecorder",	//211
    "childEvent",	//212
    "cleanup",	//213
    "clearAttributes",	//214
    "clearFilters",	//215
    "clone",	//216
    "closeEvent",	//217
    "collectionAdded",	//218
    "collectionAdded##",	//219
    "collectionChanged",	//220
    "collectionChanged#",	//221
    "collectionChanged#?",	//222
    "collectionMoved",	//223
    "collectionMoved###",	//224
    "collectionRemoved",	//225
    "collectionRemoved#",	//226
    "columnCount",	//227
    "columnCount#",	//228
    "configurationDialogAccepted",	//229
    "configurationDialogRejected",	//230
    "configure",	//231
    "configure#",	//232
    "configure$",	//233
    "connectNotify",	//234
    "contentMimeTypes",	//235
    "contextMenuEvent",	//236
    "createAttribute",	//237
    "createAttribute#",	//238
    "currentAgentInstance",	//239
    "currentAgentType",	//240
    "currentChanged",	//241
    "currentChanged##",	//242
    "customEvent",	//243
    "d_func",	//244
    "data",	//245
    "data#",	//246
    "data#$",	//247
    "description",	//248
    "deserialize",	//249
    "deserialize#",	//250
    "devType",	//251
    "disconnectNotify",	//252
    "doKill",	//253
    "doResume",	//254
    "doSetOnline",	//255
    "doSetOnline$",	//256
    "doSuspend",	//257
    "done",	//258
    "done$",	//259
    "doubleClicked",	//260
    "doubleClicked#",	//261
    "dragEnterEvent",	//262
    "dragLeaveEvent",	//263
    "dragMoveEvent",	//264
    "dropEvent",	//265
    "dropMimeData",	//266
    "enabledChange",	//267
    "enterEvent",	//268
    "error",	//269
    "error$",	//270
    "errorString",	//271
    "event",	//272
    "eventFilter",	//273
    "fetchMore",	//274
    "filterAcceptsColumn",	//275
    "filterAcceptsRow",	//276
    "filterAcceptsRow$#",	//277
    "flags",	//278
    "flags#",	//279
    "focusInEvent",	//280
    "focusNextPrevChild",	//281
    "focusOutEvent",	//282
    "fontChange",	//283
    "fromUrl",	//284
    "fromUrl#",	//285
    "hasAttribute",	//286
    "hasAttribute#",	//287
    "hasChildren",	//288
    "headerData",	//289
    "headerData$$",	//290
    "headerData$$$",	//291
    "heightForWidth",	//292
    "hideEvent",	//293
    "icon",	//294
    "iconName",	//295
    "id",	//296
    "identifier",	//297
    "index",	//298
    "index$$",	//299
    "index$$#",	//300
    "inheritFromParent",	//301
    "inputMethodEvent",	//302
    "inputMethodQuery",	//303
    "insertColumns",	//304
    "insertRows",	//305
    "instance",	//306
    "instance$",	//307
    "instanceAdded",	//308
    "instanceAdded#",	//309
    "instanceError",	//310
    "instanceError#$",	//311
    "instanceNameChanged",	//312
    "instanceNameChanged#",	//313
    "instanceOnline",	//314
    "instanceOnline#$",	//315
    "instanceProgressChanged",	//316
    "instanceProgressChanged#",	//317
    "instanceRemoved",	//318
    "instanceRemoved#",	//319
    "instanceStatusChanged",	//320
    "instanceStatusChanged#",	//321
    "instanceWarning",	//322
    "instanceWarning#$",	//323
    "instances",	//324
    "intervalCheckTime",	//325
    "isOnline",	//326
    "isValid",	//327
    "itemAdded",	//328
    "itemAdded##",	//329
    "itemChanged",	//330
    "itemChanged#?",	//331
    "itemData",	//332
    "itemLinked",	//333
    "itemLinked##",	//334
    "itemMoved",	//335
    "itemMoved###",	//336
    "itemRemoved",	//337
    "itemRemoved#",	//338
    "itemUnlinked",	//339
    "itemUnlinked##",	//340
    "keyPressEvent",	//341
    "keyReleaseEvent",	//342
    "languageChange",	//343
    "leaveEvent",	//344
    "lessThan",	//345
    "localParts",	//346
    "mapFromSource",	//347
    "mapSelectionFromSource",	//348
    "mapSelectionToSource",	//349
    "mapToSource",	//350
    "match",	//351
    "metaObject",	//352
    "metric",	//353
    "mimeData",	//354
    "mimeType",	//355
    "mimeTypes",	//356
    "minimumSizeHint",	//357
    "mouseDoubleClickEvent",	//358
    "mouseMoveEvent",	//359
    "mousePressEvent",	//360
    "mouseReleaseEvent",	//361
    "moveEvent",	//362
    "name",	//363
    "onlineChanged",	//364
    "onlineChanged$",	//365
    "operator!=",	//366
    "operator!=#",	//367
    "operator=",	//368
    "operator=#",	//369
    "operator==",	//370
    "operator==#",	//371
    "paintEngine",	//372
    "paintEvent",	//373
    "paletteChange",	//374
    "parent",	//375
    "parent#",	//376
    "parentCollection",	//377
    "parentRemoteId",	//378
    "percent",	//379
    "percent$",	//380
    "progress",	//381
    "progressMessage",	//382
    "qt_metacall",	//383
    "qt_metacall$$?",	//384
    "qt_metacast",	//385
    "qt_metacast$",	//386
    "reconfigure",	//387
    "registerObserver",	//388
    "registerObserver#",	//389
    "reject",	//390
    "reloadConfiguration",	//391
    "remoteId",	//392
    "remoteRevision",	//393
    "removeAttribute",	//394
    "removeAttribute#",	//395
    "removeColumns",	//396
    "removeInstance",	//397
    "removeInstance#",	//398
    "removeRows",	//399
    "resizeEvent",	//400
    "resource",	//401
    "restart",	//402
    "revert",	//403
    "rights",	//404
    "root",	//405
    "rowCount",	//406
    "rowCount#",	//407
    "selectedAgentInstances",	//408
    "self",	//409
    "serialized",	//410
    "setAgentName",	//411
    "setAgentName$",	//412
    "setCachePolicy",	//413
    "setCachePolicy#",	//414
    "setCacheTimeout",	//415
    "setCacheTimeout$",	//416
    "setCaption",	//417
    "setContentMimeTypes",	//418
    "setContentMimeTypes?",	//419
    "setData",	//420
    "setData##$",	//421
    "setHeaderData",	//422
    "setId",	//423
    "setId?",	//424
    "setInheritFromParent",	//425
    "setInheritFromParent$",	//426
    "setIntervalCheckTime",	//427
    "setIntervalCheckTime$",	//428
    "setIsOnline",	//429
    "setIsOnline$",	//430
    "setItemData",	//431
    "setLocalParts",	//432
    "setLocalParts?",	//433
    "setName",	//434
    "setName$",	//435
    "setNeedsNetwork",	//436
    "setNeedsNetwork$",	//437
    "setOnline",	//438
    "setOnline$",	//439
    "setParent",	//440
    "setParent#",	//441
    "setParent?",	//442
    "setParentCollection",	//443
    "setParentCollection#",	//444
    "setParentRemoteId",	//445
    "setParentRemoteId$",	//446
    "setPlainCaption",	//447
    "setRemoteId",	//448
    "setRemoteId$",	//449
    "setRemoteRevision",	//450
    "setRemoteRevision$",	//451
    "setResource",	//452
    "setResource$",	//453
    "setRights",	//454
    "setRights$",	//455
    "setSourceModel",	//456
    "setStatistics",	//457
    "setStatistics#",	//458
    "setSyncOnDemand",	//459
    "setSyncOnDemand$",	//460
    "setVisible",	//461
    "showEvent",	//462
    "sizeHint",	//463
    "slotButtonClicked",	//464
    "sort",	//465
    "span",	//466
    "start",	//467
    "staticMetaObject",	//468
    "statistics",	//469
    "status",	//470
    "status$",	//471
    "status$$",	//472
    "statusMessage",	//473
    "styleChange",	//474
    "submit",	//475
    "supportedDropActions",	//476
    "syncOnDemand",	//477
    "synchronize",	//478
    "synchronizeCollection",	//479
    "synchronizeCollection#",	//480
    "synchronizeCollectionTree",	//481
    "tabletEvent",	//482
    "timerEvent",	//483
    "tr",	//484
    "tr$",	//485
    "tr$$",	//486
    "tr$$$",	//487
    "trUtf8",	//488
    "trUtf8$",	//489
    "trUtf8$$",	//490
    "trUtf8$$$",	//491
    "type",	//492
    "type$",	//493
    "typeAdded",	//494
    "typeAdded#",	//495
    "typeRemoved",	//496
    "typeRemoved#",	//497
    "types",	//498
    "url",	//499
    "view",	//500
    "warning",	//501
    "warning$",	//502
    "what",	//503
    "wheelEvent",	//504
    "winIdForDialogs",	//505
    "windowActivationChange",	//506
    "x11Event",	//507
    "~AgentBase",	//508
    "~AgentFilterProxyModel",	//509
    "~AgentInstance",	//510
    "~AgentInstanceCreateJob",	//511
    "~AgentInstanceModel",	//512
    "~AgentInstanceWidget",	//513
    "~AgentManager",	//514
    "~AgentType",	//515
    "~AgentTypeDialog",	//516
    "~AgentTypeModel",	//517
    "~AgentTypeWidget",	//518
    "~Attribute",	//519
    "~AttributeFactory",	//520
    "~CachePolicy",	//521
    "~Collection",	//522
    "~Entity",	//523
    "~Exception",	//524
    "~Observer",	//525
    "~ObserverV2",	//526
    "~PayloadException",	//527
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 352, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//1 Akonadi::AgentBase::metaObject() const
    {1, 385, 1, 1, Smoke::mf_virtual, 222, 2},	//2 Akonadi::AgentBase::qt_metacast(const char*)
    {1, 484, 3, 2, Smoke::mf_static, 88, 3},	//3 Akonadi::AgentBase::tr(const char*, const char*)
    {1, 488, 3, 2, Smoke::mf_static, 88, 4},	//4 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {1, 484, 6, 3, Smoke::mf_static, 88, 5},	//5 Akonadi::AgentBase::tr(const char*, const char*, int)
    {1, 488, 6, 3, Smoke::mf_static, 88, 6},	//6 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {1, 383, 10, 3, Smoke::mf_virtual, 216, 7},	//7 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {1, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 8},	//8 Akonadi::AgentBase::status() const
    {1, 473, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 88, 9},	//9 Akonadi::AgentBase::statusMessage() const
    {1, 381, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//10 Akonadi::AgentBase::progress() const
    {1, 382, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 88, 11},	//11 Akonadi::AgentBase::progressMessage() const
    {1, 231, 14, 1, Smoke::mf_virtual, 0, 12},	//12 Akonadi::AgentBase::configure(unsigned long)
    {1, 505, 0, 0, Smoke::mf_const, 221, 13},	//13 Akonadi::AgentBase::winIdForDialogs() const
    {1, 297, 0, 0, Smoke::mf_const, 88, 14},	//14 Akonadi::AgentBase::identifier() const
    {1, 213, 0, 0, Smoke::mf_virtual, 0, 15},	//15 Akonadi::AgentBase::cleanup()
    {1, 388, 16, 1, 0, 0, 16},	//16 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {1, 411, 18, 1, 0, 0, 17},	//17 Akonadi::AgentBase::setAgentName(const QString&)
    {1, 197, 0, 0, Smoke::mf_const, 88, 18},	//18 Akonadi::AgentBase::agentName() const
    {1, 198, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//19 Akonadi::AgentBase::agentNameChanged(const QString&)
    {1, 470, 20, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//20 Akonadi::AgentBase::status(int, const QString&)
    {1, 379, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//21 Akonadi::AgentBase::percent(int)
    {1, 501, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//22 Akonadi::AgentBase::warning(const QString&)
    {1, 269, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//23 Akonadi::AgentBase::error(const QString&)
    {1, 185, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//24 Akonadi::AgentBase::abortRequested()
    {1, 391, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//25 Akonadi::AgentBase::reloadConfiguration()
    {1, 364, 25, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//26 Akonadi::AgentBase::onlineChanged(bool)
    {1, 229, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//27 Akonadi::AgentBase::configurationDialogAccepted()
    {1, 230, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//28 Akonadi::AgentBase::configurationDialogRejected()
    {1, 3, 18, 1, Smoke::mf_ctor|Smoke::mf_protected, 1, 29},	//29 Akonadi::AgentBase::AgentBase(const QString&)
    {1, 186, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//30 Akonadi::AgentBase::aboutToQuit()
    {1, 211, 0, 0, Smoke::mf_const|Smoke::mf_protected, 28, 31},	//31 Akonadi::AgentBase::changeRecorder() const
    {1, 210, 0, 0, Smoke::mf_protected, 0, 32},	//32 Akonadi::AgentBase::changeProcessed()
    {1, 326, 0, 0, Smoke::mf_const|Smoke::mf_protected, 171, 33},	//33 Akonadi::AgentBase::isOnline() const
    {1, 436, 25, 1, Smoke::mf_protected, 0, 34},	//34 Akonadi::AgentBase::setNeedsNetwork(bool)
    {1, 438, 25, 1, Smoke::mf_protected, 0, 35},	//35 Akonadi::AgentBase::setOnline(bool)
    {1, 3, 27, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 36},	//36 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {1, 255, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//37 Akonadi::AgentBase::doSetOnline(bool)
    {1, 484, 1, 1, Smoke::mf_static, 88, 38},	//38 Akonadi::AgentBase::tr(const char*)
    {1, 488, 1, 1, Smoke::mf_static, 88, 39},	//39 Akonadi::AgentBase::trUtf8(const char*)
    {1, 470, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//40 Akonadi::AgentBase::status(int)
    {1, 468, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 41},	//41 Akonadi::AgentBase::staticMetaObject() const
    {1, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 42},	//42 Akonadi::AgentBase::Idle (enum)
    {1, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 43},	//43 Akonadi::AgentBase::Running (enum)
    {1, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 44},	//44 Akonadi::AgentBase::Broken (enum)
    {1, 508, 0, 0, Smoke::mf_dtor, 0, 45 },	//45 Akonadi::AgentBase::~AgentBase()
    {2, 84, 0, 0, Smoke::mf_ctor, 2, 1},	//46 Akonadi::AgentBase::Observer::Observer()
    {2, 328, 30, 2, Smoke::mf_virtual, 0, 2},	//47 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {2, 330, 33, 2, Smoke::mf_virtual, 0, 3},	//48 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {2, 337, 36, 1, Smoke::mf_virtual, 0, 4},	//49 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {2, 218, 38, 2, Smoke::mf_virtual, 0, 5},	//50 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {2, 220, 41, 1, Smoke::mf_virtual, 0, 6},	//51 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {2, 225, 41, 1, Smoke::mf_virtual, 0, 7},	//52 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {2, 84, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 8},	//53 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {2, 525, 0, 0, Smoke::mf_dtor, 0, 9 },	//54 Akonadi::AgentBase::Observer::~Observer()
    {3, 220, 41, 1, Smoke::mf_virtual, 0, 1},	//55 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {3, 335, 45, 3, Smoke::mf_virtual, 0, 2},	//56 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 333, 30, 2, Smoke::mf_virtual, 0, 3},	//57 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 339, 30, 2, Smoke::mf_virtual, 0, 4},	//58 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 223, 49, 3, Smoke::mf_virtual, 0, 5},	//59 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 220, 53, 2, Smoke::mf_virtual, 0, 6},	//60 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {3, 86, 0, 0, Smoke::mf_ctor, 3, 7},	//61 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {3, 86, 56, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 8},	//62 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {3, 526, 0, 0, Smoke::mf_dtor, 0, 9 },	//63 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {5, 352, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//64 Akonadi::AgentFilterProxyModel::metaObject() const
    {5, 385, 1, 1, Smoke::mf_virtual, 222, 2},	//65 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {5, 484, 3, 2, Smoke::mf_static, 88, 3},	//66 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {5, 488, 3, 2, Smoke::mf_static, 88, 4},	//67 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {5, 484, 6, 3, Smoke::mf_static, 88, 5},	//68 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {5, 488, 6, 3, Smoke::mf_static, 88, 6},	//69 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {5, 383, 10, 3, Smoke::mf_virtual, 216, 7},	//70 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {5, 6, 58, 1, Smoke::mf_ctor, 6, 8},	//71 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {5, 194, 18, 1, 0, 0, 9},	//72 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {5, 192, 18, 1, 0, 0, 10},	//73 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {5, 215, 0, 0, 0, 0, 11},	//74 Akonadi::AgentFilterProxyModel::clearFilters()
    {5, 276, 60, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 171, 12},	//75 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {5, 484, 1, 1, Smoke::mf_static, 88, 13},	//76 Akonadi::AgentFilterProxyModel::tr(const char*)
    {5, 488, 1, 1, Smoke::mf_static, 88, 14},	//77 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {5, 6, 0, 0, Smoke::mf_ctor, 6, 15},	//78 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {5, 468, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 16},	//79 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {5, 509, 0, 0, Smoke::mf_dtor, 0, 17 },	//80 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {6, 8, 0, 0, Smoke::mf_ctor, 9, 1},	//81 Akonadi::AgentInstance::AgentInstance()
    {6, 8, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//82 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {6, 327, 0, 0, Smoke::mf_const, 171, 3},	//83 Akonadi::AgentInstance::isValid() const
    {6, 492, 0, 0, Smoke::mf_const, 16, 4},	//84 Akonadi::AgentInstance::type() const
    {6, 297, 0, 0, Smoke::mf_const, 88, 5},	//85 Akonadi::AgentInstance::identifier() const
    {6, 363, 0, 0, Smoke::mf_const, 88, 6},	//86 Akonadi::AgentInstance::name() const
    {6, 434, 18, 1, 0, 0, 7},	//87 Akonadi::AgentInstance::setName(const QString&)
    {6, 470, 0, 0, Smoke::mf_const, 10, 8},	//88 Akonadi::AgentInstance::status() const
    {6, 473, 0, 0, Smoke::mf_const, 88, 9},	//89 Akonadi::AgentInstance::statusMessage() const
    {6, 381, 0, 0, Smoke::mf_const, 216, 10},	//90 Akonadi::AgentInstance::progress() const
    {6, 326, 0, 0, Smoke::mf_const, 171, 11},	//91 Akonadi::AgentInstance::isOnline() const
    {6, 429, 25, 1, 0, 0, 12},	//92 Akonadi::AgentInstance::setIsOnline(bool)
    {6, 231, 65, 1, 0, 0, 13},	//93 Akonadi::AgentInstance::configure(QWidget*)
    {6, 478, 0, 0, 0, 0, 14},	//94 Akonadi::AgentInstance::synchronize()
    {6, 481, 0, 0, 0, 0, 15},	//95 Akonadi::AgentInstance::synchronizeCollectionTree()
    {6, 368, 63, 1, 0, 8, 16},	//96 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {6, 370, 63, 1, Smoke::mf_const, 171, 17},	//97 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {6, 184, 0, 0, Smoke::mf_const, 0, 18},	//98 Akonadi::AgentInstance::abortCurrentTask() const
    {6, 387, 0, 0, Smoke::mf_const, 0, 19},	//99 Akonadi::AgentInstance::reconfigure() const
    {6, 402, 0, 0, Smoke::mf_const, 0, 20},	//100 Akonadi::AgentInstance::restart() const
    {6, 231, 0, 0, 0, 0, 21},	//101 Akonadi::AgentInstance::configure()
    {6, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 22},	//102 Akonadi::AgentInstance::Idle (enum)
    {6, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 23},	//103 Akonadi::AgentInstance::Running (enum)
    {6, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 24},	//104 Akonadi::AgentInstance::Broken (enum)
    {6, 510, 0, 0, Smoke::mf_dtor, 0, 25 },	//105 Akonadi::AgentInstance::~AgentInstance()
    {7, 352, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//106 Akonadi::AgentInstanceCreateJob::metaObject() const
    {7, 385, 1, 1, Smoke::mf_virtual, 222, 2},	//107 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {7, 484, 3, 2, Smoke::mf_static, 88, 3},	//108 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {7, 488, 3, 2, Smoke::mf_static, 88, 4},	//109 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {7, 484, 6, 3, Smoke::mf_static, 88, 5},	//110 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {7, 488, 6, 3, Smoke::mf_static, 88, 6},	//111 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {7, 383, 10, 3, Smoke::mf_virtual, 216, 7},	//112 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {7, 10, 67, 2, Smoke::mf_ctor, 11, 8},	//113 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {7, 10, 70, 2, Smoke::mf_ctor, 11, 9},	//114 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {7, 231, 65, 1, 0, 0, 10},	//115 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {7, 306, 0, 0, Smoke::mf_const, 7, 11},	//116 Akonadi::AgentInstanceCreateJob::instance() const
    {7, 467, 0, 0, Smoke::mf_virtual, 0, 12},	//117 Akonadi::AgentInstanceCreateJob::start()
    {7, 484, 1, 1, Smoke::mf_static, 88, 13},	//118 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {7, 488, 1, 1, Smoke::mf_static, 88, 14},	//119 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {7, 10, 73, 1, Smoke::mf_ctor, 11, 15},	//120 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {7, 10, 18, 1, Smoke::mf_ctor, 11, 16},	//121 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {7, 231, 0, 0, 0, 0, 17},	//122 Akonadi::AgentInstanceCreateJob::configure()
    {7, 468, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 18},	//123 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {7, 511, 0, 0, Smoke::mf_dtor, 0, 19 },	//124 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {8, 352, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//125 Akonadi::AgentInstanceModel::metaObject() const
    {8, 385, 1, 1, Smoke::mf_virtual, 222, 2},	//126 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {8, 484, 3, 2, Smoke::mf_static, 88, 3},	//127 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {8, 488, 3, 2, Smoke::mf_static, 88, 4},	//128 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {8, 484, 6, 3, Smoke::mf_static, 88, 5},	//129 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {8, 488, 6, 3, Smoke::mf_static, 88, 6},	//130 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {8, 383, 10, 3, Smoke::mf_virtual, 216, 7},	//131 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {8, 15, 58, 1, Smoke::mf_ctor, 12, 8},	//132 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {8, 227, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//133 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {8, 406, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//134 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {8, 245, 77, 2, Smoke::mf_const|Smoke::mf_virtual, 94, 11},	//135 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {8, 289, 80, 3, Smoke::mf_const|Smoke::mf_virtual, 94, 12},	//136 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {8, 298, 84, 3, Smoke::mf_const|Smoke::mf_virtual, 77, 13},	//137 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {8, 375, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 77, 14},	//138 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {8, 278, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 62, 15},	//139 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {8, 420, 88, 3, Smoke::mf_virtual, 171, 16},	//140 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {8, 484, 1, 1, Smoke::mf_static, 88, 17},	//141 Akonadi::AgentInstanceModel::tr(const char*)
    {8, 488, 1, 1, Smoke::mf_static, 88, 18},	//142 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {8, 15, 0, 0, Smoke::mf_ctor, 12, 19},	//143 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {8, 227, 0, 0, Smoke::mf_const, 216, 20},	//144 Akonadi::AgentInstanceModel::columnCount() const
    {8, 406, 0, 0, Smoke::mf_const, 216, 21},	//145 Akonadi::AgentInstanceModel::rowCount() const
    {8, 245, 75, 1, Smoke::mf_const, 94, 22},	//146 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {8, 289, 92, 2, Smoke::mf_const, 94, 23},	//147 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {8, 298, 95, 2, Smoke::mf_const, 77, 24},	//148 Akonadi::AgentInstanceModel::index(int, int) const
    {8, 468, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 25},	//149 Akonadi::AgentInstanceModel::staticMetaObject() const
    {8, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 26},	//150 Akonadi::AgentInstanceModel::TypeRole (enum)
    {8, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 27},	//151 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {8, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 28},	//152 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {8, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 29},	//153 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {8, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 30},	//154 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {8, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 31},	//155 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {8, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 32},	//156 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {8, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 33},	//157 Akonadi::AgentInstanceModel::StatusRole (enum)
    {8, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 34},	//158 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {8, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 35},	//159 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {8, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 36},	//160 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {8, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 37},	//161 Akonadi::AgentInstanceModel::UserRole (enum)
    {8, 512, 0, 0, Smoke::mf_dtor, 0, 38 },	//162 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {9, 352, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//163 Akonadi::AgentInstanceWidget::metaObject() const
    {9, 385, 1, 1, Smoke::mf_virtual, 222, 2},	//164 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {9, 484, 3, 2, Smoke::mf_static, 88, 3},	//165 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {9, 488, 3, 2, Smoke::mf_static, 88, 4},	//166 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {9, 484, 6, 3, Smoke::mf_static, 88, 5},	//167 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {9, 488, 6, 3, Smoke::mf_static, 88, 6},	//168 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {9, 383, 10, 3, Smoke::mf_virtual, 216, 7},	//169 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {9, 17, 65, 1, Smoke::mf_ctor, 14, 8},	//170 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {9, 239, 0, 0, Smoke::mf_const, 7, 9},	//171 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {9, 408, 0, 0, Smoke::mf_const, 70, 10},	//172 Akonadi::AgentInstanceWidget::selectedAgentInstances() const
    {9, 196, 0, 0, Smoke::mf_const, 6, 11},	//173 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {9, 500, 0, 0, Smoke::mf_const, 48, 12},	//174 Akonadi::AgentInstanceWidget::view() const
    {9, 241, 98, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//175 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {9, 260, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//176 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {9, 484, 1, 1, Smoke::mf_static, 88, 15},	//177 Akonadi::AgentInstanceWidget::tr(const char*)
    {9, 488, 1, 1, Smoke::mf_static, 88, 16},	//178 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {9, 17, 0, 0, Smoke::mf_ctor, 14, 17},	//179 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {9, 468, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 18},	//180 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {9, 513, 0, 0, Smoke::mf_dtor, 0, 19 },	//181 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {10, 352, 0, 0, Smoke::mf_const, 200, 1},	//182 Akonadi::AgentManager::metaObject() const
    {10, 385, 1, 1, 0, 222, 2},	//183 Akonadi::AgentManager::qt_metacast(const char*)
    {10, 484, 3, 2, Smoke::mf_static, 88, 3},	//184 Akonadi::AgentManager::tr(const char*, const char*)
    {10, 488, 3, 2, Smoke::mf_static, 88, 4},	//185 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {10, 484, 6, 3, Smoke::mf_static, 88, 5},	//186 Akonadi::AgentManager::tr(const char*, const char*, int)
    {10, 488, 6, 3, Smoke::mf_static, 88, 6},	//187 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {10, 383, 10, 3, 0, 216, 7},	//188 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {10, 409, 0, 0, Smoke::mf_static, 15, 8},	//189 Akonadi::AgentManager::self()
    {10, 498, 0, 0, Smoke::mf_const, 71, 9},	//190 Akonadi::AgentManager::types() const
    {10, 492, 18, 1, Smoke::mf_const, 16, 10},	//191 Akonadi::AgentManager::type(const QString&) const
    {10, 324, 0, 0, Smoke::mf_const, 70, 11},	//192 Akonadi::AgentManager::instances() const
    {10, 306, 18, 1, Smoke::mf_const, 7, 12},	//193 Akonadi::AgentManager::instance(const QString&) const
    {10, 397, 63, 1, 0, 0, 13},	//194 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {10, 479, 41, 1, 0, 0, 14},	//195 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {10, 494, 73, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//196 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {10, 496, 73, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//197 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {10, 308, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//198 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {10, 318, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//199 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {10, 320, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//200 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {10, 316, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//201 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {10, 312, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//202 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {10, 310, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//203 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {10, 322, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//204 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {10, 314, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//205 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {10, 484, 1, 1, Smoke::mf_static, 88, 25},	//206 Akonadi::AgentManager::tr(const char*)
    {10, 488, 1, 1, Smoke::mf_static, 88, 26},	//207 Akonadi::AgentManager::trUtf8(const char*)
    {10, 468, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 27},	//208 Akonadi::AgentManager::staticMetaObject() const
    {10, 514, 0, 0, Smoke::mf_dtor, 0, 28 },	//209 Akonadi::AgentManager::~AgentManager()
    {11, 19, 0, 0, Smoke::mf_ctor, 18, 1},	//210 Akonadi::AgentType::AgentType()
    {11, 19, 73, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//211 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {11, 327, 0, 0, Smoke::mf_const, 171, 3},	//212 Akonadi::AgentType::isValid() const
    {11, 297, 0, 0, Smoke::mf_const, 88, 4},	//213 Akonadi::AgentType::identifier() const
    {11, 363, 0, 0, Smoke::mf_const, 88, 5},	//214 Akonadi::AgentType::name() const
    {11, 248, 0, 0, Smoke::mf_const, 88, 6},	//215 Akonadi::AgentType::description() const
    {11, 295, 0, 0, Smoke::mf_const, 88, 7},	//216 Akonadi::AgentType::iconName() const
    {11, 294, 0, 0, Smoke::mf_const, 66, 8},	//217 Akonadi::AgentType::icon() const
    {11, 356, 0, 0, Smoke::mf_const, 89, 9},	//218 Akonadi::AgentType::mimeTypes() const
    {11, 208, 0, 0, Smoke::mf_const, 89, 10},	//219 Akonadi::AgentType::capabilities() const
    {11, 368, 73, 1, 0, 17, 11},	//220 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {11, 370, 73, 1, Smoke::mf_const, 171, 12},	//221 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {11, 515, 0, 0, Smoke::mf_dtor, 0, 13 },	//222 Akonadi::AgentType::~AgentType()
    {12, 352, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//223 Akonadi::AgentTypeDialog::metaObject() const
    {12, 385, 1, 1, Smoke::mf_virtual, 222, 2},	//224 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {12, 484, 3, 2, Smoke::mf_static, 88, 3},	//225 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {12, 488, 3, 2, Smoke::mf_static, 88, 4},	//226 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {12, 484, 6, 3, Smoke::mf_static, 88, 5},	//227 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {12, 488, 6, 3, Smoke::mf_static, 88, 6},	//228 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {12, 383, 10, 3, Smoke::mf_virtual, 216, 7},	//229 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {12, 21, 65, 1, Smoke::mf_ctor, 19, 8},	//230 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {12, 200, 0, 0, Smoke::mf_const, 16, 9},	//231 Akonadi::AgentTypeDialog::agentType() const
    {12, 196, 0, 0, Smoke::mf_const, 6, 10},	//232 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {12, 258, 23, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//233 Akonadi::AgentTypeDialog::done(int)
    {12, 484, 1, 1, Smoke::mf_static, 88, 12},	//234 Akonadi::AgentTypeDialog::tr(const char*)
    {12, 488, 1, 1, Smoke::mf_static, 88, 13},	//235 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {12, 21, 0, 0, Smoke::mf_ctor, 19, 14},	//236 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {12, 468, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 15},	//237 Akonadi::AgentTypeDialog::staticMetaObject() const
    {12, 516, 0, 0, Smoke::mf_dtor, 0, 16 },	//238 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {13, 352, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//239 Akonadi::AgentTypeModel::metaObject() const
    {13, 385, 1, 1, Smoke::mf_virtual, 222, 2},	//240 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {13, 484, 3, 2, Smoke::mf_static, 88, 3},	//241 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {13, 488, 3, 2, Smoke::mf_static, 88, 4},	//242 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {13, 484, 6, 3, Smoke::mf_static, 88, 5},	//243 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {13, 488, 6, 3, Smoke::mf_static, 88, 6},	//244 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {13, 383, 10, 3, Smoke::mf_virtual, 216, 7},	//245 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {13, 23, 58, 1, Smoke::mf_ctor, 20, 8},	//246 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {13, 227, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 9},	//247 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {13, 406, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 10},	//248 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {13, 245, 77, 2, Smoke::mf_const|Smoke::mf_virtual, 94, 11},	//249 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {13, 298, 84, 3, Smoke::mf_const|Smoke::mf_virtual, 77, 12},	//250 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {13, 375, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 77, 13},	//251 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {13, 278, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 62, 14},	//252 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {13, 484, 1, 1, Smoke::mf_static, 88, 15},	//253 Akonadi::AgentTypeModel::tr(const char*)
    {13, 488, 1, 1, Smoke::mf_static, 88, 16},	//254 Akonadi::AgentTypeModel::trUtf8(const char*)
    {13, 23, 0, 0, Smoke::mf_ctor, 20, 17},	//255 Akonadi::AgentTypeModel::AgentTypeModel()
    {13, 227, 0, 0, Smoke::mf_const, 216, 18},	//256 Akonadi::AgentTypeModel::columnCount() const
    {13, 406, 0, 0, Smoke::mf_const, 216, 19},	//257 Akonadi::AgentTypeModel::rowCount() const
    {13, 245, 75, 1, Smoke::mf_const, 94, 20},	//258 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {13, 298, 95, 2, Smoke::mf_const, 77, 21},	//259 Akonadi::AgentTypeModel::index(int, int) const
    {13, 468, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 22},	//260 Akonadi::AgentTypeModel::staticMetaObject() const
    {13, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 23},	//261 Akonadi::AgentTypeModel::TypeRole (enum)
    {13, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 24},	//262 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {13, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 25},	//263 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {13, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 26},	//264 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {13, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 27},	//265 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {13, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 28},	//266 Akonadi::AgentTypeModel::UserRole (enum)
    {13, 517, 0, 0, Smoke::mf_dtor, 0, 29 },	//267 Akonadi::AgentTypeModel::~AgentTypeModel()
    {14, 352, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 200, 1},	//268 Akonadi::AgentTypeWidget::metaObject() const
    {14, 385, 1, 1, Smoke::mf_virtual, 222, 2},	//269 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {14, 484, 3, 2, Smoke::mf_static, 88, 3},	//270 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {14, 488, 3, 2, Smoke::mf_static, 88, 4},	//271 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {14, 484, 6, 3, Smoke::mf_static, 88, 5},	//272 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {14, 488, 6, 3, Smoke::mf_static, 88, 6},	//273 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {14, 383, 10, 3, Smoke::mf_virtual, 216, 7},	//274 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {14, 25, 65, 1, Smoke::mf_ctor, 22, 8},	//275 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {14, 240, 0, 0, Smoke::mf_const, 16, 9},	//276 Akonadi::AgentTypeWidget::currentAgentType() const
    {14, 196, 0, 0, Smoke::mf_const, 6, 10},	//277 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {14, 241, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//278 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {14, 189, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//279 Akonadi::AgentTypeWidget::activated()
    {14, 484, 1, 1, Smoke::mf_static, 88, 13},	//280 Akonadi::AgentTypeWidget::tr(const char*)
    {14, 488, 1, 1, Smoke::mf_static, 88, 14},	//281 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {14, 25, 0, 0, Smoke::mf_ctor, 22, 15},	//282 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {14, 468, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 199, 16},	//283 Akonadi::AgentTypeWidget::staticMetaObject() const
    {14, 518, 0, 0, Smoke::mf_dtor, 0, 17 },	//284 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {15, 492, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 1},	//285 Akonadi::Attribute::type() const [pure virtual]
    {15, 216, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 23, 2},	//286 Akonadi::Attribute::clone() const [pure virtual]
    {15, 410, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 3},	//287 Akonadi::Attribute::serialized() const [pure virtual]
    {15, 249, 110, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//288 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {15, 30, 0, 0, Smoke::mf_ctor, 23, 5},	//289 Akonadi::Attribute::Attribute()
    {15, 30, 112, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 6},	//290 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {15, 519, 0, 0, Smoke::mf_dtor, 0, 7 },	//291 Akonadi::Attribute::~Attribute()
    {16, 237, 110, 1, Smoke::mf_static, 23, 1},	//292 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {16, 32, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 24, 2},	//293 Akonadi::AttributeFactory::AttributeFactory()
    {16, 32, 114, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 3},	//294 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {16, 520, 0, 0, Smoke::mf_dtor, 0, 4 },	//295 Akonadi::AttributeFactory::~AttributeFactory()
    {17, 36, 0, 0, Smoke::mf_ctor, 27, 1},	//296 Akonadi::CachePolicy::CachePolicy()
    {17, 36, 116, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 2},	//297 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {17, 301, 0, 0, Smoke::mf_const, 171, 3},	//298 Akonadi::CachePolicy::inheritFromParent() const
    {17, 425, 25, 1, 0, 0, 4},	//299 Akonadi::CachePolicy::setInheritFromParent(bool)
    {17, 346, 0, 0, Smoke::mf_const, 89, 5},	//300 Akonadi::CachePolicy::localParts() const
    {17, 432, 118, 1, 0, 0, 6},	//301 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {17, 206, 0, 0, Smoke::mf_const, 216, 7},	//302 Akonadi::CachePolicy::cacheTimeout() const
    {17, 415, 23, 1, 0, 0, 8},	//303 Akonadi::CachePolicy::setCacheTimeout(int)
    {17, 325, 0, 0, Smoke::mf_const, 216, 9},	//304 Akonadi::CachePolicy::intervalCheckTime() const
    {17, 427, 23, 1, 0, 0, 10},	//305 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {17, 477, 0, 0, Smoke::mf_const, 171, 11},	//306 Akonadi::CachePolicy::syncOnDemand() const
    {17, 459, 25, 1, 0, 0, 12},	//307 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {17, 368, 116, 1, 0, 26, 13},	//308 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {17, 370, 116, 1, Smoke::mf_const, 171, 14},	//309 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {17, 521, 0, 0, Smoke::mf_dtor, 0, 15 },	//310 Akonadi::CachePolicy::~CachePolicy()
    {19, 49, 0, 0, Smoke::mf_ctor, 31, 1},	//311 Akonadi::Collection::Collection()
    {19, 49, 120, 1, Smoke::mf_ctor, 31, 2},	//312 Akonadi::Collection::Collection(long long)
    {19, 49, 41, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//313 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {19, 284, 122, 1, Smoke::mf_static, 29, 4},	//314 Akonadi::Collection::fromUrl(const KUrl&)
    {19, 363, 0, 0, Smoke::mf_const, 88, 5},	//315 Akonadi::Collection::name() const
    {19, 434, 18, 1, 0, 0, 6},	//316 Akonadi::Collection::setName(const QString&)
    {19, 404, 0, 0, Smoke::mf_const, 60, 7},	//317 Akonadi::Collection::rights() const
    {19, 454, 124, 1, 0, 0, 8},	//318 Akonadi::Collection::setRights(QFlags<Akonadi::Collection::Right>)
    {19, 235, 0, 0, Smoke::mf_const, 89, 9},	//319 Akonadi::Collection::contentMimeTypes() const
    {19, 418, 118, 1, 0, 0, 10},	//320 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {19, 375, 0, 0, Smoke::mf_const, 218, 11},	//321 Akonadi::Collection::parent() const
    {19, 440, 120, 1, 0, 0, 12},	//322 Akonadi::Collection::setParent(long long)
    {19, 440, 41, 1, 0, 0, 13},	//323 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {19, 378, 0, 0, Smoke::mf_const, 88, 14},	//324 Akonadi::Collection::parentRemoteId() const
    {19, 445, 18, 1, 0, 0, 15},	//325 Akonadi::Collection::setParentRemoteId(const QString&)
    {19, 405, 0, 0, Smoke::mf_static, 29, 16},	//326 Akonadi::Collection::root()
    {19, 355, 0, 0, Smoke::mf_static, 88, 17},	//327 Akonadi::Collection::mimeType()
    {19, 401, 0, 0, Smoke::mf_const, 88, 18},	//328 Akonadi::Collection::resource() const
    {19, 452, 18, 1, 0, 0, 19},	//329 Akonadi::Collection::setResource(const QString&)
    {19, 205, 0, 0, Smoke::mf_const, 25, 20},	//330 Akonadi::Collection::cachePolicy() const
    {19, 413, 116, 1, 0, 0, 21},	//331 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {19, 469, 0, 0, Smoke::mf_const, 33, 22},	//332 Akonadi::Collection::statistics() const
    {19, 457, 126, 1, 0, 0, 23},	//333 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {19, 499, 0, 0, Smoke::mf_const, 46, 24},	//334 Akonadi::Collection::url() const
    {19, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 25},	//335 Akonadi::Collection::ReadOnly (enum)
    {19, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//336 Akonadi::Collection::CanChangeItem (enum)
    {19, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//337 Akonadi::Collection::CanCreateItem (enum)
    {19, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//338 Akonadi::Collection::CanDeleteItem (enum)
    {19, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//339 Akonadi::Collection::CanChangeCollection (enum)
    {19, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//340 Akonadi::Collection::CanCreateCollection (enum)
    {19, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//341 Akonadi::Collection::CanDeleteCollection (enum)
    {19, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//342 Akonadi::Collection::CanLinkItem (enum)
    {19, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//343 Akonadi::Collection::CanUnlinkItem (enum)
    {19, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//344 Akonadi::Collection::AllRights (enum)
    {19, 522, 0, 0, Smoke::mf_dtor, 0, 35 },	//345 Akonadi::Collection::~Collection()
    {21, 423, 120, 1, 0, 0, 1},	//346 Akonadi::Entity::setId(long long)
    {21, 296, 0, 0, Smoke::mf_const, 218, 2},	//347 Akonadi::Entity::id() const
    {21, 448, 18, 1, 0, 0, 3},	//348 Akonadi::Entity::setRemoteId(const QString&)
    {21, 392, 0, 0, Smoke::mf_const, 88, 4},	//349 Akonadi::Entity::remoteId() const
    {21, 450, 18, 1, 0, 0, 5},	//350 Akonadi::Entity::setRemoteRevision(const QString&)
    {21, 393, 0, 0, Smoke::mf_const, 88, 6},	//351 Akonadi::Entity::remoteRevision() const
    {21, 327, 0, 0, Smoke::mf_const, 171, 7},	//352 Akonadi::Entity::isValid() const
    {21, 370, 128, 1, Smoke::mf_const, 171, 8},	//353 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {21, 366, 128, 1, Smoke::mf_const, 171, 9},	//354 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {21, 368, 128, 1, 0, 34, 10},	//355 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {21, 377, 0, 0, Smoke::mf_const, 29, 11},	//356 Akonadi::Entity::parentCollection() const
    {21, 377, 0, 0, 0, 30, 12},	//357 Akonadi::Entity::parentCollection()
    {21, 443, 41, 1, 0, 0, 13},	//358 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {21, 190, 130, 1, 0, 0, 14},	//359 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {21, 394, 110, 1, 0, 0, 15},	//360 Akonadi::Entity::removeAttribute(const QByteArray&)
    {21, 286, 110, 1, Smoke::mf_const, 171, 16},	//361 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {21, 203, 0, 0, Smoke::mf_const, 72, 17},	//362 Akonadi::Entity::attributes() const
    {21, 214, 0, 0, 0, 0, 18},	//363 Akonadi::Entity::clearAttributes()
    {21, 201, 110, 1, Smoke::mf_const, 23, 19},	//364 Akonadi::Entity::attribute(const QByteArray&) const
    {21, 60, 128, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 35, 20},	//365 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {21, 60, 132, 1, Smoke::mf_ctor|Smoke::mf_protected, 35, 21},	//366 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {21, 244, 0, 0, Smoke::mf_protected, 37, 22},	//367 Akonadi::Entity::d_func()
    {21, 244, 0, 0, Smoke::mf_const|Smoke::mf_protected, 187, 23},	//368 Akonadi::Entity::d_func() const
    {21, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 24},	//369 Akonadi::Entity::AddIfMissing (enum)
    {21, 523, 0, 0, Smoke::mf_dtor, 0, 25 },	//370 Akonadi::Entity::~Entity()
    {23, 62, 1, 1, Smoke::mf_ctor, 38, 1},	//371 Akonadi::Exception::Exception(const char*)
    {23, 62, 110, 1, Smoke::mf_ctor, 38, 2},	//372 Akonadi::Exception::Exception(const QByteArray&)
    {23, 62, 18, 1, Smoke::mf_ctor, 38, 3},	//373 Akonadi::Exception::Exception(const QString&)
    {23, 62, 134, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 4},	//374 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {23, 503, 0, 0, Smoke::mf_const, 213, 5},	//375 Akonadi::Exception::what() const
    {23, 492, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 6},	//376 Akonadi::Exception::type() const
    {23, 524, 0, 0, Smoke::mf_dtor, 0, 7 },	//377 Akonadi::Exception::~Exception()
    {25, 90, 1, 1, Smoke::mf_ctor, 39, 1},	//378 Akonadi::PayloadException::PayloadException(const char*)
    {25, 90, 110, 1, Smoke::mf_ctor, 39, 2},	//379 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {25, 90, 18, 1, Smoke::mf_ctor, 39, 3},	//380 Akonadi::PayloadException::PayloadException(const QString&)
    {25, 492, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 4},	//381 Akonadi::PayloadException::type() const
    {25, 90, 136, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 39, 5},	//382 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {25, 527, 0, 0, Smoke::mf_dtor, 0, 6 },	//383 Akonadi::PayloadException::~PayloadException()
    {28, 463, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 87, 0},	//384 KDialog::sizeHint() const
    {28, 357, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 87, 0},	//385 KDialog::minimumSizeHint() const
    {28, 417, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//386 KDialog::setCaption(const QString&)
    {28, 417, 138, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//387 KDialog::setCaption(const QString&, bool)
    {28, 447, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//388 KDialog::setPlainCaption(const QString&)
    {28, 293, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//389 KDialog::hideEvent(QHideEvent*)
    {28, 217, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//390 KDialog::closeEvent(QCloseEvent*)
    {28, 341, 145, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//391 KDialog::keyPressEvent(QKeyEvent*)
    {28, 464, 23, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//392 KDialog::slotButtonClicked(int)
    {29, 253, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 171, 0},	//393 KJob::doKill()
    {29, 257, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 171, 0},	//394 KJob::doSuspend()
    {29, 254, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 171, 0},	//395 KJob::doResume()
    {29, 271, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 88, 0},	//396 KJob::errorString() const
    {29, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 5},	//397 KJob::NoError (enum)
    {29, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 6},	//398 KJob::KilledJobError (enum)
    {29, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 7},	//399 KJob::UserDefinedError (enum)
    {33, 288, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 171, 0},	//400 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {33, 420, 88, 3, Smoke::mf_virtual, 171, 0},	//401 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 289, 80, 3, Smoke::mf_const|Smoke::mf_virtual, 94, 0},	//402 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {33, 422, 147, 4, Smoke::mf_virtual, 171, 0},	//403 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 332, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 74, 0},	//404 QAbstractItemModel::itemData(const QModelIndex&) const
    {33, 431, 152, 2, Smoke::mf_virtual, 171, 0},	//405 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {33, 356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 89, 0},	//406 QAbstractItemModel::mimeTypes() const
    {33, 354, 155, 1, Smoke::mf_const|Smoke::mf_virtual, 76, 0},	//407 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {33, 266, 157, 5, Smoke::mf_virtual, 171, 0},	//408 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 61, 0},	//409 QAbstractItemModel::supportedDropActions() const
    {33, 305, 84, 3, Smoke::mf_virtual, 171, 0},	//410 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {33, 304, 84, 3, Smoke::mf_virtual, 171, 0},	//411 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {33, 399, 84, 3, Smoke::mf_virtual, 171, 0},	//412 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {33, 396, 84, 3, Smoke::mf_virtual, 171, 0},	//413 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {33, 274, 75, 1, Smoke::mf_virtual, 0, 0},	//414 QAbstractItemModel::fetchMore(const QModelIndex&)
    {33, 207, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 171, 0},	//415 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {33, 465, 163, 2, Smoke::mf_virtual, 0, 0},	//416 QAbstractItemModel::sort(int, Qt::SortOrder)
    {33, 204, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 77, 0},	//417 QAbstractItemModel::buddy(const QModelIndex&) const
    {33, 351, 166, 5, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//418 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {33, 466, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 87, 0},	//419 QAbstractItemModel::span(const QModelIndex&) const
    {33, 475, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 171, 0},	//420 QAbstractItemModel::submit()
    {33, 403, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//421 QAbstractItemModel::revert()
    {35, 475, 0, 0, Smoke::mf_virtual, 171, 0},	//422 QAbstractProxyModel::submit()
    {35, 403, 0, 0, Smoke::mf_virtual, 0, 0},	//423 QAbstractProxyModel::revert()
    {35, 332, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 74, 0},	//424 QAbstractProxyModel::itemData(const QModelIndex&) const
    {43, 461, 25, 1, Smoke::mf_virtual, 0, 0},	//425 QDialog::setVisible(bool)
    {43, 187, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//426 QDialog::accept()
    {43, 390, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//427 QDialog::reject()
    {43, 462, 172, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//428 QDialog::showEvent(QShowEvent*)
    {43, 400, 174, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//429 QDialog::resizeEvent(QResizeEvent*)
    {43, 236, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//430 QDialog::contextMenuEvent(QContextMenuEvent*)
    {43, 273, 178, 2, Smoke::mf_protected|Smoke::mf_virtual, 171, 0},	//431 QDialog::eventFilter(QObject*, QEvent*)
    {51, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 1},	//432 QGlobalSpace::_CS_PATH (enum)
    {51, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 2},	//433 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {51, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 3},	//434 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {51, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 4},	//435 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {51, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 5},	//436 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {51, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 6},	//437 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {51, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 7},	//438 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {51, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 8},	//439 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {51, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 9},	//440 QGlobalSpace::_CS_LFS_LIBS (enum)
    {51, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 10},	//441 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {51, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 11},	//442 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {51, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 12},	//443 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {51, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 13},	//444 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {51, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 14},	//445 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {51, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 15},	//446 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {51, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 16},	//447 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {51, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 17},	//448 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {51, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 18},	//449 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {51, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 19},	//450 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {51, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 20},	//451 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 21},	//452 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {51, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 22},	//453 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 23},	//454 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {51, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 24},	//455 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {51, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 25},	//456 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {51, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 26},	//457 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {51, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 27},	//458 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 28},	//459 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 29},	//460 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {51, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 30},	//461 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 31},	//462 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {51, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 32},	//463 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {51, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 33},	//464 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {51, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 34},	//465 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {51, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 35},	//466 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {51, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 36},	//467 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 37},	//468 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {51, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 38},	//469 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 39},	//470 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {51, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 40},	//471 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {51, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 41},	//472 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {51, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 42},	//473 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {51, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 43},	//474 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 44},	//475 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 45},	//476 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {51, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 46},	//477 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 47},	//478 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {51, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 48},	//479 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {51, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 49},	//480 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {51, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 50},	//481 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {51, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 51},	//482 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {51, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 52},	//483 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 53},	//484 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {51, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 54},	//485 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 55},	//486 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {51, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 56},	//487 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {51, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 57},	//488 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {51, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 58},	//489 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {51, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 59},	//490 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 60},	//491 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 61},	//492 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {51, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 62},	//493 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 63},	//494 QGlobalSpace::_CS_V6_ENV (enum)
    {51, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 64},	//495 QGlobalSpace::_CS_V7_ENV (enum)
    {51, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 65},	//496 QGlobalSpace::QtDebugMsg (enum)
    {51, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 66},	//497 QGlobalSpace::QtWarningMsg (enum)
    {51, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 67},	//498 QGlobalSpace::QtCriticalMsg (enum)
    {51, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 68},	//499 QGlobalSpace::QtFatalMsg (enum)
    {51, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 69},	//500 QGlobalSpace::QtSystemMsg (enum)
    {51, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 70},	//501 QGlobalSpace::__codecvt_ok (enum)
    {51, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 71},	//502 QGlobalSpace::__codecvt_partial (enum)
    {51, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 72},	//503 QGlobalSpace::__codecvt_error (enum)
    {51, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 170, 73},	//504 QGlobalSpace::__codecvt_noconv (enum)
    {62, 272, 181, 1, Smoke::mf_virtual, 171, 0},	//505 QObject::event(QEvent*)
    {62, 273, 178, 2, Smoke::mf_virtual, 171, 0},	//506 QObject::eventFilter(QObject*, QEvent*)
    {62, 483, 183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//507 QObject::timerEvent(QTimerEvent*)
    {62, 212, 185, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//508 QObject::childEvent(QChildEvent*)
    {62, 243, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//509 QObject::customEvent(QEvent*)
    {62, 234, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//510 QObject::connectNotify(const char*)
    {62, 252, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//511 QObject::disconnectNotify(const char*)
    {70, 456, 187, 1, Smoke::mf_virtual, 0, 0},	//512 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {70, 350, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 77, 0},	//513 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {70, 347, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 77, 0},	//514 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {70, 349, 189, 1, Smoke::mf_const|Smoke::mf_virtual, 68, 0},	//515 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {70, 348, 189, 1, Smoke::mf_const|Smoke::mf_virtual, 68, 0},	//516 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {70, 275, 60, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 171, 0},	//517 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {70, 345, 191, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 171, 0},	//518 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {70, 298, 84, 3, Smoke::mf_const|Smoke::mf_virtual, 77, 0},	//519 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {70, 375, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 77, 0},	//520 QSortFilterProxyModel::parent(const QModelIndex&) const
    {70, 406, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 0},	//521 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {70, 227, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 0},	//522 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {70, 288, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 171, 0},	//523 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {70, 245, 77, 2, Smoke::mf_const|Smoke::mf_virtual, 94, 0},	//524 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {70, 420, 88, 3, Smoke::mf_virtual, 171, 0},	//525 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {70, 289, 80, 3, Smoke::mf_const|Smoke::mf_virtual, 94, 0},	//526 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {70, 422, 147, 4, Smoke::mf_virtual, 171, 0},	//527 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {70, 354, 155, 1, Smoke::mf_const|Smoke::mf_virtual, 76, 0},	//528 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {70, 266, 157, 5, Smoke::mf_virtual, 171, 0},	//529 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {70, 305, 84, 3, Smoke::mf_virtual, 171, 0},	//530 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {70, 304, 84, 3, Smoke::mf_virtual, 171, 0},	//531 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {70, 399, 84, 3, Smoke::mf_virtual, 171, 0},	//532 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {70, 396, 84, 3, Smoke::mf_virtual, 171, 0},	//533 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {70, 274, 75, 1, Smoke::mf_virtual, 0, 0},	//534 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {70, 207, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 171, 0},	//535 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {70, 278, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 62, 0},	//536 QSortFilterProxyModel::flags(const QModelIndex&) const
    {70, 204, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 77, 0},	//537 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {70, 351, 166, 5, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//538 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {70, 466, 75, 1, Smoke::mf_const|Smoke::mf_virtual, 87, 0},	//539 QSortFilterProxyModel::span(const QModelIndex&) const
    {70, 465, 163, 2, Smoke::mf_virtual, 0, 0},	//540 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {70, 356, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 89, 0},	//541 QSortFilterProxyModel::mimeTypes() const
    {70, 476, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 61, 0},	//542 QSortFilterProxyModel::supportedDropActions() const
    {76, 251, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 216, 0},	//543 QWidget::devType() const
    {76, 461, 25, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//544 QWidget::setVisible(bool)
    {76, 463, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 87, 0},	//545 QWidget::sizeHint() const
    {76, 357, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 87, 0},	//546 QWidget::minimumSizeHint() const
    {76, 292, 23, 1, Smoke::mf_const|Smoke::mf_virtual, 216, 0},	//547 QWidget::heightForWidth(int) const
    {76, 372, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 82, 0},	//548 QWidget::paintEngine() const
    {76, 272, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 171, 0},	//549 QWidget::event(QEvent*)
    {76, 360, 194, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//550 QWidget::mousePressEvent(QMouseEvent*)
    {76, 361, 194, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//551 QWidget::mouseReleaseEvent(QMouseEvent*)
    {76, 358, 194, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//552 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {76, 359, 194, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//553 QWidget::mouseMoveEvent(QMouseEvent*)
    {76, 504, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//554 QWidget::wheelEvent(QWheelEvent*)
    {76, 341, 145, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//555 QWidget::keyPressEvent(QKeyEvent*)
    {76, 342, 145, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//556 QWidget::keyReleaseEvent(QKeyEvent*)
    {76, 280, 198, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//557 QWidget::focusInEvent(QFocusEvent*)
    {76, 282, 198, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//558 QWidget::focusOutEvent(QFocusEvent*)
    {76, 268, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//559 QWidget::enterEvent(QEvent*)
    {76, 344, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//560 QWidget::leaveEvent(QEvent*)
    {76, 373, 200, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//561 QWidget::paintEvent(QPaintEvent*)
    {76, 362, 202, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//562 QWidget::moveEvent(QMoveEvent*)
    {76, 400, 174, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//563 QWidget::resizeEvent(QResizeEvent*)
    {76, 217, 143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//564 QWidget::closeEvent(QCloseEvent*)
    {76, 236, 176, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//565 QWidget::contextMenuEvent(QContextMenuEvent*)
    {76, 482, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//566 QWidget::tabletEvent(QTabletEvent*)
    {76, 188, 206, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//567 QWidget::actionEvent(QActionEvent*)
    {76, 262, 208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//568 QWidget::dragEnterEvent(QDragEnterEvent*)
    {76, 264, 210, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//569 QWidget::dragMoveEvent(QDragMoveEvent*)
    {76, 263, 212, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//570 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {76, 265, 214, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//571 QWidget::dropEvent(QDropEvent*)
    {76, 462, 172, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//572 QWidget::showEvent(QShowEvent*)
    {76, 293, 141, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//573 QWidget::hideEvent(QHideEvent*)
    {76, 507, 216, 1, Smoke::mf_protected|Smoke::mf_virtual, 171, 0},	//574 QWidget::x11Event(_XEvent*)
    {76, 209, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//575 QWidget::changeEvent(QEvent*)
    {76, 353, 218, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 216, 0},	//576 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {76, 302, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//577 QWidget::inputMethodEvent(QInputMethodEvent*)
    {76, 303, 222, 1, Smoke::mf_const|Smoke::mf_virtual, 94, 0},	//578 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 281, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 171, 0},	//579 QWidget::focusNextPrevChild(bool)
    {76, 474, 224, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//580 QWidget::styleChange(QStyle&)
    {76, 267, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//581 QWidget::enabledChange(bool)
    {76, 374, 226, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//582 QWidget::paletteChange(const QPalette&)
    {76, 283, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QWidget::fontChange(const QFont&)
    {76, 506, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//584 QWidget::windowActivationChange(bool)
    {76, 343, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//585 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    379,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    382,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    378,  // Akonadi::PayloadException::PayloadException(const char*)
    380,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
    365,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    366,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    367,  // Akonadi::Entity::d_func()
    368,  // Akonadi::Entity::d_func() const
    0,
    356,  // Akonadi::Entity::parentCollection() const
    357,  // Akonadi::Entity::parentCollection()
    0,
    372,  // Akonadi::Exception::Exception(const QByteArray&)
    374,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    371,  // Akonadi::Exception::Exception(const char*)
    373,  // Akonadi::Exception::Exception(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 4, 36},	// Akonadi::AgentBase::AgentBase#$
    {1, 5, 29},	// Akonadi::AgentBase::AgentBase$
    {1, 34, 44},	// Akonadi::AgentBase::Broken
    {1, 69, 42},	// Akonadi::AgentBase::Idle
    {1, 103, 43},	// Akonadi::AgentBase::Running
    {1, 185, 24},	// Akonadi::AgentBase::abortRequested
    {1, 186, 30},	// Akonadi::AgentBase::aboutToQuit
    {1, 197, 18},	// Akonadi::AgentBase::agentName
    {1, 199, 19},	// Akonadi::AgentBase::agentNameChanged$
    {1, 210, 32},	// Akonadi::AgentBase::changeProcessed
    {1, 211, 31},	// Akonadi::AgentBase::changeRecorder
    {1, 213, 15},	// Akonadi::AgentBase::cleanup
    {1, 229, 27},	// Akonadi::AgentBase::configurationDialogAccepted
    {1, 230, 28},	// Akonadi::AgentBase::configurationDialogRejected
    {1, 233, 12},	// Akonadi::AgentBase::configure$
    {1, 256, 37},	// Akonadi::AgentBase::doSetOnline$
    {1, 270, 23},	// Akonadi::AgentBase::error$
    {1, 297, 14},	// Akonadi::AgentBase::identifier
    {1, 326, 33},	// Akonadi::AgentBase::isOnline
    {1, 352, 1},	// Akonadi::AgentBase::metaObject
    {1, 365, 26},	// Akonadi::AgentBase::onlineChanged$
    {1, 380, 21},	// Akonadi::AgentBase::percent$
    {1, 381, 10},	// Akonadi::AgentBase::progress
    {1, 382, 11},	// Akonadi::AgentBase::progressMessage
    {1, 384, 7},	// Akonadi::AgentBase::qt_metacall$$?
    {1, 386, 2},	// Akonadi::AgentBase::qt_metacast$
    {1, 389, 16},	// Akonadi::AgentBase::registerObserver#
    {1, 391, 25},	// Akonadi::AgentBase::reloadConfiguration
    {1, 412, 17},	// Akonadi::AgentBase::setAgentName$
    {1, 437, 34},	// Akonadi::AgentBase::setNeedsNetwork$
    {1, 439, 35},	// Akonadi::AgentBase::setOnline$
    {1, 468, 41},	// Akonadi::AgentBase::staticMetaObject
    {1, 470, 8},	// Akonadi::AgentBase::status
    {1, 471, 40},	// Akonadi::AgentBase::status$
    {1, 472, 20},	// Akonadi::AgentBase::status$$
    {1, 473, 9},	// Akonadi::AgentBase::statusMessage
    {1, 485, 38},	// Akonadi::AgentBase::tr$
    {1, 486, 3},	// Akonadi::AgentBase::tr$$
    {1, 487, 5},	// Akonadi::AgentBase::tr$$$
    {1, 489, 39},	// Akonadi::AgentBase::trUtf8$
    {1, 490, 4},	// Akonadi::AgentBase::trUtf8$$
    {1, 491, 6},	// Akonadi::AgentBase::trUtf8$$$
    {1, 502, 22},	// Akonadi::AgentBase::warning$
    {1, 505, 13},	// Akonadi::AgentBase::winIdForDialogs
    {1, 508, 45},	// Akonadi::AgentBase::~AgentBase
    {2, 84, 46},	// Akonadi::AgentBase::Observer::Observer
    {2, 85, 53},	// Akonadi::AgentBase::Observer::Observer#
    {2, 219, 50},	// Akonadi::AgentBase::Observer::collectionAdded##
    {2, 221, 51},	// Akonadi::AgentBase::Observer::collectionChanged#
    {2, 226, 52},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {2, 329, 47},	// Akonadi::AgentBase::Observer::itemAdded##
    {2, 331, 48},	// Akonadi::AgentBase::Observer::itemChanged#?
    {2, 338, 49},	// Akonadi::AgentBase::Observer::itemRemoved#
    {2, 525, 54},	// Akonadi::AgentBase::Observer::~Observer
    {3, 86, 61},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {3, 87, 62},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {3, 221, 55},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {3, 222, 60},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {3, 224, 59},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {3, 334, 57},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {3, 336, 56},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {3, 340, 58},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {3, 526, 63},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {5, 6, 78},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {5, 7, 71},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {5, 193, 73},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {5, 195, 72},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {5, 215, 74},	// Akonadi::AgentFilterProxyModel::clearFilters
    {5, 277, 75},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {5, 352, 64},	// Akonadi::AgentFilterProxyModel::metaObject
    {5, 384, 70},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {5, 386, 65},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {5, 468, 79},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {5, 485, 76},	// Akonadi::AgentFilterProxyModel::tr$
    {5, 486, 66},	// Akonadi::AgentFilterProxyModel::tr$$
    {5, 487, 68},	// Akonadi::AgentFilterProxyModel::tr$$$
    {5, 489, 77},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {5, 490, 67},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {5, 491, 69},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {5, 509, 80},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {6, 8, 81},	// Akonadi::AgentInstance::AgentInstance
    {6, 9, 82},	// Akonadi::AgentInstance::AgentInstance#
    {6, 34, 104},	// Akonadi::AgentInstance::Broken
    {6, 69, 102},	// Akonadi::AgentInstance::Idle
    {6, 103, 103},	// Akonadi::AgentInstance::Running
    {6, 184, 98},	// Akonadi::AgentInstance::abortCurrentTask
    {6, 231, 101},	// Akonadi::AgentInstance::configure
    {6, 232, 93},	// Akonadi::AgentInstance::configure#
    {6, 297, 85},	// Akonadi::AgentInstance::identifier
    {6, 326, 91},	// Akonadi::AgentInstance::isOnline
    {6, 327, 83},	// Akonadi::AgentInstance::isValid
    {6, 363, 86},	// Akonadi::AgentInstance::name
    {6, 369, 96},	// Akonadi::AgentInstance::operator=#
    {6, 371, 97},	// Akonadi::AgentInstance::operator==#
    {6, 381, 90},	// Akonadi::AgentInstance::progress
    {6, 387, 99},	// Akonadi::AgentInstance::reconfigure
    {6, 402, 100},	// Akonadi::AgentInstance::restart
    {6, 430, 92},	// Akonadi::AgentInstance::setIsOnline$
    {6, 435, 87},	// Akonadi::AgentInstance::setName$
    {6, 470, 88},	// Akonadi::AgentInstance::status
    {6, 473, 89},	// Akonadi::AgentInstance::statusMessage
    {6, 478, 94},	// Akonadi::AgentInstance::synchronize
    {6, 481, 95},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {6, 492, 84},	// Akonadi::AgentInstance::type
    {6, 510, 105},	// Akonadi::AgentInstance::~AgentInstance
    {7, 11, 120},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {7, 12, 113},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {7, 13, 121},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {7, 14, 114},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {7, 231, 122},	// Akonadi::AgentInstanceCreateJob::configure
    {7, 232, 115},	// Akonadi::AgentInstanceCreateJob::configure#
    {7, 306, 116},	// Akonadi::AgentInstanceCreateJob::instance
    {7, 352, 106},	// Akonadi::AgentInstanceCreateJob::metaObject
    {7, 384, 112},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {7, 386, 107},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {7, 467, 117},	// Akonadi::AgentInstanceCreateJob::start
    {7, 468, 123},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {7, 485, 118},	// Akonadi::AgentInstanceCreateJob::tr$
    {7, 486, 108},	// Akonadi::AgentInstanceCreateJob::tr$$
    {7, 487, 110},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {7, 489, 119},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {7, 490, 109},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {7, 491, 111},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {7, 511, 124},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {8, 15, 143},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {8, 16, 132},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {8, 47, 154},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {8, 54, 152},	// Akonadi::AgentInstanceModel::DescriptionRole
    {8, 71, 156},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {8, 72, 155},	// Akonadi::AgentInstanceModel::InstanceRole
    {8, 76, 153},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {8, 89, 160},	// Akonadi::AgentInstanceModel::OnlineRole
    {8, 93, 159},	// Akonadi::AgentInstanceModel::ProgressRole
    {8, 104, 158},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {8, 105, 157},	// Akonadi::AgentInstanceModel::StatusRole
    {8, 108, 151},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {8, 109, 150},	// Akonadi::AgentInstanceModel::TypeRole
    {8, 114, 161},	// Akonadi::AgentInstanceModel::UserRole
    {8, 227, 144},	// Akonadi::AgentInstanceModel::columnCount
    {8, 228, 133},	// Akonadi::AgentInstanceModel::columnCount#
    {8, 246, 146},	// Akonadi::AgentInstanceModel::data#
    {8, 247, 135},	// Akonadi::AgentInstanceModel::data#$
    {8, 279, 139},	// Akonadi::AgentInstanceModel::flags#
    {8, 290, 147},	// Akonadi::AgentInstanceModel::headerData$$
    {8, 291, 136},	// Akonadi::AgentInstanceModel::headerData$$$
    {8, 299, 148},	// Akonadi::AgentInstanceModel::index$$
    {8, 300, 137},	// Akonadi::AgentInstanceModel::index$$#
    {8, 352, 125},	// Akonadi::AgentInstanceModel::metaObject
    {8, 376, 138},	// Akonadi::AgentInstanceModel::parent#
    {8, 384, 131},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {8, 386, 126},	// Akonadi::AgentInstanceModel::qt_metacast$
    {8, 406, 145},	// Akonadi::AgentInstanceModel::rowCount
    {8, 407, 134},	// Akonadi::AgentInstanceModel::rowCount#
    {8, 421, 140},	// Akonadi::AgentInstanceModel::setData##$
    {8, 468, 149},	// Akonadi::AgentInstanceModel::staticMetaObject
    {8, 485, 141},	// Akonadi::AgentInstanceModel::tr$
    {8, 486, 127},	// Akonadi::AgentInstanceModel::tr$$
    {8, 487, 129},	// Akonadi::AgentInstanceModel::tr$$$
    {8, 489, 142},	// Akonadi::AgentInstanceModel::trUtf8$
    {8, 490, 128},	// Akonadi::AgentInstanceModel::trUtf8$$
    {8, 491, 130},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {8, 512, 162},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {9, 17, 179},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {9, 18, 170},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {9, 196, 173},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {9, 239, 171},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {9, 242, 175},	// Akonadi::AgentInstanceWidget::currentChanged##
    {9, 261, 176},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {9, 352, 163},	// Akonadi::AgentInstanceWidget::metaObject
    {9, 384, 169},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {9, 386, 164},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {9, 408, 172},	// Akonadi::AgentInstanceWidget::selectedAgentInstances
    {9, 468, 180},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {9, 485, 177},	// Akonadi::AgentInstanceWidget::tr$
    {9, 486, 165},	// Akonadi::AgentInstanceWidget::tr$$
    {9, 487, 167},	// Akonadi::AgentInstanceWidget::tr$$$
    {9, 489, 178},	// Akonadi::AgentInstanceWidget::trUtf8$
    {9, 490, 166},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {9, 491, 168},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {9, 500, 174},	// Akonadi::AgentInstanceWidget::view
    {9, 513, 181},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {10, 307, 193},	// Akonadi::AgentManager::instance$
    {10, 309, 198},	// Akonadi::AgentManager::instanceAdded#
    {10, 311, 203},	// Akonadi::AgentManager::instanceError#$
    {10, 313, 202},	// Akonadi::AgentManager::instanceNameChanged#
    {10, 315, 205},	// Akonadi::AgentManager::instanceOnline#$
    {10, 317, 201},	// Akonadi::AgentManager::instanceProgressChanged#
    {10, 319, 199},	// Akonadi::AgentManager::instanceRemoved#
    {10, 321, 200},	// Akonadi::AgentManager::instanceStatusChanged#
    {10, 323, 204},	// Akonadi::AgentManager::instanceWarning#$
    {10, 324, 192},	// Akonadi::AgentManager::instances
    {10, 352, 182},	// Akonadi::AgentManager::metaObject
    {10, 384, 188},	// Akonadi::AgentManager::qt_metacall$$?
    {10, 386, 183},	// Akonadi::AgentManager::qt_metacast$
    {10, 398, 194},	// Akonadi::AgentManager::removeInstance#
    {10, 409, 189},	// Akonadi::AgentManager::self
    {10, 468, 208},	// Akonadi::AgentManager::staticMetaObject
    {10, 480, 195},	// Akonadi::AgentManager::synchronizeCollection#
    {10, 485, 206},	// Akonadi::AgentManager::tr$
    {10, 486, 184},	// Akonadi::AgentManager::tr$$
    {10, 487, 186},	// Akonadi::AgentManager::tr$$$
    {10, 489, 207},	// Akonadi::AgentManager::trUtf8$
    {10, 490, 185},	// Akonadi::AgentManager::trUtf8$$
    {10, 491, 187},	// Akonadi::AgentManager::trUtf8$$$
    {10, 493, 191},	// Akonadi::AgentManager::type$
    {10, 495, 196},	// Akonadi::AgentManager::typeAdded#
    {10, 497, 197},	// Akonadi::AgentManager::typeRemoved#
    {10, 498, 190},	// Akonadi::AgentManager::types
    {10, 514, 209},	// Akonadi::AgentManager::~AgentManager
    {11, 19, 210},	// Akonadi::AgentType::AgentType
    {11, 20, 211},	// Akonadi::AgentType::AgentType#
    {11, 208, 219},	// Akonadi::AgentType::capabilities
    {11, 248, 215},	// Akonadi::AgentType::description
    {11, 294, 217},	// Akonadi::AgentType::icon
    {11, 295, 216},	// Akonadi::AgentType::iconName
    {11, 297, 213},	// Akonadi::AgentType::identifier
    {11, 327, 212},	// Akonadi::AgentType::isValid
    {11, 356, 218},	// Akonadi::AgentType::mimeTypes
    {11, 363, 214},	// Akonadi::AgentType::name
    {11, 369, 220},	// Akonadi::AgentType::operator=#
    {11, 371, 221},	// Akonadi::AgentType::operator==#
    {11, 515, 222},	// Akonadi::AgentType::~AgentType
    {12, 21, 236},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {12, 22, 230},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {12, 196, 232},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {12, 200, 231},	// Akonadi::AgentTypeDialog::agentType
    {12, 259, 233},	// Akonadi::AgentTypeDialog::done$
    {12, 352, 223},	// Akonadi::AgentTypeDialog::metaObject
    {12, 384, 229},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {12, 386, 224},	// Akonadi::AgentTypeDialog::qt_metacast$
    {12, 468, 237},	// Akonadi::AgentTypeDialog::staticMetaObject
    {12, 485, 234},	// Akonadi::AgentTypeDialog::tr$
    {12, 486, 225},	// Akonadi::AgentTypeDialog::tr$$
    {12, 487, 227},	// Akonadi::AgentTypeDialog::tr$$$
    {12, 489, 235},	// Akonadi::AgentTypeDialog::trUtf8$
    {12, 490, 226},	// Akonadi::AgentTypeDialog::trUtf8$$
    {12, 491, 228},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {12, 516, 238},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {13, 23, 255},	// Akonadi::AgentTypeModel::AgentTypeModel
    {13, 24, 246},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {13, 47, 265},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {13, 54, 263},	// Akonadi::AgentTypeModel::DescriptionRole
    {13, 68, 262},	// Akonadi::AgentTypeModel::IdentifierRole
    {13, 76, 264},	// Akonadi::AgentTypeModel::MimeTypesRole
    {13, 109, 261},	// Akonadi::AgentTypeModel::TypeRole
    {13, 114, 266},	// Akonadi::AgentTypeModel::UserRole
    {13, 227, 256},	// Akonadi::AgentTypeModel::columnCount
    {13, 228, 247},	// Akonadi::AgentTypeModel::columnCount#
    {13, 246, 258},	// Akonadi::AgentTypeModel::data#
    {13, 247, 249},	// Akonadi::AgentTypeModel::data#$
    {13, 279, 252},	// Akonadi::AgentTypeModel::flags#
    {13, 299, 259},	// Akonadi::AgentTypeModel::index$$
    {13, 300, 250},	// Akonadi::AgentTypeModel::index$$#
    {13, 352, 239},	// Akonadi::AgentTypeModel::metaObject
    {13, 376, 251},	// Akonadi::AgentTypeModel::parent#
    {13, 384, 245},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {13, 386, 240},	// Akonadi::AgentTypeModel::qt_metacast$
    {13, 406, 257},	// Akonadi::AgentTypeModel::rowCount
    {13, 407, 248},	// Akonadi::AgentTypeModel::rowCount#
    {13, 468, 260},	// Akonadi::AgentTypeModel::staticMetaObject
    {13, 485, 253},	// Akonadi::AgentTypeModel::tr$
    {13, 486, 241},	// Akonadi::AgentTypeModel::tr$$
    {13, 487, 243},	// Akonadi::AgentTypeModel::tr$$$
    {13, 489, 254},	// Akonadi::AgentTypeModel::trUtf8$
    {13, 490, 242},	// Akonadi::AgentTypeModel::trUtf8$$
    {13, 491, 244},	// Akonadi::AgentTypeModel::trUtf8$$$
    {13, 517, 267},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {14, 25, 282},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {14, 26, 275},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {14, 189, 279},	// Akonadi::AgentTypeWidget::activated
    {14, 196, 277},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {14, 240, 276},	// Akonadi::AgentTypeWidget::currentAgentType
    {14, 242, 278},	// Akonadi::AgentTypeWidget::currentChanged##
    {14, 352, 268},	// Akonadi::AgentTypeWidget::metaObject
    {14, 384, 274},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {14, 386, 269},	// Akonadi::AgentTypeWidget::qt_metacast$
    {14, 468, 283},	// Akonadi::AgentTypeWidget::staticMetaObject
    {14, 485, 280},	// Akonadi::AgentTypeWidget::tr$
    {14, 486, 270},	// Akonadi::AgentTypeWidget::tr$$
    {14, 487, 272},	// Akonadi::AgentTypeWidget::tr$$$
    {14, 489, 281},	// Akonadi::AgentTypeWidget::trUtf8$
    {14, 490, 271},	// Akonadi::AgentTypeWidget::trUtf8$$
    {14, 491, 273},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {14, 518, 284},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {15, 30, 289},	// Akonadi::Attribute::Attribute
    {15, 31, 290},	// Akonadi::Attribute::Attribute#
    {15, 216, 286},	// Akonadi::Attribute::clone
    {15, 250, 288},	// Akonadi::Attribute::deserialize#
    {15, 410, 287},	// Akonadi::Attribute::serialized
    {15, 492, 285},	// Akonadi::Attribute::type
    {15, 519, 291},	// Akonadi::Attribute::~Attribute
    {16, 32, 293},	// Akonadi::AttributeFactory::AttributeFactory
    {16, 33, 294},	// Akonadi::AttributeFactory::AttributeFactory#
    {16, 238, 292},	// Akonadi::AttributeFactory::createAttribute#
    {16, 520, 295},	// Akonadi::AttributeFactory::~AttributeFactory
    {17, 36, 296},	// Akonadi::CachePolicy::CachePolicy
    {17, 37, 297},	// Akonadi::CachePolicy::CachePolicy#
    {17, 206, 302},	// Akonadi::CachePolicy::cacheTimeout
    {17, 301, 298},	// Akonadi::CachePolicy::inheritFromParent
    {17, 325, 304},	// Akonadi::CachePolicy::intervalCheckTime
    {17, 346, 300},	// Akonadi::CachePolicy::localParts
    {17, 369, 308},	// Akonadi::CachePolicy::operator=#
    {17, 371, 309},	// Akonadi::CachePolicy::operator==#
    {17, 416, 303},	// Akonadi::CachePolicy::setCacheTimeout$
    {17, 426, 299},	// Akonadi::CachePolicy::setInheritFromParent$
    {17, 428, 305},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {17, 433, 301},	// Akonadi::CachePolicy::setLocalParts?
    {17, 460, 307},	// Akonadi::CachePolicy::setSyncOnDemand$
    {17, 477, 306},	// Akonadi::CachePolicy::syncOnDemand
    {17, 521, 310},	// Akonadi::CachePolicy::~CachePolicy
    {19, 27, 344},	// Akonadi::Collection::AllRights
    {19, 38, 339},	// Akonadi::Collection::CanChangeCollection
    {19, 39, 336},	// Akonadi::Collection::CanChangeItem
    {19, 40, 340},	// Akonadi::Collection::CanCreateCollection
    {19, 41, 337},	// Akonadi::Collection::CanCreateItem
    {19, 42, 341},	// Akonadi::Collection::CanDeleteCollection
    {19, 43, 338},	// Akonadi::Collection::CanDeleteItem
    {19, 44, 342},	// Akonadi::Collection::CanLinkItem
    {19, 45, 343},	// Akonadi::Collection::CanUnlinkItem
    {19, 49, 311},	// Akonadi::Collection::Collection
    {19, 50, 313},	// Akonadi::Collection::Collection#
    {19, 51, 312},	// Akonadi::Collection::Collection?
    {19, 100, 335},	// Akonadi::Collection::ReadOnly
    {19, 205, 330},	// Akonadi::Collection::cachePolicy
    {19, 235, 319},	// Akonadi::Collection::contentMimeTypes
    {19, 285, 314},	// Akonadi::Collection::fromUrl#
    {19, 355, 327},	// Akonadi::Collection::mimeType
    {19, 363, 315},	// Akonadi::Collection::name
    {19, 375, 321},	// Akonadi::Collection::parent
    {19, 378, 324},	// Akonadi::Collection::parentRemoteId
    {19, 401, 328},	// Akonadi::Collection::resource
    {19, 404, 317},	// Akonadi::Collection::rights
    {19, 405, 326},	// Akonadi::Collection::root
    {19, 414, 331},	// Akonadi::Collection::setCachePolicy#
    {19, 419, 320},	// Akonadi::Collection::setContentMimeTypes?
    {19, 435, 316},	// Akonadi::Collection::setName$
    {19, 441, 323},	// Akonadi::Collection::setParent#
    {19, 442, 322},	// Akonadi::Collection::setParent?
    {19, 446, 325},	// Akonadi::Collection::setParentRemoteId$
    {19, 453, 329},	// Akonadi::Collection::setResource$
    {19, 455, 318},	// Akonadi::Collection::setRights$
    {19, 458, 333},	// Akonadi::Collection::setStatistics#
    {19, 469, 332},	// Akonadi::Collection::statistics
    {19, 499, 334},	// Akonadi::Collection::url
    {19, 522, 345},	// Akonadi::Collection::~Collection
    {21, 2, 369},	// Akonadi::Entity::AddIfMissing
    {21, 61, -7},	// Akonadi::Entity::Entity#
    {21, 191, 359},	// Akonadi::Entity::addAttribute#
    {21, 202, 364},	// Akonadi::Entity::attribute#
    {21, 203, 362},	// Akonadi::Entity::attributes
    {21, 214, 363},	// Akonadi::Entity::clearAttributes
    {21, 244, -10},	// Akonadi::Entity::d_func
    {21, 287, 361},	// Akonadi::Entity::hasAttribute#
    {21, 296, 347},	// Akonadi::Entity::id
    {21, 327, 352},	// Akonadi::Entity::isValid
    {21, 367, 354},	// Akonadi::Entity::operator!=#
    {21, 369, 355},	// Akonadi::Entity::operator=#
    {21, 371, 353},	// Akonadi::Entity::operator==#
    {21, 377, -13},	// Akonadi::Entity::parentCollection
    {21, 392, 349},	// Akonadi::Entity::remoteId
    {21, 393, 351},	// Akonadi::Entity::remoteRevision
    {21, 395, 360},	// Akonadi::Entity::removeAttribute#
    {21, 424, 346},	// Akonadi::Entity::setId?
    {21, 444, 358},	// Akonadi::Entity::setParentCollection#
    {21, 449, 348},	// Akonadi::Entity::setRemoteId$
    {21, 451, 350},	// Akonadi::Entity::setRemoteRevision$
    {21, 523, 370},	// Akonadi::Entity::~Entity
    {23, 63, -16},	// Akonadi::Exception::Exception#
    {23, 64, -19},	// Akonadi::Exception::Exception$
    {23, 492, 376},	// Akonadi::Exception::type
    {23, 503, 375},	// Akonadi::Exception::what
    {23, 524, 377},	// Akonadi::Exception::~Exception
    {25, 91, -1},	// Akonadi::PayloadException::PayloadException#
    {25, 92, -4},	// Akonadi::PayloadException::PayloadException$
    {25, 492, 381},	// Akonadi::PayloadException::type
    {25, 527, 383},	// Akonadi::PayloadException::~PayloadException
    {51, 94, 498},	// QGlobalSpace::QtCriticalMsg
    {51, 95, 496},	// QGlobalSpace::QtDebugMsg
    {51, 96, 499},	// QGlobalSpace::QtFatalMsg
    {51, 97, 500},	// QGlobalSpace::QtSystemMsg
    {51, 98, 497},	// QGlobalSpace::QtWarningMsg
    {51, 116, 434},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {51, 117, 435},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {51, 118, 442},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {51, 119, 443},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {51, 120, 444},	// QGlobalSpace::_CS_LFS64_LIBS
    {51, 121, 445},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {51, 122, 438},	// QGlobalSpace::_CS_LFS_CFLAGS
    {51, 123, 439},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {51, 124, 440},	// QGlobalSpace::_CS_LFS_LIBS
    {51, 125, 441},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {51, 126, 432},	// QGlobalSpace::_CS_PATH
    {51, 127, 462},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {51, 128, 463},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {51, 129, 464},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {51, 130, 465},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {51, 131, 466},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {51, 132, 467},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {51, 133, 468},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {51, 134, 469},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {51, 135, 470},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {51, 136, 471},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {51, 137, 472},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {51, 138, 473},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {51, 139, 474},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {51, 140, 475},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {51, 141, 476},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {51, 142, 477},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {51, 143, 478},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {51, 144, 479},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {51, 145, 480},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {51, 146, 481},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {51, 147, 482},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {51, 148, 483},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {51, 149, 484},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {51, 150, 485},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {51, 151, 486},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {51, 152, 487},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {51, 153, 488},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {51, 154, 489},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {51, 155, 490},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {51, 156, 491},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {51, 157, 492},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {51, 158, 493},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {51, 159, 436},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {51, 160, 494},	// QGlobalSpace::_CS_V6_ENV
    {51, 161, 433},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {51, 162, 495},	// QGlobalSpace::_CS_V7_ENV
    {51, 163, 437},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {51, 164, 446},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {51, 165, 447},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {51, 166, 448},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {51, 167, 449},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {51, 168, 450},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {51, 169, 451},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {51, 170, 452},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {51, 171, 453},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {51, 172, 454},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {51, 173, 455},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {51, 174, 456},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {51, 175, 457},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {51, 176, 458},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {51, 177, 459},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {51, 178, 460},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {51, 179, 461},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {51, 180, 503},	// QGlobalSpace::__codecvt_error
    {51, 181, 504},	// QGlobalSpace::__codecvt_noconv
    {51, 182, 501},	// QGlobalSpace::__codecvt_ok
    {51, 183, 502},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 79,
        __smokeakonadi::methods, 586,
        __smokeakonadi::methodMaps, 450,
        __smokeakonadi::methodNames, 527,
        __smokeakonadi::types, 224,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
