#include <ktexteditor_includes.h>

#include <smoke.h>
#include <ktexteditor_smoke.h>

namespace __smokektexteditor {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAction
      switch(to) {
        case 2: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 3:   //KActionCollection
      switch(to) {
        case 3: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 4:   //KCharsets
      switch(to) {
        case 4: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 5:   //KCompletion
      switch(to) {
        case 5: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 6:   //KComponentData
      switch(to) {
        case 6: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 7:   //KConfig
      switch(to) {
        case 7: return (void*)(KConfig*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigGroup
      switch(to) {
        case 8: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 9:   //KIcon
      switch(to) {
        case 9: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 10:   //KLocale
      switch(to) {
        case 10: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 11:   //KParts::Factory
      switch(to) {
        case 20: return (void*)(KPluginFactory*)(KParts::Factory*)xptr;
        case 101: return (void*)(QObject*)(KParts::Factory*)xptr;
        case 11: return (void*)(KParts::Factory*)xptr;
        case 43: return (void*)(KTextEditor::Factory*)(KParts::Factory*)xptr;
        default: return xptr;
      }
    case 12:   //KParts::GUIActivateEvent
      switch(to) {
        case 12: return (void*)(KParts::GUIActivateEvent*)xptr;
        default: return xptr;
      }
    case 13:   //KParts::Part
      switch(to) {
        case 101: return (void*)(QObject*)(KParts::Part*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
        case 70: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
        case 13: return (void*)(KParts::Part*)xptr;
        case 40: return (void*)(KTextEditor::Document*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 14:   //KParts::PartActivateEvent
      switch(to) {
        case 14: return (void*)(KParts::PartActivateEvent*)xptr;
        default: return xptr;
      }
    case 15:   //KParts::PartBase
      switch(to) {
        case 70: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
        case 15: return (void*)(KParts::PartBase*)xptr;
        case 40: return (void*)(KTextEditor::Document*)(KParts::PartBase*)xptr;
        default: return xptr;
      }
    case 16:   //KParts::PartManager
      switch(to) {
        case 16: return (void*)(KParts::PartManager*)xptr;
        default: return xptr;
      }
    case 17:   //KParts::PartSelectEvent
      switch(to) {
        case 17: return (void*)(KParts::PartSelectEvent*)xptr;
        default: return xptr;
      }
    case 18:   //KParts::ReadOnlyPart
      switch(to) {
        case 13: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
        case 101: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
        case 70: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
        case 18: return (void*)(KParts::ReadOnlyPart*)xptr;
        case 40: return (void*)(KTextEditor::Document*)(KParts::ReadOnlyPart*)xptr;
        default: return xptr;
      }
    case 19:   //KParts::ReadWritePart
      switch(to) {
        case 18: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadWritePart*)xptr;
        case 13: return (void*)(KParts::Part*)(KParts::ReadWritePart*)xptr;
        case 101: return (void*)(QObject*)(KParts::ReadWritePart*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KParts::ReadWritePart*)xptr;
        case 70: return (void*)(KXMLGUIClient*)(KParts::ReadWritePart*)xptr;
        case 19: return (void*)(KParts::ReadWritePart*)xptr;
        case 40: return (void*)(KTextEditor::Document*)(KParts::ReadWritePart*)xptr;
        default: return xptr;
      }
    case 20:   //KPluginFactory
      switch(to) {
        case 101: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 20: return (void*)(KPluginFactory*)xptr;
        case 43: return (void*)(KTextEditor::Factory*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 21:   //KStandardDirs
      switch(to) {
        case 21: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 23:   //KTextEditor::AnnotationInterface
      switch(to) {
        case 23: return (void*)(KTextEditor::AnnotationInterface*)xptr;
        case 25: return (void*)(KTextEditor::AnnotationViewInterface*)(KTextEditor::AnnotationInterface*)xptr;
        default: return xptr;
      }
    case 24:   //KTextEditor::AnnotationModel
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::AnnotationModel*)xptr;
        case 24: return (void*)(KTextEditor::AnnotationModel*)xptr;
        default: return xptr;
      }
    case 25:   //KTextEditor::AnnotationViewInterface
      switch(to) {
        case 23: return (void*)(KTextEditor::AnnotationInterface*)(KTextEditor::AnnotationViewInterface*)xptr;
        case 25: return (void*)(KTextEditor::AnnotationViewInterface*)xptr;
        default: return xptr;
      }
    case 26:   //KTextEditor::Attribute
      switch(to) {
        case 114: return (void*)(QTextCharFormat*)(KTextEditor::Attribute*)xptr;
        case 109: return (void*)(QSharedData*)(KTextEditor::Attribute*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)xptr;
        default: return xptr;
      }
    case 27:   //KTextEditor::CodeCompletionInterface
      switch(to) {
        case 27: return (void*)(KTextEditor::CodeCompletionInterface*)xptr;
        default: return xptr;
      }
    case 28:   //KTextEditor::CodeCompletionModel
      switch(to) {
        case 71: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::CodeCompletionModel*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(KTextEditor::CodeCompletionModel*)xptr;
        default: return xptr;
      }
    case 29:   //KTextEditor::CodeCompletionModel2
      switch(to) {
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 71: return (void*)(QAbstractItemModel*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::CodeCompletionModel2*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)xptr;
        default: return xptr;
      }
    case 30:   //KTextEditor::CodeCompletionModelControllerInterface
      switch(to) {
        case 30: return (void*)(KTextEditor::CodeCompletionModelControllerInterface*)xptr;
        case 31: return (void*)(KTextEditor::CodeCompletionModelControllerInterface2*)(KTextEditor::CodeCompletionModelControllerInterface*)xptr;
        default: return xptr;
      }
    case 31:   //KTextEditor::CodeCompletionModelControllerInterface2
      switch(to) {
        case 30: return (void*)(KTextEditor::CodeCompletionModelControllerInterface*)(KTextEditor::CodeCompletionModelControllerInterface2*)xptr;
        case 31: return (void*)(KTextEditor::CodeCompletionModelControllerInterface2*)xptr;
        default: return xptr;
      }
    case 32:   //KTextEditor::Command
      switch(to) {
        case 32: return (void*)(KTextEditor::Command*)xptr;
        default: return xptr;
      }
    case 33:   //KTextEditor::CommandExtension
      switch(to) {
        case 33: return (void*)(KTextEditor::CommandExtension*)xptr;
        default: return xptr;
      }
    case 34:   //KTextEditor::CommandInterface
      switch(to) {
        case 34: return (void*)(KTextEditor::CommandInterface*)xptr;
        default: return xptr;
      }
    case 35:   //KTextEditor::ConfigInterface
      switch(to) {
        case 35: return (void*)(KTextEditor::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 36:   //KTextEditor::ConfigPage
      switch(to) {
        case 118: return (void*)(QWidget*)(KTextEditor::ConfigPage*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::ConfigPage*)xptr;
        case 36: return (void*)(KTextEditor::ConfigPage*)xptr;
        default: return xptr;
      }
    case 37:   //KTextEditor::ContainerInterface
      switch(to) {
        case 37: return (void*)(KTextEditor::ContainerInterface*)xptr;
        default: return xptr;
      }
    case 38:   //KTextEditor::CoordinatesToCursorInterface
      switch(to) {
        case 38: return (void*)(KTextEditor::CoordinatesToCursorInterface*)xptr;
        default: return xptr;
      }
    case 39:   //KTextEditor::Cursor
      switch(to) {
        case 39: return (void*)(KTextEditor::Cursor*)xptr;
        case 57: return (void*)(KTextEditor::SmartCursor*)(KTextEditor::Cursor*)xptr;
        default: return xptr;
      }
    case 40:   //KTextEditor::Document
      switch(to) {
        case 19: return (void*)(KParts::ReadWritePart*)(KTextEditor::Document*)xptr;
        case 18: return (void*)(KParts::ReadOnlyPart*)(KTextEditor::Document*)xptr;
        case 13: return (void*)(KParts::Part*)(KTextEditor::Document*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::Document*)xptr;
        case 15: return (void*)(KParts::PartBase*)(KTextEditor::Document*)xptr;
        case 70: return (void*)(KXMLGUIClient*)(KTextEditor::Document*)xptr;
        case 40: return (void*)(KTextEditor::Document*)xptr;
        default: return xptr;
      }
    case 41:   //KTextEditor::Editor
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::Editor*)xptr;
        case 41: return (void*)(KTextEditor::Editor*)xptr;
        default: return xptr;
      }
    case 42:   //KTextEditor::EditorChooser
      switch(to) {
        case 118: return (void*)(QWidget*)(KTextEditor::EditorChooser*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::EditorChooser*)xptr;
        case 42: return (void*)(KTextEditor::EditorChooser*)xptr;
        default: return xptr;
      }
    case 43:   //KTextEditor::Factory
      switch(to) {
        case 11: return (void*)(KParts::Factory*)(KTextEditor::Factory*)xptr;
        case 20: return (void*)(KPluginFactory*)(KTextEditor::Factory*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::Factory*)xptr;
        case 43: return (void*)(KTextEditor::Factory*)xptr;
        default: return xptr;
      }
    case 44:   //KTextEditor::HighlightInterface
      switch(to) {
        case 44: return (void*)(KTextEditor::HighlightInterface*)xptr;
        default: return xptr;
      }
    case 45:   //KTextEditor::HighlightInterface::AttributeBlock
      switch(to) {
        case 45: return (void*)(KTextEditor::HighlightInterface::AttributeBlock*)xptr;
        default: return xptr;
      }
    case 46:   //KTextEditor::LoadSaveFilterCheckPlugin
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::LoadSaveFilterCheckPlugin*)xptr;
        case 46: return (void*)(KTextEditor::LoadSaveFilterCheckPlugin*)xptr;
        default: return xptr;
      }
    case 47:   //KTextEditor::Mark
      switch(to) {
        case 47: return (void*)(KTextEditor::Mark*)xptr;
        default: return xptr;
      }
    case 48:   //KTextEditor::MarkInterface
      switch(to) {
        case 48: return (void*)(KTextEditor::MarkInterface*)xptr;
        default: return xptr;
      }
    case 49:   //KTextEditor::MdiContainer
      switch(to) {
        case 49: return (void*)(KTextEditor::MdiContainer*)xptr;
        default: return xptr;
      }
    case 50:   //KTextEditor::ModificationInterface
      switch(to) {
        case 50: return (void*)(KTextEditor::ModificationInterface*)xptr;
        default: return xptr;
      }
    case 51:   //KTextEditor::ParameterizedSessionConfigInterface
      switch(to) {
        case 51: return (void*)(KTextEditor::ParameterizedSessionConfigInterface*)xptr;
        default: return xptr;
      }
    case 52:   //KTextEditor::Plugin
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::Plugin*)xptr;
        case 52: return (void*)(KTextEditor::Plugin*)xptr;
        default: return xptr;
      }
    case 53:   //KTextEditor::Range
      switch(to) {
        case 53: return (void*)(KTextEditor::Range*)xptr;
        case 61: return (void*)(KTextEditor::SmartRange*)(KTextEditor::Range*)xptr;
        default: return xptr;
      }
    case 54:   //KTextEditor::RangeCommand
      switch(to) {
        case 54: return (void*)(KTextEditor::RangeCommand*)xptr;
        default: return xptr;
      }
    case 55:   //KTextEditor::SearchInterface
      switch(to) {
        case 55: return (void*)(KTextEditor::SearchInterface*)xptr;
        default: return xptr;
      }
    case 56:   //KTextEditor::SessionConfigInterface
      switch(to) {
        case 56: return (void*)(KTextEditor::SessionConfigInterface*)xptr;
        default: return xptr;
      }
    case 57:   //KTextEditor::SmartCursor
      switch(to) {
        case 39: return (void*)(KTextEditor::Cursor*)(KTextEditor::SmartCursor*)xptr;
        case 57: return (void*)(KTextEditor::SmartCursor*)xptr;
        default: return xptr;
      }
    case 58:   //KTextEditor::SmartCursorNotifier
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::SmartCursorNotifier*)xptr;
        case 58: return (void*)(KTextEditor::SmartCursorNotifier*)xptr;
        default: return xptr;
      }
    case 59:   //KTextEditor::SmartCursorWatcher
      switch(to) {
        case 59: return (void*)(KTextEditor::SmartCursorWatcher*)xptr;
        default: return xptr;
      }
    case 60:   //KTextEditor::SmartInterface
      switch(to) {
        case 60: return (void*)(KTextEditor::SmartInterface*)xptr;
        default: return xptr;
      }
    case 61:   //KTextEditor::SmartRange
      switch(to) {
        case 53: return (void*)(KTextEditor::Range*)(KTextEditor::SmartRange*)xptr;
        case 61: return (void*)(KTextEditor::SmartRange*)xptr;
        default: return xptr;
      }
    case 62:   //KTextEditor::SmartRangeNotifier
      switch(to) {
        case 101: return (void*)(QObject*)(KTextEditor::SmartRangeNotifier*)xptr;
        case 62: return (void*)(KTextEditor::SmartRangeNotifier*)xptr;
        default: return xptr;
      }
    case 63:   //KTextEditor::SmartRangeWatcher
      switch(to) {
        case 63: return (void*)(KTextEditor::SmartRangeWatcher*)xptr;
        default: return xptr;
      }
    case 64:   //KTextEditor::TemplateInterface
      switch(to) {
        case 64: return (void*)(KTextEditor::TemplateInterface*)xptr;
        default: return xptr;
      }
    case 65:   //KTextEditor::TextHintInterface
      switch(to) {
        case 65: return (void*)(KTextEditor::TextHintInterface*)xptr;
        default: return xptr;
      }
    case 66:   //KTextEditor::VariableInterface
      switch(to) {
        case 66: return (void*)(KTextEditor::VariableInterface*)xptr;
        default: return xptr;
      }
    case 67:   //KTextEditor::View
      switch(to) {
        case 118: return (void*)(QWidget*)(KTextEditor::View*)xptr;
        case 101: return (void*)(QObject*)(KTextEditor::View*)xptr;
        case 70: return (void*)(KXMLGUIClient*)(KTextEditor::View*)xptr;
        case 67: return (void*)(KTextEditor::View*)xptr;
        default: return xptr;
      }
    case 68:   //KTextEditor::ViewBarContainer
      switch(to) {
        case 68: return (void*)(KTextEditor::ViewBarContainer*)xptr;
        default: return xptr;
      }
    case 69:   //KUrl
      switch(to) {
        case 69: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 70:   //KXMLGUIClient
      switch(to) {
        case 70: return (void*)(KXMLGUIClient*)xptr;
        case 40: return (void*)dynamic_cast<KTextEditor::Document*>((KXMLGUIClient*)xptr);
        case 67: return (void*)(KTextEditor::View*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 71:   //QAbstractItemModel
      switch(to) {
        case 101: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 71: return (void*)(QAbstractItemModel*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(QAbstractItemModel*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 72:   //QAction
      switch(to) {
        case 72: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 73:   //QActionEvent
      switch(to) {
        case 73: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QBool
      switch(to) {
        case 74: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 75:   //QBrush
      switch(to) {
        case 75: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 76:   //QChar
      switch(to) {
        case 76: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 77:   //QChildEvent
      switch(to) {
        case 86: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 77: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QCloseEvent
      switch(to) {
        case 78: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QContextMenuEvent
      switch(to) {
        case 79: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QDomDocument
      switch(to) {
        case 80: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 81:   //QDomElement
      switch(to) {
        case 81: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 82:   //QDragEnterEvent
      switch(to) {
        case 82: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QDragLeaveEvent
      switch(to) {
        case 83: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 84:   //QDragMoveEvent
      switch(to) {
        case 84: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QDropEvent
      switch(to) {
        case 85: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QEvent
      switch(to) {
        case 86: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 87:   //QFocusEvent
      switch(to) {
        case 87: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 88:   //QFont
      switch(to) {
        case 88: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 90:   //QHideEvent
      switch(to) {
        case 90: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 91:   //QIncompatibleFlag
      switch(to) {
        case 91: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 92:   //QInputMethodEvent
      switch(to) {
        case 92: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 93:   //QKeyEvent
      switch(to) {
        case 93: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QMenu
      switch(to) {
        case 94: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 95:   //QMetaObject
      switch(to) {
        case 95: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 96:   //QMimeData
      switch(to) {
        case 96: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 97:   //QModelIndex
      switch(to) {
        case 97: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 98:   //QMouseEvent
      switch(to) {
        case 98: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 99:   //QMoveEvent
      switch(to) {
        case 99: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 100:   //QMutex
      switch(to) {
        case 100: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 101:   //QObject
      switch(to) {
        case 101: return (void*)(QObject*)xptr;
        case 24: return (void*)(KTextEditor::AnnotationModel*)(QObject*)xptr;
        case 46: return (void*)(KTextEditor::LoadSaveFilterCheckPlugin*)(QObject*)xptr;
        case 43: return (void*)(KTextEditor::Factory*)(QObject*)xptr;
        case 52: return (void*)(KTextEditor::Plugin*)(QObject*)xptr;
        case 41: return (void*)(KTextEditor::Editor*)(QObject*)xptr;
        case 58: return (void*)(KTextEditor::SmartCursorNotifier*)(QObject*)xptr;
        case 29: return (void*)(KTextEditor::CodeCompletionModel2*)(QObject*)xptr;
        case 40: return (void*)(KTextEditor::Document*)(QObject*)xptr;
        case 28: return (void*)(KTextEditor::CodeCompletionModel*)(QObject*)xptr;
        case 42: return (void*)(KTextEditor::EditorChooser*)(QObject*)xptr;
        case 67: return (void*)(KTextEditor::View*)(QObject*)xptr;
        case 36: return (void*)(KTextEditor::ConfigPage*)(QObject*)xptr;
        case 62: return (void*)(KTextEditor::SmartRangeNotifier*)(QObject*)xptr;
        default: return xptr;
      }
    case 102:   //QPaintEngine
      switch(to) {
        case 102: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 103:   //QPaintEvent
      switch(to) {
        case 103: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 104:   //QPalette
      switch(to) {
        case 104: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 105:   //QPixmap
      switch(to) {
        case 105: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 106:   //QPoint
      switch(to) {
        case 106: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 107:   //QRegExp
      switch(to) {
        case 107: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 108:   //QResizeEvent
      switch(to) {
        case 108: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 109:   //QSharedData
      switch(to) {
        case 109: return (void*)(QSharedData*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 110:   //QShowEvent
      switch(to) {
        case 110: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 111:   //QSize
      switch(to) {
        case 111: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 112:   //QStyle
      switch(to) {
        case 112: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 113:   //QTabletEvent
      switch(to) {
        case 113: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 114:   //QTextCharFormat
      switch(to) {
        case 114: return (void*)(QTextCharFormat*)xptr;
        case 26: return (void*)(KTextEditor::Attribute*)(QTextCharFormat*)xptr;
        default: return xptr;
      }
    case 115:   //QTimerEvent
      switch(to) {
        case 86: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 115: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 116:   //QVariant
      switch(to) {
        case 116: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 117:   //QWheelEvent
      switch(to) {
        case 117: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 118:   //QWidget
      switch(to) {
        case 101: return (void*)(QObject*)(QWidget*)xptr;
        case 118: return (void*)(QWidget*)xptr;
        case 42: return (void*)(KTextEditor::EditorChooser*)(QWidget*)xptr;
        case 67: return (void*)(KTextEditor::View*)(QWidget*)xptr;
        case 36: return (void*)(KTextEditor::ConfigPage*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    101, 0,	// 1: QObject
    23, 0,	// 3: KTextEditor::AnnotationInterface
    114, 109, 0,	// 5: QTextCharFormat, QSharedData
    71, 0,	// 8: QAbstractItemModel
    28, 0,	// 10: KTextEditor::CodeCompletionModel
    30, 0,	// 12: KTextEditor::CodeCompletionModelControllerInterface
    118, 0,	// 14: QWidget
    19, 0,	// 16: KParts::ReadWritePart
    11, 0,	// 18: KParts::Factory
    39, 0,	// 20: KTextEditor::Cursor
    53, 0,	// 22: KTextEditor::Range
    118, 70, 0,	// 24: QWidget, KXMLGUIClient
};

// These are the xenum functions for manipulating enum pointers
void xenum_KTextEditor__MarkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ModificationInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartCursor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__HighlightInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__Attribute(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ViewBarContainer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__SmartRange(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__View(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__ParameterizedSessionConfigInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KTextEditor__CodeCompletionModelControllerInterface2(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KTextEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__AnnotationViewInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModel2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModelControllerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CodeCompletionModelControllerInterface2(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Command(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandExtension(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CommandInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ConfigPage(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ContainerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__CoordinatesToCursorInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Cursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Editor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__EditorChooser(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Factory(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__HighlightInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__HighlightInterface__AttributeBlock(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__LoadSaveFilterCheckPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Mark(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MarkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__MdiContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ModificationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ParameterizedSessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Plugin(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__RangeCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SearchInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SessionConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursor(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartCursorWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRange(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeNotifier(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__SmartRangeWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TemplateInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__TextHintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__VariableInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__View(Smoke::Index, void*, Smoke::Stack);
void xcall_KTextEditor__ViewBarContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", true, 0, 0, 0, 0, 0 },	//1
    { "KAction", true, 0, 0, 0, 0, 0 },	//2
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//3
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//4
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//5
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//6
    { "KConfig", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//8
    { "KIcon", true, 0, 0, 0, 0, 0 },	//9
    { "KLocale", true, 0, 0, 0, 0, 0 },	//10
    { "KParts::Factory", true, 0, 0, 0, 0, 0 },	//11
    { "KParts::GUIActivateEvent", true, 0, 0, 0, 0, 0 },	//12
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//13
    { "KParts::PartActivateEvent", true, 0, 0, 0, 0, 0 },	//14
    { "KParts::PartBase", true, 0, 0, 0, 0, 0 },	//15
    { "KParts::PartManager", true, 0, 0, 0, 0, 0 },	//16
    { "KParts::PartSelectEvent", true, 0, 0, 0, 0, 0 },	//17
    { "KParts::ReadOnlyPart", true, 0, 0, 0, 0, 0 },	//18
    { "KParts::ReadWritePart", true, 0, 0, 0, 0, 0 },	//19
    { "KPluginFactory", true, 0, 0, 0, 0, 0 },	//20
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//21
    { "KTextEditor", false, 0, xcall_KTextEditor, 0, Smoke::cf_namespace, 0 },	//22
    { "KTextEditor::AnnotationInterface", false, 0, xcall_KTextEditor__AnnotationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationInterface) },	//23
    { "KTextEditor::AnnotationModel", false, 1, xcall_KTextEditor__AnnotationModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationModel) },	//24
    { "KTextEditor::AnnotationViewInterface", false, 3, xcall_KTextEditor__AnnotationViewInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::AnnotationViewInterface) },	//25
    { "KTextEditor::Attribute", false, 5, xcall_KTextEditor__Attribute, xenum_KTextEditor__Attribute, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Attribute) },	//26
    { "KTextEditor::CodeCompletionInterface", false, 0, xcall_KTextEditor__CodeCompletionInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionInterface) },	//27
    { "KTextEditor::CodeCompletionModel", false, 8, xcall_KTextEditor__CodeCompletionModel, xenum_KTextEditor__CodeCompletionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel) },	//28
    { "KTextEditor::CodeCompletionModel2", false, 10, xcall_KTextEditor__CodeCompletionModel2, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModel2) },	//29
    { "KTextEditor::CodeCompletionModelControllerInterface", false, 0, xcall_KTextEditor__CodeCompletionModelControllerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModelControllerInterface) },	//30
    { "KTextEditor::CodeCompletionModelControllerInterface2", false, 12, xcall_KTextEditor__CodeCompletionModelControllerInterface2, xenum_KTextEditor__CodeCompletionModelControllerInterface2, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CodeCompletionModelControllerInterface2) },	//31
    { "KTextEditor::Command", false, 0, xcall_KTextEditor__Command, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Command) },	//32
    { "KTextEditor::CommandExtension", false, 0, xcall_KTextEditor__CommandExtension, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandExtension) },	//33
    { "KTextEditor::CommandInterface", false, 0, xcall_KTextEditor__CommandInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CommandInterface) },	//34
    { "KTextEditor::ConfigInterface", false, 0, xcall_KTextEditor__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ConfigInterface) },	//35
    { "KTextEditor::ConfigPage", false, 14, xcall_KTextEditor__ConfigPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::ConfigPage) },	//36
    { "KTextEditor::ContainerInterface", false, 0, xcall_KTextEditor__ContainerInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ContainerInterface) },	//37
    { "KTextEditor::CoordinatesToCursorInterface", false, 0, xcall_KTextEditor__CoordinatesToCursorInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::CoordinatesToCursorInterface) },	//38
    { "KTextEditor::Cursor", false, 0, xcall_KTextEditor__Cursor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Cursor) },	//39
    { "KTextEditor::Document", false, 16, xcall_KTextEditor__Document, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Document) },	//40
    { "KTextEditor::Editor", false, 1, xcall_KTextEditor__Editor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Editor) },	//41
    { "KTextEditor::EditorChooser", false, 14, xcall_KTextEditor__EditorChooser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::EditorChooser) },	//42
    { "KTextEditor::Factory", false, 18, xcall_KTextEditor__Factory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Factory) },	//43
    { "KTextEditor::HighlightInterface", false, 0, xcall_KTextEditor__HighlightInterface, xenum_KTextEditor__HighlightInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::HighlightInterface) },	//44
    { "KTextEditor::HighlightInterface::AttributeBlock", false, 0, xcall_KTextEditor__HighlightInterface__AttributeBlock, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTextEditor::HighlightInterface::AttributeBlock) },	//45
    { "KTextEditor::LoadSaveFilterCheckPlugin", false, 1, xcall_KTextEditor__LoadSaveFilterCheckPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::LoadSaveFilterCheckPlugin) },	//46
    { "KTextEditor::Mark", false, 0, xcall_KTextEditor__Mark, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTextEditor::Mark) },	//47
    { "KTextEditor::MarkInterface", false, 0, xcall_KTextEditor__MarkInterface, xenum_KTextEditor__MarkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MarkInterface) },	//48
    { "KTextEditor::MdiContainer", false, 0, xcall_KTextEditor__MdiContainer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::MdiContainer) },	//49
    { "KTextEditor::ModificationInterface", false, 0, xcall_KTextEditor__ModificationInterface, xenum_KTextEditor__ModificationInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ModificationInterface) },	//50
    { "KTextEditor::ParameterizedSessionConfigInterface", false, 0, xcall_KTextEditor__ParameterizedSessionConfigInterface, xenum_KTextEditor__ParameterizedSessionConfigInterface, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ParameterizedSessionConfigInterface) },	//51
    { "KTextEditor::Plugin", false, 1, xcall_KTextEditor__Plugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::Plugin) },	//52
    { "KTextEditor::Range", false, 0, xcall_KTextEditor__Range, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::Range) },	//53
    { "KTextEditor::RangeCommand", false, 0, xcall_KTextEditor__RangeCommand, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::RangeCommand) },	//54
    { "KTextEditor::SearchInterface", false, 0, xcall_KTextEditor__SearchInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SearchInterface) },	//55
    { "KTextEditor::SessionConfigInterface", false, 0, xcall_KTextEditor__SessionConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SessionConfigInterface) },	//56
    { "KTextEditor::SmartCursor", false, 20, xcall_KTextEditor__SmartCursor, xenum_KTextEditor__SmartCursor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursor) },	//57
    { "KTextEditor::SmartCursorNotifier", false, 1, xcall_KTextEditor__SmartCursorNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorNotifier) },	//58
    { "KTextEditor::SmartCursorWatcher", false, 0, xcall_KTextEditor__SmartCursorWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartCursorWatcher) },	//59
    { "KTextEditor::SmartInterface", false, 0, xcall_KTextEditor__SmartInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartInterface) },	//60
    { "KTextEditor::SmartRange", false, 22, xcall_KTextEditor__SmartRange, xenum_KTextEditor__SmartRange, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRange) },	//61
    { "KTextEditor::SmartRangeNotifier", false, 1, xcall_KTextEditor__SmartRangeNotifier, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeNotifier) },	//62
    { "KTextEditor::SmartRangeWatcher", false, 0, xcall_KTextEditor__SmartRangeWatcher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::SmartRangeWatcher) },	//63
    { "KTextEditor::TemplateInterface", false, 0, xcall_KTextEditor__TemplateInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TemplateInterface) },	//64
    { "KTextEditor::TextHintInterface", false, 0, xcall_KTextEditor__TextHintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::TextHintInterface) },	//65
    { "KTextEditor::VariableInterface", false, 0, xcall_KTextEditor__VariableInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::VariableInterface) },	//66
    { "KTextEditor::View", false, 24, xcall_KTextEditor__View, xenum_KTextEditor__View, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTextEditor::View) },	//67
    { "KTextEditor::ViewBarContainer", false, 0, xcall_KTextEditor__ViewBarContainer, xenum_KTextEditor__ViewBarContainer, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTextEditor::ViewBarContainer) },	//68
    { "KUrl", true, 0, 0, 0, 0, 0 },	//69
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//70
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//71
    { "QAction", true, 0, 0, 0, 0, 0 },	//72
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QBool", true, 0, 0, 0, 0, 0 },	//74
    { "QBrush", true, 0, 0, 0, 0, 0 },	//75
    { "QChar", true, 0, 0, 0, 0, 0 },	//76
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//80
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//81
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//83
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QEvent", true, 0, 0, 0, 0, 0 },	//86
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//87
    { "QFont", true, 0, 0, 0, 0, 0 },	//88
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//89
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//90
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//91
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//92
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QMenu", true, 0, 0, 0, 0, 0 },	//94
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//95
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//96
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//97
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//98
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//99
    { "QMutex", true, 0, 0, 0, 0, 0 },	//100
    { "QObject", true, 0, 0, 0, 0, 0 },	//101
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//102
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//103
    { "QPalette", true, 0, 0, 0, 0, 0 },	//104
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//105
    { "QPoint", true, 0, 0, 0, 0, 0 },	//106
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//107
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//108
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//109
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//110
    { "QSize", true, 0, 0, 0, 0, 0 },	//111
    { "QStyle", true, 0, 0, 0, 0, 0 },	//112
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//113
    { "QTextCharFormat", true, 0, 0, 0, 0, 0 },	//114
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//115
    { "QVariant", true, 0, 0, 0, 0, 0 },	//116
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//117
    { "QWidget", true, 0, 0, 0, 0, 0 },	//118
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 3, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KCompletion*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KComponentData", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "KConfig*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref },	//7
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "KIcon", 9, Smoke::t_class|Smoke::tf_stack },	//9
    { "KLocale*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KParts::GUIActivateEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KParts::Part*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KParts::PartActivateEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KParts::PartManager*", 16, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KParts::PartSelectEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//16
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "KSharedPtr<KTextEditor::Attribute>", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KSharedPtr<KTextEditor::Attribute>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "KStandardDirs*", 21, Smoke::t_class|Smoke::tf_ptr },	//20
    { "KSycocaFactoryId", 89, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KSycocaType", 89, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KTextEditor::AnnotationInterface*", 23, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KTextEditor::AnnotationModel*", 24, Smoke::t_class|Smoke::tf_ptr },	//24
    { "KTextEditor::AnnotationViewInterface*", 25, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KTextEditor::Attribute&", 26, Smoke::t_class|Smoke::tf_ref },	//26
    { "KTextEditor::Attribute*", 26, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KTextEditor::Attribute::ActivationType", 26, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KTextEditor::Attribute::CustomProperties", 26, Smoke::t_enum|Smoke::tf_stack },	//29
    { "KTextEditor::Attribute::Effect", 26, Smoke::t_enum|Smoke::tf_stack },	//30
    { "KTextEditor::Attribute::Effects::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//31
    { "KTextEditor::Attribute::Ptr", 0, Smoke::t_voidp|Smoke::tf_stack },	//32
    { "KTextEditor::CodeCompletionInterface*", 27, Smoke::t_class|Smoke::tf_ptr },	//33
    { "KTextEditor::CodeCompletionModel*", 28, Smoke::t_class|Smoke::tf_ptr },	//34
    { "KTextEditor::CodeCompletionModel2*", 29, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KTextEditor::CodeCompletionModel::Columns", 28, Smoke::t_enum|Smoke::tf_stack },	//36
    { "KTextEditor::CodeCompletionModel::CompletionProperties::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "KTextEditor::CodeCompletionModel::CompletionProperty", 28, Smoke::t_enum|Smoke::tf_stack },	//38
    { "KTextEditor::CodeCompletionModel::ExtraItemDataRoles", 28, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KTextEditor::CodeCompletionModel::HighlightMethod", 28, Smoke::t_enum|Smoke::tf_stack },	//40
    { "KTextEditor::CodeCompletionModel::HighlightMethods::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//41
    { "KTextEditor::CodeCompletionModel::InvocationType", 28, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KTextEditor::CodeCompletionModelControllerInterface*", 30, Smoke::t_class|Smoke::tf_ptr },	//43
    { "KTextEditor::CodeCompletionModelControllerInterface2*", 31, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KTextEditor::CodeCompletionModelControllerInterface2::MatchReaction", 31, Smoke::t_enum|Smoke::tf_stack },	//45
    { "KTextEditor::Command*", 32, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KTextEditor::CommandExtension*", 33, Smoke::t_class|Smoke::tf_ptr },	//47
    { "KTextEditor::CommandInterface*", 34, Smoke::t_class|Smoke::tf_ptr },	//48
    { "KTextEditor::ConfigInterface*", 35, Smoke::t_class|Smoke::tf_ptr },	//49
    { "KTextEditor::ConfigPage*", 36, Smoke::t_class|Smoke::tf_ptr },	//50
    { "KTextEditor::ContainerInterface*", 37, Smoke::t_class|Smoke::tf_ptr },	//51
    { "KTextEditor::CoordinatesToCursorInterface*", 38, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KTextEditor::Cursor", 39, Smoke::t_class|Smoke::tf_stack },	//53
    { "KTextEditor::Cursor&", 39, Smoke::t_class|Smoke::tf_ref },	//54
    { "KTextEditor::Cursor*", 39, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KTextEditor::Document*", 40, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KTextEditor::Editor*", 41, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KTextEditor::EditorChooser*", 42, Smoke::t_class|Smoke::tf_ptr },	//58
    { "KTextEditor::Factory*", 43, Smoke::t_class|Smoke::tf_ptr },	//59
    { "KTextEditor::HighlightInterface*", 44, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KTextEditor::HighlightInterface::AttributeBlock*", 45, Smoke::t_class|Smoke::tf_ptr },	//61
    { "KTextEditor::HighlightInterface::DefaultStyle", 44, Smoke::t_enum|Smoke::tf_stack },	//62
    { "KTextEditor::LoadSaveFilterCheckPlugin*", 46, Smoke::t_class|Smoke::tf_ptr },	//63
    { "KTextEditor::Mark", 47, Smoke::t_class|Smoke::tf_stack },	//64
    { "KTextEditor::Mark*", 47, Smoke::t_class|Smoke::tf_ptr },	//65
    { "KTextEditor::MarkInterface*", 48, Smoke::t_class|Smoke::tf_ptr },	//66
    { "KTextEditor::MarkInterface::MarkChangeAction", 48, Smoke::t_enum|Smoke::tf_stack },	//67
    { "KTextEditor::MarkInterface::MarkTypes", 48, Smoke::t_enum|Smoke::tf_stack },	//68
    { "KTextEditor::MdiContainer*", 49, Smoke::t_class|Smoke::tf_ptr },	//69
    { "KTextEditor::ModificationInterface*", 50, Smoke::t_class|Smoke::tf_ptr },	//70
    { "KTextEditor::ModificationInterface::ModifiedOnDiskReason", 50, Smoke::t_enum|Smoke::tf_stack },	//71
    { "KTextEditor::ParameterizedSessionConfigInterface*", 51, Smoke::t_class|Smoke::tf_ptr },	//72
    { "KTextEditor::ParameterizedSessionConfigInterface::SessionConfigParameter", 51, Smoke::t_enum|Smoke::tf_stack },	//73
    { "KTextEditor::Plugin*", 52, Smoke::t_class|Smoke::tf_ptr },	//74
    { "KTextEditor::Range", 53, Smoke::t_class|Smoke::tf_stack },	//75
    { "KTextEditor::Range&", 53, Smoke::t_class|Smoke::tf_ref },	//76
    { "KTextEditor::Range*", 53, Smoke::t_class|Smoke::tf_ptr },	//77
    { "KTextEditor::RangeCommand*", 54, Smoke::t_class|Smoke::tf_ptr },	//78
    { "KTextEditor::Search::SearchOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//79
    { "KTextEditor::Search::SearchOptionsEnum", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "KTextEditor::SearchInterface*", 55, Smoke::t_class|Smoke::tf_ptr },	//81
    { "KTextEditor::SessionConfigInterface*", 56, Smoke::t_class|Smoke::tf_ptr },	//82
    { "KTextEditor::SmartCursor&", 57, Smoke::t_class|Smoke::tf_ref },	//83
    { "KTextEditor::SmartCursor*", 57, Smoke::t_class|Smoke::tf_ptr },	//84
    { "KTextEditor::SmartCursor::AdvanceMode", 57, Smoke::t_enum|Smoke::tf_stack },	//85
    { "KTextEditor::SmartCursor::InsertBehavior", 57, Smoke::t_enum|Smoke::tf_stack },	//86
    { "KTextEditor::SmartCursorNotifier*", 58, Smoke::t_class|Smoke::tf_ptr },	//87
    { "KTextEditor::SmartCursorWatcher*", 59, Smoke::t_class|Smoke::tf_ptr },	//88
    { "KTextEditor::SmartInterface*", 60, Smoke::t_class|Smoke::tf_ptr },	//89
    { "KTextEditor::SmartRange&", 61, Smoke::t_class|Smoke::tf_ref },	//90
    { "KTextEditor::SmartRange*", 61, Smoke::t_class|Smoke::tf_ptr },	//91
    { "KTextEditor::SmartRange::InsertBehavior", 61, Smoke::t_enum|Smoke::tf_stack },	//92
    { "KTextEditor::SmartRange::InsertBehaviors::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "KTextEditor::SmartRangeNotifier*", 62, Smoke::t_class|Smoke::tf_ptr },	//94
    { "KTextEditor::SmartRangeWatcher*", 63, Smoke::t_class|Smoke::tf_ptr },	//95
    { "KTextEditor::TemplateInterface*", 64, Smoke::t_class|Smoke::tf_ptr },	//96
    { "KTextEditor::TextHintInterface*", 65, Smoke::t_class|Smoke::tf_ptr },	//97
    { "KTextEditor::VariableInterface*", 66, Smoke::t_class|Smoke::tf_ptr },	//98
    { "KTextEditor::View*", 67, Smoke::t_class|Smoke::tf_ptr },	//99
    { "KTextEditor::View::EditMode", 67, Smoke::t_enum|Smoke::tf_stack },	//100
    { "KTextEditor::ViewBarContainer*", 68, Smoke::t_class|Smoke::tf_ptr },	//101
    { "KTextEditor::ViewBarContainer::Position", 68, Smoke::t_enum|Smoke::tf_stack },	//102
    { "KXMLGUIClient::ReverseStateChange", 70, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QAction*", 72, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QActionEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QBool", 74, Smoke::t_class|Smoke::tf_stack },	//106
    { "QBrush", 75, Smoke::t_class|Smoke::tf_stack },	//107
    { "QChar", 76, Smoke::t_class|Smoke::tf_stack },	//108
    { "QChildEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QCloseEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QContextMenuEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QDomDocument", 80, Smoke::t_class|Smoke::tf_stack },	//112
    { "QDragEnterEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QDragLeaveEvent*", 83, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QDragMoveEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//115
    { "QDropEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QEvent*", 86, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QFlags<KTextEditor::Attribute::Effect>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<KTextEditor::Attribute::Effects::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<KTextEditor::Search::SearchOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<KTextEditor::Search::SearchOptionsEnum>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<KTextEditor::SmartRange::InsertBehavior>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFocusEvent*", 87, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QHideEvent*", 90, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QIncompatibleFlag", 91, Smoke::t_class|Smoke::tf_stack },	//131
    { "QInputMethodEvent*", 92, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QKeyEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QList<KTextEditor::Command*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//134
    { "QList<KTextEditor::HighlightInterface::AttributeBlock>", 0, Smoke::t_voidp|Smoke::tf_stack },	//135
    { "QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//136
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//137
    { "QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//138
    { "QMap<QString,QString>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//139
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//140
    { "QMenu*", 94, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QMetaObject::Call", 95, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QMimeData*", 96, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QModelIndex", 97, Smoke::t_class|Smoke::tf_stack },	//144
    { "QMouseEvent*", 98, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QMoveEvent*", 99, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QMutex*", 100, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QObject*", 101, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QPaintEngine*", 102, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QPaintEvent*", 103, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QPixmap", 105, Smoke::t_class|Smoke::tf_stack },	//152
    { "QPoint", 106, Smoke::t_class|Smoke::tf_stack },	//153
    { "QRegExp&", 107, Smoke::t_class|Smoke::tf_ref },	//154
    { "QResizeEvent*", 108, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QShowEvent*", 110, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QSize", 111, Smoke::t_class|Smoke::tf_stack },	//157
    { "QStack<KTextEditor::SmartRange*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//158
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//159
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//160
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//161
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//162
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//163
    { "QStyle&", 112, Smoke::t_class|Smoke::tf_ref },	//164
    { "QTabletEvent*", 113, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QTimerEvent*", 115, Smoke::t_class|Smoke::tf_ptr },	//166
    { "QVariant", 116, Smoke::t_class|Smoke::tf_stack },	//167
    { "QVector<KTextEditor::Range>", 0, Smoke::t_voidp|Smoke::tf_stack },	//168
    { "QWheelEvent*", 117, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QWidget*", 118, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QtMsgType", 89, Smoke::t_enum|Smoke::tf_stack },	//242
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//243
    { "__codecvt_result", 89, Smoke::t_enum|Smoke::tf_stack },	//244
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//245
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//246
    { "const KComponentData&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const KSharedPtr<KTextEditor::Attribute>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const KTextEditor::AnnotationInterface&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const KTextEditor::AnnotationViewInterface&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const KTextEditor::Attribute&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const KTextEditor::CodeCompletionInterface&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const KTextEditor::CodeCompletionModelControllerInterface&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const KTextEditor::CodeCompletionModelControllerInterface2&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const KTextEditor::Command&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const KTextEditor::CommandExtension&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const KTextEditor::CommandInterface&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const KTextEditor::ConfigInterface&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const KTextEditor::ContainerInterface&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const KTextEditor::CoordinatesToCursorInterface&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const KTextEditor::Cursor&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const KTextEditor::HighlightInterface&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const KTextEditor::HighlightInterface::AttributeBlock&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const KTextEditor::HighlightInterface::DefaultStyle", 44, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//265
    { "const KTextEditor::Mark&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const KTextEditor::MarkInterface&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const KTextEditor::MdiContainer&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const KTextEditor::ModificationInterface&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const KTextEditor::ParameterizedSessionConfigInterface&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const KTextEditor::Range&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const KTextEditor::RangeCommand&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const KTextEditor::SearchInterface&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const KTextEditor::SessionConfigInterface&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const KTextEditor::SmartCursor&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const KTextEditor::SmartCursorWatcher&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const KTextEditor::SmartInterface&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const KTextEditor::SmartRange&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const KTextEditor::SmartRange*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//279
    { "const KTextEditor::SmartRangeWatcher&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const KTextEditor::TemplateInterface&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const KTextEditor::TextHintInterface&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const KTextEditor::VariableInterface&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const KTextEditor::ViewBarContainer&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const KUrl&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QBrush&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QDomDocument&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QDomElement&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QFlags<KTextEditor::Search::SearchOptionsEnum>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//289
    { "const QFont&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QHash<int,KTextEditor::Mark*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QList<KAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QList<KTextEditor::Document*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QList<KTextEditor::SmartRange*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//294
    { "const QList<KTextEditor::SmartRange*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QList<KTextEditor::SmartRangeNotifier*>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//296
    { "const QList<KTextEditor::SmartRangeWatcher*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QList<KTextEditor::View*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QMetaObject&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QMetaObject*", 95, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//304
    { "const QMimeData*", 96, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//305
    { "const QModelIndex&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QObject*", 101, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//307
    { "const QPalette&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QPixmap&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QPoint&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QRegExp&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//314
    { "const QVariant&", 116, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//316
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//317
    { "const unsigned int", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//318
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//319
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//320
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//321
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//322
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//323
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//324
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//325
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//326
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//327
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    170, 148, 316, 313, 0,	//1  QWidget*, QObject*, const char*, const QStringList&
    148, 316, 313, 0,	//6  QObject*, const char*, const QStringList&
    170, 0,	//10  QWidget*
    14, 0,	//12  KParts::PartManager*
    170, 310, 0,	//14  QWidget*, const QPoint&
    245, 0,	//17  bool
    117, 0,	//19  QEvent*
    13, 0,	//21  KParts::PartActivateEvent*
    15, 0,	//23  KParts::PartSelectEvent*
    247, 0,	//25  const KComponentData&
    247, 245, 0,	//27  const KComponentData&, bool
    285, 0,	//30  const KUrl&
    11, 0,	//32  KParts::GUIActivateEvent*
    316, 170, 148, 300, 312, 0,	//34  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    41, 121, 0,	//40  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>
    93, 93, 0,	//43  KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type
    41, 320, 0,	//46  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int
    31, 31, 0,	//49  KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type
    37, 120, 0,	//52  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>
    93, 320, 0,	//55  KTextEditor::SmartRange::InsertBehaviors::enum_type, int
    93, 125, 0,	//58  KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>
    31, 119, 0,	//61  KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>
    37, 37, 0,	//64  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type
    31, 320, 0,	//67  KTextEditor::Attribute::Effects::enum_type, int
    316, 0,	//70  const char*
    16, 148, 0,	//72  KSharedPtr<KService>, QObject*
    37, 320, 0,	//75  KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int
    41, 41, 0,	//78  KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type
    24, 0,	//81  KTextEditor::AnnotationModel*
    250, 0,	//83  const KTextEditor::AnnotationInterface&
    316, 316, 0,	//85  const char*, const char*
    316, 316, 320, 0,	//88  const char*, const char*, int
    142, 320, 326, 0,	//92  QMetaObject::Call, int, void**
    320, 205, 0,	//96  int, Qt::ItemDataRole
    320, 0,	//99  int
    99, 141, 320, 0,	//101  KTextEditor::View*, QMenu*, int
    99, 320, 0,	//105  KTextEditor::View*, int
    99, 245, 0,	//108  KTextEditor::View*, bool
    251, 0,	//111  const KTextEditor::AnnotationViewInterface&
    252, 0,	//113  const KTextEditor::Attribute&
    286, 0,	//115  const QBrush&
    28, 0,	//117  KTextEditor::Attribute::ActivationType
    28, 18, 0,	//119  KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>
    118, 0,	//122  QFlags<KTextEditor::Attribute::Effect>
    271, 34, 0,	//124  const KTextEditor::Range&, KTextEditor::CodeCompletionModel*
    34, 0,	//127  KTextEditor::CodeCompletionModel*
    253, 0,	//129  const KTextEditor::CodeCompletionInterface&
    148, 0,	//131  QObject*
    99, 271, 42, 0,	//133  KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType
    56, 271, 320, 0,	//137  KTextEditor::Document*, const KTextEditor::Range&, int
    306, 0,	//141  const QModelIndex&
    320, 320, 306, 0,	//143  int, int, const QModelIndex&
    34, 245, 0,	//147  KTextEditor::CodeCompletionModel*, bool
    320, 320, 0,	//150  int, int
    56, 271, 306, 0,	//153  KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&
    99, 312, 245, 262, 0,	//157  KTextEditor::View*, const QString&, bool, const KTextEditor::Cursor&
    99, 262, 0,	//162  KTextEditor::View*, const KTextEditor::Cursor&
    99, 90, 0,	//165  KTextEditor::View*, KTextEditor::SmartRange&
    99, 278, 262, 0,	//168  KTextEditor::View*, const KTextEditor::SmartRange&, const KTextEditor::Cursor&
    99, 278, 312, 0,	//172  KTextEditor::View*, const KTextEditor::SmartRange&, const QString&
    306, 108, 0,	//176  const QModelIndex&, QChar
    99, 0,	//179  KTextEditor::View*
    254, 0,	//181  const KTextEditor::CodeCompletionModelControllerInterface&
    255, 0,	//183  const KTextEditor::CodeCompletionModelControllerInterface2&
    99, 312, 160, 0,	//185  KTextEditor::View*, const QString&, QString&
    256, 0,	//189  const KTextEditor::Command&
    162, 0,	//191  QStringList&
    99, 312, 0,	//193  KTextEditor::View*, const QString&
    312, 0,	//196  const QString&
    257, 0,	//198  const KTextEditor::CommandExtension&
    46, 0,	//200  KTextEditor::Command*
    258, 0,	//202  const KTextEditor::CommandInterface&
    312, 315, 0,	//204  const QString&, const QVariant&
    259, 0,	//207  const KTextEditor::ConfigInterface&
    260, 0,	//209  const KTextEditor::ContainerInterface&
    310, 0,	//211  const QPoint&
    261, 0,	//213  const KTextEditor::CoordinatesToCursorInterface&
    262, 0,	//215  const KTextEditor::Cursor&
    321, 321, 0,	//217  int&, int&
    77, 0,	//220  KTextEditor::Range*
    56, 99, 0,	//222  KTextEditor::Document*, KTextEditor::View*
    56, 0,	//225  KTextEditor::Document*
    56, 245, 0,	//227  KTextEditor::Document*, bool
    271, 245, 0,	//230  const KTextEditor::Range&, bool
    313, 0,	//233  const QStringList&
    262, 312, 245, 0,	//235  const KTextEditor::Cursor&, const QString&, bool
    262, 313, 245, 0,	//239  const KTextEditor::Cursor&, const QStringList&, bool
    271, 312, 245, 0,	//243  const KTextEditor::Range&, const QString&, bool
    271, 313, 245, 0,	//247  const KTextEditor::Range&, const QStringList&, bool
    320, 312, 0,	//251  int, const QString&
    320, 313, 0,	//254  int, const QStringList&
    56, 271, 0,	//257  KTextEditor::Document*, const KTextEditor::Range&
    56, 271, 312, 0,	//260  KTextEditor::Document*, const KTextEditor::Range&, const QString&
    56, 271, 271, 0,	//264  KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&
    56, 271, 312, 271, 0,	//268  KTextEditor::Document*, const KTextEditor::Range&, const QString&, const KTextEditor::Range&
    271, 0,	//273  const KTextEditor::Range&
    262, 312, 0,	//275  const KTextEditor::Cursor&, const QString&
    262, 313, 0,	//278  const KTextEditor::Cursor&, const QStringList&
    271, 312, 0,	//281  const KTextEditor::Range&, const QString&
    271, 313, 0,	//284  const KTextEditor::Range&, const QStringList&
    6, 0,	//287  KConfig*
    320, 170, 0,	//289  int, QWidget*
    57, 56, 0,	//292  KTextEditor::Editor*, KTextEditor::Document*
    312, 245, 0,	//295  const QString&, bool
    265, 0,	//298  const KTextEditor::HighlightInterface::DefaultStyle
    318, 0,	//300  const unsigned int
    263, 0,	//302  const KTextEditor::HighlightInterface&
    317, 317, 249, 0,	//304  const int, const int, const KSharedPtr<KTextEditor::Attribute>&
    264, 0,	//308  const KTextEditor::HighlightInterface::AttributeBlock&
    249, 0,	//310  const KSharedPtr<KTextEditor::Attribute>&
    266, 0,	//312  const KTextEditor::Mark&
    323, 0,	//314  unsigned int
    320, 323, 0,	//316  int, unsigned int
    68, 309, 0,	//319  KTextEditor::MarkInterface::MarkTypes, const QPixmap&
    68, 0,	//322  KTextEditor::MarkInterface::MarkTypes
    68, 312, 0,	//324  KTextEditor::MarkInterface::MarkTypes, const QString&
    56, 64, 67, 0,	//327  KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction
    267, 0,	//331  const KTextEditor::MarkInterface&
    268, 0,	//333  const KTextEditor::MdiContainer&
    71, 0,	//335  KTextEditor::ModificationInterface::ModifiedOnDiskReason
    56, 245, 71, 0,	//337  KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason
    269, 0,	//341  const KTextEditor::ModificationInterface&
    248, 324, 0,	//343  const KConfigGroup&, unsigned long
    7, 324, 0,	//346  KConfigGroup&, unsigned long
    270, 0,	//349  const KTextEditor::ParameterizedSessionConfigInterface&
    262, 262, 0,	//351  const KTextEditor::Cursor&, const KTextEditor::Cursor&
    262, 320, 0,	//354  const KTextEditor::Cursor&, int
    262, 320, 320, 0,	//357  const KTextEditor::Cursor&, int, int
    320, 320, 320, 320, 0,	//361  int, int, int, int
    55, 55, 0,	//366  KTextEditor::Cursor*, KTextEditor::Cursor*
    55, 271, 0,	//369  KTextEditor::Cursor*, const KTextEditor::Range&
    55, 0,	//372  KTextEditor::Cursor*
    99, 312, 160, 271, 0,	//374  KTextEditor::View*, const QString&, QString&, const KTextEditor::Range&
    272, 0,	//379  const KTextEditor::RangeCommand&
    271, 312, 289, 0,	//381  const KTextEditor::Range&, const QString&, const QFlags<KTextEditor::Search::SearchOptionsEnum>
    273, 0,	//385  const KTextEditor::SearchInterface&
    248, 0,	//387  const KConfigGroup&
    7, 0,	//389  KConfigGroup&
    274, 0,	//391  const KTextEditor::SessionConfigInterface&
    313, 245, 0,	//393  const QStringList&, bool
    320, 85, 0,	//396  int, KTextEditor::SmartCursor::AdvanceMode
    86, 0,	//399  KTextEditor::SmartCursor::InsertBehavior
    88, 0,	//401  KTextEditor::SmartCursorWatcher*
    275, 0,	//403  const KTextEditor::SmartCursor&
    262, 56, 86, 0,	//405  const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior
    84, 0,	//409  KTextEditor::SmartCursor*
    84, 245, 0,	//411  KTextEditor::SmartCursor*, bool
    276, 0,	//414  const KTextEditor::SmartCursorWatcher&
    262, 86, 0,	//416  const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior
    271, 124, 0,	//419  const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>
    320, 320, 86, 0,	//422  int, int, KTextEditor::SmartCursor::InsertBehavior
    271, 91, 124, 0,	//426  const KTextEditor::Range&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    262, 262, 91, 124, 0,	//430  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    320, 320, 320, 320, 91, 124, 0,	//435  int, int, int, int, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    84, 84, 91, 124, 0,	//442  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>
    91, 0,	//447  KTextEditor::SmartRange*
    91, 245, 0,	//449  KTextEditor::SmartRange*, bool
    99, 91, 245, 0,	//452  KTextEditor::View*, KTextEditor::SmartRange*, bool
    99, 91, 0,	//456  KTextEditor::View*, KTextEditor::SmartRange*
    18, 0,	//459  KSharedPtr<KTextEditor::Attribute>
    277, 0,	//461  const KTextEditor::SmartInterface&
    271, 91, 0,	//463  const KTextEditor::Range&, KTextEditor::SmartRange*
    262, 262, 91, 0,	//466  const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*
    320, 320, 320, 320, 91, 0,	//470  int, int, int, int, KTextEditor::SmartRange*
    84, 84, 0,	//476  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*
    84, 84, 91, 0,	//479  KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*
    124, 0,	//483  QFlags<KTextEditor::SmartRange::InsertBehavior>
    279, 0,	//485  const KTextEditor::SmartRange*
    262, 158, 158, 0,	//487  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*
    1, 0,	//491  KAction*
    94, 0,	//493  KTextEditor::SmartRangeNotifier*
    95, 0,	//495  KTextEditor::SmartRangeWatcher*
    278, 0,	//497  const KTextEditor::SmartRange&
    262, 158, 0,	//499  const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*
    91, 91, 0,	//502  KTextEditor::SmartRange*, KTextEditor::SmartRange*
    91, 99, 0,	//505  KTextEditor::SmartRange*, KTextEditor::View*
    91, 91, 91, 0,	//508  KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*
    91, 32, 32, 0,	//512  KTextEditor::SmartRange*, KTextEditor::Attribute::Ptr, KTextEditor::Attribute::Ptr
    91, 18, 18, 0,	//516  KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>
    280, 0,	//520  const KTextEditor::SmartRangeWatcher&
    138, 170, 0,	//522  QMap<QString,QString>&, QWidget*
    262, 312, 301, 0,	//525  const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&
    312, 139, 0,	//529  const QString&, QMap<QString,QString>*
    281, 0,	//532  const KTextEditor::TemplateInterface&
    262, 160, 0,	//534  const KTextEditor::Cursor&, QString&
    282, 0,	//537  const KTextEditor::TextHintInterface&
    56, 312, 312, 0,	//539  KTextEditor::Document*, const QString&, const QString&
    283, 0,	//543  const KTextEditor::VariableInterface&
    99, 100, 0,	//545  KTextEditor::View*, KTextEditor::View::EditMode
    99, 262, 312, 0,	//548  KTextEditor::View*, const KTextEditor::Cursor&, const QString&
    141, 0,	//552  QMenu*
    99, 141, 0,	//554  KTextEditor::View*, QMenu*
    53, 0,	//557  KTextEditor::Cursor
    262, 320, 245, 0,	//559  const KTextEditor::Cursor&, int, bool
    99, 102, 0,	//563  KTextEditor::View*, KTextEditor::ViewBarContainer::Position
    99, 170, 102, 0,	//566  KTextEditor::View*, QWidget*, KTextEditor::ViewBarContainer::Position
    284, 0,	//570  const KTextEditor::ViewBarContainer&
    288, 0,	//572  const QDomElement&
    312, 245, 245, 0,	//574  const QString&, bool, bool
    287, 245, 0,	//578  const QDomDocument&, bool
    312, 103, 0,	//581  const QString&, KXMLGUIClient::ReverseStateChange
    320, 325, 0,	//584  int, void*
    306, 320, 0,	//587  const QModelIndex&, int
    306, 315, 320, 0,	//590  const QModelIndex&, const QVariant&, int
    320, 216, 320, 0,	//594  int, Qt::Orientation, int
    320, 216, 315, 320, 0,	//598  int, Qt::Orientation, const QVariant&, int
    306, 302, 0,	//603  const QModelIndex&, const QMap<int,QVariant>&
    299, 0,	//606  const QList<QModelIndex>&
    305, 192, 320, 320, 306, 0,	//608  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    320, 224, 0,	//614  int, Qt::SortOrder
    306, 320, 315, 320, 128, 0,	//617  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    148, 117, 0,	//623  QObject*, QEvent*
    166, 0,	//626  QTimerEvent*
    109, 0,	//628  QChildEvent*
    145, 0,	//630  QMouseEvent*
    169, 0,	//632  QWheelEvent*
    133, 0,	//634  QKeyEvent*
    129, 0,	//636  QFocusEvent*
    151, 0,	//638  QPaintEvent*
    146, 0,	//640  QMoveEvent*
    155, 0,	//642  QResizeEvent*
    110, 0,	//644  QCloseEvent*
    111, 0,	//646  QContextMenuEvent*
    165, 0,	//648  QTabletEvent*
    105, 0,	//650  QActionEvent*
    113, 0,	//652  QDragEnterEvent*
    115, 0,	//654  QDragMoveEvent*
    114, 0,	//656  QDragLeaveEvent*
    116, 0,	//658  QDropEvent*
    156, 0,	//660  QShowEvent*
    130, 0,	//662  QHideEvent*
    243, 0,	//664  _XEvent*
    149, 0,	//666  QPaintDevice::PaintDeviceMetric
    132, 0,	//668  QInputMethodEvent*
    204, 0,	//670  Qt::InputMethodQuery
    164, 0,	//672  QStyle&
    308, 0,	//674  const QPalette&
    290, 0,	//676  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessibilityAccept",	//1
    "AccessibilityNext",	//2
    "AccessibilityPrevious",	//3
    "ActivateCaretIn",	//4
    "ActivateMouseIn",	//5
    "AnnotationInterface",	//6
    "AnnotationInterface#",	//7
    "AnnotationModel",	//8
    "AnnotationViewInterface",	//9
    "AnnotationViewInterface#",	//10
    "ArgumentHintDepth",	//11
    "Arguments",	//12
    "Attribute",	//13
    "Attribute#",	//14
    "AttributeBlock",	//15
    "AttributeBlock#",	//16
    "AttributeBlock$$?",	//17
    "AttributeDynamicEffect",	//18
    "AttributeInternalProperty",	//19
    "AttributeUserProperty",	//20
    "AutomaticInvocation",	//21
    "BackgroundFillWhitespace",	//22
    "BestMatchesCount",	//23
    "Bookmark",	//24
    "BottomBar",	//25
    "BreakpointActive",	//26
    "BreakpointDisabled",	//27
    "BreakpointReached",	//28
    "ByCharacter",	//29
    "ByCursorPosition",	//30
    "Class",	//31
    "CodeCompletionInterface",	//32
    "CodeCompletionInterface#",	//33
    "CodeCompletionModel",	//34
    "CodeCompletionModel#",	//35
    "CodeCompletionModel2",	//36
    "CodeCompletionModel2#",	//37
    "CodeCompletionModelControllerInterface",	//38
    "CodeCompletionModelControllerInterface#",	//39
    "CodeCompletionModelControllerInterface2",	//40
    "CodeCompletionModelControllerInterface2#",	//41
    "ColumnCount",	//42
    "Command",	//43
    "Command#",	//44
    "CommandExtension",	//45
    "CommandExtension#",	//46
    "CommandInterface",	//47
    "CommandInterface#",	//48
    "CompletionRole",	//49
    "ConfigInterface",	//50
    "ConfigInterface#",	//51
    "ConfigPage",	//52
    "ConfigPage#",	//53
    "Const",	//54
    "ContainerInterface",	//55
    "ContainerInterface#",	//56
    "CoordinatesToCursorInterface",	//57
    "CoordinatesToCursorInterface#",	//58
    "Cursor",	//59
    "Cursor#",	//60
    "Cursor$$",	//61
    "CustomHighlight",	//62
    "CustomHighlighting",	//63
    "DoNotExpand",	//64
    "DoNotLoadPlugins",	//65
    "Document",	//66
    "Document#",	//67
    "DrawChildren",	//68
    "DrawWindowBackground",	//69
    "EditInsert",	//70
    "EditOverwrite",	//71
    "Editor",	//72
    "Editor#",	//73
    "EditorChooser",	//74
    "EditorChooser#",	//75
    "EffectCycleGradient",	//76
    "EffectFadeIn",	//77
    "EffectFadeOut",	//78
    "EffectNone",	//79
    "EffectPulse",	//80
    "Enum",	//81
    "Error",	//82
    "Execution",	//83
    "ExpandLeft",	//84
    "ExpandRight",	//85
    "ExpandingWidget",	//86
    "Factory",	//87
    "Factory#",	//88
    "FirstProperty",	//89
    "Friend",	//90
    "Function",	//91
    "GlobalScope",	//92
    "GroupRole",	//93
    "HideListIfAutomaticInvocation",	//94
    "HighlightInterface",	//95
    "HighlightInterface#",	//96
    "HighlightingMethod",	//97
    "Icon",	//98
    "IgnoreMask",	//99
    "InheritanceDepth",	//100
    "Inline",	//101
    "InternalHighlighting",	//102
    "IsExpandable",	//103
    "ItemSelected",	//104
    "KST_CTimeInfo",	//105
    "KST_KCustom",	//106
    "KST_KDEDesktopMimeType",	//107
    "KST_KFolderMimeType",	//108
    "KST_KImageIO",	//109
    "KST_KImageIOFormat",	//110
    "KST_KMimeType",	//111
    "KST_KMimeTypeFactory",	//112
    "KST_KProtocolInfo",	//113
    "KST_KProtocolInfoFactory",	//114
    "KST_KService",	//115
    "KST_KServiceFactory",	//116
    "KST_KServiceGroup",	//117
    "KST_KServiceGroupFactory",	//118
    "KST_KServiceSeparator",	//119
    "KST_KServiceType",	//120
    "KST_KServiceTypeFactory",	//121
    "KST_KSycocaEntry",	//122
    "KTE_INTERNAL_setupIntialValues",	//123
    "KTE_INTERNAL_setupIntialValues$?",	//124
    "LastItemDataRole",	//125
    "LastProperty",	//126
    "LeftBar",	//127
    "LoadPlugins",	//128
    "LoadPluginsIfEnabled",	//129
    "LoadSaveFilterCheckPlugin",	//130
    "LoadSaveFilterCheckPlugin#",	//131
    "LocalScope",	//132
    "ManualInvocation",	//133
    "Mark",	//134
    "Mark#",	//135
    "MarkAdded",	//136
    "MarkInterface",	//137
    "MarkInterface#",	//138
    "MarkRemoved",	//139
    "MatchQuality",	//140
    "MdiContainer",	//141
    "MdiContainer#",	//142
    "ModificationInterface",	//143
    "ModificationInterface#",	//144
    "MoveOnInsert",	//145
    "Name",	//146
    "Namespace",	//147
    "NamespaceScope",	//148
    "NoHighlighting",	//149
    "NoProperty",	//150
    "None",	//151
    "OnDiskCreated",	//152
    "OnDiskDeleted",	//153
    "OnDiskModified",	//154
    "OnDiskUnmodified",	//155
    "Outline",	//156
    "Override",	//157
    "ParameterizedSessionConfigInterface",	//158
    "ParameterizedSessionConfigInterface#",	//159
    "Plugin",	//160
    "Plugin#",	//161
    "Postfix",	//162
    "Prefix",	//163
    "Private",	//164
    "Protected",	//165
    "Public",	//166
    "Q_COMPLEX_TYPE",	//167
    "Q_DUMMY_TYPE",	//168
    "Q_MOVABLE_TYPE",	//169
    "Q_PRIMITIVE_TYPE",	//170
    "Q_STATIC_TYPE",	//171
    "QtCriticalMsg",	//172
    "QtDebugMsg",	//173
    "QtFatalMsg",	//174
    "QtSystemMsg",	//175
    "QtWarningMsg",	//176
    "Range",	//177
    "Range#",	//178
    "Range##",	//179
    "Range#$",	//180
    "Range#$$",	//181
    "Range$$$$",	//182
    "RangeCommand",	//183
    "RangeCommand#",	//184
    "RightBar",	//185
    "Scope",	//186
    "ScopeIndex",	//187
    "SearchInterface",	//188
    "SearchInterface#",	//189
    "SelectedBackground",	//190
    "SelectedForeground",	//191
    "SessionConfigInterface",	//192
    "SessionConfigInterface#",	//193
    "SetMatchContext",	//194
    "Signal",	//195
    "SkipEncoding",	//196
    "SkipHighlighting",	//197
    "SkipMode",	//198
    "SkipNone",	//199
    "SkipUrl",	//200
    "Slot",	//201
    "SmartCursor",	//202
    "SmartCursor##$",	//203
    "SmartCursorNotifier",	//204
    "SmartCursorWatcher",	//205
    "SmartCursorWatcher#",	//206
    "SmartInterface",	//207
    "SmartInterface#",	//208
    "SmartRange",	//209
    "SmartRange##",	//210
    "SmartRange###",	//211
    "SmartRange###$",	//212
    "SmartRangeNotifier",	//213
    "SmartRangeWatcher",	//214
    "SmartRangeWatcher#",	//215
    "StateNoReverse",	//216
    "StateReverse",	//217
    "Static",	//218
    "StayOnInsert",	//219
    "Struct",	//220
    "Template",	//221
    "TemplateInterface",	//222
    "TemplateInterface#",	//223
    "TextHintInterface",	//224
    "TextHintInterface#",	//225
    "TopBar",	//226
    "TypeAlias",	//227
    "Union",	//228
    "UserInvocation",	//229
    "Variable",	//230
    "VariableInterface",	//231
    "VariableInterface#",	//232
    "View",	//233
    "View#",	//234
    "ViewBarContainer",	//235
    "ViewBarContainer#",	//236
    "Virtual",	//237
    "Warning",	//238
    "__codecvt_error",	//239
    "__codecvt_noconv",	//240
    "__codecvt_ok",	//241
    "__codecvt_partial",	//242
    "abortCompletion",	//243
    "aborted",	//244
    "aborted#",	//245
    "aboutData",	//246
    "aboutToClose",	//247
    "aboutToClose#",	//248
    "aboutToReload",	//249
    "aboutToReload#",	//250
    "action",	//251
    "actionCollection",	//252
    "actionEvent",	//253
    "activeView",	//254
    "addActionsToDocument",	//255
    "addActionsToDocument#",	//256
    "addActionsToView",	//257
    "addActionsToView##",	//258
    "addDocument",	//259
    "addDocument#",	//260
    "addHighlightToDocument",	//261
    "addHighlightToDocument#",	//262
    "addHighlightToDocument#$",	//263
    "addHighlightToView",	//264
    "addHighlightToView##",	//265
    "addHighlightToView##$",	//266
    "addMark",	//267
    "addMark$$",	//268
    "addNotifier",	//269
    "addNotifier#",	//270
    "addView",	//271
    "addView#",	//272
    "addViewBarToLayout",	//273
    "addViewBarToLayout##$",	//274
    "addWatcher",	//275
    "addWatcher#",	//276
    "advance",	//277
    "advance$",	//278
    "advance$$",	//279
    "annotationActivated",	//280
    "annotationActivated#$",	//281
    "annotationBorderVisibilityChanged",	//282
    "annotationBorderVisibilityChanged#$",	//283
    "annotationContextMenuAboutToShow",	//284
    "annotationContextMenuAboutToShow##$",	//285
    "annotationModel",	//286
    "apply",	//287
    "associateAction",	//288
    "associateAction#",	//289
    "associatedActions",	//290
    "atEndOfDocument",	//291
    "atEndOfLine",	//292
    "atStartOfDocument",	//293
    "atStartOfLine",	//294
    "attribute",	//295
    "attributeDynamic",	//296
    "attributeDynamic?",	//297
    "attributeNotDynamic",	//298
    "attributeNotDynamic?",	//299
    "backgroundFillWhitespace",	//300
    "blockSelection",	//301
    "boundaryAtCursor",	//302
    "boundaryAtCursor#",	//303
    "boundaryOnLine",	//304
    "boundaryOnLine$",	//305
    "buddy",	//306
    "canFetchMore",	//307
    "caretEnteredRange",	//308
    "caretEnteredRange##",	//309
    "caretExitedRange",	//310
    "caretExitedRange##",	//311
    "changeEvent",	//312
    "changed",	//313
    "character",	//314
    "character#",	//315
    "characterDeleted",	//316
    "characterDeleted#$",	//317
    "characterInserted",	//318
    "characterInserted#$",	//319
    "checkFeedback",	//320
    "childAfter",	//321
    "childAfter#",	//322
    "childBefore",	//323
    "childBefore#",	//324
    "childEvent",	//325
    "childRangeInserted",	//326
    "childRangeInserted##",	//327
    "childRangeRemoved",	//328
    "childRangeRemoved##",	//329
    "childRanges",	//330
    "clear",	//331
    "clearAndDeleteChildRanges",	//332
    "clearAssociatedActions",	//333
    "clearChildRanges",	//334
    "clearDocumentActions",	//335
    "clearDocumentHighlights",	//336
    "clearMark",	//337
    "clearMark$",	//338
    "clearMarks",	//339
    "clearOnDocumentReload",	//340
    "clearRevision",	//341
    "clearSmartInterface",	//342
    "clearViewActions",	//343
    "clearViewActions#",	//344
    "clearViewHighlights",	//345
    "clearViewHighlights#",	//346
    "closeDocument",	//347
    "closeDocument#",	//348
    "closeEvent",	//349
    "closeUrl",	//350
    "closeView",	//351
    "closeView#",	//352
    "cmds",	//353
    "column",	//354
    "columnCount",	//355
    "columnCount#",	//356
    "columnWidth",	//357
    "commandList",	//358
    "commands",	//359
    "completionInvoked",	//360
    "completionInvoked##$",	//361
    "completionObject",	//362
    "completionObject#$",	//363
    "completionRange",	//364
    "completionRange##",	//365
    "componentData",	//366
    "configDialog",	//367
    "configDialog#",	//368
    "configDialogSupported",	//369
    "configKeys",	//370
    "configPage",	//371
    "configPage$#",	//372
    "configPageFullName",	//373
    "configPageFullName$",	//374
    "configPageIcon",	//375
    "configPageIcon$",	//376
    "configPageName",	//377
    "configPageName$",	//378
    "configPages",	//379
    "configValue",	//380
    "configValue$",	//381
    "confineToRange",	//382
    "confineToRange#",	//383
    "connectNotify",	//384
    "container",	//385
    "contains",	//386
    "contains#",	//387
    "containsColumn",	//388
    "containsColumn$",	//389
    "containsLine",	//390
    "containsLine$",	//391
    "contextMenu",	//392
    "contextMenuAboutToShow",	//393
    "contextMenuAboutToShow##",	//394
    "contextMenuEvent",	//395
    "coordinatesToCursor",	//396
    "coordinatesToCursor#",	//397
    "create",	//398
    "createDocument",	//399
    "createDocument#",	//400
    "createNotifier",	//401
    "createObject",	//402
    "createPartObject",	//403
    "createPlugin",	//404
    "createPlugin?#",	//405
    "createView",	//406
    "createView#",	//407
    "currentRevision",	//408
    "cursorChangedDirectly",	//409
    "cursorChangedDirectly#",	//410
    "cursorInText",	//411
    "cursorInText#",	//412
    "cursorPosition",	//413
    "cursorPositionChanged",	//414
    "cursorPositionChanged##",	//415
    "cursorPositionCoordinates",	//416
    "cursorPositionVirtual",	//417
    "cursorToCoordinate",	//418
    "cursorToCoordinate#",	//419
    "customEvent",	//420
    "data",	//421
    "data$$",	//422
    "deepestRangeContaining",	//423
    "deepestRangeContaining#",	//424
    "deepestRangeContaining#?",	//425
    "deepestRangeContaining#??",	//426
    "deepestRangesContaining",	//427
    "deepestRangesContaining#",	//428
    "defaultContextMenu",	//429
    "defaultContextMenu#",	//430
    "defaultEncoding",	//431
    "defaultStyle",	//432
    "defaultStyle$",	//433
    "defaults",	//434
    "deleteChildRanges",	//435
    "deleteCursors",	//436
    "deleteNotifier",	//437
    "deletePrimaryNotifier",	//438
    "deleteRanges",	//439
    "deleteViewBarForView",	//440
    "deleteViewBarForView#$",	//441
    "deleted",	//442
    "deleted#",	//443
    "depth",	//444
    "devType",	//445
    "disableTextHints",	//446
    "disconnectNotify",	//447
    "dissociateAction",	//448
    "dissociateAction#",	//449
    "document",	//450
    "documentActions",	//451
    "documentCreated",	//452
    "documentCreated##",	//453
    "documentEnd",	//454
    "documentHighlights",	//455
    "documentName",	//456
    "documentNameChanged",	//457
    "documentNameChanged#",	//458
    "documentRange",	//459
    "documentReload",	//460
    "documentSave",	//461
    "documentSaveAs",	//462
    "documentSavedOrUploaded",	//463
    "documentSavedOrUploaded#$",	//464
    "documentUrlChanged",	//465
    "documentUrlChanged#",	//466
    "documents",	//467
    "domDocument",	//468
    "dragEnterEvent",	//469
    "dragLeaveEvent",	//470
    "dragMoveEvent",	//471
    "dropEvent",	//472
    "dropMimeData",	//473
    "dsAlert",	//474
    "dsBaseN",	//475
    "dsChar",	//476
    "dsComment",	//477
    "dsDataType",	//478
    "dsDecVal",	//479
    "dsError",	//480
    "dsFloat",	//481
    "dsFunction",	//482
    "dsKeyword",	//483
    "dsNormal",	//484
    "dsOthers",	//485
    "dsRegionMarker",	//486
    "dsString",	//487
    "dynamicAttribute",	//488
    "dynamicAttribute$",	//489
    "editableMarks",	//490
    "editor",	//491
    "editor$",	//492
    "editor$$",	//493
    "effects",	//494
    "embed",	//495
    "embeddedHighlightingModes",	//496
    "enableTextHints",	//497
    "enableTextHints$",	//498
    "enabledChange",	//499
    "encoding",	//500
    "encompass",	//501
    "encompass#",	//502
    "end",	//503
    "endEditing",	//504
    "endOfLine",	//505
    "endOfLine$",	//506
    "enterEvent",	//507
    "event",	//508
    "eventFilter",	//509
    "exclusiveEditEnd",	//510
    "exclusiveEditEnd#",	//511
    "exclusiveEditStart",	//512
    "exclusiveEditStart#",	//513
    "exec",	//514
    "exec#$$",	//515
    "exec#$$#",	//516
    "executeCompletionItem",	//517
    "executeCompletionItem##$",	//518
    "executeCompletionItem2",	//519
    "executeCompletionItem2###",	//520
    "expandMacros",	//521
    "expandMacros?#",	//522
    "expandToRange",	//523
    "expandToRange#",	//524
    "fetchMore",	//525
    "filterString",	//526
    "filterString###",	//527
    "firstRangeContaining",	//528
    "firstRangeContaining#",	//529
    "flagCompletions",	//530
    "flagCompletions?",	//531
    "flags",	//532
    "focusIn",	//533
    "focusIn#",	//534
    "focusInEvent",	//535
    "focusNextPrevChild",	//536
    "focusOut",	//537
    "focusOut#",	//538
    "focusOutEvent",	//539
    "fontBold",	//540
    "fontChange",	//541
    "forceCompletion",	//542
    "getViewBarParent",	//543
    "getViewBarParent#$",	//544
    "guiActivateEvent",	//545
    "hasAnyProperty",	//546
    "hasChildren",	//547
    "hasGroups",	//548
    "hasGroupsChanged",	//549
    "hasGroupsChanged#$",	//550
    "hasNotifier",	//551
    "hasParent",	//552
    "hasParent#",	//553
    "headerData",	//554
    "heightForWidth",	//555
    "help",	//556
    "help#$$",	//557
    "hideEvent",	//558
    "hideViewBarForView",	//559
    "hideViewBarForView#$",	//560
    "highlightingMode",	//561
    "highlightingModeAt",	//562
    "highlightingModeAt#",	//563
    "highlightingModeChanged",	//564
    "highlightingModeChanged#",	//565
    "highlightingModeSection",	//566
    "highlightingModeSection$",	//567
    "highlightingModes",	//568
    "hitTest",	//569
    "horizontalScrollPositionChanged",	//570
    "horizontalScrollPositionChanged#",	//571
    "index",	//572
    "index$$",	//573
    "index$$#",	//574
    "informationMessage",	//575
    "informationMessage#$",	//576
    "inputMethodEvent",	//577
    "inputMethodQuery",	//578
    "insertBehavior",	//579
    "insertColumns",	//580
    "insertLine",	//581
    "insertLine$$",	//582
    "insertLines",	//583
    "insertLines$?",	//584
    "insertRows",	//585
    "insertTemplateText",	//586
    "insertTemplateText#$?",	//587
    "insertTemplateTextImplementation",	//588
    "insertTemplateTextImplementation#$?",	//589
    "insertText",	//590
    "insertText#$",	//591
    "insertText#$$",	//592
    "insertText#?",	//593
    "insertText#?$",	//594
    "insertText$",	//595
    "insertText?",	//596
    "insertText?$",	//597
    "intersect",	//598
    "intersect#",	//599
    "invalid",	//600
    "isActiveView",	//601
    "isAnnotationBorderVisible",	//602
    "isAutomaticInvocationEnabled",	//603
    "isCompletionActive",	//604
    "isEmpty",	//605
    "isSmartCursor",	//606
    "isSmartRange",	//607
    "isValid",	//608
    "itemData",	//609
    "itemData#",	//610
    "keyPressEvent",	//611
    "keyReleaseEvent",	//612
    "languageChange",	//613
    "leaveEvent",	//614
    "length",	//615
    "line",	//616
    "line$",	//617
    "lineAttributes",	//618
    "lineAttributes$",	//619
    "lineChanged",	//620
    "lineChanged$",	//621
    "lineLength",	//622
    "lineLength$",	//623
    "lines",	//624
    "localXMLFile",	//625
    "m_column",	//626
    "m_end",	//627
    "m_line",	//628
    "m_range",	//629
    "m_start",	//630
    "mark",	//631
    "mark$",	//632
    "markChanged",	//633
    "markChanged##$",	//634
    "markDescription",	//635
    "markDescription$",	//636
    "markPixmap",	//637
    "markPixmap$",	//638
    "markType01",	//639
    "markType02",	//640
    "markType03",	//641
    "markType04",	//642
    "markType05",	//643
    "markType06",	//644
    "markType07",	//645
    "markType08",	//646
    "markType09",	//647
    "markType10",	//648
    "markType11",	//649
    "markType12",	//650
    "markType13",	//651
    "markType14",	//652
    "markType15",	//653
    "markType16",	//654
    "markType17",	//655
    "markType18",	//656
    "markType19",	//657
    "markType20",	//658
    "markType21",	//659
    "markType22",	//660
    "markType23",	//661
    "markType24",	//662
    "markType25",	//663
    "markType26",	//664
    "markType27",	//665
    "markType28",	//666
    "markType29",	//667
    "markType30",	//668
    "markType31",	//669
    "markType32",	//670
    "marks",	//671
    "marksChanged",	//672
    "marksChanged#",	//673
    "match",	//674
    "matchingItem",	//675
    "matchingItem#",	//676
    "metaObject",	//677
    "metric",	//678
    "mimeData",	//679
    "mimeType",	//680
    "mimeTypes",	//681
    "minimumSizeHint",	//682
    "mode",	//683
    "modeChanged",	//684
    "modeChanged#",	//685
    "modeSection",	//686
    "modeSection$",	//687
    "modes",	//688
    "modifiedChanged",	//689
    "modifiedChanged#",	//690
    "modifiedOnDisk",	//691
    "modifiedOnDisk#$$",	//692
    "mostSpecificRange",	//693
    "mostSpecificRange#",	//694
    "mouseDoubleClickEvent",	//695
    "mouseEnteredRange",	//696
    "mouseEnteredRange##",	//697
    "mouseExitedRange",	//698
    "mouseExitedRange##",	//699
    "mouseMoveEvent",	//700
    "mousePositionChanged",	//701
    "mousePositionChanged##",	//702
    "mousePressEvent",	//703
    "mouseReleaseEvent",	//704
    "mouseTrackingEnabled",	//705
    "moveEvent",	//706
    "needTextHint",	//707
    "needTextHint#$",	//708
    "newSmartCursor",	//709
    "newSmartCursor#",	//710
    "newSmartCursor#$",	//711
    "newSmartCursor$$",	//712
    "newSmartCursor$$$",	//713
    "newSmartRange",	//714
    "newSmartRange#",	//715
    "newSmartRange##",	//716
    "newSmartRange###",	//717
    "newSmartRange###$",	//718
    "newSmartRange##$",	//719
    "newSmartRange$$$$",	//720
    "newSmartRange$$$$#",	//721
    "newSmartRange$$$$#$",	//722
    "notifier",	//723
    "notifiers",	//724
    "numberOfLines",	//725
    "onSingleLine",	//726
    "openFile",	//727
    "openUrl",	//728
    "openingError",	//729
    "openingErrorMessage",	//730
    "operator+=",	//731
    "operator+=#",	//732
    "operator=",	//733
    "operator=#",	//734
    "operator|",	//735
    "operator|?$",	//736
    "operator|??",	//737
    "outline",	//738
    "overlapCount",	//739
    "overlaps",	//740
    "overlaps#",	//741
    "overlapsColumn",	//742
    "overlapsColumn$",	//743
    "overlapsLine",	//744
    "overlapsLine$",	//745
    "paintEngine",	//746
    "paintEvent",	//747
    "paletteChange",	//748
    "parent",	//749
    "parent#",	//750
    "parentRange",	//751
    "parentRangeChanged",	//752
    "parentRangeChanged###",	//753
    "partActivateEvent",	//754
    "partComponentData",	//755
    "partSelectEvent",	//756
    "position",	//757
    "position$$",	//758
    "positionChanged",	//759
    "positionChanged#",	//760
    "positionDeleted",	//761
    "positionDeleted#",	//762
    "positionRelativeToCursor",	//763
    "positionRelativeToCursor#",	//764
    "positionRelativeToLine",	//765
    "positionRelativeToLine$",	//766
    "postLoadFilter",	//767
    "postLoadFilter#",	//768
    "postSaveFilterCheck",	//769
    "postSaveFilterCheck#$",	//770
    "preSavePostDialogFilterCheck",	//771
    "preSavePostDialogFilterCheck#",	//772
    "primaryNotifier",	//773
    "processText",	//774
    "processText#$",	//775
    "qt_metacall",	//776
    "qt_metacall$$?",	//777
    "qt_metacast",	//778
    "qt_metacast$",	//779
    "queryClose",	//780
    "queryCommand",	//781
    "queryCommand$",	//782
    "range",	//783
    "rangeAttributeChanged",	//784
    "rangeAttributeChanged#??",	//785
    "rangeChanged",	//786
    "rangeChanged##",	//787
    "rangeContentsChanged",	//788
    "rangeContentsChanged#",	//789
    "rangeContentsChanged##",	//790
    "rangeDeleted",	//791
    "rangeDeleted#",	//792
    "rangeEliminated",	//793
    "rangeEliminated#",	//794
    "rangePositionChanged",	//795
    "rangePositionChanged#",	//796
    "readAppSetting",	//797
    "readAppSetting$",	//798
    "readConfig",	//799
    "readConfig#",	//800
    "readParameterizedSessionConfig",	//801
    "readParameterizedSessionConfig#$",	//802
    "readSessionConfig",	//803
    "readSessionConfig#",	//804
    "rebuildChildStructure",	//805
    "registerCommand",	//806
    "registerCommand#",	//807
    "registerCompletionModel",	//808
    "registerCompletionModel#",	//809
    "releaseRevision",	//810
    "releaseRevision$",	//811
    "removeActionsFromDocument",	//812
    "removeActionsFromDocument#",	//813
    "removeActionsFromView",	//814
    "removeActionsFromView##",	//815
    "removeColumns",	//816
    "removeDocument",	//817
    "removeDocument#",	//818
    "removeHighlightFromDocument",	//819
    "removeHighlightFromDocument#",	//820
    "removeHighlightFromView",	//821
    "removeHighlightFromView##",	//822
    "removeLine",	//823
    "removeLine$",	//824
    "removeMark",	//825
    "removeMark$$",	//826
    "removeNotifier",	//827
    "removeNotifier#",	//828
    "removeRows",	//829
    "removeSelection",	//830
    "removeSelectionText",	//831
    "removeText",	//832
    "removeText#",	//833
    "removeText#$",	//834
    "removeText$",	//835
    "removeView",	//836
    "removeView#",	//837
    "removeWatcher",	//838
    "removeWatcher#",	//839
    "replaceText",	//840
    "replaceText#$",	//841
    "replaceText#$$",	//842
    "replaceText#?",	//843
    "replaceText#?$",	//844
    "replaceText?",	//845
    "replaceText?$",	//846
    "reservedMarkersCount",	//847
    "reset",	//848
    "resizeEvent",	//849
    "revert",	//850
    "rowCount",	//851
    "rowCount#",	//852
    "save",	//853
    "saveAs",	//854
    "saveFile",	//855
    "saveToUrl",	//856
    "searchText",	//857
    "searchText#$",	//858
    "searchText#$$",	//859
    "selectedBackground",	//860
    "selectedForeground",	//861
    "selection",	//862
    "selectionChanged",	//863
    "selectionChanged#",	//864
    "selectionRange",	//865
    "selectionText",	//866
    "setActiveView",	//867
    "setActiveView#",	//868
    "setAnnotationBorderVisible",	//869
    "setAnnotationBorderVisible$",	//870
    "setAnnotationModel",	//871
    "setAnnotationModel#",	//872
    "setAttribute",	//873
    "setAttribute?",	//874
    "setAutomaticInvocationEnabled",	//875
    "setAutomaticInvocationEnabled$",	//876
    "setBackgroundFillWhitespace",	//877
    "setBackgroundFillWhitespace$",	//878
    "setBlockSelection",	//879
    "setBlockSelection$",	//880
    "setBothColumns",	//881
    "setBothColumns$",	//882
    "setBothLines",	//883
    "setBothLines$",	//884
    "setClearOnDocumentReload",	//885
    "setClearOnDocumentReload$",	//886
    "setColumn",	//887
    "setColumn$",	//888
    "setComponentData",	//889
    "setConfigValue",	//890
    "setConfigValue$#",	//891
    "setContainer",	//892
    "setContainer#",	//893
    "setContextMenu",	//894
    "setContextMenu#",	//895
    "setCursorPosition",	//896
    "setCursorPosition#",	//897
    "setDOMDocument",	//898
    "setData",	//899
    "setDefaultEncoding",	//900
    "setDefaultEncoding$",	//901
    "setDynamicAttribute",	//902
    "setDynamicAttribute$?",	//903
    "setEditableMarks",	//904
    "setEditableMarks$",	//905
    "setEffects",	//906
    "setEffects$",	//907
    "setEncoding",	//908
    "setEncoding$",	//909
    "setFontBold",	//910
    "setFontBold$",	//911
    "setHasGroups",	//912
    "setHasGroups$",	//913
    "setHeaderData",	//914
    "setHighlightingMode",	//915
    "setHighlightingMode$",	//916
    "setInsertBehavior",	//917
    "setInsertBehavior$",	//918
    "setItemData",	//919
    "setLength",	//920
    "setLength$",	//921
    "setLine",	//922
    "setLine$",	//923
    "setLocalXMLFile",	//924
    "setM_column",	//925
    "setM_column$",	//926
    "setM_end",	//927
    "setM_end#",	//928
    "setM_line",	//929
    "setM_line$",	//930
    "setM_range",	//931
    "setM_range#",	//932
    "setM_start",	//933
    "setM_start#",	//934
    "setManager",	//935
    "setMark",	//936
    "setMark$$",	//937
    "setMarkDescription",	//938
    "setMarkDescription$$",	//939
    "setMarkPixmap",	//940
    "setMarkPixmap$#",	//941
    "setMode",	//942
    "setMode$",	//943
    "setModified",	//944
    "setModifiedOnDisk",	//945
    "setModifiedOnDisk$",	//946
    "setModifiedOnDiskWarning",	//947
    "setModifiedOnDiskWarning$",	//948
    "setMouseTrackingEnabled",	//949
    "setMouseTrackingEnabled$",	//950
    "setOpeningError",	//951
    "setOpeningError$",	//952
    "setOpeningErrorMessage",	//953
    "setOpeningErrorMessage$",	//954
    "setOutline",	//955
    "setOutline#",	//956
    "setParentRange",	//957
    "setParentRange#",	//958
    "setPosition",	//959
    "setPosition#",	//960
    "setPosition$$",	//961
    "setRange",	//962
    "setRange#",	//963
    "setRange##",	//964
    "setReadWrite",	//965
    "setRowCount",	//966
    "setRowCount$",	//967
    "setSelectable",	//968
    "setSelectedBackground",	//969
    "setSelectedBackground#",	//970
    "setSelectedForeground",	//971
    "setSelectedForeground#",	//972
    "setSelection",	//973
    "setSelection#",	//974
    "setSelection#$",	//975
    "setSelection#$$",	//976
    "setSimpleMode",	//977
    "setSimpleMode$",	//978
    "setStart",	//979
    "setStart$",	//980
    "setSuppressOpeningErrorDialogs",	//981
    "setSuppressOpeningErrorDialogs$",	//982
    "setText",	//983
    "setText$",	//984
    "setText?",	//985
    "setType",	//986
    "setType$",	//987
    "setVisible",	//988
    "setWantsDirectChanges",	//989
    "setWantsDirectChanges$",	//990
    "setWatcher",	//991
    "setWatcher#",	//992
    "setWidget",	//993
    "setXML",	//994
    "setXMLFile",	//995
    "setupTranslations",	//996
    "shouldAbortCompletion",	//997
    "shouldAbortCompletion##$",	//998
    "shouldExecute",	//999
    "shouldExecute##",	//1000
    "shouldStartCompletion",	//1001
    "shouldStartCompletion#$$#",	//1002
    "showEvent",	//1003
    "showViewBarForView",	//1004
    "showViewBarForView#$",	//1005
    "simpleMode",	//1006
    "sizeHint",	//1007
    "slotModifiedOnDisk",	//1008
    "slotModifiedOnDisk#",	//1009
    "smartEnd",	//1010
    "smartMutex",	//1011
    "smartRange",	//1012
    "smartStart",	//1013
    "sort",	//1014
    "span",	//1015
    "start",	//1016
    "startCompletion",	//1017
    "startCompletion##",	//1018
    "startEditing",	//1019
    "stateChanged",	//1020
    "staticMetaObject",	//1021
    "styleChange",	//1022
    "submit",	//1023
    "supportedDropActions",	//1024
    "supportedSearchOptions",	//1025
    "supportsRange",	//1026
    "supportsRange$",	//1027
    "suppressOpeningErrorDialogs",	//1028
    "tabletEvent",	//1029
    "text",	//1030
    "text#",	//1031
    "text#$",	//1032
    "text$",	//1033
    "textChanged",	//1034
    "textChanged#",	//1035
    "textChanged###",	//1036
    "textChanged##$#",	//1037
    "textInserted",	//1038
    "textInserted##",	//1039
    "textInserted##$",	//1040
    "textLines",	//1041
    "textLines#",	//1042
    "textLines#$",	//1043
    "textRemoved",	//1044
    "textRemoved##",	//1045
    "textRemoved##$",	//1046
    "timerEvent",	//1047
    "toSmartCursor",	//1048
    "toSmartRange",	//1049
    "topParentRange",	//1050
    "totalCharacters",	//1051
    "tr",	//1052
    "tr$",	//1053
    "tr$$",	//1054
    "tr$$$",	//1055
    "trUtf8",	//1056
    "trUtf8$",	//1057
    "trUtf8$$",	//1058
    "trUtf8$$$",	//1059
    "translateFromRevision",	//1060
    "translateFromRevision#",	//1061
    "translateFromRevision#$",	//1062
    "type",	//1063
    "unbindSmartRange",	//1064
    "unbindSmartRange#",	//1065
    "unregisterCommand",	//1066
    "unregisterCommand#",	//1067
    "unregisterCompletionModel",	//1068
    "unregisterCompletionModel#",	//1069
    "updateCompletionRange",	//1070
    "updateCompletionRange##",	//1071
    "useRevision",	//1072
    "useRevision$",	//1073
    "variable",	//1074
    "variable$",	//1075
    "variableChanged",	//1076
    "variableChanged#$$",	//1077
    "verticalScrollPositionChanged",	//1078
    "verticalScrollPositionChanged##",	//1079
    "viewActions",	//1080
    "viewActions#",	//1081
    "viewCreated",	//1082
    "viewCreated##",	//1083
    "viewEditMode",	//1084
    "viewEditModeChanged",	//1085
    "viewEditModeChanged#$",	//1086
    "viewHighlights",	//1087
    "viewHighlights#",	//1088
    "viewMode",	//1089
    "viewModeChanged",	//1090
    "viewModeChanged#",	//1091
    "views",	//1092
    "virtual_hook",	//1093
    "waitForReset",	//1094
    "wantsDirectChanges",	//1095
    "wantsToProcessText",	//1096
    "wantsToProcessText$",	//1097
    "watcher",	//1098
    "watchers",	//1099
    "wheelEvent",	//1100
    "widget",	//1101
    "windowActivationChange",	//1102
    "writeAppSetting",	//1103
    "writeAppSetting$",	//1104
    "writeConfig",	//1105
    "writeConfig#",	//1106
    "writeParameterizedSessionConfig",	//1107
    "writeParameterizedSessionConfig#$",	//1108
    "writeSessionConfig",	//1109
    "writeSessionConfig#",	//1110
    "x11Event",	//1111
    "xmlFile",	//1112
    "~AnnotationInterface",	//1113
    "~AnnotationModel",	//1114
    "~AnnotationViewInterface",	//1115
    "~Attribute",	//1116
    "~AttributeBlock",	//1117
    "~CodeCompletionInterface",	//1118
    "~CodeCompletionModel",	//1119
    "~CodeCompletionModel2",	//1120
    "~CodeCompletionModelControllerInterface",	//1121
    "~CodeCompletionModelControllerInterface2",	//1122
    "~Command",	//1123
    "~CommandExtension",	//1124
    "~CommandInterface",	//1125
    "~ConfigInterface",	//1126
    "~ConfigPage",	//1127
    "~ContainerInterface",	//1128
    "~CoordinatesToCursorInterface",	//1129
    "~Cursor",	//1130
    "~Document",	//1131
    "~Editor",	//1132
    "~EditorChooser",	//1133
    "~Factory",	//1134
    "~HighlightInterface",	//1135
    "~LoadSaveFilterCheckPlugin",	//1136
    "~Mark",	//1137
    "~MarkInterface",	//1138
    "~MdiContainer",	//1139
    "~ModificationInterface",	//1140
    "~ParameterizedSessionConfigInterface",	//1141
    "~Plugin",	//1142
    "~Range",	//1143
    "~RangeCommand",	//1144
    "~SearchInterface",	//1145
    "~SessionConfigInterface",	//1146
    "~SmartCursor",	//1147
    "~SmartCursorNotifier",	//1148
    "~SmartCursorWatcher",	//1149
    "~SmartInterface",	//1150
    "~SmartRange",	//1151
    "~SmartRangeNotifier",	//1152
    "~SmartRangeWatcher",	//1153
    "~TemplateInterface",	//1154
    "~TextHintInterface",	//1155
    "~VariableInterface",	//1156
    "~View",	//1157
    "~ViewBarContainer",	//1158
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {11, 755, 0, 0, Smoke::mf_virtual, 5, 0},	//1 KParts::Factory::partComponentData()
    {11, 403, 1, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 12, 0},	//2 KParts::Factory::createPartObject(QWidget*, QObject*, const char*, const QStringList&) [pure virtual]
    {11, 402, 6, 3, Smoke::mf_protected|Smoke::mf_virtual, 148, 0},	//3 KParts::Factory::createObject(QObject*, const char*, const QStringList&)
    {13, 495, 10, 1, Smoke::mf_virtual, 0, 0},	//4 KParts::Part::embed(QWidget*)
    {13, 1101, 0, 0, Smoke::mf_virtual, 170, 0},	//5 KParts::Part::widget()
    {13, 935, 12, 1, Smoke::mf_virtual, 0, 0},	//6 KParts::Part::setManager(KParts::PartManager*)
    {13, 569, 14, 2, Smoke::mf_virtual, 12, 0},	//7 KParts::Part::hitTest(QWidget*, const QPoint&)
    {13, 968, 17, 1, Smoke::mf_virtual, 0, 0},	//8 KParts::Part::setSelectable(bool)
    {13, 993, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KParts::Part::setWidget(QWidget*)
    {13, 420, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KParts::Part::customEvent(QEvent*)
    {13, 754, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
    {13, 756, 23, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
    {15, 889, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KParts::PartBase::setComponentData(const KComponentData&)
    {15, 889, 27, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//14 KParts::PartBase::setComponentData(const KComponentData&, bool)
    {18, 728, 30, 1, Smoke::mf_virtual|Smoke::mf_slot, 245, 0},	//15 KParts::ReadOnlyPart::openUrl(const KUrl&)
    {18, 727, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 0},	//16 KParts::ReadOnlyPart::openFile() [pure virtual]
    {18, 545, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 KParts::ReadOnlyPart::guiActivateEvent(KParts::GUIActivateEvent*)
    {19, 965, 17, 1, Smoke::mf_virtual, 0, 0},	//18 KParts::ReadWritePart::setReadWrite(bool)
    {19, 780, 0, 0, Smoke::mf_virtual, 245, 0},	//19 KParts::ReadWritePart::queryClose()
    {19, 350, 0, 0, Smoke::mf_virtual, 245, 0},	//20 KParts::ReadWritePart::closeUrl()
    {19, 350, 17, 1, Smoke::mf_virtual, 245, 0},	//21 KParts::ReadWritePart::closeUrl(bool)
    {19, 854, 30, 1, Smoke::mf_virtual, 245, 0},	//22 KParts::ReadWritePart::saveAs(const KUrl&)
    {19, 944, 17, 1, Smoke::mf_virtual, 0, 0},	//23 KParts::ReadWritePart::setModified(bool)
    {19, 853, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 245, 0},	//24 KParts::ReadWritePart::save()
    {19, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 0},	//25 KParts::ReadWritePart::saveFile() [pure virtual]
    {19, 856, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 245, 0},	//26 KParts::ReadWritePart::saveToUrl()
    {20, 996, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//27 KPluginFactory::setupTranslations()
    {20, 398, 34, 5, Smoke::mf_protected|Smoke::mf_virtual, 148, 0},	//28 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {22, 735, 40, 2, Smoke::mf_static, 121, 1},	//29 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    {22, 735, 43, 2, Smoke::mf_static, 125, 2},	//30 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    {22, 735, 46, 2, Smoke::mf_static, 131, 3},	//31 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    {22, 735, 49, 2, Smoke::mf_static, 119, 4},	//32 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    {22, 735, 52, 2, Smoke::mf_static, 120, 5},	//33 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    {22, 735, 55, 2, Smoke::mf_static, 131, 6},	//34 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    {22, 735, 58, 2, Smoke::mf_static, 125, 7},	//35 KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    {22, 735, 61, 2, Smoke::mf_static, 119, 8},	//36 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    {22, 735, 64, 2, Smoke::mf_static, 120, 9},	//37 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    {22, 735, 67, 2, Smoke::mf_static, 131, 10},	//38 KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    {22, 491, 70, 1, Smoke::mf_static, 57, 11},	//39 KTextEditor::editor(const char*)
    {22, 404, 72, 2, Smoke::mf_static, 74, 12},	//40 KTextEditor::createPlugin(KSharedPtr<KService>, QObject*)
    {22, 735, 75, 2, Smoke::mf_static, 131, 13},	//41 KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    {22, 735, 78, 2, Smoke::mf_static, 121, 14},	//42 KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    {23, 871, 81, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//43 KTextEditor::AnnotationInterface::setAnnotationModel(KTextEditor::AnnotationModel*) [pure virtual]
    {23, 286, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 24, 2},	//44 KTextEditor::AnnotationInterface::annotationModel() const [pure virtual]
    {23, 6, 0, 0, Smoke::mf_ctor, 23, 3},	//45 KTextEditor::AnnotationInterface::AnnotationInterface()
    {23, 6, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 4},	//46 KTextEditor::AnnotationInterface::AnnotationInterface(const KTextEditor::AnnotationInterface&)
    {23, 1113, 0, 0, Smoke::mf_dtor, 0, 5 },	//47 KTextEditor::AnnotationInterface::~AnnotationInterface()
    {24, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//48 KTextEditor::AnnotationModel::metaObject() const
    {24, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//49 KTextEditor::AnnotationModel::qt_metacast(const char*)
    {24, 1052, 85, 2, Smoke::mf_static, 159, 3},	//50 KTextEditor::AnnotationModel::tr(const char*, const char*)
    {24, 1056, 85, 2, Smoke::mf_static, 159, 4},	//51 KTextEditor::AnnotationModel::trUtf8(const char*, const char*)
    {24, 1052, 88, 3, Smoke::mf_static, 159, 5},	//52 KTextEditor::AnnotationModel::tr(const char*, const char*, int)
    {24, 1056, 88, 3, Smoke::mf_static, 159, 6},	//53 KTextEditor::AnnotationModel::trUtf8(const char*, const char*, int)
    {24, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//54 KTextEditor::AnnotationModel::qt_metacall(QMetaObject::Call, int, void**)
    {24, 421, 96, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 167, 8},	//55 KTextEditor::AnnotationModel::data(int, Qt::ItemDataRole) const [pure virtual]
    {24, 848, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 9},	//56 KTextEditor::AnnotationModel::reset()
    {24, 620, 99, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//57 KTextEditor::AnnotationModel::lineChanged(int)
    {24, 8, 0, 0, Smoke::mf_ctor, 24, 11},	//58 KTextEditor::AnnotationModel::AnnotationModel()
    {24, 1052, 70, 1, Smoke::mf_static, 159, 12},	//59 KTextEditor::AnnotationModel::tr(const char*)
    {24, 1056, 70, 1, Smoke::mf_static, 159, 13},	//60 KTextEditor::AnnotationModel::trUtf8(const char*)
    {24, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 14},	//61 KTextEditor::AnnotationModel::staticMetaObject() const
    {24, 1114, 0, 0, Smoke::mf_dtor, 0, 15 },	//62 KTextEditor::AnnotationModel::~AnnotationModel()
    {25, 869, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//63 KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible(bool) [pure virtual]
    {25, 602, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 2},	//64 KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible() const [pure virtual]
    {25, 284, 101, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//65 KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow(KTextEditor::View*, QMenu*, int) [pure virtual]
    {25, 280, 105, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//66 KTextEditor::AnnotationViewInterface::annotationActivated(KTextEditor::View*, int) [pure virtual]
    {25, 282, 108, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//67 KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged(KTextEditor::View*, bool) [pure virtual]
    {25, 9, 0, 0, Smoke::mf_ctor, 25, 6},	//68 KTextEditor::AnnotationViewInterface::AnnotationViewInterface()
    {25, 9, 111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 7},	//69 KTextEditor::AnnotationViewInterface::AnnotationViewInterface(const KTextEditor::AnnotationViewInterface&)
    {25, 1115, 0, 0, Smoke::mf_dtor, 0, 8 },	//70 KTextEditor::AnnotationViewInterface::~AnnotationViewInterface()
    {26, 13, 0, 0, Smoke::mf_ctor, 27, 1},	//71 KTextEditor::Attribute::Attribute()
    {26, 13, 113, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 2},	//72 KTextEditor::Attribute::Attribute(const KTextEditor::Attribute&)
    {26, 540, 0, 0, Smoke::mf_const, 245, 3},	//73 KTextEditor::Attribute::fontBold() const
    {26, 910, 17, 1, 0, 0, 4},	//74 KTextEditor::Attribute::setFontBold(bool)
    {26, 738, 0, 0, Smoke::mf_const, 107, 5},	//75 KTextEditor::Attribute::outline() const
    {26, 955, 115, 1, 0, 0, 6},	//76 KTextEditor::Attribute::setOutline(const QBrush&)
    {26, 861, 0, 0, Smoke::mf_const, 107, 7},	//77 KTextEditor::Attribute::selectedForeground() const
    {26, 971, 115, 1, 0, 0, 8},	//78 KTextEditor::Attribute::setSelectedForeground(const QBrush&)
    {26, 860, 0, 0, Smoke::mf_const, 107, 9},	//79 KTextEditor::Attribute::selectedBackground() const
    {26, 969, 115, 1, 0, 0, 10},	//80 KTextEditor::Attribute::setSelectedBackground(const QBrush&)
    {26, 300, 0, 0, Smoke::mf_const, 245, 11},	//81 KTextEditor::Attribute::backgroundFillWhitespace() const
    {26, 877, 17, 1, 0, 0, 12},	//82 KTextEditor::Attribute::setBackgroundFillWhitespace(bool)
    {26, 331, 0, 0, 0, 0, 13},	//83 KTextEditor::Attribute::clear()
    {26, 546, 0, 0, Smoke::mf_const, 245, 14},	//84 KTextEditor::Attribute::hasAnyProperty() const
    {26, 290, 0, 0, Smoke::mf_const, 292, 15},	//85 KTextEditor::Attribute::associatedActions() const
    {26, 333, 0, 0, 0, 0, 16},	//86 KTextEditor::Attribute::clearAssociatedActions()
    {26, 488, 117, 1, Smoke::mf_const, 18, 17},	//87 KTextEditor::Attribute::dynamicAttribute(KTextEditor::Attribute::ActivationType) const
    {26, 902, 119, 2, 0, 0, 18},	//88 KTextEditor::Attribute::setDynamicAttribute(KTextEditor::Attribute::ActivationType, KSharedPtr<KTextEditor::Attribute>)
    {26, 494, 0, 0, Smoke::mf_const, 118, 19},	//89 KTextEditor::Attribute::effects() const
    {26, 906, 122, 1, 0, 0, 20},	//90 KTextEditor::Attribute::setEffects(QFlags<KTextEditor::Attribute::Effect>)
    {26, 731, 113, 1, 0, 26, 21},	//91 KTextEditor::Attribute::operator+=(const KTextEditor::Attribute&)
    {26, 733, 113, 1, 0, 26, 22},	//92 KTextEditor::Attribute::operator=(const KTextEditor::Attribute&)
    {26, 910, 0, 0, 0, 0, 23},	//93 KTextEditor::Attribute::setFontBold()
    {26, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 24},	//94 KTextEditor::Attribute::Outline (enum)
    {26, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 25},	//95 KTextEditor::Attribute::SelectedForeground (enum)
    {26, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 26},	//96 KTextEditor::Attribute::SelectedBackground (enum)
    {26, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 27},	//97 KTextEditor::Attribute::BackgroundFillWhitespace (enum)
    {26, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 28},	//98 KTextEditor::Attribute::AttributeDynamicEffect (enum)
    {26, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 29},	//99 KTextEditor::Attribute::AttributeInternalProperty (enum)
    {26, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 30},	//100 KTextEditor::Attribute::AttributeUserProperty (enum)
    {26, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 31},	//101 KTextEditor::Attribute::ActivateMouseIn (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 32},	//102 KTextEditor::Attribute::ActivateCaretIn (enum)
    {26, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 33},	//103 KTextEditor::Attribute::EffectNone (enum)
    {26, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 34},	//104 KTextEditor::Attribute::EffectFadeIn (enum)
    {26, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 35},	//105 KTextEditor::Attribute::EffectFadeOut (enum)
    {26, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 36},	//106 KTextEditor::Attribute::EffectPulse (enum)
    {26, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 37},	//107 KTextEditor::Attribute::EffectCycleGradient (enum)
    {26, 1116, 0, 0, Smoke::mf_dtor, 0, 38 },	//108 KTextEditor::Attribute::~Attribute()
    {27, 604, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 1},	//109 KTextEditor::CodeCompletionInterface::isCompletionActive() const [pure virtual]
    {27, 1017, 124, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//110 KTextEditor::CodeCompletionInterface::startCompletion(const KTextEditor::Range&, KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 243, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//111 KTextEditor::CodeCompletionInterface::abortCompletion() [pure virtual]
    {27, 542, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//112 KTextEditor::CodeCompletionInterface::forceCompletion() [pure virtual]
    {27, 808, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//113 KTextEditor::CodeCompletionInterface::registerCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 1068, 127, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//114 KTextEditor::CodeCompletionInterface::unregisterCompletionModel(KTextEditor::CodeCompletionModel*) [pure virtual]
    {27, 603, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 7},	//115 KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled() const [pure virtual]
    {27, 875, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//116 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled(bool) [pure virtual]
    {27, 32, 0, 0, Smoke::mf_ctor, 33, 9},	//117 KTextEditor::CodeCompletionInterface::CodeCompletionInterface()
    {27, 32, 129, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 33, 10},	//118 KTextEditor::CodeCompletionInterface::CodeCompletionInterface(const KTextEditor::CodeCompletionInterface&)
    {27, 875, 0, 0, 0, 0, 11},	//119 KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled()
    {27, 1118, 0, 0, Smoke::mf_dtor, 0, 12 },	//120 KTextEditor::CodeCompletionInterface::~CodeCompletionInterface()
    {28, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//121 KTextEditor::CodeCompletionModel::metaObject() const
    {28, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//122 KTextEditor::CodeCompletionModel::qt_metacast(const char*)
    {28, 1052, 85, 2, Smoke::mf_static, 159, 3},	//123 KTextEditor::CodeCompletionModel::tr(const char*, const char*)
    {28, 1056, 85, 2, Smoke::mf_static, 159, 4},	//124 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*)
    {28, 1052, 88, 3, Smoke::mf_static, 159, 5},	//125 KTextEditor::CodeCompletionModel::tr(const char*, const char*, int)
    {28, 1056, 88, 3, Smoke::mf_static, 159, 6},	//126 KTextEditor::CodeCompletionModel::trUtf8(const char*, const char*, int)
    {28, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//127 KTextEditor::CodeCompletionModel::qt_metacall(QMetaObject::Call, int, void**)
    {28, 34, 131, 1, Smoke::mf_ctor, 34, 8},	//128 KTextEditor::CodeCompletionModel::CodeCompletionModel(QObject*)
    {28, 966, 99, 1, 0, 0, 9},	//129 KTextEditor::CodeCompletionModel::setRowCount(int)
    {28, 360, 133, 3, Smoke::mf_virtual, 0, 10},	//130 KTextEditor::CodeCompletionModel::completionInvoked(KTextEditor::View*, const KTextEditor::Range&, KTextEditor::CodeCompletionModel::InvocationType)
    {28, 517, 137, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//131 KTextEditor::CodeCompletionModel::executeCompletionItem(KTextEditor::Document*, const KTextEditor::Range&, int) const
    {28, 355, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 320, 12},	//132 KTextEditor::CodeCompletionModel::columnCount(const QModelIndex&) const
    {28, 572, 143, 3, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//133 KTextEditor::CodeCompletionModel::index(int, int, const QModelIndex&) const
    {28, 609, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 140, 14},	//134 KTextEditor::CodeCompletionModel::itemData(const QModelIndex&) const
    {28, 749, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 144, 15},	//135 KTextEditor::CodeCompletionModel::parent(const QModelIndex&) const
    {28, 851, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 320, 16},	//136 KTextEditor::CodeCompletionModel::rowCount(const QModelIndex&) const
    {28, 548, 0, 0, Smoke::mf_const, 245, 17},	//137 KTextEditor::CodeCompletionModel::hasGroups() const
    {28, 1094, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//138 KTextEditor::CodeCompletionModel::waitForReset()
    {28, 549, 147, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//139 KTextEditor::CodeCompletionModel::hasGroupsChanged(KTextEditor::CodeCompletionModel*, bool)
    {28, 912, 17, 1, Smoke::mf_protected, 0, 20},	//140 KTextEditor::CodeCompletionModel::setHasGroups(bool)
    {28, 1052, 70, 1, Smoke::mf_static, 159, 21},	//141 KTextEditor::CodeCompletionModel::tr(const char*)
    {28, 1056, 70, 1, Smoke::mf_static, 159, 22},	//142 KTextEditor::CodeCompletionModel::trUtf8(const char*)
    {28, 355, 0, 0, Smoke::mf_const, 320, 23},	//143 KTextEditor::CodeCompletionModel::columnCount() const
    {28, 572, 150, 2, Smoke::mf_const, 144, 24},	//144 KTextEditor::CodeCompletionModel::index(int, int) const
    {28, 851, 0, 0, Smoke::mf_const, 320, 25},	//145 KTextEditor::CodeCompletionModel::rowCount() const
    {28, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 26},	//146 KTextEditor::CodeCompletionModel::staticMetaObject() const
    {28, 42, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 27},	//147 KTextEditor::CodeCompletionModel::ColumnCount() const
    {28, 125, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 317, 28},	//148 KTextEditor::CodeCompletionModel::LastItemDataRole() const
    {28, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 29},	//149 KTextEditor::CodeCompletionModel::Prefix (enum)
    {28, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 30},	//150 KTextEditor::CodeCompletionModel::Icon (enum)
    {28, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 31},	//151 KTextEditor::CodeCompletionModel::Scope (enum)
    {28, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 32},	//152 KTextEditor::CodeCompletionModel::Name (enum)
    {28, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 33},	//153 KTextEditor::CodeCompletionModel::Arguments (enum)
    {28, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 34},	//154 KTextEditor::CodeCompletionModel::Postfix (enum)
    {28, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 35},	//155 KTextEditor::CodeCompletionModel::NoProperty (enum)
    {28, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 36},	//156 KTextEditor::CodeCompletionModel::FirstProperty (enum)
    {28, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 37},	//157 KTextEditor::CodeCompletionModel::Public (enum)
    {28, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 38},	//158 KTextEditor::CodeCompletionModel::Protected (enum)
    {28, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 39},	//159 KTextEditor::CodeCompletionModel::Private (enum)
    {28, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 40},	//160 KTextEditor::CodeCompletionModel::Static (enum)
    {28, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 41},	//161 KTextEditor::CodeCompletionModel::Const (enum)
    {28, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 42},	//162 KTextEditor::CodeCompletionModel::Namespace (enum)
    {28, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 43},	//163 KTextEditor::CodeCompletionModel::Class (enum)
    {28, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 44},	//164 KTextEditor::CodeCompletionModel::Struct (enum)
    {28, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 45},	//165 KTextEditor::CodeCompletionModel::Union (enum)
    {28, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 46},	//166 KTextEditor::CodeCompletionModel::Function (enum)
    {28, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 47},	//167 KTextEditor::CodeCompletionModel::Variable (enum)
    {28, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 48},	//168 KTextEditor::CodeCompletionModel::Enum (enum)
    {28, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 49},	//169 KTextEditor::CodeCompletionModel::Template (enum)
    {28, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 50},	//170 KTextEditor::CodeCompletionModel::TypeAlias (enum)
    {28, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 51},	//171 KTextEditor::CodeCompletionModel::Virtual (enum)
    {28, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 52},	//172 KTextEditor::CodeCompletionModel::Override (enum)
    {28, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 53},	//173 KTextEditor::CodeCompletionModel::Inline (enum)
    {28, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 54},	//174 KTextEditor::CodeCompletionModel::Friend (enum)
    {28, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 55},	//175 KTextEditor::CodeCompletionModel::Signal (enum)
    {28, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 56},	//176 KTextEditor::CodeCompletionModel::Slot (enum)
    {28, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 57},	//177 KTextEditor::CodeCompletionModel::LocalScope (enum)
    {28, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 58},	//178 KTextEditor::CodeCompletionModel::NamespaceScope (enum)
    {28, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 59},	//179 KTextEditor::CodeCompletionModel::GlobalScope (enum)
    {28, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 60},	//180 KTextEditor::CodeCompletionModel::LastProperty (enum)
    {28, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 61},	//181 KTextEditor::CodeCompletionModel::NoHighlighting (enum)
    {28, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 62},	//182 KTextEditor::CodeCompletionModel::InternalHighlighting (enum)
    {28, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 63},	//183 KTextEditor::CodeCompletionModel::CustomHighlighting (enum)
    {28, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 64},	//184 KTextEditor::CodeCompletionModel::CompletionRole (enum)
    {28, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 65},	//185 KTextEditor::CodeCompletionModel::ScopeIndex (enum)
    {28, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 66},	//186 KTextEditor::CodeCompletionModel::MatchQuality (enum)
    {28, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 67},	//187 KTextEditor::CodeCompletionModel::SetMatchContext (enum)
    {28, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 68},	//188 KTextEditor::CodeCompletionModel::HighlightingMethod (enum)
    {28, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 69},	//189 KTextEditor::CodeCompletionModel::CustomHighlight (enum)
    {28, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 70},	//190 KTextEditor::CodeCompletionModel::InheritanceDepth (enum)
    {28, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 71},	//191 KTextEditor::CodeCompletionModel::IsExpandable (enum)
    {28, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 72},	//192 KTextEditor::CodeCompletionModel::ExpandingWidget (enum)
    {28, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 73},	//193 KTextEditor::CodeCompletionModel::ItemSelected (enum)
    {28, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 74},	//194 KTextEditor::CodeCompletionModel::ArgumentHintDepth (enum)
    {28, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 75},	//195 KTextEditor::CodeCompletionModel::BestMatchesCount (enum)
    {28, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 76},	//196 KTextEditor::CodeCompletionModel::AccessibilityNext (enum)
    {28, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 77},	//197 KTextEditor::CodeCompletionModel::AccessibilityPrevious (enum)
    {28, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 78},	//198 KTextEditor::CodeCompletionModel::AccessibilityAccept (enum)
    {28, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 79},	//199 KTextEditor::CodeCompletionModel::GroupRole (enum)
    {28, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 80},	//200 KTextEditor::CodeCompletionModel::AutomaticInvocation (enum)
    {28, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 81},	//201 KTextEditor::CodeCompletionModel::UserInvocation (enum)
    {28, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 82},	//202 KTextEditor::CodeCompletionModel::ManualInvocation (enum)
    {28, 1119, 0, 0, Smoke::mf_dtor, 0, 83 },	//203 KTextEditor::CodeCompletionModel::~CodeCompletionModel()
    {29, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//204 KTextEditor::CodeCompletionModel2::metaObject() const
    {29, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//205 KTextEditor::CodeCompletionModel2::qt_metacast(const char*)
    {29, 1052, 85, 2, Smoke::mf_static, 159, 3},	//206 KTextEditor::CodeCompletionModel2::tr(const char*, const char*)
    {29, 1056, 85, 2, Smoke::mf_static, 159, 4},	//207 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*)
    {29, 1052, 88, 3, Smoke::mf_static, 159, 5},	//208 KTextEditor::CodeCompletionModel2::tr(const char*, const char*, int)
    {29, 1056, 88, 3, Smoke::mf_static, 159, 6},	//209 KTextEditor::CodeCompletionModel2::trUtf8(const char*, const char*, int)
    {29, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//210 KTextEditor::CodeCompletionModel2::qt_metacall(QMetaObject::Call, int, void**)
    {29, 36, 131, 1, Smoke::mf_ctor, 35, 8},	//211 KTextEditor::CodeCompletionModel2::CodeCompletionModel2(QObject*)
    {29, 519, 153, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 9},	//212 KTextEditor::CodeCompletionModel2::executeCompletionItem2(KTextEditor::Document*, const KTextEditor::Range&, const QModelIndex&) const
    {29, 1052, 70, 1, Smoke::mf_static, 159, 10},	//213 KTextEditor::CodeCompletionModel2::tr(const char*)
    {29, 1056, 70, 1, Smoke::mf_static, 159, 11},	//214 KTextEditor::CodeCompletionModel2::trUtf8(const char*)
    {29, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 12},	//215 KTextEditor::CodeCompletionModel2::staticMetaObject() const
    {29, 1120, 0, 0, Smoke::mf_dtor, 0, 13 },	//216 KTextEditor::CodeCompletionModel2::~CodeCompletionModel2()
    {30, 38, 0, 0, Smoke::mf_ctor, 43, 1},	//217 KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface()
    {30, 1001, 157, 4, Smoke::mf_virtual, 245, 2},	//218 KTextEditor::CodeCompletionModelControllerInterface::shouldStartCompletion(KTextEditor::View*, const QString&, bool, const KTextEditor::Cursor&)
    {30, 364, 162, 2, Smoke::mf_virtual, 75, 3},	//219 KTextEditor::CodeCompletionModelControllerInterface::completionRange(KTextEditor::View*, const KTextEditor::Cursor&)
    {30, 1070, 165, 2, Smoke::mf_virtual, 0, 4},	//220 KTextEditor::CodeCompletionModelControllerInterface::updateCompletionRange(KTextEditor::View*, KTextEditor::SmartRange&)
    {30, 526, 168, 3, Smoke::mf_virtual, 159, 5},	//221 KTextEditor::CodeCompletionModelControllerInterface::filterString(KTextEditor::View*, const KTextEditor::SmartRange&, const KTextEditor::Cursor&)
    {30, 997, 172, 3, Smoke::mf_virtual, 245, 6},	//222 KTextEditor::CodeCompletionModelControllerInterface::shouldAbortCompletion(KTextEditor::View*, const KTextEditor::SmartRange&, const QString&)
    {30, 999, 176, 2, Smoke::mf_virtual, 245, 7},	//223 KTextEditor::CodeCompletionModelControllerInterface::shouldExecute(const QModelIndex&, QChar)
    {30, 244, 179, 1, Smoke::mf_virtual, 0, 8},	//224 KTextEditor::CodeCompletionModelControllerInterface::aborted(KTextEditor::View*)
    {30, 38, 181, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 9},	//225 KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface(const KTextEditor::CodeCompletionModelControllerInterface&)
    {30, 1121, 0, 0, Smoke::mf_dtor, 0, 10 },	//226 KTextEditor::CodeCompletionModelControllerInterface::~CodeCompletionModelControllerInterface()
    {31, 675, 141, 1, Smoke::mf_virtual, 45, 1},	//227 KTextEditor::CodeCompletionModelControllerInterface2::matchingItem(const QModelIndex&)
    {31, 40, 0, 0, Smoke::mf_ctor, 44, 2},	//228 KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2()
    {31, 40, 183, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 3},	//229 KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2(const KTextEditor::CodeCompletionModelControllerInterface2&)
    {31, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 4},	//230 KTextEditor::CodeCompletionModelControllerInterface2::None (enum)
    {31, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 5},	//231 KTextEditor::CodeCompletionModelControllerInterface2::HideListIfAutomaticInvocation (enum)
    {31, 1122, 0, 0, Smoke::mf_dtor, 0, 6 },	//232 KTextEditor::CodeCompletionModelControllerInterface2::~CodeCompletionModelControllerInterface2()
    {32, 353, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 313, 1},	//233 KTextEditor::Command::cmds() [pure virtual]
    {32, 514, 185, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 2},	//234 KTextEditor::Command::exec(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {32, 556, 185, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 3},	//235 KTextEditor::Command::help(KTextEditor::View*, const QString&, QString&) [pure virtual]
    {32, 43, 0, 0, Smoke::mf_ctor, 46, 4},	//236 KTextEditor::Command::Command()
    {32, 43, 189, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 5},	//237 KTextEditor::Command::Command(const KTextEditor::Command&)
    {32, 1123, 0, 0, Smoke::mf_dtor, 0, 6 },	//238 KTextEditor::Command::~Command()
    {33, 530, 191, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//239 KTextEditor::CommandExtension::flagCompletions(QStringList&) [pure virtual]
    {33, 362, 193, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 4, 2},	//240 KTextEditor::CommandExtension::completionObject(KTextEditor::View*, const QString&) [pure virtual]
    {33, 1096, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 3},	//241 KTextEditor::CommandExtension::wantsToProcessText(const QString&) [pure virtual]
    {33, 774, 193, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//242 KTextEditor::CommandExtension::processText(KTextEditor::View*, const QString&) [pure virtual]
    {33, 45, 0, 0, Smoke::mf_ctor, 47, 5},	//243 KTextEditor::CommandExtension::CommandExtension()
    {33, 45, 198, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 6},	//244 KTextEditor::CommandExtension::CommandExtension(const KTextEditor::CommandExtension&)
    {33, 1124, 0, 0, Smoke::mf_dtor, 0, 7 },	//245 KTextEditor::CommandExtension::~CommandExtension()
    {34, 806, 200, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 1},	//246 KTextEditor::CommandInterface::registerCommand(KTextEditor::Command*) [pure virtual]
    {34, 1066, 200, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 2},	//247 KTextEditor::CommandInterface::unregisterCommand(KTextEditor::Command*) [pure virtual]
    {34, 781, 196, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 46, 3},	//248 KTextEditor::CommandInterface::queryCommand(const QString&) const [pure virtual]
    {34, 359, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 134, 4},	//249 KTextEditor::CommandInterface::commands() const [pure virtual]
    {34, 358, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 5},	//250 KTextEditor::CommandInterface::commandList() const [pure virtual]
    {34, 47, 0, 0, Smoke::mf_ctor, 48, 6},	//251 KTextEditor::CommandInterface::CommandInterface()
    {34, 47, 202, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 7},	//252 KTextEditor::CommandInterface::CommandInterface(const KTextEditor::CommandInterface&)
    {34, 1125, 0, 0, Smoke::mf_dtor, 0, 8 },	//253 KTextEditor::CommandInterface::~CommandInterface()
    {35, 50, 0, 0, Smoke::mf_ctor, 49, 1},	//254 KTextEditor::ConfigInterface::ConfigInterface()
    {35, 370, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 2},	//255 KTextEditor::ConfigInterface::configKeys() const [pure virtual]
    {35, 380, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 167, 3},	//256 KTextEditor::ConfigInterface::configValue(const QString&) [pure virtual]
    {35, 890, 204, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//257 KTextEditor::ConfigInterface::setConfigValue(const QString&, const QVariant&) [pure virtual]
    {35, 50, 207, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 5},	//258 KTextEditor::ConfigInterface::ConfigInterface(const KTextEditor::ConfigInterface&)
    {35, 1126, 0, 0, Smoke::mf_dtor, 0, 6 },	//259 KTextEditor::ConfigInterface::~ConfigInterface()
    {36, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//260 KTextEditor::ConfigPage::metaObject() const
    {36, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//261 KTextEditor::ConfigPage::qt_metacast(const char*)
    {36, 1052, 85, 2, Smoke::mf_static, 159, 3},	//262 KTextEditor::ConfigPage::tr(const char*, const char*)
    {36, 1056, 85, 2, Smoke::mf_static, 159, 4},	//263 KTextEditor::ConfigPage::trUtf8(const char*, const char*)
    {36, 1052, 88, 3, Smoke::mf_static, 159, 5},	//264 KTextEditor::ConfigPage::tr(const char*, const char*, int)
    {36, 1056, 88, 3, Smoke::mf_static, 159, 6},	//265 KTextEditor::ConfigPage::trUtf8(const char*, const char*, int)
    {36, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//266 KTextEditor::ConfigPage::qt_metacall(QMetaObject::Call, int, void**)
    {36, 52, 10, 1, Smoke::mf_ctor, 50, 8},	//267 KTextEditor::ConfigPage::ConfigPage(QWidget*)
    {36, 287, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 9},	//268 KTextEditor::ConfigPage::apply() [pure virtual]
    {36, 848, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 10},	//269 KTextEditor::ConfigPage::reset() [pure virtual]
    {36, 434, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 11},	//270 KTextEditor::ConfigPage::defaults() [pure virtual]
    {36, 313, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//271 KTextEditor::ConfigPage::changed()
    {36, 1052, 70, 1, Smoke::mf_static, 159, 13},	//272 KTextEditor::ConfigPage::tr(const char*)
    {36, 1056, 70, 1, Smoke::mf_static, 159, 14},	//273 KTextEditor::ConfigPage::trUtf8(const char*)
    {36, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 15},	//274 KTextEditor::ConfigPage::staticMetaObject() const
    {36, 1127, 0, 0, Smoke::mf_dtor, 0, 16 },	//275 KTextEditor::ConfigPage::~ConfigPage()
    {37, 55, 0, 0, Smoke::mf_ctor, 51, 1},	//276 KTextEditor::ContainerInterface::ContainerInterface()
    {37, 892, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//277 KTextEditor::ContainerInterface::setContainer(QObject*) [pure virtual]
    {37, 385, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 3},	//278 KTextEditor::ContainerInterface::container() [pure virtual]
    {37, 55, 209, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 4},	//279 KTextEditor::ContainerInterface::ContainerInterface(const KTextEditor::ContainerInterface&)
    {37, 1128, 0, 0, Smoke::mf_dtor, 0, 5 },	//280 KTextEditor::ContainerInterface::~ContainerInterface()
    {38, 396, 211, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 53, 1},	//281 KTextEditor::CoordinatesToCursorInterface::coordinatesToCursor(const QPoint&) const [pure virtual]
    {38, 57, 0, 0, Smoke::mf_ctor, 52, 2},	//282 KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface()
    {38, 57, 213, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 3},	//283 KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface(const KTextEditor::CoordinatesToCursorInterface&)
    {38, 1129, 0, 0, Smoke::mf_dtor, 0, 4 },	//284 KTextEditor::CoordinatesToCursorInterface::~CoordinatesToCursorInterface()
    {39, 59, 0, 0, Smoke::mf_ctor, 55, 1},	//285 KTextEditor::Cursor::Cursor()
    {39, 59, 150, 2, Smoke::mf_ctor, 55, 2},	//286 KTextEditor::Cursor::Cursor(int, int)
    {39, 59, 215, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 3},	//287 KTextEditor::Cursor::Cursor(const KTextEditor::Cursor&)
    {39, 608, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 4},	//288 KTextEditor::Cursor::isValid() const
    {39, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 5},	//289 KTextEditor::Cursor::isSmartCursor() const
    {39, 1048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 6},	//290 KTextEditor::Cursor::toSmartCursor() const
    {39, 600, 0, 0, Smoke::mf_static, 53, 7},	//291 KTextEditor::Cursor::invalid()
    {39, 1016, 0, 0, Smoke::mf_static, 53, 8},	//292 KTextEditor::Cursor::start()
    {39, 959, 215, 1, Smoke::mf_virtual, 0, 9},	//293 KTextEditor::Cursor::setPosition(const KTextEditor::Cursor&)
    {39, 959, 150, 2, 0, 0, 10},	//294 KTextEditor::Cursor::setPosition(int, int)
    {39, 616, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 320, 11},	//295 KTextEditor::Cursor::line() const
    {39, 922, 99, 1, Smoke::mf_virtual, 0, 12},	//296 KTextEditor::Cursor::setLine(int)
    {39, 354, 0, 0, Smoke::mf_const, 320, 13},	//297 KTextEditor::Cursor::column() const
    {39, 887, 99, 1, Smoke::mf_virtual, 0, 14},	//298 KTextEditor::Cursor::setColumn(int)
    {39, 294, 0, 0, Smoke::mf_const, 245, 15},	//299 KTextEditor::Cursor::atStartOfLine() const
    {39, 293, 0, 0, Smoke::mf_const, 245, 16},	//300 KTextEditor::Cursor::atStartOfDocument() const
    {39, 757, 217, 2, Smoke::mf_const, 0, 17},	//301 KTextEditor::Cursor::position(int&, int&) const
    {39, 783, 0, 0, Smoke::mf_const, 77, 18},	//302 KTextEditor::Cursor::range() const
    {39, 733, 215, 1, 0, 54, 19},	//303 KTextEditor::Cursor::operator=(const KTextEditor::Cursor&)
    {39, 962, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//304 KTextEditor::Cursor::setRange(KTextEditor::Range*)
    {39, 409, 215, 1, Smoke::mf_protected, 0, 21},	//305 KTextEditor::Cursor::cursorChangedDirectly(const KTextEditor::Cursor&)
    {39, 628, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 320, 22},	//306 KTextEditor::Cursor::m_line() const
    {39, 929, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 23},	//307 KTextEditor::Cursor::setM_line(int)
    {39, 626, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 320, 24},	//308 KTextEditor::Cursor::m_column() const
    {39, 925, 99, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 25},	//309 KTextEditor::Cursor::setM_column(int)
    {39, 629, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 77, 26},	//310 KTextEditor::Cursor::m_range() const
    {39, 931, 220, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 27},	//311 KTextEditor::Cursor::setM_range(KTextEditor::Range*)
    {39, 1130, 0, 0, Smoke::mf_dtor, 0, 28 },	//312 KTextEditor::Cursor::~Cursor()
    {40, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//313 KTextEditor::Document::metaObject() const
    {40, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//314 KTextEditor::Document::qt_metacast(const char*)
    {40, 1052, 85, 2, Smoke::mf_static, 159, 3},	//315 KTextEditor::Document::tr(const char*, const char*)
    {40, 1056, 85, 2, Smoke::mf_static, 159, 4},	//316 KTextEditor::Document::trUtf8(const char*, const char*)
    {40, 1052, 88, 3, Smoke::mf_static, 159, 5},	//317 KTextEditor::Document::tr(const char*, const char*, int)
    {40, 1056, 88, 3, Smoke::mf_static, 159, 6},	//318 KTextEditor::Document::trUtf8(const char*, const char*, int)
    {40, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//319 KTextEditor::Document::qt_metacall(QMetaObject::Call, int, void**)
    {40, 66, 131, 1, Smoke::mf_ctor, 56, 8},	//320 KTextEditor::Document::Document(QObject*)
    {40, 491, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 57, 9},	//321 KTextEditor::Document::editor() [pure virtual]
    {40, 406, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 10},	//322 KTextEditor::Document::createView(QWidget*) [pure virtual]
    {40, 254, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 11},	//323 KTextEditor::Document::activeView() const [pure virtual]
    {40, 1092, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 298, 12},	//324 KTextEditor::Document::views() const [pure virtual]
    {40, 1082, 222, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//325 KTextEditor::Document::viewCreated(KTextEditor::Document*, KTextEditor::View*)
    {40, 456, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 312, 14},	//326 KTextEditor::Document::documentName() const [pure virtual]
    {40, 680, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 15},	//327 KTextEditor::Document::mimeType() [pure virtual]
    {40, 457, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//328 KTextEditor::Document::documentNameChanged(KTextEditor::Document*)
    {40, 465, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//329 KTextEditor::Document::documentUrlChanged(KTextEditor::Document*)
    {40, 689, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//330 KTextEditor::Document::modifiedChanged(KTextEditor::Document*)
    {40, 908, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 19},	//331 KTextEditor::Document::setEncoding(const QString&) [pure virtual]
    {40, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 312, 20},	//332 KTextEditor::Document::encoding() const [pure virtual]
    {40, 460, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 21},	//333 KTextEditor::Document::documentReload() [pure virtual]
    {40, 461, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 22},	//334 KTextEditor::Document::documentSave() [pure virtual]
    {40, 462, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 23},	//335 KTextEditor::Document::documentSaveAs() [pure virtual]
    {40, 463, 227, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//336 KTextEditor::Document::documentSavedOrUploaded(KTextEditor::Document*, bool)
    {40, 1019, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 25},	//337 KTextEditor::Document::startEditing() [pure virtual]
    {40, 504, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 26},	//338 KTextEditor::Document::endEditing() [pure virtual]
    {40, 1030, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 27},	//339 KTextEditor::Document::text() const [pure virtual]
    {40, 1030, 230, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 28},	//340 KTextEditor::Document::text(const KTextEditor::Range&, bool) const [pure virtual]
    {40, 314, 215, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 108, 29},	//341 KTextEditor::Document::character(const KTextEditor::Cursor&) const [pure virtual]
    {40, 1041, 230, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 30},	//342 KTextEditor::Document::textLines(const KTextEditor::Range&, bool) const [pure virtual]
    {40, 616, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 31},	//343 KTextEditor::Document::line(int) const [pure virtual]
    {40, 624, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 320, 32},	//344 KTextEditor::Document::lines() const [pure virtual]
    {40, 454, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 53, 33},	//345 KTextEditor::Document::documentEnd() const [pure virtual]
    {40, 459, 0, 0, Smoke::mf_const, 75, 34},	//346 KTextEditor::Document::documentRange() const
    {40, 1051, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 320, 35},	//347 KTextEditor::Document::totalCharacters() const [pure virtual]
    {40, 605, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 36},	//348 KTextEditor::Document::isEmpty() const
    {40, 622, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 320, 37},	//349 KTextEditor::Document::lineLength(int) const [pure virtual]
    {40, 505, 99, 1, Smoke::mf_const, 53, 38},	//350 KTextEditor::Document::endOfLine(int) const
    {40, 983, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 39},	//351 KTextEditor::Document::setText(const QString&) [pure virtual]
    {40, 983, 233, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 40},	//352 KTextEditor::Document::setText(const QStringList&) [pure virtual]
    {40, 331, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 41},	//353 KTextEditor::Document::clear() [pure virtual]
    {40, 590, 235, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 42},	//354 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&, bool) [pure virtual]
    {40, 590, 239, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 43},	//355 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&, bool) [pure virtual]
    {40, 840, 243, 3, Smoke::mf_virtual, 245, 44},	//356 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&, bool)
    {40, 840, 247, 3, Smoke::mf_virtual, 245, 45},	//357 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&, bool)
    {40, 832, 230, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 46},	//358 KTextEditor::Document::removeText(const KTextEditor::Range&, bool) [pure virtual]
    {40, 411, 215, 1, Smoke::mf_virtual, 245, 47},	//359 KTextEditor::Document::cursorInText(const KTextEditor::Cursor&)
    {40, 581, 251, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 48},	//360 KTextEditor::Document::insertLine(int, const QString&) [pure virtual]
    {40, 583, 254, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 49},	//361 KTextEditor::Document::insertLines(int, const QStringList&) [pure virtual]
    {40, 823, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 50},	//362 KTextEditor::Document::removeLine(int) [pure virtual]
    {40, 1034, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//363 KTextEditor::Document::textChanged(KTextEditor::Document*)
    {40, 1038, 257, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//364 KTextEditor::Document::textInserted(KTextEditor::Document*, const KTextEditor::Range&)
    {40, 1044, 257, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//365 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&)
    {40, 1044, 260, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//366 KTextEditor::Document::textRemoved(KTextEditor::Document*, const KTextEditor::Range&, const QString&)
    {40, 1034, 264, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//367 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const KTextEditor::Range&)
    {40, 1034, 268, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//368 KTextEditor::Document::textChanged(KTextEditor::Document*, const KTextEditor::Range&, const QString&, const KTextEditor::Range&)
    {40, 247, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//369 KTextEditor::Document::aboutToClose(KTextEditor::Document*)
    {40, 249, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 58},	//370 KTextEditor::Document::aboutToReload(KTextEditor::Document*)
    {40, 512, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 59},	//371 KTextEditor::Document::exclusiveEditStart(KTextEditor::Document*)
    {40, 510, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 60},	//372 KTextEditor::Document::exclusiveEditEnd(KTextEditor::Document*)
    {40, 683, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 61},	//373 KTextEditor::Document::mode() const [pure virtual]
    {40, 561, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 62},	//374 KTextEditor::Document::highlightingMode() const [pure virtual]
    {40, 688, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 63},	//375 KTextEditor::Document::modes() const [pure virtual]
    {40, 568, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 64},	//376 KTextEditor::Document::highlightingModes() const [pure virtual]
    {40, 942, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 65},	//377 KTextEditor::Document::setMode(const QString&) [pure virtual]
    {40, 915, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 66},	//378 KTextEditor::Document::setHighlightingMode(const QString&) [pure virtual]
    {40, 566, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 67},	//379 KTextEditor::Document::highlightingModeSection(int) const [pure virtual]
    {40, 686, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 68},	//380 KTextEditor::Document::modeSection(int) const [pure virtual]
    {40, 684, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 69},	//381 KTextEditor::Document::modeChanged(KTextEditor::Document*)
    {40, 564, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 70},	//382 KTextEditor::Document::highlightingModeChanged(KTextEditor::Document*)
    {40, 981, 17, 1, 0, 0, 71},	//383 KTextEditor::Document::setSuppressOpeningErrorDialogs(bool)
    {40, 1028, 0, 0, Smoke::mf_const, 245, 72},	//384 KTextEditor::Document::suppressOpeningErrorDialogs() const
    {40, 729, 0, 0, Smoke::mf_const, 245, 73},	//385 KTextEditor::Document::openingError() const
    {40, 730, 0, 0, Smoke::mf_const, 159, 74},	//386 KTextEditor::Document::openingErrorMessage() const
    {40, 951, 17, 1, Smoke::mf_protected, 0, 75},	//387 KTextEditor::Document::setOpeningError(bool)
    {40, 953, 196, 1, Smoke::mf_protected, 0, 76},	//388 KTextEditor::Document::setOpeningErrorMessage(const QString&)
    {40, 1052, 70, 1, Smoke::mf_static, 159, 77},	//389 KTextEditor::Document::tr(const char*)
    {40, 1056, 70, 1, Smoke::mf_static, 159, 78},	//390 KTextEditor::Document::trUtf8(const char*)
    {40, 66, 0, 0, Smoke::mf_ctor, 56, 79},	//391 KTextEditor::Document::Document()
    {40, 1030, 273, 1, Smoke::mf_const, 159, 80},	//392 KTextEditor::Document::text(const KTextEditor::Range&) const
    {40, 1041, 273, 1, Smoke::mf_const, 161, 81},	//393 KTextEditor::Document::textLines(const KTextEditor::Range&) const
    {40, 590, 275, 2, 0, 245, 82},	//394 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QString&)
    {40, 590, 278, 2, 0, 245, 83},	//395 KTextEditor::Document::insertText(const KTextEditor::Cursor&, const QStringList&)
    {40, 840, 281, 2, 0, 245, 84},	//396 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QString&)
    {40, 840, 284, 2, 0, 245, 85},	//397 KTextEditor::Document::replaceText(const KTextEditor::Range&, const QStringList&)
    {40, 832, 273, 1, 0, 245, 86},	//398 KTextEditor::Document::removeText(const KTextEditor::Range&)
    {40, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 87},	//399 KTextEditor::Document::staticMetaObject() const
    {40, 1131, 0, 0, Smoke::mf_dtor, 0, 88 },	//400 KTextEditor::Document::~Document()
    {41, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//401 KTextEditor::Editor::metaObject() const
    {41, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//402 KTextEditor::Editor::qt_metacast(const char*)
    {41, 1052, 85, 2, Smoke::mf_static, 159, 3},	//403 KTextEditor::Editor::tr(const char*, const char*)
    {41, 1056, 85, 2, Smoke::mf_static, 159, 4},	//404 KTextEditor::Editor::trUtf8(const char*, const char*)
    {41, 1052, 88, 3, Smoke::mf_static, 159, 5},	//405 KTextEditor::Editor::tr(const char*, const char*, int)
    {41, 1056, 88, 3, Smoke::mf_static, 159, 6},	//406 KTextEditor::Editor::trUtf8(const char*, const char*, int)
    {41, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//407 KTextEditor::Editor::qt_metacall(QMetaObject::Call, int, void**)
    {41, 72, 131, 1, Smoke::mf_ctor, 57, 8},	//408 KTextEditor::Editor::Editor(QObject*)
    {41, 977, 17, 1, 0, 0, 9},	//409 KTextEditor::Editor::setSimpleMode(bool)
    {41, 1006, 0, 0, Smoke::mf_const, 245, 10},	//410 KTextEditor::Editor::simpleMode() const
    {41, 399, 131, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 11},	//411 KTextEditor::Editor::createDocument(QObject*) [pure virtual]
    {41, 467, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 293, 12},	//412 KTextEditor::Editor::documents() [pure virtual]
    {41, 246, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 246, 13},	//413 KTextEditor::Editor::aboutData() const [pure virtual]
    {41, 431, 0, 0, Smoke::mf_const, 312, 14},	//414 KTextEditor::Editor::defaultEncoding() const
    {41, 900, 196, 1, Smoke::mf_protected, 0, 15},	//415 KTextEditor::Editor::setDefaultEncoding(const QString&)
    {41, 799, 287, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//416 KTextEditor::Editor::readConfig(KConfig*) [pure virtual]
    {41, 1105, 287, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//417 KTextEditor::Editor::writeConfig(KConfig*) [pure virtual]
    {41, 369, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 18},	//418 KTextEditor::Editor::configDialogSupported() const [pure virtual]
    {41, 367, 10, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//419 KTextEditor::Editor::configDialog(QWidget*) [pure virtual]
    {41, 379, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 320, 20},	//420 KTextEditor::Editor::configPages() const [pure virtual]
    {41, 371, 289, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 50, 21},	//421 KTextEditor::Editor::configPage(int, QWidget*) [pure virtual]
    {41, 377, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 22},	//422 KTextEditor::Editor::configPageName(int) const [pure virtual]
    {41, 373, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 23},	//423 KTextEditor::Editor::configPageFullName(int) const [pure virtual]
    {41, 375, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 9, 24},	//424 KTextEditor::Editor::configPageIcon(int) const [pure virtual]
    {41, 452, 292, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//425 KTextEditor::Editor::documentCreated(KTextEditor::Editor*, KTextEditor::Document*)
    {41, 1052, 70, 1, Smoke::mf_static, 159, 26},	//426 KTextEditor::Editor::tr(const char*)
    {41, 1056, 70, 1, Smoke::mf_static, 159, 27},	//427 KTextEditor::Editor::trUtf8(const char*)
    {41, 799, 0, 0, 0, 0, 28},	//428 KTextEditor::Editor::readConfig()
    {41, 1105, 0, 0, 0, 0, 29},	//429 KTextEditor::Editor::writeConfig()
    {41, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 30},	//430 KTextEditor::Editor::staticMetaObject() const
    {41, 1132, 0, 0, Smoke::mf_dtor, 0, 31 },	//431 KTextEditor::Editor::~Editor()
    {42, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//432 KTextEditor::EditorChooser::metaObject() const
    {42, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//433 KTextEditor::EditorChooser::qt_metacast(const char*)
    {42, 1052, 85, 2, Smoke::mf_static, 159, 3},	//434 KTextEditor::EditorChooser::tr(const char*, const char*)
    {42, 1056, 85, 2, Smoke::mf_static, 159, 4},	//435 KTextEditor::EditorChooser::trUtf8(const char*, const char*)
    {42, 1052, 88, 3, Smoke::mf_static, 159, 5},	//436 KTextEditor::EditorChooser::tr(const char*, const char*, int)
    {42, 1056, 88, 3, Smoke::mf_static, 159, 6},	//437 KTextEditor::EditorChooser::trUtf8(const char*, const char*, int)
    {42, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//438 KTextEditor::EditorChooser::qt_metacall(QMetaObject::Call, int, void**)
    {42, 74, 10, 1, Smoke::mf_ctor, 58, 8},	//439 KTextEditor::EditorChooser::EditorChooser(QWidget*)
    {42, 797, 196, 1, 0, 0, 9},	//440 KTextEditor::EditorChooser::readAppSetting(const QString&)
    {42, 1103, 196, 1, 0, 0, 10},	//441 KTextEditor::EditorChooser::writeAppSetting(const QString&)
    {42, 491, 295, 2, Smoke::mf_static, 57, 11},	//442 KTextEditor::EditorChooser::editor(const QString&, bool)
    {42, 313, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//443 KTextEditor::EditorChooser::changed()
    {42, 1052, 70, 1, Smoke::mf_static, 159, 13},	//444 KTextEditor::EditorChooser::tr(const char*)
    {42, 1056, 70, 1, Smoke::mf_static, 159, 14},	//445 KTextEditor::EditorChooser::trUtf8(const char*)
    {42, 74, 0, 0, Smoke::mf_ctor, 58, 15},	//446 KTextEditor::EditorChooser::EditorChooser()
    {42, 797, 0, 0, 0, 0, 16},	//447 KTextEditor::EditorChooser::readAppSetting()
    {42, 1103, 0, 0, 0, 0, 17},	//448 KTextEditor::EditorChooser::writeAppSetting()
    {42, 491, 0, 0, Smoke::mf_static, 57, 18},	//449 KTextEditor::EditorChooser::editor()
    {42, 491, 196, 1, Smoke::mf_static, 57, 19},	//450 KTextEditor::EditorChooser::editor(const QString&)
    {42, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 20},	//451 KTextEditor::EditorChooser::staticMetaObject() const
    {42, 1133, 0, 0, Smoke::mf_dtor, 0, 21 },	//452 KTextEditor::EditorChooser::~EditorChooser()
    {43, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//453 KTextEditor::Factory::metaObject() const
    {43, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//454 KTextEditor::Factory::qt_metacast(const char*)
    {43, 1052, 85, 2, Smoke::mf_static, 159, 3},	//455 KTextEditor::Factory::tr(const char*, const char*)
    {43, 1056, 85, 2, Smoke::mf_static, 159, 4},	//456 KTextEditor::Factory::trUtf8(const char*, const char*)
    {43, 1052, 88, 3, Smoke::mf_static, 159, 5},	//457 KTextEditor::Factory::tr(const char*, const char*, int)
    {43, 1056, 88, 3, Smoke::mf_static, 159, 6},	//458 KTextEditor::Factory::trUtf8(const char*, const char*, int)
    {43, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//459 KTextEditor::Factory::qt_metacall(QMetaObject::Call, int, void**)
    {43, 87, 131, 1, Smoke::mf_ctor, 59, 8},	//460 KTextEditor::Factory::Factory(QObject*)
    {43, 491, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 57, 9},	//461 KTextEditor::Factory::editor() [pure virtual]
    {43, 1052, 70, 1, Smoke::mf_static, 159, 10},	//462 KTextEditor::Factory::tr(const char*)
    {43, 1056, 70, 1, Smoke::mf_static, 159, 11},	//463 KTextEditor::Factory::trUtf8(const char*)
    {43, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 12},	//464 KTextEditor::Factory::staticMetaObject() const
    {43, 1134, 0, 0, Smoke::mf_dtor, 0, 13 },	//465 KTextEditor::Factory::~Factory()
    {44, 95, 0, 0, Smoke::mf_ctor, 60, 1},	//466 KTextEditor::HighlightInterface::HighlightInterface()
    {44, 432, 298, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 18, 2},	//467 KTextEditor::HighlightInterface::defaultStyle(const KTextEditor::HighlightInterface::DefaultStyle) const [pure virtual]
    {44, 618, 300, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 135, 3},	//468 KTextEditor::HighlightInterface::lineAttributes(const unsigned int) [pure virtual]
    {44, 496, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 161, 4},	//469 KTextEditor::HighlightInterface::embeddedHighlightingModes() const [pure virtual]
    {44, 562, 215, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 5},	//470 KTextEditor::HighlightInterface::highlightingModeAt(const KTextEditor::Cursor&) [pure virtual]
    {44, 95, 302, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 6},	//471 KTextEditor::HighlightInterface::HighlightInterface(const KTextEditor::HighlightInterface&)
    {44, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 7},	//472 KTextEditor::HighlightInterface::dsNormal (enum)
    {44, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 8},	//473 KTextEditor::HighlightInterface::dsKeyword (enum)
    {44, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 9},	//474 KTextEditor::HighlightInterface::dsDataType (enum)
    {44, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 10},	//475 KTextEditor::HighlightInterface::dsDecVal (enum)
    {44, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 11},	//476 KTextEditor::HighlightInterface::dsBaseN (enum)
    {44, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 12},	//477 KTextEditor::HighlightInterface::dsFloat (enum)
    {44, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 13},	//478 KTextEditor::HighlightInterface::dsChar (enum)
    {44, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 14},	//479 KTextEditor::HighlightInterface::dsString (enum)
    {44, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 15},	//480 KTextEditor::HighlightInterface::dsComment (enum)
    {44, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 16},	//481 KTextEditor::HighlightInterface::dsOthers (enum)
    {44, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 17},	//482 KTextEditor::HighlightInterface::dsAlert (enum)
    {44, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 18},	//483 KTextEditor::HighlightInterface::dsFunction (enum)
    {44, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 19},	//484 KTextEditor::HighlightInterface::dsRegionMarker (enum)
    {44, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 20},	//485 KTextEditor::HighlightInterface::dsError (enum)
    {44, 1135, 0, 0, Smoke::mf_dtor, 0, 21 },	//486 KTextEditor::HighlightInterface::~HighlightInterface()
    {45, 15, 304, 3, Smoke::mf_ctor, 61, 1},	//487 KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock(const int, const int, const KSharedPtr<KTextEditor::Attribute>&)
    {45, 15, 308, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//488 KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock(const KTextEditor::HighlightInterface::AttributeBlock&)
    {45, 1016, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 320, 3},	//489 KTextEditor::HighlightInterface::AttributeBlock::start() const
    {45, 979, 99, 1, Smoke::mf_attribute, 0, 4},	//490 KTextEditor::HighlightInterface::AttributeBlock::setStart(int)
    {45, 615, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 320, 5},	//491 KTextEditor::HighlightInterface::AttributeBlock::length() const
    {45, 920, 99, 1, Smoke::mf_attribute, 0, 6},	//492 KTextEditor::HighlightInterface::AttributeBlock::setLength(int)
    {45, 295, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 19, 7},	//493 KTextEditor::HighlightInterface::AttributeBlock::attribute() const
    {45, 873, 310, 1, Smoke::mf_attribute, 0, 8},	//494 KTextEditor::HighlightInterface::AttributeBlock::setAttribute(const KSharedPtr<KTextEditor::Attribute>&)
    {45, 1117, 0, 0, Smoke::mf_dtor, 0, 9 },	//495 KTextEditor::HighlightInterface::AttributeBlock::~AttributeBlock()
    {46, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//496 KTextEditor::LoadSaveFilterCheckPlugin::metaObject() const
    {46, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//497 KTextEditor::LoadSaveFilterCheckPlugin::qt_metacast(const char*)
    {46, 1052, 85, 2, Smoke::mf_static, 159, 3},	//498 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*, const char*)
    {46, 1056, 85, 2, Smoke::mf_static, 159, 4},	//499 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*, const char*)
    {46, 1052, 88, 3, Smoke::mf_static, 159, 5},	//500 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*, const char*, int)
    {46, 1056, 88, 3, Smoke::mf_static, 159, 6},	//501 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*, const char*, int)
    {46, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//502 KTextEditor::LoadSaveFilterCheckPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {46, 130, 131, 1, Smoke::mf_ctor, 63, 8},	//503 KTextEditor::LoadSaveFilterCheckPlugin::LoadSaveFilterCheckPlugin(QObject*)
    {46, 771, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 9},	//504 KTextEditor::LoadSaveFilterCheckPlugin::preSavePostDialogFilterCheck(KTextEditor::Document*) [pure virtual]
    {46, 769, 227, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 10},	//505 KTextEditor::LoadSaveFilterCheckPlugin::postSaveFilterCheck(KTextEditor::Document*, bool) [pure virtual]
    {46, 767, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//506 KTextEditor::LoadSaveFilterCheckPlugin::postLoadFilter(KTextEditor::Document*) [pure virtual]
    {46, 1052, 70, 1, Smoke::mf_static, 159, 12},	//507 KTextEditor::LoadSaveFilterCheckPlugin::tr(const char*)
    {46, 1056, 70, 1, Smoke::mf_static, 159, 13},	//508 KTextEditor::LoadSaveFilterCheckPlugin::trUtf8(const char*)
    {46, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 14},	//509 KTextEditor::LoadSaveFilterCheckPlugin::staticMetaObject() const
    {46, 1136, 0, 0, Smoke::mf_dtor, 0, 15 },	//510 KTextEditor::LoadSaveFilterCheckPlugin::~LoadSaveFilterCheckPlugin()
    {47, 134, 0, 0, Smoke::mf_ctor, 65, 1},	//511 KTextEditor::Mark::Mark()
    {47, 134, 312, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//512 KTextEditor::Mark::Mark(const KTextEditor::Mark&)
    {47, 616, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 320, 3},	//513 KTextEditor::Mark::line() const
    {47, 922, 99, 1, Smoke::mf_attribute, 0, 4},	//514 KTextEditor::Mark::setLine(int)
    {47, 1063, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 323, 5},	//515 KTextEditor::Mark::type() const
    {47, 986, 314, 1, Smoke::mf_attribute, 0, 6},	//516 KTextEditor::Mark::setType(unsigned int)
    {47, 1137, 0, 0, Smoke::mf_dtor, 0, 7 },	//517 KTextEditor::Mark::~Mark()
    {48, 137, 0, 0, Smoke::mf_ctor, 66, 1},	//518 KTextEditor::MarkInterface::MarkInterface()
    {48, 631, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 323, 2},	//519 KTextEditor::MarkInterface::mark(int) [pure virtual]
    {48, 936, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//520 KTextEditor::MarkInterface::setMark(int, unsigned int) [pure virtual]
    {48, 337, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//521 KTextEditor::MarkInterface::clearMark(int) [pure virtual]
    {48, 267, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//522 KTextEditor::MarkInterface::addMark(int, unsigned int) [pure virtual]
    {48, 825, 316, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//523 KTextEditor::MarkInterface::removeMark(int, unsigned int) [pure virtual]
    {48, 671, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 291, 7},	//524 KTextEditor::MarkInterface::marks() [pure virtual]
    {48, 339, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//525 KTextEditor::MarkInterface::clearMarks() [pure virtual]
    {48, 847, 0, 0, Smoke::mf_static, 320, 9},	//526 KTextEditor::MarkInterface::reservedMarkersCount()
    {48, 672, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//527 KTextEditor::MarkInterface::marksChanged(KTextEditor::Document*) [pure virtual]
    {48, 940, 319, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//528 KTextEditor::MarkInterface::setMarkPixmap(KTextEditor::MarkInterface::MarkTypes, const QPixmap&) [pure virtual]
    {48, 637, 322, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 12},	//529 KTextEditor::MarkInterface::markPixmap(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {48, 938, 324, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//530 KTextEditor::MarkInterface::setMarkDescription(KTextEditor::MarkInterface::MarkTypes, const QString&) [pure virtual]
    {48, 635, 322, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 14},	//531 KTextEditor::MarkInterface::markDescription(KTextEditor::MarkInterface::MarkTypes) const [pure virtual]
    {48, 904, 314, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//532 KTextEditor::MarkInterface::setEditableMarks(unsigned int) [pure virtual]
    {48, 490, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 323, 16},	//533 KTextEditor::MarkInterface::editableMarks() const [pure virtual]
    {48, 633, 327, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//534 KTextEditor::MarkInterface::markChanged(KTextEditor::Document*, KTextEditor::Mark, KTextEditor::MarkInterface::MarkChangeAction) [pure virtual]
    {48, 137, 331, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 18},	//535 KTextEditor::MarkInterface::MarkInterface(const KTextEditor::MarkInterface&)
    {48, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 19},	//536 KTextEditor::MarkInterface::markType01 (enum)
    {48, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 20},	//537 KTextEditor::MarkInterface::markType02 (enum)
    {48, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 21},	//538 KTextEditor::MarkInterface::markType03 (enum)
    {48, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 22},	//539 KTextEditor::MarkInterface::markType04 (enum)
    {48, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 23},	//540 KTextEditor::MarkInterface::markType05 (enum)
    {48, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 24},	//541 KTextEditor::MarkInterface::markType06 (enum)
    {48, 645, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 25},	//542 KTextEditor::MarkInterface::markType07 (enum)
    {48, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 26},	//543 KTextEditor::MarkInterface::markType08 (enum)
    {48, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 27},	//544 KTextEditor::MarkInterface::markType09 (enum)
    {48, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 28},	//545 KTextEditor::MarkInterface::markType10 (enum)
    {48, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 29},	//546 KTextEditor::MarkInterface::markType11 (enum)
    {48, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 30},	//547 KTextEditor::MarkInterface::markType12 (enum)
    {48, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 31},	//548 KTextEditor::MarkInterface::markType13 (enum)
    {48, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 32},	//549 KTextEditor::MarkInterface::markType14 (enum)
    {48, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 33},	//550 KTextEditor::MarkInterface::markType15 (enum)
    {48, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 34},	//551 KTextEditor::MarkInterface::markType16 (enum)
    {48, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 35},	//552 KTextEditor::MarkInterface::markType17 (enum)
    {48, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 36},	//553 KTextEditor::MarkInterface::markType18 (enum)
    {48, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 37},	//554 KTextEditor::MarkInterface::markType19 (enum)
    {48, 658, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 38},	//555 KTextEditor::MarkInterface::markType20 (enum)
    {48, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 39},	//556 KTextEditor::MarkInterface::markType21 (enum)
    {48, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 40},	//557 KTextEditor::MarkInterface::markType22 (enum)
    {48, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 41},	//558 KTextEditor::MarkInterface::markType23 (enum)
    {48, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 42},	//559 KTextEditor::MarkInterface::markType24 (enum)
    {48, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 43},	//560 KTextEditor::MarkInterface::markType25 (enum)
    {48, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 44},	//561 KTextEditor::MarkInterface::markType26 (enum)
    {48, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 45},	//562 KTextEditor::MarkInterface::markType27 (enum)
    {48, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 46},	//563 KTextEditor::MarkInterface::markType28 (enum)
    {48, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 47},	//564 KTextEditor::MarkInterface::markType29 (enum)
    {48, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 48},	//565 KTextEditor::MarkInterface::markType30 (enum)
    {48, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 49},	//566 KTextEditor::MarkInterface::markType31 (enum)
    {48, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 50},	//567 KTextEditor::MarkInterface::markType32 (enum)
    {48, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 51},	//568 KTextEditor::MarkInterface::Bookmark (enum)
    {48, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 52},	//569 KTextEditor::MarkInterface::BreakpointActive (enum)
    {48, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 53},	//570 KTextEditor::MarkInterface::BreakpointReached (enum)
    {48, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 54},	//571 KTextEditor::MarkInterface::BreakpointDisabled (enum)
    {48, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 55},	//572 KTextEditor::MarkInterface::Execution (enum)
    {48, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 56},	//573 KTextEditor::MarkInterface::Warning (enum)
    {48, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 57},	//574 KTextEditor::MarkInterface::Error (enum)
    {48, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 58},	//575 KTextEditor::MarkInterface::MarkAdded (enum)
    {48, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 59},	//576 KTextEditor::MarkInterface::MarkRemoved (enum)
    {48, 1138, 0, 0, Smoke::mf_dtor, 0, 60 },	//577 KTextEditor::MarkInterface::~MarkInterface()
    {49, 141, 0, 0, Smoke::mf_ctor, 69, 1},	//578 KTextEditor::MdiContainer::MdiContainer()
    {49, 867, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//579 KTextEditor::MdiContainer::setActiveView(KTextEditor::View*) [pure virtual]
    {49, 254, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 3},	//580 KTextEditor::MdiContainer::activeView() [pure virtual]
    {49, 399, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 4},	//581 KTextEditor::MdiContainer::createDocument() [pure virtual]
    {49, 347, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 5},	//582 KTextEditor::MdiContainer::closeDocument(KTextEditor::Document*) [pure virtual]
    {49, 406, 225, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 99, 6},	//583 KTextEditor::MdiContainer::createView(KTextEditor::Document*) [pure virtual]
    {49, 351, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 7},	//584 KTextEditor::MdiContainer::closeView(KTextEditor::View*) [pure virtual]
    {49, 141, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 8},	//585 KTextEditor::MdiContainer::MdiContainer(const KTextEditor::MdiContainer&)
    {49, 1139, 0, 0, Smoke::mf_dtor, 0, 9 },	//586 KTextEditor::MdiContainer::~MdiContainer()
    {50, 143, 0, 0, Smoke::mf_ctor, 70, 1},	//587 KTextEditor::ModificationInterface::ModificationInterface()
    {50, 945, 335, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//588 KTextEditor::ModificationInterface::setModifiedOnDisk(KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {50, 947, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//589 KTextEditor::ModificationInterface::setModifiedOnDiskWarning(bool) [pure virtual]
    {50, 1008, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//590 KTextEditor::ModificationInterface::slotModifiedOnDisk(KTextEditor::View*) [pure virtual]
    {50, 691, 337, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//591 KTextEditor::ModificationInterface::modifiedOnDisk(KTextEditor::Document*, bool, KTextEditor::ModificationInterface::ModifiedOnDiskReason) [pure virtual]
    {50, 143, 341, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 70, 6},	//592 KTextEditor::ModificationInterface::ModificationInterface(const KTextEditor::ModificationInterface&)
    {50, 1008, 0, 0, 0, 0, 7},	//593 KTextEditor::ModificationInterface::slotModifiedOnDisk()
    {50, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 8},	//594 KTextEditor::ModificationInterface::OnDiskUnmodified (enum)
    {50, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 9},	//595 KTextEditor::ModificationInterface::OnDiskModified (enum)
    {50, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 10},	//596 KTextEditor::ModificationInterface::OnDiskCreated (enum)
    {50, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 11},	//597 KTextEditor::ModificationInterface::OnDiskDeleted (enum)
    {50, 1140, 0, 0, Smoke::mf_dtor, 0, 12 },	//598 KTextEditor::ModificationInterface::~ModificationInterface()
    {51, 158, 0, 0, Smoke::mf_ctor, 72, 1},	//599 KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface()
    {51, 801, 343, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//600 KTextEditor::ParameterizedSessionConfigInterface::readParameterizedSessionConfig(const KConfigGroup&, unsigned long) [pure virtual]
    {51, 1107, 346, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//601 KTextEditor::ParameterizedSessionConfigInterface::writeParameterizedSessionConfig(KConfigGroup&, unsigned long) [pure virtual]
    {51, 158, 349, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 4},	//602 KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface(const KTextEditor::ParameterizedSessionConfigInterface&)
    {51, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 5},	//603 KTextEditor::ParameterizedSessionConfigInterface::SkipNone (enum)
    {51, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 6},	//604 KTextEditor::ParameterizedSessionConfigInterface::SkipUrl (enum)
    {51, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 7},	//605 KTextEditor::ParameterizedSessionConfigInterface::SkipMode (enum)
    {51, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 8},	//606 KTextEditor::ParameterizedSessionConfigInterface::SkipHighlighting (enum)
    {51, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 9},	//607 KTextEditor::ParameterizedSessionConfigInterface::SkipEncoding (enum)
    {51, 1141, 0, 0, Smoke::mf_dtor, 0, 10 },	//608 KTextEditor::ParameterizedSessionConfigInterface::~ParameterizedSessionConfigInterface()
    {52, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//609 KTextEditor::Plugin::metaObject() const
    {52, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//610 KTextEditor::Plugin::qt_metacast(const char*)
    {52, 1052, 85, 2, Smoke::mf_static, 159, 3},	//611 KTextEditor::Plugin::tr(const char*, const char*)
    {52, 1056, 85, 2, Smoke::mf_static, 159, 4},	//612 KTextEditor::Plugin::trUtf8(const char*, const char*)
    {52, 1052, 88, 3, Smoke::mf_static, 159, 5},	//613 KTextEditor::Plugin::tr(const char*, const char*, int)
    {52, 1056, 88, 3, Smoke::mf_static, 159, 6},	//614 KTextEditor::Plugin::trUtf8(const char*, const char*, int)
    {52, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//615 KTextEditor::Plugin::qt_metacall(QMetaObject::Call, int, void**)
    {52, 160, 131, 1, Smoke::mf_ctor, 74, 8},	//616 KTextEditor::Plugin::Plugin(QObject*)
    {52, 259, 225, 1, Smoke::mf_virtual, 0, 9},	//617 KTextEditor::Plugin::addDocument(KTextEditor::Document*)
    {52, 817, 225, 1, Smoke::mf_virtual, 0, 10},	//618 KTextEditor::Plugin::removeDocument(KTextEditor::Document*)
    {52, 271, 179, 1, Smoke::mf_virtual, 0, 11},	//619 KTextEditor::Plugin::addView(KTextEditor::View*)
    {52, 836, 179, 1, Smoke::mf_virtual, 0, 12},	//620 KTextEditor::Plugin::removeView(KTextEditor::View*)
    {52, 1052, 70, 1, Smoke::mf_static, 159, 13},	//621 KTextEditor::Plugin::tr(const char*)
    {52, 1056, 70, 1, Smoke::mf_static, 159, 14},	//622 KTextEditor::Plugin::trUtf8(const char*)
    {52, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 15},	//623 KTextEditor::Plugin::staticMetaObject() const
    {52, 1142, 0, 0, Smoke::mf_dtor, 0, 16 },	//624 KTextEditor::Plugin::~Plugin()
    {53, 177, 0, 0, Smoke::mf_ctor, 77, 1},	//625 KTextEditor::Range::Range()
    {53, 177, 351, 2, Smoke::mf_ctor, 77, 2},	//626 KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {53, 177, 354, 2, Smoke::mf_ctor, 77, 3},	//627 KTextEditor::Range::Range(const KTextEditor::Cursor&, int)
    {53, 177, 357, 3, Smoke::mf_ctor, 77, 4},	//628 KTextEditor::Range::Range(const KTextEditor::Cursor&, int, int)
    {53, 177, 361, 4, Smoke::mf_ctor, 77, 5},	//629 KTextEditor::Range::Range(int, int, int, int)
    {53, 177, 273, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 6},	//630 KTextEditor::Range::Range(const KTextEditor::Range&)
    {53, 608, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 7},	//631 KTextEditor::Range::isValid() const
    {53, 600, 0, 0, Smoke::mf_static, 75, 8},	//632 KTextEditor::Range::invalid()
    {53, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 9},	//633 KTextEditor::Range::isSmartRange() const
    {53, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 91, 10},	//634 KTextEditor::Range::toSmartRange() const
    {53, 1016, 0, 0, 0, 54, 11},	//635 KTextEditor::Range::start()
    {53, 1016, 0, 0, Smoke::mf_const, 262, 12},	//636 KTextEditor::Range::start() const
    {53, 503, 0, 0, 0, 54, 13},	//637 KTextEditor::Range::end()
    {53, 503, 0, 0, Smoke::mf_const, 262, 14},	//638 KTextEditor::Range::end() const
    {53, 883, 99, 1, 0, 0, 15},	//639 KTextEditor::Range::setBothLines(int)
    {53, 881, 99, 1, 0, 0, 16},	//640 KTextEditor::Range::setBothColumns(int)
    {53, 962, 273, 1, Smoke::mf_virtual, 0, 17},	//641 KTextEditor::Range::setRange(const KTextEditor::Range&)
    {53, 962, 351, 2, 0, 0, 18},	//642 KTextEditor::Range::setRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {53, 523, 273, 1, Smoke::mf_virtual, 245, 19},	//643 KTextEditor::Range::expandToRange(const KTextEditor::Range&)
    {53, 382, 273, 1, Smoke::mf_virtual, 245, 20},	//644 KTextEditor::Range::confineToRange(const KTextEditor::Range&)
    {53, 726, 0, 0, Smoke::mf_const, 245, 21},	//645 KTextEditor::Range::onSingleLine() const
    {53, 725, 0, 0, Smoke::mf_const, 320, 22},	//646 KTextEditor::Range::numberOfLines() const
    {53, 357, 0, 0, Smoke::mf_const, 320, 23},	//647 KTextEditor::Range::columnWidth() const
    {53, 605, 0, 0, Smoke::mf_const, 245, 24},	//648 KTextEditor::Range::isEmpty() const
    {53, 386, 273, 1, Smoke::mf_const, 245, 25},	//649 KTextEditor::Range::contains(const KTextEditor::Range&) const
    {53, 386, 215, 1, Smoke::mf_const, 245, 26},	//650 KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    {53, 390, 99, 1, Smoke::mf_const, 245, 27},	//651 KTextEditor::Range::containsLine(int) const
    {53, 388, 99, 1, Smoke::mf_const, 245, 28},	//652 KTextEditor::Range::containsColumn(int) const
    {53, 740, 273, 1, Smoke::mf_const, 245, 29},	//653 KTextEditor::Range::overlaps(const KTextEditor::Range&) const
    {53, 744, 99, 1, Smoke::mf_const, 245, 30},	//654 KTextEditor::Range::overlapsLine(int) const
    {53, 742, 99, 1, Smoke::mf_const, 245, 31},	//655 KTextEditor::Range::overlapsColumn(int) const
    {53, 763, 215, 1, Smoke::mf_const, 320, 32},	//656 KTextEditor::Range::positionRelativeToCursor(const KTextEditor::Cursor&) const
    {53, 765, 99, 1, Smoke::mf_const, 320, 33},	//657 KTextEditor::Range::positionRelativeToLine(int) const
    {53, 302, 215, 1, Smoke::mf_const, 245, 34},	//658 KTextEditor::Range::boundaryAtCursor(const KTextEditor::Cursor&) const
    {53, 304, 99, 1, Smoke::mf_const, 245, 35},	//659 KTextEditor::Range::boundaryOnLine(int) const
    {53, 598, 273, 1, Smoke::mf_const, 75, 36},	//660 KTextEditor::Range::intersect(const KTextEditor::Range&) const
    {53, 501, 273, 1, Smoke::mf_const, 75, 37},	//661 KTextEditor::Range::encompass(const KTextEditor::Range&) const
    {53, 733, 273, 1, 0, 76, 38},	//662 KTextEditor::Range::operator=(const KTextEditor::Range&)
    {53, 177, 366, 2, Smoke::mf_ctor|Smoke::mf_protected, 77, 39},	//663 KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    {53, 786, 369, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//664 KTextEditor::Range::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {53, 630, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 55, 41},	//665 KTextEditor::Range::m_start() const
    {53, 933, 372, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//666 KTextEditor::Range::setM_start(KTextEditor::Cursor*)
    {53, 627, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 55, 43},	//667 KTextEditor::Range::m_end() const
    {53, 927, 372, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//668 KTextEditor::Range::setM_end(KTextEditor::Cursor*)
    {53, 1143, 0, 0, Smoke::mf_dtor, 0, 45 },	//669 KTextEditor::Range::~Range()
    {54, 514, 374, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 1},	//670 KTextEditor::RangeCommand::exec(KTextEditor::View*, const QString&, QString&, const KTextEditor::Range&) [pure virtual]
    {54, 1026, 196, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 2},	//671 KTextEditor::RangeCommand::supportsRange(const QString&) [pure virtual]
    {54, 183, 0, 0, Smoke::mf_ctor, 78, 3},	//672 KTextEditor::RangeCommand::RangeCommand()
    {54, 183, 379, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 78, 4},	//673 KTextEditor::RangeCommand::RangeCommand(const KTextEditor::RangeCommand&)
    {54, 1144, 0, 0, Smoke::mf_dtor, 0, 5 },	//674 KTextEditor::RangeCommand::~RangeCommand()
    {55, 188, 0, 0, Smoke::mf_ctor, 81, 1},	//675 KTextEditor::SearchInterface::SearchInterface()
    {55, 857, 381, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 168, 2},	//676 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&, const QFlags<KTextEditor::Search::SearchOptionsEnum>) [pure virtual]
    {55, 1025, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 123, 3},	//677 KTextEditor::SearchInterface::supportedSearchOptions() const [pure virtual]
    {55, 188, 385, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 4},	//678 KTextEditor::SearchInterface::SearchInterface(const KTextEditor::SearchInterface&)
    {55, 857, 281, 2, 0, 168, 5},	//679 KTextEditor::SearchInterface::searchText(const KTextEditor::Range&, const QString&)
    {55, 1145, 0, 0, Smoke::mf_dtor, 0, 6 },	//680 KTextEditor::SearchInterface::~SearchInterface()
    {56, 192, 0, 0, Smoke::mf_ctor, 82, 1},	//681 KTextEditor::SessionConfigInterface::SessionConfigInterface()
    {56, 803, 387, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//682 KTextEditor::SessionConfigInterface::readSessionConfig(const KConfigGroup&) [pure virtual]
    {56, 1109, 389, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//683 KTextEditor::SessionConfigInterface::writeSessionConfig(KConfigGroup&) [pure virtual]
    {56, 192, 391, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 82, 4},	//684 KTextEditor::SessionConfigInterface::SessionConfigInterface(const KTextEditor::SessionConfigInterface&)
    {56, 1146, 0, 0, Smoke::mf_dtor, 0, 5 },	//685 KTextEditor::SessionConfigInterface::~SessionConfigInterface()
    {57, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 1},	//686 KTextEditor::SmartCursor::isSmartCursor() const
    {57, 1048, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 2},	//687 KTextEditor::SmartCursor::toSmartCursor() const
    {57, 1012, 0, 0, Smoke::mf_const, 91, 3},	//688 KTextEditor::SmartCursor::smartRange() const
    {57, 450, 0, 0, Smoke::mf_const, 56, 4},	//689 KTextEditor::SmartCursor::document() const
    {57, 292, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 5},	//690 KTextEditor::SmartCursor::atEndOfLine() const
    {57, 291, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 6},	//691 KTextEditor::SmartCursor::atEndOfDocument() const
    {57, 608, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 7},	//692 KTextEditor::SmartCursor::isValid() const
    {57, 314, 0, 0, Smoke::mf_const, 108, 8},	//693 KTextEditor::SmartCursor::character() const
    {57, 590, 393, 2, Smoke::mf_virtual, 245, 9},	//694 KTextEditor::SmartCursor::insertText(const QStringList&, bool)
    {57, 277, 396, 2, Smoke::mf_virtual, 245, 10},	//695 KTextEditor::SmartCursor::advance(int, KTextEditor::SmartCursor::AdvanceMode)
    {57, 579, 0, 0, Smoke::mf_const, 86, 11},	//696 KTextEditor::SmartCursor::insertBehavior() const
    {57, 917, 399, 1, 0, 0, 12},	//697 KTextEditor::SmartCursor::setInsertBehavior(KTextEditor::SmartCursor::InsertBehavior)
    {57, 551, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 13},	//698 KTextEditor::SmartCursor::hasNotifier() const [pure virtual]
    {57, 723, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 87, 14},	//699 KTextEditor::SmartCursor::notifier() [pure virtual]
    {57, 437, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//700 KTextEditor::SmartCursor::deleteNotifier() [pure virtual]
    {57, 1098, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 88, 16},	//701 KTextEditor::SmartCursor::watcher() const [pure virtual]
    {57, 991, 401, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//702 KTextEditor::SmartCursor::setWatcher(KTextEditor::SmartCursorWatcher*) [pure virtual]
    {57, 733, 403, 1, 0, 83, 18},	//703 KTextEditor::SmartCursor::operator=(const KTextEditor::SmartCursor&)
    {57, 202, 405, 3, Smoke::mf_ctor|Smoke::mf_protected, 84, 19},	//704 KTextEditor::SmartCursor::SmartCursor(const KTextEditor::Cursor&, KTextEditor::Document*, KTextEditor::SmartCursor::InsertBehavior)
    {57, 590, 233, 1, 0, 245, 20},	//705 KTextEditor::SmartCursor::insertText(const QStringList&)
    {57, 277, 99, 1, 0, 245, 21},	//706 KTextEditor::SmartCursor::advance(int)
    {57, 991, 0, 0, 0, 0, 22},	//707 KTextEditor::SmartCursor::setWatcher()
    {57, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 23},	//708 KTextEditor::SmartCursor::ByCharacter (enum)
    {57, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 24},	//709 KTextEditor::SmartCursor::ByCursorPosition (enum)
    {57, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 25},	//710 KTextEditor::SmartCursor::StayOnInsert (enum)
    {57, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 26},	//711 KTextEditor::SmartCursor::MoveOnInsert (enum)
    {57, 1147, 0, 0, Smoke::mf_dtor, 0, 27 },	//712 KTextEditor::SmartCursor::~SmartCursor()
    {58, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//713 KTextEditor::SmartCursorNotifier::metaObject() const
    {58, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//714 KTextEditor::SmartCursorNotifier::qt_metacast(const char*)
    {58, 1052, 85, 2, Smoke::mf_static, 159, 3},	//715 KTextEditor::SmartCursorNotifier::tr(const char*, const char*)
    {58, 1056, 85, 2, Smoke::mf_static, 159, 4},	//716 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*)
    {58, 1052, 88, 3, Smoke::mf_static, 159, 5},	//717 KTextEditor::SmartCursorNotifier::tr(const char*, const char*, int)
    {58, 1056, 88, 3, Smoke::mf_static, 159, 6},	//718 KTextEditor::SmartCursorNotifier::trUtf8(const char*, const char*, int)
    {58, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//719 KTextEditor::SmartCursorNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {58, 204, 0, 0, Smoke::mf_ctor, 87, 8},	//720 KTextEditor::SmartCursorNotifier::SmartCursorNotifier()
    {58, 1095, 0, 0, Smoke::mf_const, 245, 9},	//721 KTextEditor::SmartCursorNotifier::wantsDirectChanges() const
    {58, 989, 17, 1, 0, 0, 10},	//722 KTextEditor::SmartCursorNotifier::setWantsDirectChanges(bool)
    {58, 759, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//723 KTextEditor::SmartCursorNotifier::positionChanged(KTextEditor::SmartCursor*)
    {58, 761, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//724 KTextEditor::SmartCursorNotifier::positionDeleted(KTextEditor::SmartCursor*)
    {58, 316, 411, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//725 KTextEditor::SmartCursorNotifier::characterDeleted(KTextEditor::SmartCursor*, bool)
    {58, 318, 411, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//726 KTextEditor::SmartCursorNotifier::characterInserted(KTextEditor::SmartCursor*, bool)
    {58, 442, 409, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//727 KTextEditor::SmartCursorNotifier::deleted(KTextEditor::SmartCursor*)
    {58, 1052, 70, 1, Smoke::mf_static, 159, 16},	//728 KTextEditor::SmartCursorNotifier::tr(const char*)
    {58, 1056, 70, 1, Smoke::mf_static, 159, 17},	//729 KTextEditor::SmartCursorNotifier::trUtf8(const char*)
    {58, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 18},	//730 KTextEditor::SmartCursorNotifier::staticMetaObject() const
    {58, 1148, 0, 0, Smoke::mf_dtor, 0, 19 },	//731 KTextEditor::SmartCursorNotifier::~SmartCursorNotifier()
    {59, 205, 0, 0, Smoke::mf_ctor, 88, 1},	//732 KTextEditor::SmartCursorWatcher::SmartCursorWatcher()
    {59, 1095, 0, 0, Smoke::mf_const, 245, 2},	//733 KTextEditor::SmartCursorWatcher::wantsDirectChanges() const
    {59, 989, 17, 1, 0, 0, 3},	//734 KTextEditor::SmartCursorWatcher::setWantsDirectChanges(bool)
    {59, 759, 409, 1, Smoke::mf_virtual, 0, 4},	//735 KTextEditor::SmartCursorWatcher::positionChanged(KTextEditor::SmartCursor*)
    {59, 761, 409, 1, Smoke::mf_virtual, 0, 5},	//736 KTextEditor::SmartCursorWatcher::positionDeleted(KTextEditor::SmartCursor*)
    {59, 316, 411, 2, Smoke::mf_virtual, 0, 6},	//737 KTextEditor::SmartCursorWatcher::characterDeleted(KTextEditor::SmartCursor*, bool)
    {59, 318, 411, 2, Smoke::mf_virtual, 0, 7},	//738 KTextEditor::SmartCursorWatcher::characterInserted(KTextEditor::SmartCursor*, bool)
    {59, 442, 409, 1, Smoke::mf_virtual, 0, 8},	//739 KTextEditor::SmartCursorWatcher::deleted(KTextEditor::SmartCursor*)
    {59, 205, 414, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 88, 9},	//740 KTextEditor::SmartCursorWatcher::SmartCursorWatcher(const KTextEditor::SmartCursorWatcher&)
    {59, 1149, 0, 0, Smoke::mf_dtor, 0, 10 },	//741 KTextEditor::SmartCursorWatcher::~SmartCursorWatcher()
    {60, 207, 0, 0, Smoke::mf_ctor, 89, 1},	//742 KTextEditor::SmartInterface::SmartInterface()
    {60, 1011, 0, 0, Smoke::mf_const, 147, 2},	//743 KTextEditor::SmartInterface::smartMutex() const
    {60, 342, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//744 KTextEditor::SmartInterface::clearSmartInterface() [pure virtual]
    {60, 340, 0, 0, Smoke::mf_const, 245, 4},	//745 KTextEditor::SmartInterface::clearOnDocumentReload() const
    {60, 885, 17, 1, 0, 0, 5},	//746 KTextEditor::SmartInterface::setClearOnDocumentReload(bool)
    {60, 408, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 320, 6},	//747 KTextEditor::SmartInterface::currentRevision() const [pure virtual]
    {60, 810, 99, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//748 KTextEditor::SmartInterface::releaseRevision(int) const [pure virtual]
    {60, 1072, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//749 KTextEditor::SmartInterface::useRevision(int) [pure virtual]
    {60, 341, 0, 0, 0, 0, 9},	//750 KTextEditor::SmartInterface::clearRevision()
    {60, 1060, 416, 2, Smoke::mf_const|Smoke::mf_virtual, 53, 10},	//751 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    {60, 1060, 419, 2, Smoke::mf_const|Smoke::mf_virtual, 75, 11},	//752 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>) const
    {60, 709, 416, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 84, 12},	//753 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) [pure virtual]
    {60, 709, 422, 3, 0, 84, 13},	//754 KTextEditor::SmartInterface::newSmartCursor(int, int, KTextEditor::SmartCursor::InsertBehavior)
    {60, 436, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//755 KTextEditor::SmartInterface::deleteCursors() [pure virtual]
    {60, 714, 426, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 91, 15},	//756 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>) [pure virtual]
    {60, 714, 430, 4, 0, 91, 16},	//757 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {60, 714, 435, 6, 0, 91, 17},	//758 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {60, 714, 442, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 91, 18},	//759 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>) [pure virtual]
    {60, 1064, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//760 KTextEditor::SmartInterface::unbindSmartRange(KTextEditor::SmartRange*) [pure virtual]
    {60, 439, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 20},	//761 KTextEditor::SmartInterface::deleteRanges() [pure virtual]
    {60, 261, 449, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//762 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*, bool) [pure virtual]
    {60, 819, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//763 KTextEditor::SmartInterface::removeHighlightFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {60, 455, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 294, 23},	//764 KTextEditor::SmartInterface::documentHighlights() const [pure virtual]
    {60, 336, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 24},	//765 KTextEditor::SmartInterface::clearDocumentHighlights() [pure virtual]
    {60, 264, 452, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//766 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*, bool) [pure virtual]
    {60, 821, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 26},	//767 KTextEditor::SmartInterface::removeHighlightFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {60, 1087, 179, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 294, 27},	//768 KTextEditor::SmartInterface::viewHighlights(KTextEditor::View*) const [pure virtual]
    {60, 345, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//769 KTextEditor::SmartInterface::clearViewHighlights(KTextEditor::View*) [pure virtual]
    {60, 255, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 29},	//770 KTextEditor::SmartInterface::addActionsToDocument(KTextEditor::SmartRange*) [pure virtual]
    {60, 812, 447, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 30},	//771 KTextEditor::SmartInterface::removeActionsFromDocument(KTextEditor::SmartRange*) [pure virtual]
    {60, 451, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 294, 31},	//772 KTextEditor::SmartInterface::documentActions() const [pure virtual]
    {60, 335, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 32},	//773 KTextEditor::SmartInterface::clearDocumentActions() [pure virtual]
    {60, 257, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 33},	//774 KTextEditor::SmartInterface::addActionsToView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {60, 814, 456, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 34},	//775 KTextEditor::SmartInterface::removeActionsFromView(KTextEditor::View*, KTextEditor::SmartRange*) [pure virtual]
    {60, 1080, 179, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 294, 35},	//776 KTextEditor::SmartInterface::viewActions(KTextEditor::View*) const [pure virtual]
    {60, 343, 179, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 36},	//777 KTextEditor::SmartInterface::clearViewActions(KTextEditor::View*) [pure virtual]
    {60, 296, 459, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 37},	//778 KTextEditor::SmartInterface::attributeDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {60, 298, 459, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 38},	//779 KTextEditor::SmartInterface::attributeNotDynamic(KSharedPtr<KTextEditor::Attribute>) [pure virtual]
    {60, 207, 461, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 39},	//780 KTextEditor::SmartInterface::SmartInterface(const KTextEditor::SmartInterface&)
    {60, 1060, 215, 1, Smoke::mf_const, 53, 40},	//781 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    {60, 1060, 273, 1, Smoke::mf_const, 75, 41},	//782 KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    {60, 709, 0, 0, 0, 84, 42},	//783 KTextEditor::SmartInterface::newSmartCursor()
    {60, 709, 215, 1, 0, 84, 43},	//784 KTextEditor::SmartInterface::newSmartCursor(const KTextEditor::Cursor&)
    {60, 709, 150, 2, 0, 84, 44},	//785 KTextEditor::SmartInterface::newSmartCursor(int, int)
    {60, 714, 0, 0, 0, 91, 45},	//786 KTextEditor::SmartInterface::newSmartRange()
    {60, 714, 273, 1, 0, 91, 46},	//787 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&)
    {60, 714, 463, 2, 0, 91, 47},	//788 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    {60, 714, 351, 2, 0, 91, 48},	//789 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    {60, 714, 466, 3, 0, 91, 49},	//790 KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    {60, 714, 361, 4, 0, 91, 50},	//791 KTextEditor::SmartInterface::newSmartRange(int, int, int, int)
    {60, 714, 470, 5, 0, 91, 51},	//792 KTextEditor::SmartInterface::newSmartRange(int, int, int, int, KTextEditor::SmartRange*)
    {60, 714, 476, 2, 0, 91, 52},	//793 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    {60, 714, 479, 3, 0, 91, 53},	//794 KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    {60, 261, 447, 1, 0, 0, 54},	//795 KTextEditor::SmartInterface::addHighlightToDocument(KTextEditor::SmartRange*)
    {60, 264, 456, 2, 0, 0, 55},	//796 KTextEditor::SmartInterface::addHighlightToView(KTextEditor::View*, KTextEditor::SmartRange*)
    {60, 1150, 0, 0, Smoke::mf_dtor, 0, 56 },	//797 KTextEditor::SmartInterface::~SmartInterface()
    {61, 607, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 1},	//798 KTextEditor::SmartRange::isSmartRange() const
    {61, 1049, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 91, 2},	//799 KTextEditor::SmartRange::toSmartRange() const
    {61, 962, 273, 1, Smoke::mf_virtual, 0, 3},	//800 KTextEditor::SmartRange::setRange(const KTextEditor::Range&)
    {61, 1013, 0, 0, 0, 83, 4},	//801 KTextEditor::SmartRange::smartStart()
    {61, 1013, 0, 0, Smoke::mf_const, 275, 5},	//802 KTextEditor::SmartRange::smartStart() const
    {61, 1010, 0, 0, 0, 83, 6},	//803 KTextEditor::SmartRange::smartEnd()
    {61, 1010, 0, 0, Smoke::mf_const, 275, 7},	//804 KTextEditor::SmartRange::smartEnd() const
    {61, 382, 273, 1, Smoke::mf_virtual, 245, 8},	//805 KTextEditor::SmartRange::confineToRange(const KTextEditor::Range&)
    {61, 523, 273, 1, Smoke::mf_virtual, 245, 9},	//806 KTextEditor::SmartRange::expandToRange(const KTextEditor::Range&)
    {61, 450, 0, 0, Smoke::mf_const, 56, 10},	//807 KTextEditor::SmartRange::document() const
    {61, 1030, 17, 1, Smoke::mf_const|Smoke::mf_virtual, 161, 11},	//808 KTextEditor::SmartRange::text(bool) const
    {61, 840, 393, 2, Smoke::mf_virtual, 245, 12},	//809 KTextEditor::SmartRange::replaceText(const QStringList&, bool)
    {61, 832, 17, 1, Smoke::mf_virtual, 245, 13},	//810 KTextEditor::SmartRange::removeText(bool)
    {61, 579, 0, 0, Smoke::mf_const, 124, 14},	//811 KTextEditor::SmartRange::insertBehavior() const
    {61, 917, 483, 1, 0, 0, 15},	//812 KTextEditor::SmartRange::setInsertBehavior(QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {61, 751, 0, 0, Smoke::mf_const, 91, 16},	//813 KTextEditor::SmartRange::parentRange() const
    {61, 957, 447, 1, Smoke::mf_virtual, 0, 17},	//814 KTextEditor::SmartRange::setParentRange(KTextEditor::SmartRange*)
    {61, 552, 447, 1, Smoke::mf_const, 245, 18},	//815 KTextEditor::SmartRange::hasParent(KTextEditor::SmartRange*) const
    {61, 444, 0, 0, Smoke::mf_const, 320, 19},	//816 KTextEditor::SmartRange::depth() const
    {61, 1050, 0, 0, Smoke::mf_const, 91, 20},	//817 KTextEditor::SmartRange::topParentRange() const
    {61, 330, 0, 0, Smoke::mf_const, 295, 21},	//818 KTextEditor::SmartRange::childRanges() const
    {61, 334, 0, 0, 0, 0, 22},	//819 KTextEditor::SmartRange::clearChildRanges()
    {61, 435, 0, 0, 0, 0, 23},	//820 KTextEditor::SmartRange::deleteChildRanges()
    {61, 332, 0, 0, 0, 0, 24},	//821 KTextEditor::SmartRange::clearAndDeleteChildRanges()
    {61, 323, 485, 1, Smoke::mf_const, 91, 25},	//822 KTextEditor::SmartRange::childBefore(const KTextEditor::SmartRange*) const
    {61, 321, 485, 1, Smoke::mf_const, 91, 26},	//823 KTextEditor::SmartRange::childAfter(const KTextEditor::SmartRange*) const
    {61, 693, 273, 1, Smoke::mf_const, 91, 27},	//824 KTextEditor::SmartRange::mostSpecificRange(const KTextEditor::Range&) const
    {61, 528, 215, 1, Smoke::mf_const, 91, 28},	//825 KTextEditor::SmartRange::firstRangeContaining(const KTextEditor::Cursor&) const
    {61, 423, 487, 3, Smoke::mf_const, 91, 29},	//826 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*, QStack<KTextEditor::SmartRange*>*) const
    {61, 427, 215, 1, Smoke::mf_const, 136, 30},	//827 KTextEditor::SmartRange::deepestRangesContaining(const KTextEditor::Cursor&) const
    {61, 739, 0, 0, Smoke::mf_const, 320, 31},	//828 KTextEditor::SmartRange::overlapCount() const
    {61, 295, 0, 0, Smoke::mf_const, 18, 32},	//829 KTextEditor::SmartRange::attribute() const
    {61, 873, 459, 1, 0, 0, 33},	//830 KTextEditor::SmartRange::setAttribute(KSharedPtr<KTextEditor::Attribute>)
    {61, 288, 491, 1, 0, 0, 34},	//831 KTextEditor::SmartRange::associateAction(KAction*)
    {61, 448, 491, 1, 0, 0, 35},	//832 KTextEditor::SmartRange::dissociateAction(KAction*)
    {61, 290, 0, 0, Smoke::mf_const, 292, 36},	//833 KTextEditor::SmartRange::associatedActions() const
    {61, 333, 0, 0, 0, 0, 37},	//834 KTextEditor::SmartRange::clearAssociatedActions()
    {61, 773, 0, 0, 0, 94, 38},	//835 KTextEditor::SmartRange::primaryNotifier()
    {61, 724, 0, 0, Smoke::mf_const, 296, 39},	//836 KTextEditor::SmartRange::notifiers() const
    {61, 269, 493, 1, 0, 0, 40},	//837 KTextEditor::SmartRange::addNotifier(KTextEditor::SmartRangeNotifier*)
    {61, 827, 493, 1, 0, 0, 41},	//838 KTextEditor::SmartRange::removeNotifier(KTextEditor::SmartRangeNotifier*)
    {61, 438, 0, 0, 0, 0, 42},	//839 KTextEditor::SmartRange::deletePrimaryNotifier()
    {61, 1099, 0, 0, Smoke::mf_const, 297, 43},	//840 KTextEditor::SmartRange::watchers() const
    {61, 275, 495, 1, 0, 0, 44},	//841 KTextEditor::SmartRange::addWatcher(KTextEditor::SmartRangeWatcher*)
    {61, 838, 495, 1, 0, 0, 45},	//842 KTextEditor::SmartRange::removeWatcher(KTextEditor::SmartRangeWatcher*)
    {61, 733, 497, 1, 0, 90, 46},	//843 KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    {61, 733, 273, 1, 0, 90, 47},	//844 KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    {61, 209, 442, 4, Smoke::mf_ctor|Smoke::mf_protected, 91, 48},	//845 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    {61, 786, 369, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//846 KTextEditor::SmartRange::rangeChanged(KTextEditor::Cursor*, const KTextEditor::Range&)
    {61, 320, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//847 KTextEditor::SmartRange::checkFeedback()
    {61, 401, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 94, 51},	//848 KTextEditor::SmartRange::createNotifier() [pure virtual]
    {61, 805, 0, 0, Smoke::mf_protected, 0, 52},	//849 KTextEditor::SmartRange::rebuildChildStructure()
    {61, 1030, 0, 0, Smoke::mf_const, 161, 53},	//850 KTextEditor::SmartRange::text() const
    {61, 840, 233, 1, 0, 245, 54},	//851 KTextEditor::SmartRange::replaceText(const QStringList&)
    {61, 832, 0, 0, 0, 245, 55},	//852 KTextEditor::SmartRange::removeText()
    {61, 423, 215, 1, Smoke::mf_const, 91, 56},	//853 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&) const
    {61, 423, 499, 2, Smoke::mf_const, 91, 57},	//854 KTextEditor::SmartRange::deepestRangeContaining(const KTextEditor::Cursor&, QStack<KTextEditor::SmartRange*>*) const
    {61, 209, 476, 2, Smoke::mf_ctor|Smoke::mf_protected, 91, 58},	//855 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    {61, 209, 479, 3, Smoke::mf_ctor|Smoke::mf_protected, 91, 59},	//856 KTextEditor::SmartRange::SmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    {61, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 60},	//857 KTextEditor::SmartRange::DoNotExpand (enum)
    {61, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 61},	//858 KTextEditor::SmartRange::ExpandLeft (enum)
    {61, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 62},	//859 KTextEditor::SmartRange::ExpandRight (enum)
    {61, 1151, 0, 0, Smoke::mf_dtor, 0, 63 },	//860 KTextEditor::SmartRange::~SmartRange()
    {62, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//861 KTextEditor::SmartRangeNotifier::metaObject() const
    {62, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//862 KTextEditor::SmartRangeNotifier::qt_metacast(const char*)
    {62, 1052, 85, 2, Smoke::mf_static, 159, 3},	//863 KTextEditor::SmartRangeNotifier::tr(const char*, const char*)
    {62, 1056, 85, 2, Smoke::mf_static, 159, 4},	//864 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*)
    {62, 1052, 88, 3, Smoke::mf_static, 159, 5},	//865 KTextEditor::SmartRangeNotifier::tr(const char*, const char*, int)
    {62, 1056, 88, 3, Smoke::mf_static, 159, 6},	//866 KTextEditor::SmartRangeNotifier::trUtf8(const char*, const char*, int)
    {62, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//867 KTextEditor::SmartRangeNotifier::qt_metacall(QMetaObject::Call, int, void**)
    {62, 213, 0, 0, Smoke::mf_ctor, 94, 8},	//868 KTextEditor::SmartRangeNotifier::SmartRangeNotifier()
    {62, 1095, 0, 0, Smoke::mf_const, 245, 9},	//869 KTextEditor::SmartRangeNotifier::wantsDirectChanges() const
    {62, 989, 17, 1, 0, 0, 10},	//870 KTextEditor::SmartRangeNotifier::setWantsDirectChanges(bool)
    {62, 795, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//871 KTextEditor::SmartRangeNotifier::rangePositionChanged(KTextEditor::SmartRange*)
    {62, 788, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//872 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*)
    {62, 788, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//873 KTextEditor::SmartRangeNotifier::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {62, 696, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//874 KTextEditor::SmartRangeNotifier::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {62, 698, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//875 KTextEditor::SmartRangeNotifier::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {62, 308, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//876 KTextEditor::SmartRangeNotifier::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {62, 310, 505, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//877 KTextEditor::SmartRangeNotifier::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {62, 793, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//878 KTextEditor::SmartRangeNotifier::rangeEliminated(KTextEditor::SmartRange*)
    {62, 791, 447, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//879 KTextEditor::SmartRangeNotifier::rangeDeleted(KTextEditor::SmartRange*)
    {62, 752, 508, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//880 KTextEditor::SmartRangeNotifier::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {62, 326, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//881 KTextEditor::SmartRangeNotifier::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {62, 328, 502, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//882 KTextEditor::SmartRangeNotifier::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {62, 784, 512, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//883 KTextEditor::SmartRangeNotifier::rangeAttributeChanged(KTextEditor::SmartRange*, KTextEditor::Attribute::Ptr, KTextEditor::Attribute::Ptr)
    {62, 1052, 70, 1, Smoke::mf_static, 159, 24},	//884 KTextEditor::SmartRangeNotifier::tr(const char*)
    {62, 1056, 70, 1, Smoke::mf_static, 159, 25},	//885 KTextEditor::SmartRangeNotifier::trUtf8(const char*)
    {62, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 26},	//886 KTextEditor::SmartRangeNotifier::staticMetaObject() const
    {62, 1152, 0, 0, Smoke::mf_dtor, 0, 27 },	//887 KTextEditor::SmartRangeNotifier::~SmartRangeNotifier()
    {63, 214, 0, 0, Smoke::mf_ctor, 95, 1},	//888 KTextEditor::SmartRangeWatcher::SmartRangeWatcher()
    {63, 1095, 0, 0, Smoke::mf_const, 245, 2},	//889 KTextEditor::SmartRangeWatcher::wantsDirectChanges() const
    {63, 989, 17, 1, 0, 0, 3},	//890 KTextEditor::SmartRangeWatcher::setWantsDirectChanges(bool)
    {63, 795, 447, 1, Smoke::mf_virtual, 0, 4},	//891 KTextEditor::SmartRangeWatcher::rangePositionChanged(KTextEditor::SmartRange*)
    {63, 788, 447, 1, Smoke::mf_virtual, 0, 5},	//892 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*)
    {63, 788, 502, 2, Smoke::mf_virtual, 0, 6},	//893 KTextEditor::SmartRangeWatcher::rangeContentsChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {63, 696, 505, 2, Smoke::mf_virtual, 0, 7},	//894 KTextEditor::SmartRangeWatcher::mouseEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {63, 698, 505, 2, Smoke::mf_virtual, 0, 8},	//895 KTextEditor::SmartRangeWatcher::mouseExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {63, 308, 505, 2, Smoke::mf_virtual, 0, 9},	//896 KTextEditor::SmartRangeWatcher::caretEnteredRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {63, 310, 505, 2, Smoke::mf_virtual, 0, 10},	//897 KTextEditor::SmartRangeWatcher::caretExitedRange(KTextEditor::SmartRange*, KTextEditor::View*)
    {63, 793, 447, 1, Smoke::mf_virtual, 0, 11},	//898 KTextEditor::SmartRangeWatcher::rangeEliminated(KTextEditor::SmartRange*)
    {63, 791, 447, 1, Smoke::mf_virtual, 0, 12},	//899 KTextEditor::SmartRangeWatcher::rangeDeleted(KTextEditor::SmartRange*)
    {63, 752, 508, 3, Smoke::mf_virtual, 0, 13},	//900 KTextEditor::SmartRangeWatcher::parentRangeChanged(KTextEditor::SmartRange*, KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {63, 326, 502, 2, Smoke::mf_virtual, 0, 14},	//901 KTextEditor::SmartRangeWatcher::childRangeInserted(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {63, 328, 502, 2, Smoke::mf_virtual, 0, 15},	//902 KTextEditor::SmartRangeWatcher::childRangeRemoved(KTextEditor::SmartRange*, KTextEditor::SmartRange*)
    {63, 784, 516, 3, Smoke::mf_virtual, 0, 16},	//903 KTextEditor::SmartRangeWatcher::rangeAttributeChanged(KTextEditor::SmartRange*, KSharedPtr<KTextEditor::Attribute>, KSharedPtr<KTextEditor::Attribute>)
    {63, 214, 520, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 17},	//904 KTextEditor::SmartRangeWatcher::SmartRangeWatcher(const KTextEditor::SmartRangeWatcher&)
    {63, 1153, 0, 0, Smoke::mf_dtor, 0, 18 },	//905 KTextEditor::SmartRangeWatcher::~SmartRangeWatcher()
    {64, 222, 0, 0, Smoke::mf_ctor, 96, 1},	//906 KTextEditor::TemplateInterface::TemplateInterface()
    {64, 521, 522, 2, Smoke::mf_static, 245, 2},	//907 KTextEditor::TemplateInterface::expandMacros(QMap<QString,QString>&, QWidget*)
    {64, 586, 525, 3, 0, 245, 3},	//908 KTextEditor::TemplateInterface::insertTemplateText(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&)
    {64, 588, 525, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 4},	//909 KTextEditor::TemplateInterface::insertTemplateTextImplementation(const KTextEditor::Cursor&, const QString&, const QMap<QString,QString>&) [pure virtual]
    {64, 123, 529, 2, Smoke::mf_protected, 245, 5},	//910 KTextEditor::TemplateInterface::KTE_INTERNAL_setupIntialValues(const QString&, QMap<QString,QString>*)
    {64, 222, 532, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 6},	//911 KTextEditor::TemplateInterface::TemplateInterface(const KTextEditor::TemplateInterface&)
    {64, 1154, 0, 0, Smoke::mf_dtor, 0, 7 },	//912 KTextEditor::TemplateInterface::~TemplateInterface()
    {65, 224, 0, 0, Smoke::mf_ctor, 97, 1},	//913 KTextEditor::TextHintInterface::TextHintInterface()
    {65, 497, 99, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//914 KTextEditor::TextHintInterface::enableTextHints(int) [pure virtual]
    {65, 446, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//915 KTextEditor::TextHintInterface::disableTextHints() [pure virtual]
    {65, 707, 534, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//916 KTextEditor::TextHintInterface::needTextHint(const KTextEditor::Cursor&, QString&) [pure virtual]
    {65, 224, 537, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 97, 5},	//917 KTextEditor::TextHintInterface::TextHintInterface(const KTextEditor::TextHintInterface&)
    {65, 1155, 0, 0, Smoke::mf_dtor, 0, 6 },	//918 KTextEditor::TextHintInterface::~TextHintInterface()
    {66, 231, 0, 0, Smoke::mf_ctor, 98, 1},	//919 KTextEditor::VariableInterface::VariableInterface()
    {66, 1074, 196, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 2},	//920 KTextEditor::VariableInterface::variable(const QString&) const [pure virtual]
    {66, 1076, 539, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//921 KTextEditor::VariableInterface::variableChanged(KTextEditor::Document*, const QString&, const QString&) [pure virtual]
    {66, 231, 543, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 4},	//922 KTextEditor::VariableInterface::VariableInterface(const KTextEditor::VariableInterface&)
    {66, 1156, 0, 0, Smoke::mf_dtor, 0, 5 },	//923 KTextEditor::VariableInterface::~VariableInterface()
    {67, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 304, 1},	//924 KTextEditor::View::metaObject() const
    {67, 778, 70, 1, Smoke::mf_virtual, 325, 2},	//925 KTextEditor::View::qt_metacast(const char*)
    {67, 1052, 85, 2, Smoke::mf_static, 159, 3},	//926 KTextEditor::View::tr(const char*, const char*)
    {67, 1056, 85, 2, Smoke::mf_static, 159, 4},	//927 KTextEditor::View::trUtf8(const char*, const char*)
    {67, 1052, 88, 3, Smoke::mf_static, 159, 5},	//928 KTextEditor::View::tr(const char*, const char*, int)
    {67, 1056, 88, 3, Smoke::mf_static, 159, 6},	//929 KTextEditor::View::trUtf8(const char*, const char*, int)
    {67, 776, 92, 3, Smoke::mf_virtual, 320, 7},	//930 KTextEditor::View::qt_metacall(QMetaObject::Call, int, void**)
    {67, 233, 10, 1, Smoke::mf_ctor, 99, 8},	//931 KTextEditor::View::View(QWidget*)
    {67, 450, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 9},	//932 KTextEditor::View::document() const [pure virtual]
    {67, 601, 0, 0, Smoke::mf_const, 245, 10},	//933 KTextEditor::View::isActiveView() const
    {67, 1089, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 11},	//934 KTextEditor::View::viewMode() const [pure virtual]
    {67, 1084, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 100, 12},	//935 KTextEditor::View::viewEditMode() const [pure virtual]
    {67, 533, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//936 KTextEditor::View::focusIn(KTextEditor::View*)
    {67, 537, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//937 KTextEditor::View::focusOut(KTextEditor::View*)
    {67, 1090, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//938 KTextEditor::View::viewModeChanged(KTextEditor::View*)
    {67, 1085, 545, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//939 KTextEditor::View::viewEditModeChanged(KTextEditor::View*, KTextEditor::View::EditMode)
    {67, 575, 193, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//940 KTextEditor::View::informationMessage(KTextEditor::View*, const QString&)
    {67, 1038, 548, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//941 KTextEditor::View::textInserted(KTextEditor::View*, const KTextEditor::Cursor&, const QString&)
    {67, 894, 552, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//942 KTextEditor::View::setContextMenu(QMenu*) [pure virtual]
    {67, 392, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 20},	//943 KTextEditor::View::contextMenu() const [pure virtual]
    {67, 429, 552, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 141, 21},	//944 KTextEditor::View::defaultContextMenu(QMenu*) const [pure virtual]
    {67, 393, 554, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//945 KTextEditor::View::contextMenuAboutToShow(KTextEditor::View*, QMenu*)
    {67, 896, 557, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 23},	//946 KTextEditor::View::setCursorPosition(KTextEditor::Cursor) [pure virtual]
    {67, 413, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 53, 24},	//947 KTextEditor::View::cursorPosition() const [pure virtual]
    {67, 417, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 53, 25},	//948 KTextEditor::View::cursorPositionVirtual() const [pure virtual]
    {67, 418, 215, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 26},	//949 KTextEditor::View::cursorToCoordinate(const KTextEditor::Cursor&) const [pure virtual]
    {67, 416, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 153, 27},	//950 KTextEditor::View::cursorPositionCoordinates() const [pure virtual]
    {67, 414, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//951 KTextEditor::View::cursorPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {67, 1078, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//952 KTextEditor::View::verticalScrollPositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {67, 570, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//953 KTextEditor::View::horizontalScrollPositionChanged(KTextEditor::View*)
    {67, 705, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 31},	//954 KTextEditor::View::mouseTrackingEnabled() const [pure virtual]
    {67, 949, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 32},	//955 KTextEditor::View::setMouseTrackingEnabled(bool) [pure virtual]
    {67, 701, 162, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//956 KTextEditor::View::mousePositionChanged(KTextEditor::View*, const KTextEditor::Cursor&)
    {67, 973, 273, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 34},	//957 KTextEditor::View::setSelection(const KTextEditor::Range&) [pure virtual]
    {67, 973, 559, 3, Smoke::mf_virtual, 245, 35},	//958 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int, bool)
    {67, 862, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 36},	//959 KTextEditor::View::selection() const [pure virtual]
    {67, 865, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 271, 37},	//960 KTextEditor::View::selectionRange() const [pure virtual]
    {67, 866, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 159, 38},	//961 KTextEditor::View::selectionText() const [pure virtual]
    {67, 830, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 39},	//962 KTextEditor::View::removeSelection() [pure virtual]
    {67, 831, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 40},	//963 KTextEditor::View::removeSelectionText() [pure virtual]
    {67, 879, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 41},	//964 KTextEditor::View::setBlockSelection(bool) [pure virtual]
    {67, 301, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 42},	//965 KTextEditor::View::blockSelection() const [pure virtual]
    {67, 863, 179, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//966 KTextEditor::View::selectionChanged(KTextEditor::View*)
    {67, 590, 196, 1, Smoke::mf_virtual, 245, 44},	//967 KTextEditor::View::insertText(const QString&)
    {67, 1052, 70, 1, Smoke::mf_static, 159, 45},	//968 KTextEditor::View::tr(const char*)
    {67, 1056, 70, 1, Smoke::mf_static, 159, 46},	//969 KTextEditor::View::trUtf8(const char*)
    {67, 429, 0, 0, Smoke::mf_const, 141, 47},	//970 KTextEditor::View::defaultContextMenu() const
    {67, 973, 354, 2, 0, 245, 48},	//971 KTextEditor::View::setSelection(const KTextEditor::Cursor&, int)
    {67, 1021, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 303, 49},	//972 KTextEditor::View::staticMetaObject() const
    {67, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 50},	//973 KTextEditor::View::EditInsert (enum)
    {67, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 51},	//974 KTextEditor::View::EditOverwrite (enum)
    {67, 1157, 0, 0, Smoke::mf_dtor, 0, 52 },	//975 KTextEditor::View::~View()
    {68, 235, 0, 0, Smoke::mf_ctor, 101, 1},	//976 KTextEditor::ViewBarContainer::ViewBarContainer()
    {68, 543, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 170, 2},	//977 KTextEditor::ViewBarContainer::getViewBarParent(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {68, 273, 566, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//978 KTextEditor::ViewBarContainer::addViewBarToLayout(KTextEditor::View*, QWidget*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {68, 1004, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//979 KTextEditor::ViewBarContainer::showViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {68, 559, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//980 KTextEditor::ViewBarContainer::hideViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {68, 440, 563, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//981 KTextEditor::ViewBarContainer::deleteViewBarForView(KTextEditor::View*, KTextEditor::ViewBarContainer::Position) [pure virtual]
    {68, 235, 570, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 101, 7},	//982 KTextEditor::ViewBarContainer::ViewBarContainer(const KTextEditor::ViewBarContainer&)
    {68, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 8},	//983 KTextEditor::ViewBarContainer::LeftBar (enum)
    {68, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 9},	//984 KTextEditor::ViewBarContainer::TopBar (enum)
    {68, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 10},	//985 KTextEditor::ViewBarContainer::RightBar (enum)
    {68, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 11},	//986 KTextEditor::ViewBarContainer::BottomBar (enum)
    {68, 1158, 0, 0, Smoke::mf_dtor, 0, 12 },	//987 KTextEditor::ViewBarContainer::~ViewBarContainer()
    {70, 251, 572, 1, Smoke::mf_const|Smoke::mf_virtual, 104, 0},	//988 KXMLGUIClient::action(const QDomElement&) const
    {70, 252, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 2, 0},	//989 KXMLGUIClient::actionCollection() const
    {70, 366, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 5, 0},	//990 KXMLGUIClient::componentData() const
    {70, 468, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 112, 0},	//991 KXMLGUIClient::domDocument() const
    {70, 1112, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 0},	//992 KXMLGUIClient::xmlFile() const
    {70, 625, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 159, 0},	//993 KXMLGUIClient::localXMLFile() const
    {70, 889, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//994 KXMLGUIClient::setComponentData(const KComponentData&)
    {70, 995, 574, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//995 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {70, 924, 196, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//996 KXMLGUIClient::setLocalXMLFile(const QString&)
    {70, 994, 295, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//997 KXMLGUIClient::setXML(const QString&, bool)
    {70, 898, 578, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//998 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {70, 1020, 581, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//999 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {70, 1093, 584, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1000 KXMLGUIClient::virtual_hook(int, void*)
    {70, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 14},	//1001 KXMLGUIClient::StateNoReverse (enum)
    {70, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 15},	//1002 KXMLGUIClient::StateReverse (enum)
    {71, 547, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 245, 0},	//1003 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {71, 421, 587, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 167, 0},	//1004 QAbstractItemModel::data(const QModelIndex&, int) const [pure virtual]
    {71, 899, 590, 3, Smoke::mf_virtual, 245, 0},	//1005 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {71, 554, 594, 3, Smoke::mf_const|Smoke::mf_virtual, 167, 0},	//1006 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {71, 914, 598, 4, Smoke::mf_virtual, 245, 0},	//1007 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {71, 919, 603, 2, Smoke::mf_virtual, 245, 0},	//1008 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {71, 681, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 161, 0},	//1009 QAbstractItemModel::mimeTypes() const
    {71, 679, 606, 1, Smoke::mf_const|Smoke::mf_virtual, 143, 0},	//1010 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {71, 473, 608, 5, Smoke::mf_virtual, 245, 0},	//1011 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {71, 1024, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 126, 0},	//1012 QAbstractItemModel::supportedDropActions() const
    {71, 585, 143, 3, Smoke::mf_virtual, 245, 0},	//1013 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {71, 580, 143, 3, Smoke::mf_virtual, 245, 0},	//1014 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {71, 829, 143, 3, Smoke::mf_virtual, 245, 0},	//1015 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {71, 816, 143, 3, Smoke::mf_virtual, 245, 0},	//1016 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {71, 525, 141, 1, Smoke::mf_virtual, 0, 0},	//1017 QAbstractItemModel::fetchMore(const QModelIndex&)
    {71, 307, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 245, 0},	//1018 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {71, 532, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 127, 0},	//1019 QAbstractItemModel::flags(const QModelIndex&) const
    {71, 1014, 614, 2, Smoke::mf_virtual, 0, 0},	//1020 QAbstractItemModel::sort(int, Qt::SortOrder)
    {71, 306, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 144, 0},	//1021 QAbstractItemModel::buddy(const QModelIndex&) const
    {71, 674, 617, 5, Smoke::mf_const|Smoke::mf_virtual, 137, 0},	//1022 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {71, 1015, 141, 1, Smoke::mf_const|Smoke::mf_virtual, 157, 0},	//1023 QAbstractItemModel::span(const QModelIndex&) const
    {71, 1023, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 245, 0},	//1024 QAbstractItemModel::submit()
    {71, 850, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1025 QAbstractItemModel::revert()
    {89, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 322, 1},	//1026 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {89, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 322, 2},	//1027 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {89, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 322, 3},	//1028 QGlobalSpace::Q_STATIC_TYPE (enum)
    {89, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 322, 4},	//1029 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {89, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 322, 5},	//1030 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {89, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 6},	//1031 QGlobalSpace::KST_KSycocaEntry (enum)
    {89, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 7},	//1032 QGlobalSpace::KST_KService (enum)
    {89, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 8},	//1033 QGlobalSpace::KST_KServiceType (enum)
    {89, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 9},	//1034 QGlobalSpace::KST_KMimeType (enum)
    {89, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 10},	//1035 QGlobalSpace::KST_KFolderMimeType (enum)
    {89, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 11},	//1036 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {89, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 12},	//1037 QGlobalSpace::KST_KServiceGroup (enum)
    {89, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 13},	//1038 QGlobalSpace::KST_KImageIOFormat (enum)
    {89, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 14},	//1039 QGlobalSpace::KST_KProtocolInfo (enum)
    {89, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 15},	//1040 QGlobalSpace::KST_KServiceSeparator (enum)
    {89, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 16},	//1041 QGlobalSpace::KST_KCustom (enum)
    {89, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 17},	//1042 QGlobalSpace::QtDebugMsg (enum)
    {89, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 18},	//1043 QGlobalSpace::QtWarningMsg (enum)
    {89, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 19},	//1044 QGlobalSpace::QtCriticalMsg (enum)
    {89, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 20},	//1045 QGlobalSpace::QtFatalMsg (enum)
    {89, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 242, 21},	//1046 QGlobalSpace::QtSystemMsg (enum)
    {89, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 22},	//1047 QGlobalSpace::KST_KServiceFactory (enum)
    {89, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 23},	//1048 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {89, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 24},	//1049 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {89, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 25},	//1050 QGlobalSpace::KST_KImageIO (enum)
    {89, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 26},	//1051 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {89, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 27},	//1052 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {89, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 28},	//1053 QGlobalSpace::KST_CTimeInfo (enum)
    {89, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 29},	//1054 QGlobalSpace::__codecvt_ok (enum)
    {89, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 30},	//1055 QGlobalSpace::__codecvt_partial (enum)
    {89, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 31},	//1056 QGlobalSpace::__codecvt_error (enum)
    {89, 240, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 32},	//1057 QGlobalSpace::__codecvt_noconv (enum)
    {101, 508, 19, 1, Smoke::mf_virtual, 245, 0},	//1058 QObject::event(QEvent*)
    {101, 509, 623, 2, Smoke::mf_virtual, 245, 0},	//1059 QObject::eventFilter(QObject*, QEvent*)
    {101, 1047, 626, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1060 QObject::timerEvent(QTimerEvent*)
    {101, 325, 628, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1061 QObject::childEvent(QChildEvent*)
    {101, 420, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1062 QObject::customEvent(QEvent*)
    {101, 384, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1063 QObject::connectNotify(const char*)
    {101, 447, 70, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1064 QObject::disconnectNotify(const char*)
    {118, 445, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 320, 0},	//1065 QWidget::devType() const
    {118, 988, 17, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1066 QWidget::setVisible(bool)
    {118, 1007, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 157, 0},	//1067 QWidget::sizeHint() const
    {118, 682, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 157, 0},	//1068 QWidget::minimumSizeHint() const
    {118, 555, 99, 1, Smoke::mf_const|Smoke::mf_virtual, 320, 0},	//1069 QWidget::heightForWidth(int) const
    {118, 746, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 150, 0},	//1070 QWidget::paintEngine() const
    {118, 508, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 245, 0},	//1071 QWidget::event(QEvent*)
    {118, 703, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1072 QWidget::mousePressEvent(QMouseEvent*)
    {118, 704, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1073 QWidget::mouseReleaseEvent(QMouseEvent*)
    {118, 695, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1074 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {118, 700, 630, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1075 QWidget::mouseMoveEvent(QMouseEvent*)
    {118, 1100, 632, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1076 QWidget::wheelEvent(QWheelEvent*)
    {118, 611, 634, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1077 QWidget::keyPressEvent(QKeyEvent*)
    {118, 612, 634, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1078 QWidget::keyReleaseEvent(QKeyEvent*)
    {118, 535, 636, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1079 QWidget::focusInEvent(QFocusEvent*)
    {118, 539, 636, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1080 QWidget::focusOutEvent(QFocusEvent*)
    {118, 507, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1081 QWidget::enterEvent(QEvent*)
    {118, 614, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1082 QWidget::leaveEvent(QEvent*)
    {118, 747, 638, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1083 QWidget::paintEvent(QPaintEvent*)
    {118, 706, 640, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1084 QWidget::moveEvent(QMoveEvent*)
    {118, 849, 642, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1085 QWidget::resizeEvent(QResizeEvent*)
    {118, 349, 644, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1086 QWidget::closeEvent(QCloseEvent*)
    {118, 395, 646, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1087 QWidget::contextMenuEvent(QContextMenuEvent*)
    {118, 1029, 648, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1088 QWidget::tabletEvent(QTabletEvent*)
    {118, 253, 650, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1089 QWidget::actionEvent(QActionEvent*)
    {118, 469, 652, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1090 QWidget::dragEnterEvent(QDragEnterEvent*)
    {118, 471, 654, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1091 QWidget::dragMoveEvent(QDragMoveEvent*)
    {118, 470, 656, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1092 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {118, 472, 658, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1093 QWidget::dropEvent(QDropEvent*)
    {118, 1003, 660, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1094 QWidget::showEvent(QShowEvent*)
    {118, 558, 662, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1095 QWidget::hideEvent(QHideEvent*)
    {118, 1111, 664, 1, Smoke::mf_protected|Smoke::mf_virtual, 245, 0},	//1096 QWidget::x11Event(_XEvent*)
    {118, 312, 19, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1097 QWidget::changeEvent(QEvent*)
    {118, 678, 666, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 320, 0},	//1098 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {118, 577, 668, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1099 QWidget::inputMethodEvent(QInputMethodEvent*)
    {118, 578, 670, 1, Smoke::mf_const|Smoke::mf_virtual, 167, 0},	//1100 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {118, 536, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 245, 0},	//1101 QWidget::focusNextPrevChild(bool)
    {118, 1022, 672, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1102 QWidget::styleChange(QStyle&)
    {118, 499, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1103 QWidget::enabledChange(bool)
    {118, 748, 674, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1104 QWidget::paletteChange(const QPalette&)
    {118, 541, 676, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1105 QWidget::fontChange(const QFont&)
    {118, 1102, 17, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1106 QWidget::windowActivationChange(bool)
    {118, 613, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1107 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    29,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, QFlags<KTextEditor::CodeCompletionModel::HighlightMethods::enum_type>)
    31,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, int)
    33,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, QFlags<KTextEditor::CodeCompletionModel::CompletionProperties::enum_type>)
    34,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, int)
    35,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, QFlags<KTextEditor::SmartRange::InsertBehaviors::enum_type>)
    36,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, QFlags<KTextEditor::Attribute::Effects::enum_type>)
    38,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, int)
    41,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, int)
    0,
    30,  // KTextEditor::operator|(KTextEditor::SmartRange::InsertBehaviors::enum_type, KTextEditor::SmartRange::InsertBehaviors::enum_type)
    32,  // KTextEditor::operator|(KTextEditor::Attribute::Effects::enum_type, KTextEditor::Attribute::Effects::enum_type)
    37,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::CompletionProperties::enum_type, KTextEditor::CodeCompletionModel::CompletionProperties::enum_type)
    42,  // KTextEditor::operator|(KTextEditor::CodeCompletionModel::HighlightMethods::enum_type, KTextEditor::CodeCompletionModel::HighlightMethods::enum_type)
    0,
    843,  // KTextEditor::SmartRange::operator=(const KTextEditor::SmartRange&)
    844,  // KTextEditor::SmartRange::operator=(const KTextEditor::Range&)
    0,
    803,  // KTextEditor::SmartRange::smartEnd()
    804,  // KTextEditor::SmartRange::smartEnd() const
    0,
    801,  // KTextEditor::SmartRange::smartStart()
    802,  // KTextEditor::SmartRange::smartStart() const
    0,
    626,  // KTextEditor::Range::Range(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    663,  // KTextEditor::Range::Range(KTextEditor::Cursor*, KTextEditor::Cursor*)
    0,
    649,  // KTextEditor::Range::contains(const KTextEditor::Range&) const
    650,  // KTextEditor::Range::contains(const KTextEditor::Cursor&) const
    0,
    637,  // KTextEditor::Range::end()
    638,  // KTextEditor::Range::end() const
    0,
    635,  // KTextEditor::Range::start()
    636,  // KTextEditor::Range::start() const
    0,
    788,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Range&, KTextEditor::SmartRange*)
    789,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&)
    793,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*)
    0,
    790,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*)
    794,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*)
    0,
    757,  // KTextEditor::SmartInterface::newSmartRange(const KTextEditor::Cursor&, const KTextEditor::Cursor&, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    759,  // KTextEditor::SmartInterface::newSmartRange(KTextEditor::SmartCursor*, KTextEditor::SmartCursor*, KTextEditor::SmartRange*, QFlags<KTextEditor::SmartRange::InsertBehavior>)
    0,
    781,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&) const
    782,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&) const
    0,
    751,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Cursor&, KTextEditor::SmartCursor::InsertBehavior) const
    752,  // KTextEditor::SmartInterface::translateFromRevision(const KTextEditor::Range&, QFlags<KTextEditor::SmartRange::InsertBehavior>) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {22, 405, 40},	// KTextEditor::createPlugin?#
    {22, 492, 39},	// KTextEditor::editor$
    {22, 736, -1},	// KTextEditor::operator|?$
    {22, 737, -10},	// KTextEditor::operator|??
    {23, 6, 45},	// KTextEditor::AnnotationInterface::AnnotationInterface
    {23, 7, 46},	// KTextEditor::AnnotationInterface::AnnotationInterface#
    {23, 286, 44},	// KTextEditor::AnnotationInterface::annotationModel
    {23, 872, 43},	// KTextEditor::AnnotationInterface::setAnnotationModel#
    {23, 1113, 47},	// KTextEditor::AnnotationInterface::~AnnotationInterface
    {24, 8, 58},	// KTextEditor::AnnotationModel::AnnotationModel
    {24, 422, 55},	// KTextEditor::AnnotationModel::data$$
    {24, 621, 57},	// KTextEditor::AnnotationModel::lineChanged$
    {24, 677, 48},	// KTextEditor::AnnotationModel::metaObject
    {24, 777, 54},	// KTextEditor::AnnotationModel::qt_metacall$$?
    {24, 779, 49},	// KTextEditor::AnnotationModel::qt_metacast$
    {24, 848, 56},	// KTextEditor::AnnotationModel::reset
    {24, 1021, 61},	// KTextEditor::AnnotationModel::staticMetaObject
    {24, 1053, 59},	// KTextEditor::AnnotationModel::tr$
    {24, 1054, 50},	// KTextEditor::AnnotationModel::tr$$
    {24, 1055, 52},	// KTextEditor::AnnotationModel::tr$$$
    {24, 1057, 60},	// KTextEditor::AnnotationModel::trUtf8$
    {24, 1058, 51},	// KTextEditor::AnnotationModel::trUtf8$$
    {24, 1059, 53},	// KTextEditor::AnnotationModel::trUtf8$$$
    {24, 1114, 62},	// KTextEditor::AnnotationModel::~AnnotationModel
    {25, 9, 68},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface
    {25, 10, 69},	// KTextEditor::AnnotationViewInterface::AnnotationViewInterface#
    {25, 281, 66},	// KTextEditor::AnnotationViewInterface::annotationActivated#$
    {25, 283, 67},	// KTextEditor::AnnotationViewInterface::annotationBorderVisibilityChanged#$
    {25, 285, 65},	// KTextEditor::AnnotationViewInterface::annotationContextMenuAboutToShow##$
    {25, 602, 64},	// KTextEditor::AnnotationViewInterface::isAnnotationBorderVisible
    {25, 870, 63},	// KTextEditor::AnnotationViewInterface::setAnnotationBorderVisible$
    {25, 1115, 70},	// KTextEditor::AnnotationViewInterface::~AnnotationViewInterface
    {26, 4, 102},	// KTextEditor::Attribute::ActivateCaretIn
    {26, 5, 101},	// KTextEditor::Attribute::ActivateMouseIn
    {26, 13, 71},	// KTextEditor::Attribute::Attribute
    {26, 14, 72},	// KTextEditor::Attribute::Attribute#
    {26, 18, 98},	// KTextEditor::Attribute::AttributeDynamicEffect
    {26, 19, 99},	// KTextEditor::Attribute::AttributeInternalProperty
    {26, 20, 100},	// KTextEditor::Attribute::AttributeUserProperty
    {26, 22, 97},	// KTextEditor::Attribute::BackgroundFillWhitespace
    {26, 76, 107},	// KTextEditor::Attribute::EffectCycleGradient
    {26, 77, 104},	// KTextEditor::Attribute::EffectFadeIn
    {26, 78, 105},	// KTextEditor::Attribute::EffectFadeOut
    {26, 79, 103},	// KTextEditor::Attribute::EffectNone
    {26, 80, 106},	// KTextEditor::Attribute::EffectPulse
    {26, 156, 94},	// KTextEditor::Attribute::Outline
    {26, 190, 96},	// KTextEditor::Attribute::SelectedBackground
    {26, 191, 95},	// KTextEditor::Attribute::SelectedForeground
    {26, 290, 85},	// KTextEditor::Attribute::associatedActions
    {26, 300, 81},	// KTextEditor::Attribute::backgroundFillWhitespace
    {26, 331, 83},	// KTextEditor::Attribute::clear
    {26, 333, 86},	// KTextEditor::Attribute::clearAssociatedActions
    {26, 489, 87},	// KTextEditor::Attribute::dynamicAttribute$
    {26, 494, 89},	// KTextEditor::Attribute::effects
    {26, 540, 73},	// KTextEditor::Attribute::fontBold
    {26, 546, 84},	// KTextEditor::Attribute::hasAnyProperty
    {26, 732, 91},	// KTextEditor::Attribute::operator+=#
    {26, 734, 92},	// KTextEditor::Attribute::operator=#
    {26, 738, 75},	// KTextEditor::Attribute::outline
    {26, 860, 79},	// KTextEditor::Attribute::selectedBackground
    {26, 861, 77},	// KTextEditor::Attribute::selectedForeground
    {26, 878, 82},	// KTextEditor::Attribute::setBackgroundFillWhitespace$
    {26, 903, 88},	// KTextEditor::Attribute::setDynamicAttribute$?
    {26, 907, 90},	// KTextEditor::Attribute::setEffects$
    {26, 910, 93},	// KTextEditor::Attribute::setFontBold
    {26, 911, 74},	// KTextEditor::Attribute::setFontBold$
    {26, 956, 76},	// KTextEditor::Attribute::setOutline#
    {26, 970, 80},	// KTextEditor::Attribute::setSelectedBackground#
    {26, 972, 78},	// KTextEditor::Attribute::setSelectedForeground#
    {26, 1116, 108},	// KTextEditor::Attribute::~Attribute
    {27, 32, 117},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface
    {27, 33, 118},	// KTextEditor::CodeCompletionInterface::CodeCompletionInterface#
    {27, 243, 111},	// KTextEditor::CodeCompletionInterface::abortCompletion
    {27, 542, 112},	// KTextEditor::CodeCompletionInterface::forceCompletion
    {27, 603, 115},	// KTextEditor::CodeCompletionInterface::isAutomaticInvocationEnabled
    {27, 604, 109},	// KTextEditor::CodeCompletionInterface::isCompletionActive
    {27, 809, 113},	// KTextEditor::CodeCompletionInterface::registerCompletionModel#
    {27, 875, 119},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled
    {27, 876, 116},	// KTextEditor::CodeCompletionInterface::setAutomaticInvocationEnabled$
    {27, 1018, 110},	// KTextEditor::CodeCompletionInterface::startCompletion##
    {27, 1069, 114},	// KTextEditor::CodeCompletionInterface::unregisterCompletionModel#
    {27, 1118, 120},	// KTextEditor::CodeCompletionInterface::~CodeCompletionInterface
    {28, 1, 198},	// KTextEditor::CodeCompletionModel::AccessibilityAccept
    {28, 2, 196},	// KTextEditor::CodeCompletionModel::AccessibilityNext
    {28, 3, 197},	// KTextEditor::CodeCompletionModel::AccessibilityPrevious
    {28, 11, 194},	// KTextEditor::CodeCompletionModel::ArgumentHintDepth
    {28, 12, 153},	// KTextEditor::CodeCompletionModel::Arguments
    {28, 21, 200},	// KTextEditor::CodeCompletionModel::AutomaticInvocation
    {28, 23, 195},	// KTextEditor::CodeCompletionModel::BestMatchesCount
    {28, 31, 163},	// KTextEditor::CodeCompletionModel::Class
    {28, 35, 128},	// KTextEditor::CodeCompletionModel::CodeCompletionModel#
    {28, 42, 147},	// KTextEditor::CodeCompletionModel::ColumnCount
    {28, 49, 184},	// KTextEditor::CodeCompletionModel::CompletionRole
    {28, 54, 161},	// KTextEditor::CodeCompletionModel::Const
    {28, 62, 189},	// KTextEditor::CodeCompletionModel::CustomHighlight
    {28, 63, 183},	// KTextEditor::CodeCompletionModel::CustomHighlighting
    {28, 81, 168},	// KTextEditor::CodeCompletionModel::Enum
    {28, 86, 192},	// KTextEditor::CodeCompletionModel::ExpandingWidget
    {28, 89, 156},	// KTextEditor::CodeCompletionModel::FirstProperty
    {28, 90, 174},	// KTextEditor::CodeCompletionModel::Friend
    {28, 91, 166},	// KTextEditor::CodeCompletionModel::Function
    {28, 92, 179},	// KTextEditor::CodeCompletionModel::GlobalScope
    {28, 93, 199},	// KTextEditor::CodeCompletionModel::GroupRole
    {28, 97, 188},	// KTextEditor::CodeCompletionModel::HighlightingMethod
    {28, 98, 150},	// KTextEditor::CodeCompletionModel::Icon
    {28, 100, 190},	// KTextEditor::CodeCompletionModel::InheritanceDepth
    {28, 101, 173},	// KTextEditor::CodeCompletionModel::Inline
    {28, 102, 182},	// KTextEditor::CodeCompletionModel::InternalHighlighting
    {28, 103, 191},	// KTextEditor::CodeCompletionModel::IsExpandable
    {28, 104, 193},	// KTextEditor::CodeCompletionModel::ItemSelected
    {28, 125, 148},	// KTextEditor::CodeCompletionModel::LastItemDataRole
    {28, 126, 180},	// KTextEditor::CodeCompletionModel::LastProperty
    {28, 132, 177},	// KTextEditor::CodeCompletionModel::LocalScope
    {28, 133, 202},	// KTextEditor::CodeCompletionModel::ManualInvocation
    {28, 140, 186},	// KTextEditor::CodeCompletionModel::MatchQuality
    {28, 146, 152},	// KTextEditor::CodeCompletionModel::Name
    {28, 147, 162},	// KTextEditor::CodeCompletionModel::Namespace
    {28, 148, 178},	// KTextEditor::CodeCompletionModel::NamespaceScope
    {28, 149, 181},	// KTextEditor::CodeCompletionModel::NoHighlighting
    {28, 150, 155},	// KTextEditor::CodeCompletionModel::NoProperty
    {28, 157, 172},	// KTextEditor::CodeCompletionModel::Override
    {28, 162, 154},	// KTextEditor::CodeCompletionModel::Postfix
    {28, 163, 149},	// KTextEditor::CodeCompletionModel::Prefix
    {28, 164, 159},	// KTextEditor::CodeCompletionModel::Private
    {28, 165, 158},	// KTextEditor::CodeCompletionModel::Protected
    {28, 166, 157},	// KTextEditor::CodeCompletionModel::Public
    {28, 186, 151},	// KTextEditor::CodeCompletionModel::Scope
    {28, 187, 185},	// KTextEditor::CodeCompletionModel::ScopeIndex
    {28, 194, 187},	// KTextEditor::CodeCompletionModel::SetMatchContext
    {28, 195, 175},	// KTextEditor::CodeCompletionModel::Signal
    {28, 201, 176},	// KTextEditor::CodeCompletionModel::Slot
    {28, 218, 160},	// KTextEditor::CodeCompletionModel::Static
    {28, 220, 164},	// KTextEditor::CodeCompletionModel::Struct
    {28, 221, 169},	// KTextEditor::CodeCompletionModel::Template
    {28, 227, 170},	// KTextEditor::CodeCompletionModel::TypeAlias
    {28, 228, 165},	// KTextEditor::CodeCompletionModel::Union
    {28, 229, 201},	// KTextEditor::CodeCompletionModel::UserInvocation
    {28, 230, 167},	// KTextEditor::CodeCompletionModel::Variable
    {28, 237, 171},	// KTextEditor::CodeCompletionModel::Virtual
    {28, 355, 143},	// KTextEditor::CodeCompletionModel::columnCount
    {28, 356, 132},	// KTextEditor::CodeCompletionModel::columnCount#
    {28, 361, 130},	// KTextEditor::CodeCompletionModel::completionInvoked##$
    {28, 518, 131},	// KTextEditor::CodeCompletionModel::executeCompletionItem##$
    {28, 548, 137},	// KTextEditor::CodeCompletionModel::hasGroups
    {28, 550, 139},	// KTextEditor::CodeCompletionModel::hasGroupsChanged#$
    {28, 573, 144},	// KTextEditor::CodeCompletionModel::index$$
    {28, 574, 133},	// KTextEditor::CodeCompletionModel::index$$#
    {28, 610, 134},	// KTextEditor::CodeCompletionModel::itemData#
    {28, 677, 121},	// KTextEditor::CodeCompletionModel::metaObject
    {28, 750, 135},	// KTextEditor::CodeCompletionModel::parent#
    {28, 777, 127},	// KTextEditor::CodeCompletionModel::qt_metacall$$?
    {28, 779, 122},	// KTextEditor::CodeCompletionModel::qt_metacast$
    {28, 851, 145},	// KTextEditor::CodeCompletionModel::rowCount
    {28, 852, 136},	// KTextEditor::CodeCompletionModel::rowCount#
    {28, 913, 140},	// KTextEditor::CodeCompletionModel::setHasGroups$
    {28, 967, 129},	// KTextEditor::CodeCompletionModel::setRowCount$
    {28, 1021, 146},	// KTextEditor::CodeCompletionModel::staticMetaObject
    {28, 1053, 141},	// KTextEditor::CodeCompletionModel::tr$
    {28, 1054, 123},	// KTextEditor::CodeCompletionModel::tr$$
    {28, 1055, 125},	// KTextEditor::CodeCompletionModel::tr$$$
    {28, 1057, 142},	// KTextEditor::CodeCompletionModel::trUtf8$
    {28, 1058, 124},	// KTextEditor::CodeCompletionModel::trUtf8$$
    {28, 1059, 126},	// KTextEditor::CodeCompletionModel::trUtf8$$$
    {28, 1094, 138},	// KTextEditor::CodeCompletionModel::waitForReset
    {28, 1119, 203},	// KTextEditor::CodeCompletionModel::~CodeCompletionModel
    {29, 37, 211},	// KTextEditor::CodeCompletionModel2::CodeCompletionModel2#
    {29, 520, 212},	// KTextEditor::CodeCompletionModel2::executeCompletionItem2###
    {29, 677, 204},	// KTextEditor::CodeCompletionModel2::metaObject
    {29, 777, 210},	// KTextEditor::CodeCompletionModel2::qt_metacall$$?
    {29, 779, 205},	// KTextEditor::CodeCompletionModel2::qt_metacast$
    {29, 1021, 215},	// KTextEditor::CodeCompletionModel2::staticMetaObject
    {29, 1053, 213},	// KTextEditor::CodeCompletionModel2::tr$
    {29, 1054, 206},	// KTextEditor::CodeCompletionModel2::tr$$
    {29, 1055, 208},	// KTextEditor::CodeCompletionModel2::tr$$$
    {29, 1057, 214},	// KTextEditor::CodeCompletionModel2::trUtf8$
    {29, 1058, 207},	// KTextEditor::CodeCompletionModel2::trUtf8$$
    {29, 1059, 209},	// KTextEditor::CodeCompletionModel2::trUtf8$$$
    {29, 1120, 216},	// KTextEditor::CodeCompletionModel2::~CodeCompletionModel2
    {30, 38, 217},	// KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface
    {30, 39, 225},	// KTextEditor::CodeCompletionModelControllerInterface::CodeCompletionModelControllerInterface#
    {30, 245, 224},	// KTextEditor::CodeCompletionModelControllerInterface::aborted#
    {30, 365, 219},	// KTextEditor::CodeCompletionModelControllerInterface::completionRange##
    {30, 527, 221},	// KTextEditor::CodeCompletionModelControllerInterface::filterString###
    {30, 998, 222},	// KTextEditor::CodeCompletionModelControllerInterface::shouldAbortCompletion##$
    {30, 1000, 223},	// KTextEditor::CodeCompletionModelControllerInterface::shouldExecute##
    {30, 1002, 218},	// KTextEditor::CodeCompletionModelControllerInterface::shouldStartCompletion#$$#
    {30, 1071, 220},	// KTextEditor::CodeCompletionModelControllerInterface::updateCompletionRange##
    {30, 1121, 226},	// KTextEditor::CodeCompletionModelControllerInterface::~CodeCompletionModelControllerInterface
    {31, 40, 228},	// KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2
    {31, 41, 229},	// KTextEditor::CodeCompletionModelControllerInterface2::CodeCompletionModelControllerInterface2#
    {31, 94, 231},	// KTextEditor::CodeCompletionModelControllerInterface2::HideListIfAutomaticInvocation
    {31, 151, 230},	// KTextEditor::CodeCompletionModelControllerInterface2::None
    {31, 676, 227},	// KTextEditor::CodeCompletionModelControllerInterface2::matchingItem#
    {31, 1122, 232},	// KTextEditor::CodeCompletionModelControllerInterface2::~CodeCompletionModelControllerInterface2
    {32, 43, 236},	// KTextEditor::Command::Command
    {32, 44, 237},	// KTextEditor::Command::Command#
    {32, 353, 233},	// KTextEditor::Command::cmds
    {32, 515, 234},	// KTextEditor::Command::exec#$$
    {32, 557, 235},	// KTextEditor::Command::help#$$
    {32, 1123, 238},	// KTextEditor::Command::~Command
    {33, 45, 243},	// KTextEditor::CommandExtension::CommandExtension
    {33, 46, 244},	// KTextEditor::CommandExtension::CommandExtension#
    {33, 363, 240},	// KTextEditor::CommandExtension::completionObject#$
    {33, 531, 239},	// KTextEditor::CommandExtension::flagCompletions?
    {33, 775, 242},	// KTextEditor::CommandExtension::processText#$
    {33, 1097, 241},	// KTextEditor::CommandExtension::wantsToProcessText$
    {33, 1124, 245},	// KTextEditor::CommandExtension::~CommandExtension
    {34, 47, 251},	// KTextEditor::CommandInterface::CommandInterface
    {34, 48, 252},	// KTextEditor::CommandInterface::CommandInterface#
    {34, 358, 250},	// KTextEditor::CommandInterface::commandList
    {34, 359, 249},	// KTextEditor::CommandInterface::commands
    {34, 782, 248},	// KTextEditor::CommandInterface::queryCommand$
    {34, 807, 246},	// KTextEditor::CommandInterface::registerCommand#
    {34, 1067, 247},	// KTextEditor::CommandInterface::unregisterCommand#
    {34, 1125, 253},	// KTextEditor::CommandInterface::~CommandInterface
    {35, 50, 254},	// KTextEditor::ConfigInterface::ConfigInterface
    {35, 51, 258},	// KTextEditor::ConfigInterface::ConfigInterface#
    {35, 370, 255},	// KTextEditor::ConfigInterface::configKeys
    {35, 381, 256},	// KTextEditor::ConfigInterface::configValue$
    {35, 891, 257},	// KTextEditor::ConfigInterface::setConfigValue$#
    {35, 1126, 259},	// KTextEditor::ConfigInterface::~ConfigInterface
    {36, 53, 267},	// KTextEditor::ConfigPage::ConfigPage#
    {36, 287, 268},	// KTextEditor::ConfigPage::apply
    {36, 313, 271},	// KTextEditor::ConfigPage::changed
    {36, 434, 270},	// KTextEditor::ConfigPage::defaults
    {36, 677, 260},	// KTextEditor::ConfigPage::metaObject
    {36, 777, 266},	// KTextEditor::ConfigPage::qt_metacall$$?
    {36, 779, 261},	// KTextEditor::ConfigPage::qt_metacast$
    {36, 848, 269},	// KTextEditor::ConfigPage::reset
    {36, 1021, 274},	// KTextEditor::ConfigPage::staticMetaObject
    {36, 1053, 272},	// KTextEditor::ConfigPage::tr$
    {36, 1054, 262},	// KTextEditor::ConfigPage::tr$$
    {36, 1055, 264},	// KTextEditor::ConfigPage::tr$$$
    {36, 1057, 273},	// KTextEditor::ConfigPage::trUtf8$
    {36, 1058, 263},	// KTextEditor::ConfigPage::trUtf8$$
    {36, 1059, 265},	// KTextEditor::ConfigPage::trUtf8$$$
    {36, 1127, 275},	// KTextEditor::ConfigPage::~ConfigPage
    {37, 55, 276},	// KTextEditor::ContainerInterface::ContainerInterface
    {37, 56, 279},	// KTextEditor::ContainerInterface::ContainerInterface#
    {37, 385, 278},	// KTextEditor::ContainerInterface::container
    {37, 893, 277},	// KTextEditor::ContainerInterface::setContainer#
    {37, 1128, 280},	// KTextEditor::ContainerInterface::~ContainerInterface
    {38, 57, 282},	// KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface
    {38, 58, 283},	// KTextEditor::CoordinatesToCursorInterface::CoordinatesToCursorInterface#
    {38, 397, 281},	// KTextEditor::CoordinatesToCursorInterface::coordinatesToCursor#
    {38, 1129, 284},	// KTextEditor::CoordinatesToCursorInterface::~CoordinatesToCursorInterface
    {39, 59, 285},	// KTextEditor::Cursor::Cursor
    {39, 60, 287},	// KTextEditor::Cursor::Cursor#
    {39, 61, 286},	// KTextEditor::Cursor::Cursor$$
    {39, 293, 300},	// KTextEditor::Cursor::atStartOfDocument
    {39, 294, 299},	// KTextEditor::Cursor::atStartOfLine
    {39, 354, 297},	// KTextEditor::Cursor::column
    {39, 410, 305},	// KTextEditor::Cursor::cursorChangedDirectly#
    {39, 600, 291},	// KTextEditor::Cursor::invalid
    {39, 606, 289},	// KTextEditor::Cursor::isSmartCursor
    {39, 608, 288},	// KTextEditor::Cursor::isValid
    {39, 616, 295},	// KTextEditor::Cursor::line
    {39, 626, 308},	// KTextEditor::Cursor::m_column
    {39, 628, 306},	// KTextEditor::Cursor::m_line
    {39, 629, 310},	// KTextEditor::Cursor::m_range
    {39, 734, 303},	// KTextEditor::Cursor::operator=#
    {39, 758, 301},	// KTextEditor::Cursor::position$$
    {39, 783, 302},	// KTextEditor::Cursor::range
    {39, 888, 298},	// KTextEditor::Cursor::setColumn$
    {39, 923, 296},	// KTextEditor::Cursor::setLine$
    {39, 926, 309},	// KTextEditor::Cursor::setM_column$
    {39, 930, 307},	// KTextEditor::Cursor::setM_line$
    {39, 932, 311},	// KTextEditor::Cursor::setM_range#
    {39, 960, 293},	// KTextEditor::Cursor::setPosition#
    {39, 961, 294},	// KTextEditor::Cursor::setPosition$$
    {39, 963, 304},	// KTextEditor::Cursor::setRange#
    {39, 1016, 292},	// KTextEditor::Cursor::start
    {39, 1048, 290},	// KTextEditor::Cursor::toSmartCursor
    {39, 1130, 312},	// KTextEditor::Cursor::~Cursor
    {40, 66, 391},	// KTextEditor::Document::Document
    {40, 67, 320},	// KTextEditor::Document::Document#
    {40, 248, 369},	// KTextEditor::Document::aboutToClose#
    {40, 250, 370},	// KTextEditor::Document::aboutToReload#
    {40, 254, 323},	// KTextEditor::Document::activeView
    {40, 315, 341},	// KTextEditor::Document::character#
    {40, 331, 353},	// KTextEditor::Document::clear
    {40, 407, 322},	// KTextEditor::Document::createView#
    {40, 412, 359},	// KTextEditor::Document::cursorInText#
    {40, 454, 345},	// KTextEditor::Document::documentEnd
    {40, 456, 326},	// KTextEditor::Document::documentName
    {40, 458, 328},	// KTextEditor::Document::documentNameChanged#
    {40, 459, 346},	// KTextEditor::Document::documentRange
    {40, 460, 333},	// KTextEditor::Document::documentReload
    {40, 461, 334},	// KTextEditor::Document::documentSave
    {40, 462, 335},	// KTextEditor::Document::documentSaveAs
    {40, 464, 336},	// KTextEditor::Document::documentSavedOrUploaded#$
    {40, 466, 329},	// KTextEditor::Document::documentUrlChanged#
    {40, 491, 321},	// KTextEditor::Document::editor
    {40, 500, 332},	// KTextEditor::Document::encoding
    {40, 504, 338},	// KTextEditor::Document::endEditing
    {40, 506, 350},	// KTextEditor::Document::endOfLine$
    {40, 511, 372},	// KTextEditor::Document::exclusiveEditEnd#
    {40, 513, 371},	// KTextEditor::Document::exclusiveEditStart#
    {40, 561, 374},	// KTextEditor::Document::highlightingMode
    {40, 565, 382},	// KTextEditor::Document::highlightingModeChanged#
    {40, 567, 379},	// KTextEditor::Document::highlightingModeSection$
    {40, 568, 376},	// KTextEditor::Document::highlightingModes
    {40, 582, 360},	// KTextEditor::Document::insertLine$$
    {40, 584, 361},	// KTextEditor::Document::insertLines$?
    {40, 591, 394},	// KTextEditor::Document::insertText#$
    {40, 592, 354},	// KTextEditor::Document::insertText#$$
    {40, 593, 395},	// KTextEditor::Document::insertText#?
    {40, 594, 355},	// KTextEditor::Document::insertText#?$
    {40, 605, 348},	// KTextEditor::Document::isEmpty
    {40, 617, 343},	// KTextEditor::Document::line$
    {40, 623, 349},	// KTextEditor::Document::lineLength$
    {40, 624, 344},	// KTextEditor::Document::lines
    {40, 677, 313},	// KTextEditor::Document::metaObject
    {40, 680, 327},	// KTextEditor::Document::mimeType
    {40, 683, 373},	// KTextEditor::Document::mode
    {40, 685, 381},	// KTextEditor::Document::modeChanged#
    {40, 687, 380},	// KTextEditor::Document::modeSection$
    {40, 688, 375},	// KTextEditor::Document::modes
    {40, 690, 330},	// KTextEditor::Document::modifiedChanged#
    {40, 729, 385},	// KTextEditor::Document::openingError
    {40, 730, 386},	// KTextEditor::Document::openingErrorMessage
    {40, 777, 319},	// KTextEditor::Document::qt_metacall$$?
    {40, 779, 314},	// KTextEditor::Document::qt_metacast$
    {40, 824, 362},	// KTextEditor::Document::removeLine$
    {40, 833, 398},	// KTextEditor::Document::removeText#
    {40, 834, 358},	// KTextEditor::Document::removeText#$
    {40, 841, 396},	// KTextEditor::Document::replaceText#$
    {40, 842, 356},	// KTextEditor::Document::replaceText#$$
    {40, 843, 397},	// KTextEditor::Document::replaceText#?
    {40, 844, 357},	// KTextEditor::Document::replaceText#?$
    {40, 909, 331},	// KTextEditor::Document::setEncoding$
    {40, 916, 378},	// KTextEditor::Document::setHighlightingMode$
    {40, 943, 377},	// KTextEditor::Document::setMode$
    {40, 952, 387},	// KTextEditor::Document::setOpeningError$
    {40, 954, 388},	// KTextEditor::Document::setOpeningErrorMessage$
    {40, 982, 383},	// KTextEditor::Document::setSuppressOpeningErrorDialogs$
    {40, 984, 351},	// KTextEditor::Document::setText$
    {40, 985, 352},	// KTextEditor::Document::setText?
    {40, 1019, 337},	// KTextEditor::Document::startEditing
    {40, 1021, 399},	// KTextEditor::Document::staticMetaObject
    {40, 1028, 384},	// KTextEditor::Document::suppressOpeningErrorDialogs
    {40, 1030, 339},	// KTextEditor::Document::text
    {40, 1031, 392},	// KTextEditor::Document::text#
    {40, 1032, 340},	// KTextEditor::Document::text#$
    {40, 1035, 363},	// KTextEditor::Document::textChanged#
    {40, 1036, 367},	// KTextEditor::Document::textChanged###
    {40, 1037, 368},	// KTextEditor::Document::textChanged##$#
    {40, 1039, 364},	// KTextEditor::Document::textInserted##
    {40, 1042, 393},	// KTextEditor::Document::textLines#
    {40, 1043, 342},	// KTextEditor::Document::textLines#$
    {40, 1045, 365},	// KTextEditor::Document::textRemoved##
    {40, 1046, 366},	// KTextEditor::Document::textRemoved##$
    {40, 1051, 347},	// KTextEditor::Document::totalCharacters
    {40, 1053, 389},	// KTextEditor::Document::tr$
    {40, 1054, 315},	// KTextEditor::Document::tr$$
    {40, 1055, 317},	// KTextEditor::Document::tr$$$
    {40, 1057, 390},	// KTextEditor::Document::trUtf8$
    {40, 1058, 316},	// KTextEditor::Document::trUtf8$$
    {40, 1059, 318},	// KTextEditor::Document::trUtf8$$$
    {40, 1083, 325},	// KTextEditor::Document::viewCreated##
    {40, 1092, 324},	// KTextEditor::Document::views
    {40, 1131, 400},	// KTextEditor::Document::~Document
    {41, 73, 408},	// KTextEditor::Editor::Editor#
    {41, 246, 413},	// KTextEditor::Editor::aboutData
    {41, 368, 419},	// KTextEditor::Editor::configDialog#
    {41, 369, 418},	// KTextEditor::Editor::configDialogSupported
    {41, 372, 421},	// KTextEditor::Editor::configPage$#
    {41, 374, 423},	// KTextEditor::Editor::configPageFullName$
    {41, 376, 424},	// KTextEditor::Editor::configPageIcon$
    {41, 378, 422},	// KTextEditor::Editor::configPageName$
    {41, 379, 420},	// KTextEditor::Editor::configPages
    {41, 400, 411},	// KTextEditor::Editor::createDocument#
    {41, 431, 414},	// KTextEditor::Editor::defaultEncoding
    {41, 453, 425},	// KTextEditor::Editor::documentCreated##
    {41, 467, 412},	// KTextEditor::Editor::documents
    {41, 677, 401},	// KTextEditor::Editor::metaObject
    {41, 777, 407},	// KTextEditor::Editor::qt_metacall$$?
    {41, 779, 402},	// KTextEditor::Editor::qt_metacast$
    {41, 799, 428},	// KTextEditor::Editor::readConfig
    {41, 800, 416},	// KTextEditor::Editor::readConfig#
    {41, 901, 415},	// KTextEditor::Editor::setDefaultEncoding$
    {41, 978, 409},	// KTextEditor::Editor::setSimpleMode$
    {41, 1006, 410},	// KTextEditor::Editor::simpleMode
    {41, 1021, 430},	// KTextEditor::Editor::staticMetaObject
    {41, 1053, 426},	// KTextEditor::Editor::tr$
    {41, 1054, 403},	// KTextEditor::Editor::tr$$
    {41, 1055, 405},	// KTextEditor::Editor::tr$$$
    {41, 1057, 427},	// KTextEditor::Editor::trUtf8$
    {41, 1058, 404},	// KTextEditor::Editor::trUtf8$$
    {41, 1059, 406},	// KTextEditor::Editor::trUtf8$$$
    {41, 1105, 429},	// KTextEditor::Editor::writeConfig
    {41, 1106, 417},	// KTextEditor::Editor::writeConfig#
    {41, 1132, 431},	// KTextEditor::Editor::~Editor
    {42, 74, 446},	// KTextEditor::EditorChooser::EditorChooser
    {42, 75, 439},	// KTextEditor::EditorChooser::EditorChooser#
    {42, 313, 443},	// KTextEditor::EditorChooser::changed
    {42, 491, 449},	// KTextEditor::EditorChooser::editor
    {42, 492, 450},	// KTextEditor::EditorChooser::editor$
    {42, 493, 442},	// KTextEditor::EditorChooser::editor$$
    {42, 677, 432},	// KTextEditor::EditorChooser::metaObject
    {42, 777, 438},	// KTextEditor::EditorChooser::qt_metacall$$?
    {42, 779, 433},	// KTextEditor::EditorChooser::qt_metacast$
    {42, 797, 447},	// KTextEditor::EditorChooser::readAppSetting
    {42, 798, 440},	// KTextEditor::EditorChooser::readAppSetting$
    {42, 1021, 451},	// KTextEditor::EditorChooser::staticMetaObject
    {42, 1053, 444},	// KTextEditor::EditorChooser::tr$
    {42, 1054, 434},	// KTextEditor::EditorChooser::tr$$
    {42, 1055, 436},	// KTextEditor::EditorChooser::tr$$$
    {42, 1057, 445},	// KTextEditor::EditorChooser::trUtf8$
    {42, 1058, 435},	// KTextEditor::EditorChooser::trUtf8$$
    {42, 1059, 437},	// KTextEditor::EditorChooser::trUtf8$$$
    {42, 1103, 448},	// KTextEditor::EditorChooser::writeAppSetting
    {42, 1104, 441},	// KTextEditor::EditorChooser::writeAppSetting$
    {42, 1133, 452},	// KTextEditor::EditorChooser::~EditorChooser
    {43, 88, 460},	// KTextEditor::Factory::Factory#
    {43, 491, 461},	// KTextEditor::Factory::editor
    {43, 677, 453},	// KTextEditor::Factory::metaObject
    {43, 777, 459},	// KTextEditor::Factory::qt_metacall$$?
    {43, 779, 454},	// KTextEditor::Factory::qt_metacast$
    {43, 1021, 464},	// KTextEditor::Factory::staticMetaObject
    {43, 1053, 462},	// KTextEditor::Factory::tr$
    {43, 1054, 455},	// KTextEditor::Factory::tr$$
    {43, 1055, 457},	// KTextEditor::Factory::tr$$$
    {43, 1057, 463},	// KTextEditor::Factory::trUtf8$
    {43, 1058, 456},	// KTextEditor::Factory::trUtf8$$
    {43, 1059, 458},	// KTextEditor::Factory::trUtf8$$$
    {43, 1134, 465},	// KTextEditor::Factory::~Factory
    {44, 95, 466},	// KTextEditor::HighlightInterface::HighlightInterface
    {44, 96, 471},	// KTextEditor::HighlightInterface::HighlightInterface#
    {44, 433, 467},	// KTextEditor::HighlightInterface::defaultStyle$
    {44, 474, 482},	// KTextEditor::HighlightInterface::dsAlert
    {44, 475, 476},	// KTextEditor::HighlightInterface::dsBaseN
    {44, 476, 478},	// KTextEditor::HighlightInterface::dsChar
    {44, 477, 480},	// KTextEditor::HighlightInterface::dsComment
    {44, 478, 474},	// KTextEditor::HighlightInterface::dsDataType
    {44, 479, 475},	// KTextEditor::HighlightInterface::dsDecVal
    {44, 480, 485},	// KTextEditor::HighlightInterface::dsError
    {44, 481, 477},	// KTextEditor::HighlightInterface::dsFloat
    {44, 482, 483},	// KTextEditor::HighlightInterface::dsFunction
    {44, 483, 473},	// KTextEditor::HighlightInterface::dsKeyword
    {44, 484, 472},	// KTextEditor::HighlightInterface::dsNormal
    {44, 485, 481},	// KTextEditor::HighlightInterface::dsOthers
    {44, 486, 484},	// KTextEditor::HighlightInterface::dsRegionMarker
    {44, 487, 479},	// KTextEditor::HighlightInterface::dsString
    {44, 496, 469},	// KTextEditor::HighlightInterface::embeddedHighlightingModes
    {44, 563, 470},	// KTextEditor::HighlightInterface::highlightingModeAt#
    {44, 619, 468},	// KTextEditor::HighlightInterface::lineAttributes$
    {44, 1135, 486},	// KTextEditor::HighlightInterface::~HighlightInterface
    {45, 16, 488},	// KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock#
    {45, 17, 487},	// KTextEditor::HighlightInterface::AttributeBlock::AttributeBlock$$?
    {45, 295, 493},	// KTextEditor::HighlightInterface::AttributeBlock::attribute
    {45, 615, 491},	// KTextEditor::HighlightInterface::AttributeBlock::length
    {45, 874, 494},	// KTextEditor::HighlightInterface::AttributeBlock::setAttribute?
    {45, 921, 492},	// KTextEditor::HighlightInterface::AttributeBlock::setLength$
    {45, 980, 490},	// KTextEditor::HighlightInterface::AttributeBlock::setStart$
    {45, 1016, 489},	// KTextEditor::HighlightInterface::AttributeBlock::start
    {45, 1117, 495},	// KTextEditor::HighlightInterface::AttributeBlock::~AttributeBlock
    {46, 131, 503},	// KTextEditor::LoadSaveFilterCheckPlugin::LoadSaveFilterCheckPlugin#
    {46, 677, 496},	// KTextEditor::LoadSaveFilterCheckPlugin::metaObject
    {46, 768, 506},	// KTextEditor::LoadSaveFilterCheckPlugin::postLoadFilter#
    {46, 770, 505},	// KTextEditor::LoadSaveFilterCheckPlugin::postSaveFilterCheck#$
    {46, 772, 504},	// KTextEditor::LoadSaveFilterCheckPlugin::preSavePostDialogFilterCheck#
    {46, 777, 502},	// KTextEditor::LoadSaveFilterCheckPlugin::qt_metacall$$?
    {46, 779, 497},	// KTextEditor::LoadSaveFilterCheckPlugin::qt_metacast$
    {46, 1021, 509},	// KTextEditor::LoadSaveFilterCheckPlugin::staticMetaObject
    {46, 1053, 507},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$
    {46, 1054, 498},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$$
    {46, 1055, 500},	// KTextEditor::LoadSaveFilterCheckPlugin::tr$$$
    {46, 1057, 508},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$
    {46, 1058, 499},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$$
    {46, 1059, 501},	// KTextEditor::LoadSaveFilterCheckPlugin::trUtf8$$$
    {46, 1136, 510},	// KTextEditor::LoadSaveFilterCheckPlugin::~LoadSaveFilterCheckPlugin
    {47, 134, 511},	// KTextEditor::Mark::Mark
    {47, 135, 512},	// KTextEditor::Mark::Mark#
    {47, 616, 513},	// KTextEditor::Mark::line
    {47, 923, 514},	// KTextEditor::Mark::setLine$
    {47, 987, 516},	// KTextEditor::Mark::setType$
    {47, 1063, 515},	// KTextEditor::Mark::type
    {47, 1137, 517},	// KTextEditor::Mark::~Mark
    {48, 24, 568},	// KTextEditor::MarkInterface::Bookmark
    {48, 26, 569},	// KTextEditor::MarkInterface::BreakpointActive
    {48, 27, 571},	// KTextEditor::MarkInterface::BreakpointDisabled
    {48, 28, 570},	// KTextEditor::MarkInterface::BreakpointReached
    {48, 82, 574},	// KTextEditor::MarkInterface::Error
    {48, 83, 572},	// KTextEditor::MarkInterface::Execution
    {48, 136, 575},	// KTextEditor::MarkInterface::MarkAdded
    {48, 137, 518},	// KTextEditor::MarkInterface::MarkInterface
    {48, 138, 535},	// KTextEditor::MarkInterface::MarkInterface#
    {48, 139, 576},	// KTextEditor::MarkInterface::MarkRemoved
    {48, 238, 573},	// KTextEditor::MarkInterface::Warning
    {48, 268, 522},	// KTextEditor::MarkInterface::addMark$$
    {48, 338, 521},	// KTextEditor::MarkInterface::clearMark$
    {48, 339, 525},	// KTextEditor::MarkInterface::clearMarks
    {48, 490, 533},	// KTextEditor::MarkInterface::editableMarks
    {48, 632, 519},	// KTextEditor::MarkInterface::mark$
    {48, 634, 534},	// KTextEditor::MarkInterface::markChanged##$
    {48, 636, 531},	// KTextEditor::MarkInterface::markDescription$
    {48, 638, 529},	// KTextEditor::MarkInterface::markPixmap$
    {48, 639, 536},	// KTextEditor::MarkInterface::markType01
    {48, 640, 537},	// KTextEditor::MarkInterface::markType02
    {48, 641, 538},	// KTextEditor::MarkInterface::markType03
    {48, 642, 539},	// KTextEditor::MarkInterface::markType04
    {48, 643, 540},	// KTextEditor::MarkInterface::markType05
    {48, 644, 541},	// KTextEditor::MarkInterface::markType06
    {48, 645, 542},	// KTextEditor::MarkInterface::markType07
    {48, 646, 543},	// KTextEditor::MarkInterface::markType08
    {48, 647, 544},	// KTextEditor::MarkInterface::markType09
    {48, 648, 545},	// KTextEditor::MarkInterface::markType10
    {48, 649, 546},	// KTextEditor::MarkInterface::markType11
    {48, 650, 547},	// KTextEditor::MarkInterface::markType12
    {48, 651, 548},	// KTextEditor::MarkInterface::markType13
    {48, 652, 549},	// KTextEditor::MarkInterface::markType14
    {48, 653, 550},	// KTextEditor::MarkInterface::markType15
    {48, 654, 551},	// KTextEditor::MarkInterface::markType16
    {48, 655, 552},	// KTextEditor::MarkInterface::markType17
    {48, 656, 553},	// KTextEditor::MarkInterface::markType18
    {48, 657, 554},	// KTextEditor::MarkInterface::markType19
    {48, 658, 555},	// KTextEditor::MarkInterface::markType20
    {48, 659, 556},	// KTextEditor::MarkInterface::markType21
    {48, 660, 557},	// KTextEditor::MarkInterface::markType22
    {48, 661, 558},	// KTextEditor::MarkInterface::markType23
    {48, 662, 559},	// KTextEditor::MarkInterface::markType24
    {48, 663, 560},	// KTextEditor::MarkInterface::markType25
    {48, 664, 561},	// KTextEditor::MarkInterface::markType26
    {48, 665, 562},	// KTextEditor::MarkInterface::markType27
    {48, 666, 563},	// KTextEditor::MarkInterface::markType28
    {48, 667, 564},	// KTextEditor::MarkInterface::markType29
    {48, 668, 565},	// KTextEditor::MarkInterface::markType30
    {48, 669, 566},	// KTextEditor::MarkInterface::markType31
    {48, 670, 567},	// KTextEditor::MarkInterface::markType32
    {48, 671, 524},	// KTextEditor::MarkInterface::marks
    {48, 673, 527},	// KTextEditor::MarkInterface::marksChanged#
    {48, 826, 523},	// KTextEditor::MarkInterface::removeMark$$
    {48, 847, 526},	// KTextEditor::MarkInterface::reservedMarkersCount
    {48, 905, 532},	// KTextEditor::MarkInterface::setEditableMarks$
    {48, 937, 520},	// KTextEditor::MarkInterface::setMark$$
    {48, 939, 530},	// KTextEditor::MarkInterface::setMarkDescription$$
    {48, 941, 528},	// KTextEditor::MarkInterface::setMarkPixmap$#
    {48, 1138, 577},	// KTextEditor::MarkInterface::~MarkInterface
    {49, 141, 578},	// KTextEditor::MdiContainer::MdiContainer
    {49, 142, 585},	// KTextEditor::MdiContainer::MdiContainer#
    {49, 254, 580},	// KTextEditor::MdiContainer::activeView
    {49, 348, 582},	// KTextEditor::MdiContainer::closeDocument#
    {49, 352, 584},	// KTextEditor::MdiContainer::closeView#
    {49, 399, 581},	// KTextEditor::MdiContainer::createDocument
    {49, 407, 583},	// KTextEditor::MdiContainer::createView#
    {49, 868, 579},	// KTextEditor::MdiContainer::setActiveView#
    {49, 1139, 586},	// KTextEditor::MdiContainer::~MdiContainer
    {50, 143, 587},	// KTextEditor::ModificationInterface::ModificationInterface
    {50, 144, 592},	// KTextEditor::ModificationInterface::ModificationInterface#
    {50, 152, 596},	// KTextEditor::ModificationInterface::OnDiskCreated
    {50, 153, 597},	// KTextEditor::ModificationInterface::OnDiskDeleted
    {50, 154, 595},	// KTextEditor::ModificationInterface::OnDiskModified
    {50, 155, 594},	// KTextEditor::ModificationInterface::OnDiskUnmodified
    {50, 692, 591},	// KTextEditor::ModificationInterface::modifiedOnDisk#$$
    {50, 946, 588},	// KTextEditor::ModificationInterface::setModifiedOnDisk$
    {50, 948, 589},	// KTextEditor::ModificationInterface::setModifiedOnDiskWarning$
    {50, 1008, 593},	// KTextEditor::ModificationInterface::slotModifiedOnDisk
    {50, 1009, 590},	// KTextEditor::ModificationInterface::slotModifiedOnDisk#
    {50, 1140, 598},	// KTextEditor::ModificationInterface::~ModificationInterface
    {51, 158, 599},	// KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface
    {51, 159, 602},	// KTextEditor::ParameterizedSessionConfigInterface::ParameterizedSessionConfigInterface#
    {51, 196, 607},	// KTextEditor::ParameterizedSessionConfigInterface::SkipEncoding
    {51, 197, 606},	// KTextEditor::ParameterizedSessionConfigInterface::SkipHighlighting
    {51, 198, 605},	// KTextEditor::ParameterizedSessionConfigInterface::SkipMode
    {51, 199, 603},	// KTextEditor::ParameterizedSessionConfigInterface::SkipNone
    {51, 200, 604},	// KTextEditor::ParameterizedSessionConfigInterface::SkipUrl
    {51, 802, 600},	// KTextEditor::ParameterizedSessionConfigInterface::readParameterizedSessionConfig#$
    {51, 1108, 601},	// KTextEditor::ParameterizedSessionConfigInterface::writeParameterizedSessionConfig#$
    {51, 1141, 608},	// KTextEditor::ParameterizedSessionConfigInterface::~ParameterizedSessionConfigInterface
    {52, 161, 616},	// KTextEditor::Plugin::Plugin#
    {52, 260, 617},	// KTextEditor::Plugin::addDocument#
    {52, 272, 619},	// KTextEditor::Plugin::addView#
    {52, 677, 609},	// KTextEditor::Plugin::metaObject
    {52, 777, 615},	// KTextEditor::Plugin::qt_metacall$$?
    {52, 779, 610},	// KTextEditor::Plugin::qt_metacast$
    {52, 818, 618},	// KTextEditor::Plugin::removeDocument#
    {52, 837, 620},	// KTextEditor::Plugin::removeView#
    {52, 1021, 623},	// KTextEditor::Plugin::staticMetaObject
    {52, 1053, 621},	// KTextEditor::Plugin::tr$
    {52, 1054, 611},	// KTextEditor::Plugin::tr$$
    {52, 1055, 613},	// KTextEditor::Plugin::tr$$$
    {52, 1057, 622},	// KTextEditor::Plugin::trUtf8$
    {52, 1058, 612},	// KTextEditor::Plugin::trUtf8$$
    {52, 1059, 614},	// KTextEditor::Plugin::trUtf8$$$
    {52, 1142, 624},	// KTextEditor::Plugin::~Plugin
    {53, 177, 625},	// KTextEditor::Range::Range
    {53, 178, 630},	// KTextEditor::Range::Range#
    {53, 179, -24},	// KTextEditor::Range::Range##
    {53, 180, 627},	// KTextEditor::Range::Range#$
    {53, 181, 628},	// KTextEditor::Range::Range#$$
    {53, 182, 629},	// KTextEditor::Range::Range$$$$
    {53, 303, 658},	// KTextEditor::Range::boundaryAtCursor#
    {53, 305, 659},	// KTextEditor::Range::boundaryOnLine$
    {53, 357, 647},	// KTextEditor::Range::columnWidth
    {53, 383, 644},	// KTextEditor::Range::confineToRange#
    {53, 387, -27},	// KTextEditor::Range::contains#
    {53, 389, 652},	// KTextEditor::Range::containsColumn$
    {53, 391, 651},	// KTextEditor::Range::containsLine$
    {53, 502, 661},	// KTextEditor::Range::encompass#
    {53, 503, -30},	// KTextEditor::Range::end
    {53, 524, 643},	// KTextEditor::Range::expandToRange#
    {53, 599, 660},	// KTextEditor::Range::intersect#
    {53, 600, 632},	// KTextEditor::Range::invalid
    {53, 605, 648},	// KTextEditor::Range::isEmpty
    {53, 607, 633},	// KTextEditor::Range::isSmartRange
    {53, 608, 631},	// KTextEditor::Range::isValid
    {53, 627, 667},	// KTextEditor::Range::m_end
    {53, 630, 665},	// KTextEditor::Range::m_start
    {53, 725, 646},	// KTextEditor::Range::numberOfLines
    {53, 726, 645},	// KTextEditor::Range::onSingleLine
    {53, 734, 662},	// KTextEditor::Range::operator=#
    {53, 741, 653},	// KTextEditor::Range::overlaps#
    {53, 743, 655},	// KTextEditor::Range::overlapsColumn$
    {53, 745, 654},	// KTextEditor::Range::overlapsLine$
    {53, 764, 656},	// KTextEditor::Range::positionRelativeToCursor#
    {53, 766, 657},	// KTextEditor::Range::positionRelativeToLine$
    {53, 787, 664},	// KTextEditor::Range::rangeChanged##
    {53, 882, 640},	// KTextEditor::Range::setBothColumns$
    {53, 884, 639},	// KTextEditor::Range::setBothLines$
    {53, 928, 668},	// KTextEditor::Range::setM_end#
    {53, 934, 666},	// KTextEditor::Range::setM_start#
    {53, 963, 641},	// KTextEditor::Range::setRange#
    {53, 964, 642},	// KTextEditor::Range::setRange##
    {53, 1016, -33},	// KTextEditor::Range::start
    {53, 1049, 634},	// KTextEditor::Range::toSmartRange
    {53, 1143, 669},	// KTextEditor::Range::~Range
    {54, 183, 672},	// KTextEditor::RangeCommand::RangeCommand
    {54, 184, 673},	// KTextEditor::RangeCommand::RangeCommand#
    {54, 516, 670},	// KTextEditor::RangeCommand::exec#$$#
    {54, 1027, 671},	// KTextEditor::RangeCommand::supportsRange$
    {54, 1144, 674},	// KTextEditor::RangeCommand::~RangeCommand
    {55, 188, 675},	// KTextEditor::SearchInterface::SearchInterface
    {55, 189, 678},	// KTextEditor::SearchInterface::SearchInterface#
    {55, 858, 679},	// KTextEditor::SearchInterface::searchText#$
    {55, 859, 676},	// KTextEditor::SearchInterface::searchText#$$
    {55, 1025, 677},	// KTextEditor::SearchInterface::supportedSearchOptions
    {55, 1145, 680},	// KTextEditor::SearchInterface::~SearchInterface
    {56, 192, 681},	// KTextEditor::SessionConfigInterface::SessionConfigInterface
    {56, 193, 684},	// KTextEditor::SessionConfigInterface::SessionConfigInterface#
    {56, 804, 682},	// KTextEditor::SessionConfigInterface::readSessionConfig#
    {56, 1110, 683},	// KTextEditor::SessionConfigInterface::writeSessionConfig#
    {56, 1146, 685},	// KTextEditor::SessionConfigInterface::~SessionConfigInterface
    {57, 29, 708},	// KTextEditor::SmartCursor::ByCharacter
    {57, 30, 709},	// KTextEditor::SmartCursor::ByCursorPosition
    {57, 145, 711},	// KTextEditor::SmartCursor::MoveOnInsert
    {57, 203, 704},	// KTextEditor::SmartCursor::SmartCursor##$
    {57, 219, 710},	// KTextEditor::SmartCursor::StayOnInsert
    {57, 278, 706},	// KTextEditor::SmartCursor::advance$
    {57, 279, 695},	// KTextEditor::SmartCursor::advance$$
    {57, 291, 691},	// KTextEditor::SmartCursor::atEndOfDocument
    {57, 292, 690},	// KTextEditor::SmartCursor::atEndOfLine
    {57, 314, 693},	// KTextEditor::SmartCursor::character
    {57, 437, 700},	// KTextEditor::SmartCursor::deleteNotifier
    {57, 450, 689},	// KTextEditor::SmartCursor::document
    {57, 551, 698},	// KTextEditor::SmartCursor::hasNotifier
    {57, 579, 696},	// KTextEditor::SmartCursor::insertBehavior
    {57, 596, 705},	// KTextEditor::SmartCursor::insertText?
    {57, 597, 694},	// KTextEditor::SmartCursor::insertText?$
    {57, 606, 686},	// KTextEditor::SmartCursor::isSmartCursor
    {57, 608, 692},	// KTextEditor::SmartCursor::isValid
    {57, 723, 699},	// KTextEditor::SmartCursor::notifier
    {57, 734, 703},	// KTextEditor::SmartCursor::operator=#
    {57, 918, 697},	// KTextEditor::SmartCursor::setInsertBehavior$
    {57, 991, 707},	// KTextEditor::SmartCursor::setWatcher
    {57, 992, 702},	// KTextEditor::SmartCursor::setWatcher#
    {57, 1012, 688},	// KTextEditor::SmartCursor::smartRange
    {57, 1048, 687},	// KTextEditor::SmartCursor::toSmartCursor
    {57, 1098, 701},	// KTextEditor::SmartCursor::watcher
    {57, 1147, 712},	// KTextEditor::SmartCursor::~SmartCursor
    {58, 204, 720},	// KTextEditor::SmartCursorNotifier::SmartCursorNotifier
    {58, 317, 725},	// KTextEditor::SmartCursorNotifier::characterDeleted#$
    {58, 319, 726},	// KTextEditor::SmartCursorNotifier::characterInserted#$
    {58, 443, 727},	// KTextEditor::SmartCursorNotifier::deleted#
    {58, 677, 713},	// KTextEditor::SmartCursorNotifier::metaObject
    {58, 760, 723},	// KTextEditor::SmartCursorNotifier::positionChanged#
    {58, 762, 724},	// KTextEditor::SmartCursorNotifier::positionDeleted#
    {58, 777, 719},	// KTextEditor::SmartCursorNotifier::qt_metacall$$?
    {58, 779, 714},	// KTextEditor::SmartCursorNotifier::qt_metacast$
    {58, 990, 722},	// KTextEditor::SmartCursorNotifier::setWantsDirectChanges$
    {58, 1021, 730},	// KTextEditor::SmartCursorNotifier::staticMetaObject
    {58, 1053, 728},	// KTextEditor::SmartCursorNotifier::tr$
    {58, 1054, 715},	// KTextEditor::SmartCursorNotifier::tr$$
    {58, 1055, 717},	// KTextEditor::SmartCursorNotifier::tr$$$
    {58, 1057, 729},	// KTextEditor::SmartCursorNotifier::trUtf8$
    {58, 1058, 716},	// KTextEditor::SmartCursorNotifier::trUtf8$$
    {58, 1059, 718},	// KTextEditor::SmartCursorNotifier::trUtf8$$$
    {58, 1095, 721},	// KTextEditor::SmartCursorNotifier::wantsDirectChanges
    {58, 1148, 731},	// KTextEditor::SmartCursorNotifier::~SmartCursorNotifier
    {59, 205, 732},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher
    {59, 206, 740},	// KTextEditor::SmartCursorWatcher::SmartCursorWatcher#
    {59, 317, 737},	// KTextEditor::SmartCursorWatcher::characterDeleted#$
    {59, 319, 738},	// KTextEditor::SmartCursorWatcher::characterInserted#$
    {59, 443, 739},	// KTextEditor::SmartCursorWatcher::deleted#
    {59, 760, 735},	// KTextEditor::SmartCursorWatcher::positionChanged#
    {59, 762, 736},	// KTextEditor::SmartCursorWatcher::positionDeleted#
    {59, 990, 734},	// KTextEditor::SmartCursorWatcher::setWantsDirectChanges$
    {59, 1095, 733},	// KTextEditor::SmartCursorWatcher::wantsDirectChanges
    {59, 1149, 741},	// KTextEditor::SmartCursorWatcher::~SmartCursorWatcher
    {60, 207, 742},	// KTextEditor::SmartInterface::SmartInterface
    {60, 208, 780},	// KTextEditor::SmartInterface::SmartInterface#
    {60, 256, 770},	// KTextEditor::SmartInterface::addActionsToDocument#
    {60, 258, 774},	// KTextEditor::SmartInterface::addActionsToView##
    {60, 262, 795},	// KTextEditor::SmartInterface::addHighlightToDocument#
    {60, 263, 762},	// KTextEditor::SmartInterface::addHighlightToDocument#$
    {60, 265, 796},	// KTextEditor::SmartInterface::addHighlightToView##
    {60, 266, 766},	// KTextEditor::SmartInterface::addHighlightToView##$
    {60, 297, 778},	// KTextEditor::SmartInterface::attributeDynamic?
    {60, 299, 779},	// KTextEditor::SmartInterface::attributeNotDynamic?
    {60, 335, 773},	// KTextEditor::SmartInterface::clearDocumentActions
    {60, 336, 765},	// KTextEditor::SmartInterface::clearDocumentHighlights
    {60, 340, 745},	// KTextEditor::SmartInterface::clearOnDocumentReload
    {60, 341, 750},	// KTextEditor::SmartInterface::clearRevision
    {60, 342, 744},	// KTextEditor::SmartInterface::clearSmartInterface
    {60, 344, 777},	// KTextEditor::SmartInterface::clearViewActions#
    {60, 346, 769},	// KTextEditor::SmartInterface::clearViewHighlights#
    {60, 408, 747},	// KTextEditor::SmartInterface::currentRevision
    {60, 436, 755},	// KTextEditor::SmartInterface::deleteCursors
    {60, 439, 761},	// KTextEditor::SmartInterface::deleteRanges
    {60, 451, 772},	// KTextEditor::SmartInterface::documentActions
    {60, 455, 764},	// KTextEditor::SmartInterface::documentHighlights
    {60, 709, 783},	// KTextEditor::SmartInterface::newSmartCursor
    {60, 710, 784},	// KTextEditor::SmartInterface::newSmartCursor#
    {60, 711, 753},	// KTextEditor::SmartInterface::newSmartCursor#$
    {60, 712, 785},	// KTextEditor::SmartInterface::newSmartCursor$$
    {60, 713, 754},	// KTextEditor::SmartInterface::newSmartCursor$$$
    {60, 714, 786},	// KTextEditor::SmartInterface::newSmartRange
    {60, 715, 787},	// KTextEditor::SmartInterface::newSmartRange#
    {60, 716, -36},	// KTextEditor::SmartInterface::newSmartRange##
    {60, 717, -40},	// KTextEditor::SmartInterface::newSmartRange###
    {60, 718, -43},	// KTextEditor::SmartInterface::newSmartRange###$
    {60, 719, 756},	// KTextEditor::SmartInterface::newSmartRange##$
    {60, 720, 791},	// KTextEditor::SmartInterface::newSmartRange$$$$
    {60, 721, 792},	// KTextEditor::SmartInterface::newSmartRange$$$$#
    {60, 722, 758},	// KTextEditor::SmartInterface::newSmartRange$$$$#$
    {60, 811, 748},	// KTextEditor::SmartInterface::releaseRevision$
    {60, 813, 771},	// KTextEditor::SmartInterface::removeActionsFromDocument#
    {60, 815, 775},	// KTextEditor::SmartInterface::removeActionsFromView##
    {60, 820, 763},	// KTextEditor::SmartInterface::removeHighlightFromDocument#
    {60, 822, 767},	// KTextEditor::SmartInterface::removeHighlightFromView##
    {60, 886, 746},	// KTextEditor::SmartInterface::setClearOnDocumentReload$
    {60, 1011, 743},	// KTextEditor::SmartInterface::smartMutex
    {60, 1061, -46},	// KTextEditor::SmartInterface::translateFromRevision#
    {60, 1062, -49},	// KTextEditor::SmartInterface::translateFromRevision#$
    {60, 1065, 760},	// KTextEditor::SmartInterface::unbindSmartRange#
    {60, 1073, 749},	// KTextEditor::SmartInterface::useRevision$
    {60, 1081, 776},	// KTextEditor::SmartInterface::viewActions#
    {60, 1088, 768},	// KTextEditor::SmartInterface::viewHighlights#
    {60, 1150, 797},	// KTextEditor::SmartInterface::~SmartInterface
    {61, 64, 857},	// KTextEditor::SmartRange::DoNotExpand
    {61, 84, 858},	// KTextEditor::SmartRange::ExpandLeft
    {61, 85, 859},	// KTextEditor::SmartRange::ExpandRight
    {61, 210, 855},	// KTextEditor::SmartRange::SmartRange##
    {61, 211, 856},	// KTextEditor::SmartRange::SmartRange###
    {61, 212, 845},	// KTextEditor::SmartRange::SmartRange###$
    {61, 270, 837},	// KTextEditor::SmartRange::addNotifier#
    {61, 276, 841},	// KTextEditor::SmartRange::addWatcher#
    {61, 289, 831},	// KTextEditor::SmartRange::associateAction#
    {61, 290, 833},	// KTextEditor::SmartRange::associatedActions
    {61, 295, 829},	// KTextEditor::SmartRange::attribute
    {61, 320, 847},	// KTextEditor::SmartRange::checkFeedback
    {61, 322, 823},	// KTextEditor::SmartRange::childAfter#
    {61, 324, 822},	// KTextEditor::SmartRange::childBefore#
    {61, 330, 818},	// KTextEditor::SmartRange::childRanges
    {61, 332, 821},	// KTextEditor::SmartRange::clearAndDeleteChildRanges
    {61, 333, 834},	// KTextEditor::SmartRange::clearAssociatedActions
    {61, 334, 819},	// KTextEditor::SmartRange::clearChildRanges
    {61, 383, 805},	// KTextEditor::SmartRange::confineToRange#
    {61, 401, 848},	// KTextEditor::SmartRange::createNotifier
    {61, 424, 853},	// KTextEditor::SmartRange::deepestRangeContaining#
    {61, 425, 854},	// KTextEditor::SmartRange::deepestRangeContaining#?
    {61, 426, 826},	// KTextEditor::SmartRange::deepestRangeContaining#??
    {61, 428, 827},	// KTextEditor::SmartRange::deepestRangesContaining#
    {61, 435, 820},	// KTextEditor::SmartRange::deleteChildRanges
    {61, 438, 839},	// KTextEditor::SmartRange::deletePrimaryNotifier
    {61, 444, 816},	// KTextEditor::SmartRange::depth
    {61, 449, 832},	// KTextEditor::SmartRange::dissociateAction#
    {61, 450, 807},	// KTextEditor::SmartRange::document
    {61, 524, 806},	// KTextEditor::SmartRange::expandToRange#
    {61, 529, 825},	// KTextEditor::SmartRange::firstRangeContaining#
    {61, 553, 815},	// KTextEditor::SmartRange::hasParent#
    {61, 579, 811},	// KTextEditor::SmartRange::insertBehavior
    {61, 607, 798},	// KTextEditor::SmartRange::isSmartRange
    {61, 694, 824},	// KTextEditor::SmartRange::mostSpecificRange#
    {61, 724, 836},	// KTextEditor::SmartRange::notifiers
    {61, 734, -15},	// KTextEditor::SmartRange::operator=#
    {61, 739, 828},	// KTextEditor::SmartRange::overlapCount
    {61, 751, 813},	// KTextEditor::SmartRange::parentRange
    {61, 773, 835},	// KTextEditor::SmartRange::primaryNotifier
    {61, 787, 846},	// KTextEditor::SmartRange::rangeChanged##
    {61, 805, 849},	// KTextEditor::SmartRange::rebuildChildStructure
    {61, 828, 838},	// KTextEditor::SmartRange::removeNotifier#
    {61, 832, 852},	// KTextEditor::SmartRange::removeText
    {61, 835, 810},	// KTextEditor::SmartRange::removeText$
    {61, 839, 842},	// KTextEditor::SmartRange::removeWatcher#
    {61, 845, 851},	// KTextEditor::SmartRange::replaceText?
    {61, 846, 809},	// KTextEditor::SmartRange::replaceText?$
    {61, 874, 830},	// KTextEditor::SmartRange::setAttribute?
    {61, 918, 812},	// KTextEditor::SmartRange::setInsertBehavior$
    {61, 958, 814},	// KTextEditor::SmartRange::setParentRange#
    {61, 963, 800},	// KTextEditor::SmartRange::setRange#
    {61, 1010, -18},	// KTextEditor::SmartRange::smartEnd
    {61, 1013, -21},	// KTextEditor::SmartRange::smartStart
    {61, 1030, 850},	// KTextEditor::SmartRange::text
    {61, 1033, 808},	// KTextEditor::SmartRange::text$
    {61, 1049, 799},	// KTextEditor::SmartRange::toSmartRange
    {61, 1050, 817},	// KTextEditor::SmartRange::topParentRange
    {61, 1099, 840},	// KTextEditor::SmartRange::watchers
    {61, 1151, 860},	// KTextEditor::SmartRange::~SmartRange
    {62, 213, 868},	// KTextEditor::SmartRangeNotifier::SmartRangeNotifier
    {62, 309, 876},	// KTextEditor::SmartRangeNotifier::caretEnteredRange##
    {62, 311, 877},	// KTextEditor::SmartRangeNotifier::caretExitedRange##
    {62, 327, 881},	// KTextEditor::SmartRangeNotifier::childRangeInserted##
    {62, 329, 882},	// KTextEditor::SmartRangeNotifier::childRangeRemoved##
    {62, 677, 861},	// KTextEditor::SmartRangeNotifier::metaObject
    {62, 697, 874},	// KTextEditor::SmartRangeNotifier::mouseEnteredRange##
    {62, 699, 875},	// KTextEditor::SmartRangeNotifier::mouseExitedRange##
    {62, 753, 880},	// KTextEditor::SmartRangeNotifier::parentRangeChanged###
    {62, 777, 867},	// KTextEditor::SmartRangeNotifier::qt_metacall$$?
    {62, 779, 862},	// KTextEditor::SmartRangeNotifier::qt_metacast$
    {62, 785, 883},	// KTextEditor::SmartRangeNotifier::rangeAttributeChanged#??
    {62, 789, 872},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged#
    {62, 790, 873},	// KTextEditor::SmartRangeNotifier::rangeContentsChanged##
    {62, 792, 879},	// KTextEditor::SmartRangeNotifier::rangeDeleted#
    {62, 794, 878},	// KTextEditor::SmartRangeNotifier::rangeEliminated#
    {62, 796, 871},	// KTextEditor::SmartRangeNotifier::rangePositionChanged#
    {62, 990, 870},	// KTextEditor::SmartRangeNotifier::setWantsDirectChanges$
    {62, 1021, 886},	// KTextEditor::SmartRangeNotifier::staticMetaObject
    {62, 1053, 884},	// KTextEditor::SmartRangeNotifier::tr$
    {62, 1054, 863},	// KTextEditor::SmartRangeNotifier::tr$$
    {62, 1055, 865},	// KTextEditor::SmartRangeNotifier::tr$$$
    {62, 1057, 885},	// KTextEditor::SmartRangeNotifier::trUtf8$
    {62, 1058, 864},	// KTextEditor::SmartRangeNotifier::trUtf8$$
    {62, 1059, 866},	// KTextEditor::SmartRangeNotifier::trUtf8$$$
    {62, 1095, 869},	// KTextEditor::SmartRangeNotifier::wantsDirectChanges
    {62, 1152, 887},	// KTextEditor::SmartRangeNotifier::~SmartRangeNotifier
    {63, 214, 888},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher
    {63, 215, 904},	// KTextEditor::SmartRangeWatcher::SmartRangeWatcher#
    {63, 309, 896},	// KTextEditor::SmartRangeWatcher::caretEnteredRange##
    {63, 311, 897},	// KTextEditor::SmartRangeWatcher::caretExitedRange##
    {63, 327, 901},	// KTextEditor::SmartRangeWatcher::childRangeInserted##
    {63, 329, 902},	// KTextEditor::SmartRangeWatcher::childRangeRemoved##
    {63, 697, 894},	// KTextEditor::SmartRangeWatcher::mouseEnteredRange##
    {63, 699, 895},	// KTextEditor::SmartRangeWatcher::mouseExitedRange##
    {63, 753, 900},	// KTextEditor::SmartRangeWatcher::parentRangeChanged###
    {63, 785, 903},	// KTextEditor::SmartRangeWatcher::rangeAttributeChanged#??
    {63, 789, 892},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged#
    {63, 790, 893},	// KTextEditor::SmartRangeWatcher::rangeContentsChanged##
    {63, 792, 899},	// KTextEditor::SmartRangeWatcher::rangeDeleted#
    {63, 794, 898},	// KTextEditor::SmartRangeWatcher::rangeEliminated#
    {63, 796, 891},	// KTextEditor::SmartRangeWatcher::rangePositionChanged#
    {63, 990, 890},	// KTextEditor::SmartRangeWatcher::setWantsDirectChanges$
    {63, 1095, 889},	// KTextEditor::SmartRangeWatcher::wantsDirectChanges
    {63, 1153, 905},	// KTextEditor::SmartRangeWatcher::~SmartRangeWatcher
    {64, 124, 910},	// KTextEditor::TemplateInterface::KTE_INTERNAL_setupIntialValues$?
    {64, 222, 906},	// KTextEditor::TemplateInterface::TemplateInterface
    {64, 223, 911},	// KTextEditor::TemplateInterface::TemplateInterface#
    {64, 522, 907},	// KTextEditor::TemplateInterface::expandMacros?#
    {64, 587, 908},	// KTextEditor::TemplateInterface::insertTemplateText#$?
    {64, 589, 909},	// KTextEditor::TemplateInterface::insertTemplateTextImplementation#$?
    {64, 1154, 912},	// KTextEditor::TemplateInterface::~TemplateInterface
    {65, 224, 913},	// KTextEditor::TextHintInterface::TextHintInterface
    {65, 225, 917},	// KTextEditor::TextHintInterface::TextHintInterface#
    {65, 446, 915},	// KTextEditor::TextHintInterface::disableTextHints
    {65, 498, 914},	// KTextEditor::TextHintInterface::enableTextHints$
    {65, 708, 916},	// KTextEditor::TextHintInterface::needTextHint#$
    {65, 1155, 918},	// KTextEditor::TextHintInterface::~TextHintInterface
    {66, 231, 919},	// KTextEditor::VariableInterface::VariableInterface
    {66, 232, 922},	// KTextEditor::VariableInterface::VariableInterface#
    {66, 1075, 920},	// KTextEditor::VariableInterface::variable$
    {66, 1077, 921},	// KTextEditor::VariableInterface::variableChanged#$$
    {66, 1156, 923},	// KTextEditor::VariableInterface::~VariableInterface
    {67, 70, 973},	// KTextEditor::View::EditInsert
    {67, 71, 974},	// KTextEditor::View::EditOverwrite
    {67, 234, 931},	// KTextEditor::View::View#
    {67, 301, 965},	// KTextEditor::View::blockSelection
    {67, 392, 943},	// KTextEditor::View::contextMenu
    {67, 394, 945},	// KTextEditor::View::contextMenuAboutToShow##
    {67, 413, 947},	// KTextEditor::View::cursorPosition
    {67, 415, 951},	// KTextEditor::View::cursorPositionChanged##
    {67, 416, 950},	// KTextEditor::View::cursorPositionCoordinates
    {67, 417, 948},	// KTextEditor::View::cursorPositionVirtual
    {67, 419, 949},	// KTextEditor::View::cursorToCoordinate#
    {67, 429, 970},	// KTextEditor::View::defaultContextMenu
    {67, 430, 944},	// KTextEditor::View::defaultContextMenu#
    {67, 450, 932},	// KTextEditor::View::document
    {67, 534, 936},	// KTextEditor::View::focusIn#
    {67, 538, 937},	// KTextEditor::View::focusOut#
    {67, 571, 953},	// KTextEditor::View::horizontalScrollPositionChanged#
    {67, 576, 940},	// KTextEditor::View::informationMessage#$
    {67, 595, 967},	// KTextEditor::View::insertText$
    {67, 601, 933},	// KTextEditor::View::isActiveView
    {67, 677, 924},	// KTextEditor::View::metaObject
    {67, 702, 956},	// KTextEditor::View::mousePositionChanged##
    {67, 705, 954},	// KTextEditor::View::mouseTrackingEnabled
    {67, 777, 930},	// KTextEditor::View::qt_metacall$$?
    {67, 779, 925},	// KTextEditor::View::qt_metacast$
    {67, 830, 962},	// KTextEditor::View::removeSelection
    {67, 831, 963},	// KTextEditor::View::removeSelectionText
    {67, 862, 959},	// KTextEditor::View::selection
    {67, 864, 966},	// KTextEditor::View::selectionChanged#
    {67, 865, 960},	// KTextEditor::View::selectionRange
    {67, 866, 961},	// KTextEditor::View::selectionText
    {67, 880, 964},	// KTextEditor::View::setBlockSelection$
    {67, 895, 942},	// KTextEditor::View::setContextMenu#
    {67, 897, 946},	// KTextEditor::View::setCursorPosition#
    {67, 950, 955},	// KTextEditor::View::setMouseTrackingEnabled$
    {67, 974, 957},	// KTextEditor::View::setSelection#
    {67, 975, 971},	// KTextEditor::View::setSelection#$
    {67, 976, 958},	// KTextEditor::View::setSelection#$$
    {67, 1021, 972},	// KTextEditor::View::staticMetaObject
    {67, 1040, 941},	// KTextEditor::View::textInserted##$
    {67, 1053, 968},	// KTextEditor::View::tr$
    {67, 1054, 926},	// KTextEditor::View::tr$$
    {67, 1055, 928},	// KTextEditor::View::tr$$$
    {67, 1057, 969},	// KTextEditor::View::trUtf8$
    {67, 1058, 927},	// KTextEditor::View::trUtf8$$
    {67, 1059, 929},	// KTextEditor::View::trUtf8$$$
    {67, 1079, 952},	// KTextEditor::View::verticalScrollPositionChanged##
    {67, 1084, 935},	// KTextEditor::View::viewEditMode
    {67, 1086, 939},	// KTextEditor::View::viewEditModeChanged#$
    {67, 1089, 934},	// KTextEditor::View::viewMode
    {67, 1091, 938},	// KTextEditor::View::viewModeChanged#
    {67, 1157, 975},	// KTextEditor::View::~View
    {68, 25, 986},	// KTextEditor::ViewBarContainer::BottomBar
    {68, 127, 983},	// KTextEditor::ViewBarContainer::LeftBar
    {68, 185, 985},	// KTextEditor::ViewBarContainer::RightBar
    {68, 226, 984},	// KTextEditor::ViewBarContainer::TopBar
    {68, 235, 976},	// KTextEditor::ViewBarContainer::ViewBarContainer
    {68, 236, 982},	// KTextEditor::ViewBarContainer::ViewBarContainer#
    {68, 274, 978},	// KTextEditor::ViewBarContainer::addViewBarToLayout##$
    {68, 441, 981},	// KTextEditor::ViewBarContainer::deleteViewBarForView#$
    {68, 544, 977},	// KTextEditor::ViewBarContainer::getViewBarParent#$
    {68, 560, 980},	// KTextEditor::ViewBarContainer::hideViewBarForView#$
    {68, 1005, 979},	// KTextEditor::ViewBarContainer::showViewBarForView#$
    {68, 1158, 987},	// KTextEditor::ViewBarContainer::~ViewBarContainer
    {89, 105, 1053},	// QGlobalSpace::KST_CTimeInfo
    {89, 106, 1041},	// QGlobalSpace::KST_KCustom
    {89, 107, 1036},	// QGlobalSpace::KST_KDEDesktopMimeType
    {89, 108, 1035},	// QGlobalSpace::KST_KFolderMimeType
    {89, 109, 1050},	// QGlobalSpace::KST_KImageIO
    {89, 110, 1038},	// QGlobalSpace::KST_KImageIOFormat
    {89, 111, 1034},	// QGlobalSpace::KST_KMimeType
    {89, 112, 1052},	// QGlobalSpace::KST_KMimeTypeFactory
    {89, 113, 1039},	// QGlobalSpace::KST_KProtocolInfo
    {89, 114, 1051},	// QGlobalSpace::KST_KProtocolInfoFactory
    {89, 115, 1032},	// QGlobalSpace::KST_KService
    {89, 116, 1047},	// QGlobalSpace::KST_KServiceFactory
    {89, 117, 1037},	// QGlobalSpace::KST_KServiceGroup
    {89, 118, 1049},	// QGlobalSpace::KST_KServiceGroupFactory
    {89, 119, 1040},	// QGlobalSpace::KST_KServiceSeparator
    {89, 120, 1033},	// QGlobalSpace::KST_KServiceType
    {89, 121, 1048},	// QGlobalSpace::KST_KServiceTypeFactory
    {89, 122, 1031},	// QGlobalSpace::KST_KSycocaEntry
    {89, 167, 1026},	// QGlobalSpace::Q_COMPLEX_TYPE
    {89, 168, 1030},	// QGlobalSpace::Q_DUMMY_TYPE
    {89, 169, 1029},	// QGlobalSpace::Q_MOVABLE_TYPE
    {89, 170, 1027},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {89, 171, 1028},	// QGlobalSpace::Q_STATIC_TYPE
    {89, 172, 1044},	// QGlobalSpace::QtCriticalMsg
    {89, 173, 1042},	// QGlobalSpace::QtDebugMsg
    {89, 174, 1045},	// QGlobalSpace::QtFatalMsg
    {89, 175, 1046},	// QGlobalSpace::QtSystemMsg
    {89, 176, 1043},	// QGlobalSpace::QtWarningMsg
    {89, 239, 1056},	// QGlobalSpace::__codecvt_error
    {89, 240, 1057},	// QGlobalSpace::__codecvt_noconv
    {89, 241, 1054},	// QGlobalSpace::__codecvt_ok
    {89, 242, 1055},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kparts_Smoke();

static bool initialized = false;
Smoke *ktexteditor_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_ktexteditor_Smoke() {
    init_kparts_Smoke();
    if (initialized) return;
    ktexteditor_Smoke = new Smoke(
        "ktexteditor",
        __smokektexteditor::classes, 118,
        __smokektexteditor::methods, 1108,
        __smokektexteditor::methodMaps, 969,
        __smokektexteditor::methodNames, 1158,
        __smokektexteditor::types, 327,
        __smokektexteditor::inheritanceList,
        __smokektexteditor::argumentList,
        __smokektexteditor::ambiguousMethodList,
        __smokektexteditor::cast );
    initialized = true;
}

void delete_ktexteditor_Smoke() { delete ktexteditor_Smoke; }

}
