#include <kutils_includes.h>

#include <smoke.h>
#include <kutils_smoke.h>

namespace __smokekutils {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KCModule
      switch(to) {
        case 95: return (void*)(QWidget*)(KCModule*)xptr;
        case 64: return (void*)(QObject*)(KCModule*)xptr;
        case 2: return (void*)(KCModule*)xptr;
        case 3: return (void*)(KCModuleContainer*)(KCModule*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)(KCModule*)xptr;
        default: return xptr;
      }
    case 3:   //KCModuleContainer
      switch(to) {
        case 2: return (void*)(KCModule*)(KCModuleContainer*)xptr;
        case 95: return (void*)(QWidget*)(KCModuleContainer*)xptr;
        case 64: return (void*)(QObject*)(KCModuleContainer*)xptr;
        case 3: return (void*)(KCModuleContainer*)xptr;
        default: return xptr;
      }
    case 4:   //KCModuleInfo
      switch(to) {
        case 4: return (void*)(KCModuleInfo*)xptr;
        default: return xptr;
      }
    case 5:   //KCModuleProxy
      switch(to) {
        case 95: return (void*)(QWidget*)(KCModuleProxy*)xptr;
        case 64: return (void*)(QObject*)(KCModuleProxy*)xptr;
        case 5: return (void*)(KCModuleProxy*)xptr;
        default: return xptr;
      }
    case 6:   //KCMultiDialog
      switch(to) {
        case 17: return (void*)(KPageDialog*)(KCMultiDialog*)xptr;
        case 10: return (void*)(KDialog*)(KCMultiDialog*)xptr;
        case 39: return (void*)(QDialog*)(KCMultiDialog*)xptr;
        case 95: return (void*)(QWidget*)(KCMultiDialog*)xptr;
        case 64: return (void*)(QObject*)(KCMultiDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(KCMultiDialog*)xptr;
        default: return xptr;
      }
    case 7:   //KCMultiDialogPrivate
      switch(to) {
        case 7: return (void*)(KCMultiDialogPrivate*)xptr;
        default: return xptr;
      }
    case 8:   //KCharsets
      switch(to) {
        case 8: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 9:   //KComponentData
      switch(to) {
        case 9: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 10:   //KDialog
      switch(to) {
        case 39: return (void*)(QDialog*)(KDialog*)xptr;
        case 95: return (void*)(QWidget*)(KDialog*)xptr;
        case 64: return (void*)(QObject*)(KDialog*)xptr;
        case 10: return (void*)(KDialog*)xptr;
        case 21: return (void*)(KPrintPreview*)(KDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)(KDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 11:   //KEmoticons
      switch(to) {
        case 64: return (void*)(QObject*)(KEmoticons*)xptr;
        case 11: return (void*)(KEmoticons*)xptr;
        default: return xptr;
      }
    case 12:   //KEmoticonsProvider
      switch(to) {
        case 64: return (void*)(QObject*)(KEmoticonsProvider*)xptr;
        case 12: return (void*)(KEmoticonsProvider*)xptr;
        default: return xptr;
      }
    case 13:   //KEmoticonsTheme
      switch(to) {
        case 13: return (void*)(KEmoticonsTheme*)xptr;
        default: return xptr;
      }
    case 14:   //KIdleTime
      switch(to) {
        case 64: return (void*)(QObject*)(KIdleTime*)xptr;
        case 14: return (void*)(KIdleTime*)xptr;
        default: return xptr;
      }
    case 15:   //KLocale
      switch(to) {
        case 15: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 16:   //KLocalizedString
      switch(to) {
        case 16: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 17:   //KPageDialog
      switch(to) {
        case 10: return (void*)(KDialog*)(KPageDialog*)xptr;
        case 39: return (void*)(QDialog*)(KPageDialog*)xptr;
        case 95: return (void*)(QWidget*)(KPageDialog*)xptr;
        case 64: return (void*)(QObject*)(KPageDialog*)xptr;
        case 17: return (void*)(KPageDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)(KPageDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(KPageDialog*)xptr;
        default: return xptr;
      }
    case 18:   //KPageWidget
      switch(to) {
        case 95: return (void*)(QWidget*)(KPageWidget*)xptr;
        case 64: return (void*)(QObject*)(KPageWidget*)xptr;
        case 18: return (void*)(KPageWidget*)xptr;
        default: return xptr;
      }
    case 19:   //KPageWidgetItem
      switch(to) {
        case 64: return (void*)(QObject*)(KPageWidgetItem*)xptr;
        case 19: return (void*)(KPageWidgetItem*)xptr;
        default: return xptr;
      }
    case 20:   //KPluginSelector
      switch(to) {
        case 95: return (void*)(QWidget*)(KPluginSelector*)xptr;
        case 64: return (void*)(QObject*)(KPluginSelector*)xptr;
        case 20: return (void*)(KPluginSelector*)xptr;
        default: return xptr;
      }
    case 21:   //KPrintPreview
      switch(to) {
        case 10: return (void*)(KDialog*)(KPrintPreview*)xptr;
        case 39: return (void*)(QDialog*)(KPrintPreview*)xptr;
        case 95: return (void*)(QWidget*)(KPrintPreview*)xptr;
        case 64: return (void*)(QObject*)(KPrintPreview*)xptr;
        case 21: return (void*)(KPrintPreview*)xptr;
        default: return xptr;
      }
    case 22:   //KServiceAction
      switch(to) {
        case 22: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 23:   //KSettings::Dialog
      switch(to) {
        case 6: return (void*)(KCMultiDialog*)(KSettings::Dialog*)xptr;
        case 17: return (void*)(KPageDialog*)(KSettings::Dialog*)xptr;
        case 10: return (void*)(KDialog*)(KSettings::Dialog*)xptr;
        case 39: return (void*)(QDialog*)(KSettings::Dialog*)xptr;
        case 95: return (void*)(QWidget*)(KSettings::Dialog*)xptr;
        case 64: return (void*)(QObject*)(KSettings::Dialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)xptr;
        default: return xptr;
      }
    case 24:   //KSettings::PluginPage
      switch(to) {
        case 2: return (void*)(KCModule*)(KSettings::PluginPage*)xptr;
        case 95: return (void*)(QWidget*)(KSettings::PluginPage*)xptr;
        case 64: return (void*)(QObject*)(KSettings::PluginPage*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)xptr;
        default: return xptr;
      }
    case 25:   //KStandardDirs
      switch(to) {
        case 25: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 26:   //QActionEvent
      switch(to) {
        case 26: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 27:   //QBool
      switch(to) {
        case 27: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 28:   //QBrush
      switch(to) {
        case 28: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 29:   //QByteArray
      switch(to) {
        case 29: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 30:   //QChar
      switch(to) {
        case 30: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 31:   //QChildEvent
      switch(to) {
        case 31: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QCloseEvent
      switch(to) {
        case 32: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QColor
      switch(to) {
        case 33: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 34:   //QContextMenuEvent
      switch(to) {
        case 34: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QCursor
      switch(to) {
        case 35: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 36:   //QDataStream
      switch(to) {
        case 36: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 37:   //QDate
      switch(to) {
        case 37: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 38:   //QDateTime
      switch(to) {
        case 38: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 39:   //QDialog
      switch(to) {
        case 95: return (void*)(QWidget*)(QDialog*)xptr;
        case 64: return (void*)(QObject*)(QDialog*)xptr;
        case 39: return (void*)(QDialog*)xptr;
        case 21: return (void*)(KPrintPreview*)(QDialog*)xptr;
        case 6: return (void*)(KCMultiDialog*)(QDialog*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 40:   //QDragEnterEvent
      switch(to) {
        case 40: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDragLeaveEvent
      switch(to) {
        case 41: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDragMoveEvent
      switch(to) {
        case 42: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 43:   //QDropEvent
      switch(to) {
        case 43: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QEvent
      switch(to) {
        case 44: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QFocusEvent
      switch(to) {
        case 45: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QFont
      switch(to) {
        case 46: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 48:   //QHashDummyValue
      switch(to) {
        case 48: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 49:   //QHideEvent
      switch(to) {
        case 49: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QIcon
      switch(to) {
        case 50: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 51:   //QImage
      switch(to) {
        case 51: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 52:   //QIncompatibleFlag
      switch(to) {
        case 52: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 53:   //QInputMethodEvent
      switch(to) {
        case 53: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QKeyEvent
      switch(to) {
        case 54: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QKeySequence
      switch(to) {
        case 55: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 56:   //QLatin1String
      switch(to) {
        case 56: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 57:   //QLine
      switch(to) {
        case 57: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 58:   //QLineF
      switch(to) {
        case 58: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 59:   //QMargins
      switch(to) {
        case 59: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 60:   //QMatrix
      switch(to) {
        case 60: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 61:   //QMetaObject
      switch(to) {
        case 61: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 62:   //QMouseEvent
      switch(to) {
        case 62: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 63:   //QMoveEvent
      switch(to) {
        case 63: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QObject
      switch(to) {
        case 64: return (void*)(QObject*)xptr;
        case 14: return (void*)(KIdleTime*)(QObject*)xptr;
        case 21: return (void*)(KPrintPreview*)(QObject*)xptr;
        case 6: return (void*)(KCMultiDialog*)(QObject*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(QObject*)xptr;
        case 5: return (void*)(KCModuleProxy*)(QObject*)xptr;
        case 12: return (void*)(KEmoticonsProvider*)(QObject*)xptr;
        case 3: return (void*)(KCModuleContainer*)(QObject*)xptr;
        case 11: return (void*)(KEmoticons*)(QObject*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)(QObject*)xptr;
        case 20: return (void*)(KPluginSelector*)(QObject*)xptr;
        default: return xptr;
      }
    case 65:   //QPaintEngine
      switch(to) {
        case 65: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 66:   //QPaintEvent
      switch(to) {
        case 66: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QPainterPath
      switch(to) {
        case 67: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 68:   //QPalette
      switch(to) {
        case 68: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 69:   //QPixmap
      switch(to) {
        case 69: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 70:   //QPoint
      switch(to) {
        case 70: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 71:   //QPointF
      switch(to) {
        case 71: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 72:   //QPolygon
      switch(to) {
        case 72: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 73:   //QPolygonF
      switch(to) {
        case 73: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 74:   //QPrinter
      switch(to) {
        case 74: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 75:   //QRect
      switch(to) {
        case 75: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 76:   //QRectF
      switch(to) {
        case 76: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 77:   //QRegExp
      switch(to) {
        case 77: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 78:   //QRegion
      switch(to) {
        case 78: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 79:   //QResizeEvent
      switch(to) {
        case 79: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 80:   //QShowEvent
      switch(to) {
        case 80: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QSize
      switch(to) {
        case 81: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 82:   //QSizeF
      switch(to) {
        case 82: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 83:   //QSizePolicy
      switch(to) {
        case 83: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 84:   //QString::Null
      switch(to) {
        case 84: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 85:   //QStringRef
      switch(to) {
        case 85: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 86:   //QStyle
      switch(to) {
        case 86: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QTabletEvent
      switch(to) {
        case 87: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 88:   //QTime
      switch(to) {
        case 88: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 89:   //QTimerEvent
      switch(to) {
        case 89: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 90:   //QTransform
      switch(to) {
        case 90: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 91:   //QUrl
      switch(to) {
        case 91: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 92:   //QVariant
      switch(to) {
        case 92: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 93:   //QVariantComparisonHelper
      switch(to) {
        case 93: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 94:   //QWheelEvent
      switch(to) {
        case 94: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 95:   //QWidget
      switch(to) {
        case 64: return (void*)(QObject*)(QWidget*)xptr;
        case 95: return (void*)(QWidget*)xptr;
        case 21: return (void*)(KPrintPreview*)(QWidget*)xptr;
        case 6: return (void*)(KCMultiDialog*)(QWidget*)xptr;
        case 23: return (void*)(KSettings::Dialog*)(QWidget*)xptr;
        case 5: return (void*)(KCModuleProxy*)(QWidget*)xptr;
        case 3: return (void*)(KCModuleContainer*)(QWidget*)xptr;
        case 24: return (void*)(KSettings::PluginPage*)(QWidget*)xptr;
        case 20: return (void*)(KPluginSelector*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    2, 0,	// 1: KCModule
    95, 0,	// 3: QWidget
    17, 0,	// 5: KPageDialog
    64, 0,	// 7: QObject
    10, 0,	// 9: KDialog
    6, 0,	// 11: KCMultiDialog
};

// These are the xenum functions for manipulating enum pointers
void xenum_KEmoticonsProvider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KPluginSelector(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KCModuleContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KCModuleProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_KCMultiDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KEmoticons(Smoke::Index, void*, Smoke::Stack);
void xcall_KEmoticonsProvider(Smoke::Index, void*, Smoke::Stack);
void xcall_KIdleTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginSelector(Smoke::Index, void*, Smoke::Stack);
void xcall_KPrintPreview(Smoke::Index, void*, Smoke::Stack);
void xcall_KSettings__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KSettings__PluginPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", true, 0, 0, 0, 0, 0 },	//1
    { "KCModule", true, 0, 0, 0, 0, 0 },	//2
    { "KCModuleContainer", false, 1, xcall_KCModuleContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCModuleContainer) },	//3
    { "KCModuleInfo", true, 0, 0, 0, 0, 0 },	//4
    { "KCModuleProxy", false, 3, xcall_KCModuleProxy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCModuleProxy) },	//5
    { "KCMultiDialog", false, 5, xcall_KCMultiDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCMultiDialog) },	//6
    { "KCMultiDialogPrivate", true, 0, 0, 0, 0, 0 },	//7
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//8
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//9
    { "KDialog", true, 0, 0, 0, 0, 0 },	//10
    { "KEmoticons", false, 7, xcall_KEmoticons, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KEmoticons) },	//11
    { "KEmoticonsProvider", false, 7, xcall_KEmoticonsProvider, xenum_KEmoticonsProvider, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KEmoticonsProvider) },	//12
    { "KEmoticonsTheme", true, 0, 0, 0, 0, 0 },	//13
    { "KIdleTime", false, 7, xcall_KIdleTime, 0, Smoke::cf_virtual, sizeof(KIdleTime) },	//14
    { "KLocale", true, 0, 0, 0, 0, 0 },	//15
    { "KLocalizedString", true, 0, 0, 0, 0, 0 },	//16
    { "KPageDialog", true, 0, 0, 0, 0, 0 },	//17
    { "KPageWidget", true, 0, 0, 0, 0, 0 },	//18
    { "KPageWidgetItem", true, 0, 0, 0, 0, 0 },	//19
    { "KPluginSelector", false, 3, xcall_KPluginSelector, xenum_KPluginSelector, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginSelector) },	//20
    { "KPrintPreview", false, 9, xcall_KPrintPreview, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPrintPreview) },	//21
    { "KServiceAction", true, 0, 0, 0, 0, 0 },	//22
    { "KSettings::Dialog", false, 11, xcall_KSettings__Dialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSettings::Dialog) },	//23
    { "KSettings::PluginPage", false, 1, xcall_KSettings__PluginPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSettings::PluginPage) },	//24
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//25
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//26
    { "QBool", true, 0, 0, 0, 0, 0 },	//27
    { "QBrush", true, 0, 0, 0, 0, 0 },	//28
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//29
    { "QChar", true, 0, 0, 0, 0, 0 },	//30
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QColor", true, 0, 0, 0, 0, 0 },	//33
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QCursor", true, 0, 0, 0, 0, 0 },	//35
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//36
    { "QDate", true, 0, 0, 0, 0, 0 },	//37
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//38
    { "QDialog", true, 0, 0, 0, 0, 0 },	//39
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//42
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QFont", true, 0, 0, 0, 0, 0 },	//46
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//47
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//48
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QIcon", true, 0, 0, 0, 0, 0 },	//50
    { "QImage", true, 0, 0, 0, 0, 0 },	//51
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//52
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//55
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//56
    { "QLine", true, 0, 0, 0, 0, 0 },	//57
    { "QLineF", true, 0, 0, 0, 0, 0 },	//58
    { "QMargins", true, 0, 0, 0, 0, 0 },	//59
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//60
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//61
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//62
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QObject", true, 0, 0, 0, 0, 0 },	//64
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//65
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//67
    { "QPalette", true, 0, 0, 0, 0, 0 },	//68
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//69
    { "QPoint", true, 0, 0, 0, 0, 0 },	//70
    { "QPointF", true, 0, 0, 0, 0, 0 },	//71
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//72
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//73
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//74
    { "QRect", true, 0, 0, 0, 0, 0 },	//75
    { "QRectF", true, 0, 0, 0, 0, 0 },	//76
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//77
    { "QRegion", true, 0, 0, 0, 0, 0 },	//78
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//79
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QSize", true, 0, 0, 0, 0, 0 },	//81
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//82
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//83
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//84
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//85
    { "QStyle", true, 0, 0, 0, 0, 0 },	//86
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//87
    { "QTime", true, 0, 0, 0, 0, 0 },	//88
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//89
    { "QTransform", true, 0, 0, 0, 0, 0 },	//90
    { "QUrl", true, 0, 0, 0, 0, 0 },	//91
    { "QVariant", true, 0, 0, 0, 0, 0 },	//92
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//93
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//94
    { "QWidget", true, 0, 0, 0, 0, 0 },	//95
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCModule*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCModule::Button", 2, Smoke::t_enum|Smoke::tf_stack },	//2
    { "KCModuleContainer*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KCModuleInfo", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "KCModuleLoader::ErrorReporting", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KCModuleProxy*", 5, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KCMultiDialog*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KCMultiDialogPrivate&", 7, Smoke::t_class|Smoke::tf_ref },	//8
    { "KCharsets*", 8, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KComponentData", 9, Smoke::t_class|Smoke::tf_stack },	//10
    { "KConfig::OpenFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KConfigBase::WriteConfigFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "KDialog::ButtonCode", 10, Smoke::t_enum|Smoke::tf_stack },	//13
    { "KDialog::CaptionFlag", 10, Smoke::t_enum|Smoke::tf_stack },	//14
    { "KEmoticons*", 11, Smoke::t_class|Smoke::tf_ptr },	//15
    { "KEmoticonsProvider*", 12, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KEmoticonsProvider::AddEmoticonOption", 12, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KEmoticonsTheme", 13, Smoke::t_class|Smoke::tf_stack },	//18
    { "KEmoticonsTheme::ParseModeEnum", 13, Smoke::t_enum|Smoke::tf_stack },	//19
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//22
    { "KIdleTime*", 14, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KLocale*", 15, Smoke::t_class|Smoke::tf_ptr },	//24
    { "KLocale::DateTimeFormatOption", 15, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KLocale::TimeFormatOption", 15, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KLocale::TimeProcessingOption", 15, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KLocalizedString", 16, Smoke::t_class|Smoke::tf_stack },	//28
    { "KPageWidget*", 18, Smoke::t_class|Smoke::tf_ptr },	//29
    { "KPageWidgetItem*", 19, Smoke::t_class|Smoke::tf_ptr },	//30
    { "KPluginSelector*", 20, Smoke::t_class|Smoke::tf_ptr },	//31
    { "KPluginSelector::PluginLoadMethod", 20, Smoke::t_enum|Smoke::tf_stack },	//32
    { "KPrintPreview*", 21, Smoke::t_class|Smoke::tf_ptr },	//33
    { "KServiceAction&", 22, Smoke::t_class|Smoke::tf_ref },	//34
    { "KSettings::Dialog*", 23, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KSettings::PluginPage*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "KStandardDirs*", 25, Smoke::t_class|Smoke::tf_ptr },	//38
    { "KSycocaFactoryId", 47, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KSycocaType", 47, Smoke::t_enum|Smoke::tf_stack },	//40
    { "KUrl::CleanPathOption", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "KUrl::DirectoryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KUrl::EncodedPathAndQueryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KUrl::EqualsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "KUrl::QueryItemsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QActionEvent*", 26, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QBool", 27, Smoke::t_class|Smoke::tf_stack },	//47
    { "QBrush&", 28, Smoke::t_class|Smoke::tf_ref },	//48
    { "QByteArray&", 29, Smoke::t_class|Smoke::tf_ref },	//49
    { "QChar", 30, Smoke::t_class|Smoke::tf_stack },	//50
    { "QChar&", 30, Smoke::t_class|Smoke::tf_ref },	//51
    { "QChildEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QCloseEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QColor&", 33, Smoke::t_class|Smoke::tf_ref },	//54
    { "QContextMenuEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QCursor&", 35, Smoke::t_class|Smoke::tf_ref },	//56
    { "QDataStream&", 36, Smoke::t_class|Smoke::tf_ref },	//57
    { "QDate&", 37, Smoke::t_class|Smoke::tf_ref },	//58
    { "QDateTime&", 38, Smoke::t_class|Smoke::tf_ref },	//59
    { "QDragEnterEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QDragLeaveEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDragMoveEvent*", 42, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDropEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QFlags<KCModule::Button>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<KDialog::ButtonCode>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<KDialog::CaptionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<KEmoticonsTheme::ParseModeEnum>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<KLocale::DateTimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<KLocale::TimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<KLocale::TimeProcessingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFocusEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QFont&", 46, Smoke::t_class|Smoke::tf_ref },	//102
    { "QHash<QChar,QList<Emoticon> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//103
    { "QHash<QString,QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QHash<int,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QHideEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QIcon&", 50, Smoke::t_class|Smoke::tf_ref },	//108
    { "QImage&", 51, Smoke::t_class|Smoke::tf_ref },	//109
    { "QIncompatibleFlag", 52, Smoke::t_class|Smoke::tf_stack },	//110
    { "QInputMethodEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QKeyEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//112
    { "QKeySequence&", 55, Smoke::t_class|Smoke::tf_ref },	//113
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QLine", 57, Smoke::t_class|Smoke::tf_stack },	//115
    { "QLine&", 57, Smoke::t_class|Smoke::tf_ref },	//116
    { "QLineF", 58, Smoke::t_class|Smoke::tf_stack },	//117
    { "QLineF&", 58, Smoke::t_class|Smoke::tf_ref },	//118
    { "QList<KCModuleProxy*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//119
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QList<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//121
    { "QMatrix&", 60, Smoke::t_class|Smoke::tf_ref },	//122
    { "QMetaObject::Call", 61, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QMouseEvent*", 62, Smoke::t_class|Smoke::tf_ptr },	//124
    { "QMoveEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QObject*", 64, Smoke::t_class|Smoke::tf_ptr },	//126
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QPaintEngine*", 65, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QPaintEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QPainterPath", 67, Smoke::t_class|Smoke::tf_stack },	//130
    { "QPainterPath&", 67, Smoke::t_class|Smoke::tf_ref },	//131
    { "QPalette&", 68, Smoke::t_class|Smoke::tf_ref },	//132
    { "QPixmap&", 69, Smoke::t_class|Smoke::tf_ref },	//133
    { "QPoint", 70, Smoke::t_class|Smoke::tf_stack },	//134
    { "QPoint&", 70, Smoke::t_class|Smoke::tf_ref },	//135
    { "QPointF", 71, Smoke::t_class|Smoke::tf_stack },	//136
    { "QPointF&", 71, Smoke::t_class|Smoke::tf_ref },	//137
    { "QPolygon", 72, Smoke::t_class|Smoke::tf_stack },	//138
    { "QPolygon&", 72, Smoke::t_class|Smoke::tf_ref },	//139
    { "QPolygonF", 73, Smoke::t_class|Smoke::tf_stack },	//140
    { "QPolygonF&", 73, Smoke::t_class|Smoke::tf_ref },	//141
    { "QPrinter*", 74, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QRect&", 75, Smoke::t_class|Smoke::tf_ref },	//143
    { "QRectF&", 76, Smoke::t_class|Smoke::tf_ref },	//144
    { "QRegExp&", 77, Smoke::t_class|Smoke::tf_ref },	//145
    { "QRegion", 78, Smoke::t_class|Smoke::tf_stack },	//146
    { "QRegion&", 78, Smoke::t_class|Smoke::tf_ref },	//147
    { "QResizeEvent*", 79, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QShowEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QSize", 81, Smoke::t_class|Smoke::tf_stack },	//150
    { "QSize&", 81, Smoke::t_class|Smoke::tf_ref },	//151
    { "QSizeF&", 82, Smoke::t_class|Smoke::tf_ref },	//152
    { "QSizePolicy&", 83, Smoke::t_class|Smoke::tf_ref },	//153
    { "QSizePolicy::ControlType", 83, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//155
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//156
    { "QString::Null", 84, Smoke::t_class|Smoke::tf_stack },	//157
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//159
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//160
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//161
    { "QStyle&", 86, Smoke::t_class|Smoke::tf_ref },	//162
    { "QTabletEvent*", 87, Smoke::t_class|Smoke::tf_ptr },	//163
    { "QTime&", 88, Smoke::t_class|Smoke::tf_ref },	//164
    { "QTimerEvent*", 89, Smoke::t_class|Smoke::tf_ptr },	//165
    { "QTransform", 90, Smoke::t_class|Smoke::tf_stack },	//166
    { "QTransform&", 90, Smoke::t_class|Smoke::tf_ref },	//167
    { "QUrl&", 91, Smoke::t_class|Smoke::tf_ref },	//168
    { "QUrl::FormattingOption", 91, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QVariant", 92, Smoke::t_class|Smoke::tf_stack },	//170
    { "QVariant&", 92, Smoke::t_class|Smoke::tf_ref },	//171
    { "QVariant::Type&", 92, Smoke::t_enum|Smoke::tf_ref },	//172
    { "QWheelEvent*", 94, Smoke::t_class|Smoke::tf_ptr },	//173
    { "QWidget*", 95, Smoke::t_class|Smoke::tf_ptr },	//174
    { "QWidget::RenderFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QtMsgType", 47, Smoke::t_enum|Smoke::tf_stack },	//247
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//248
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//249
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//250
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//251
    { "const KCModuleInfo&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const KComponentData&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const KEmoticonsTheme&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const KServiceAction&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const KSharedPtr<KService>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const KSharedPtr<KSharedConfig>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QBrush&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QByteArray", 29, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//259
    { "const QByteArray&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QChar&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QColor&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QCursor&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QDate&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QDateTime&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QFont&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QHashDummyValue&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QIcon&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QImage&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QKeySequence&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QLatin1String&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QLine&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QLineF&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QList<KCModuleProxy*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const QList<KPluginInfo>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//276
    { "const QMargins&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QMatrix&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QMetaObject&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QMetaObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//280
    { "const QObject*", 64, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//281
    { "const QPainterPath&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const QPalette&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QPixmap&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const QPoint", 70, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//285
    { "const QPoint&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QPointF", 71, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//287
    { "const QPointF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QPolygon&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QPolygonF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QRect&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QRectF&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QRegExp&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QRegion&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QSize", 81, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//295
    { "const QSize&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QSizeF", 82, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//297
    { "const QSizeF&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QSizePolicy&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//300
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//303
    { "const QStringRef&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QTime&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QTransform&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QUrl&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QVariant&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QVariant::Type", 92, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//309
    { "const QVariantComparisonHelper&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//311
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//312
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//313
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//314
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//315
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//316
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//317
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//318
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//319
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    149, 0,	//1  QShowEvent*
    311, 0,	//3  const char*
    311, 311, 0,	//5  const char*, const char*
    311, 311, 314, 0,	//8  const char*, const char*, int
    123, 314, 318, 0,	//12  QMetaObject::Call, int, void**
    174, 302, 0,	//16  QWidget*, const QStringList&
    174, 301, 0,	//19  QWidget*, const QString&
    301, 0,	//22  const QString&
    174, 0,	//24  QWidget*
    274, 0,	//26  const QList<KCModuleProxy*>&
    252, 174, 302, 0,	//28  const KCModuleInfo&, QWidget*, const QStringList&
    301, 174, 302, 0,	//32  const QString&, QWidget*, const QStringList&
    256, 174, 302, 0,	//36  const KSharedPtr<KService>&, QWidget*, const QStringList&
    249, 0,	//40  bool
    6, 0,	//42  KCModuleProxy*
    252, 0,	//44  const KCModuleInfo&
    252, 174, 0,	//46  const KCModuleInfo&, QWidget*
    301, 174, 0,	//49  const QString&, QWidget*
    256, 0,	//52  const KSharedPtr<KService>&
    256, 174, 0,	//54  const KSharedPtr<KService>&, QWidget*
    301, 302, 0,	//57  const QString&, const QStringList&
    252, 30, 302, 0,	//60  const KCModuleInfo&, KPageWidgetItem*, const QStringList&
    260, 0,	//64  const QByteArray&
    29, 174, 100, 0,	//66  KPageWidget*, QWidget*, QFlags<Qt::WindowType>
    8, 29, 174, 100, 0,	//70  KCMultiDialogPrivate&, KPageWidget*, QWidget*, QFlags<Qt::WindowType>
    252, 30, 0,	//75  const KCModuleInfo&, KPageWidgetItem*
    29, 174, 0,	//78  KPageWidget*, QWidget*
    8, 29, 174, 0,	//81  KCMultiDialogPrivate&, KPageWidget*, QWidget*
    301, 249, 0,	//85  const QString&, bool
    106, 0,	//88  QHideEvent*
    53, 0,	//90  QCloseEvent*
    112, 0,	//92  QKeyEvent*
    314, 0,	//94  int
    254, 0,	//96  const KEmoticonsTheme&
    301, 256, 0,	//98  const QString&, const KSharedPtr<KService>&
    70, 0,	//101  QFlags<KEmoticonsTheme::ParseModeEnum>
    126, 0,	//103  QObject*
    301, 301, 17, 0,	//105  const QString&, const QString&, KEmoticonsProvider::AddEmoticonOption
    155, 159, 0,	//109  QString, QStringList
    155, 0,	//112  QString
    301, 301, 0,	//114  const QString&, const QString&
    314, 314, 0,	//117  int, int
    301, 301, 301, 37, 0,	//120  const QString&, const QString&, const QString&, KSharedPtr<KSharedConfig>
    253, 301, 301, 257, 0,	//125  const KComponentData&, const QString&, const QString&, const KSharedPtr<KSharedConfig>&
    275, 32, 301, 301, 257, 0,	//130  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&
    301, 301, 301, 0,	//136  const QString&, const QString&, const QString&
    253, 0,	//140  const KComponentData&
    253, 301, 0,	//142  const KComponentData&, const QString&
    253, 301, 301, 0,	//145  const KComponentData&, const QString&, const QString&
    275, 0,	//149  const QList<KPluginInfo>&
    275, 32, 0,	//151  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod
    275, 32, 301, 0,	//154  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&
    275, 32, 301, 301, 0,	//158  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&
    142, 174, 0,	//163  QPrinter*, QWidget*
    142, 0,	//166  QPrinter*
    302, 174, 0,	//168  const QStringList&, QWidget*
    302, 0,	//171  const QStringList&
    253, 174, 276, 0,	//173  const KComponentData&, QWidget*, const QList<QVariant>&
    253, 174, 0,	//177  const KComponentData&, QWidget*
    148, 0,	//180  QResizeEvent*
    55, 0,	//182  QContextMenuEvent*
    126, 64, 0,	//184  QObject*, QEvent*
    195, 314, 0,	//187  Qt::DockWidgetArea, int
    286, 313, 0,	//190  const QPoint&, double
    313, 288, 0,	//193  double, const QPointF&
    219, 94, 0,	//196  Qt::MouseButton, QFlags<Qt::MouseButton>
    277, 277, 0,	//199  const QMargins&, const QMargins&
    313, 298, 0,	//202  double, const QSizeF&
    57, 109, 0,	//205  QDataStream&, QImage&
    57, 299, 0,	//208  QDataStream&, const QSizePolicy&
    208, 314, 0,	//211  Qt::InputMethodHint, int
    25, 25, 0,	//214  KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption
    291, 291, 0,	//217  const QRect&, const QRect&
    296, 296, 0,	//220  const QSize&, const QSize&
    57, 306, 0,	//223  QDataStream&, const QTransform&
    288, 278, 0,	//226  const QPointF&, const QMatrix&
    57, 255, 0,	//229  QDataStream&, const KServiceAction&
    272, 306, 0,	//232  const QLine&, const QTransform&
    19, 314, 0,	//235  KEmoticonsTheme::ParseModeEnum, int
    245, 99, 0,	//238  Qt::WindowState, QFlags<Qt::WindowState>
    298, 313, 0,	//241  const QSizeF&, double
    57, 272, 0,	//244  QDataStream&, const QLine&
    311, 271, 0,	//247  const char*, const QLatin1String&
    298, 298, 0,	//250  const QSizeF&, const QSizeF&
    26, 72, 0,	//253  KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>
    260, 260, 0,	//256  const QByteArray&, const QByteArray&
    271, 304, 0,	//259  const QLatin1String&, const QStringRef&
    219, 219, 0,	//262  Qt::MouseButton, Qt::MouseButton
    41, 74, 0,	//265  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    41, 41, 0,	//268  KUrl::CleanPathOption, KUrl::CleanPathOption
    308, 310, 0,	//271  const QVariant&, const QVariantComparisonHelper&
    19, 19, 0,	//274  KEmoticonsTheme::ParseModeEnum, KEmoticonsTheme::ParseModeEnum
    47, 47, 0,	//277  QBool, QBool
    12, 314, 0,	//280  KConfigBase::WriteConfigFlag, int
    176, 85, 0,	//283  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    157, 157, 0,	//286  QString::Null, QString::Null
    57, 34, 0,	//289  QDataStream&, KServiceAction&
    57, 292, 0,	//292  QDataStream&, const QRectF&
    50, 301, 0,	//295  QChar, const QString&
    107, 79, 0,	//298  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    13, 13, 0,	//301  KDialog::ButtonCode, KDialog::ButtonCode
    57, 283, 0,	//304  QDataStream&, const QPalette&
    22, 0,	//307  KIconLoader::Group&
    57, 260, 0,	//309  QDataStream&, const QByteArray&
    290, 306, 0,	//312  const QPolygonF&, const QTransform&
    236, 236, 0,	//315  Qt::ToolBarArea, Qt::ToolBarArea
    45, 314, 0,	//318  KUrl::QueryItemsOption, int
    175, 314, 0,	//321  QWidget::RenderFlag, int
    197, 314, 0,	//324  Qt::DropAction, int
    57, 302, 0,	//327  QDataStream&, const QStringList&
    43, 43, 0,	//330  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    11, 66, 0,	//333  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    176, 176, 0,	//336  Qt::AlignmentFlag, Qt::AlignmentFlag
    57, 54, 0,	//339  QDataStream&, QColor&
    57, 293, 0,	//342  QDataStream&, const QRegExp&
    169, 314, 0,	//345  QUrl::FormattingOption, int
    260, 311, 0,	//348  const QByteArray&, const char*
    42, 42, 0,	//351  KUrl::DirectoryOption, KUrl::DirectoryOption
    195, 86, 0,	//354  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    14, 14, 0,	//357  KDialog::CaptionFlag, KDialog::CaptionFlag
    272, 278, 0,	//360  const QLine&, const QMatrix&
    42, 75, 0,	//363  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    273, 278, 0,	//366  const QLineF&, const QMatrix&
    221, 221, 0,	//369  Qt::Orientation, Qt::Orientation
    282, 278, 0,	//372  const QPainterPath&, const QMatrix&
    236, 314, 0,	//375  Qt::ToolBarArea, int
    57, 137, 0,	//378  QDataStream&, QPointF&
    217, 314, 0,	//381  Qt::MatchFlag, int
    57, 270, 0,	//384  QDataStream&, const QKeySequence&
    301, 311, 0,	//387  const QString&, const char*
    57, 263, 0,	//390  QDataStream&, const QCursor&
    202, 202, 0,	//393  Qt::GestureFlag, Qt::GestureFlag
    57, 58, 0,	//396  QDataStream&, QDate&
    107, 107, 0,	//399  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    250, 260, 0,	//402  char, const QByteArray&
    311, 301, 0,	//405  const char*, const QString&
    311, 260, 0,	//408  const char*, const QByteArray&
    57, 49, 0,	//411  QDataStream&, QByteArray&
    57, 171, 0,	//414  QDataStream&, QVariant&
    13, 314, 0,	//417  KDialog::ButtonCode, int
    57, 145, 0,	//420  QDataStream&, QRegExp&
    288, 288, 0,	//423  const QPointF&, const QPointF&
    306, 313, 0,	//426  const QTransform&, double
    304, 304, 0,	//429  const QStringRef&, const QStringRef&
    50, 50, 0,	//432  QChar, QChar
    282, 306, 0,	//435  const QPainterPath&, const QTransform&
    57, 258, 0,	//438  QDataStream&, const QBrush&
    13, 68, 0,	//441  KDialog::ButtonCode, QFlags<KDialog::ButtonCode>
    25, 314, 0,	//444  KLocale::DateTimeFormatOption, int
    57, 147, 0,	//447  QDataStream&, QRegion&
    288, 313, 0,	//450  const QPointF&, double
    43, 314, 0,	//453  KUrl::EncodedPathAndQueryOption, int
    57, 264, 0,	//456  QDataStream&, const QDate&
    217, 93, 0,	//459  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    202, 314, 0,	//462  Qt::GestureFlag, int
    154, 154, 0,	//465  QSizePolicy::ControlType, QSizePolicy::ControlType
    57, 56, 0,	//468  QDataStream&, QCursor&
    214, 92, 0,	//471  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    217, 217, 0,	//474  Qt::MatchFlag, Qt::MatchFlag
    57, 167, 0,	//477  QDataStream&, QTransform&
    289, 278, 0,	//480  const QPolygon&, const QMatrix&
    301, 157, 0,	//483  const QString&, QString::Null
    2, 65, 0,	//486  KCModule::Button, QFlags<KCModule::Button>
    114, 314, 0,	//489  QLibrary::LoadHint, int
    57, 152, 0,	//492  QDataStream&, QSizeF&
    288, 0,	//495  const QPointF&
    211, 211, 0,	//497  Qt::ItemFlag, Qt::ItemFlag
    57, 284, 0,	//500  QDataStream&, const QPixmap&
    260, 301, 0,	//503  const QByteArray&, const QString&
    246, 100, 0,	//506  Qt::WindowType, QFlags<Qt::WindowType>
    288, 306, 0,	//509  const QPointF&, const QTransform&
    211, 91, 0,	//512  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    239, 98, 0,	//515  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    301, 250, 0,	//518  const QString&, char
    57, 307, 0,	//521  QDataStream&, const QUrl&
    154, 81, 0,	//524  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    311, 311, 311, 0,	//527  const char*, const char*, const char*
    57, 308, 0,	//531  QDataStream&, const QVariant&
    57, 116, 0,	//534  QDataStream&, QLine&
    214, 214, 0,	//537  Qt::KeyboardModifier, Qt::KeyboardModifier
    176, 314, 0,	//540  Qt::AlignmentFlag, int
    286, 278, 0,	//543  const QPoint&, const QMatrix&
    214, 314, 0,	//546  Qt::KeyboardModifier, int
    211, 314, 0,	//549  Qt::ItemFlag, int
    27, 27, 0,	//552  KLocale::TimeProcessingOption, KLocale::TimeProcessingOption
    206, 89, 0,	//555  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    286, 286, 0,	//558  const QPoint&, const QPoint&
    158, 314, 0,	//561  QString::SectionFlag, int
    246, 314, 0,	//564  Qt::WindowType, int
    175, 175, 0,	//567  QWidget::RenderFlag, QWidget::RenderFlag
    304, 301, 0,	//570  const QStringRef&, const QString&
    271, 271, 0,	//573  const QLatin1String&, const QLatin1String&
    267, 267, 0,	//576  const QHashDummyValue&, const QHashDummyValue&
    44, 44, 0,	//579  KUrl::EqualsOption, KUrl::EqualsOption
    169, 169, 0,	//582  QUrl::FormattingOption, QUrl::FormattingOption
    57, 108, 0,	//585  QDataStream&, QIcon&
    57, 289, 0,	//588  QDataStream&, const QPolygon&
    239, 314, 0,	//591  Qt::TouchPointState, int
    14, 69, 0,	//594  KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>
    175, 84, 0,	//597  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    304, 311, 0,	//600  const QStringRef&, const char*
    41, 314, 0,	//603  KUrl::CleanPathOption, int
    45, 45, 0,	//606  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    12, 12, 0,	//609  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    11, 314, 0,	//612  KConfig::OpenFlag, int
    57, 273, 0,	//615  QDataStream&, const QLineF&
    57, 48, 0,	//618  QDataStream&, QBrush&
    57, 288, 0,	//621  QDataStream&, const QPointF&
    26, 26, 0,	//624  KLocale::TimeFormatOption, KLocale::TimeFormatOption
    301, 304, 0,	//627  const QString&, const QStringRef&
    44, 314, 0,	//630  KUrl::EqualsOption, int
    14, 314, 0,	//633  KDialog::CaptionFlag, int
    154, 314, 0,	//636  QSizePolicy::ControlType, int
    57, 153, 0,	//639  QDataStream&, QSizePolicy&
    311, 304, 0,	//642  const char*, const QStringRef&
    57, 122, 0,	//645  QDataStream&, QMatrix&
    219, 314, 0,	//648  Qt::MouseButton, int
    57, 151, 0,	//651  QDataStream&, QSize&
    208, 208, 0,	//654  Qt::InputMethodHint, Qt::InputMethodHint
    27, 73, 0,	//657  KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>
    57, 172, 0,	//660  QDataStream&, QVariant::Type&
    233, 96, 0,	//663  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    273, 306, 0,	//666  const QLineF&, const QTransform&
    304, 271, 0,	//669  const QStringRef&, const QLatin1String&
    57, 290, 0,	//672  QDataStream&, const QPolygonF&
    57, 298, 0,	//675  QDataStream&, const QSizeF&
    236, 97, 0,	//678  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    57, 266, 0,	//681  QDataStream&, const QFont&
    44, 77, 0,	//684  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    27, 314, 0,	//687  KLocale::TimeProcessingOption, int
    57, 278, 0,	//690  QDataStream&, const QMatrix&
    250, 301, 0,	//693  char, const QString&
    114, 114, 0,	//696  QLibrary::LoadHint, QLibrary::LoadHint
    245, 245, 0,	//699  Qt::WindowState, Qt::WindowState
    169, 83, 0,	//702  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    57, 141, 0,	//705  QDataStream&, QPolygonF&
    57, 282, 0,	//708  QDataStream&, const QPainterPath&
    57, 132, 0,	//711  QDataStream&, QPalette&
    292, 292, 0,	//714  const QRectF&, const QRectF&
    313, 296, 0,	//717  double, const QSize&
    2, 2, 0,	//720  KCModule::Button, KCModule::Button
    313, 286, 0,	//723  double, const QPoint&
    57, 286, 0,	//726  QDataStream&, const QPoint&
    57, 269, 0,	//729  QDataStream&, const QImage&
    260, 250, 0,	//732  const QByteArray&, char
    57, 102, 0,	//735  QDataStream&, QFont&
    158, 82, 0,	//738  QString::SectionFlag, QFlags<QString::SectionFlag>
    57, 296, 0,	//741  QDataStream&, const QSize&
    25, 71, 0,	//744  KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>
    57, 144, 0,	//747  QDataStream&, QRectF&
    57, 261, 0,	//750  QDataStream&, const QChar&
    249, 47, 0,	//753  bool, QBool
    45, 78, 0,	//756  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    289, 306, 0,	//759  const QPolygon&, const QTransform&
    47, 249, 0,	//762  QBool, bool
    245, 314, 0,	//765  Qt::WindowState, int
    57, 160, 0,	//768  QDataStream&, QStringList&
    57, 291, 0,	//771  QDataStream&, const QRect&
    42, 314, 0,	//774  KUrl::DirectoryOption, int
    57, 294, 0,	//777  QDataStream&, const QRegion&
    195, 195, 0,	//780  Qt::DockWidgetArea, Qt::DockWidgetArea
    57, 262, 0,	//783  QDataStream&, const QColor&
    246, 246, 0,	//786  Qt::WindowType, Qt::WindowType
    296, 313, 0,	//789  const QSize&, double
    157, 301, 0,	//792  QString::Null, const QString&
    208, 90, 0,	//795  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    11, 11, 0,	//798  KConfig::OpenFlag, KConfig::OpenFlag
    57, 135, 0,	//801  QDataStream&, QPoint&
    57, 59, 0,	//804  QDataStream&, QDateTime&
    57, 305, 0,	//807  QDataStream&, const QTime&
    57, 113, 0,	//810  QDataStream&, QKeySequence&
    26, 314, 0,	//813  KLocale::TimeFormatOption, int
    294, 306, 0,	//816  const QRegion&, const QTransform&
    2, 314, 0,	//819  KCModule::Button, int
    158, 158, 0,	//822  QString::SectionFlag, QString::SectionFlag
    107, 314, 0,	//825  QIODevice::OpenModeFlag, int
    202, 88, 0,	//828  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    290, 278, 0,	//831  const QPolygonF&, const QMatrix&
    286, 0,	//834  const QPoint&
    57, 139, 0,	//836  QDataStream&, QPolygon&
    43, 76, 0,	//839  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    57, 156, 0,	//842  QDataStream&, QString&
    57, 301, 0,	//845  QDataStream&, const QString&
    57, 51, 0,	//848  QDataStream&, QChar&
    233, 233, 0,	//851  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    57, 133, 0,	//854  QDataStream&, QPixmap&
    19, 70, 0,	//857  KEmoticonsTheme::ParseModeEnum, QFlags<KEmoticonsTheme::ParseModeEnum>
    12, 67, 0,	//860  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    301, 260, 0,	//863  const QString&, const QByteArray&
    57, 143, 0,	//866  QDataStream&, QRect&
    206, 314, 0,	//869  Qt::ImageConversionFlag, int
    57, 268, 0,	//872  QDataStream&, const QIcon&
    57, 309, 0,	//875  QDataStream&, const QVariant::Type
    57, 118, 0,	//878  QDataStream&, QLineF&
    57, 131, 0,	//881  QDataStream&, QPainterPath&
    239, 239, 0,	//884  Qt::TouchPointState, Qt::TouchPointState
    233, 314, 0,	//887  Qt::TextInteractionFlag, int
    286, 306, 0,	//890  const QPoint&, const QTransform&
    57, 265, 0,	//893  QDataStream&, const QDateTime&
    57, 164, 0,	//896  QDataStream&, QTime&
    206, 206, 0,	//899  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    197, 87, 0,	//902  Qt::DropAction, QFlags<Qt::DropAction>
    197, 197, 0,	//905  Qt::DropAction, Qt::DropAction
    221, 314, 0,	//908  Qt::Orientation, int
    294, 278, 0,	//911  const QRegion&, const QMatrix&
    57, 168, 0,	//914  QDataStream&, QUrl&
    114, 80, 0,	//917  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    301, 50, 0,	//920  const QString&, QChar
    221, 95, 0,	//923  Qt::Orientation, QFlags<Qt::Orientation>
    22, 314, 0,	//926  KIconLoader::Group&, int
    64, 0,	//929  QEvent*
    165, 0,	//931  QTimerEvent*
    52, 0,	//933  QChildEvent*
    124, 0,	//935  QMouseEvent*
    173, 0,	//937  QWheelEvent*
    101, 0,	//939  QFocusEvent*
    129, 0,	//941  QPaintEvent*
    125, 0,	//943  QMoveEvent*
    163, 0,	//945  QTabletEvent*
    46, 0,	//947  QActionEvent*
    60, 0,	//949  QDragEnterEvent*
    62, 0,	//951  QDragMoveEvent*
    61, 0,	//953  QDragLeaveEvent*
    63, 0,	//955  QDropEvent*
    248, 0,	//957  _XEvent*
    127, 0,	//959  QPaintDevice::PaintDeviceMetric
    111, 0,	//961  QInputMethodEvent*
    209, 0,	//963  Qt::InputMethodQuery
    162, 0,	//965  QStyle&
    283, 0,	//967  const QPalette&
    266, 0,	//969  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AppNameCaption",	//2
    "Apply",	//3
    "Cancel",	//4
    "Close",	//5
    "Copy",	//6
    "Default",	//7
    "DelayedPopup",	//8
    "Details",	//9
    "Dialog",	//10
    "Dialog#",	//11
    "Dialog?",	//12
    "Dialog?#",	//13
    "DoNotCopy",	//14
    "DrawChildren",	//15
    "DrawWindowBackground",	//16
    "Export",	//17
    "HIGCompliantCaption",	//18
    "Help",	//19
    "IgnoreConfigFile",	//20
    "IgnoreMask",	//21
    "InstantPopup",	//22
    "KCModuleContainer",	//23
    "KCModuleContainer#",	//24
    "KCModuleContainer#$",	//25
    "KCModuleContainer#?",	//26
    "KCModuleProxy",	//27
    "KCModuleProxy#",	//28
    "KCModuleProxy##",	//29
    "KCModuleProxy##?",	//30
    "KCModuleProxy$",	//31
    "KCModuleProxy$#",	//32
    "KCModuleProxy$#?",	//33
    "KCModuleProxy?",	//34
    "KCModuleProxy?#",	//35
    "KCModuleProxy?#?",	//36
    "KCMultiDialog",	//37
    "KCMultiDialog#",	//38
    "KCMultiDialog##",	//39
    "KCMultiDialog###",	//40
    "KCMultiDialog###$",	//41
    "KCMultiDialog##$",	//42
    "KEmoticons",	//43
    "KEmoticonsProvider",	//44
    "KEmoticonsProvider#",	//45
    "KPluginSelector",	//46
    "KPluginSelector#",	//47
    "KPrintPreview",	//48
    "KPrintPreview#",	//49
    "KPrintPreview##",	//50
    "KST_CTimeInfo",	//51
    "KST_KCustom",	//52
    "KST_KDEDesktopMimeType",	//53
    "KST_KFolderMimeType",	//54
    "KST_KImageIO",	//55
    "KST_KImageIOFormat",	//56
    "KST_KMimeType",	//57
    "KST_KMimeTypeFactory",	//58
    "KST_KProtocolInfo",	//59
    "KST_KProtocolInfoFactory",	//60
    "KST_KService",	//61
    "KST_KServiceFactory",	//62
    "KST_KServiceGroup",	//63
    "KST_KServiceGroupFactory",	//64
    "KST_KServiceSeparator",	//65
    "KST_KServiceType",	//66
    "KST_KServiceTypeFactory",	//67
    "KST_KSycocaEntry",	//68
    "ModifiedCaption",	//69
    "No",	//70
    "NoAdditionalButton",	//71
    "NoCaptionFlags",	//72
    "NoDefault",	//73
    "None",	//74
    "Ok",	//75
    "PluginPage",	//76
    "PluginPage#",	//77
    "PluginPage##",	//78
    "PluginPage##?",	//79
    "Q_COMPLEX_TYPE",	//80
    "Q_DUMMY_TYPE",	//81
    "Q_MOVABLE_TYPE",	//82
    "Q_PRIMITIVE_TYPE",	//83
    "Q_STATIC_TYPE",	//84
    "QtCriticalMsg",	//85
    "QtDebugMsg",	//86
    "QtFatalMsg",	//87
    "QtSystemMsg",	//88
    "QtWarningMsg",	//89
    "ReadConfigFile",	//90
    "Rejected",	//91
    "Reset",	//92
    "Try",	//93
    "User1",	//94
    "User2",	//95
    "User3",	//96
    "Yes",	//97
    "aboutData",	//98
    "accept",	//99
    "actionEvent",	//100
    "addEmoticon",	//101
    "addEmoticon$$",	//102
    "addEmoticon$$$",	//103
    "addEmoticonIndex",	//104
    "addEmoticonIndex$?",	//105
    "addEmoticonsMap",	//106
    "addEmoticonsMap$?",	//107
    "addIdleTimeout",	//108
    "addIdleTimeout$",	//109
    "addModule",	//110
    "addModule#",	//111
    "addModule##",	//112
    "addModule##?",	//113
    "addModule$",	//114
    "addModule$?",	//115
    "addPluginInfos",	//116
    "addPluginInfos?",	//117
    "addPlugins",	//118
    "addPlugins#",	//119
    "addPlugins#$",	//120
    "addPlugins#$$",	//121
    "addPlugins#$$?",	//122
    "addPlugins$",	//123
    "addPlugins$$",	//124
    "addPlugins$$$",	//125
    "addPlugins$$$?",	//126
    "addPlugins?",	//127
    "addPlugins?$",	//128
    "addPlugins?$$",	//129
    "addPlugins?$$$",	//130
    "addPlugins?$$$?",	//131
    "allModules",	//132
    "allowComponentSelection",	//133
    "buttons",	//134
    "catchNextResumeEvent",	//135
    "changeEvent",	//136
    "changed",	//137
    "changed#",	//138
    "changed$",	//139
    "changedModules",	//140
    "childClosed",	//141
    "childEvent",	//142
    "clear",	//143
    "clearEmoticonsMap",	//144
    "closeEvent",	//145
    "componentData",	//146
    "configCommitted",	//147
    "configCommitted#",	//148
    "connectNotify",	//149
    "contextMenuEvent",	//150
    "createNew",	//151
    "currentThemeName",	//152
    "customEvent",	//153
    "dbusPath",	//154
    "dbusService",	//155
    "defaults",	//156
    "deleteClient",	//157
    "devType",	//158
    "disconnectNotify",	//159
    "done",	//160
    "dragEnterEvent",	//161
    "dragLeaveEvent",	//162
    "dragMoveEvent",	//163
    "dropEvent",	//164
    "emoticonsIndex",	//165
    "emoticonsMap",	//166
    "enabledChange",	//167
    "enterEvent",	//168
    "event",	//169
    "eventFilter",	//170
    "fileName",	//171
    "focusInEvent",	//172
    "focusNextPrevChild",	//173
    "focusOutEvent",	//174
    "fontChange",	//175
    "heightForWidth",	//176
    "hideEvent",	//177
    "i18n",	//178
    "i18n$",	//179
    "i18nc",	//180
    "i18nc$$",	//181
    "idleTime",	//182
    "idleTimeouts",	//183
    "inputMethodEvent",	//184
    "inputMethodQuery",	//185
    "installTheme",	//186
    "installTheme$",	//187
    "instance",	//188
    "isAvailable",	//189
    "isDefault",	//190
    "keyPressEvent",	//191
    "keyReleaseEvent",	//192
    "ki18n",	//193
    "ki18n$",	//194
    "ki18nc",	//195
    "ki18nc$$",	//196
    "ki18ncp",	//197
    "ki18ncp$$$",	//198
    "ki18np",	//199
    "ki18np$$",	//200
    "languageChange",	//201
    "leaveEvent",	//202
    "load",	//203
    "loadTheme",	//204
    "loadTheme$",	//205
    "metaObject",	//206
    "metric",	//207
    "minimumSizeHint",	//208
    "moduleInfo",	//209
    "mouseDoubleClickEvent",	//210
    "mouseMoveEvent",	//211
    "mousePressEvent",	//212
    "mouseReleaseEvent",	//213
    "moveEvent",	//214
    "newTheme",	//215
    "newTheme$?",	//216
    "operator!=",	//217
    "operator!=##",	//218
    "operator!=#$",	//219
    "operator!=$#",	//220
    "operator!=$$",	//221
    "operator*",	//222
    "operator*##",	//223
    "operator*#$",	//224
    "operator*$#",	//225
    "operator+",	//226
    "operator+##",	//227
    "operator+#$",	//228
    "operator+$#",	//229
    "operator+$$",	//230
    "operator++",	//231
    "operator++$",	//232
    "operator++$$",	//233
    "operator-",	//234
    "operator-#",	//235
    "operator-##",	//236
    "operator-#$",	//237
    "operator/",	//238
    "operator/#$",	//239
    "operator<",	//240
    "operator<##",	//241
    "operator<#$",	//242
    "operator<$#",	//243
    "operator<$$",	//244
    "operator<<",	//245
    "operator<<##",	//246
    "operator<<#$",	//247
    "operator<<#?",	//248
    "operator<=",	//249
    "operator<=##",	//250
    "operator<=#$",	//251
    "operator<=$#",	//252
    "operator<=$$",	//253
    "operator==",	//254
    "operator==##",	//255
    "operator==#$",	//256
    "operator==$#",	//257
    "operator==$$",	//258
    "operator>",	//259
    "operator>##",	//260
    "operator>#$",	//261
    "operator>$#",	//262
    "operator>$$",	//263
    "operator>=",	//264
    "operator>=##",	//265
    "operator>=#$",	//266
    "operator>=$#",	//267
    "operator>=$$",	//268
    "operator>>",	//269
    "operator>>##",	//270
    "operator>>#$",	//271
    "operator>>#?",	//272
    "operator|",	//273
    "operator|$$",	//274
    "paintEngine",	//275
    "paintEvent",	//276
    "paletteChange",	//277
    "parseMode",	//278
    "pluginInfos",	//279
    "pluginSelectionChanged",	//280
    "pluginSelector",	//281
    "qt_metacall",	//282
    "qt_metacall$$?",	//283
    "qt_metacast",	//284
    "qt_metacast$",	//285
    "quickHelp",	//286
    "quickHelpChanged",	//287
    "realModule",	//288
    "reject",	//289
    "removeAllIdleTimeouts",	//290
    "removeEmoticon",	//291
    "removeEmoticon$",	//292
    "removeEmoticonIndex",	//293
    "removeEmoticonIndex$?",	//294
    "removeEmoticonsMap",	//295
    "removeEmoticonsMap$",	//296
    "removeIdleTimeout",	//297
    "removeIdleTimeout$",	//298
    "resizeEvent",	//299
    "resumingFromIdle",	//300
    "rootOnlyMessage",	//301
    "save",	//302
    "setAllModules",	//303
    "setAllModules?",	//304
    "setAllowComponentSelection",	//305
    "setAllowComponentSelection$",	//306
    "setCaption",	//307
    "setChangedModules",	//308
    "setChangedModules?",	//309
    "setComponentBlacklist",	//310
    "setComponentBlacklist?",	//311
    "setKCMArguments",	//312
    "setKCMArguments?",	//313
    "setParseMode",	//314
    "setParseMode$",	//315
    "setPlainCaption",	//316
    "setTheme",	//317
    "setTheme#",	//318
    "setTheme$",	//319
    "setThemeName",	//320
    "setThemeName$",	//321
    "setVisible",	//322
    "showEvent",	//323
    "showEvent#",	//324
    "simulateUserActivity",	//325
    "sizeHint",	//326
    "slotApplyClicked",	//327
    "slotButtonClicked",	//328
    "slotDefaultClicked",	//329
    "slotHelpClicked",	//330
    "slotOkClicked",	//331
    "slotUser1Clicked",	//332
    "staticMetaObject",	//333
    "stopCatchingResumeEvent",	//334
    "styleChange",	//335
    "tabletEvent",	//336
    "theme",	//337
    "theme$",	//338
    "themeList",	//339
    "themeName",	//340
    "themePath",	//341
    "timeoutReached",	//342
    "timeoutReached$",	//343
    "timeoutReached$$",	//344
    "timerEvent",	//345
    "tr",	//346
    "tr$",	//347
    "tr$$",	//348
    "tr$$$",	//349
    "tr2i18n",	//350
    "tr2i18n$",	//351
    "tr2i18n$$",	//352
    "trUtf8",	//353
    "trUtf8$",	//354
    "trUtf8$$",	//355
    "trUtf8$$$",	//356
    "updatePluginsState",	//357
    "useRootOnlyMessage",	//358
    "wheelEvent",	//359
    "windowActivationChange",	//360
    "x11Event",	//361
    "~Dialog",	//362
    "~KCModuleContainer",	//363
    "~KCModuleProxy",	//364
    "~KCMultiDialog",	//365
    "~KEmoticons",	//366
    "~KEmoticonsProvider",	//367
    "~KIdleTime",	//368
    "~KPluginSelector",	//369
    "~KPrintPreview",	//370
    "~PluginPage",	//371
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {2, 286, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 155, 0},	//1 KCModule::quickHelp() const
    {2, 98, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 251, 0},	//2 KCModule::aboutData() const
    {2, 323, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3 KCModule::showEvent(QShowEvent*)
    {2, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 2, 4},	//4 KCModule::NoAdditionalButton (enum)
    {2, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 2, 5},	//5 KCModule::Help (enum)
    {2, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 2, 6},	//6 KCModule::Default (enum)
    {2, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 2, 7},	//7 KCModule::Apply (enum)
    {2, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 2, 8},	//8 KCModule::Export (enum)
    {3, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 280, 1},	//9 KCModuleContainer::metaObject() const
    {3, 284, 3, 1, Smoke::mf_virtual, 317, 2},	//10 KCModuleContainer::qt_metacast(const char*)
    {3, 346, 5, 2, Smoke::mf_static, 155, 3},	//11 KCModuleContainer::tr(const char*, const char*)
    {3, 353, 5, 2, Smoke::mf_static, 155, 4},	//12 KCModuleContainer::trUtf8(const char*, const char*)
    {3, 346, 8, 3, Smoke::mf_static, 155, 5},	//13 KCModuleContainer::tr(const char*, const char*, int)
    {3, 353, 8, 3, Smoke::mf_static, 155, 6},	//14 KCModuleContainer::trUtf8(const char*, const char*, int)
    {3, 282, 12, 3, Smoke::mf_virtual, 314, 7},	//15 KCModuleContainer::qt_metacall(QMetaObject::Call, int, void**)
    {3, 23, 16, 2, Smoke::mf_ctor, 3, 8},	//16 KCModuleContainer::KCModuleContainer(QWidget*, const QStringList&)
    {3, 23, 19, 2, Smoke::mf_ctor, 3, 9},	//17 KCModuleContainer::KCModuleContainer(QWidget*, const QString&)
    {3, 110, 22, 1, 0, 0, 10},	//18 KCModuleContainer::addModule(const QString&)
    {3, 302, 0, 0, Smoke::mf_virtual, 0, 11},	//19 KCModuleContainer::save()
    {3, 203, 0, 0, Smoke::mf_virtual, 0, 12},	//20 KCModuleContainer::load()
    {3, 156, 0, 0, Smoke::mf_virtual, 0, 13},	//21 KCModuleContainer::defaults()
    {3, 346, 3, 1, Smoke::mf_static, 155, 14},	//22 KCModuleContainer::tr(const char*)
    {3, 353, 3, 1, Smoke::mf_static, 155, 15},	//23 KCModuleContainer::trUtf8(const char*)
    {3, 23, 24, 1, Smoke::mf_ctor, 3, 16},	//24 KCModuleContainer::KCModuleContainer(QWidget*)
    {3, 333, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 279, 17},	//25 KCModuleContainer::staticMetaObject() const
    {3, 140, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 119, 18},	//26 KCModuleContainer::changedModules() const
    {3, 308, 26, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//27 KCModuleContainer::setChangedModules(const QList<KCModuleProxy*>&)
    {3, 132, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 119, 20},	//28 KCModuleContainer::allModules() const
    {3, 303, 26, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 21},	//29 KCModuleContainer::setAllModules(const QList<KCModuleProxy*>&)
    {3, 363, 0, 0, Smoke::mf_dtor, 0, 22 },	//30 KCModuleContainer::~KCModuleContainer()
    {5, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 280, 1},	//31 KCModuleProxy::metaObject() const
    {5, 284, 3, 1, Smoke::mf_virtual, 317, 2},	//32 KCModuleProxy::qt_metacast(const char*)
    {5, 346, 5, 2, Smoke::mf_static, 155, 3},	//33 KCModuleProxy::tr(const char*, const char*)
    {5, 353, 5, 2, Smoke::mf_static, 155, 4},	//34 KCModuleProxy::trUtf8(const char*, const char*)
    {5, 346, 8, 3, Smoke::mf_static, 155, 5},	//35 KCModuleProxy::tr(const char*, const char*, int)
    {5, 353, 8, 3, Smoke::mf_static, 155, 6},	//36 KCModuleProxy::trUtf8(const char*, const char*, int)
    {5, 282, 12, 3, Smoke::mf_virtual, 314, 7},	//37 KCModuleProxy::qt_metacall(QMetaObject::Call, int, void**)
    {5, 27, 28, 3, Smoke::mf_ctor, 6, 8},	//38 KCModuleProxy::KCModuleProxy(const KCModuleInfo&, QWidget*, const QStringList&)
    {5, 27, 32, 3, Smoke::mf_ctor, 6, 9},	//39 KCModuleProxy::KCModuleProxy(const QString&, QWidget*, const QStringList&)
    {5, 27, 36, 3, Smoke::mf_ctor, 6, 10},	//40 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&, QWidget*, const QStringList&)
    {5, 203, 0, 0, 0, 0, 11},	//41 KCModuleProxy::load()
    {5, 302, 0, 0, 0, 0, 12},	//42 KCModuleProxy::save()
    {5, 286, 0, 0, Smoke::mf_const, 155, 13},	//43 KCModuleProxy::quickHelp() const
    {5, 98, 0, 0, Smoke::mf_const, 251, 14},	//44 KCModuleProxy::aboutData() const
    {5, 134, 0, 0, Smoke::mf_const, 65, 15},	//45 KCModuleProxy::buttons() const
    {5, 301, 0, 0, Smoke::mf_const, 155, 16},	//46 KCModuleProxy::rootOnlyMessage() const
    {5, 358, 0, 0, Smoke::mf_const, 249, 17},	//47 KCModuleProxy::useRootOnlyMessage() const
    {5, 146, 0, 0, Smoke::mf_const, 10, 18},	//48 KCModuleProxy::componentData() const
    {5, 137, 0, 0, Smoke::mf_const, 249, 19},	//49 KCModuleProxy::changed() const
    {5, 288, 0, 0, Smoke::mf_const, 1, 20},	//50 KCModuleProxy::realModule() const
    {5, 209, 0, 0, Smoke::mf_const, 4, 21},	//51 KCModuleProxy::moduleInfo() const
    {5, 155, 0, 0, Smoke::mf_const, 155, 22},	//52 KCModuleProxy::dbusService() const
    {5, 154, 0, 0, Smoke::mf_const, 155, 23},	//53 KCModuleProxy::dbusPath() const
    {5, 208, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 150, 24},	//54 KCModuleProxy::minimumSizeHint() const
    {5, 156, 0, 0, Smoke::mf_slot, 0, 25},	//55 KCModuleProxy::defaults()
    {5, 157, 0, 0, Smoke::mf_slot, 0, 26},	//56 KCModuleProxy::deleteClient()
    {5, 137, 40, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//57 KCModuleProxy::changed(bool)
    {5, 137, 42, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//58 KCModuleProxy::changed(KCModuleProxy*)
    {5, 141, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//59 KCModuleProxy::childClosed()
    {5, 287, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//60 KCModuleProxy::quickHelpChanged()
    {5, 323, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//61 KCModuleProxy::showEvent(QShowEvent*)
    {5, 346, 3, 1, Smoke::mf_static, 155, 32},	//62 KCModuleProxy::tr(const char*)
    {5, 353, 3, 1, Smoke::mf_static, 155, 33},	//63 KCModuleProxy::trUtf8(const char*)
    {5, 27, 44, 1, Smoke::mf_ctor, 6, 34},	//64 KCModuleProxy::KCModuleProxy(const KCModuleInfo&)
    {5, 27, 46, 2, Smoke::mf_ctor, 6, 35},	//65 KCModuleProxy::KCModuleProxy(const KCModuleInfo&, QWidget*)
    {5, 27, 22, 1, Smoke::mf_ctor, 6, 36},	//66 KCModuleProxy::KCModuleProxy(const QString&)
    {5, 27, 49, 2, Smoke::mf_ctor, 6, 37},	//67 KCModuleProxy::KCModuleProxy(const QString&, QWidget*)
    {5, 27, 52, 1, Smoke::mf_ctor, 6, 38},	//68 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&)
    {5, 27, 54, 2, Smoke::mf_ctor, 6, 39},	//69 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&, QWidget*)
    {5, 333, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 279, 40},	//70 KCModuleProxy::staticMetaObject() const
    {5, 364, 0, 0, Smoke::mf_dtor, 0, 41 },	//71 KCModuleProxy::~KCModuleProxy()
    {6, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 280, 1},	//72 KCMultiDialog::metaObject() const
    {6, 284, 3, 1, Smoke::mf_virtual, 317, 2},	//73 KCMultiDialog::qt_metacast(const char*)
    {6, 346, 5, 2, Smoke::mf_static, 155, 3},	//74 KCMultiDialog::tr(const char*, const char*)
    {6, 353, 5, 2, Smoke::mf_static, 155, 4},	//75 KCMultiDialog::trUtf8(const char*, const char*)
    {6, 346, 8, 3, Smoke::mf_static, 155, 5},	//76 KCMultiDialog::tr(const char*, const char*, int)
    {6, 353, 8, 3, Smoke::mf_static, 155, 6},	//77 KCMultiDialog::trUtf8(const char*, const char*, int)
    {6, 282, 12, 3, Smoke::mf_virtual, 314, 7},	//78 KCMultiDialog::qt_metacall(QMetaObject::Call, int, void**)
    {6, 37, 24, 1, Smoke::mf_ctor, 7, 8},	//79 KCMultiDialog::KCMultiDialog(QWidget*)
    {6, 110, 57, 2, 0, 30, 9},	//80 KCMultiDialog::addModule(const QString&, const QStringList&)
    {6, 110, 60, 3, 0, 30, 10},	//81 KCMultiDialog::addModule(const KCModuleInfo&, KPageWidgetItem*, const QStringList&)
    {6, 143, 0, 0, 0, 0, 11},	//82 KCMultiDialog::clear()
    {6, 147, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//83 KCMultiDialog::configCommitted()
    {6, 147, 64, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//84 KCMultiDialog::configCommitted(const QByteArray&)
    {6, 37, 66, 3, Smoke::mf_ctor|Smoke::mf_protected, 7, 14},	//85 KCMultiDialog::KCMultiDialog(KPageWidget*, QWidget*, QFlags<Qt::WindowType>)
    {6, 37, 70, 4, Smoke::mf_ctor|Smoke::mf_protected, 7, 15},	//86 KCMultiDialog::KCMultiDialog(KCMultiDialogPrivate&, KPageWidget*, QWidget*, QFlags<Qt::WindowType>)
    {6, 329, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//87 KCMultiDialog::slotDefaultClicked()
    {6, 332, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 17},	//88 KCMultiDialog::slotUser1Clicked()
    {6, 327, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 18},	//89 KCMultiDialog::slotApplyClicked()
    {6, 331, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 19},	//90 KCMultiDialog::slotOkClicked()
    {6, 330, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 20},	//91 KCMultiDialog::slotHelpClicked()
    {6, 346, 3, 1, Smoke::mf_static, 155, 21},	//92 KCMultiDialog::tr(const char*)
    {6, 353, 3, 1, Smoke::mf_static, 155, 22},	//93 KCMultiDialog::trUtf8(const char*)
    {6, 37, 0, 0, Smoke::mf_ctor, 7, 23},	//94 KCMultiDialog::KCMultiDialog()
    {6, 110, 22, 1, 0, 30, 24},	//95 KCMultiDialog::addModule(const QString&)
    {6, 110, 44, 1, 0, 30, 25},	//96 KCMultiDialog::addModule(const KCModuleInfo&)
    {6, 110, 75, 2, 0, 30, 26},	//97 KCMultiDialog::addModule(const KCModuleInfo&, KPageWidgetItem*)
    {6, 37, 78, 2, Smoke::mf_ctor|Smoke::mf_protected, 7, 27},	//98 KCMultiDialog::KCMultiDialog(KPageWidget*, QWidget*)
    {6, 37, 81, 3, Smoke::mf_ctor|Smoke::mf_protected, 7, 28},	//99 KCMultiDialog::KCMultiDialog(KCMultiDialogPrivate&, KPageWidget*, QWidget*)
    {6, 333, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 279, 29},	//100 KCMultiDialog::staticMetaObject() const
    {6, 365, 0, 0, Smoke::mf_dtor, 0, 30 },	//101 KCMultiDialog::~KCMultiDialog()
    {10, 326, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 150, 0},	//102 KDialog::sizeHint() const
    {10, 208, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 150, 0},	//103 KDialog::minimumSizeHint() const
    {10, 307, 22, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//104 KDialog::setCaption(const QString&)
    {10, 307, 85, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//105 KDialog::setCaption(const QString&, bool)
    {10, 316, 22, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//106 KDialog::setPlainCaption(const QString&)
    {10, 177, 88, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//107 KDialog::hideEvent(QHideEvent*)
    {10, 145, 90, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//108 KDialog::closeEvent(QCloseEvent*)
    {10, 191, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//109 KDialog::keyPressEvent(QKeyEvent*)
    {10, 328, 94, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//110 KDialog::slotButtonClicked(int)
    {10, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 10},	//111 KDialog::None (enum)
    {10, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 11},	//112 KDialog::Help (enum)
    {10, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 12},	//113 KDialog::Default (enum)
    {10, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 13},	//114 KDialog::Ok (enum)
    {10, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 14},	//115 KDialog::Apply (enum)
    {10, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 15},	//116 KDialog::Try (enum)
    {10, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 16},	//117 KDialog::Cancel (enum)
    {10, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 17},	//118 KDialog::Close (enum)
    {10, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 18},	//119 KDialog::No (enum)
    {10, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 19},	//120 KDialog::Yes (enum)
    {10, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 20},	//121 KDialog::Reset (enum)
    {10, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 21},	//122 KDialog::Details (enum)
    {10, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 22},	//123 KDialog::User1 (enum)
    {10, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 23},	//124 KDialog::User2 (enum)
    {10, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 24},	//125 KDialog::User3 (enum)
    {10, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 25},	//126 KDialog::NoDefault (enum)
    {10, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 26},	//127 KDialog::NoCaptionFlags (enum)
    {10, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 27},	//128 KDialog::AppNameCaption (enum)
    {10, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 28},	//129 KDialog::ModifiedCaption (enum)
    {10, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 29},	//130 KDialog::HIGCompliantCaption (enum)
    {11, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 280, 1},	//131 KEmoticons::metaObject() const
    {11, 284, 3, 1, Smoke::mf_virtual, 317, 2},	//132 KEmoticons::qt_metacast(const char*)
    {11, 346, 5, 2, Smoke::mf_static, 155, 3},	//133 KEmoticons::tr(const char*, const char*)
    {11, 353, 5, 2, Smoke::mf_static, 155, 4},	//134 KEmoticons::trUtf8(const char*, const char*)
    {11, 346, 8, 3, Smoke::mf_static, 155, 5},	//135 KEmoticons::tr(const char*, const char*, int)
    {11, 353, 8, 3, Smoke::mf_static, 155, 6},	//136 KEmoticons::trUtf8(const char*, const char*, int)
    {11, 282, 12, 3, Smoke::mf_virtual, 314, 7},	//137 KEmoticons::qt_metacall(QMetaObject::Call, int, void**)
    {11, 43, 0, 0, Smoke::mf_ctor, 15, 8},	//138 KEmoticons::KEmoticons()
    {11, 337, 0, 0, 0, 18, 9},	//139 KEmoticons::theme()
    {11, 337, 22, 1, 0, 18, 10},	//140 KEmoticons::theme(const QString&)
    {11, 152, 0, 0, Smoke::mf_static, 155, 11},	//141 KEmoticons::currentThemeName()
    {11, 339, 0, 0, Smoke::mf_static, 159, 12},	//142 KEmoticons::themeList()
    {11, 317, 96, 1, Smoke::mf_static, 0, 13},	//143 KEmoticons::setTheme(const KEmoticonsTheme&)
    {11, 317, 22, 1, Smoke::mf_static, 0, 14},	//144 KEmoticons::setTheme(const QString&)
    {11, 215, 98, 2, 0, 18, 15},	//145 KEmoticons::newTheme(const QString&, const KSharedPtr<KService>&)
    {11, 186, 22, 1, 0, 159, 16},	//146 KEmoticons::installTheme(const QString&)
    {11, 314, 101, 1, Smoke::mf_static, 0, 17},	//147 KEmoticons::setParseMode(QFlags<KEmoticonsTheme::ParseModeEnum>)
    {11, 278, 0, 0, Smoke::mf_static, 70, 18},	//148 KEmoticons::parseMode()
    {11, 346, 3, 1, Smoke::mf_static, 155, 19},	//149 KEmoticons::tr(const char*)
    {11, 353, 3, 1, Smoke::mf_static, 155, 20},	//150 KEmoticons::trUtf8(const char*)
    {11, 333, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 279, 21},	//151 KEmoticons::staticMetaObject() const
    {11, 366, 0, 0, Smoke::mf_dtor, 0, 22 },	//152 KEmoticons::~KEmoticons()
    {12, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 280, 1},	//153 KEmoticonsProvider::metaObject() const
    {12, 284, 3, 1, Smoke::mf_virtual, 317, 2},	//154 KEmoticonsProvider::qt_metacast(const char*)
    {12, 346, 5, 2, Smoke::mf_static, 155, 3},	//155 KEmoticonsProvider::tr(const char*, const char*)
    {12, 353, 5, 2, Smoke::mf_static, 155, 4},	//156 KEmoticonsProvider::trUtf8(const char*, const char*)
    {12, 346, 8, 3, Smoke::mf_static, 155, 5},	//157 KEmoticonsProvider::tr(const char*, const char*, int)
    {12, 353, 8, 3, Smoke::mf_static, 155, 6},	//158 KEmoticonsProvider::trUtf8(const char*, const char*, int)
    {12, 282, 12, 3, Smoke::mf_virtual, 314, 7},	//159 KEmoticonsProvider::qt_metacall(QMetaObject::Call, int, void**)
    {12, 44, 103, 1, Smoke::mf_ctor, 16, 8},	//160 KEmoticonsProvider::KEmoticonsProvider(QObject*)
    {12, 204, 22, 1, Smoke::mf_virtual, 249, 9},	//161 KEmoticonsProvider::loadTheme(const QString&)
    {12, 291, 22, 1, Smoke::mf_virtual, 249, 10},	//162 KEmoticonsProvider::removeEmoticon(const QString&)
    {12, 101, 105, 3, Smoke::mf_virtual, 249, 11},	//163 KEmoticonsProvider::addEmoticon(const QString&, const QString&, KEmoticonsProvider::AddEmoticonOption)
    {12, 302, 0, 0, Smoke::mf_virtual, 0, 12},	//164 KEmoticonsProvider::save()
    {12, 340, 0, 0, Smoke::mf_const, 155, 13},	//165 KEmoticonsProvider::themeName() const
    {12, 320, 22, 1, 0, 0, 14},	//166 KEmoticonsProvider::setThemeName(const QString&)
    {12, 341, 0, 0, Smoke::mf_const, 155, 15},	//167 KEmoticonsProvider::themePath() const
    {12, 171, 0, 0, Smoke::mf_const, 155, 16},	//168 KEmoticonsProvider::fileName() const
    {12, 166, 0, 0, Smoke::mf_const, 104, 17},	//169 KEmoticonsProvider::emoticonsMap() const
    {12, 165, 0, 0, Smoke::mf_const, 103, 18},	//170 KEmoticonsProvider::emoticonsIndex() const
    {12, 151, 0, 0, Smoke::mf_virtual, 0, 19},	//171 KEmoticonsProvider::createNew()
    {12, 144, 0, 0, Smoke::mf_protected, 0, 20},	//172 KEmoticonsProvider::clearEmoticonsMap()
    {12, 106, 109, 2, Smoke::mf_protected, 0, 21},	//173 KEmoticonsProvider::addEmoticonsMap(QString, QStringList)
    {12, 295, 112, 1, Smoke::mf_protected, 0, 22},	//174 KEmoticonsProvider::removeEmoticonsMap(QString)
    {12, 104, 57, 2, Smoke::mf_protected, 0, 23},	//175 KEmoticonsProvider::addEmoticonIndex(const QString&, const QStringList&)
    {12, 293, 57, 2, Smoke::mf_protected, 0, 24},	//176 KEmoticonsProvider::removeEmoticonIndex(const QString&, const QStringList&)
    {12, 346, 3, 1, Smoke::mf_static, 155, 25},	//177 KEmoticonsProvider::tr(const char*)
    {12, 353, 3, 1, Smoke::mf_static, 155, 26},	//178 KEmoticonsProvider::trUtf8(const char*)
    {12, 44, 0, 0, Smoke::mf_ctor, 16, 27},	//179 KEmoticonsProvider::KEmoticonsProvider()
    {12, 101, 114, 2, 0, 249, 28},	//180 KEmoticonsProvider::addEmoticon(const QString&, const QString&)
    {12, 333, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 279, 29},	//181 KEmoticonsProvider::staticMetaObject() const
    {12, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 30},	//182 KEmoticonsProvider::DoNotCopy (enum)
    {12, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 31},	//183 KEmoticonsProvider::Copy (enum)
    {12, 367, 0, 0, Smoke::mf_dtor, 0, 32 },	//184 KEmoticonsProvider::~KEmoticonsProvider()
    {14, 206, 0, 0, Smoke::mf_const, 280, 1},	//185 KIdleTime::metaObject() const
    {14, 284, 3, 1, 0, 317, 2},	//186 KIdleTime::qt_metacast(const char*)
    {14, 346, 5, 2, Smoke::mf_static, 155, 3},	//187 KIdleTime::tr(const char*, const char*)
    {14, 353, 5, 2, Smoke::mf_static, 155, 4},	//188 KIdleTime::trUtf8(const char*, const char*)
    {14, 346, 8, 3, Smoke::mf_static, 155, 5},	//189 KIdleTime::tr(const char*, const char*, int)
    {14, 353, 8, 3, Smoke::mf_static, 155, 6},	//190 KIdleTime::trUtf8(const char*, const char*, int)
    {14, 282, 12, 3, 0, 314, 7},	//191 KIdleTime::qt_metacall(QMetaObject::Call, int, void**)
    {14, 188, 0, 0, Smoke::mf_static, 23, 8},	//192 KIdleTime::instance()
    {14, 182, 0, 0, Smoke::mf_const, 314, 9},	//193 KIdleTime::idleTime() const
    {14, 183, 0, 0, Smoke::mf_const, 105, 10},	//194 KIdleTime::idleTimeouts() const
    {14, 325, 0, 0, 0, 0, 11},	//195 KIdleTime::simulateUserActivity()
    {14, 108, 94, 1, Smoke::mf_slot, 314, 12},	//196 KIdleTime::addIdleTimeout(int)
    {14, 297, 94, 1, Smoke::mf_slot, 0, 13},	//197 KIdleTime::removeIdleTimeout(int)
    {14, 290, 0, 0, Smoke::mf_slot, 0, 14},	//198 KIdleTime::removeAllIdleTimeouts()
    {14, 135, 0, 0, Smoke::mf_slot, 0, 15},	//199 KIdleTime::catchNextResumeEvent()
    {14, 334, 0, 0, Smoke::mf_slot, 0, 16},	//200 KIdleTime::stopCatchingResumeEvent()
    {14, 300, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//201 KIdleTime::resumingFromIdle()
    {14, 342, 94, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//202 KIdleTime::timeoutReached(int)
    {14, 342, 117, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//203 KIdleTime::timeoutReached(int, int)
    {14, 346, 3, 1, Smoke::mf_static, 155, 20},	//204 KIdleTime::tr(const char*)
    {14, 353, 3, 1, Smoke::mf_static, 155, 21},	//205 KIdleTime::trUtf8(const char*)
    {14, 333, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 279, 22},	//206 KIdleTime::staticMetaObject() const
    {14, 368, 0, 0, Smoke::mf_dtor, 0, 23 },	//207 KIdleTime::~KIdleTime()
    {20, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 280, 1},	//208 KPluginSelector::metaObject() const
    {20, 284, 3, 1, Smoke::mf_virtual, 317, 2},	//209 KPluginSelector::qt_metacast(const char*)
    {20, 346, 5, 2, Smoke::mf_static, 155, 3},	//210 KPluginSelector::tr(const char*, const char*)
    {20, 353, 5, 2, Smoke::mf_static, 155, 4},	//211 KPluginSelector::trUtf8(const char*, const char*)
    {20, 346, 8, 3, Smoke::mf_static, 155, 5},	//212 KPluginSelector::tr(const char*, const char*, int)
    {20, 353, 8, 3, Smoke::mf_static, 155, 6},	//213 KPluginSelector::trUtf8(const char*, const char*, int)
    {20, 282, 12, 3, Smoke::mf_virtual, 314, 7},	//214 KPluginSelector::qt_metacall(QMetaObject::Call, int, void**)
    {20, 46, 24, 1, Smoke::mf_ctor, 31, 8},	//215 KPluginSelector::KPluginSelector(QWidget*)
    {20, 118, 120, 4, 0, 0, 9},	//216 KPluginSelector::addPlugins(const QString&, const QString&, const QString&, KSharedPtr<KSharedConfig>)
    {20, 118, 125, 4, 0, 0, 10},	//217 KPluginSelector::addPlugins(const KComponentData&, const QString&, const QString&, const KSharedPtr<KSharedConfig>&)
    {20, 118, 130, 5, 0, 0, 11},	//218 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&)
    {20, 203, 0, 0, 0, 0, 12},	//219 KPluginSelector::load()
    {20, 302, 0, 0, 0, 0, 13},	//220 KPluginSelector::save()
    {20, 156, 0, 0, 0, 0, 14},	//221 KPluginSelector::defaults()
    {20, 190, 0, 0, Smoke::mf_const, 249, 15},	//222 KPluginSelector::isDefault() const
    {20, 357, 0, 0, 0, 0, 16},	//223 KPluginSelector::updatePluginsState()
    {20, 137, 40, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//224 KPluginSelector::changed(bool)
    {20, 147, 64, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//225 KPluginSelector::configCommitted(const QByteArray&)
    {20, 346, 3, 1, Smoke::mf_static, 155, 19},	//226 KPluginSelector::tr(const char*)
    {20, 353, 3, 1, Smoke::mf_static, 155, 20},	//227 KPluginSelector::trUtf8(const char*)
    {20, 46, 0, 0, Smoke::mf_ctor, 31, 21},	//228 KPluginSelector::KPluginSelector()
    {20, 118, 22, 1, 0, 0, 22},	//229 KPluginSelector::addPlugins(const QString&)
    {20, 118, 114, 2, 0, 0, 23},	//230 KPluginSelector::addPlugins(const QString&, const QString&)
    {20, 118, 136, 3, 0, 0, 24},	//231 KPluginSelector::addPlugins(const QString&, const QString&, const QString&)
    {20, 118, 140, 1, 0, 0, 25},	//232 KPluginSelector::addPlugins(const KComponentData&)
    {20, 118, 142, 2, 0, 0, 26},	//233 KPluginSelector::addPlugins(const KComponentData&, const QString&)
    {20, 118, 145, 3, 0, 0, 27},	//234 KPluginSelector::addPlugins(const KComponentData&, const QString&, const QString&)
    {20, 118, 149, 1, 0, 0, 28},	//235 KPluginSelector::addPlugins(const QList<KPluginInfo>&)
    {20, 118, 151, 2, 0, 0, 29},	//236 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod)
    {20, 118, 154, 3, 0, 0, 30},	//237 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&)
    {20, 118, 158, 4, 0, 0, 31},	//238 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&)
    {20, 333, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 279, 32},	//239 KPluginSelector::staticMetaObject() const
    {20, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//240 KPluginSelector::ReadConfigFile (enum)
    {20, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//241 KPluginSelector::IgnoreConfigFile (enum)
    {20, 369, 0, 0, Smoke::mf_dtor, 0, 35 },	//242 KPluginSelector::~KPluginSelector()
    {21, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 280, 1},	//243 KPrintPreview::metaObject() const
    {21, 284, 3, 1, Smoke::mf_virtual, 317, 2},	//244 KPrintPreview::qt_metacast(const char*)
    {21, 346, 5, 2, Smoke::mf_static, 155, 3},	//245 KPrintPreview::tr(const char*, const char*)
    {21, 353, 5, 2, Smoke::mf_static, 155, 4},	//246 KPrintPreview::trUtf8(const char*, const char*)
    {21, 346, 8, 3, Smoke::mf_static, 155, 5},	//247 KPrintPreview::tr(const char*, const char*, int)
    {21, 353, 8, 3, Smoke::mf_static, 155, 6},	//248 KPrintPreview::trUtf8(const char*, const char*, int)
    {21, 282, 12, 3, Smoke::mf_virtual, 314, 7},	//249 KPrintPreview::qt_metacall(QMetaObject::Call, int, void**)
    {21, 48, 163, 2, Smoke::mf_ctor, 33, 8},	//250 KPrintPreview::KPrintPreview(QPrinter*, QWidget*)
    {21, 189, 0, 0, Smoke::mf_static, 249, 9},	//251 KPrintPreview::isAvailable()
    {21, 323, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//252 KPrintPreview::showEvent(QShowEvent*)
    {21, 346, 3, 1, Smoke::mf_static, 155, 11},	//253 KPrintPreview::tr(const char*)
    {21, 353, 3, 1, Smoke::mf_static, 155, 12},	//254 KPrintPreview::trUtf8(const char*)
    {21, 48, 166, 1, Smoke::mf_ctor, 33, 13},	//255 KPrintPreview::KPrintPreview(QPrinter*)
    {21, 333, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 279, 14},	//256 KPrintPreview::staticMetaObject() const
    {21, 370, 0, 0, Smoke::mf_dtor, 0, 15 },	//257 KPrintPreview::~KPrintPreview()
    {23, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 280, 1},	//258 KSettings::Dialog::metaObject() const
    {23, 284, 3, 1, Smoke::mf_virtual, 317, 2},	//259 KSettings::Dialog::qt_metacast(const char*)
    {23, 346, 5, 2, Smoke::mf_static, 155, 3},	//260 KSettings::Dialog::tr(const char*, const char*)
    {23, 353, 5, 2, Smoke::mf_static, 155, 4},	//261 KSettings::Dialog::trUtf8(const char*, const char*)
    {23, 346, 8, 3, Smoke::mf_static, 155, 5},	//262 KSettings::Dialog::tr(const char*, const char*, int)
    {23, 353, 8, 3, Smoke::mf_static, 155, 6},	//263 KSettings::Dialog::trUtf8(const char*, const char*, int)
    {23, 282, 12, 3, Smoke::mf_virtual, 314, 7},	//264 KSettings::Dialog::qt_metacall(QMetaObject::Call, int, void**)
    {23, 10, 24, 1, Smoke::mf_ctor, 35, 8},	//265 KSettings::Dialog::Dialog(QWidget*)
    {23, 10, 168, 2, Smoke::mf_ctor, 35, 9},	//266 KSettings::Dialog::Dialog(const QStringList&, QWidget*)
    {23, 116, 149, 1, 0, 0, 10},	//267 KSettings::Dialog::addPluginInfos(const QList<KPluginInfo>&)
    {23, 312, 171, 1, 0, 0, 11},	//268 KSettings::Dialog::setKCMArguments(const QStringList&)
    {23, 310, 171, 1, 0, 0, 12},	//269 KSettings::Dialog::setComponentBlacklist(const QStringList&)
    {23, 305, 40, 1, 0, 0, 13},	//270 KSettings::Dialog::setAllowComponentSelection(bool)
    {23, 133, 0, 0, Smoke::mf_const, 249, 14},	//271 KSettings::Dialog::allowComponentSelection() const
    {23, 279, 0, 0, Smoke::mf_const, 120, 15},	//272 KSettings::Dialog::pluginInfos() const
    {23, 323, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//273 KSettings::Dialog::showEvent(QShowEvent*)
    {23, 280, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//274 KSettings::Dialog::pluginSelectionChanged()
    {23, 346, 3, 1, Smoke::mf_static, 155, 18},	//275 KSettings::Dialog::tr(const char*)
    {23, 353, 3, 1, Smoke::mf_static, 155, 19},	//276 KSettings::Dialog::trUtf8(const char*)
    {23, 10, 0, 0, Smoke::mf_ctor, 35, 20},	//277 KSettings::Dialog::Dialog()
    {23, 10, 171, 1, Smoke::mf_ctor, 35, 21},	//278 KSettings::Dialog::Dialog(const QStringList&)
    {23, 333, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 279, 22},	//279 KSettings::Dialog::staticMetaObject() const
    {23, 362, 0, 0, Smoke::mf_dtor, 0, 23 },	//280 KSettings::Dialog::~Dialog()
    {24, 206, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 280, 1},	//281 KSettings::PluginPage::metaObject() const
    {24, 284, 3, 1, Smoke::mf_virtual, 317, 2},	//282 KSettings::PluginPage::qt_metacast(const char*)
    {24, 346, 5, 2, Smoke::mf_static, 155, 3},	//283 KSettings::PluginPage::tr(const char*, const char*)
    {24, 353, 5, 2, Smoke::mf_static, 155, 4},	//284 KSettings::PluginPage::trUtf8(const char*, const char*)
    {24, 346, 8, 3, Smoke::mf_static, 155, 5},	//285 KSettings::PluginPage::tr(const char*, const char*, int)
    {24, 353, 8, 3, Smoke::mf_static, 155, 6},	//286 KSettings::PluginPage::trUtf8(const char*, const char*, int)
    {24, 282, 12, 3, Smoke::mf_virtual, 314, 7},	//287 KSettings::PluginPage::qt_metacall(QMetaObject::Call, int, void**)
    {24, 76, 173, 3, Smoke::mf_ctor, 36, 8},	//288 KSettings::PluginPage::PluginPage(const KComponentData&, QWidget*, const QList<QVariant>&)
    {24, 281, 0, 0, 0, 31, 9},	//289 KSettings::PluginPage::pluginSelector()
    {24, 203, 0, 0, Smoke::mf_virtual, 0, 10},	//290 KSettings::PluginPage::load()
    {24, 302, 0, 0, Smoke::mf_virtual, 0, 11},	//291 KSettings::PluginPage::save()
    {24, 156, 0, 0, Smoke::mf_virtual, 0, 12},	//292 KSettings::PluginPage::defaults()
    {24, 346, 3, 1, Smoke::mf_static, 155, 13},	//293 KSettings::PluginPage::tr(const char*)
    {24, 353, 3, 1, Smoke::mf_static, 155, 14},	//294 KSettings::PluginPage::trUtf8(const char*)
    {24, 76, 140, 1, Smoke::mf_ctor, 36, 15},	//295 KSettings::PluginPage::PluginPage(const KComponentData&)
    {24, 76, 177, 2, Smoke::mf_ctor, 36, 16},	//296 KSettings::PluginPage::PluginPage(const KComponentData&, QWidget*)
    {24, 333, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 279, 17},	//297 KSettings::PluginPage::staticMetaObject() const
    {24, 371, 0, 0, Smoke::mf_dtor, 0, 18 },	//298 KSettings::PluginPage::~PluginPage()
    {39, 322, 40, 1, Smoke::mf_virtual, 0, 0},	//299 QDialog::setVisible(bool)
    {39, 160, 94, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//300 QDialog::done(int)
    {39, 99, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//301 QDialog::accept()
    {39, 289, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//302 QDialog::reject()
    {39, 323, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//303 QDialog::showEvent(QShowEvent*)
    {39, 299, 180, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//304 QDialog::resizeEvent(QResizeEvent*)
    {39, 150, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//305 QDialog::contextMenuEvent(QContextMenuEvent*)
    {39, 170, 184, 2, Smoke::mf_protected|Smoke::mf_virtual, 249, 0},	//306 QDialog::eventFilter(QObject*, QEvent*)
    {47, 273, 187, 2, Smoke::mf_static, 110, 1},	//307 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {47, 222, 190, 2, Smoke::mf_static, 285, 2},	//308 QGlobalSpace::operator*(const QPoint&, double)
    {47, 222, 193, 2, Smoke::mf_static, 287, 3},	//309 QGlobalSpace::operator*(double, const QPointF&)
    {47, 273, 196, 2, Smoke::mf_static, 94, 4},	//310 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {47, 217, 199, 2, Smoke::mf_static, 249, 5},	//311 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {47, 222, 202, 2, Smoke::mf_static, 297, 6},	//312 QGlobalSpace::operator*(double, const QSizeF&)
    {47, 269, 205, 2, Smoke::mf_static, 57, 7},	//313 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {47, 245, 208, 2, Smoke::mf_static, 57, 8},	//314 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {47, 273, 211, 2, Smoke::mf_static, 110, 9},	//315 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {47, 273, 214, 2, Smoke::mf_static, 71, 10},	//316 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    {47, 217, 217, 2, Smoke::mf_static, 249, 11},	//317 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {47, 226, 220, 2, Smoke::mf_static, 295, 12},	//318 QGlobalSpace::operator+(const QSize&, const QSize&)
    {47, 245, 223, 2, Smoke::mf_static, 57, 13},	//319 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {47, 222, 226, 2, Smoke::mf_static, 136, 14},	//320 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {47, 245, 229, 2, Smoke::mf_static, 57, 15},	//321 QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    {47, 222, 232, 2, Smoke::mf_static, 115, 16},	//322 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {47, 254, 199, 2, Smoke::mf_static, 249, 17},	//323 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {47, 273, 235, 2, Smoke::mf_static, 110, 18},	//324 QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, int)
    {47, 273, 238, 2, Smoke::mf_static, 99, 19},	//325 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {47, 222, 241, 2, Smoke::mf_static, 297, 20},	//326 QGlobalSpace::operator*(const QSizeF&, double)
    {47, 245, 244, 2, Smoke::mf_static, 57, 21},	//327 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {47, 259, 247, 2, Smoke::mf_static, 249, 22},	//328 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {47, 234, 250, 2, Smoke::mf_static, 297, 23},	//329 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {47, 273, 253, 2, Smoke::mf_static, 72, 24},	//330 QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    {47, 264, 256, 2, Smoke::mf_static, 249, 25},	//331 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {47, 254, 259, 2, Smoke::mf_static, 249, 26},	//332 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {47, 273, 262, 2, Smoke::mf_static, 94, 27},	//333 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {47, 273, 265, 2, Smoke::mf_static, 74, 28},	//334 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {47, 273, 268, 2, Smoke::mf_static, 74, 29},	//335 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {47, 217, 271, 2, Smoke::mf_static, 249, 30},	//336 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {47, 273, 274, 2, Smoke::mf_static, 70, 31},	//337 QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, KEmoticonsTheme::ParseModeEnum)
    {47, 254, 277, 2, Smoke::mf_static, 249, 32},	//338 QGlobalSpace::operator==(QBool, QBool)
    {47, 273, 280, 2, Smoke::mf_static, 110, 33},	//339 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {47, 273, 283, 2, Smoke::mf_static, 85, 34},	//340 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {47, 254, 286, 2, Smoke::mf_static, 249, 35},	//341 QGlobalSpace::operator==(QString::Null, QString::Null)
    {47, 269, 289, 2, Smoke::mf_static, 57, 36},	//342 QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    {47, 178, 3, 1, Smoke::mf_static, 155, 37},	//343 QGlobalSpace::i18n(const char*)
    {47, 245, 292, 2, Smoke::mf_static, 57, 38},	//344 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {47, 226, 295, 2, Smoke::mf_static, 300, 39},	//345 QGlobalSpace::operator+(QChar, const QString&)
    {47, 273, 298, 2, Smoke::mf_static, 79, 40},	//346 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {47, 273, 301, 2, Smoke::mf_static, 68, 41},	//347 QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    {47, 245, 304, 2, Smoke::mf_static, 57, 42},	//348 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {47, 231, 307, 1, Smoke::mf_static, 22, 43},	//349 QGlobalSpace::operator++(KIconLoader::Group&)
    {47, 245, 309, 2, Smoke::mf_static, 57, 44},	//350 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {47, 222, 312, 2, Smoke::mf_static, 140, 45},	//351 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {47, 273, 315, 2, Smoke::mf_static, 97, 46},	//352 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {47, 273, 318, 2, Smoke::mf_static, 110, 47},	//353 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {47, 226, 250, 2, Smoke::mf_static, 297, 48},	//354 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {47, 273, 321, 2, Smoke::mf_static, 110, 49},	//355 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {47, 273, 324, 2, Smoke::mf_static, 110, 50},	//356 QGlobalSpace::operator|(Qt::DropAction, int)
    {47, 245, 327, 2, Smoke::mf_static, 57, 51},	//357 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {47, 273, 330, 2, Smoke::mf_static, 76, 52},	//358 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {47, 273, 333, 2, Smoke::mf_static, 66, 53},	//359 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {47, 273, 336, 2, Smoke::mf_static, 85, 54},	//360 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {47, 269, 339, 2, Smoke::mf_static, 57, 55},	//361 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {47, 245, 342, 2, Smoke::mf_static, 57, 56},	//362 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {47, 273, 345, 2, Smoke::mf_static, 110, 57},	//363 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {47, 240, 348, 2, Smoke::mf_static, 249, 58},	//364 QGlobalSpace::operator<(const QByteArray&, const char*)
    {47, 350, 5, 2, Smoke::mf_static, 155, 59},	//365 QGlobalSpace::tr2i18n(const char*, const char*)
    {47, 350, 3, 1, Smoke::mf_static, 155, 60},	//366 QGlobalSpace::tr2i18n(const char*)
    {47, 273, 351, 2, Smoke::mf_static, 75, 61},	//367 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {47, 180, 5, 2, Smoke::mf_static, 155, 62},	//368 QGlobalSpace::i18nc(const char*, const char*)
    {47, 273, 354, 2, Smoke::mf_static, 86, 63},	//369 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {47, 273, 357, 2, Smoke::mf_static, 69, 64},	//370 QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    {47, 222, 360, 2, Smoke::mf_static, 115, 65},	//371 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {47, 273, 363, 2, Smoke::mf_static, 75, 66},	//372 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {47, 222, 366, 2, Smoke::mf_static, 117, 67},	//373 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {47, 273, 369, 2, Smoke::mf_static, 95, 68},	//374 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {47, 222, 372, 2, Smoke::mf_static, 130, 69},	//375 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {47, 273, 375, 2, Smoke::mf_static, 110, 70},	//376 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {47, 269, 378, 2, Smoke::mf_static, 57, 71},	//377 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {47, 273, 381, 2, Smoke::mf_static, 110, 72},	//378 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {47, 245, 384, 2, Smoke::mf_static, 57, 73},	//379 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {47, 226, 387, 2, Smoke::mf_static, 300, 74},	//380 QGlobalSpace::operator+(const QString&, const char*)
    {47, 245, 390, 2, Smoke::mf_static, 57, 75},	//381 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {47, 273, 393, 2, Smoke::mf_static, 88, 76},	//382 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {47, 269, 396, 2, Smoke::mf_static, 57, 77},	//383 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {47, 273, 399, 2, Smoke::mf_static, 79, 78},	//384 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {47, 226, 402, 2, Smoke::mf_static, 259, 79},	//385 QGlobalSpace::operator+(char, const QByteArray&)
    {47, 238, 190, 2, Smoke::mf_static, 285, 80},	//386 QGlobalSpace::operator/(const QPoint&, double)
    {47, 226, 405, 2, Smoke::mf_static, 300, 81},	//387 QGlobalSpace::operator+(const char*, const QString&)
    {47, 254, 408, 2, Smoke::mf_static, 249, 82},	//388 QGlobalSpace::operator==(const char*, const QByteArray&)
    {47, 269, 411, 2, Smoke::mf_static, 57, 83},	//389 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {47, 269, 414, 2, Smoke::mf_static, 57, 84},	//390 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {47, 273, 417, 2, Smoke::mf_static, 110, 85},	//391 QGlobalSpace::operator|(KDialog::ButtonCode, int)
    {47, 269, 420, 2, Smoke::mf_static, 57, 86},	//392 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {47, 254, 423, 2, Smoke::mf_static, 249, 87},	//393 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {47, 238, 426, 2, Smoke::mf_static, 166, 88},	//394 QGlobalSpace::operator/(const QTransform&, double)
    {47, 249, 405, 2, Smoke::mf_static, 249, 89},	//395 QGlobalSpace::operator<=(const char*, const QString&)
    {47, 195, 5, 2, Smoke::mf_static, 28, 90},	//396 QGlobalSpace::ki18nc(const char*, const char*)
    {47, 217, 429, 2, Smoke::mf_static, 249, 91},	//397 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {47, 240, 432, 2, Smoke::mf_static, 249, 92},	//398 QGlobalSpace::operator<(QChar, QChar)
    {47, 222, 435, 2, Smoke::mf_static, 130, 93},	//399 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {47, 245, 438, 2, Smoke::mf_static, 57, 94},	//400 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {47, 264, 247, 2, Smoke::mf_static, 249, 95},	//401 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {47, 273, 441, 2, Smoke::mf_static, 68, 96},	//402 QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    {47, 273, 444, 2, Smoke::mf_static, 110, 97},	//403 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    {47, 269, 447, 2, Smoke::mf_static, 57, 98},	//404 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {47, 222, 450, 2, Smoke::mf_static, 287, 99},	//405 QGlobalSpace::operator*(const QPointF&, double)
    {47, 273, 453, 2, Smoke::mf_static, 110, 100},	//406 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {47, 254, 220, 2, Smoke::mf_static, 249, 101},	//407 QGlobalSpace::operator==(const QSize&, const QSize&)
    {47, 245, 456, 2, Smoke::mf_static, 57, 102},	//408 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {47, 254, 247, 2, Smoke::mf_static, 249, 103},	//409 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {47, 273, 459, 2, Smoke::mf_static, 93, 104},	//410 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {47, 273, 462, 2, Smoke::mf_static, 110, 105},	//411 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {47, 217, 256, 2, Smoke::mf_static, 249, 106},	//412 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {47, 273, 465, 2, Smoke::mf_static, 81, 107},	//413 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {47, 269, 468, 2, Smoke::mf_static, 57, 108},	//414 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {47, 273, 471, 2, Smoke::mf_static, 92, 109},	//415 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {47, 238, 241, 2, Smoke::mf_static, 297, 110},	//416 QGlobalSpace::operator/(const QSizeF&, double)
    {47, 273, 474, 2, Smoke::mf_static, 93, 111},	//417 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {47, 269, 477, 2, Smoke::mf_static, 57, 112},	//418 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {47, 222, 480, 2, Smoke::mf_static, 138, 113},	//419 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {47, 259, 432, 2, Smoke::mf_static, 249, 114},	//420 QGlobalSpace::operator>(QChar, QChar)
    {47, 264, 408, 2, Smoke::mf_static, 249, 115},	//421 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {47, 254, 483, 2, Smoke::mf_static, 249, 116},	//422 QGlobalSpace::operator==(const QString&, QString::Null)
    {47, 273, 486, 2, Smoke::mf_static, 65, 117},	//423 QGlobalSpace::operator|(KCModule::Button, QFlags<KCModule::Button>)
    {47, 240, 256, 2, Smoke::mf_static, 249, 118},	//424 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {47, 273, 489, 2, Smoke::mf_static, 110, 119},	//425 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {47, 269, 492, 2, Smoke::mf_static, 57, 120},	//426 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {47, 234, 495, 1, Smoke::mf_static, 287, 121},	//427 QGlobalSpace::operator-(const QPointF&)
    {47, 273, 497, 2, Smoke::mf_static, 91, 122},	//428 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {47, 245, 500, 2, Smoke::mf_static, 57, 123},	//429 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {47, 226, 503, 2, Smoke::mf_static, 300, 124},	//430 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {47, 273, 506, 2, Smoke::mf_static, 100, 125},	//431 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {47, 222, 509, 2, Smoke::mf_static, 136, 126},	//432 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {47, 273, 512, 2, Smoke::mf_static, 91, 127},	//433 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {47, 273, 515, 2, Smoke::mf_static, 98, 128},	//434 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {47, 226, 518, 2, Smoke::mf_static, 300, 129},	//435 QGlobalSpace::operator+(const QString&, char)
    {47, 264, 429, 2, Smoke::mf_static, 249, 130},	//436 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {47, 254, 271, 2, Smoke::mf_static, 249, 131},	//437 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {47, 245, 521, 2, Smoke::mf_static, 57, 132},	//438 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {47, 273, 524, 2, Smoke::mf_static, 81, 133},	//439 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {47, 197, 527, 3, Smoke::mf_static, 28, 134},	//440 QGlobalSpace::ki18ncp(const char*, const char*, const char*)
    {47, 245, 531, 2, Smoke::mf_static, 57, 135},	//441 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {47, 269, 534, 2, Smoke::mf_static, 57, 136},	//442 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {47, 273, 537, 2, Smoke::mf_static, 92, 137},	//443 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {47, 240, 408, 2, Smoke::mf_static, 249, 138},	//444 QGlobalSpace::operator<(const char*, const QByteArray&)
    {47, 273, 540, 2, Smoke::mf_static, 110, 139},	//445 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {47, 222, 543, 2, Smoke::mf_static, 134, 140},	//446 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {47, 273, 546, 2, Smoke::mf_static, 110, 141},	//447 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {47, 273, 549, 2, Smoke::mf_static, 110, 142},	//448 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {47, 273, 552, 2, Smoke::mf_static, 73, 143},	//449 QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    {47, 217, 220, 2, Smoke::mf_static, 249, 144},	//450 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {47, 273, 555, 2, Smoke::mf_static, 89, 145},	//451 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {47, 249, 348, 2, Smoke::mf_static, 249, 146},	//452 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {47, 217, 558, 2, Smoke::mf_static, 249, 147},	//453 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {47, 273, 561, 2, Smoke::mf_static, 110, 148},	//454 QGlobalSpace::operator|(QString::SectionFlag, int)
    {47, 273, 564, 2, Smoke::mf_static, 110, 149},	//455 QGlobalSpace::operator|(Qt::WindowType, int)
    {47, 273, 567, 2, Smoke::mf_static, 84, 150},	//456 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {47, 254, 570, 2, Smoke::mf_static, 249, 151},	//457 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {47, 264, 573, 2, Smoke::mf_static, 249, 152},	//458 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {47, 254, 576, 2, Smoke::mf_static, 249, 153},	//459 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {47, 273, 579, 2, Smoke::mf_static, 77, 154},	//460 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {47, 273, 582, 2, Smoke::mf_static, 83, 155},	//461 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {47, 269, 585, 2, Smoke::mf_static, 57, 156},	//462 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {47, 245, 588, 2, Smoke::mf_static, 57, 157},	//463 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {47, 273, 591, 2, Smoke::mf_static, 110, 158},	//464 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {47, 222, 426, 2, Smoke::mf_static, 166, 159},	//465 QGlobalSpace::operator*(const QTransform&, double)
    {47, 273, 594, 2, Smoke::mf_static, 69, 160},	//466 QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    {47, 240, 429, 2, Smoke::mf_static, 249, 161},	//467 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {47, 273, 597, 2, Smoke::mf_static, 84, 162},	//468 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {47, 217, 600, 2, Smoke::mf_static, 249, 163},	//469 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {47, 217, 408, 2, Smoke::mf_static, 249, 164},	//470 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {47, 259, 429, 2, Smoke::mf_static, 249, 165},	//471 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {47, 273, 603, 2, Smoke::mf_static, 110, 166},	//472 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {47, 273, 606, 2, Smoke::mf_static, 78, 167},	//473 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {47, 273, 609, 2, Smoke::mf_static, 67, 168},	//474 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {47, 273, 612, 2, Smoke::mf_static, 110, 169},	//475 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {47, 245, 615, 2, Smoke::mf_static, 57, 170},	//476 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {47, 269, 618, 2, Smoke::mf_static, 57, 171},	//477 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {47, 245, 621, 2, Smoke::mf_static, 57, 172},	//478 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {47, 273, 624, 2, Smoke::mf_static, 72, 173},	//479 QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    {47, 226, 114, 2, Smoke::mf_static, 300, 174},	//480 QGlobalSpace::operator+(const QString&, const QString&)
    {47, 240, 405, 2, Smoke::mf_static, 249, 175},	//481 QGlobalSpace::operator<(const char*, const QString&)
    {47, 217, 405, 2, Smoke::mf_static, 249, 176},	//482 QGlobalSpace::operator!=(const char*, const QString&)
    {47, 217, 348, 2, Smoke::mf_static, 249, 177},	//483 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {47, 217, 627, 2, Smoke::mf_static, 249, 178},	//484 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {47, 273, 630, 2, Smoke::mf_static, 110, 179},	//485 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {47, 273, 633, 2, Smoke::mf_static, 110, 180},	//486 QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    {47, 273, 636, 2, Smoke::mf_static, 110, 181},	//487 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {47, 269, 639, 2, Smoke::mf_static, 57, 182},	//488 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {47, 259, 256, 2, Smoke::mf_static, 249, 183},	//489 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {47, 249, 247, 2, Smoke::mf_static, 249, 184},	//490 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {47, 254, 558, 2, Smoke::mf_static, 249, 185},	//491 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {47, 254, 642, 2, Smoke::mf_static, 249, 186},	//492 QGlobalSpace::operator==(const char*, const QStringRef&)
    {47, 226, 408, 2, Smoke::mf_static, 259, 187},	//493 QGlobalSpace::operator+(const char*, const QByteArray&)
    {47, 269, 645, 2, Smoke::mf_static, 57, 188},	//494 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {47, 273, 648, 2, Smoke::mf_static, 110, 189},	//495 QGlobalSpace::operator|(Qt::MouseButton, int)
    {47, 249, 429, 2, Smoke::mf_static, 249, 190},	//496 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {47, 269, 651, 2, Smoke::mf_static, 57, 191},	//497 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {47, 273, 654, 2, Smoke::mf_static, 90, 192},	//498 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {47, 273, 657, 2, Smoke::mf_static, 73, 193},	//499 QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    {47, 269, 660, 2, Smoke::mf_static, 57, 194},	//500 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {47, 254, 432, 2, Smoke::mf_static, 249, 195},	//501 QGlobalSpace::operator==(QChar, QChar)
    {47, 273, 663, 2, Smoke::mf_static, 96, 196},	//502 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {47, 217, 570, 2, Smoke::mf_static, 249, 197},	//503 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {47, 222, 666, 2, Smoke::mf_static, 117, 198},	//504 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {47, 217, 669, 2, Smoke::mf_static, 249, 199},	//505 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {47, 245, 672, 2, Smoke::mf_static, 57, 200},	//506 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {47, 245, 675, 2, Smoke::mf_static, 57, 201},	//507 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {47, 273, 678, 2, Smoke::mf_static, 97, 202},	//508 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {47, 245, 681, 2, Smoke::mf_static, 57, 203},	//509 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {47, 273, 684, 2, Smoke::mf_static, 77, 204},	//510 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {47, 273, 687, 2, Smoke::mf_static, 110, 205},	//511 QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    {47, 245, 690, 2, Smoke::mf_static, 57, 206},	//512 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {47, 226, 693, 2, Smoke::mf_static, 300, 207},	//513 QGlobalSpace::operator+(char, const QString&)
    {47, 217, 259, 2, Smoke::mf_static, 249, 208},	//514 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {47, 217, 432, 2, Smoke::mf_static, 249, 209},	//515 QGlobalSpace::operator!=(QChar, QChar)
    {47, 273, 696, 2, Smoke::mf_static, 80, 210},	//516 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {47, 254, 573, 2, Smoke::mf_static, 249, 211},	//517 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {47, 273, 699, 2, Smoke::mf_static, 99, 212},	//518 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {47, 273, 702, 2, Smoke::mf_static, 83, 213},	//519 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {47, 254, 250, 2, Smoke::mf_static, 249, 214},	//520 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {47, 269, 705, 2, Smoke::mf_static, 57, 215},	//521 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {47, 245, 708, 2, Smoke::mf_static, 57, 216},	//522 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {47, 269, 711, 2, Smoke::mf_static, 57, 217},	//523 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {47, 254, 429, 2, Smoke::mf_static, 249, 218},	//524 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {47, 217, 714, 2, Smoke::mf_static, 249, 219},	//525 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {47, 222, 717, 2, Smoke::mf_static, 295, 220},	//526 QGlobalSpace::operator*(double, const QSize&)
    {47, 273, 720, 2, Smoke::mf_static, 65, 221},	//527 QGlobalSpace::operator|(KCModule::Button, KCModule::Button)
    {47, 264, 348, 2, Smoke::mf_static, 249, 222},	//528 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {47, 222, 723, 2, Smoke::mf_static, 285, 223},	//529 QGlobalSpace::operator*(double, const QPoint&)
    {47, 245, 726, 2, Smoke::mf_static, 57, 224},	//530 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {47, 245, 729, 2, Smoke::mf_static, 57, 225},	//531 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {47, 226, 732, 2, Smoke::mf_static, 259, 226},	//532 QGlobalSpace::operator+(const QByteArray&, char)
    {47, 238, 450, 2, Smoke::mf_static, 287, 227},	//533 QGlobalSpace::operator/(const QPointF&, double)
    {47, 264, 432, 2, Smoke::mf_static, 249, 228},	//534 QGlobalSpace::operator>=(QChar, QChar)
    {47, 249, 256, 2, Smoke::mf_static, 249, 229},	//535 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {47, 269, 735, 2, Smoke::mf_static, 57, 230},	//536 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {47, 249, 573, 2, Smoke::mf_static, 249, 231},	//537 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {47, 273, 738, 2, Smoke::mf_static, 82, 232},	//538 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {47, 245, 741, 2, Smoke::mf_static, 57, 233},	//539 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {47, 259, 408, 2, Smoke::mf_static, 249, 234},	//540 QGlobalSpace::operator>(const char*, const QByteArray&)
    {47, 273, 744, 2, Smoke::mf_static, 71, 235},	//541 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    {47, 269, 747, 2, Smoke::mf_static, 57, 236},	//542 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {47, 245, 750, 2, Smoke::mf_static, 57, 237},	//543 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {47, 254, 714, 2, Smoke::mf_static, 249, 238},	//544 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {47, 217, 753, 2, Smoke::mf_static, 249, 239},	//545 QGlobalSpace::operator!=(bool, QBool)
    {47, 273, 756, 2, Smoke::mf_static, 78, 240},	//546 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {47, 222, 759, 2, Smoke::mf_static, 138, 241},	//547 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {47, 217, 762, 2, Smoke::mf_static, 249, 242},	//548 QGlobalSpace::operator!=(QBool, bool)
    {47, 273, 765, 2, Smoke::mf_static, 110, 243},	//549 QGlobalSpace::operator|(Qt::WindowState, int)
    {47, 234, 558, 2, Smoke::mf_static, 285, 244},	//550 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {47, 269, 768, 2, Smoke::mf_static, 57, 245},	//551 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {47, 226, 348, 2, Smoke::mf_static, 259, 246},	//552 QGlobalSpace::operator+(const QByteArray&, const char*)
    {47, 245, 771, 2, Smoke::mf_static, 57, 247},	//553 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {47, 217, 250, 2, Smoke::mf_static, 249, 248},	//554 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {47, 249, 408, 2, Smoke::mf_static, 249, 249},	//555 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {47, 273, 774, 2, Smoke::mf_static, 110, 250},	//556 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {47, 193, 3, 1, Smoke::mf_static, 28, 251},	//557 QGlobalSpace::ki18n(const char*)
    {47, 245, 777, 2, Smoke::mf_static, 57, 252},	//558 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {47, 273, 780, 2, Smoke::mf_static, 86, 253},	//559 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {47, 254, 627, 2, Smoke::mf_static, 249, 254},	//560 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {47, 217, 573, 2, Smoke::mf_static, 249, 255},	//561 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {47, 245, 783, 2, Smoke::mf_static, 57, 256},	//562 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {47, 273, 786, 2, Smoke::mf_static, 100, 257},	//563 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {47, 222, 789, 2, Smoke::mf_static, 295, 258},	//564 QGlobalSpace::operator*(const QSize&, double)
    {47, 254, 792, 2, Smoke::mf_static, 249, 259},	//565 QGlobalSpace::operator==(QString::Null, const QString&)
    {47, 273, 795, 2, Smoke::mf_static, 90, 260},	//566 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {47, 273, 798, 2, Smoke::mf_static, 66, 261},	//567 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {47, 269, 801, 2, Smoke::mf_static, 57, 262},	//568 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {47, 254, 348, 2, Smoke::mf_static, 249, 263},	//569 QGlobalSpace::operator==(const QByteArray&, const char*)
    {47, 269, 804, 2, Smoke::mf_static, 57, 264},	//570 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {47, 259, 405, 2, Smoke::mf_static, 249, 265},	//571 QGlobalSpace::operator>(const char*, const QString&)
    {47, 245, 807, 2, Smoke::mf_static, 57, 266},	//572 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {47, 269, 810, 2, Smoke::mf_static, 57, 267},	//573 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {47, 259, 348, 2, Smoke::mf_static, 249, 268},	//574 QGlobalSpace::operator>(const QByteArray&, const char*)
    {47, 240, 247, 2, Smoke::mf_static, 249, 269},	//575 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {47, 226, 558, 2, Smoke::mf_static, 285, 270},	//576 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {47, 249, 432, 2, Smoke::mf_static, 249, 271},	//577 QGlobalSpace::operator<=(QChar, QChar)
    {47, 273, 813, 2, Smoke::mf_static, 110, 272},	//578 QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    {47, 222, 816, 2, Smoke::mf_static, 146, 273},	//579 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {47, 217, 792, 2, Smoke::mf_static, 249, 274},	//580 QGlobalSpace::operator!=(QString::Null, const QString&)
    {47, 273, 819, 2, Smoke::mf_static, 110, 275},	//581 QGlobalSpace::operator|(KCModule::Button, int)
    {47, 259, 573, 2, Smoke::mf_static, 249, 276},	//582 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {47, 273, 822, 2, Smoke::mf_static, 82, 277},	//583 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {47, 217, 483, 2, Smoke::mf_static, 249, 278},	//584 QGlobalSpace::operator!=(const QString&, QString::Null)
    {47, 273, 825, 2, Smoke::mf_static, 110, 279},	//585 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {47, 273, 828, 2, Smoke::mf_static, 88, 280},	//586 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {47, 222, 831, 2, Smoke::mf_static, 140, 281},	//587 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {47, 234, 834, 1, Smoke::mf_static, 285, 282},	//588 QGlobalSpace::operator-(const QPoint&)
    {47, 269, 836, 2, Smoke::mf_static, 57, 283},	//589 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {47, 273, 839, 2, Smoke::mf_static, 76, 284},	//590 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {47, 269, 842, 2, Smoke::mf_static, 57, 285},	//591 QGlobalSpace::operator>>(QDataStream&, QString&)
    {47, 254, 256, 2, Smoke::mf_static, 249, 286},	//592 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {47, 245, 845, 2, Smoke::mf_static, 57, 287},	//593 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {47, 234, 423, 2, Smoke::mf_static, 287, 288},	//594 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {47, 240, 573, 2, Smoke::mf_static, 249, 289},	//595 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {47, 269, 848, 2, Smoke::mf_static, 57, 290},	//596 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {47, 226, 426, 2, Smoke::mf_static, 166, 291},	//597 QGlobalSpace::operator+(const QTransform&, double)
    {47, 273, 851, 2, Smoke::mf_static, 96, 292},	//598 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {47, 254, 600, 2, Smoke::mf_static, 249, 293},	//599 QGlobalSpace::operator==(const QStringRef&, const char*)
    {47, 217, 642, 2, Smoke::mf_static, 249, 294},	//600 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {47, 269, 854, 2, Smoke::mf_static, 57, 295},	//601 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {47, 226, 256, 2, Smoke::mf_static, 259, 296},	//602 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {47, 273, 857, 2, Smoke::mf_static, 70, 297},	//603 QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, QFlags<KEmoticonsTheme::ParseModeEnum>)
    {47, 273, 860, 2, Smoke::mf_static, 67, 298},	//604 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {47, 226, 863, 2, Smoke::mf_static, 300, 299},	//605 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {47, 269, 866, 2, Smoke::mf_static, 57, 300},	//606 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {47, 273, 869, 2, Smoke::mf_static, 110, 301},	//607 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {47, 254, 405, 2, Smoke::mf_static, 249, 302},	//608 QGlobalSpace::operator==(const char*, const QString&)
    {47, 245, 872, 2, Smoke::mf_static, 57, 303},	//609 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {47, 245, 875, 2, Smoke::mf_static, 57, 304},	//610 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {47, 238, 789, 2, Smoke::mf_static, 295, 305},	//611 QGlobalSpace::operator/(const QSize&, double)
    {47, 269, 878, 2, Smoke::mf_static, 57, 306},	//612 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {47, 269, 881, 2, Smoke::mf_static, 57, 307},	//613 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {47, 254, 753, 2, Smoke::mf_static, 249, 308},	//614 QGlobalSpace::operator==(bool, QBool)
    {47, 273, 884, 2, Smoke::mf_static, 98, 309},	//615 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {47, 273, 887, 2, Smoke::mf_static, 110, 310},	//616 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {47, 222, 890, 2, Smoke::mf_static, 134, 311},	//617 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {47, 264, 405, 2, Smoke::mf_static, 249, 312},	//618 QGlobalSpace::operator>=(const char*, const QString&)
    {47, 245, 893, 2, Smoke::mf_static, 57, 313},	//619 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {47, 199, 5, 2, Smoke::mf_static, 28, 314},	//620 QGlobalSpace::ki18np(const char*, const char*)
    {47, 269, 896, 2, Smoke::mf_static, 57, 315},	//621 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {47, 217, 423, 2, Smoke::mf_static, 249, 316},	//622 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {47, 273, 899, 2, Smoke::mf_static, 89, 317},	//623 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {47, 234, 220, 2, Smoke::mf_static, 295, 318},	//624 QGlobalSpace::operator-(const QSize&, const QSize&)
    {47, 273, 902, 2, Smoke::mf_static, 87, 319},	//625 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {47, 273, 905, 2, Smoke::mf_static, 87, 320},	//626 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {47, 273, 908, 2, Smoke::mf_static, 110, 321},	//627 QGlobalSpace::operator|(Qt::Orientation, int)
    {47, 217, 247, 2, Smoke::mf_static, 249, 322},	//628 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {47, 226, 423, 2, Smoke::mf_static, 287, 323},	//629 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {47, 222, 911, 2, Smoke::mf_static, 146, 324},	//630 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {47, 254, 762, 2, Smoke::mf_static, 249, 325},	//631 QGlobalSpace::operator==(QBool, bool)
    {47, 254, 217, 2, Smoke::mf_static, 249, 326},	//632 QGlobalSpace::operator==(const QRect&, const QRect&)
    {47, 269, 914, 2, Smoke::mf_static, 57, 327},	//633 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {47, 273, 917, 2, Smoke::mf_static, 80, 328},	//634 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {47, 226, 920, 2, Smoke::mf_static, 300, 329},	//635 QGlobalSpace::operator+(const QString&, QChar)
    {47, 217, 286, 2, Smoke::mf_static, 249, 330},	//636 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {47, 273, 923, 2, Smoke::mf_static, 95, 331},	//637 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {47, 217, 277, 2, Smoke::mf_static, 249, 332},	//638 QGlobalSpace::operator!=(QBool, QBool)
    {47, 254, 669, 2, Smoke::mf_static, 249, 333},	//639 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {47, 234, 426, 2, Smoke::mf_static, 166, 334},	//640 QGlobalSpace::operator-(const QTransform&, double)
    {47, 231, 926, 2, Smoke::mf_static, 21, 335},	//641 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {47, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 336},	//642 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {47, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 337},	//643 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {47, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 338},	//644 QGlobalSpace::Q_STATIC_TYPE (enum)
    {47, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 339},	//645 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {47, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 315, 340},	//646 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {47, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 341},	//647 QGlobalSpace::KST_KSycocaEntry (enum)
    {47, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 342},	//648 QGlobalSpace::KST_KService (enum)
    {47, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 343},	//649 QGlobalSpace::KST_KServiceType (enum)
    {47, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 344},	//650 QGlobalSpace::KST_KMimeType (enum)
    {47, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 345},	//651 QGlobalSpace::KST_KFolderMimeType (enum)
    {47, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 346},	//652 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {47, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 347},	//653 QGlobalSpace::KST_KServiceGroup (enum)
    {47, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 348},	//654 QGlobalSpace::KST_KImageIOFormat (enum)
    {47, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 349},	//655 QGlobalSpace::KST_KProtocolInfo (enum)
    {47, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 350},	//656 QGlobalSpace::KST_KServiceSeparator (enum)
    {47, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 351},	//657 QGlobalSpace::KST_KCustom (enum)
    {47, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 352},	//658 QGlobalSpace::QtDebugMsg (enum)
    {47, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 353},	//659 QGlobalSpace::QtWarningMsg (enum)
    {47, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 354},	//660 QGlobalSpace::QtCriticalMsg (enum)
    {47, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 355},	//661 QGlobalSpace::QtFatalMsg (enum)
    {47, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 247, 356},	//662 QGlobalSpace::QtSystemMsg (enum)
    {47, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 357},	//663 QGlobalSpace::KST_KServiceFactory (enum)
    {47, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 358},	//664 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {47, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 359},	//665 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {47, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 360},	//666 QGlobalSpace::KST_KImageIO (enum)
    {47, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 361},	//667 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {47, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 362},	//668 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {47, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 363},	//669 QGlobalSpace::KST_CTimeInfo (enum)
    {64, 169, 929, 1, Smoke::mf_virtual, 249, 0},	//670 QObject::event(QEvent*)
    {64, 170, 184, 2, Smoke::mf_virtual, 249, 0},	//671 QObject::eventFilter(QObject*, QEvent*)
    {64, 345, 931, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//672 QObject::timerEvent(QTimerEvent*)
    {64, 142, 933, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//673 QObject::childEvent(QChildEvent*)
    {64, 153, 929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//674 QObject::customEvent(QEvent*)
    {64, 149, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//675 QObject::connectNotify(const char*)
    {64, 159, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//676 QObject::disconnectNotify(const char*)
    {95, 158, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 314, 0},	//677 QWidget::devType() const
    {95, 322, 40, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//678 QWidget::setVisible(bool)
    {95, 326, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 150, 0},	//679 QWidget::sizeHint() const
    {95, 208, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 150, 0},	//680 QWidget::minimumSizeHint() const
    {95, 176, 94, 1, Smoke::mf_const|Smoke::mf_virtual, 314, 0},	//681 QWidget::heightForWidth(int) const
    {95, 275, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 128, 0},	//682 QWidget::paintEngine() const
    {95, 169, 929, 1, Smoke::mf_protected|Smoke::mf_virtual, 249, 0},	//683 QWidget::event(QEvent*)
    {95, 212, 935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//684 QWidget::mousePressEvent(QMouseEvent*)
    {95, 213, 935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//685 QWidget::mouseReleaseEvent(QMouseEvent*)
    {95, 210, 935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//686 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {95, 211, 935, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//687 QWidget::mouseMoveEvent(QMouseEvent*)
    {95, 359, 937, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//688 QWidget::wheelEvent(QWheelEvent*)
    {95, 191, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//689 QWidget::keyPressEvent(QKeyEvent*)
    {95, 192, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//690 QWidget::keyReleaseEvent(QKeyEvent*)
    {95, 172, 939, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//691 QWidget::focusInEvent(QFocusEvent*)
    {95, 174, 939, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//692 QWidget::focusOutEvent(QFocusEvent*)
    {95, 168, 929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//693 QWidget::enterEvent(QEvent*)
    {95, 202, 929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//694 QWidget::leaveEvent(QEvent*)
    {95, 276, 941, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QWidget::paintEvent(QPaintEvent*)
    {95, 214, 943, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//696 QWidget::moveEvent(QMoveEvent*)
    {95, 299, 180, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//697 QWidget::resizeEvent(QResizeEvent*)
    {95, 145, 90, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//698 QWidget::closeEvent(QCloseEvent*)
    {95, 150, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//699 QWidget::contextMenuEvent(QContextMenuEvent*)
    {95, 336, 945, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//700 QWidget::tabletEvent(QTabletEvent*)
    {95, 100, 947, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//701 QWidget::actionEvent(QActionEvent*)
    {95, 161, 949, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//702 QWidget::dragEnterEvent(QDragEnterEvent*)
    {95, 163, 951, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//703 QWidget::dragMoveEvent(QDragMoveEvent*)
    {95, 162, 953, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//704 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {95, 164, 955, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//705 QWidget::dropEvent(QDropEvent*)
    {95, 323, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//706 QWidget::showEvent(QShowEvent*)
    {95, 177, 88, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//707 QWidget::hideEvent(QHideEvent*)
    {95, 361, 957, 1, Smoke::mf_protected|Smoke::mf_virtual, 249, 0},	//708 QWidget::x11Event(_XEvent*)
    {95, 136, 929, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//709 QWidget::changeEvent(QEvent*)
    {95, 207, 959, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 314, 0},	//710 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {95, 184, 961, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//711 QWidget::inputMethodEvent(QInputMethodEvent*)
    {95, 185, 963, 1, Smoke::mf_const|Smoke::mf_virtual, 170, 0},	//712 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {95, 173, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 249, 0},	//713 QWidget::focusNextPrevChild(bool)
    {95, 335, 965, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//714 QWidget::styleChange(QStyle&)
    {95, 167, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//715 QWidget::enabledChange(bool)
    {95, 277, 967, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//716 QWidget::paletteChange(const QPalette&)
    {95, 175, 969, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//717 QWidget::fontChange(const QFont&)
    {95, 360, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//718 QWidget::windowActivationChange(bool)
    {95, 201, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//719 QWidget::languageChange()
    {95, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 44},	//720 QWidget::DrawWindowBackground (enum)
    {95, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 45},	//721 QWidget::DrawChildren (enum)
    {95, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 46},	//722 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    311,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    317,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    336,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    397,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    412,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    450,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    453,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    505,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    514,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    515,  // QGlobalSpace::operator!=(QChar, QChar)
    525,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    554,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    561,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    622,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    636,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    638,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    469,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    483,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    503,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    548,  // QGlobalSpace::operator!=(QBool, bool)
    580,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    470,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    484,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    545,  // QGlobalSpace::operator!=(bool, QBool)
    584,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    600,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    628,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    320,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    322,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    351,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    371,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    373,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    375,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    399,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    419,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    432,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    446,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    504,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    547,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    579,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    587,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    617,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    630,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    308,  // QGlobalSpace::operator*(const QPoint&, double)
    326,  // QGlobalSpace::operator*(const QSizeF&, double)
    405,  // QGlobalSpace::operator*(const QPointF&, double)
    465,  // QGlobalSpace::operator*(const QTransform&, double)
    564,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    309,  // QGlobalSpace::operator*(double, const QPointF&)
    312,  // QGlobalSpace::operator*(double, const QSizeF&)
    526,  // QGlobalSpace::operator*(double, const QSize&)
    529,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    318,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    354,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    576,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    602,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    629,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    345,  // QGlobalSpace::operator+(QChar, const QString&)
    430,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    532,  // QGlobalSpace::operator+(const QByteArray&, char)
    552,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    597,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    385,  // QGlobalSpace::operator+(char, const QByteArray&)
    493,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    605,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    635,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    380,  // QGlobalSpace::operator+(const QString&, const char*)
    387,  // QGlobalSpace::operator+(const char*, const QString&)
    435,  // QGlobalSpace::operator+(const QString&, char)
    480,  // QGlobalSpace::operator+(const QString&, const QString&)
    513,  // QGlobalSpace::operator+(char, const QString&)
    0,
    427,  // QGlobalSpace::operator-(const QPointF&)
    588,  // QGlobalSpace::operator-(const QPoint&)
    0,
    329,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    550,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    594,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    624,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    386,  // QGlobalSpace::operator/(const QPoint&, double)
    394,  // QGlobalSpace::operator/(const QTransform&, double)
    416,  // QGlobalSpace::operator/(const QSizeF&, double)
    533,  // QGlobalSpace::operator/(const QPointF&, double)
    611,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    398,  // QGlobalSpace::operator<(QChar, QChar)
    424,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    467,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    595,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    444,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    575,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    314,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    319,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    321,  // QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    327,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    344,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    348,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    350,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    362,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    379,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    381,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    400,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    408,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    429,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    438,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    441,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    463,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    476,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    478,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    506,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    507,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    509,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    512,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    522,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    530,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    531,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    539,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    543,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    553,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    558,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    562,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    572,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    609,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    619,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    593,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    610,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    496,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    535,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    537,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    577,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    490,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    555,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    323,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    332,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    338,  // QGlobalSpace::operator==(QBool, QBool)
    341,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    393,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    407,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    437,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    459,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    491,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    501,  // QGlobalSpace::operator==(QChar, QChar)
    517,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    520,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    524,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    544,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    592,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    632,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    639,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    457,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    565,  // QGlobalSpace::operator==(QString::Null, const QString&)
    569,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    599,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    631,  // QGlobalSpace::operator==(QBool, bool)
    0,
    388,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    409,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    422,  // QGlobalSpace::operator==(const QString&, QString::Null)
    492,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    560,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    614,  // QGlobalSpace::operator==(bool, QBool)
    0,
    420,  // QGlobalSpace::operator>(QChar, QChar)
    471,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    489,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    582,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    328,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    540,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    331,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    436,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    458,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    534,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    401,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    421,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    313,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    342,  // QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    361,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    377,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    383,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    389,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    390,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    392,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    404,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    414,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    418,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    426,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    442,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    462,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    477,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    488,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    494,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    497,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    521,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    523,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    536,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    542,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    568,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    570,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    573,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    589,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    596,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    601,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    606,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    612,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    613,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    621,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    633,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    500,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    591,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    307,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    310,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    315,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    316,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    324,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, int)
    325,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    330,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    333,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    334,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    335,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    337,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, KEmoticonsTheme::ParseModeEnum)
    339,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    340,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    346,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    347,  // QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    352,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    353,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    355,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    356,  // QGlobalSpace::operator|(Qt::DropAction, int)
    358,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    359,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    360,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    363,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    367,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    369,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    370,  // QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    372,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    374,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    376,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    378,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    382,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    384,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    391,  // QGlobalSpace::operator|(KDialog::ButtonCode, int)
    402,  // QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    403,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    406,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    410,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    411,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    413,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    415,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    417,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    423,  // QGlobalSpace::operator|(KCModule::Button, QFlags<KCModule::Button>)
    425,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    428,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    431,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    433,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    434,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    439,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    443,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    445,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    447,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    448,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    449,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    451,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    454,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    455,  // QGlobalSpace::operator|(Qt::WindowType, int)
    456,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    460,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    461,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    464,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    466,  // QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    468,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    472,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    473,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    474,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    475,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    479,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    485,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    486,  // QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    487,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    495,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    498,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    499,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    502,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    508,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    510,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    511,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    516,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    518,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    519,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    527,  // QGlobalSpace::operator|(KCModule::Button, KCModule::Button)
    538,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    541,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    546,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    549,  // QGlobalSpace::operator|(Qt::WindowState, int)
    556,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    559,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    563,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    566,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    567,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    578,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    581,  // QGlobalSpace::operator|(KCModule::Button, int)
    583,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    585,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    586,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    590,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    598,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    603,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, QFlags<KEmoticonsTheme::ParseModeEnum>)
    604,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    607,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    615,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    616,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    623,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    625,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    626,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    627,  // QGlobalSpace::operator|(Qt::Orientation, int)
    634,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    637,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {3, 24, 24},	// KCModuleContainer::KCModuleContainer#
    {3, 25, 17},	// KCModuleContainer::KCModuleContainer#$
    {3, 26, 16},	// KCModuleContainer::KCModuleContainer#?
    {3, 114, 18},	// KCModuleContainer::addModule$
    {3, 132, 28},	// KCModuleContainer::allModules
    {3, 140, 26},	// KCModuleContainer::changedModules
    {3, 156, 21},	// KCModuleContainer::defaults
    {3, 203, 20},	// KCModuleContainer::load
    {3, 206, 9},	// KCModuleContainer::metaObject
    {3, 283, 15},	// KCModuleContainer::qt_metacall$$?
    {3, 285, 10},	// KCModuleContainer::qt_metacast$
    {3, 302, 19},	// KCModuleContainer::save
    {3, 304, 29},	// KCModuleContainer::setAllModules?
    {3, 309, 27},	// KCModuleContainer::setChangedModules?
    {3, 333, 25},	// KCModuleContainer::staticMetaObject
    {3, 347, 22},	// KCModuleContainer::tr$
    {3, 348, 11},	// KCModuleContainer::tr$$
    {3, 349, 13},	// KCModuleContainer::tr$$$
    {3, 354, 23},	// KCModuleContainer::trUtf8$
    {3, 355, 12},	// KCModuleContainer::trUtf8$$
    {3, 356, 14},	// KCModuleContainer::trUtf8$$$
    {3, 363, 30},	// KCModuleContainer::~KCModuleContainer
    {5, 28, 64},	// KCModuleProxy::KCModuleProxy#
    {5, 29, 65},	// KCModuleProxy::KCModuleProxy##
    {5, 30, 38},	// KCModuleProxy::KCModuleProxy##?
    {5, 31, 66},	// KCModuleProxy::KCModuleProxy$
    {5, 32, 67},	// KCModuleProxy::KCModuleProxy$#
    {5, 33, 39},	// KCModuleProxy::KCModuleProxy$#?
    {5, 34, 68},	// KCModuleProxy::KCModuleProxy?
    {5, 35, 69},	// KCModuleProxy::KCModuleProxy?#
    {5, 36, 40},	// KCModuleProxy::KCModuleProxy?#?
    {5, 98, 44},	// KCModuleProxy::aboutData
    {5, 134, 45},	// KCModuleProxy::buttons
    {5, 137, 49},	// KCModuleProxy::changed
    {5, 138, 58},	// KCModuleProxy::changed#
    {5, 139, 57},	// KCModuleProxy::changed$
    {5, 141, 59},	// KCModuleProxy::childClosed
    {5, 146, 48},	// KCModuleProxy::componentData
    {5, 154, 53},	// KCModuleProxy::dbusPath
    {5, 155, 52},	// KCModuleProxy::dbusService
    {5, 156, 55},	// KCModuleProxy::defaults
    {5, 157, 56},	// KCModuleProxy::deleteClient
    {5, 203, 41},	// KCModuleProxy::load
    {5, 206, 31},	// KCModuleProxy::metaObject
    {5, 208, 54},	// KCModuleProxy::minimumSizeHint
    {5, 209, 51},	// KCModuleProxy::moduleInfo
    {5, 283, 37},	// KCModuleProxy::qt_metacall$$?
    {5, 285, 32},	// KCModuleProxy::qt_metacast$
    {5, 286, 43},	// KCModuleProxy::quickHelp
    {5, 287, 60},	// KCModuleProxy::quickHelpChanged
    {5, 288, 50},	// KCModuleProxy::realModule
    {5, 301, 46},	// KCModuleProxy::rootOnlyMessage
    {5, 302, 42},	// KCModuleProxy::save
    {5, 324, 61},	// KCModuleProxy::showEvent#
    {5, 333, 70},	// KCModuleProxy::staticMetaObject
    {5, 347, 62},	// KCModuleProxy::tr$
    {5, 348, 33},	// KCModuleProxy::tr$$
    {5, 349, 35},	// KCModuleProxy::tr$$$
    {5, 354, 63},	// KCModuleProxy::trUtf8$
    {5, 355, 34},	// KCModuleProxy::trUtf8$$
    {5, 356, 36},	// KCModuleProxy::trUtf8$$$
    {5, 358, 47},	// KCModuleProxy::useRootOnlyMessage
    {5, 364, 71},	// KCModuleProxy::~KCModuleProxy
    {6, 37, 94},	// KCMultiDialog::KCMultiDialog
    {6, 38, 79},	// KCMultiDialog::KCMultiDialog#
    {6, 39, 98},	// KCMultiDialog::KCMultiDialog##
    {6, 40, 99},	// KCMultiDialog::KCMultiDialog###
    {6, 41, 86},	// KCMultiDialog::KCMultiDialog###$
    {6, 42, 85},	// KCMultiDialog::KCMultiDialog##$
    {6, 111, 96},	// KCMultiDialog::addModule#
    {6, 112, 97},	// KCMultiDialog::addModule##
    {6, 113, 81},	// KCMultiDialog::addModule##?
    {6, 114, 95},	// KCMultiDialog::addModule$
    {6, 115, 80},	// KCMultiDialog::addModule$?
    {6, 143, 82},	// KCMultiDialog::clear
    {6, 147, 83},	// KCMultiDialog::configCommitted
    {6, 148, 84},	// KCMultiDialog::configCommitted#
    {6, 206, 72},	// KCMultiDialog::metaObject
    {6, 283, 78},	// KCMultiDialog::qt_metacall$$?
    {6, 285, 73},	// KCMultiDialog::qt_metacast$
    {6, 327, 89},	// KCMultiDialog::slotApplyClicked
    {6, 329, 87},	// KCMultiDialog::slotDefaultClicked
    {6, 330, 91},	// KCMultiDialog::slotHelpClicked
    {6, 331, 90},	// KCMultiDialog::slotOkClicked
    {6, 332, 88},	// KCMultiDialog::slotUser1Clicked
    {6, 333, 100},	// KCMultiDialog::staticMetaObject
    {6, 347, 92},	// KCMultiDialog::tr$
    {6, 348, 74},	// KCMultiDialog::tr$$
    {6, 349, 76},	// KCMultiDialog::tr$$$
    {6, 354, 93},	// KCMultiDialog::trUtf8$
    {6, 355, 75},	// KCMultiDialog::trUtf8$$
    {6, 356, 77},	// KCMultiDialog::trUtf8$$$
    {6, 365, 101},	// KCMultiDialog::~KCMultiDialog
    {11, 43, 138},	// KEmoticons::KEmoticons
    {11, 152, 141},	// KEmoticons::currentThemeName
    {11, 187, 146},	// KEmoticons::installTheme$
    {11, 206, 131},	// KEmoticons::metaObject
    {11, 216, 145},	// KEmoticons::newTheme$?
    {11, 278, 148},	// KEmoticons::parseMode
    {11, 283, 137},	// KEmoticons::qt_metacall$$?
    {11, 285, 132},	// KEmoticons::qt_metacast$
    {11, 315, 147},	// KEmoticons::setParseMode$
    {11, 318, 143},	// KEmoticons::setTheme#
    {11, 319, 144},	// KEmoticons::setTheme$
    {11, 333, 151},	// KEmoticons::staticMetaObject
    {11, 337, 139},	// KEmoticons::theme
    {11, 338, 140},	// KEmoticons::theme$
    {11, 339, 142},	// KEmoticons::themeList
    {11, 347, 149},	// KEmoticons::tr$
    {11, 348, 133},	// KEmoticons::tr$$
    {11, 349, 135},	// KEmoticons::tr$$$
    {11, 354, 150},	// KEmoticons::trUtf8$
    {11, 355, 134},	// KEmoticons::trUtf8$$
    {11, 356, 136},	// KEmoticons::trUtf8$$$
    {11, 366, 152},	// KEmoticons::~KEmoticons
    {12, 6, 183},	// KEmoticonsProvider::Copy
    {12, 14, 182},	// KEmoticonsProvider::DoNotCopy
    {12, 44, 179},	// KEmoticonsProvider::KEmoticonsProvider
    {12, 45, 160},	// KEmoticonsProvider::KEmoticonsProvider#
    {12, 102, 180},	// KEmoticonsProvider::addEmoticon$$
    {12, 103, 163},	// KEmoticonsProvider::addEmoticon$$$
    {12, 105, 175},	// KEmoticonsProvider::addEmoticonIndex$?
    {12, 107, 173},	// KEmoticonsProvider::addEmoticonsMap$?
    {12, 144, 172},	// KEmoticonsProvider::clearEmoticonsMap
    {12, 151, 171},	// KEmoticonsProvider::createNew
    {12, 165, 170},	// KEmoticonsProvider::emoticonsIndex
    {12, 166, 169},	// KEmoticonsProvider::emoticonsMap
    {12, 171, 168},	// KEmoticonsProvider::fileName
    {12, 205, 161},	// KEmoticonsProvider::loadTheme$
    {12, 206, 153},	// KEmoticonsProvider::metaObject
    {12, 283, 159},	// KEmoticonsProvider::qt_metacall$$?
    {12, 285, 154},	// KEmoticonsProvider::qt_metacast$
    {12, 292, 162},	// KEmoticonsProvider::removeEmoticon$
    {12, 294, 176},	// KEmoticonsProvider::removeEmoticonIndex$?
    {12, 296, 174},	// KEmoticonsProvider::removeEmoticonsMap$
    {12, 302, 164},	// KEmoticonsProvider::save
    {12, 321, 166},	// KEmoticonsProvider::setThemeName$
    {12, 333, 181},	// KEmoticonsProvider::staticMetaObject
    {12, 340, 165},	// KEmoticonsProvider::themeName
    {12, 341, 167},	// KEmoticonsProvider::themePath
    {12, 347, 177},	// KEmoticonsProvider::tr$
    {12, 348, 155},	// KEmoticonsProvider::tr$$
    {12, 349, 157},	// KEmoticonsProvider::tr$$$
    {12, 354, 178},	// KEmoticonsProvider::trUtf8$
    {12, 355, 156},	// KEmoticonsProvider::trUtf8$$
    {12, 356, 158},	// KEmoticonsProvider::trUtf8$$$
    {12, 367, 184},	// KEmoticonsProvider::~KEmoticonsProvider
    {14, 109, 196},	// KIdleTime::addIdleTimeout$
    {14, 135, 199},	// KIdleTime::catchNextResumeEvent
    {14, 182, 193},	// KIdleTime::idleTime
    {14, 183, 194},	// KIdleTime::idleTimeouts
    {14, 188, 192},	// KIdleTime::instance
    {14, 206, 185},	// KIdleTime::metaObject
    {14, 283, 191},	// KIdleTime::qt_metacall$$?
    {14, 285, 186},	// KIdleTime::qt_metacast$
    {14, 290, 198},	// KIdleTime::removeAllIdleTimeouts
    {14, 298, 197},	// KIdleTime::removeIdleTimeout$
    {14, 300, 201},	// KIdleTime::resumingFromIdle
    {14, 325, 195},	// KIdleTime::simulateUserActivity
    {14, 333, 206},	// KIdleTime::staticMetaObject
    {14, 334, 200},	// KIdleTime::stopCatchingResumeEvent
    {14, 343, 202},	// KIdleTime::timeoutReached$
    {14, 344, 203},	// KIdleTime::timeoutReached$$
    {14, 347, 204},	// KIdleTime::tr$
    {14, 348, 187},	// KIdleTime::tr$$
    {14, 349, 189},	// KIdleTime::tr$$$
    {14, 354, 205},	// KIdleTime::trUtf8$
    {14, 355, 188},	// KIdleTime::trUtf8$$
    {14, 356, 190},	// KIdleTime::trUtf8$$$
    {14, 368, 207},	// KIdleTime::~KIdleTime
    {20, 20, 241},	// KPluginSelector::IgnoreConfigFile
    {20, 46, 228},	// KPluginSelector::KPluginSelector
    {20, 47, 215},	// KPluginSelector::KPluginSelector#
    {20, 90, 240},	// KPluginSelector::ReadConfigFile
    {20, 119, 232},	// KPluginSelector::addPlugins#
    {20, 120, 233},	// KPluginSelector::addPlugins#$
    {20, 121, 234},	// KPluginSelector::addPlugins#$$
    {20, 122, 217},	// KPluginSelector::addPlugins#$$?
    {20, 123, 229},	// KPluginSelector::addPlugins$
    {20, 124, 230},	// KPluginSelector::addPlugins$$
    {20, 125, 231},	// KPluginSelector::addPlugins$$$
    {20, 126, 216},	// KPluginSelector::addPlugins$$$?
    {20, 127, 235},	// KPluginSelector::addPlugins?
    {20, 128, 236},	// KPluginSelector::addPlugins?$
    {20, 129, 237},	// KPluginSelector::addPlugins?$$
    {20, 130, 238},	// KPluginSelector::addPlugins?$$$
    {20, 131, 218},	// KPluginSelector::addPlugins?$$$?
    {20, 139, 224},	// KPluginSelector::changed$
    {20, 148, 225},	// KPluginSelector::configCommitted#
    {20, 156, 221},	// KPluginSelector::defaults
    {20, 190, 222},	// KPluginSelector::isDefault
    {20, 203, 219},	// KPluginSelector::load
    {20, 206, 208},	// KPluginSelector::metaObject
    {20, 283, 214},	// KPluginSelector::qt_metacall$$?
    {20, 285, 209},	// KPluginSelector::qt_metacast$
    {20, 302, 220},	// KPluginSelector::save
    {20, 333, 239},	// KPluginSelector::staticMetaObject
    {20, 347, 226},	// KPluginSelector::tr$
    {20, 348, 210},	// KPluginSelector::tr$$
    {20, 349, 212},	// KPluginSelector::tr$$$
    {20, 354, 227},	// KPluginSelector::trUtf8$
    {20, 355, 211},	// KPluginSelector::trUtf8$$
    {20, 356, 213},	// KPluginSelector::trUtf8$$$
    {20, 357, 223},	// KPluginSelector::updatePluginsState
    {20, 369, 242},	// KPluginSelector::~KPluginSelector
    {21, 49, 255},	// KPrintPreview::KPrintPreview#
    {21, 50, 250},	// KPrintPreview::KPrintPreview##
    {21, 189, 251},	// KPrintPreview::isAvailable
    {21, 206, 243},	// KPrintPreview::metaObject
    {21, 283, 249},	// KPrintPreview::qt_metacall$$?
    {21, 285, 244},	// KPrintPreview::qt_metacast$
    {21, 324, 252},	// KPrintPreview::showEvent#
    {21, 333, 256},	// KPrintPreview::staticMetaObject
    {21, 347, 253},	// KPrintPreview::tr$
    {21, 348, 245},	// KPrintPreview::tr$$
    {21, 349, 247},	// KPrintPreview::tr$$$
    {21, 354, 254},	// KPrintPreview::trUtf8$
    {21, 355, 246},	// KPrintPreview::trUtf8$$
    {21, 356, 248},	// KPrintPreview::trUtf8$$$
    {21, 370, 257},	// KPrintPreview::~KPrintPreview
    {23, 10, 277},	// KSettings::Dialog::Dialog
    {23, 11, 265},	// KSettings::Dialog::Dialog#
    {23, 12, 278},	// KSettings::Dialog::Dialog?
    {23, 13, 266},	// KSettings::Dialog::Dialog?#
    {23, 117, 267},	// KSettings::Dialog::addPluginInfos?
    {23, 133, 271},	// KSettings::Dialog::allowComponentSelection
    {23, 206, 258},	// KSettings::Dialog::metaObject
    {23, 279, 272},	// KSettings::Dialog::pluginInfos
    {23, 280, 274},	// KSettings::Dialog::pluginSelectionChanged
    {23, 283, 264},	// KSettings::Dialog::qt_metacall$$?
    {23, 285, 259},	// KSettings::Dialog::qt_metacast$
    {23, 306, 270},	// KSettings::Dialog::setAllowComponentSelection$
    {23, 311, 269},	// KSettings::Dialog::setComponentBlacklist?
    {23, 313, 268},	// KSettings::Dialog::setKCMArguments?
    {23, 324, 273},	// KSettings::Dialog::showEvent#
    {23, 333, 279},	// KSettings::Dialog::staticMetaObject
    {23, 347, 275},	// KSettings::Dialog::tr$
    {23, 348, 260},	// KSettings::Dialog::tr$$
    {23, 349, 262},	// KSettings::Dialog::tr$$$
    {23, 354, 276},	// KSettings::Dialog::trUtf8$
    {23, 355, 261},	// KSettings::Dialog::trUtf8$$
    {23, 356, 263},	// KSettings::Dialog::trUtf8$$$
    {23, 362, 280},	// KSettings::Dialog::~Dialog
    {24, 77, 295},	// KSettings::PluginPage::PluginPage#
    {24, 78, 296},	// KSettings::PluginPage::PluginPage##
    {24, 79, 288},	// KSettings::PluginPage::PluginPage##?
    {24, 156, 292},	// KSettings::PluginPage::defaults
    {24, 203, 290},	// KSettings::PluginPage::load
    {24, 206, 281},	// KSettings::PluginPage::metaObject
    {24, 281, 289},	// KSettings::PluginPage::pluginSelector
    {24, 283, 287},	// KSettings::PluginPage::qt_metacall$$?
    {24, 285, 282},	// KSettings::PluginPage::qt_metacast$
    {24, 302, 291},	// KSettings::PluginPage::save
    {24, 333, 297},	// KSettings::PluginPage::staticMetaObject
    {24, 347, 293},	// KSettings::PluginPage::tr$
    {24, 348, 283},	// KSettings::PluginPage::tr$$
    {24, 349, 285},	// KSettings::PluginPage::tr$$$
    {24, 354, 294},	// KSettings::PluginPage::trUtf8$
    {24, 355, 284},	// KSettings::PluginPage::trUtf8$$
    {24, 356, 286},	// KSettings::PluginPage::trUtf8$$$
    {24, 371, 298},	// KSettings::PluginPage::~PluginPage
    {47, 51, 669},	// QGlobalSpace::KST_CTimeInfo
    {47, 52, 657},	// QGlobalSpace::KST_KCustom
    {47, 53, 652},	// QGlobalSpace::KST_KDEDesktopMimeType
    {47, 54, 651},	// QGlobalSpace::KST_KFolderMimeType
    {47, 55, 666},	// QGlobalSpace::KST_KImageIO
    {47, 56, 654},	// QGlobalSpace::KST_KImageIOFormat
    {47, 57, 650},	// QGlobalSpace::KST_KMimeType
    {47, 58, 668},	// QGlobalSpace::KST_KMimeTypeFactory
    {47, 59, 655},	// QGlobalSpace::KST_KProtocolInfo
    {47, 60, 667},	// QGlobalSpace::KST_KProtocolInfoFactory
    {47, 61, 648},	// QGlobalSpace::KST_KService
    {47, 62, 663},	// QGlobalSpace::KST_KServiceFactory
    {47, 63, 653},	// QGlobalSpace::KST_KServiceGroup
    {47, 64, 665},	// QGlobalSpace::KST_KServiceGroupFactory
    {47, 65, 656},	// QGlobalSpace::KST_KServiceSeparator
    {47, 66, 649},	// QGlobalSpace::KST_KServiceType
    {47, 67, 664},	// QGlobalSpace::KST_KServiceTypeFactory
    {47, 68, 647},	// QGlobalSpace::KST_KSycocaEntry
    {47, 80, 642},	// QGlobalSpace::Q_COMPLEX_TYPE
    {47, 81, 646},	// QGlobalSpace::Q_DUMMY_TYPE
    {47, 82, 645},	// QGlobalSpace::Q_MOVABLE_TYPE
    {47, 83, 643},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {47, 84, 644},	// QGlobalSpace::Q_STATIC_TYPE
    {47, 85, 660},	// QGlobalSpace::QtCriticalMsg
    {47, 86, 658},	// QGlobalSpace::QtDebugMsg
    {47, 87, 661},	// QGlobalSpace::QtFatalMsg
    {47, 88, 662},	// QGlobalSpace::QtSystemMsg
    {47, 89, 659},	// QGlobalSpace::QtWarningMsg
    {47, 179, 343},	// QGlobalSpace::i18n$
    {47, 181, 368},	// QGlobalSpace::i18nc$$
    {47, 194, 557},	// QGlobalSpace::ki18n$
    {47, 196, 396},	// QGlobalSpace::ki18nc$$
    {47, 198, 440},	// QGlobalSpace::ki18ncp$$$
    {47, 200, 620},	// QGlobalSpace::ki18np$$
    {47, 218, -1},	// QGlobalSpace::operator!=##
    {47, 219, -18},	// QGlobalSpace::operator!=#$
    {47, 220, -24},	// QGlobalSpace::operator!=$#
    {47, 221, 482},	// QGlobalSpace::operator!=$$
    {47, 223, -31},	// QGlobalSpace::operator*##
    {47, 224, -48},	// QGlobalSpace::operator*#$
    {47, 225, -54},	// QGlobalSpace::operator*$#
    {47, 227, -59},	// QGlobalSpace::operator+##
    {47, 228, -65},	// QGlobalSpace::operator+#$
    {47, 229, -71},	// QGlobalSpace::operator+$#
    {47, 230, -76},	// QGlobalSpace::operator+$$
    {47, 232, 349},	// QGlobalSpace::operator++$
    {47, 233, 641},	// QGlobalSpace::operator++$$
    {47, 235, -82},	// QGlobalSpace::operator-#
    {47, 236, -85},	// QGlobalSpace::operator-##
    {47, 237, 640},	// QGlobalSpace::operator-#$
    {47, 239, -90},	// QGlobalSpace::operator/#$
    {47, 241, -96},	// QGlobalSpace::operator<##
    {47, 242, 364},	// QGlobalSpace::operator<#$
    {47, 243, -101},	// QGlobalSpace::operator<$#
    {47, 244, 481},	// QGlobalSpace::operator<$$
    {47, 246, -104},	// QGlobalSpace::operator<<##
    {47, 247, -138},	// QGlobalSpace::operator<<#$
    {47, 248, 357},	// QGlobalSpace::operator<<#?
    {47, 250, -141},	// QGlobalSpace::operator<=##
    {47, 251, 452},	// QGlobalSpace::operator<=#$
    {47, 252, -146},	// QGlobalSpace::operator<=$#
    {47, 253, 395},	// QGlobalSpace::operator<=$$
    {47, 255, -149},	// QGlobalSpace::operator==##
    {47, 256, -167},	// QGlobalSpace::operator==#$
    {47, 257, -173},	// QGlobalSpace::operator==$#
    {47, 258, 608},	// QGlobalSpace::operator==$$
    {47, 260, -180},	// QGlobalSpace::operator>##
    {47, 261, 574},	// QGlobalSpace::operator>#$
    {47, 262, -185},	// QGlobalSpace::operator>$#
    {47, 263, 571},	// QGlobalSpace::operator>$$
    {47, 265, -188},	// QGlobalSpace::operator>=##
    {47, 266, 528},	// QGlobalSpace::operator>=#$
    {47, 267, -193},	// QGlobalSpace::operator>=$#
    {47, 268, 618},	// QGlobalSpace::operator>=$$
    {47, 270, -196},	// QGlobalSpace::operator>>##
    {47, 271, -230},	// QGlobalSpace::operator>>#$
    {47, 272, 551},	// QGlobalSpace::operator>>#?
    {47, 274, -233},	// QGlobalSpace::operator|$$
    {47, 351, 366},	// QGlobalSpace::tr2i18n$
    {47, 352, 365},	// QGlobalSpace::tr2i18n$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *kutils_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kutils_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    kutils_Smoke = new Smoke(
        "kutils",
        __smokekutils::classes, 95,
        __smokekutils::methods, 723,
        __smokekutils::methodMaps, 342,
        __smokekutils::methodNames, 371,
        __smokekutils::types, 319,
        __smokekutils::inheritanceList,
        __smokekutils::argumentList,
        __smokekutils::ambiguousMethodList,
        __smokekutils::cast );
    initialized = true;
}

void delete_kutils_Smoke() { delete kutils_Smoke; }

}
