#include <nepomuk_includes.h>

#include <smoke.h>
#include <nepomuk_smoke.h>

namespace __smokenepomuk {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KCharsets
      switch(to) {
        case 1: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 2:   //KComponentData
      switch(to) {
        case 2: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 3:   //KLocale
      switch(to) {
        case 3: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 4:   //KRatingWidget
      switch(to) {
        case 51: return (void*)(QFrame*)(KRatingWidget*)xptr;
        case 76: return (void*)(QWidget*)(KRatingWidget*)xptr;
        case 60: return (void*)(QObject*)(KRatingWidget*)xptr;
        case 4: return (void*)(KRatingWidget*)xptr;
        default: return xptr;
      }
    case 5:   //KStandardDirs
      switch(to) {
        case 5: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 6:   //KTagCloudWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(KTagCloudWidget*)xptr;
        case 60: return (void*)(QObject*)(KTagCloudWidget*)xptr;
        case 6: return (void*)(KTagCloudWidget*)xptr;
        case 27: return (void*)(Nepomuk::TagCloud*)(KTagCloudWidget*)xptr;
        default: return xptr;
      }
    case 7:   //KTagDisplayWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(KTagDisplayWidget*)xptr;
        case 60: return (void*)(QObject*)(KTagDisplayWidget*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)xptr;
        default: return xptr;
      }
    case 8:   //KUrl
      switch(to) {
        case 73: return (void*)(QUrl*)(KUrl*)xptr;
        case 8: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 10:   //Nepomuk::Class
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)(Nepomuk::Class*)xptr;
        case 10: return (void*)(Nepomuk::Class*)xptr;
        default: return xptr;
      }
    case 11:   //Nepomuk::DesktopOntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::DesktopOntologyLoader*)xptr;
        case 11: return (void*)(Nepomuk::DesktopOntologyLoader*)xptr;
        default: return xptr;
      }
    case 12:   //Nepomuk::Entity
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)xptr;
        case 10: return (void*)(Nepomuk::Class*)(Nepomuk::Entity*)xptr;
        case 19: return (void*)(Nepomuk::Property*)(Nepomuk::Entity*)xptr;
        default: return xptr;
      }
    case 13:   //Nepomuk::FileOntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::FileOntologyLoader*)xptr;
        case 13: return (void*)(Nepomuk::FileOntologyLoader*)xptr;
        default: return xptr;
      }
    case 14:   //Nepomuk::Literal
      switch(to) {
        case 14: return (void*)(Nepomuk::Literal*)xptr;
        default: return xptr;
      }
    case 15:   //Nepomuk::NepomukOntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)(Nepomuk::NepomukOntologyLoader*)xptr;
        case 15: return (void*)(Nepomuk::NepomukOntologyLoader*)xptr;
        default: return xptr;
      }
    case 16:   //Nepomuk::Ontology
      switch(to) {
        case 16: return (void*)(Nepomuk::Ontology*)xptr;
        default: return xptr;
      }
    case 17:   //Nepomuk::OntologyLoader
      switch(to) {
        case 17: return (void*)(Nepomuk::OntologyLoader*)xptr;
        case 13: return (void*)(Nepomuk::FileOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 11: return (void*)(Nepomuk::DesktopOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        case 15: return (void*)(Nepomuk::NepomukOntologyLoader*)(Nepomuk::OntologyLoader*)xptr;
        default: return xptr;
      }
    case 18:   //Nepomuk::OntologyManager
      switch(to) {
        case 18: return (void*)(Nepomuk::OntologyManager*)xptr;
        default: return xptr;
      }
    case 19:   //Nepomuk::Property
      switch(to) {
        case 12: return (void*)(Nepomuk::Entity*)(Nepomuk::Property*)xptr;
        case 19: return (void*)(Nepomuk::Property*)xptr;
        default: return xptr;
      }
    case 20:   //Nepomuk::Query::Query
      switch(to) {
        case 20: return (void*)(Nepomuk::Query::Query*)xptr;
        default: return xptr;
      }
    case 21:   //Nepomuk::Query::Term
      switch(to) {
        case 21: return (void*)(Nepomuk::Query::Term*)xptr;
        default: return xptr;
      }
    case 22:   //Nepomuk::Resource
      switch(to) {
        case 22: return (void*)(Nepomuk::Resource*)xptr;
        case 29: return (void*)(Nepomuk::Thing*)(Nepomuk::Resource*)xptr;
        case 26: return (void*)(Nepomuk::Tag*)(Nepomuk::Resource*)xptr;
        default: return xptr;
      }
    case 23:   //Nepomuk::ResourceData
      switch(to) {
        case 23: return (void*)(Nepomuk::ResourceData*)xptr;
        default: return xptr;
      }
    case 24:   //Nepomuk::ResourceManager
      switch(to) {
        case 60: return (void*)(QObject*)(Nepomuk::ResourceManager*)xptr;
        case 24: return (void*)(Nepomuk::ResourceManager*)xptr;
        default: return xptr;
      }
    case 25:   //Nepomuk::Service
      switch(to) {
        case 60: return (void*)(QObject*)(Nepomuk::Service*)xptr;
        case 25: return (void*)(Nepomuk::Service*)xptr;
        default: return xptr;
      }
    case 26:   //Nepomuk::Tag
      switch(to) {
        case 22: return (void*)(Nepomuk::Resource*)(Nepomuk::Tag*)xptr;
        case 26: return (void*)(Nepomuk::Tag*)xptr;
        default: return xptr;
      }
    case 27:   //Nepomuk::TagCloud
      switch(to) {
        case 6: return (void*)(KTagCloudWidget*)(Nepomuk::TagCloud*)xptr;
        case 76: return (void*)(QWidget*)(Nepomuk::TagCloud*)xptr;
        case 60: return (void*)(QObject*)(Nepomuk::TagCloud*)xptr;
        case 27: return (void*)(Nepomuk::TagCloud*)xptr;
        default: return xptr;
      }
    case 28:   //Nepomuk::TagWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Nepomuk::TagWidget*)xptr;
        case 60: return (void*)(QObject*)(Nepomuk::TagWidget*)xptr;
        case 28: return (void*)(Nepomuk::TagWidget*)xptr;
        default: return xptr;
      }
    case 29:   //Nepomuk::Thing
      switch(to) {
        case 22: return (void*)(Nepomuk::Resource*)(Nepomuk::Thing*)xptr;
        case 29: return (void*)(Nepomuk::Thing*)xptr;
        default: return xptr;
      }
    case 31:   //Nepomuk::Types::Class
      switch(to) {
        case 32: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Class*)xptr;
        case 31: return (void*)(Nepomuk::Types::Class*)xptr;
        default: return xptr;
      }
    case 32:   //Nepomuk::Types::Entity
      switch(to) {
        case 32: return (void*)(Nepomuk::Types::Entity*)xptr;
        case 35: return (void*)(Nepomuk::Types::Property*)(Nepomuk::Types::Entity*)xptr;
        case 34: return (void*)(Nepomuk::Types::Ontology*)(Nepomuk::Types::Entity*)xptr;
        case 31: return (void*)(Nepomuk::Types::Class*)(Nepomuk::Types::Entity*)xptr;
        default: return xptr;
      }
    case 33:   //Nepomuk::Types::Literal
      switch(to) {
        case 33: return (void*)(Nepomuk::Types::Literal*)xptr;
        default: return xptr;
      }
    case 34:   //Nepomuk::Types::Ontology
      switch(to) {
        case 32: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Ontology*)xptr;
        case 34: return (void*)(Nepomuk::Types::Ontology*)xptr;
        default: return xptr;
      }
    case 35:   //Nepomuk::Types::Property
      switch(to) {
        case 32: return (void*)(Nepomuk::Types::Entity*)(Nepomuk::Types::Property*)xptr;
        case 35: return (void*)(Nepomuk::Types::Property*)xptr;
        default: return xptr;
      }
    case 36:   //Nepomuk::Variant
      switch(to) {
        case 36: return (void*)(Nepomuk::Variant*)xptr;
        default: return xptr;
      }
    case 37:   //QActionEvent
      switch(to) {
        case 37: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QBool
      switch(to) {
        case 38: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 39:   //QChildEvent
      switch(to) {
        case 39: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QCloseEvent
      switch(to) {
        case 40: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QContextMenuEvent
      switch(to) {
        case 41: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDate
      switch(to) {
        case 42: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 43:   //QDateTime
      switch(to) {
        case 43: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 44:   //QDragEnterEvent
      switch(to) {
        case 44: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDragLeaveEvent
      switch(to) {
        case 45: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDragMoveEvent
      switch(to) {
        case 46: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QDropEvent
      switch(to) {
        case 47: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QEvent
      switch(to) {
        case 48: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QFocusEvent
      switch(to) {
        case 49: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QFont
      switch(to) {
        case 50: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 51:   //QFrame
      switch(to) {
        case 76: return (void*)(QWidget*)(QFrame*)xptr;
        case 60: return (void*)(QObject*)(QFrame*)xptr;
        case 51: return (void*)(QFrame*)xptr;
        case 4: return (void*)(KRatingWidget*)(QFrame*)xptr;
        default: return xptr;
      }
    case 53:   //QHideEvent
      switch(to) {
        case 53: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QIcon
      switch(to) {
        case 54: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 55:   //QInputMethodEvent
      switch(to) {
        case 55: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QKeyEvent
      switch(to) {
        case 56: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QMouseEvent
      switch(to) {
        case 58: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QMoveEvent
      switch(to) {
        case 59: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QObject
      switch(to) {
        case 60: return (void*)(QObject*)xptr;
        case 28: return (void*)(Nepomuk::TagWidget*)(QObject*)xptr;
        case 27: return (void*)(Nepomuk::TagCloud*)(QObject*)xptr;
        case 4: return (void*)(KRatingWidget*)(QObject*)xptr;
        case 25: return (void*)(Nepomuk::Service*)(QObject*)xptr;
        case 6: return (void*)(KTagCloudWidget*)(QObject*)xptr;
        case 24: return (void*)(Nepomuk::ResourceManager*)(QObject*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintEngine
      switch(to) {
        case 61: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEvent
      switch(to) {
        case 62: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QPixmap
      switch(to) {
        case 64: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 65:   //QRegExp
      switch(to) {
        case 65: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 66:   //QResizeEvent
      switch(to) {
        case 66: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QShowEvent
      switch(to) {
        case 67: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QSize
      switch(to) {
        case 68: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 69:   //QStyle
      switch(to) {
        case 69: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 70:   //QTabletEvent
      switch(to) {
        case 70: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QTime
      switch(to) {
        case 71: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 72:   //QTimerEvent
      switch(to) {
        case 72: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QUrl
      switch(to) {
        case 73: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 74:   //QVariant
      switch(to) {
        case 74: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 75:   //QWheelEvent
      switch(to) {
        case 75: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QWidget
      switch(to) {
        case 60: return (void*)(QObject*)(QWidget*)xptr;
        case 76: return (void*)(QWidget*)xptr;
        case 28: return (void*)(Nepomuk::TagWidget*)(QWidget*)xptr;
        case 27: return (void*)(Nepomuk::TagCloud*)(QWidget*)xptr;
        case 4: return (void*)(KRatingWidget*)(QWidget*)xptr;
        case 6: return (void*)(KTagCloudWidget*)(QWidget*)xptr;
        case 7: return (void*)(KTagDisplayWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 77:   //Soprano::LanguageTag
      switch(to) {
        case 77: return (void*)(Soprano::LanguageTag*)xptr;
        default: return xptr;
      }
    case 78:   //Soprano::LiteralValue
      switch(to) {
        case 78: return (void*)(Soprano::LiteralValue*)xptr;
        default: return xptr;
      }
    case 79:   //Soprano::Model
      switch(to) {
        case 79: return (void*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 80:   //Soprano::Node
      switch(to) {
        case 80: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 81:   //Soprano::Statement
      switch(to) {
        case 81: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    51, 0,	// 1: QFrame
    76, 0,	// 3: QWidget
    12, 0,	// 5: Nepomuk::Entity
    17, 0,	// 7: Nepomuk::OntologyLoader
    60, 0,	// 9: QObject
    22, 0,	// 11: Nepomuk::Resource
    6, 0,	// 13: KTagCloudWidget
    32, 0,	// 15: Nepomuk::Types::Entity
};

// These are the xenum functions for manipulating enum pointers
void xenum_Nepomuk__TagWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Nepomuk(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KRatingWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KTagCloudWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KTagDisplayWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__DesktopOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__FileOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__NepomukOntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__OntologyManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Resource(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__ResourceManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Tag(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagCloud(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__TagWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Thing(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Class(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Literal(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Ontology(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Types__Property(Smoke::Index, void*, Smoke::Stack);
void xcall_Nepomuk__Variant(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//1
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//2
    { "KLocale", true, 0, 0, 0, 0, 0 },	//3
    { "KRatingWidget", false, 1, xcall_KRatingWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KRatingWidget) },	//4
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//5
    { "KTagCloudWidget", false, 3, xcall_KTagCloudWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagCloudWidget) },	//6
    { "KTagDisplayWidget", false, 3, xcall_KTagDisplayWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTagDisplayWidget) },	//7
    { "KUrl", true, 0, 0, 0, 0, 0 },	//8
    { "Nepomuk", false, 0, xcall_Nepomuk, xenum_Nepomuk, Smoke::cf_namespace, 0 },	//9
    { "Nepomuk::Class", false, 5, xcall_Nepomuk__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Class) },	//10
    { "Nepomuk::DesktopOntologyLoader", false, 7, xcall_Nepomuk__DesktopOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::DesktopOntologyLoader) },	//11
    { "Nepomuk::Entity", false, 0, xcall_Nepomuk__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Entity) },	//12
    { "Nepomuk::FileOntologyLoader", false, 7, xcall_Nepomuk__FileOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::FileOntologyLoader) },	//13
    { "Nepomuk::Literal", false, 0, xcall_Nepomuk__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Literal) },	//14
    { "Nepomuk::NepomukOntologyLoader", false, 7, xcall_Nepomuk__NepomukOntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::NepomukOntologyLoader) },	//15
    { "Nepomuk::Ontology", false, 0, xcall_Nepomuk__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Ontology) },	//16
    { "Nepomuk::OntologyLoader", false, 0, xcall_Nepomuk__OntologyLoader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::OntologyLoader) },	//17
    { "Nepomuk::OntologyManager", false, 0, xcall_Nepomuk__OntologyManager, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::OntologyManager) },	//18
    { "Nepomuk::Property", false, 5, xcall_Nepomuk__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Property) },	//19
    { "Nepomuk::Query::Query", true, 0, 0, 0, 0, 0 },	//20
    { "Nepomuk::Query::Term", true, 0, 0, 0, 0, 0 },	//21
    { "Nepomuk::Resource", false, 0, xcall_Nepomuk__Resource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Resource) },	//22
    { "Nepomuk::ResourceData", true, 0, 0, 0, 0, 0 },	//23
    { "Nepomuk::ResourceManager", false, 9, xcall_Nepomuk__ResourceManager, 0, Smoke::cf_virtual, sizeof(Nepomuk::ResourceManager) },	//24
    { "Nepomuk::Service", false, 9, xcall_Nepomuk__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::Service) },	//25
    { "Nepomuk::Tag", false, 11, xcall_Nepomuk__Tag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Tag) },	//26
    { "Nepomuk::TagCloud", false, 13, xcall_Nepomuk__TagCloud, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagCloud) },	//27
    { "Nepomuk::TagWidget", false, 3, xcall_Nepomuk__TagWidget, xenum_Nepomuk__TagWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Nepomuk::TagWidget) },	//28
    { "Nepomuk::Thing", false, 11, xcall_Nepomuk__Thing, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Thing) },	//29
    { "Nepomuk::Types", false, 0, xcall_Nepomuk__Types, 0, Smoke::cf_namespace, 0 },	//30
    { "Nepomuk::Types::Class", false, 15, xcall_Nepomuk__Types__Class, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Class) },	//31
    { "Nepomuk::Types::Entity", false, 0, xcall_Nepomuk__Types__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Entity) },	//32
    { "Nepomuk::Types::Literal", false, 0, xcall_Nepomuk__Types__Literal, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Types::Literal) },	//33
    { "Nepomuk::Types::Ontology", false, 15, xcall_Nepomuk__Types__Ontology, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Ontology) },	//34
    { "Nepomuk::Types::Property", false, 15, xcall_Nepomuk__Types__Property, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Nepomuk::Types::Property) },	//35
    { "Nepomuk::Variant", false, 0, xcall_Nepomuk__Variant, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Nepomuk::Variant) },	//36
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QBool", true, 0, 0, 0, 0, 0 },	//38
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDate", true, 0, 0, 0, 0, 0 },	//42
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//43
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QFont", true, 0, 0, 0, 0, 0 },	//50
    { "QFrame", true, 0, 0, 0, 0, 0 },	//51
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//52
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QIcon", true, 0, 0, 0, 0, 0 },	//54
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QObject", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//64
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//65
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QSize", true, 0, 0, 0, 0, 0 },	//68
    { "QStyle", true, 0, 0, 0, 0, 0 },	//69
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QTime", true, 0, 0, 0, 0, 0 },	//71
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QUrl", true, 0, 0, 0, 0, 0 },	//73
    { "QVariant", true, 0, 0, 0, 0, 0 },	//74
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QWidget", true, 0, 0, 0, 0, 0 },	//76
    { "Soprano::LanguageTag", true, 0, 0, 0, 0, 0 },	//77
    { "Soprano::LiteralValue", true, 0, 0, 0, 0, 0 },	//78
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//79
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//80
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//81
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KCharsets*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KLocale*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KRatingWidget*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//6
    { "KStandardDirs*", 5, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KTagCloudWidget*", 6, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KTagDisplayWidget*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Nepomuk::Class&", 10, Smoke::t_class|Smoke::tf_ref },	//10
    { "Nepomuk::Class*", 10, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Nepomuk::DesktopOntologyLoader*", 11, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Nepomuk::Entity&", 12, Smoke::t_class|Smoke::tf_ref },	//13
    { "Nepomuk::Entity*", 12, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Nepomuk::ErrorCode", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "Nepomuk::FileOntologyLoader*", 13, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Nepomuk::Literal", 14, Smoke::t_class|Smoke::tf_stack },	//17
    { "Nepomuk::Literal&", 14, Smoke::t_class|Smoke::tf_ref },	//18
    { "Nepomuk::Literal*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Nepomuk::NepomukOntologyLoader*", 15, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Nepomuk::Ontology&", 16, Smoke::t_class|Smoke::tf_ref },	//21
    { "Nepomuk::Ontology*", 16, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Nepomuk::OntologyLoader*", 17, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Nepomuk::OntologyManager*", 18, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Nepomuk::Property&", 19, Smoke::t_class|Smoke::tf_ref },	//25
    { "Nepomuk::Property*", 19, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Nepomuk::Resource", 22, Smoke::t_class|Smoke::tf_stack },	//27
    { "Nepomuk::Resource&", 22, Smoke::t_class|Smoke::tf_ref },	//28
    { "Nepomuk::Resource*", 22, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Nepomuk::ResourceData*", 23, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Nepomuk::ResourceManager*", 24, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Nepomuk::Service*", 25, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Nepomuk::Tag", 26, Smoke::t_class|Smoke::tf_stack },	//33
    { "Nepomuk::Tag&", 26, Smoke::t_class|Smoke::tf_ref },	//34
    { "Nepomuk::Tag*", 26, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Nepomuk::TagCloud*", 27, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Nepomuk::TagWidget*", 28, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Nepomuk::TagWidget::ModeFlag", 28, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Nepomuk::TagWidget::ModeFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "Nepomuk::Thing", 29, Smoke::t_class|Smoke::tf_stack },	//40
    { "Nepomuk::Thing&", 29, Smoke::t_class|Smoke::tf_ref },	//41
    { "Nepomuk::Thing*", 29, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Nepomuk::Types::Class", 31, Smoke::t_class|Smoke::tf_stack },	//43
    { "Nepomuk::Types::Class&", 31, Smoke::t_class|Smoke::tf_ref },	//44
    { "Nepomuk::Types::Class*", 31, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Nepomuk::Types::Entity&", 32, Smoke::t_class|Smoke::tf_ref },	//46
    { "Nepomuk::Types::Entity*", 32, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Nepomuk::Types::Literal", 33, Smoke::t_class|Smoke::tf_stack },	//48
    { "Nepomuk::Types::Literal&", 33, Smoke::t_class|Smoke::tf_ref },	//49
    { "Nepomuk::Types::Literal*", 33, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Nepomuk::Types::Ontology&", 34, Smoke::t_class|Smoke::tf_ref },	//51
    { "Nepomuk::Types::Ontology*", 34, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Nepomuk::Types::Property", 35, Smoke::t_class|Smoke::tf_stack },	//53
    { "Nepomuk::Types::Property&", 35, Smoke::t_class|Smoke::tf_ref },	//54
    { "Nepomuk::Types::Property*", 35, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Nepomuk::Variant", 36, Smoke::t_class|Smoke::tf_stack },	//56
    { "Nepomuk::Variant&", 36, Smoke::t_class|Smoke::tf_ref },	//57
    { "Nepomuk::Variant*", 36, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QActionEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QBool", 38, Smoke::t_class|Smoke::tf_stack },	//60
    { "QChildEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QCloseEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QContextMenuEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QDate", 42, Smoke::t_class|Smoke::tf_stack },	//64
    { "QDateTime", 43, Smoke::t_class|Smoke::tf_stack },	//65
    { "QDragEnterEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QDragLeaveEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QDragMoveEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDropEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QFlags<Nepomuk::TagWidget::ModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFocusEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QHash<QString,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QHash<QUrl,Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QHideEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QIcon", 54, Smoke::t_class|Smoke::tf_stack },	//77
    { "QInputMethodEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QKeyEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QList<Nepomuk::Resource>", 0, Smoke::t_voidp|Smoke::tf_stack },	//80
    { "QList<Nepomuk::Tag>", 0, Smoke::t_voidp|Smoke::tf_stack },	//81
    { "QList<Nepomuk::Types::Class>", 0, Smoke::t_voidp|Smoke::tf_stack },	//82
    { "QList<Nepomuk::Types::Property>", 0, Smoke::t_voidp|Smoke::tf_stack },	//83
    { "QList<Nepomuk::Variant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QList<QDate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//86
    { "QList<QTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//87
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//88
    { "QList<Soprano::Node>", 0, Smoke::t_voidp|Smoke::tf_stack },	//89
    { "QList<Soprano::Statement>", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QList<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QList<const Nepomuk::Class*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//92
    { "QList<const Nepomuk::Property*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//93
    { "QList<double>", 0, Smoke::t_voidp|Smoke::tf_stack },	//94
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//95
    { "QList<long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//96
    { "QList<unsigned int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QList<unsigned long long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//98
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QMouseEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//100
    { "QMoveEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QObject*", 60, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QPaintEngine*", 61, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QPaintEvent*", 62, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QRegExp&", 65, Smoke::t_class|Smoke::tf_ref },	//106
    { "QResizeEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QShowEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QSize", 68, Smoke::t_class|Smoke::tf_stack },	//109
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//112
    { "QStyle&", 69, Smoke::t_class|Smoke::tf_ref },	//113
    { "QTabletEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QTime", 71, Smoke::t_class|Smoke::tf_stack },	//115
    { "QTimerEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//116
    { "QUrl", 73, Smoke::t_class|Smoke::tf_stack },	//117
    { "QVariant", 74, Smoke::t_class|Smoke::tf_stack },	//118
    { "QVariant::Type", 74, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QWheelEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//120
    { "QWidget*", 76, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Qt::Alignment", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "QtMsgType", 52, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Soprano::BackendFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Soprano::BackendOption", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Soprano::Model*", 79, Smoke::t_class|Smoke::tf_ptr },	//198
    { "Soprano::Node", 80, Smoke::t_class|Smoke::tf_stack },	//199
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Soprano::RdfSerialization", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//202
    { "__codecvt_result", 52, Smoke::t_enum|Smoke::tf_stack },	//203
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//204
    { "const KComponentData&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const KUrl&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const Nepomuk::Class&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Nepomuk::Class*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//208
    { "const Nepomuk::DesktopOntologyLoader&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const Nepomuk::Entity&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const Nepomuk::FileOntologyLoader&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//211
    { "const Nepomuk::Literal&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const Nepomuk::NepomukOntologyLoader&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const Nepomuk::Ontology&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const Nepomuk::Ontology*", 16, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "const Nepomuk::OntologyLoader&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const Nepomuk::OntologyManager&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const Nepomuk::Property&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const Nepomuk::Property*", 19, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//219
    { "const Nepomuk::Query::Query&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const Nepomuk::Query::Term&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const Nepomuk::Resource&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const Nepomuk::Tag&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const Nepomuk::Thing&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const Nepomuk::Types::Class&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const Nepomuk::Types::Entity&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const Nepomuk::Types::Literal&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const Nepomuk::Types::Ontology&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const Nepomuk::Types::Property&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const Nepomuk::Variant&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QDate&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QDateTime&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QFont&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QIcon&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QList<Nepomuk::Resource>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QList<Nepomuk::Tag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QList<Nepomuk::Variant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QList<QDate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QList<QDateTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QList<QTime>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QList<QUrl>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QList<bool>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QList<long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QList<unsigned long long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QMap<QString,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//250
    { "const QObject*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//251
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QPixmap&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QRegExp&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//257
    { "const QTime&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QUrl&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QVariant&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const Soprano::LanguageTag&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const Soprano::LiteralValue&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const Soprano::Node&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const Soprano::Statement&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//265
    { "const unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//267
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//268
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//269
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//270
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//271
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//272
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//273
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//274
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//275
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//276
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    265, 0,	//1  const char*
    265, 265, 0,	//3  const char*, const char*
    265, 265, 269, 0,	//6  const char*, const char*, int
    99, 269, 275, 0,	//10  QMetaObject::Call, int, void**
    121, 0,	//14  QWidget*
    272, 0,	//16  unsigned int
    269, 0,	//18  int
    204, 0,	//20  bool
    122, 0,	//22  Qt::Alignment
    162, 0,	//24  Qt::LayoutDirection
    234, 0,	//26  const QIcon&
    253, 0,	//28  const QPixmap&
    100, 0,	//30  QMouseEvent*
    70, 0,	//32  QEvent*
    105, 0,	//34  QPaintEvent*
    107, 0,	//36  QResizeEvent*
    255, 0,	//38  const QString&
    255, 269, 0,	//40  const QString&, int
    248, 0,	//43  const QMap<QString,int>&
    256, 0,	//45  const QStringList&
    222, 0,	//47  const Nepomuk::Resource&
    230, 0,	//49  const Nepomuk::Variant&
    15, 0,	//51  Nepomuk::ErrorCode
    263, 0,	//53  const Soprano::Node&
    259, 0,	//55  const QUrl&
    207, 0,	//57  const Nepomuk::Class&
    255, 255, 0,	//59  const QString&, const QString&
    208, 0,	//62  const Nepomuk::Class*
    209, 0,	//64  const Nepomuk::DesktopOntologyLoader&
    210, 0,	//66  const Nepomuk::Entity&
    255, 201, 0,	//68  const QString&, Soprano::RdfSerialization
    201, 0,	//71  Soprano::RdfSerialization
    211, 0,	//73  const Nepomuk::FileOntologyLoader&
    212, 0,	//75  const Nepomuk::Literal&
    213, 0,	//77  const Nepomuk::NepomukOntologyLoader&
    214, 0,	//79  const Nepomuk::Ontology&
    216, 0,	//81  const Nepomuk::OntologyLoader&
    23, 0,	//83  Nepomuk::OntologyLoader*
    217, 0,	//85  const Nepomuk::OntologyManager&
    218, 0,	//87  const Nepomuk::Property&
    31, 0,	//89  Nepomuk::ResourceManager*
    255, 259, 0,	//91  const QString&, const QUrl&
    255, 259, 31, 0,	//94  const QString&, const QUrl&, Nepomuk::ResourceManager*
    259, 259, 0,	//98  const QUrl&, const QUrl&
    259, 259, 31, 0,	//101  const QUrl&, const QUrl&, Nepomuk::ResourceManager*
    30, 0,	//105  Nepomuk::ResourceData*
    241, 0,	//107  const QList<QUrl>&
    229, 230, 0,	//109  const Nepomuk::Types::Property&, const Nepomuk::Variant&
    259, 230, 0,	//112  const QUrl&, const Nepomuk::Variant&
    255, 230, 0,	//115  const QString&, const Nepomuk::Variant&
    235, 0,	//118  const QList<Nepomuk::Resource>&
    236, 0,	//120  const QList<Nepomuk::Tag>&
    223, 0,	//122  const Nepomuk::Tag&
    266, 0,	//124  const unsigned int&
    206, 225, 31, 0,	//126  const KUrl&, const Nepomuk::Types::Class&, Nepomuk::ResourceManager*
    206, 0,	//130  const KUrl&
    206, 225, 0,	//132  const KUrl&, const Nepomuk::Types::Class&
    198, 0,	//135  Soprano::Model*
    102, 204, 0,	//137  QObject*, bool
    102, 0,	//140  QObject*
    255, 31, 0,	//142  const QString&, Nepomuk::ResourceManager*
    259, 31, 0,	//145  const QUrl&, Nepomuk::ResourceManager*
    33, 0,	//148  Nepomuk::Tag
    222, 121, 0,	//150  const Nepomuk::Resource&, QWidget*
    39, 0,	//153  Nepomuk::TagWidget::ModeFlags
    224, 0,	//155  const Nepomuk::Thing&
    226, 0,	//157  const Nepomuk::Types::Entity&
    225, 0,	//159  const Nepomuk::Types::Class&
    227, 0,	//161  const Nepomuk::Types::Literal&
    228, 0,	//163  const Nepomuk::Types::Ontology&
    229, 0,	//165  const Nepomuk::Types::Property&
    260, 0,	//167  const QVariant&
    271, 0,	//169  long long
    273, 0,	//171  unsigned long long
    268, 0,	//173  double
    231, 0,	//175  const QDate&
    258, 0,	//177  const QTime&
    232, 0,	//179  const QDateTime&
    244, 0,	//181  const QList<int>&
    245, 0,	//183  const QList<long long>&
    246, 0,	//185  const QList<unsigned int>&
    247, 0,	//187  const QList<unsigned long long>&
    242, 0,	//189  const QList<bool>&
    243, 0,	//191  const QList<double>&
    238, 0,	//193  const QList<QDate>&
    240, 0,	//195  const QList<QTime>&
    239, 0,	//197  const QList<QDateTime>&
    237, 0,	//199  const QList<Nepomuk::Variant>&
    102, 70, 0,	//201  QObject*, QEvent*
    116, 0,	//204  QTimerEvent*
    61, 0,	//206  QChildEvent*
    120, 0,	//208  QWheelEvent*
    79, 0,	//210  QKeyEvent*
    73, 0,	//212  QFocusEvent*
    101, 0,	//214  QMoveEvent*
    62, 0,	//216  QCloseEvent*
    63, 0,	//218  QContextMenuEvent*
    114, 0,	//220  QTabletEvent*
    59, 0,	//222  QActionEvent*
    66, 0,	//224  QDragEnterEvent*
    68, 0,	//226  QDragMoveEvent*
    67, 0,	//228  QDragLeaveEvent*
    69, 0,	//230  QDropEvent*
    108, 0,	//232  QShowEvent*
    76, 0,	//234  QHideEvent*
    202, 0,	//236  _XEvent*
    103, 0,	//238  QPaintDevice::PaintDeviceMetric
    78, 0,	//240  QInputMethodEvent*
    156, 0,	//242  Qt::InputMethodQuery
    113, 0,	//244  QStyle&
    252, 0,	//246  const QPalette&
    233, 0,	//248  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Box",	//1
    "Class",	//2
    "Class#",	//3
    "CommunicationError",	//4
    "DesktopOntologyLoader",	//5
    "DesktopOntologyLoader#",	//6
    "DisableTagClicking",	//7
    "DrawChildren",	//8
    "DrawWindowBackground",	//9
    "Entity",	//10
    "Entity#",	//11
    "FileOntologyLoader",	//12
    "FileOntologyLoader#",	//13
    "FileOntologyLoader$",	//14
    "FileOntologyLoader$$",	//15
    "HLine",	//16
    "IgnoreMask",	//17
    "InvalidType",	//18
    "KRatingWidget",	//19
    "KRatingWidget#",	//20
    "KTagCloudWidget",	//21
    "KTagCloudWidget#",	//22
    "KTagDisplayWidget",	//23
    "KTagDisplayWidget#",	//24
    "Literal",	//25
    "Literal#",	//26
    "MiniMode",	//27
    "NepomukOntologyLoader",	//28
    "NepomukOntologyLoader#",	//29
    "NoError",	//30
    "NoFrame",	//31
    "Ontology",	//32
    "Ontology#",	//33
    "OntologyLoader",	//34
    "OntologyLoader#",	//35
    "OntologyManager",	//36
    "OntologyManager#",	//37
    "Panel",	//38
    "Plain",	//39
    "Property",	//40
    "Property#",	//41
    "Q_COMPLEX_TYPE",	//42
    "Q_DUMMY_TYPE",	//43
    "Q_MOVABLE_TYPE",	//44
    "Q_PRIMITIVE_TYPE",	//45
    "Q_STATIC_TYPE",	//46
    "QtCriticalMsg",	//47
    "QtDebugMsg",	//48
    "QtFatalMsg",	//49
    "QtSystemMsg",	//50
    "QtWarningMsg",	//51
    "RDFLiteralToValue",	//52
    "RDFLiteralToValue#",	//53
    "Raised",	//54
    "ReadOnly",	//55
    "Resource",	//56
    "Resource#",	//57
    "Resource##",	//58
    "Resource###",	//59
    "Resource$",	//60
    "Resource$#",	//61
    "Resource$##",	//62
    "Resource$$",	//63
    "Service",	//64
    "Service#",	//65
    "Service#$",	//66
    "Shadow_Mask",	//67
    "Shape_Mask",	//68
    "StandardMode",	//69
    "StyledPanel",	//70
    "Sunken",	//71
    "Tag",	//72
    "Tag#",	//73
    "Tag##",	//74
    "Tag###",	//75
    "Tag$",	//76
    "Tag$#",	//77
    "Tag$##",	//78
    "TagCloud",	//79
    "TagCloud#",	//80
    "TagWidget",	//81
    "TagWidget#",	//82
    "TagWidget##",	//83
    "Thing",	//84
    "Thing#",	//85
    "Thing##",	//86
    "Thing###",	//87
    "Thing$",	//88
    "Thing$#",	//89
    "Thing$##",	//90
    "UnknownError",	//91
    "VLine",	//92
    "Variant",	//93
    "Variant#",	//94
    "Variant$",	//95
    "Variant?",	//96
    "WinPanel",	//97
    "__codecvt_error",	//98
    "__codecvt_noconv",	//99
    "__codecvt_ok",	//100
    "__codecvt_partial",	//101
    "actionEvent",	//102
    "addAltLabel",	//103
    "addAltLabel$",	//104
    "addAnnotation",	//105
    "addAnnotation#",	//106
    "addGroundingOccurrence",	//107
    "addGroundingOccurrence#",	//108
    "addIdentifier",	//109
    "addIdentifier$",	//110
    "addIsRelated",	//111
    "addIsRelated#",	//112
    "addIsTopicOf",	//113
    "addIsTopicOf#",	//114
    "addProperty",	//115
    "addProperty##",	//116
    "addSymbol",	//117
    "addSymbol$",	//118
    "addTag",	//119
    "addTag#",	//120
    "addTag$",	//121
    "addTag$$",	//122
    "addTags",	//123
    "addTags?",	//124
    "addTopic",	//125
    "addTopic#",	//126
    "addType",	//127
    "addType#",	//128
    "alignment",	//129
    "allClasses",	//130
    "allOntologies",	//131
    "allParentClasses",	//132
    "allProperties",	//133
    "allResources",	//134
    "allResourcesOfType",	//135
    "allResourcesOfType#",	//136
    "allResourcesOfType$",	//137
    "allResourcesWithProperty",	//138
    "allResourcesWithProperty##",	//139
    "allResourcesWithProperty$#",	//140
    "allSubClasses",	//141
    "allTags",	//142
    "altLabelUri",	//143
    "altLabels",	//144
    "annotationOf",	//145
    "annotationUri",	//146
    "annotations",	//147
    "append",	//148
    "append#",	//149
    "append$",	//150
    "append?",	//151
    "assignedTags",	//152
    "autoUpdate",	//153
    "cardinality",	//154
    "changeEvent",	//155
    "childEvent",	//156
    "className",	//157
    "clear",	//158
    "clearCache",	//159
    "closeEvent",	//160
    "comment",	//161
    "comment$",	//162
    "connectNotify",	//163
    "contextMenuEvent",	//164
    "createManagerForModel",	//165
    "createManagerForModel#",	//166
    "createResourceFromUri",	//167
    "createResourceFromUri$",	//168
    "customEvent",	//169
    "dataType",	//170
    "dataTypeUri",	//171
    "defaultGraph",	//172
    "definingOntology",	//173
    "deleteInstance",	//174
    "description",	//175
    "descriptionUri",	//176
    "devType",	//177
    "disconnectNotify",	//178
    "domain",	//179
    "domainOf",	//180
    "dragEnterEvent",	//181
    "dragLeaveEvent",	//182
    "dragMoveEvent",	//183
    "dropEvent",	//184
    "enabledChange",	//185
    "enterEvent",	//186
    "error",	//187
    "error$$",	//188
    "errorString",	//189
    "errorString$",	//190
    "event",	//191
    "eventFilter",	//192
    "exists",	//193
    "extractNamespace",	//194
    "extractNamespace#",	//195
    "fileName",	//196
    "findClassByLabel",	//197
    "findClassByLabel$",	//198
    "findClassByLabel$$",	//199
    "findClassByName",	//200
    "findClassByName$",	//201
    "findClassByUri",	//202
    "findClassByUri#",	//203
    "findPropertyByLabel",	//204
    "findPropertyByLabel$",	//205
    "findPropertyByLabel$$",	//206
    "findPropertyByName",	//207
    "findPropertyByName$",	//208
    "findPropertyByUri",	//209
    "findPropertyByUri#",	//210
    "focusInEvent",	//211
    "focusNextPrevChild",	//212
    "focusOutEvent",	//213
    "fontChange",	//214
    "fromNode",	//215
    "fromNode#",	//216
    "fromResourceUri",	//217
    "fromResourceUri#",	//218
    "fromResourceUri##",	//219
    "fromResourceUri###",	//220
    "fromString",	//221
    "fromString$$",	//222
    "generateUniqueUri",	//223
    "generateUniqueUri$",	//224
    "genericDescription",	//225
    "genericIcon",	//226
    "genericLabel",	//227
    "getOntology",	//228
    "getOntology#",	//229
    "groundingOccurrences",	//230
    "halfStepsEnabled",	//231
    "hasProperty",	//232
    "hasProperty#",	//233
    "hasProperty##",	//234
    "hasProperty$",	//235
    "hasType",	//236
    "hasType#",	//237
    "heightForWidth",	//238
    "hideEvent",	//239
    "icon",	//240
    "identifierUri",	//241
    "identifiers",	//242
    "increaseUsageCount",	//243
    "init",	//244
    "initialized",	//245
    "inputMethodEvent",	//246
    "inputMethodQuery",	//247
    "instance",	//248
    "inverseProperty",	//249
    "isAvailable",	//250
    "isBool",	//251
    "isBoolList",	//252
    "isDate",	//253
    "isDateList",	//254
    "isDateTime",	//255
    "isDateTimeList",	//256
    "isDouble",	//257
    "isDoubleList",	//258
    "isInt",	//259
    "isInt64",	//260
    "isInt64List",	//261
    "isIntList",	//262
    "isList",	//263
    "isParentOf",	//264
    "isParentOf#",	//265
    "isRelatedOf",	//266
    "isRelatedUri",	//267
    "isRelateds",	//268
    "isResource",	//269
    "isResourceList",	//270
    "isString",	//271
    "isStringList",	//272
    "isSubClassOf",	//273
    "isSubClassOf#",	//274
    "isSubPropertyOf",	//275
    "isSubPropertyOf#",	//276
    "isTime",	//277
    "isTimeList",	//278
    "isTopicOfUri",	//279
    "isTopicOfs",	//280
    "isUnsignedInt",	//281
    "isUnsignedInt64",	//282
    "isUnsignedInt64List",	//283
    "isUnsignedIntList",	//284
    "isUrl",	//285
    "isUrlList",	//286
    "isValid",	//287
    "keyPressEvent",	//288
    "keyReleaseEvent",	//289
    "label",	//290
    "label$",	//291
    "labelUri",	//292
    "languageChange",	//293
    "layoutDirection",	//294
    "leaveEvent",	//295
    "leaveEvent#",	//296
    "literalRangeType",	//297
    "load",	//298
    "load#",	//299
    "loadOntology",	//300
    "loadOntology#",	//301
    "mainModel",	//302
    "manager",	//303
    "maxCardinality",	//304
    "maxRating",	//305
    "maxTagsShown",	//306
    "metaObject",	//307
    "metric",	//308
    "minCardinality",	//309
    "minimumSizeHint",	//310
    "modeFlags",	//311
    "mouseDoubleClickEvent",	//312
    "mouseMoveEvent",	//313
    "mouseMoveEvent#",	//314
    "mousePressEvent",	//315
    "mousePressEvent#",	//316
    "mouseReleaseEvent",	//317
    "moveEvent",	//318
    "name",	//319
    "naoNamespace",	//320
    "nepomukSystemStarted",	//321
    "nepomukSystemStopped",	//322
    "notifyError",	//323
    "notifyError$$",	//324
    "nrlNamespace",	//325
    "occurrences",	//326
    "operator QUrl",	//327
    "operator!=",	//328
    "operator!=#",	//329
    "operator=",	//330
    "operator=#",	//331
    "operator=$",	//332
    "operator==",	//333
    "operator==#",	//334
    "operator=?",	//335
    "paintEngine",	//336
    "paintEvent",	//337
    "paintEvent#",	//338
    "paletteChange",	//339
    "parentClasses",	//340
    "parentOf",	//341
    "parentProperties",	//342
    "pimoThing",	//343
    "properties",	//344
    "property",	//345
    "property#",	//346
    "property$",	//347
    "qHash",	//348
    "qHash#",	//349
    "qt_metacall",	//350
    "qt_metacall$$?",	//351
    "qt_metacast",	//352
    "qt_metacast$",	//353
    "range",	//354
    "rangeOf",	//355
    "rating",	//356
    "ratingChanged",	//357
    "ratingChanged$",	//358
    "ratingUri",	//359
    "rdfNamepace",	//360
    "rdfsNamespace",	//361
    "referencingOccurrences",	//362
    "remove",	//363
    "removeProperty",	//364
    "removeProperty#",	//365
    "removeProperty##",	//366
    "removeProperty$",	//367
    "removeResource",	//368
    "removeResource$",	//369
    "reset",	//370
    "reset$",	//371
    "resizeEvent",	//372
    "resizeEvent#",	//373
    "resourceModified",	//374
    "resourceModified$",	//375
    "resourceType",	//376
    "resourceTypeUri",	//377
    "resourceUri",	//378
    "selectedTags",	//379
    "selectionChanged",	//380
    "selectionChanged?",	//381
    "setAlignment",	//382
    "setAlignment$",	//383
    "setAltLabels",	//384
    "setAltLabels?",	//385
    "setAnnotations",	//386
    "setAnnotations?",	//387
    "setAssignedTags",	//388
    "setAssignedTags?",	//389
    "setAutoUpdate",	//390
    "setAutoUpdate$",	//391
    "setCustomPixmap",	//392
    "setCustomPixmap#",	//393
    "setDefaultRepository",	//394
    "setDefaultRepository$",	//395
    "setDescription",	//396
    "setDescription$",	//397
    "setFileName",	//398
    "setFileName$",	//399
    "setHalfStepsEnabled",	//400
    "setHalfStepsEnabled$",	//401
    "setIcon",	//402
    "setIcon#",	//403
    "setIdentifiers",	//404
    "setIdentifiers?",	//405
    "setIsRelateds",	//406
    "setIsRelateds?",	//407
    "setIsTopicOfs",	//408
    "setIsTopicOfs?",	//409
    "setLabel",	//410
    "setLabel$",	//411
    "setLayoutDirection",	//412
    "setLayoutDirection$",	//413
    "setMaxFontSize",	//414
    "setMaxFontSize$",	//415
    "setMaxRating",	//416
    "setMaxRating$",	//417
    "setMaxTagsShown",	//418
    "setMaxTagsShown$",	//419
    "setMinFontSize",	//420
    "setMinFontSize$",	//421
    "setModeFlags",	//422
    "setModeFlags$",	//423
    "setOnlyPaintFullSteps",	//424
    "setOnlyPaintFullSteps$",	//425
    "setOntologyLoader",	//426
    "setOntologyLoader#",	//427
    "setOverrideMainModel",	//428
    "setOverrideMainModel#",	//429
    "setPixmap",	//430
    "setPixmap#",	//431
    "setPixmapSize",	//432
    "setPixmapSize$",	//433
    "setProperty",	//434
    "setProperty##",	//435
    "setProperty$#",	//436
    "setRating",	//437
    "setRating$",	//438
    "setSelectedTags",	//439
    "setSelectedTags?",	//440
    "setSerialization",	//441
    "setSerialization$",	//442
    "setServiceInitialized",	//443
    "setServiceInitialized$",	//444
    "setSpacing",	//445
    "setSpacing$",	//446
    "setSymbols",	//447
    "setSymbols?",	//448
    "setTaggedResource",	//449
    "setTaggedResource#",	//450
    "setTaggedResources",	//451
    "setTaggedResources?",	//452
    "setTags",	//453
    "setTags?",	//454
    "setTopics",	//455
    "setTopics?",	//456
    "setTypes",	//457
    "setTypes?",	//458
    "setVisible",	//459
    "showEvent",	//460
    "simpleType",	//461
    "sizeHint",	//462
    "spacing",	//463
    "staticMetaObject",	//464
    "styleChange",	//465
    "subClasses",	//466
    "subProperties",	//467
    "symbolUri",	//468
    "symbols",	//469
    "tabletEvent",	//470
    "tagClicked",	//471
    "tagClicked#",	//472
    "tagClicked$",	//473
    "tagOf",	//474
    "tagUri",	//475
    "tagWeight",	//476
    "tagWeight$",	//477
    "taggedResources",	//478
    "tags",	//479
    "timerEvent",	//480
    "toBool",	//481
    "toBoolList",	//482
    "toDate",	//483
    "toDateList",	//484
    "toDateTime",	//485
    "toDateTimeList",	//486
    "toDouble",	//487
    "toDoubleList",	//488
    "toInt",	//489
    "toInt64",	//490
    "toInt64List",	//491
    "toIntList",	//492
    "toResource",	//493
    "toResourceList",	//494
    "toString",	//495
    "toStringList",	//496
    "toTime",	//497
    "toTimeList",	//498
    "toUnsignedInt",	//499
    "toUnsignedInt64",	//500
    "toUnsignedInt64List",	//501
    "toUnsignedIntList",	//502
    "toUrl",	//503
    "toUrlList",	//504
    "toVariantList",	//505
    "topicUri",	//506
    "topics",	//507
    "tr",	//508
    "tr$",	//509
    "tr$$",	//510
    "tr$$$",	//511
    "trUtf8",	//512
    "trUtf8$",	//513
    "trUtf8$$",	//514
    "trUtf8$$$",	//515
    "type",	//516
    "typePredicate",	//517
    "types",	//518
    "updateTags",	//519
    "uri",	//520
    "usageCount",	//521
    "valueToRDFNode",	//522
    "valueToRDFNode#",	//523
    "valuesToRDFNodes",	//524
    "valuesToRDFNodes#",	//525
    "variant",	//526
    "wheelEvent",	//527
    "windowActivationChange",	//528
    "x11Event",	//529
    "~Class",	//530
    "~DesktopOntologyLoader",	//531
    "~Entity",	//532
    "~FileOntologyLoader",	//533
    "~KRatingWidget",	//534
    "~KTagCloudWidget",	//535
    "~KTagDisplayWidget",	//536
    "~Literal",	//537
    "~NepomukOntologyLoader",	//538
    "~Ontology",	//539
    "~OntologyLoader",	//540
    "~OntologyManager",	//541
    "~Property",	//542
    "~Resource",	//543
    "~Service",	//544
    "~Tag",	//545
    "~TagCloud",	//546
    "~TagWidget",	//547
    "~Thing",	//548
    "~Variant",	//549
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//1 KRatingWidget::metaObject() const
    {4, 352, 1, 1, Smoke::mf_virtual, 274, 2},	//2 KRatingWidget::qt_metacast(const char*)
    {4, 508, 3, 2, Smoke::mf_static, 110, 3},	//3 KRatingWidget::tr(const char*, const char*)
    {4, 512, 3, 2, Smoke::mf_static, 110, 4},	//4 KRatingWidget::trUtf8(const char*, const char*)
    {4, 508, 6, 3, Smoke::mf_static, 110, 5},	//5 KRatingWidget::tr(const char*, const char*, int)
    {4, 512, 6, 3, Smoke::mf_static, 110, 6},	//6 KRatingWidget::trUtf8(const char*, const char*, int)
    {4, 350, 10, 3, Smoke::mf_virtual, 269, 7},	//7 KRatingWidget::qt_metacall(QMetaObject::Call, int, void**)
    {4, 19, 14, 1, Smoke::mf_ctor, 5, 8},	//8 KRatingWidget::KRatingWidget(QWidget*)
    {4, 356, 0, 0, Smoke::mf_const, 272, 9},	//9 KRatingWidget::rating() const
    {4, 305, 0, 0, Smoke::mf_const, 269, 10},	//10 KRatingWidget::maxRating() const
    {4, 129, 0, 0, Smoke::mf_const, 72, 11},	//11 KRatingWidget::alignment() const
    {4, 294, 0, 0, Smoke::mf_const, 162, 12},	//12 KRatingWidget::layoutDirection() const
    {4, 463, 0, 0, Smoke::mf_const, 269, 13},	//13 KRatingWidget::spacing() const
    {4, 462, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 109, 14},	//14 KRatingWidget::sizeHint() const
    {4, 231, 0, 0, Smoke::mf_const, 204, 15},	//15 KRatingWidget::halfStepsEnabled() const
    {4, 240, 0, 0, Smoke::mf_const, 77, 16},	//16 KRatingWidget::icon() const
    {4, 357, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//17 KRatingWidget::ratingChanged(unsigned int)
    {4, 357, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//18 KRatingWidget::ratingChanged(int)
    {4, 437, 18, 1, Smoke::mf_slot, 0, 19},	//19 KRatingWidget::setRating(int)
    {4, 437, 16, 1, Smoke::mf_slot, 0, 20},	//20 KRatingWidget::setRating(unsigned int)
    {4, 416, 18, 1, Smoke::mf_slot, 0, 21},	//21 KRatingWidget::setMaxRating(int)
    {4, 416, 16, 1, Smoke::mf_slot, 0, 22},	//22 KRatingWidget::setMaxRating(unsigned int)
    {4, 400, 20, 1, Smoke::mf_slot, 0, 23},	//23 KRatingWidget::setHalfStepsEnabled(bool)
    {4, 424, 20, 1, Smoke::mf_slot, 0, 24},	//24 KRatingWidget::setOnlyPaintFullSteps(bool)
    {4, 445, 18, 1, Smoke::mf_slot, 0, 25},	//25 KRatingWidget::setSpacing(int)
    {4, 382, 22, 1, Smoke::mf_slot, 0, 26},	//26 KRatingWidget::setAlignment(Qt::Alignment)
    {4, 412, 24, 1, Smoke::mf_slot, 0, 27},	//27 KRatingWidget::setLayoutDirection(Qt::LayoutDirection)
    {4, 402, 26, 1, Smoke::mf_slot, 0, 28},	//28 KRatingWidget::setIcon(const QIcon&)
    {4, 392, 28, 1, Smoke::mf_slot, 0, 29},	//29 KRatingWidget::setCustomPixmap(const QPixmap&)
    {4, 430, 28, 1, Smoke::mf_slot, 0, 30},	//30 KRatingWidget::setPixmap(const QPixmap&)
    {4, 432, 18, 1, Smoke::mf_slot, 0, 31},	//31 KRatingWidget::setPixmapSize(int)
    {4, 315, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//32 KRatingWidget::mousePressEvent(QMouseEvent*)
    {4, 313, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//33 KRatingWidget::mouseMoveEvent(QMouseEvent*)
    {4, 295, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//34 KRatingWidget::leaveEvent(QEvent*)
    {4, 337, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//35 KRatingWidget::paintEvent(QPaintEvent*)
    {4, 372, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//36 KRatingWidget::resizeEvent(QResizeEvent*)
    {4, 508, 1, 1, Smoke::mf_static, 110, 37},	//37 KRatingWidget::tr(const char*)
    {4, 512, 1, 1, Smoke::mf_static, 110, 38},	//38 KRatingWidget::trUtf8(const char*)
    {4, 19, 0, 0, Smoke::mf_ctor, 5, 39},	//39 KRatingWidget::KRatingWidget()
    {4, 464, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 40},	//40 KRatingWidget::staticMetaObject() const
    {4, 534, 0, 0, Smoke::mf_dtor, 0, 41 },	//41 KRatingWidget::~KRatingWidget()
    {6, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//42 KTagCloudWidget::metaObject() const
    {6, 352, 1, 1, Smoke::mf_virtual, 274, 2},	//43 KTagCloudWidget::qt_metacast(const char*)
    {6, 508, 3, 2, Smoke::mf_static, 110, 3},	//44 KTagCloudWidget::tr(const char*, const char*)
    {6, 512, 3, 2, Smoke::mf_static, 110, 4},	//45 KTagCloudWidget::trUtf8(const char*, const char*)
    {6, 508, 6, 3, Smoke::mf_static, 110, 5},	//46 KTagCloudWidget::tr(const char*, const char*, int)
    {6, 512, 6, 3, Smoke::mf_static, 110, 6},	//47 KTagCloudWidget::trUtf8(const char*, const char*, int)
    {6, 350, 10, 3, Smoke::mf_virtual, 269, 7},	//48 KTagCloudWidget::qt_metacall(QMetaObject::Call, int, void**)
    {6, 21, 14, 1, Smoke::mf_ctor, 8, 8},	//49 KTagCloudWidget::KTagCloudWidget(QWidget*)
    {6, 476, 38, 1, Smoke::mf_const, 269, 9},	//50 KTagCloudWidget::tagWeight(const QString&) const
    {6, 119, 40, 2, Smoke::mf_slot, 0, 10},	//51 KTagCloudWidget::addTag(const QString&, int)
    {6, 123, 43, 1, Smoke::mf_slot, 0, 11},	//52 KTagCloudWidget::addTags(const QMap<QString,int>&)
    {6, 158, 0, 0, Smoke::mf_slot, 0, 12},	//53 KTagCloudWidget::clear()
    {6, 414, 18, 1, Smoke::mf_slot, 0, 13},	//54 KTagCloudWidget::setMaxFontSize(int)
    {6, 420, 18, 1, Smoke::mf_slot, 0, 14},	//55 KTagCloudWidget::setMinFontSize(int)
    {6, 471, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//56 KTagCloudWidget::tagClicked(const QString&)
    {6, 372, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//57 KTagCloudWidget::resizeEvent(QResizeEvent*)
    {6, 508, 1, 1, Smoke::mf_static, 110, 17},	//58 KTagCloudWidget::tr(const char*)
    {6, 512, 1, 1, Smoke::mf_static, 110, 18},	//59 KTagCloudWidget::trUtf8(const char*)
    {6, 21, 0, 0, Smoke::mf_ctor, 8, 19},	//60 KTagCloudWidget::KTagCloudWidget()
    {6, 464, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 20},	//61 KTagCloudWidget::staticMetaObject() const
    {6, 535, 0, 0, Smoke::mf_dtor, 0, 21 },	//62 KTagCloudWidget::~KTagCloudWidget()
    {7, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//63 KTagDisplayWidget::metaObject() const
    {7, 352, 1, 1, Smoke::mf_virtual, 274, 2},	//64 KTagDisplayWidget::qt_metacast(const char*)
    {7, 508, 3, 2, Smoke::mf_static, 110, 3},	//65 KTagDisplayWidget::tr(const char*, const char*)
    {7, 512, 3, 2, Smoke::mf_static, 110, 4},	//66 KTagDisplayWidget::trUtf8(const char*, const char*)
    {7, 508, 6, 3, Smoke::mf_static, 110, 5},	//67 KTagDisplayWidget::tr(const char*, const char*, int)
    {7, 512, 6, 3, Smoke::mf_static, 110, 6},	//68 KTagDisplayWidget::trUtf8(const char*, const char*, int)
    {7, 350, 10, 3, Smoke::mf_virtual, 269, 7},	//69 KTagDisplayWidget::qt_metacall(QMetaObject::Call, int, void**)
    {7, 23, 14, 1, Smoke::mf_ctor, 9, 8},	//70 KTagDisplayWidget::KTagDisplayWidget(QWidget*)
    {7, 453, 45, 1, Smoke::mf_slot, 0, 9},	//71 KTagDisplayWidget::setTags(const QStringList&)
    {7, 119, 38, 1, Smoke::mf_slot, 0, 10},	//72 KTagDisplayWidget::addTag(const QString&)
    {7, 123, 45, 1, Smoke::mf_slot, 0, 11},	//73 KTagDisplayWidget::addTags(const QStringList&)
    {7, 158, 0, 0, Smoke::mf_slot, 0, 12},	//74 KTagDisplayWidget::clear()
    {7, 471, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//75 KTagDisplayWidget::tagClicked(const QString&)
    {7, 508, 1, 1, Smoke::mf_static, 110, 14},	//76 KTagDisplayWidget::tr(const char*)
    {7, 512, 1, 1, Smoke::mf_static, 110, 15},	//77 KTagDisplayWidget::trUtf8(const char*)
    {7, 23, 0, 0, Smoke::mf_ctor, 9, 16},	//78 KTagDisplayWidget::KTagDisplayWidget()
    {7, 464, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 17},	//79 KTagDisplayWidget::staticMetaObject() const
    {7, 536, 0, 0, Smoke::mf_dtor, 0, 18 },	//80 KTagDisplayWidget::~KTagDisplayWidget()
    {9, 360, 0, 0, Smoke::mf_static, 110, 1},	//81 Nepomuk::rdfNamepace()
    {9, 348, 47, 1, Smoke::mf_static, 272, 2},	//82 Nepomuk::qHash(const Nepomuk::Resource&)
    {9, 524, 49, 1, Smoke::mf_static, 89, 3},	//83 Nepomuk::valuesToRDFNodes(const Nepomuk::Variant&)
    {9, 394, 38, 1, Smoke::mf_static, 0, 4},	//84 Nepomuk::setDefaultRepository(const QString&)
    {9, 325, 0, 0, Smoke::mf_static, 110, 5},	//85 Nepomuk::nrlNamespace()
    {9, 189, 51, 1, Smoke::mf_static, 110, 6},	//86 Nepomuk::errorString(Nepomuk::ErrorCode)
    {9, 172, 0, 0, Smoke::mf_static, 110, 7},	//87 Nepomuk::defaultGraph()
    {9, 517, 0, 0, Smoke::mf_static, 110, 8},	//88 Nepomuk::typePredicate()
    {9, 361, 0, 0, Smoke::mf_static, 110, 9},	//89 Nepomuk::rdfsNamespace()
    {9, 320, 0, 0, Smoke::mf_static, 110, 10},	//90 Nepomuk::naoNamespace()
    {9, 52, 53, 1, Smoke::mf_static, 56, 11},	//91 Nepomuk::RDFLiteralToValue(const Soprano::Node&)
    {9, 194, 55, 1, Smoke::mf_static, 117, 12},	//92 Nepomuk::extractNamespace(const QUrl&)
    {9, 522, 49, 1, Smoke::mf_static, 199, 13},	//93 Nepomuk::valueToRDFNode(const Nepomuk::Variant&)
    {9, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 14},	//94 Nepomuk::NoError (enum)
    {9, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 15},	//95 Nepomuk::CommunicationError (enum)
    {9, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 16},	//96 Nepomuk::InvalidType (enum)
    {9, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 17},	//97 Nepomuk::UnknownError (enum)
    {10, 2, 0, 0, Smoke::mf_ctor, 11, 1},	//98 Nepomuk::Class::Class()
    {10, 2, 57, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 11, 2},	//99 Nepomuk::Class::Class(const Nepomuk::Class&)
    {10, 330, 57, 1, 0, 10, 3},	//100 Nepomuk::Class::operator=(const Nepomuk::Class&)
    {10, 133, 0, 0, Smoke::mf_const, 93, 4},	//101 Nepomuk::Class::allProperties() const
    {10, 207, 38, 1, Smoke::mf_const, 219, 5},	//102 Nepomuk::Class::findPropertyByName(const QString&) const
    {10, 204, 59, 2, Smoke::mf_const, 219, 6},	//103 Nepomuk::Class::findPropertyByLabel(const QString&, const QString&) const
    {10, 209, 55, 1, Smoke::mf_const, 219, 7},	//104 Nepomuk::Class::findPropertyByUri(const QUrl&) const
    {10, 340, 0, 0, Smoke::mf_const, 92, 8},	//105 Nepomuk::Class::parentClasses() const
    {10, 466, 0, 0, Smoke::mf_const, 92, 9},	//106 Nepomuk::Class::subClasses() const
    {10, 264, 62, 1, Smoke::mf_const, 204, 10},	//107 Nepomuk::Class::isParentOf(const Nepomuk::Class*) const
    {10, 273, 62, 1, Smoke::mf_const, 204, 11},	//108 Nepomuk::Class::isSubClassOf(const Nepomuk::Class*) const
    {10, 298, 55, 1, Smoke::mf_static, 208, 12},	//109 Nepomuk::Class::load(const QUrl&)
    {10, 204, 38, 1, Smoke::mf_const, 219, 13},	//110 Nepomuk::Class::findPropertyByLabel(const QString&) const
    {10, 530, 0, 0, Smoke::mf_dtor, 0, 14 },	//111 Nepomuk::Class::~Class()
    {11, 5, 0, 0, Smoke::mf_ctor, 12, 1},	//112 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader()
    {11, 131, 0, 0, 0, 88, 2},	//113 Nepomuk::DesktopOntologyLoader::allOntologies()
    {11, 300, 55, 1, Smoke::mf_virtual, 90, 3},	//114 Nepomuk::DesktopOntologyLoader::loadOntology(const QUrl&)
    {11, 5, 64, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 12, 4},	//115 Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader(const Nepomuk::DesktopOntologyLoader&)
    {11, 531, 0, 0, Smoke::mf_dtor, 0, 5 },	//116 Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader()
    {12, 10, 66, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 1},	//117 Nepomuk::Entity::Entity(const Nepomuk::Entity&)
    {12, 330, 66, 1, 0, 13, 2},	//118 Nepomuk::Entity::operator=(const Nepomuk::Entity&)
    {12, 173, 0, 0, Smoke::mf_const, 215, 3},	//119 Nepomuk::Entity::definingOntology() const
    {12, 319, 0, 0, Smoke::mf_const, 110, 4},	//120 Nepomuk::Entity::name() const
    {12, 520, 0, 0, Smoke::mf_const, 117, 5},	//121 Nepomuk::Entity::uri() const
    {12, 290, 38, 1, Smoke::mf_const, 110, 6},	//122 Nepomuk::Entity::label(const QString&) const
    {12, 161, 38, 1, Smoke::mf_const, 110, 7},	//123 Nepomuk::Entity::comment(const QString&) const
    {12, 10, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 14, 8},	//124 Nepomuk::Entity::Entity()
    {12, 290, 0, 0, Smoke::mf_const, 110, 9},	//125 Nepomuk::Entity::label() const
    {12, 161, 0, 0, Smoke::mf_const, 110, 10},	//126 Nepomuk::Entity::comment() const
    {12, 532, 0, 0, Smoke::mf_dtor, 0, 11 },	//127 Nepomuk::Entity::~Entity()
    {13, 12, 0, 0, Smoke::mf_ctor, 16, 1},	//128 Nepomuk::FileOntologyLoader::FileOntologyLoader()
    {13, 12, 68, 2, Smoke::mf_ctor, 16, 2},	//129 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&, Soprano::RdfSerialization)
    {13, 398, 38, 1, 0, 0, 3},	//130 Nepomuk::FileOntologyLoader::setFileName(const QString&)
    {13, 196, 0, 0, Smoke::mf_const, 110, 4},	//131 Nepomuk::FileOntologyLoader::fileName() const
    {13, 441, 71, 1, 0, 0, 5},	//132 Nepomuk::FileOntologyLoader::setSerialization(Soprano::RdfSerialization)
    {13, 300, 55, 1, Smoke::mf_virtual, 90, 6},	//133 Nepomuk::FileOntologyLoader::loadOntology(const QUrl&)
    {13, 12, 73, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 7},	//134 Nepomuk::FileOntologyLoader::FileOntologyLoader(const Nepomuk::FileOntologyLoader&)
    {13, 12, 38, 1, Smoke::mf_ctor, 16, 8},	//135 Nepomuk::FileOntologyLoader::FileOntologyLoader(const QString&)
    {13, 533, 0, 0, Smoke::mf_dtor, 0, 9 },	//136 Nepomuk::FileOntologyLoader::~FileOntologyLoader()
    {14, 25, 0, 0, Smoke::mf_ctor, 19, 1},	//137 Nepomuk::Literal::Literal()
    {14, 25, 75, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//138 Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    {14, 25, 55, 1, Smoke::mf_ctor, 19, 3},	//139 Nepomuk::Literal::Literal(const QUrl&)
    {14, 330, 75, 1, 0, 18, 4},	//140 Nepomuk::Literal::operator=(const Nepomuk::Literal&)
    {14, 171, 0, 0, Smoke::mf_const, 259, 5},	//141 Nepomuk::Literal::dataTypeUri() const
    {14, 170, 0, 0, Smoke::mf_const, 119, 6},	//142 Nepomuk::Literal::dataType() const
    {14, 537, 0, 0, Smoke::mf_dtor, 0, 7 },	//143 Nepomuk::Literal::~Literal()
    {15, 28, 0, 0, Smoke::mf_ctor, 20, 1},	//144 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader()
    {15, 300, 55, 1, Smoke::mf_virtual, 90, 2},	//145 Nepomuk::NepomukOntologyLoader::loadOntology(const QUrl&)
    {15, 28, 77, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 20, 3},	//146 Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader(const Nepomuk::NepomukOntologyLoader&)
    {15, 538, 0, 0, Smoke::mf_dtor, 0, 4 },	//147 Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader()
    {16, 32, 0, 0, Smoke::mf_ctor, 22, 1},	//148 Nepomuk::Ontology::Ontology()
    {16, 32, 79, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//149 Nepomuk::Ontology::Ontology(const Nepomuk::Ontology&)
    {16, 330, 79, 1, 0, 21, 3},	//150 Nepomuk::Ontology::operator=(const Nepomuk::Ontology&)
    {16, 520, 0, 0, Smoke::mf_const, 117, 4},	//151 Nepomuk::Ontology::uri() const
    {16, 130, 0, 0, Smoke::mf_const, 92, 5},	//152 Nepomuk::Ontology::allClasses() const
    {16, 200, 38, 1, Smoke::mf_const, 208, 6},	//153 Nepomuk::Ontology::findClassByName(const QString&) const
    {16, 197, 59, 2, Smoke::mf_const, 208, 7},	//154 Nepomuk::Ontology::findClassByLabel(const QString&, const QString&) const
    {16, 202, 55, 1, Smoke::mf_const, 208, 8},	//155 Nepomuk::Ontology::findClassByUri(const QUrl&) const
    {16, 133, 0, 0, Smoke::mf_const, 93, 9},	//156 Nepomuk::Ontology::allProperties() const
    {16, 207, 38, 1, Smoke::mf_const, 219, 10},	//157 Nepomuk::Ontology::findPropertyByName(const QString&) const
    {16, 204, 59, 2, Smoke::mf_const, 219, 11},	//158 Nepomuk::Ontology::findPropertyByLabel(const QString&, const QString&) const
    {16, 209, 55, 1, Smoke::mf_const, 219, 12},	//159 Nepomuk::Ontology::findPropertyByUri(const QUrl&) const
    {16, 298, 55, 1, Smoke::mf_static, 215, 13},	//160 Nepomuk::Ontology::load(const QUrl&)
    {16, 197, 38, 1, Smoke::mf_const, 208, 14},	//161 Nepomuk::Ontology::findClassByLabel(const QString&) const
    {16, 204, 38, 1, Smoke::mf_const, 219, 15},	//162 Nepomuk::Ontology::findPropertyByLabel(const QString&) const
    {16, 539, 0, 0, Smoke::mf_dtor, 0, 16 },	//163 Nepomuk::Ontology::~Ontology()
    {17, 300, 55, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 90, 1},	//164 Nepomuk::OntologyLoader::loadOntology(const QUrl&) [pure virtual]
    {17, 34, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 23, 2},	//165 Nepomuk::OntologyLoader::OntologyLoader()
    {17, 34, 81, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 3},	//166 Nepomuk::OntologyLoader::OntologyLoader(const Nepomuk::OntologyLoader&)
    {17, 540, 0, 0, Smoke::mf_dtor, 0, 4 },	//167 Nepomuk::OntologyLoader::~OntologyLoader()
    {18, 248, 0, 0, Smoke::mf_static, 24, 1},	//168 Nepomuk::OntologyManager::instance()
    {18, 426, 83, 1, 0, 0, 2},	//169 Nepomuk::OntologyManager::setOntologyLoader(Nepomuk::OntologyLoader*)
    {18, 228, 55, 1, 0, 215, 3},	//170 Nepomuk::OntologyManager::getOntology(const QUrl&)
    {18, 36, 85, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 4},	//171 Nepomuk::OntologyManager::OntologyManager(const Nepomuk::OntologyManager&)
    {18, 541, 0, 0, Smoke::mf_dtor, 0, 5 },	//172 Nepomuk::OntologyManager::~OntologyManager()
    {19, 40, 0, 0, Smoke::mf_ctor, 26, 1},	//173 Nepomuk::Property::Property()
    {19, 40, 87, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//174 Nepomuk::Property::Property(const Nepomuk::Property&)
    {19, 330, 87, 1, 0, 25, 3},	//175 Nepomuk::Property::operator=(const Nepomuk::Property&)
    {19, 342, 0, 0, Smoke::mf_const, 93, 4},	//176 Nepomuk::Property::parentProperties() const
    {19, 341, 0, 0, Smoke::mf_const, 93, 5},	//177 Nepomuk::Property::parentOf() const
    {19, 249, 0, 0, Smoke::mf_const, 219, 6},	//178 Nepomuk::Property::inverseProperty() const
    {19, 354, 0, 0, Smoke::mf_const, 208, 7},	//179 Nepomuk::Property::range() const
    {19, 297, 0, 0, Smoke::mf_const, 17, 8},	//180 Nepomuk::Property::literalRangeType() const
    {19, 179, 0, 0, Smoke::mf_const, 208, 9},	//181 Nepomuk::Property::domain() const
    {19, 154, 0, 0, Smoke::mf_const, 269, 10},	//182 Nepomuk::Property::cardinality() const
    {19, 309, 0, 0, Smoke::mf_const, 269, 11},	//183 Nepomuk::Property::minCardinality() const
    {19, 304, 0, 0, Smoke::mf_const, 269, 12},	//184 Nepomuk::Property::maxCardinality() const
    {19, 298, 55, 1, Smoke::mf_static, 219, 13},	//185 Nepomuk::Property::load(const QUrl&)
    {19, 542, 0, 0, Smoke::mf_dtor, 0, 14 },	//186 Nepomuk::Property::~Property()
    {22, 56, 0, 0, Smoke::mf_ctor, 29, 1},	//187 Nepomuk::Resource::Resource()
    {22, 56, 89, 1, Smoke::mf_ctor, 29, 2},	//188 Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    {22, 56, 47, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 3},	//189 Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    {22, 56, 91, 2, Smoke::mf_ctor, 29, 4},	//190 Nepomuk::Resource::Resource(const QString&, const QUrl&)
    {22, 56, 94, 3, Smoke::mf_ctor, 29, 5},	//191 Nepomuk::Resource::Resource(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {22, 56, 59, 2, Smoke::mf_ctor, 29, 6},	//192 Nepomuk::Resource::Resource(const QString&, const QString&)
    {22, 56, 98, 2, Smoke::mf_ctor, 29, 7},	//193 Nepomuk::Resource::Resource(const QUrl&, const QUrl&)
    {22, 56, 101, 3, Smoke::mf_ctor, 29, 8},	//194 Nepomuk::Resource::Resource(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {22, 56, 105, 1, Smoke::mf_ctor, 29, 9},	//195 Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    {22, 330, 47, 1, 0, 28, 10},	//196 Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    {22, 330, 55, 1, 0, 28, 11},	//197 Nepomuk::Resource::operator=(const QUrl&)
    {22, 303, 0, 0, Smoke::mf_const, 31, 12},	//198 Nepomuk::Resource::manager() const
    {22, 520, 0, 0, Smoke::mf_const, 110, 13},	//199 Nepomuk::Resource::uri() const
    {22, 378, 0, 0, Smoke::mf_const, 117, 14},	//200 Nepomuk::Resource::resourceUri() const
    {22, 516, 0, 0, Smoke::mf_const, 110, 15},	//201 Nepomuk::Resource::type() const
    {22, 376, 0, 0, Smoke::mf_const, 117, 16},	//202 Nepomuk::Resource::resourceType() const
    {22, 518, 0, 0, Smoke::mf_const, 88, 17},	//203 Nepomuk::Resource::types() const
    {22, 457, 107, 1, 0, 0, 18},	//204 Nepomuk::Resource::setTypes(const QList<QUrl>&)
    {22, 127, 55, 1, 0, 0, 19},	//205 Nepomuk::Resource::addType(const QUrl&)
    {22, 236, 55, 1, Smoke::mf_const, 204, 20},	//206 Nepomuk::Resource::hasType(const QUrl&) const
    {22, 157, 0, 0, Smoke::mf_const, 110, 21},	//207 Nepomuk::Resource::className() const
    {22, 133, 0, 0, Smoke::mf_const, 74, 22},	//208 Nepomuk::Resource::allProperties() const
    {22, 344, 0, 0, Smoke::mf_const, 75, 23},	//209 Nepomuk::Resource::properties() const
    {22, 232, 55, 1, Smoke::mf_const, 204, 24},	//210 Nepomuk::Resource::hasProperty(const QUrl&) const
    {22, 232, 109, 2, Smoke::mf_const, 204, 25},	//211 Nepomuk::Resource::hasProperty(const Nepomuk::Types::Property&, const Nepomuk::Variant&) const
    {22, 232, 38, 1, Smoke::mf_const, 204, 26},	//212 Nepomuk::Resource::hasProperty(const QString&) const
    {22, 345, 55, 1, Smoke::mf_const, 56, 27},	//213 Nepomuk::Resource::property(const QUrl&) const
    {22, 345, 38, 1, Smoke::mf_const, 56, 28},	//214 Nepomuk::Resource::property(const QString&) const
    {22, 434, 112, 2, 0, 0, 29},	//215 Nepomuk::Resource::setProperty(const QUrl&, const Nepomuk::Variant&)
    {22, 115, 112, 2, 0, 0, 30},	//216 Nepomuk::Resource::addProperty(const QUrl&, const Nepomuk::Variant&)
    {22, 434, 115, 2, 0, 0, 31},	//217 Nepomuk::Resource::setProperty(const QString&, const Nepomuk::Variant&)
    {22, 364, 55, 1, 0, 0, 32},	//218 Nepomuk::Resource::removeProperty(const QUrl&)
    {22, 364, 112, 2, 0, 0, 33},	//219 Nepomuk::Resource::removeProperty(const QUrl&, const Nepomuk::Variant&)
    {22, 364, 38, 1, 0, 0, 34},	//220 Nepomuk::Resource::removeProperty(const QString&)
    {22, 363, 0, 0, 0, 0, 35},	//221 Nepomuk::Resource::remove()
    {22, 193, 0, 0, Smoke::mf_const, 204, 36},	//222 Nepomuk::Resource::exists() const
    {22, 287, 0, 0, Smoke::mf_const, 204, 37},	//223 Nepomuk::Resource::isValid() const
    {22, 227, 0, 0, Smoke::mf_const, 110, 38},	//224 Nepomuk::Resource::genericLabel() const
    {22, 225, 0, 0, Smoke::mf_const, 110, 39},	//225 Nepomuk::Resource::genericDescription() const
    {22, 226, 0, 0, Smoke::mf_const, 110, 40},	//226 Nepomuk::Resource::genericIcon() const
    {22, 343, 0, 0, 0, 40, 41},	//227 Nepomuk::Resource::pimoThing()
    {22, 333, 47, 1, Smoke::mf_const, 204, 42},	//228 Nepomuk::Resource::operator==(const Nepomuk::Resource&) const
    {22, 328, 47, 1, Smoke::mf_const, 204, 43},	//229 Nepomuk::Resource::operator!=(const Nepomuk::Resource&) const
    {22, 175, 0, 0, Smoke::mf_const, 110, 44},	//230 Nepomuk::Resource::description() const
    {22, 396, 38, 1, 0, 0, 45},	//231 Nepomuk::Resource::setDescription(const QString&)
    {22, 176, 0, 0, Smoke::mf_static, 110, 46},	//232 Nepomuk::Resource::descriptionUri()
    {22, 242, 0, 0, Smoke::mf_const, 111, 47},	//233 Nepomuk::Resource::identifiers() const
    {22, 404, 45, 1, 0, 0, 48},	//234 Nepomuk::Resource::setIdentifiers(const QStringList&)
    {22, 109, 38, 1, 0, 0, 49},	//235 Nepomuk::Resource::addIdentifier(const QString&)
    {22, 241, 0, 0, Smoke::mf_static, 110, 50},	//236 Nepomuk::Resource::identifierUri()
    {22, 144, 0, 0, Smoke::mf_const, 111, 51},	//237 Nepomuk::Resource::altLabels() const
    {22, 384, 45, 1, 0, 0, 52},	//238 Nepomuk::Resource::setAltLabels(const QStringList&)
    {22, 103, 38, 1, 0, 0, 53},	//239 Nepomuk::Resource::addAltLabel(const QString&)
    {22, 143, 0, 0, Smoke::mf_static, 110, 54},	//240 Nepomuk::Resource::altLabelUri()
    {22, 147, 0, 0, Smoke::mf_const, 80, 55},	//241 Nepomuk::Resource::annotations() const
    {22, 386, 118, 1, 0, 0, 56},	//242 Nepomuk::Resource::setAnnotations(const QList<Nepomuk::Resource>&)
    {22, 105, 47, 1, 0, 0, 57},	//243 Nepomuk::Resource::addAnnotation(const Nepomuk::Resource&)
    {22, 146, 0, 0, Smoke::mf_static, 110, 58},	//244 Nepomuk::Resource::annotationUri()
    {22, 479, 0, 0, Smoke::mf_const, 81, 59},	//245 Nepomuk::Resource::tags() const
    {22, 453, 120, 1, 0, 0, 60},	//246 Nepomuk::Resource::setTags(const QList<Nepomuk::Tag>&)
    {22, 119, 122, 1, 0, 0, 61},	//247 Nepomuk::Resource::addTag(const Nepomuk::Tag&)
    {22, 475, 0, 0, Smoke::mf_static, 110, 62},	//248 Nepomuk::Resource::tagUri()
    {22, 507, 0, 0, Smoke::mf_const, 80, 63},	//249 Nepomuk::Resource::topics() const
    {22, 455, 118, 1, 0, 0, 64},	//250 Nepomuk::Resource::setTopics(const QList<Nepomuk::Resource>&)
    {22, 125, 47, 1, 0, 0, 65},	//251 Nepomuk::Resource::addTopic(const Nepomuk::Resource&)
    {22, 506, 0, 0, Smoke::mf_static, 110, 66},	//252 Nepomuk::Resource::topicUri()
    {22, 280, 0, 0, Smoke::mf_const, 80, 67},	//253 Nepomuk::Resource::isTopicOfs() const
    {22, 408, 118, 1, 0, 0, 68},	//254 Nepomuk::Resource::setIsTopicOfs(const QList<Nepomuk::Resource>&)
    {22, 113, 47, 1, 0, 0, 69},	//255 Nepomuk::Resource::addIsTopicOf(const Nepomuk::Resource&)
    {22, 279, 0, 0, Smoke::mf_static, 110, 70},	//256 Nepomuk::Resource::isTopicOfUri()
    {22, 268, 0, 0, Smoke::mf_const, 80, 71},	//257 Nepomuk::Resource::isRelateds() const
    {22, 406, 118, 1, 0, 0, 72},	//258 Nepomuk::Resource::setIsRelateds(const QList<Nepomuk::Resource>&)
    {22, 111, 47, 1, 0, 0, 73},	//259 Nepomuk::Resource::addIsRelated(const Nepomuk::Resource&)
    {22, 267, 0, 0, Smoke::mf_static, 110, 74},	//260 Nepomuk::Resource::isRelatedUri()
    {22, 290, 0, 0, Smoke::mf_const, 110, 75},	//261 Nepomuk::Resource::label() const
    {22, 410, 38, 1, 0, 0, 76},	//262 Nepomuk::Resource::setLabel(const QString&)
    {22, 292, 0, 0, Smoke::mf_static, 110, 77},	//263 Nepomuk::Resource::labelUri()
    {22, 356, 0, 0, Smoke::mf_const, 272, 78},	//264 Nepomuk::Resource::rating() const
    {22, 437, 124, 1, 0, 0, 79},	//265 Nepomuk::Resource::setRating(const unsigned int&)
    {22, 359, 0, 0, Smoke::mf_static, 110, 80},	//266 Nepomuk::Resource::ratingUri()
    {22, 469, 0, 0, Smoke::mf_const, 111, 81},	//267 Nepomuk::Resource::symbols() const
    {22, 447, 45, 1, 0, 0, 82},	//268 Nepomuk::Resource::setSymbols(const QStringList&)
    {22, 117, 38, 1, 0, 0, 83},	//269 Nepomuk::Resource::addSymbol(const QString&)
    {22, 468, 0, 0, Smoke::mf_static, 110, 84},	//270 Nepomuk::Resource::symbolUri()
    {22, 145, 0, 0, Smoke::mf_const, 80, 85},	//271 Nepomuk::Resource::annotationOf() const
    {22, 266, 0, 0, Smoke::mf_const, 80, 86},	//272 Nepomuk::Resource::isRelatedOf() const
    {22, 134, 0, 0, Smoke::mf_static, 80, 87},	//273 Nepomuk::Resource::allResources()
    {22, 521, 0, 0, Smoke::mf_const, 269, 88},	//274 Nepomuk::Resource::usageCount() const
    {22, 243, 0, 0, 0, 0, 89},	//275 Nepomuk::Resource::increaseUsageCount()
    {22, 217, 126, 3, Smoke::mf_static, 27, 90},	//276 Nepomuk::Resource::fromResourceUri(const KUrl&, const Nepomuk::Types::Class&, Nepomuk::ResourceManager*)
    {22, 56, 38, 1, Smoke::mf_ctor, 29, 91},	//277 Nepomuk::Resource::Resource(const QString&)
    {22, 56, 55, 1, Smoke::mf_ctor, 29, 92},	//278 Nepomuk::Resource::Resource(const QUrl&)
    {22, 217, 130, 1, Smoke::mf_static, 27, 93},	//279 Nepomuk::Resource::fromResourceUri(const KUrl&)
    {22, 217, 132, 2, Smoke::mf_static, 27, 94},	//280 Nepomuk::Resource::fromResourceUri(const KUrl&, const Nepomuk::Types::Class&)
    {22, 543, 0, 0, Smoke::mf_dtor, 0, 95 },	//281 Nepomuk::Resource::~Resource()
    {24, 307, 0, 0, Smoke::mf_const, 250, 1},	//282 Nepomuk::ResourceManager::metaObject() const
    {24, 352, 1, 1, 0, 274, 2},	//283 Nepomuk::ResourceManager::qt_metacast(const char*)
    {24, 508, 3, 2, Smoke::mf_static, 110, 3},	//284 Nepomuk::ResourceManager::tr(const char*, const char*)
    {24, 512, 3, 2, Smoke::mf_static, 110, 4},	//285 Nepomuk::ResourceManager::trUtf8(const char*, const char*)
    {24, 508, 6, 3, Smoke::mf_static, 110, 5},	//286 Nepomuk::ResourceManager::tr(const char*, const char*, int)
    {24, 512, 6, 3, Smoke::mf_static, 110, 6},	//287 Nepomuk::ResourceManager::trUtf8(const char*, const char*, int)
    {24, 350, 10, 3, 0, 269, 7},	//288 Nepomuk::ResourceManager::qt_metacall(QMetaObject::Call, int, void**)
    {24, 248, 0, 0, Smoke::mf_static, 31, 8},	//289 Nepomuk::ResourceManager::instance()
    {24, 174, 0, 0, 0, 0, 9},	//290 Nepomuk::ResourceManager::deleteInstance()
    {24, 244, 0, 0, 0, 269, 10},	//291 Nepomuk::ResourceManager::init()
    {24, 245, 0, 0, Smoke::mf_const, 204, 11},	//292 Nepomuk::ResourceManager::initialized() const
    {24, 302, 0, 0, 0, 198, 12},	//293 Nepomuk::ResourceManager::mainModel()
    {24, 428, 135, 1, 0, 0, 13},	//294 Nepomuk::ResourceManager::setOverrideMainModel(Soprano::Model*)
    {24, 167, 38, 1, 0, 27, 14},	//295 Nepomuk::ResourceManager::createResourceFromUri(const QString&)
    {24, 368, 38, 1, 0, 0, 15},	//296 Nepomuk::ResourceManager::removeResource(const QString&)
    {24, 135, 55, 1, 0, 80, 16},	//297 Nepomuk::ResourceManager::allResourcesOfType(const QUrl&)
    {24, 135, 38, 1, 0, 80, 17},	//298 Nepomuk::ResourceManager::allResourcesOfType(const QString&)
    {24, 138, 112, 2, 0, 80, 18},	//299 Nepomuk::ResourceManager::allResourcesWithProperty(const QUrl&, const Nepomuk::Variant&)
    {24, 138, 115, 2, 0, 80, 19},	//300 Nepomuk::ResourceManager::allResourcesWithProperty(const QString&, const Nepomuk::Variant&)
    {24, 159, 0, 0, 0, 0, 20},	//301 Nepomuk::ResourceManager::clearCache()
    {24, 223, 0, 0, 0, 110, 21},	//302 Nepomuk::ResourceManager::generateUniqueUri()
    {24, 223, 38, 1, 0, 117, 22},	//303 Nepomuk::ResourceManager::generateUniqueUri(const QString&)
    {24, 323, 40, 2, 0, 0, 23},	//304 Nepomuk::ResourceManager::notifyError(const QString&, int)
    {24, 165, 135, 1, Smoke::mf_static, 31, 24},	//305 Nepomuk::ResourceManager::createManagerForModel(Soprano::Model*)
    {24, 374, 38, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//306 Nepomuk::ResourceManager::resourceModified(const QString&)
    {24, 187, 40, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//307 Nepomuk::ResourceManager::error(const QString&, int)
    {24, 321, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//308 Nepomuk::ResourceManager::nepomukSystemStarted()
    {24, 322, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//309 Nepomuk::ResourceManager::nepomukSystemStopped()
    {24, 508, 1, 1, Smoke::mf_static, 110, 29},	//310 Nepomuk::ResourceManager::tr(const char*)
    {24, 512, 1, 1, Smoke::mf_static, 110, 30},	//311 Nepomuk::ResourceManager::trUtf8(const char*)
    {24, 464, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 31},	//312 Nepomuk::ResourceManager::staticMetaObject() const
    {25, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//313 Nepomuk::Service::metaObject() const
    {25, 352, 1, 1, Smoke::mf_virtual, 274, 2},	//314 Nepomuk::Service::qt_metacast(const char*)
    {25, 508, 3, 2, Smoke::mf_static, 110, 3},	//315 Nepomuk::Service::tr(const char*, const char*)
    {25, 512, 3, 2, Smoke::mf_static, 110, 4},	//316 Nepomuk::Service::trUtf8(const char*, const char*)
    {25, 508, 6, 3, Smoke::mf_static, 110, 5},	//317 Nepomuk::Service::tr(const char*, const char*, int)
    {25, 512, 6, 3, Smoke::mf_static, 110, 6},	//318 Nepomuk::Service::trUtf8(const char*, const char*, int)
    {25, 350, 10, 3, Smoke::mf_virtual, 269, 7},	//319 Nepomuk::Service::qt_metacall(QMetaObject::Call, int, void**)
    {25, 64, 137, 2, Smoke::mf_ctor, 32, 8},	//320 Nepomuk::Service::Service(QObject*, bool)
    {25, 302, 0, 0, Smoke::mf_protected, 198, 9},	//321 Nepomuk::Service::mainModel()
    {25, 443, 20, 1, Smoke::mf_protected, 0, 10},	//322 Nepomuk::Service::setServiceInitialized(bool)
    {25, 508, 1, 1, Smoke::mf_static, 110, 11},	//323 Nepomuk::Service::tr(const char*)
    {25, 512, 1, 1, Smoke::mf_static, 110, 12},	//324 Nepomuk::Service::trUtf8(const char*)
    {25, 64, 0, 0, Smoke::mf_ctor, 32, 13},	//325 Nepomuk::Service::Service()
    {25, 64, 140, 1, Smoke::mf_ctor, 32, 14},	//326 Nepomuk::Service::Service(QObject*)
    {25, 464, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 15},	//327 Nepomuk::Service::staticMetaObject() const
    {25, 544, 0, 0, Smoke::mf_dtor, 0, 16 },	//328 Nepomuk::Service::~Service()
    {26, 72, 0, 0, Smoke::mf_ctor, 35, 1},	//329 Nepomuk::Tag::Tag()
    {26, 72, 89, 1, Smoke::mf_ctor, 35, 2},	//330 Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    {26, 72, 122, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 3},	//331 Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    {26, 72, 47, 1, Smoke::mf_ctor, 35, 4},	//332 Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    {26, 72, 38, 1, Smoke::mf_ctor, 35, 5},	//333 Nepomuk::Tag::Tag(const QString&)
    {26, 72, 142, 2, Smoke::mf_ctor, 35, 6},	//334 Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    {26, 72, 55, 1, Smoke::mf_ctor, 35, 7},	//335 Nepomuk::Tag::Tag(const QUrl&)
    {26, 72, 145, 2, Smoke::mf_ctor, 35, 8},	//336 Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    {26, 330, 122, 1, 0, 34, 9},	//337 Nepomuk::Tag::operator=(const Nepomuk::Tag&)
    {26, 474, 0, 0, Smoke::mf_const, 80, 10},	//338 Nepomuk::Tag::tagOf() const
    {26, 142, 0, 0, Smoke::mf_static, 81, 11},	//339 Nepomuk::Tag::allTags()
    {26, 377, 0, 0, Smoke::mf_static, 110, 12},	//340 Nepomuk::Tag::resourceTypeUri()
    {26, 72, 91, 2, Smoke::mf_ctor|Smoke::mf_protected, 35, 13},	//341 Nepomuk::Tag::Tag(const QString&, const QUrl&)
    {26, 72, 98, 2, Smoke::mf_ctor|Smoke::mf_protected, 35, 14},	//342 Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    {26, 72, 94, 3, Smoke::mf_ctor|Smoke::mf_protected, 35, 15},	//343 Nepomuk::Tag::Tag(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {26, 72, 101, 3, Smoke::mf_ctor|Smoke::mf_protected, 35, 16},	//344 Nepomuk::Tag::Tag(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {26, 545, 0, 0, Smoke::mf_dtor, 0, 17 },	//345 Nepomuk::Tag::~Tag()
    {27, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//346 Nepomuk::TagCloud::metaObject() const
    {27, 352, 1, 1, Smoke::mf_virtual, 274, 2},	//347 Nepomuk::TagCloud::qt_metacast(const char*)
    {27, 508, 3, 2, Smoke::mf_static, 110, 3},	//348 Nepomuk::TagCloud::tr(const char*, const char*)
    {27, 512, 3, 2, Smoke::mf_static, 110, 4},	//349 Nepomuk::TagCloud::trUtf8(const char*, const char*)
    {27, 508, 6, 3, Smoke::mf_static, 110, 5},	//350 Nepomuk::TagCloud::tr(const char*, const char*, int)
    {27, 512, 6, 3, Smoke::mf_static, 110, 6},	//351 Nepomuk::TagCloud::trUtf8(const char*, const char*, int)
    {27, 350, 10, 3, Smoke::mf_virtual, 269, 7},	//352 Nepomuk::TagCloud::qt_metacall(QMetaObject::Call, int, void**)
    {27, 79, 14, 1, Smoke::mf_ctor, 36, 8},	//353 Nepomuk::TagCloud::TagCloud(QWidget*)
    {27, 153, 0, 0, Smoke::mf_const, 204, 9},	//354 Nepomuk::TagCloud::autoUpdate() const
    {27, 519, 0, 0, Smoke::mf_slot, 0, 10},	//355 Nepomuk::TagCloud::updateTags()
    {27, 390, 20, 1, Smoke::mf_slot, 0, 11},	//356 Nepomuk::TagCloud::setAutoUpdate(bool)
    {27, 471, 148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//357 Nepomuk::TagCloud::tagClicked(Nepomuk::Tag)
    {27, 508, 1, 1, Smoke::mf_static, 110, 13},	//358 Nepomuk::TagCloud::tr(const char*)
    {27, 512, 1, 1, Smoke::mf_static, 110, 14},	//359 Nepomuk::TagCloud::trUtf8(const char*)
    {27, 79, 0, 0, Smoke::mf_ctor, 36, 15},	//360 Nepomuk::TagCloud::TagCloud()
    {27, 464, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 16},	//361 Nepomuk::TagCloud::staticMetaObject() const
    {27, 546, 0, 0, Smoke::mf_dtor, 0, 17 },	//362 Nepomuk::TagCloud::~TagCloud()
    {28, 307, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 250, 1},	//363 Nepomuk::TagWidget::metaObject() const
    {28, 352, 1, 1, Smoke::mf_virtual, 274, 2},	//364 Nepomuk::TagWidget::qt_metacast(const char*)
    {28, 508, 3, 2, Smoke::mf_static, 110, 3},	//365 Nepomuk::TagWidget::tr(const char*, const char*)
    {28, 512, 3, 2, Smoke::mf_static, 110, 4},	//366 Nepomuk::TagWidget::trUtf8(const char*, const char*)
    {28, 508, 6, 3, Smoke::mf_static, 110, 5},	//367 Nepomuk::TagWidget::tr(const char*, const char*, int)
    {28, 512, 6, 3, Smoke::mf_static, 110, 6},	//368 Nepomuk::TagWidget::trUtf8(const char*, const char*, int)
    {28, 350, 10, 3, Smoke::mf_virtual, 269, 7},	//369 Nepomuk::TagWidget::qt_metacall(QMetaObject::Call, int, void**)
    {28, 81, 150, 2, Smoke::mf_ctor, 37, 8},	//370 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&, QWidget*)
    {28, 81, 14, 1, Smoke::mf_ctor, 37, 9},	//371 Nepomuk::TagWidget::TagWidget(QWidget*)
    {28, 478, 0, 0, Smoke::mf_const, 80, 10},	//372 Nepomuk::TagWidget::taggedResources() const
    {28, 152, 0, 0, Smoke::mf_const, 81, 11},	//373 Nepomuk::TagWidget::assignedTags() const
    {28, 379, 0, 0, Smoke::mf_const, 81, 12},	//374 Nepomuk::TagWidget::selectedTags() const
    {28, 306, 0, 0, Smoke::mf_const, 269, 13},	//375 Nepomuk::TagWidget::maxTagsShown() const
    {28, 129, 0, 0, Smoke::mf_const, 72, 14},	//376 Nepomuk::TagWidget::alignment() const
    {28, 311, 0, 0, Smoke::mf_const, 71, 15},	//377 Nepomuk::TagWidget::modeFlags() const
    {28, 471, 148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//378 Nepomuk::TagWidget::tagClicked(Nepomuk::Tag)
    {28, 380, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//379 Nepomuk::TagWidget::selectionChanged(const QList<Nepomuk::Tag>&)
    {28, 449, 47, 1, Smoke::mf_slot, 0, 18},	//380 Nepomuk::TagWidget::setTaggedResource(const Nepomuk::Resource&)
    {28, 451, 118, 1, Smoke::mf_slot, 0, 19},	//381 Nepomuk::TagWidget::setTaggedResources(const QList<Nepomuk::Resource>&)
    {28, 388, 120, 1, Smoke::mf_slot, 0, 20},	//382 Nepomuk::TagWidget::setAssignedTags(const QList<Nepomuk::Tag>&)
    {28, 439, 120, 1, Smoke::mf_slot, 0, 21},	//383 Nepomuk::TagWidget::setSelectedTags(const QList<Nepomuk::Tag>&)
    {28, 418, 18, 1, Smoke::mf_slot, 0, 22},	//384 Nepomuk::TagWidget::setMaxTagsShown(int)
    {28, 382, 22, 1, Smoke::mf_slot, 0, 23},	//385 Nepomuk::TagWidget::setAlignment(Qt::Alignment)
    {28, 422, 153, 1, Smoke::mf_slot, 0, 24},	//386 Nepomuk::TagWidget::setModeFlags(Nepomuk::TagWidget::ModeFlags)
    {28, 508, 1, 1, Smoke::mf_static, 110, 25},	//387 Nepomuk::TagWidget::tr(const char*)
    {28, 512, 1, 1, Smoke::mf_static, 110, 26},	//388 Nepomuk::TagWidget::trUtf8(const char*)
    {28, 81, 47, 1, Smoke::mf_ctor, 37, 27},	//389 Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    {28, 81, 0, 0, Smoke::mf_ctor, 37, 28},	//390 Nepomuk::TagWidget::TagWidget()
    {28, 464, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 249, 29},	//391 Nepomuk::TagWidget::staticMetaObject() const
    {28, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 30},	//392 Nepomuk::TagWidget::MiniMode (enum)
    {28, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 31},	//393 Nepomuk::TagWidget::StandardMode (enum)
    {28, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 32},	//394 Nepomuk::TagWidget::ReadOnly (enum)
    {28, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 33},	//395 Nepomuk::TagWidget::DisableTagClicking (enum)
    {28, 547, 0, 0, Smoke::mf_dtor, 0, 34 },	//396 Nepomuk::TagWidget::~TagWidget()
    {29, 84, 98, 2, Smoke::mf_ctor, 42, 1},	//397 Nepomuk::Thing::Thing(const QUrl&, const QUrl&)
    {29, 84, 101, 3, Smoke::mf_ctor, 42, 2},	//398 Nepomuk::Thing::Thing(const QUrl&, const QUrl&, Nepomuk::ResourceManager*)
    {29, 84, 91, 2, Smoke::mf_ctor, 42, 3},	//399 Nepomuk::Thing::Thing(const QString&, const QUrl&)
    {29, 84, 94, 3, Smoke::mf_ctor, 42, 4},	//400 Nepomuk::Thing::Thing(const QString&, const QUrl&, Nepomuk::ResourceManager*)
    {29, 84, 155, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 42, 5},	//401 Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    {29, 84, 47, 1, Smoke::mf_ctor, 42, 6},	//402 Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    {29, 84, 105, 1, Smoke::mf_ctor, 42, 7},	//403 Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    {29, 330, 155, 1, 0, 41, 8},	//404 Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    {29, 330, 47, 1, 0, 41, 9},	//405 Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    {29, 330, 55, 1, 0, 41, 10},	//406 Nepomuk::Thing::operator=(const QUrl&)
    {29, 230, 0, 0, Smoke::mf_const, 80, 11},	//407 Nepomuk::Thing::groundingOccurrences() const
    {29, 362, 0, 0, Smoke::mf_const, 80, 12},	//408 Nepomuk::Thing::referencingOccurrences() const
    {29, 326, 0, 0, Smoke::mf_const, 80, 13},	//409 Nepomuk::Thing::occurrences() const
    {29, 107, 47, 1, 0, 0, 14},	//410 Nepomuk::Thing::addGroundingOccurrence(const Nepomuk::Resource&)
    {29, 84, 0, 0, Smoke::mf_ctor, 42, 15},	//411 Nepomuk::Thing::Thing()
    {29, 84, 55, 1, Smoke::mf_ctor, 42, 16},	//412 Nepomuk::Thing::Thing(const QUrl&)
    {29, 84, 38, 1, Smoke::mf_ctor, 42, 17},	//413 Nepomuk::Thing::Thing(const QString&)
    {29, 548, 0, 0, Smoke::mf_dtor, 0, 18 },	//414 Nepomuk::Thing::~Thing()
    {30, 348, 157, 1, Smoke::mf_static, 272, 1},	//415 Nepomuk::Types::qHash(const Nepomuk::Types::Entity&)
    {31, 2, 0, 0, Smoke::mf_ctor, 45, 1},	//416 Nepomuk::Types::Class::Class()
    {31, 2, 55, 1, Smoke::mf_ctor, 45, 2},	//417 Nepomuk::Types::Class::Class(const QUrl&)
    {31, 2, 159, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 3},	//418 Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    {31, 330, 159, 1, 0, 44, 4},	//419 Nepomuk::Types::Class::operator=(const Nepomuk::Types::Class&)
    {31, 355, 0, 0, 0, 83, 5},	//420 Nepomuk::Types::Class::rangeOf()
    {31, 355, 0, 0, Smoke::mf_const, 83, 6},	//421 Nepomuk::Types::Class::rangeOf() const
    {31, 180, 0, 0, 0, 83, 7},	//422 Nepomuk::Types::Class::domainOf()
    {31, 180, 0, 0, Smoke::mf_const, 83, 8},	//423 Nepomuk::Types::Class::domainOf() const
    {31, 207, 38, 1, 0, 53, 9},	//424 Nepomuk::Types::Class::findPropertyByName(const QString&)
    {31, 207, 38, 1, Smoke::mf_const, 53, 10},	//425 Nepomuk::Types::Class::findPropertyByName(const QString&) const
    {31, 204, 59, 2, 0, 53, 11},	//426 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    {31, 204, 59, 2, Smoke::mf_const, 53, 12},	//427 Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    {31, 340, 0, 0, 0, 82, 13},	//428 Nepomuk::Types::Class::parentClasses()
    {31, 340, 0, 0, Smoke::mf_const, 82, 14},	//429 Nepomuk::Types::Class::parentClasses() const
    {31, 466, 0, 0, 0, 82, 15},	//430 Nepomuk::Types::Class::subClasses()
    {31, 466, 0, 0, Smoke::mf_const, 82, 16},	//431 Nepomuk::Types::Class::subClasses() const
    {31, 132, 0, 0, 0, 82, 17},	//432 Nepomuk::Types::Class::allParentClasses()
    {31, 132, 0, 0, Smoke::mf_const, 82, 18},	//433 Nepomuk::Types::Class::allParentClasses() const
    {31, 141, 0, 0, 0, 82, 19},	//434 Nepomuk::Types::Class::allSubClasses()
    {31, 141, 0, 0, Smoke::mf_const, 82, 20},	//435 Nepomuk::Types::Class::allSubClasses() const
    {31, 264, 159, 1, 0, 204, 21},	//436 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    {31, 264, 159, 1, Smoke::mf_const, 204, 22},	//437 Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    {31, 273, 159, 1, 0, 204, 23},	//438 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    {31, 273, 159, 1, Smoke::mf_const, 204, 24},	//439 Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    {31, 204, 38, 1, 0, 53, 25},	//440 Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    {31, 204, 38, 1, Smoke::mf_const, 53, 26},	//441 Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    {31, 530, 0, 0, Smoke::mf_dtor, 0, 27 },	//442 Nepomuk::Types::Class::~Class()
    {32, 10, 157, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 47, 1},	//443 Nepomuk::Types::Entity::Entity(const Nepomuk::Types::Entity&)
    {32, 330, 157, 1, 0, 46, 2},	//444 Nepomuk::Types::Entity::operator=(const Nepomuk::Types::Entity&)
    {32, 319, 0, 0, Smoke::mf_const, 110, 3},	//445 Nepomuk::Types::Entity::name() const
    {32, 520, 0, 0, Smoke::mf_const, 117, 4},	//446 Nepomuk::Types::Entity::uri() const
    {32, 290, 38, 1, 0, 110, 5},	//447 Nepomuk::Types::Entity::label(const QString&)
    {32, 290, 38, 1, Smoke::mf_const, 110, 6},	//448 Nepomuk::Types::Entity::label(const QString&) const
    {32, 161, 38, 1, 0, 110, 7},	//449 Nepomuk::Types::Entity::comment(const QString&)
    {32, 161, 38, 1, Smoke::mf_const, 110, 8},	//450 Nepomuk::Types::Entity::comment(const QString&) const
    {32, 240, 0, 0, 0, 77, 9},	//451 Nepomuk::Types::Entity::icon()
    {32, 240, 0, 0, Smoke::mf_const, 77, 10},	//452 Nepomuk::Types::Entity::icon() const
    {32, 287, 0, 0, Smoke::mf_const, 204, 11},	//453 Nepomuk::Types::Entity::isValid() const
    {32, 250, 0, 0, 0, 204, 12},	//454 Nepomuk::Types::Entity::isAvailable()
    {32, 250, 0, 0, Smoke::mf_const, 204, 13},	//455 Nepomuk::Types::Entity::isAvailable() const
    {32, 370, 20, 1, 0, 0, 14},	//456 Nepomuk::Types::Entity::reset(bool)
    {32, 327, 0, 0, Smoke::mf_const, 117, 15},	//457 Nepomuk::Types::Entity::operator QUrl() const
    {32, 333, 157, 1, Smoke::mf_const, 204, 16},	//458 Nepomuk::Types::Entity::operator==(const Nepomuk::Types::Entity&) const
    {32, 333, 55, 1, Smoke::mf_const, 204, 17},	//459 Nepomuk::Types::Entity::operator==(const QUrl&) const
    {32, 328, 157, 1, Smoke::mf_const, 204, 18},	//460 Nepomuk::Types::Entity::operator!=(const Nepomuk::Types::Entity&) const
    {32, 328, 55, 1, Smoke::mf_const, 204, 19},	//461 Nepomuk::Types::Entity::operator!=(const QUrl&) const
    {32, 10, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 47, 20},	//462 Nepomuk::Types::Entity::Entity()
    {32, 290, 0, 0, 0, 110, 21},	//463 Nepomuk::Types::Entity::label()
    {32, 290, 0, 0, Smoke::mf_const, 110, 22},	//464 Nepomuk::Types::Entity::label() const
    {32, 161, 0, 0, 0, 110, 23},	//465 Nepomuk::Types::Entity::comment()
    {32, 161, 0, 0, Smoke::mf_const, 110, 24},	//466 Nepomuk::Types::Entity::comment() const
    {32, 370, 0, 0, 0, 0, 25},	//467 Nepomuk::Types::Entity::reset()
    {32, 532, 0, 0, Smoke::mf_dtor, 0, 26 },	//468 Nepomuk::Types::Entity::~Entity()
    {33, 25, 0, 0, Smoke::mf_ctor, 50, 1},	//469 Nepomuk::Types::Literal::Literal()
    {33, 25, 161, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 2},	//470 Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    {33, 25, 55, 1, Smoke::mf_ctor, 50, 3},	//471 Nepomuk::Types::Literal::Literal(const QUrl&)
    {33, 330, 161, 1, 0, 49, 4},	//472 Nepomuk::Types::Literal::operator=(const Nepomuk::Types::Literal&)
    {33, 171, 0, 0, Smoke::mf_const, 117, 5},	//473 Nepomuk::Types::Literal::dataTypeUri() const
    {33, 170, 0, 0, Smoke::mf_const, 119, 6},	//474 Nepomuk::Types::Literal::dataType() const
    {33, 287, 0, 0, Smoke::mf_const, 204, 7},	//475 Nepomuk::Types::Literal::isValid() const
    {33, 537, 0, 0, Smoke::mf_dtor, 0, 8 },	//476 Nepomuk::Types::Literal::~Literal()
    {34, 32, 0, 0, Smoke::mf_ctor, 52, 1},	//477 Nepomuk::Types::Ontology::Ontology()
    {34, 32, 55, 1, Smoke::mf_ctor, 52, 2},	//478 Nepomuk::Types::Ontology::Ontology(const QUrl&)
    {34, 32, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 3},	//479 Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    {34, 330, 163, 1, 0, 51, 4},	//480 Nepomuk::Types::Ontology::operator=(const Nepomuk::Types::Ontology&)
    {34, 130, 0, 0, 0, 82, 5},	//481 Nepomuk::Types::Ontology::allClasses()
    {34, 200, 38, 1, 0, 43, 6},	//482 Nepomuk::Types::Ontology::findClassByName(const QString&)
    {34, 197, 59, 2, 0, 43, 7},	//483 Nepomuk::Types::Ontology::findClassByLabel(const QString&, const QString&)
    {34, 133, 0, 0, 0, 83, 8},	//484 Nepomuk::Types::Ontology::allProperties()
    {34, 207, 38, 1, 0, 53, 9},	//485 Nepomuk::Types::Ontology::findPropertyByName(const QString&)
    {34, 204, 59, 2, 0, 53, 10},	//486 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&, const QString&)
    {34, 197, 38, 1, 0, 43, 11},	//487 Nepomuk::Types::Ontology::findClassByLabel(const QString&)
    {34, 204, 38, 1, 0, 53, 12},	//488 Nepomuk::Types::Ontology::findPropertyByLabel(const QString&)
    {34, 539, 0, 0, Smoke::mf_dtor, 0, 13 },	//489 Nepomuk::Types::Ontology::~Ontology()
    {35, 40, 0, 0, Smoke::mf_ctor, 55, 1},	//490 Nepomuk::Types::Property::Property()
    {35, 40, 55, 1, Smoke::mf_ctor, 55, 2},	//491 Nepomuk::Types::Property::Property(const QUrl&)
    {35, 40, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 3},	//492 Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    {35, 330, 165, 1, 0, 54, 4},	//493 Nepomuk::Types::Property::operator=(const Nepomuk::Types::Property&)
    {35, 342, 0, 0, 0, 83, 5},	//494 Nepomuk::Types::Property::parentProperties()
    {35, 342, 0, 0, Smoke::mf_const, 83, 6},	//495 Nepomuk::Types::Property::parentProperties() const
    {35, 467, 0, 0, 0, 83, 7},	//496 Nepomuk::Types::Property::subProperties()
    {35, 467, 0, 0, Smoke::mf_const, 83, 8},	//497 Nepomuk::Types::Property::subProperties() const
    {35, 249, 0, 0, 0, 53, 9},	//498 Nepomuk::Types::Property::inverseProperty()
    {35, 249, 0, 0, Smoke::mf_const, 53, 10},	//499 Nepomuk::Types::Property::inverseProperty() const
    {35, 354, 0, 0, 0, 43, 11},	//500 Nepomuk::Types::Property::range()
    {35, 354, 0, 0, Smoke::mf_const, 43, 12},	//501 Nepomuk::Types::Property::range() const
    {35, 297, 0, 0, 0, 48, 13},	//502 Nepomuk::Types::Property::literalRangeType()
    {35, 297, 0, 0, Smoke::mf_const, 48, 14},	//503 Nepomuk::Types::Property::literalRangeType() const
    {35, 179, 0, 0, 0, 43, 15},	//504 Nepomuk::Types::Property::domain()
    {35, 179, 0, 0, Smoke::mf_const, 43, 16},	//505 Nepomuk::Types::Property::domain() const
    {35, 154, 0, 0, 0, 269, 17},	//506 Nepomuk::Types::Property::cardinality()
    {35, 154, 0, 0, Smoke::mf_const, 269, 18},	//507 Nepomuk::Types::Property::cardinality() const
    {35, 309, 0, 0, 0, 269, 19},	//508 Nepomuk::Types::Property::minCardinality()
    {35, 309, 0, 0, Smoke::mf_const, 269, 20},	//509 Nepomuk::Types::Property::minCardinality() const
    {35, 304, 0, 0, 0, 269, 21},	//510 Nepomuk::Types::Property::maxCardinality()
    {35, 304, 0, 0, Smoke::mf_const, 269, 22},	//511 Nepomuk::Types::Property::maxCardinality() const
    {35, 264, 165, 1, 0, 204, 23},	//512 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    {35, 264, 165, 1, Smoke::mf_const, 204, 24},	//513 Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    {35, 275, 165, 1, 0, 204, 25},	//514 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    {35, 275, 165, 1, Smoke::mf_const, 204, 26},	//515 Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    {35, 542, 0, 0, Smoke::mf_dtor, 0, 27 },	//516 Nepomuk::Types::Property::~Property()
    {36, 93, 0, 0, Smoke::mf_ctor, 58, 1},	//517 Nepomuk::Variant::Variant()
    {36, 93, 49, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//518 Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    {36, 93, 167, 1, Smoke::mf_ctor, 58, 3},	//519 Nepomuk::Variant::Variant(const QVariant&)
    {36, 93, 18, 1, Smoke::mf_ctor, 58, 4},	//520 Nepomuk::Variant::Variant(int)
    {36, 93, 169, 1, Smoke::mf_ctor, 58, 5},	//521 Nepomuk::Variant::Variant(long long)
    {36, 93, 16, 1, Smoke::mf_ctor, 58, 6},	//522 Nepomuk::Variant::Variant(unsigned int)
    {36, 93, 171, 1, Smoke::mf_ctor, 58, 7},	//523 Nepomuk::Variant::Variant(unsigned long long)
    {36, 93, 20, 1, Smoke::mf_ctor, 58, 8},	//524 Nepomuk::Variant::Variant(bool)
    {36, 93, 173, 1, Smoke::mf_ctor, 58, 9},	//525 Nepomuk::Variant::Variant(double)
    {36, 93, 1, 1, Smoke::mf_ctor, 58, 10},	//526 Nepomuk::Variant::Variant(const char*)
    {36, 93, 38, 1, Smoke::mf_ctor, 58, 11},	//527 Nepomuk::Variant::Variant(const QString&)
    {36, 93, 175, 1, Smoke::mf_ctor, 58, 12},	//528 Nepomuk::Variant::Variant(const QDate&)
    {36, 93, 177, 1, Smoke::mf_ctor, 58, 13},	//529 Nepomuk::Variant::Variant(const QTime&)
    {36, 93, 179, 1, Smoke::mf_ctor, 58, 14},	//530 Nepomuk::Variant::Variant(const QDateTime&)
    {36, 93, 55, 1, Smoke::mf_ctor, 58, 15},	//531 Nepomuk::Variant::Variant(const QUrl&)
    {36, 93, 47, 1, Smoke::mf_ctor, 58, 16},	//532 Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    {36, 93, 181, 1, Smoke::mf_ctor, 58, 17},	//533 Nepomuk::Variant::Variant(const QList<int>&)
    {36, 93, 183, 1, Smoke::mf_ctor, 58, 18},	//534 Nepomuk::Variant::Variant(const QList<long long>&)
    {36, 93, 185, 1, Smoke::mf_ctor, 58, 19},	//535 Nepomuk::Variant::Variant(const QList<unsigned int>&)
    {36, 93, 187, 1, Smoke::mf_ctor, 58, 20},	//536 Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    {36, 93, 189, 1, Smoke::mf_ctor, 58, 21},	//537 Nepomuk::Variant::Variant(const QList<bool>&)
    {36, 93, 191, 1, Smoke::mf_ctor, 58, 22},	//538 Nepomuk::Variant::Variant(const QList<double>&)
    {36, 93, 45, 1, Smoke::mf_ctor, 58, 23},	//539 Nepomuk::Variant::Variant(const QStringList&)
    {36, 93, 193, 1, Smoke::mf_ctor, 58, 24},	//540 Nepomuk::Variant::Variant(const QList<QDate>&)
    {36, 93, 195, 1, Smoke::mf_ctor, 58, 25},	//541 Nepomuk::Variant::Variant(const QList<QTime>&)
    {36, 93, 197, 1, Smoke::mf_ctor, 58, 26},	//542 Nepomuk::Variant::Variant(const QList<QDateTime>&)
    {36, 93, 107, 1, Smoke::mf_ctor, 58, 27},	//543 Nepomuk::Variant::Variant(const QList<QUrl>&)
    {36, 93, 118, 1, Smoke::mf_ctor, 58, 28},	//544 Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    {36, 93, 199, 1, Smoke::mf_ctor, 58, 29},	//545 Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    {36, 330, 49, 1, 0, 57, 30},	//546 Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    {36, 330, 18, 1, 0, 57, 31},	//547 Nepomuk::Variant::operator=(int)
    {36, 330, 169, 1, 0, 57, 32},	//548 Nepomuk::Variant::operator=(long long)
    {36, 330, 16, 1, 0, 57, 33},	//549 Nepomuk::Variant::operator=(unsigned int)
    {36, 330, 171, 1, 0, 57, 34},	//550 Nepomuk::Variant::operator=(unsigned long long)
    {36, 330, 20, 1, 0, 57, 35},	//551 Nepomuk::Variant::operator=(bool)
    {36, 330, 173, 1, 0, 57, 36},	//552 Nepomuk::Variant::operator=(double)
    {36, 330, 38, 1, 0, 57, 37},	//553 Nepomuk::Variant::operator=(const QString&)
    {36, 330, 175, 1, 0, 57, 38},	//554 Nepomuk::Variant::operator=(const QDate&)
    {36, 330, 177, 1, 0, 57, 39},	//555 Nepomuk::Variant::operator=(const QTime&)
    {36, 330, 179, 1, 0, 57, 40},	//556 Nepomuk::Variant::operator=(const QDateTime&)
    {36, 330, 55, 1, 0, 57, 41},	//557 Nepomuk::Variant::operator=(const QUrl&)
    {36, 330, 47, 1, 0, 57, 42},	//558 Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    {36, 330, 181, 1, 0, 57, 43},	//559 Nepomuk::Variant::operator=(const QList<int>&)
    {36, 330, 183, 1, 0, 57, 44},	//560 Nepomuk::Variant::operator=(const QList<long long>&)
    {36, 330, 185, 1, 0, 57, 45},	//561 Nepomuk::Variant::operator=(const QList<unsigned int>&)
    {36, 330, 187, 1, 0, 57, 46},	//562 Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    {36, 330, 189, 1, 0, 57, 47},	//563 Nepomuk::Variant::operator=(const QList<bool>&)
    {36, 330, 191, 1, 0, 57, 48},	//564 Nepomuk::Variant::operator=(const QList<double>&)
    {36, 330, 45, 1, 0, 57, 49},	//565 Nepomuk::Variant::operator=(const QStringList&)
    {36, 330, 193, 1, 0, 57, 50},	//566 Nepomuk::Variant::operator=(const QList<QDate>&)
    {36, 330, 195, 1, 0, 57, 51},	//567 Nepomuk::Variant::operator=(const QList<QTime>&)
    {36, 330, 197, 1, 0, 57, 52},	//568 Nepomuk::Variant::operator=(const QList<QDateTime>&)
    {36, 330, 107, 1, 0, 57, 53},	//569 Nepomuk::Variant::operator=(const QList<QUrl>&)
    {36, 330, 118, 1, 0, 57, 54},	//570 Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    {36, 148, 18, 1, 0, 0, 55},	//571 Nepomuk::Variant::append(int)
    {36, 148, 169, 1, 0, 0, 56},	//572 Nepomuk::Variant::append(long long)
    {36, 148, 16, 1, 0, 0, 57},	//573 Nepomuk::Variant::append(unsigned int)
    {36, 148, 171, 1, 0, 0, 58},	//574 Nepomuk::Variant::append(unsigned long long)
    {36, 148, 20, 1, 0, 0, 59},	//575 Nepomuk::Variant::append(bool)
    {36, 148, 173, 1, 0, 0, 60},	//576 Nepomuk::Variant::append(double)
    {36, 148, 38, 1, 0, 0, 61},	//577 Nepomuk::Variant::append(const QString&)
    {36, 148, 175, 1, 0, 0, 62},	//578 Nepomuk::Variant::append(const QDate&)
    {36, 148, 177, 1, 0, 0, 63},	//579 Nepomuk::Variant::append(const QTime&)
    {36, 148, 179, 1, 0, 0, 64},	//580 Nepomuk::Variant::append(const QDateTime&)
    {36, 148, 55, 1, 0, 0, 65},	//581 Nepomuk::Variant::append(const QUrl&)
    {36, 148, 47, 1, 0, 0, 66},	//582 Nepomuk::Variant::append(const Nepomuk::Resource&)
    {36, 148, 49, 1, 0, 0, 67},	//583 Nepomuk::Variant::append(const Nepomuk::Variant&)
    {36, 333, 49, 1, Smoke::mf_const, 204, 68},	//584 Nepomuk::Variant::operator==(const Nepomuk::Variant&) const
    {36, 328, 49, 1, Smoke::mf_const, 204, 69},	//585 Nepomuk::Variant::operator!=(const Nepomuk::Variant&) const
    {36, 287, 0, 0, Smoke::mf_const, 204, 70},	//586 Nepomuk::Variant::isValid() const
    {36, 516, 0, 0, Smoke::mf_const, 269, 71},	//587 Nepomuk::Variant::type() const
    {36, 461, 0, 0, Smoke::mf_const, 269, 72},	//588 Nepomuk::Variant::simpleType() const
    {36, 263, 0, 0, Smoke::mf_const, 204, 73},	//589 Nepomuk::Variant::isList() const
    {36, 259, 0, 0, Smoke::mf_const, 204, 74},	//590 Nepomuk::Variant::isInt() const
    {36, 260, 0, 0, Smoke::mf_const, 204, 75},	//591 Nepomuk::Variant::isInt64() const
    {36, 281, 0, 0, Smoke::mf_const, 204, 76},	//592 Nepomuk::Variant::isUnsignedInt() const
    {36, 282, 0, 0, Smoke::mf_const, 204, 77},	//593 Nepomuk::Variant::isUnsignedInt64() const
    {36, 251, 0, 0, Smoke::mf_const, 204, 78},	//594 Nepomuk::Variant::isBool() const
    {36, 257, 0, 0, Smoke::mf_const, 204, 79},	//595 Nepomuk::Variant::isDouble() const
    {36, 271, 0, 0, Smoke::mf_const, 204, 80},	//596 Nepomuk::Variant::isString() const
    {36, 253, 0, 0, Smoke::mf_const, 204, 81},	//597 Nepomuk::Variant::isDate() const
    {36, 277, 0, 0, Smoke::mf_const, 204, 82},	//598 Nepomuk::Variant::isTime() const
    {36, 255, 0, 0, Smoke::mf_const, 204, 83},	//599 Nepomuk::Variant::isDateTime() const
    {36, 285, 0, 0, Smoke::mf_const, 204, 84},	//600 Nepomuk::Variant::isUrl() const
    {36, 269, 0, 0, Smoke::mf_const, 204, 85},	//601 Nepomuk::Variant::isResource() const
    {36, 262, 0, 0, Smoke::mf_const, 204, 86},	//602 Nepomuk::Variant::isIntList() const
    {36, 261, 0, 0, Smoke::mf_const, 204, 87},	//603 Nepomuk::Variant::isInt64List() const
    {36, 284, 0, 0, Smoke::mf_const, 204, 88},	//604 Nepomuk::Variant::isUnsignedIntList() const
    {36, 283, 0, 0, Smoke::mf_const, 204, 89},	//605 Nepomuk::Variant::isUnsignedInt64List() const
    {36, 252, 0, 0, Smoke::mf_const, 204, 90},	//606 Nepomuk::Variant::isBoolList() const
    {36, 258, 0, 0, Smoke::mf_const, 204, 91},	//607 Nepomuk::Variant::isDoubleList() const
    {36, 272, 0, 0, Smoke::mf_const, 204, 92},	//608 Nepomuk::Variant::isStringList() const
    {36, 254, 0, 0, Smoke::mf_const, 204, 93},	//609 Nepomuk::Variant::isDateList() const
    {36, 278, 0, 0, Smoke::mf_const, 204, 94},	//610 Nepomuk::Variant::isTimeList() const
    {36, 256, 0, 0, Smoke::mf_const, 204, 95},	//611 Nepomuk::Variant::isDateTimeList() const
    {36, 286, 0, 0, Smoke::mf_const, 204, 96},	//612 Nepomuk::Variant::isUrlList() const
    {36, 270, 0, 0, Smoke::mf_const, 204, 97},	//613 Nepomuk::Variant::isResourceList() const
    {36, 526, 0, 0, Smoke::mf_const, 118, 98},	//614 Nepomuk::Variant::variant() const
    {36, 489, 0, 0, Smoke::mf_const, 269, 99},	//615 Nepomuk::Variant::toInt() const
    {36, 490, 0, 0, Smoke::mf_const, 271, 100},	//616 Nepomuk::Variant::toInt64() const
    {36, 499, 0, 0, Smoke::mf_const, 272, 101},	//617 Nepomuk::Variant::toUnsignedInt() const
    {36, 500, 0, 0, Smoke::mf_const, 273, 102},	//618 Nepomuk::Variant::toUnsignedInt64() const
    {36, 481, 0, 0, Smoke::mf_const, 204, 103},	//619 Nepomuk::Variant::toBool() const
    {36, 487, 0, 0, Smoke::mf_const, 268, 104},	//620 Nepomuk::Variant::toDouble() const
    {36, 495, 0, 0, Smoke::mf_const, 110, 105},	//621 Nepomuk::Variant::toString() const
    {36, 483, 0, 0, Smoke::mf_const, 64, 106},	//622 Nepomuk::Variant::toDate() const
    {36, 497, 0, 0, Smoke::mf_const, 115, 107},	//623 Nepomuk::Variant::toTime() const
    {36, 485, 0, 0, Smoke::mf_const, 65, 108},	//624 Nepomuk::Variant::toDateTime() const
    {36, 503, 0, 0, Smoke::mf_const, 117, 109},	//625 Nepomuk::Variant::toUrl() const
    {36, 493, 0, 0, Smoke::mf_const, 27, 110},	//626 Nepomuk::Variant::toResource() const
    {36, 492, 0, 0, Smoke::mf_const, 95, 111},	//627 Nepomuk::Variant::toIntList() const
    {36, 491, 0, 0, Smoke::mf_const, 96, 112},	//628 Nepomuk::Variant::toInt64List() const
    {36, 502, 0, 0, Smoke::mf_const, 97, 113},	//629 Nepomuk::Variant::toUnsignedIntList() const
    {36, 501, 0, 0, Smoke::mf_const, 98, 114},	//630 Nepomuk::Variant::toUnsignedInt64List() const
    {36, 482, 0, 0, Smoke::mf_const, 91, 115},	//631 Nepomuk::Variant::toBoolList() const
    {36, 488, 0, 0, Smoke::mf_const, 94, 116},	//632 Nepomuk::Variant::toDoubleList() const
    {36, 496, 0, 0, Smoke::mf_const, 111, 117},	//633 Nepomuk::Variant::toStringList() const
    {36, 484, 0, 0, Smoke::mf_const, 85, 118},	//634 Nepomuk::Variant::toDateList() const
    {36, 498, 0, 0, Smoke::mf_const, 87, 119},	//635 Nepomuk::Variant::toTimeList() const
    {36, 486, 0, 0, Smoke::mf_const, 86, 120},	//636 Nepomuk::Variant::toDateTimeList() const
    {36, 504, 0, 0, Smoke::mf_const, 88, 121},	//637 Nepomuk::Variant::toUrlList() const
    {36, 494, 0, 0, Smoke::mf_const, 80, 122},	//638 Nepomuk::Variant::toResourceList() const
    {36, 505, 0, 0, Smoke::mf_const, 84, 123},	//639 Nepomuk::Variant::toVariantList() const
    {36, 221, 40, 2, Smoke::mf_static, 56, 124},	//640 Nepomuk::Variant::fromString(const QString&, int)
    {36, 215, 53, 1, Smoke::mf_static, 56, 125},	//641 Nepomuk::Variant::fromNode(const Soprano::Node&)
    {36, 549, 0, 0, Smoke::mf_dtor, 0, 126 },	//642 Nepomuk::Variant::~Variant()
    {51, 191, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 204, 0},	//643 QFrame::event(QEvent*)
    {51, 155, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//644 QFrame::changeEvent(QEvent*)
    {52, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 1},	//645 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {52, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 2},	//646 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {52, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 3},	//647 QGlobalSpace::Q_STATIC_TYPE (enum)
    {52, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 4},	//648 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {52, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 5},	//649 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {52, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 6},	//650 QGlobalSpace::QtDebugMsg (enum)
    {52, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 7},	//651 QGlobalSpace::QtWarningMsg (enum)
    {52, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 8},	//652 QGlobalSpace::QtCriticalMsg (enum)
    {52, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 9},	//653 QGlobalSpace::QtFatalMsg (enum)
    {52, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 10},	//654 QGlobalSpace::QtSystemMsg (enum)
    {52, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 11},	//655 QGlobalSpace::__codecvt_ok (enum)
    {52, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 12},	//656 QGlobalSpace::__codecvt_partial (enum)
    {52, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 13},	//657 QGlobalSpace::__codecvt_error (enum)
    {52, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 14},	//658 QGlobalSpace::__codecvt_noconv (enum)
    {60, 191, 32, 1, Smoke::mf_virtual, 204, 0},	//659 QObject::event(QEvent*)
    {60, 192, 201, 2, Smoke::mf_virtual, 204, 0},	//660 QObject::eventFilter(QObject*, QEvent*)
    {60, 480, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//661 QObject::timerEvent(QTimerEvent*)
    {60, 156, 206, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//662 QObject::childEvent(QChildEvent*)
    {60, 169, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//663 QObject::customEvent(QEvent*)
    {60, 163, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//664 QObject::connectNotify(const char*)
    {60, 178, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//665 QObject::disconnectNotify(const char*)
    {76, 177, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//666 QWidget::devType() const
    {76, 459, 20, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//667 QWidget::setVisible(bool)
    {76, 462, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 109, 0},	//668 QWidget::sizeHint() const
    {76, 310, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 109, 0},	//669 QWidget::minimumSizeHint() const
    {76, 238, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//670 QWidget::heightForWidth(int) const
    {76, 336, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 104, 0},	//671 QWidget::paintEngine() const
    {76, 191, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 204, 0},	//672 QWidget::event(QEvent*)
    {76, 315, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//673 QWidget::mousePressEvent(QMouseEvent*)
    {76, 317, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//674 QWidget::mouseReleaseEvent(QMouseEvent*)
    {76, 312, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//675 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {76, 313, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//676 QWidget::mouseMoveEvent(QMouseEvent*)
    {76, 527, 208, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//677 QWidget::wheelEvent(QWheelEvent*)
    {76, 288, 210, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//678 QWidget::keyPressEvent(QKeyEvent*)
    {76, 289, 210, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//679 QWidget::keyReleaseEvent(QKeyEvent*)
    {76, 211, 212, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QWidget::focusInEvent(QFocusEvent*)
    {76, 213, 212, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//681 QWidget::focusOutEvent(QFocusEvent*)
    {76, 186, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//682 QWidget::enterEvent(QEvent*)
    {76, 295, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//683 QWidget::leaveEvent(QEvent*)
    {76, 337, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//684 QWidget::paintEvent(QPaintEvent*)
    {76, 318, 214, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//685 QWidget::moveEvent(QMoveEvent*)
    {76, 372, 36, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//686 QWidget::resizeEvent(QResizeEvent*)
    {76, 160, 216, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//687 QWidget::closeEvent(QCloseEvent*)
    {76, 164, 218, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//688 QWidget::contextMenuEvent(QContextMenuEvent*)
    {76, 470, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//689 QWidget::tabletEvent(QTabletEvent*)
    {76, 102, 222, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//690 QWidget::actionEvent(QActionEvent*)
    {76, 181, 224, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//691 QWidget::dragEnterEvent(QDragEnterEvent*)
    {76, 183, 226, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//692 QWidget::dragMoveEvent(QDragMoveEvent*)
    {76, 182, 228, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//693 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {76, 184, 230, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//694 QWidget::dropEvent(QDropEvent*)
    {76, 460, 232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QWidget::showEvent(QShowEvent*)
    {76, 239, 234, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//696 QWidget::hideEvent(QHideEvent*)
    {76, 529, 236, 1, Smoke::mf_protected|Smoke::mf_virtual, 204, 0},	//697 QWidget::x11Event(_XEvent*)
    {76, 155, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//698 QWidget::changeEvent(QEvent*)
    {76, 308, 238, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 269, 0},	//699 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {76, 246, 240, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//700 QWidget::inputMethodEvent(QInputMethodEvent*)
    {76, 247, 242, 1, Smoke::mf_const|Smoke::mf_virtual, 118, 0},	//701 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 212, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 204, 0},	//702 QWidget::focusNextPrevChild(bool)
    {76, 465, 244, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//703 QWidget::styleChange(QStyle&)
    {76, 185, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//704 QWidget::enabledChange(bool)
    {76, 339, 246, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//705 QWidget::paletteChange(const QPalette&)
    {76, 214, 248, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//706 QWidget::fontChange(const QFont&)
    {76, 528, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//707 QWidget::windowActivationChange(bool)
    {76, 293, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//708 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    138,  // Nepomuk::Literal::Literal(const Nepomuk::Literal&)
    139,  // Nepomuk::Literal::Literal(const QUrl&)
    0,
    478,  // Nepomuk::Types::Ontology::Ontology(const QUrl&)
    479,  // Nepomuk::Types::Ontology::Ontology(const Nepomuk::Types::Ontology&)
    0,
    17,  // KRatingWidget::ratingChanged(unsigned int)
    18,  // KRatingWidget::ratingChanged(int)
    0,
    21,  // KRatingWidget::setMaxRating(int)
    22,  // KRatingWidget::setMaxRating(unsigned int)
    0,
    19,  // KRatingWidget::setRating(int)
    20,  // KRatingWidget::setRating(unsigned int)
    0,
    371,  // Nepomuk::TagWidget::TagWidget(QWidget*)
    389,  // Nepomuk::TagWidget::TagWidget(const Nepomuk::Resource&)
    0,
    470,  // Nepomuk::Types::Literal::Literal(const Nepomuk::Types::Literal&)
    471,  // Nepomuk::Types::Literal::Literal(const QUrl&)
    0,
    417,  // Nepomuk::Types::Class::Class(const QUrl&)
    418,  // Nepomuk::Types::Class::Class(const Nepomuk::Types::Class&)
    0,
    432,  // Nepomuk::Types::Class::allParentClasses()
    433,  // Nepomuk::Types::Class::allParentClasses() const
    0,
    434,  // Nepomuk::Types::Class::allSubClasses()
    435,  // Nepomuk::Types::Class::allSubClasses() const
    0,
    422,  // Nepomuk::Types::Class::domainOf()
    423,  // Nepomuk::Types::Class::domainOf() const
    0,
    440,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&)
    441,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&) const
    0,
    426,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&)
    427,  // Nepomuk::Types::Class::findPropertyByLabel(const QString&, const QString&) const
    0,
    424,  // Nepomuk::Types::Class::findPropertyByName(const QString&)
    425,  // Nepomuk::Types::Class::findPropertyByName(const QString&) const
    0,
    436,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&)
    437,  // Nepomuk::Types::Class::isParentOf(const Nepomuk::Types::Class&) const
    0,
    438,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&)
    439,  // Nepomuk::Types::Class::isSubClassOf(const Nepomuk::Types::Class&) const
    0,
    428,  // Nepomuk::Types::Class::parentClasses()
    429,  // Nepomuk::Types::Class::parentClasses() const
    0,
    420,  // Nepomuk::Types::Class::rangeOf()
    421,  // Nepomuk::Types::Class::rangeOf() const
    0,
    430,  // Nepomuk::Types::Class::subClasses()
    431,  // Nepomuk::Types::Class::subClasses() const
    0,
    491,  // Nepomuk::Types::Property::Property(const QUrl&)
    492,  // Nepomuk::Types::Property::Property(const Nepomuk::Types::Property&)
    0,
    506,  // Nepomuk::Types::Property::cardinality()
    507,  // Nepomuk::Types::Property::cardinality() const
    0,
    504,  // Nepomuk::Types::Property::domain()
    505,  // Nepomuk::Types::Property::domain() const
    0,
    498,  // Nepomuk::Types::Property::inverseProperty()
    499,  // Nepomuk::Types::Property::inverseProperty() const
    0,
    512,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&)
    513,  // Nepomuk::Types::Property::isParentOf(const Nepomuk::Types::Property&) const
    0,
    514,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&)
    515,  // Nepomuk::Types::Property::isSubPropertyOf(const Nepomuk::Types::Property&) const
    0,
    502,  // Nepomuk::Types::Property::literalRangeType()
    503,  // Nepomuk::Types::Property::literalRangeType() const
    0,
    510,  // Nepomuk::Types::Property::maxCardinality()
    511,  // Nepomuk::Types::Property::maxCardinality() const
    0,
    508,  // Nepomuk::Types::Property::minCardinality()
    509,  // Nepomuk::Types::Property::minCardinality() const
    0,
    494,  // Nepomuk::Types::Property::parentProperties()
    495,  // Nepomuk::Types::Property::parentProperties() const
    0,
    500,  // Nepomuk::Types::Property::range()
    501,  // Nepomuk::Types::Property::range() const
    0,
    496,  // Nepomuk::Types::Property::subProperties()
    497,  // Nepomuk::Types::Property::subProperties() const
    0,
    330,  // Nepomuk::Tag::Tag(Nepomuk::ResourceManager*)
    331,  // Nepomuk::Tag::Tag(const Nepomuk::Tag&)
    332,  // Nepomuk::Tag::Tag(const Nepomuk::Resource&)
    335,  // Nepomuk::Tag::Tag(const QUrl&)
    0,
    336,  // Nepomuk::Tag::Tag(const QUrl&, Nepomuk::ResourceManager*)
    342,  // Nepomuk::Tag::Tag(const QUrl&, const QUrl&)
    0,
    334,  // Nepomuk::Tag::Tag(const QString&, Nepomuk::ResourceManager*)
    341,  // Nepomuk::Tag::Tag(const QString&, const QUrl&)
    0,
    465,  // Nepomuk::Types::Entity::comment()
    466,  // Nepomuk::Types::Entity::comment() const
    0,
    449,  // Nepomuk::Types::Entity::comment(const QString&)
    450,  // Nepomuk::Types::Entity::comment(const QString&) const
    0,
    451,  // Nepomuk::Types::Entity::icon()
    452,  // Nepomuk::Types::Entity::icon() const
    0,
    454,  // Nepomuk::Types::Entity::isAvailable()
    455,  // Nepomuk::Types::Entity::isAvailable() const
    0,
    463,  // Nepomuk::Types::Entity::label()
    464,  // Nepomuk::Types::Entity::label() const
    0,
    447,  // Nepomuk::Types::Entity::label(const QString&)
    448,  // Nepomuk::Types::Entity::label(const QString&) const
    0,
    460,  // Nepomuk::Types::Entity::operator!=(const Nepomuk::Types::Entity&) const
    461,  // Nepomuk::Types::Entity::operator!=(const QUrl&) const
    0,
    458,  // Nepomuk::Types::Entity::operator==(const Nepomuk::Types::Entity&) const
    459,  // Nepomuk::Types::Entity::operator==(const QUrl&) const
    0,
    401,  // Nepomuk::Thing::Thing(const Nepomuk::Thing&)
    402,  // Nepomuk::Thing::Thing(const Nepomuk::Resource&)
    403,  // Nepomuk::Thing::Thing(Nepomuk::ResourceData*)
    412,  // Nepomuk::Thing::Thing(const QUrl&)
    0,
    404,  // Nepomuk::Thing::operator=(const Nepomuk::Thing&)
    405,  // Nepomuk::Thing::operator=(const Nepomuk::Resource&)
    406,  // Nepomuk::Thing::operator=(const QUrl&)
    0,
    188,  // Nepomuk::Resource::Resource(Nepomuk::ResourceManager*)
    189,  // Nepomuk::Resource::Resource(const Nepomuk::Resource&)
    195,  // Nepomuk::Resource::Resource(Nepomuk::ResourceData*)
    278,  // Nepomuk::Resource::Resource(const QUrl&)
    0,
    196,  // Nepomuk::Resource::operator=(const Nepomuk::Resource&)
    197,  // Nepomuk::Resource::operator=(const QUrl&)
    0,
    518,  // Nepomuk::Variant::Variant(const Nepomuk::Variant&)
    519,  // Nepomuk::Variant::Variant(const QVariant&)
    528,  // Nepomuk::Variant::Variant(const QDate&)
    529,  // Nepomuk::Variant::Variant(const QTime&)
    530,  // Nepomuk::Variant::Variant(const QDateTime&)
    531,  // Nepomuk::Variant::Variant(const QUrl&)
    532,  // Nepomuk::Variant::Variant(const Nepomuk::Resource&)
    0,
    520,  // Nepomuk::Variant::Variant(int)
    522,  // Nepomuk::Variant::Variant(unsigned int)
    524,  // Nepomuk::Variant::Variant(bool)
    525,  // Nepomuk::Variant::Variant(double)
    526,  // Nepomuk::Variant::Variant(const char*)
    527,  // Nepomuk::Variant::Variant(const QString&)
    0,
    521,  // Nepomuk::Variant::Variant(long long)
    523,  // Nepomuk::Variant::Variant(unsigned long long)
    533,  // Nepomuk::Variant::Variant(const QList<int>&)
    534,  // Nepomuk::Variant::Variant(const QList<long long>&)
    535,  // Nepomuk::Variant::Variant(const QList<unsigned int>&)
    536,  // Nepomuk::Variant::Variant(const QList<unsigned long long>&)
    537,  // Nepomuk::Variant::Variant(const QList<bool>&)
    538,  // Nepomuk::Variant::Variant(const QList<double>&)
    539,  // Nepomuk::Variant::Variant(const QStringList&)
    540,  // Nepomuk::Variant::Variant(const QList<QDate>&)
    541,  // Nepomuk::Variant::Variant(const QList<QTime>&)
    542,  // Nepomuk::Variant::Variant(const QList<QDateTime>&)
    543,  // Nepomuk::Variant::Variant(const QList<QUrl>&)
    544,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Resource>&)
    545,  // Nepomuk::Variant::Variant(const QList<Nepomuk::Variant>&)
    0,
    578,  // Nepomuk::Variant::append(const QDate&)
    579,  // Nepomuk::Variant::append(const QTime&)
    580,  // Nepomuk::Variant::append(const QDateTime&)
    581,  // Nepomuk::Variant::append(const QUrl&)
    582,  // Nepomuk::Variant::append(const Nepomuk::Resource&)
    583,  // Nepomuk::Variant::append(const Nepomuk::Variant&)
    0,
    571,  // Nepomuk::Variant::append(int)
    573,  // Nepomuk::Variant::append(unsigned int)
    575,  // Nepomuk::Variant::append(bool)
    576,  // Nepomuk::Variant::append(double)
    577,  // Nepomuk::Variant::append(const QString&)
    0,
    572,  // Nepomuk::Variant::append(long long)
    574,  // Nepomuk::Variant::append(unsigned long long)
    0,
    546,  // Nepomuk::Variant::operator=(const Nepomuk::Variant&)
    554,  // Nepomuk::Variant::operator=(const QDate&)
    555,  // Nepomuk::Variant::operator=(const QTime&)
    556,  // Nepomuk::Variant::operator=(const QDateTime&)
    557,  // Nepomuk::Variant::operator=(const QUrl&)
    558,  // Nepomuk::Variant::operator=(const Nepomuk::Resource&)
    0,
    547,  // Nepomuk::Variant::operator=(int)
    549,  // Nepomuk::Variant::operator=(unsigned int)
    551,  // Nepomuk::Variant::operator=(bool)
    552,  // Nepomuk::Variant::operator=(double)
    553,  // Nepomuk::Variant::operator=(const QString&)
    0,
    548,  // Nepomuk::Variant::operator=(long long)
    550,  // Nepomuk::Variant::operator=(unsigned long long)
    559,  // Nepomuk::Variant::operator=(const QList<int>&)
    560,  // Nepomuk::Variant::operator=(const QList<long long>&)
    561,  // Nepomuk::Variant::operator=(const QList<unsigned int>&)
    562,  // Nepomuk::Variant::operator=(const QList<unsigned long long>&)
    563,  // Nepomuk::Variant::operator=(const QList<bool>&)
    564,  // Nepomuk::Variant::operator=(const QList<double>&)
    565,  // Nepomuk::Variant::operator=(const QStringList&)
    566,  // Nepomuk::Variant::operator=(const QList<QDate>&)
    567,  // Nepomuk::Variant::operator=(const QList<QTime>&)
    568,  // Nepomuk::Variant::operator=(const QList<QDateTime>&)
    569,  // Nepomuk::Variant::operator=(const QList<QUrl>&)
    570,  // Nepomuk::Variant::operator=(const QList<Nepomuk::Resource>&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 19, 39},	// KRatingWidget::KRatingWidget
    {4, 20, 8},	// KRatingWidget::KRatingWidget#
    {4, 129, 11},	// KRatingWidget::alignment
    {4, 231, 15},	// KRatingWidget::halfStepsEnabled
    {4, 240, 16},	// KRatingWidget::icon
    {4, 294, 12},	// KRatingWidget::layoutDirection
    {4, 296, 34},	// KRatingWidget::leaveEvent#
    {4, 305, 10},	// KRatingWidget::maxRating
    {4, 307, 1},	// KRatingWidget::metaObject
    {4, 314, 33},	// KRatingWidget::mouseMoveEvent#
    {4, 316, 32},	// KRatingWidget::mousePressEvent#
    {4, 338, 35},	// KRatingWidget::paintEvent#
    {4, 351, 7},	// KRatingWidget::qt_metacall$$?
    {4, 353, 2},	// KRatingWidget::qt_metacast$
    {4, 356, 9},	// KRatingWidget::rating
    {4, 358, -7},	// KRatingWidget::ratingChanged$
    {4, 373, 36},	// KRatingWidget::resizeEvent#
    {4, 383, 26},	// KRatingWidget::setAlignment$
    {4, 393, 29},	// KRatingWidget::setCustomPixmap#
    {4, 401, 23},	// KRatingWidget::setHalfStepsEnabled$
    {4, 403, 28},	// KRatingWidget::setIcon#
    {4, 413, 27},	// KRatingWidget::setLayoutDirection$
    {4, 417, -10},	// KRatingWidget::setMaxRating$
    {4, 425, 24},	// KRatingWidget::setOnlyPaintFullSteps$
    {4, 431, 30},	// KRatingWidget::setPixmap#
    {4, 433, 31},	// KRatingWidget::setPixmapSize$
    {4, 438, -13},	// KRatingWidget::setRating$
    {4, 446, 25},	// KRatingWidget::setSpacing$
    {4, 462, 14},	// KRatingWidget::sizeHint
    {4, 463, 13},	// KRatingWidget::spacing
    {4, 464, 40},	// KRatingWidget::staticMetaObject
    {4, 509, 37},	// KRatingWidget::tr$
    {4, 510, 3},	// KRatingWidget::tr$$
    {4, 511, 5},	// KRatingWidget::tr$$$
    {4, 513, 38},	// KRatingWidget::trUtf8$
    {4, 514, 4},	// KRatingWidget::trUtf8$$
    {4, 515, 6},	// KRatingWidget::trUtf8$$$
    {4, 534, 41},	// KRatingWidget::~KRatingWidget
    {6, 21, 60},	// KTagCloudWidget::KTagCloudWidget
    {6, 22, 49},	// KTagCloudWidget::KTagCloudWidget#
    {6, 122, 51},	// KTagCloudWidget::addTag$$
    {6, 124, 52},	// KTagCloudWidget::addTags?
    {6, 158, 53},	// KTagCloudWidget::clear
    {6, 307, 42},	// KTagCloudWidget::metaObject
    {6, 351, 48},	// KTagCloudWidget::qt_metacall$$?
    {6, 353, 43},	// KTagCloudWidget::qt_metacast$
    {6, 373, 57},	// KTagCloudWidget::resizeEvent#
    {6, 415, 54},	// KTagCloudWidget::setMaxFontSize$
    {6, 421, 55},	// KTagCloudWidget::setMinFontSize$
    {6, 464, 61},	// KTagCloudWidget::staticMetaObject
    {6, 473, 56},	// KTagCloudWidget::tagClicked$
    {6, 477, 50},	// KTagCloudWidget::tagWeight$
    {6, 509, 58},	// KTagCloudWidget::tr$
    {6, 510, 44},	// KTagCloudWidget::tr$$
    {6, 511, 46},	// KTagCloudWidget::tr$$$
    {6, 513, 59},	// KTagCloudWidget::trUtf8$
    {6, 514, 45},	// KTagCloudWidget::trUtf8$$
    {6, 515, 47},	// KTagCloudWidget::trUtf8$$$
    {6, 535, 62},	// KTagCloudWidget::~KTagCloudWidget
    {7, 23, 78},	// KTagDisplayWidget::KTagDisplayWidget
    {7, 24, 70},	// KTagDisplayWidget::KTagDisplayWidget#
    {7, 121, 72},	// KTagDisplayWidget::addTag$
    {7, 124, 73},	// KTagDisplayWidget::addTags?
    {7, 158, 74},	// KTagDisplayWidget::clear
    {7, 307, 63},	// KTagDisplayWidget::metaObject
    {7, 351, 69},	// KTagDisplayWidget::qt_metacall$$?
    {7, 353, 64},	// KTagDisplayWidget::qt_metacast$
    {7, 454, 71},	// KTagDisplayWidget::setTags?
    {7, 464, 79},	// KTagDisplayWidget::staticMetaObject
    {7, 473, 75},	// KTagDisplayWidget::tagClicked$
    {7, 509, 76},	// KTagDisplayWidget::tr$
    {7, 510, 65},	// KTagDisplayWidget::tr$$
    {7, 511, 67},	// KTagDisplayWidget::tr$$$
    {7, 513, 77},	// KTagDisplayWidget::trUtf8$
    {7, 514, 66},	// KTagDisplayWidget::trUtf8$$
    {7, 515, 68},	// KTagDisplayWidget::trUtf8$$$
    {7, 536, 80},	// KTagDisplayWidget::~KTagDisplayWidget
    {9, 4, 95},	// Nepomuk::CommunicationError
    {9, 18, 96},	// Nepomuk::InvalidType
    {9, 30, 94},	// Nepomuk::NoError
    {9, 53, 91},	// Nepomuk::RDFLiteralToValue#
    {9, 91, 97},	// Nepomuk::UnknownError
    {9, 172, 87},	// Nepomuk::defaultGraph
    {9, 190, 86},	// Nepomuk::errorString$
    {9, 195, 92},	// Nepomuk::extractNamespace#
    {9, 320, 90},	// Nepomuk::naoNamespace
    {9, 325, 85},	// Nepomuk::nrlNamespace
    {9, 349, 82},	// Nepomuk::qHash#
    {9, 360, 81},	// Nepomuk::rdfNamepace
    {9, 361, 89},	// Nepomuk::rdfsNamespace
    {9, 395, 84},	// Nepomuk::setDefaultRepository$
    {9, 517, 88},	// Nepomuk::typePredicate
    {9, 523, 93},	// Nepomuk::valueToRDFNode#
    {9, 525, 83},	// Nepomuk::valuesToRDFNodes#
    {10, 2, 98},	// Nepomuk::Class::Class
    {10, 3, 99},	// Nepomuk::Class::Class#
    {10, 133, 101},	// Nepomuk::Class::allProperties
    {10, 205, 110},	// Nepomuk::Class::findPropertyByLabel$
    {10, 206, 103},	// Nepomuk::Class::findPropertyByLabel$$
    {10, 208, 102},	// Nepomuk::Class::findPropertyByName$
    {10, 210, 104},	// Nepomuk::Class::findPropertyByUri#
    {10, 265, 107},	// Nepomuk::Class::isParentOf#
    {10, 274, 108},	// Nepomuk::Class::isSubClassOf#
    {10, 299, 109},	// Nepomuk::Class::load#
    {10, 331, 100},	// Nepomuk::Class::operator=#
    {10, 340, 105},	// Nepomuk::Class::parentClasses
    {10, 466, 106},	// Nepomuk::Class::subClasses
    {10, 530, 111},	// Nepomuk::Class::~Class
    {11, 5, 112},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader
    {11, 6, 115},	// Nepomuk::DesktopOntologyLoader::DesktopOntologyLoader#
    {11, 131, 113},	// Nepomuk::DesktopOntologyLoader::allOntologies
    {11, 301, 114},	// Nepomuk::DesktopOntologyLoader::loadOntology#
    {11, 531, 116},	// Nepomuk::DesktopOntologyLoader::~DesktopOntologyLoader
    {12, 10, 124},	// Nepomuk::Entity::Entity
    {12, 11, 117},	// Nepomuk::Entity::Entity#
    {12, 161, 126},	// Nepomuk::Entity::comment
    {12, 162, 123},	// Nepomuk::Entity::comment$
    {12, 173, 119},	// Nepomuk::Entity::definingOntology
    {12, 290, 125},	// Nepomuk::Entity::label
    {12, 291, 122},	// Nepomuk::Entity::label$
    {12, 319, 120},	// Nepomuk::Entity::name
    {12, 331, 118},	// Nepomuk::Entity::operator=#
    {12, 520, 121},	// Nepomuk::Entity::uri
    {12, 532, 127},	// Nepomuk::Entity::~Entity
    {13, 12, 128},	// Nepomuk::FileOntologyLoader::FileOntologyLoader
    {13, 13, 134},	// Nepomuk::FileOntologyLoader::FileOntologyLoader#
    {13, 14, 135},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$
    {13, 15, 129},	// Nepomuk::FileOntologyLoader::FileOntologyLoader$$
    {13, 196, 131},	// Nepomuk::FileOntologyLoader::fileName
    {13, 301, 133},	// Nepomuk::FileOntologyLoader::loadOntology#
    {13, 399, 130},	// Nepomuk::FileOntologyLoader::setFileName$
    {13, 442, 132},	// Nepomuk::FileOntologyLoader::setSerialization$
    {13, 533, 136},	// Nepomuk::FileOntologyLoader::~FileOntologyLoader
    {14, 25, 137},	// Nepomuk::Literal::Literal
    {14, 26, -1},	// Nepomuk::Literal::Literal#
    {14, 170, 142},	// Nepomuk::Literal::dataType
    {14, 171, 141},	// Nepomuk::Literal::dataTypeUri
    {14, 331, 140},	// Nepomuk::Literal::operator=#
    {14, 537, 143},	// Nepomuk::Literal::~Literal
    {15, 28, 144},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader
    {15, 29, 146},	// Nepomuk::NepomukOntologyLoader::NepomukOntologyLoader#
    {15, 301, 145},	// Nepomuk::NepomukOntologyLoader::loadOntology#
    {15, 538, 147},	// Nepomuk::NepomukOntologyLoader::~NepomukOntologyLoader
    {16, 32, 148},	// Nepomuk::Ontology::Ontology
    {16, 33, 149},	// Nepomuk::Ontology::Ontology#
    {16, 130, 152},	// Nepomuk::Ontology::allClasses
    {16, 133, 156},	// Nepomuk::Ontology::allProperties
    {16, 198, 161},	// Nepomuk::Ontology::findClassByLabel$
    {16, 199, 154},	// Nepomuk::Ontology::findClassByLabel$$
    {16, 201, 153},	// Nepomuk::Ontology::findClassByName$
    {16, 203, 155},	// Nepomuk::Ontology::findClassByUri#
    {16, 205, 162},	// Nepomuk::Ontology::findPropertyByLabel$
    {16, 206, 158},	// Nepomuk::Ontology::findPropertyByLabel$$
    {16, 208, 157},	// Nepomuk::Ontology::findPropertyByName$
    {16, 210, 159},	// Nepomuk::Ontology::findPropertyByUri#
    {16, 299, 160},	// Nepomuk::Ontology::load#
    {16, 331, 150},	// Nepomuk::Ontology::operator=#
    {16, 520, 151},	// Nepomuk::Ontology::uri
    {16, 539, 163},	// Nepomuk::Ontology::~Ontology
    {17, 34, 165},	// Nepomuk::OntologyLoader::OntologyLoader
    {17, 35, 166},	// Nepomuk::OntologyLoader::OntologyLoader#
    {17, 301, 164},	// Nepomuk::OntologyLoader::loadOntology#
    {17, 540, 167},	// Nepomuk::OntologyLoader::~OntologyLoader
    {18, 37, 171},	// Nepomuk::OntologyManager::OntologyManager#
    {18, 229, 170},	// Nepomuk::OntologyManager::getOntology#
    {18, 248, 168},	// Nepomuk::OntologyManager::instance
    {18, 427, 169},	// Nepomuk::OntologyManager::setOntologyLoader#
    {18, 541, 172},	// Nepomuk::OntologyManager::~OntologyManager
    {19, 40, 173},	// Nepomuk::Property::Property
    {19, 41, 174},	// Nepomuk::Property::Property#
    {19, 154, 182},	// Nepomuk::Property::cardinality
    {19, 179, 181},	// Nepomuk::Property::domain
    {19, 249, 178},	// Nepomuk::Property::inverseProperty
    {19, 297, 180},	// Nepomuk::Property::literalRangeType
    {19, 299, 185},	// Nepomuk::Property::load#
    {19, 304, 184},	// Nepomuk::Property::maxCardinality
    {19, 309, 183},	// Nepomuk::Property::minCardinality
    {19, 331, 175},	// Nepomuk::Property::operator=#
    {19, 341, 177},	// Nepomuk::Property::parentOf
    {19, 342, 176},	// Nepomuk::Property::parentProperties
    {19, 354, 179},	// Nepomuk::Property::range
    {19, 542, 186},	// Nepomuk::Property::~Property
    {22, 56, 187},	// Nepomuk::Resource::Resource
    {22, 57, -138},	// Nepomuk::Resource::Resource#
    {22, 58, 193},	// Nepomuk::Resource::Resource##
    {22, 59, 194},	// Nepomuk::Resource::Resource###
    {22, 60, 277},	// Nepomuk::Resource::Resource$
    {22, 61, 190},	// Nepomuk::Resource::Resource$#
    {22, 62, 191},	// Nepomuk::Resource::Resource$##
    {22, 63, 192},	// Nepomuk::Resource::Resource$$
    {22, 104, 239},	// Nepomuk::Resource::addAltLabel$
    {22, 106, 243},	// Nepomuk::Resource::addAnnotation#
    {22, 110, 235},	// Nepomuk::Resource::addIdentifier$
    {22, 112, 259},	// Nepomuk::Resource::addIsRelated#
    {22, 114, 255},	// Nepomuk::Resource::addIsTopicOf#
    {22, 116, 216},	// Nepomuk::Resource::addProperty##
    {22, 118, 269},	// Nepomuk::Resource::addSymbol$
    {22, 120, 247},	// Nepomuk::Resource::addTag#
    {22, 126, 251},	// Nepomuk::Resource::addTopic#
    {22, 128, 205},	// Nepomuk::Resource::addType#
    {22, 133, 208},	// Nepomuk::Resource::allProperties
    {22, 134, 273},	// Nepomuk::Resource::allResources
    {22, 143, 240},	// Nepomuk::Resource::altLabelUri
    {22, 144, 237},	// Nepomuk::Resource::altLabels
    {22, 145, 271},	// Nepomuk::Resource::annotationOf
    {22, 146, 244},	// Nepomuk::Resource::annotationUri
    {22, 147, 241},	// Nepomuk::Resource::annotations
    {22, 157, 207},	// Nepomuk::Resource::className
    {22, 175, 230},	// Nepomuk::Resource::description
    {22, 176, 232},	// Nepomuk::Resource::descriptionUri
    {22, 193, 222},	// Nepomuk::Resource::exists
    {22, 218, 279},	// Nepomuk::Resource::fromResourceUri#
    {22, 219, 280},	// Nepomuk::Resource::fromResourceUri##
    {22, 220, 276},	// Nepomuk::Resource::fromResourceUri###
    {22, 225, 225},	// Nepomuk::Resource::genericDescription
    {22, 226, 226},	// Nepomuk::Resource::genericIcon
    {22, 227, 224},	// Nepomuk::Resource::genericLabel
    {22, 233, 210},	// Nepomuk::Resource::hasProperty#
    {22, 234, 211},	// Nepomuk::Resource::hasProperty##
    {22, 235, 212},	// Nepomuk::Resource::hasProperty$
    {22, 237, 206},	// Nepomuk::Resource::hasType#
    {22, 241, 236},	// Nepomuk::Resource::identifierUri
    {22, 242, 233},	// Nepomuk::Resource::identifiers
    {22, 243, 275},	// Nepomuk::Resource::increaseUsageCount
    {22, 266, 272},	// Nepomuk::Resource::isRelatedOf
    {22, 267, 260},	// Nepomuk::Resource::isRelatedUri
    {22, 268, 257},	// Nepomuk::Resource::isRelateds
    {22, 279, 256},	// Nepomuk::Resource::isTopicOfUri
    {22, 280, 253},	// Nepomuk::Resource::isTopicOfs
    {22, 287, 223},	// Nepomuk::Resource::isValid
    {22, 290, 261},	// Nepomuk::Resource::label
    {22, 292, 263},	// Nepomuk::Resource::labelUri
    {22, 303, 198},	// Nepomuk::Resource::manager
    {22, 329, 229},	// Nepomuk::Resource::operator!=#
    {22, 331, -143},	// Nepomuk::Resource::operator=#
    {22, 334, 228},	// Nepomuk::Resource::operator==#
    {22, 343, 227},	// Nepomuk::Resource::pimoThing
    {22, 344, 209},	// Nepomuk::Resource::properties
    {22, 346, 213},	// Nepomuk::Resource::property#
    {22, 347, 214},	// Nepomuk::Resource::property$
    {22, 356, 264},	// Nepomuk::Resource::rating
    {22, 359, 266},	// Nepomuk::Resource::ratingUri
    {22, 363, 221},	// Nepomuk::Resource::remove
    {22, 365, 218},	// Nepomuk::Resource::removeProperty#
    {22, 366, 219},	// Nepomuk::Resource::removeProperty##
    {22, 367, 220},	// Nepomuk::Resource::removeProperty$
    {22, 376, 202},	// Nepomuk::Resource::resourceType
    {22, 378, 200},	// Nepomuk::Resource::resourceUri
    {22, 385, 238},	// Nepomuk::Resource::setAltLabels?
    {22, 387, 242},	// Nepomuk::Resource::setAnnotations?
    {22, 397, 231},	// Nepomuk::Resource::setDescription$
    {22, 405, 234},	// Nepomuk::Resource::setIdentifiers?
    {22, 407, 258},	// Nepomuk::Resource::setIsRelateds?
    {22, 409, 254},	// Nepomuk::Resource::setIsTopicOfs?
    {22, 411, 262},	// Nepomuk::Resource::setLabel$
    {22, 435, 215},	// Nepomuk::Resource::setProperty##
    {22, 436, 217},	// Nepomuk::Resource::setProperty$#
    {22, 438, 265},	// Nepomuk::Resource::setRating$
    {22, 448, 268},	// Nepomuk::Resource::setSymbols?
    {22, 454, 246},	// Nepomuk::Resource::setTags?
    {22, 456, 250},	// Nepomuk::Resource::setTopics?
    {22, 458, 204},	// Nepomuk::Resource::setTypes?
    {22, 468, 270},	// Nepomuk::Resource::symbolUri
    {22, 469, 267},	// Nepomuk::Resource::symbols
    {22, 475, 248},	// Nepomuk::Resource::tagUri
    {22, 479, 245},	// Nepomuk::Resource::tags
    {22, 506, 252},	// Nepomuk::Resource::topicUri
    {22, 507, 249},	// Nepomuk::Resource::topics
    {22, 516, 201},	// Nepomuk::Resource::type
    {22, 518, 203},	// Nepomuk::Resource::types
    {22, 520, 199},	// Nepomuk::Resource::uri
    {22, 521, 274},	// Nepomuk::Resource::usageCount
    {22, 543, 281},	// Nepomuk::Resource::~Resource
    {24, 136, 297},	// Nepomuk::ResourceManager::allResourcesOfType#
    {24, 137, 298},	// Nepomuk::ResourceManager::allResourcesOfType$
    {24, 139, 299},	// Nepomuk::ResourceManager::allResourcesWithProperty##
    {24, 140, 300},	// Nepomuk::ResourceManager::allResourcesWithProperty$#
    {24, 159, 301},	// Nepomuk::ResourceManager::clearCache
    {24, 166, 305},	// Nepomuk::ResourceManager::createManagerForModel#
    {24, 168, 295},	// Nepomuk::ResourceManager::createResourceFromUri$
    {24, 174, 290},	// Nepomuk::ResourceManager::deleteInstance
    {24, 188, 307},	// Nepomuk::ResourceManager::error$$
    {24, 223, 302},	// Nepomuk::ResourceManager::generateUniqueUri
    {24, 224, 303},	// Nepomuk::ResourceManager::generateUniqueUri$
    {24, 244, 291},	// Nepomuk::ResourceManager::init
    {24, 245, 292},	// Nepomuk::ResourceManager::initialized
    {24, 248, 289},	// Nepomuk::ResourceManager::instance
    {24, 302, 293},	// Nepomuk::ResourceManager::mainModel
    {24, 307, 282},	// Nepomuk::ResourceManager::metaObject
    {24, 321, 308},	// Nepomuk::ResourceManager::nepomukSystemStarted
    {24, 322, 309},	// Nepomuk::ResourceManager::nepomukSystemStopped
    {24, 324, 304},	// Nepomuk::ResourceManager::notifyError$$
    {24, 351, 288},	// Nepomuk::ResourceManager::qt_metacall$$?
    {24, 353, 283},	// Nepomuk::ResourceManager::qt_metacast$
    {24, 369, 296},	// Nepomuk::ResourceManager::removeResource$
    {24, 375, 306},	// Nepomuk::ResourceManager::resourceModified$
    {24, 429, 294},	// Nepomuk::ResourceManager::setOverrideMainModel#
    {24, 464, 312},	// Nepomuk::ResourceManager::staticMetaObject
    {24, 509, 310},	// Nepomuk::ResourceManager::tr$
    {24, 510, 284},	// Nepomuk::ResourceManager::tr$$
    {24, 511, 286},	// Nepomuk::ResourceManager::tr$$$
    {24, 513, 311},	// Nepomuk::ResourceManager::trUtf8$
    {24, 514, 285},	// Nepomuk::ResourceManager::trUtf8$$
    {24, 515, 287},	// Nepomuk::ResourceManager::trUtf8$$$
    {25, 64, 325},	// Nepomuk::Service::Service
    {25, 65, 326},	// Nepomuk::Service::Service#
    {25, 66, 320},	// Nepomuk::Service::Service#$
    {25, 302, 321},	// Nepomuk::Service::mainModel
    {25, 307, 313},	// Nepomuk::Service::metaObject
    {25, 351, 319},	// Nepomuk::Service::qt_metacall$$?
    {25, 353, 314},	// Nepomuk::Service::qt_metacast$
    {25, 444, 322},	// Nepomuk::Service::setServiceInitialized$
    {25, 464, 327},	// Nepomuk::Service::staticMetaObject
    {25, 509, 323},	// Nepomuk::Service::tr$
    {25, 510, 315},	// Nepomuk::Service::tr$$
    {25, 511, 317},	// Nepomuk::Service::tr$$$
    {25, 513, 324},	// Nepomuk::Service::trUtf8$
    {25, 514, 316},	// Nepomuk::Service::trUtf8$$
    {25, 515, 318},	// Nepomuk::Service::trUtf8$$$
    {25, 544, 328},	// Nepomuk::Service::~Service
    {26, 72, 329},	// Nepomuk::Tag::Tag
    {26, 73, -94},	// Nepomuk::Tag::Tag#
    {26, 74, -99},	// Nepomuk::Tag::Tag##
    {26, 75, 344},	// Nepomuk::Tag::Tag###
    {26, 76, 333},	// Nepomuk::Tag::Tag$
    {26, 77, -102},	// Nepomuk::Tag::Tag$#
    {26, 78, 343},	// Nepomuk::Tag::Tag$##
    {26, 142, 339},	// Nepomuk::Tag::allTags
    {26, 331, 337},	// Nepomuk::Tag::operator=#
    {26, 377, 340},	// Nepomuk::Tag::resourceTypeUri
    {26, 474, 338},	// Nepomuk::Tag::tagOf
    {26, 545, 345},	// Nepomuk::Tag::~Tag
    {27, 79, 360},	// Nepomuk::TagCloud::TagCloud
    {27, 80, 353},	// Nepomuk::TagCloud::TagCloud#
    {27, 153, 354},	// Nepomuk::TagCloud::autoUpdate
    {27, 307, 346},	// Nepomuk::TagCloud::metaObject
    {27, 351, 352},	// Nepomuk::TagCloud::qt_metacall$$?
    {27, 353, 347},	// Nepomuk::TagCloud::qt_metacast$
    {27, 391, 356},	// Nepomuk::TagCloud::setAutoUpdate$
    {27, 464, 361},	// Nepomuk::TagCloud::staticMetaObject
    {27, 472, 357},	// Nepomuk::TagCloud::tagClicked#
    {27, 509, 358},	// Nepomuk::TagCloud::tr$
    {27, 510, 348},	// Nepomuk::TagCloud::tr$$
    {27, 511, 350},	// Nepomuk::TagCloud::tr$$$
    {27, 513, 359},	// Nepomuk::TagCloud::trUtf8$
    {27, 514, 349},	// Nepomuk::TagCloud::trUtf8$$
    {27, 515, 351},	// Nepomuk::TagCloud::trUtf8$$$
    {27, 519, 355},	// Nepomuk::TagCloud::updateTags
    {27, 546, 362},	// Nepomuk::TagCloud::~TagCloud
    {28, 7, 395},	// Nepomuk::TagWidget::DisableTagClicking
    {28, 27, 392},	// Nepomuk::TagWidget::MiniMode
    {28, 55, 394},	// Nepomuk::TagWidget::ReadOnly
    {28, 69, 393},	// Nepomuk::TagWidget::StandardMode
    {28, 81, 390},	// Nepomuk::TagWidget::TagWidget
    {28, 82, -16},	// Nepomuk::TagWidget::TagWidget#
    {28, 83, 370},	// Nepomuk::TagWidget::TagWidget##
    {28, 129, 376},	// Nepomuk::TagWidget::alignment
    {28, 152, 373},	// Nepomuk::TagWidget::assignedTags
    {28, 306, 375},	// Nepomuk::TagWidget::maxTagsShown
    {28, 307, 363},	// Nepomuk::TagWidget::metaObject
    {28, 311, 377},	// Nepomuk::TagWidget::modeFlags
    {28, 351, 369},	// Nepomuk::TagWidget::qt_metacall$$?
    {28, 353, 364},	// Nepomuk::TagWidget::qt_metacast$
    {28, 379, 374},	// Nepomuk::TagWidget::selectedTags
    {28, 381, 379},	// Nepomuk::TagWidget::selectionChanged?
    {28, 383, 385},	// Nepomuk::TagWidget::setAlignment$
    {28, 389, 382},	// Nepomuk::TagWidget::setAssignedTags?
    {28, 419, 384},	// Nepomuk::TagWidget::setMaxTagsShown$
    {28, 423, 386},	// Nepomuk::TagWidget::setModeFlags$
    {28, 440, 383},	// Nepomuk::TagWidget::setSelectedTags?
    {28, 450, 380},	// Nepomuk::TagWidget::setTaggedResource#
    {28, 452, 381},	// Nepomuk::TagWidget::setTaggedResources?
    {28, 464, 391},	// Nepomuk::TagWidget::staticMetaObject
    {28, 472, 378},	// Nepomuk::TagWidget::tagClicked#
    {28, 478, 372},	// Nepomuk::TagWidget::taggedResources
    {28, 509, 387},	// Nepomuk::TagWidget::tr$
    {28, 510, 365},	// Nepomuk::TagWidget::tr$$
    {28, 511, 367},	// Nepomuk::TagWidget::tr$$$
    {28, 513, 388},	// Nepomuk::TagWidget::trUtf8$
    {28, 514, 366},	// Nepomuk::TagWidget::trUtf8$$
    {28, 515, 368},	// Nepomuk::TagWidget::trUtf8$$$
    {28, 547, 396},	// Nepomuk::TagWidget::~TagWidget
    {29, 84, 411},	// Nepomuk::Thing::Thing
    {29, 85, -129},	// Nepomuk::Thing::Thing#
    {29, 86, 397},	// Nepomuk::Thing::Thing##
    {29, 87, 398},	// Nepomuk::Thing::Thing###
    {29, 88, 413},	// Nepomuk::Thing::Thing$
    {29, 89, 399},	// Nepomuk::Thing::Thing$#
    {29, 90, 400},	// Nepomuk::Thing::Thing$##
    {29, 108, 410},	// Nepomuk::Thing::addGroundingOccurrence#
    {29, 230, 407},	// Nepomuk::Thing::groundingOccurrences
    {29, 326, 409},	// Nepomuk::Thing::occurrences
    {29, 331, -134},	// Nepomuk::Thing::operator=#
    {29, 362, 408},	// Nepomuk::Thing::referencingOccurrences
    {29, 548, 414},	// Nepomuk::Thing::~Thing
    {30, 349, 415},	// Nepomuk::Types::qHash#
    {31, 2, 416},	// Nepomuk::Types::Class::Class
    {31, 3, -22},	// Nepomuk::Types::Class::Class#
    {31, 132, -25},	// Nepomuk::Types::Class::allParentClasses
    {31, 141, -28},	// Nepomuk::Types::Class::allSubClasses
    {31, 180, -31},	// Nepomuk::Types::Class::domainOf
    {31, 205, -34},	// Nepomuk::Types::Class::findPropertyByLabel$
    {31, 206, -37},	// Nepomuk::Types::Class::findPropertyByLabel$$
    {31, 208, -40},	// Nepomuk::Types::Class::findPropertyByName$
    {31, 265, -43},	// Nepomuk::Types::Class::isParentOf#
    {31, 274, -46},	// Nepomuk::Types::Class::isSubClassOf#
    {31, 331, 419},	// Nepomuk::Types::Class::operator=#
    {31, 340, -49},	// Nepomuk::Types::Class::parentClasses
    {31, 355, -52},	// Nepomuk::Types::Class::rangeOf
    {31, 466, -55},	// Nepomuk::Types::Class::subClasses
    {31, 530, 442},	// Nepomuk::Types::Class::~Class
    {32, 10, 462},	// Nepomuk::Types::Entity::Entity
    {32, 11, 443},	// Nepomuk::Types::Entity::Entity#
    {32, 161, -105},	// Nepomuk::Types::Entity::comment
    {32, 162, -108},	// Nepomuk::Types::Entity::comment$
    {32, 240, -111},	// Nepomuk::Types::Entity::icon
    {32, 250, -114},	// Nepomuk::Types::Entity::isAvailable
    {32, 287, 453},	// Nepomuk::Types::Entity::isValid
    {32, 290, -117},	// Nepomuk::Types::Entity::label
    {32, 291, -120},	// Nepomuk::Types::Entity::label$
    {32, 319, 445},	// Nepomuk::Types::Entity::name
    {32, 327, 457},	// Nepomuk::Types::Entity::operator QUrl
    {32, 329, -123},	// Nepomuk::Types::Entity::operator!=#
    {32, 331, 444},	// Nepomuk::Types::Entity::operator=#
    {32, 334, -126},	// Nepomuk::Types::Entity::operator==#
    {32, 370, 467},	// Nepomuk::Types::Entity::reset
    {32, 371, 456},	// Nepomuk::Types::Entity::reset$
    {32, 520, 446},	// Nepomuk::Types::Entity::uri
    {32, 532, 468},	// Nepomuk::Types::Entity::~Entity
    {33, 25, 469},	// Nepomuk::Types::Literal::Literal
    {33, 26, -19},	// Nepomuk::Types::Literal::Literal#
    {33, 170, 474},	// Nepomuk::Types::Literal::dataType
    {33, 171, 473},	// Nepomuk::Types::Literal::dataTypeUri
    {33, 287, 475},	// Nepomuk::Types::Literal::isValid
    {33, 331, 472},	// Nepomuk::Types::Literal::operator=#
    {33, 537, 476},	// Nepomuk::Types::Literal::~Literal
    {34, 32, 477},	// Nepomuk::Types::Ontology::Ontology
    {34, 33, -4},	// Nepomuk::Types::Ontology::Ontology#
    {34, 130, 481},	// Nepomuk::Types::Ontology::allClasses
    {34, 133, 484},	// Nepomuk::Types::Ontology::allProperties
    {34, 198, 487},	// Nepomuk::Types::Ontology::findClassByLabel$
    {34, 199, 483},	// Nepomuk::Types::Ontology::findClassByLabel$$
    {34, 201, 482},	// Nepomuk::Types::Ontology::findClassByName$
    {34, 205, 488},	// Nepomuk::Types::Ontology::findPropertyByLabel$
    {34, 206, 486},	// Nepomuk::Types::Ontology::findPropertyByLabel$$
    {34, 208, 485},	// Nepomuk::Types::Ontology::findPropertyByName$
    {34, 331, 480},	// Nepomuk::Types::Ontology::operator=#
    {34, 539, 489},	// Nepomuk::Types::Ontology::~Ontology
    {35, 40, 490},	// Nepomuk::Types::Property::Property
    {35, 41, -58},	// Nepomuk::Types::Property::Property#
    {35, 154, -61},	// Nepomuk::Types::Property::cardinality
    {35, 179, -64},	// Nepomuk::Types::Property::domain
    {35, 249, -67},	// Nepomuk::Types::Property::inverseProperty
    {35, 265, -70},	// Nepomuk::Types::Property::isParentOf#
    {35, 276, -73},	// Nepomuk::Types::Property::isSubPropertyOf#
    {35, 297, -76},	// Nepomuk::Types::Property::literalRangeType
    {35, 304, -79},	// Nepomuk::Types::Property::maxCardinality
    {35, 309, -82},	// Nepomuk::Types::Property::minCardinality
    {35, 331, 493},	// Nepomuk::Types::Property::operator=#
    {35, 342, -85},	// Nepomuk::Types::Property::parentProperties
    {35, 354, -88},	// Nepomuk::Types::Property::range
    {35, 467, -91},	// Nepomuk::Types::Property::subProperties
    {35, 542, 516},	// Nepomuk::Types::Property::~Property
    {36, 93, 517},	// Nepomuk::Variant::Variant
    {36, 94, -146},	// Nepomuk::Variant::Variant#
    {36, 95, -154},	// Nepomuk::Variant::Variant$
    {36, 96, -161},	// Nepomuk::Variant::Variant?
    {36, 149, -177},	// Nepomuk::Variant::append#
    {36, 150, -184},	// Nepomuk::Variant::append$
    {36, 151, -190},	// Nepomuk::Variant::append?
    {36, 216, 641},	// Nepomuk::Variant::fromNode#
    {36, 222, 640},	// Nepomuk::Variant::fromString$$
    {36, 251, 594},	// Nepomuk::Variant::isBool
    {36, 252, 606},	// Nepomuk::Variant::isBoolList
    {36, 253, 597},	// Nepomuk::Variant::isDate
    {36, 254, 609},	// Nepomuk::Variant::isDateList
    {36, 255, 599},	// Nepomuk::Variant::isDateTime
    {36, 256, 611},	// Nepomuk::Variant::isDateTimeList
    {36, 257, 595},	// Nepomuk::Variant::isDouble
    {36, 258, 607},	// Nepomuk::Variant::isDoubleList
    {36, 259, 590},	// Nepomuk::Variant::isInt
    {36, 260, 591},	// Nepomuk::Variant::isInt64
    {36, 261, 603},	// Nepomuk::Variant::isInt64List
    {36, 262, 602},	// Nepomuk::Variant::isIntList
    {36, 263, 589},	// Nepomuk::Variant::isList
    {36, 269, 601},	// Nepomuk::Variant::isResource
    {36, 270, 613},	// Nepomuk::Variant::isResourceList
    {36, 271, 596},	// Nepomuk::Variant::isString
    {36, 272, 608},	// Nepomuk::Variant::isStringList
    {36, 277, 598},	// Nepomuk::Variant::isTime
    {36, 278, 610},	// Nepomuk::Variant::isTimeList
    {36, 281, 592},	// Nepomuk::Variant::isUnsignedInt
    {36, 282, 593},	// Nepomuk::Variant::isUnsignedInt64
    {36, 283, 605},	// Nepomuk::Variant::isUnsignedInt64List
    {36, 284, 604},	// Nepomuk::Variant::isUnsignedIntList
    {36, 285, 600},	// Nepomuk::Variant::isUrl
    {36, 286, 612},	// Nepomuk::Variant::isUrlList
    {36, 287, 586},	// Nepomuk::Variant::isValid
    {36, 329, 585},	// Nepomuk::Variant::operator!=#
    {36, 331, -193},	// Nepomuk::Variant::operator=#
    {36, 332, -200},	// Nepomuk::Variant::operator=$
    {36, 334, 584},	// Nepomuk::Variant::operator==#
    {36, 335, -206},	// Nepomuk::Variant::operator=?
    {36, 461, 588},	// Nepomuk::Variant::simpleType
    {36, 481, 619},	// Nepomuk::Variant::toBool
    {36, 482, 631},	// Nepomuk::Variant::toBoolList
    {36, 483, 622},	// Nepomuk::Variant::toDate
    {36, 484, 634},	// Nepomuk::Variant::toDateList
    {36, 485, 624},	// Nepomuk::Variant::toDateTime
    {36, 486, 636},	// Nepomuk::Variant::toDateTimeList
    {36, 487, 620},	// Nepomuk::Variant::toDouble
    {36, 488, 632},	// Nepomuk::Variant::toDoubleList
    {36, 489, 615},	// Nepomuk::Variant::toInt
    {36, 490, 616},	// Nepomuk::Variant::toInt64
    {36, 491, 628},	// Nepomuk::Variant::toInt64List
    {36, 492, 627},	// Nepomuk::Variant::toIntList
    {36, 493, 626},	// Nepomuk::Variant::toResource
    {36, 494, 638},	// Nepomuk::Variant::toResourceList
    {36, 495, 621},	// Nepomuk::Variant::toString
    {36, 496, 633},	// Nepomuk::Variant::toStringList
    {36, 497, 623},	// Nepomuk::Variant::toTime
    {36, 498, 635},	// Nepomuk::Variant::toTimeList
    {36, 499, 617},	// Nepomuk::Variant::toUnsignedInt
    {36, 500, 618},	// Nepomuk::Variant::toUnsignedInt64
    {36, 501, 630},	// Nepomuk::Variant::toUnsignedInt64List
    {36, 502, 629},	// Nepomuk::Variant::toUnsignedIntList
    {36, 503, 625},	// Nepomuk::Variant::toUrl
    {36, 504, 637},	// Nepomuk::Variant::toUrlList
    {36, 505, 639},	// Nepomuk::Variant::toVariantList
    {36, 516, 587},	// Nepomuk::Variant::type
    {36, 526, 614},	// Nepomuk::Variant::variant
    {36, 549, 642},	// Nepomuk::Variant::~Variant
    {52, 42, 645},	// QGlobalSpace::Q_COMPLEX_TYPE
    {52, 43, 649},	// QGlobalSpace::Q_DUMMY_TYPE
    {52, 44, 648},	// QGlobalSpace::Q_MOVABLE_TYPE
    {52, 45, 646},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {52, 46, 647},	// QGlobalSpace::Q_STATIC_TYPE
    {52, 47, 652},	// QGlobalSpace::QtCriticalMsg
    {52, 48, 650},	// QGlobalSpace::QtDebugMsg
    {52, 49, 653},	// QGlobalSpace::QtFatalMsg
    {52, 50, 654},	// QGlobalSpace::QtSystemMsg
    {52, 51, 651},	// QGlobalSpace::QtWarningMsg
    {52, 98, 657},	// QGlobalSpace::__codecvt_error
    {52, 99, 658},	// QGlobalSpace::__codecvt_noconv
    {52, 100, 655},	// QGlobalSpace::__codecvt_ok
    {52, 101, 656},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *nepomuk_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_nepomuk_Smoke() {
    init_qtgui_Smoke();
    if (initialized) return;
    nepomuk_Smoke = new Smoke(
        "nepomuk",
        __smokenepomuk::classes, 81,
        __smokenepomuk::methods, 709,
        __smokenepomuk::methodMaps, 547,
        __smokenepomuk::methodNames, 549,
        __smokenepomuk::types, 276,
        __smokenepomuk::inheritanceList,
        __smokenepomuk::argumentList,
        __smokenepomuk::ambiguousMethodList,
        __smokenepomuk::cast );
    initialized = true;
}

void delete_nepomuk_Smoke() { delete nepomuk_Smoke; }

}
