#include <okular_includes.h>

#include <smoke.h>
#include <okular_smoke.h>

namespace __smokeokular {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KActionCollection
      switch(to) {
        case 1: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 2:   //KCharsets
      switch(to) {
        case 2: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 3:   //KComponentData
      switch(to) {
        case 3: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 4:   //KConfigDialog
      switch(to) {
        case 4: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 5:   //KIcon
      switch(to) {
        case 5: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 6:   //KLocale
      switch(to) {
        case 6: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 7:   //KStandardDirs
      switch(to) {
        case 7: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 8:   //KUrl
      switch(to) {
        case 8: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 9:   //KXMLGUIClient
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)xptr;
        case 43: return (void*)(Okular::GuiInterface*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 10:   //Okular::Action
      switch(to) {
        case 10: return (void*)(Okular::Action*)xptr;
        case 58: return (void*)(Okular::SoundAction*)(Okular::Action*)xptr;
        case 19: return (void*)(Okular::BrowseAction*)(Okular::Action*)xptr;
        case 23: return (void*)(Okular::DocumentAction*)(Okular::Action*)xptr;
        case 29: return (void*)(Okular::ExecuteAction*)(Okular::Action*)xptr;
        case 56: return (void*)(Okular::ScriptAction*)(Okular::Action*)xptr;
        case 42: return (void*)(Okular::GotoAction*)(Okular::Action*)xptr;
        default: return xptr;
      }
    case 11:   //Okular::ActionPrivate
      switch(to) {
        case 11: return (void*)(Okular::ActionPrivate*)xptr;
        default: return xptr;
      }
    case 12:   //Okular::Annotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)xptr;
        case 63: return (void*)(Okular::TextAnnotation*)(Okular::Annotation*)xptr;
        case 44: return (void*)(Okular::HighlightAnnotation*)(Okular::Annotation*)xptr;
        case 62: return (void*)(Okular::StampAnnotation*)(Okular::Annotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)(Okular::Annotation*)xptr;
        case 59: return (void*)(Okular::SoundAnnotation*)(Okular::Annotation*)xptr;
        case 31: return (void*)(Okular::FileAttachmentAnnotation*)(Okular::Annotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)(Okular::Annotation*)xptr;
        case 41: return (void*)(Okular::GeomAnnotation*)(Okular::Annotation*)xptr;
        case 20: return (void*)(Okular::CaretAnnotation*)(Okular::Annotation*)xptr;
        default: return xptr;
      }
    case 13:   //Okular::Annotation::Style
      switch(to) {
        case 13: return (void*)(Okular::Annotation::Style*)xptr;
        default: return xptr;
      }
    case 14:   //Okular::Annotation::Window
      switch(to) {
        case 14: return (void*)(Okular::Annotation::Window*)xptr;
        default: return xptr;
      }
    case 15:   //Okular::AnnotationObjectRect
      switch(to) {
        case 49: return (void*)(Okular::ObjectRect*)(Okular::AnnotationObjectRect*)xptr;
        case 15: return (void*)(Okular::AnnotationObjectRect*)xptr;
        default: return xptr;
      }
    case 16:   //Okular::AnnotationPrivate
      switch(to) {
        case 16: return (void*)(Okular::AnnotationPrivate*)xptr;
        default: return xptr;
      }
    case 17:   //Okular::AnnotationUtils
      switch(to) {
        case 17: return (void*)(Okular::AnnotationUtils*)xptr;
        default: return xptr;
      }
    case 18:   //Okular::BookmarkManager
      switch(to) {
        case 18: return (void*)(Okular::BookmarkManager*)xptr;
        default: return xptr;
      }
    case 19:   //Okular::BrowseAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::BrowseAction*)xptr;
        case 19: return (void*)(Okular::BrowseAction*)xptr;
        default: return xptr;
      }
    case 20:   //Okular::CaretAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::CaretAnnotation*)xptr;
        case 20: return (void*)(Okular::CaretAnnotation*)xptr;
        default: return xptr;
      }
    case 21:   //Okular::ConfigInterface
      switch(to) {
        case 21: return (void*)(Okular::ConfigInterface*)xptr;
        default: return xptr;
      }
    case 22:   //Okular::Document
      switch(to) {
        case 88: return (void*)(QObject*)(Okular::Document*)xptr;
        case 22: return (void*)(Okular::Document*)xptr;
        default: return xptr;
      }
    case 23:   //Okular::DocumentAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::DocumentAction*)xptr;
        case 23: return (void*)(Okular::DocumentAction*)xptr;
        default: return xptr;
      }
    case 24:   //Okular::DocumentInfo
      switch(to) {
        case 78: return (void*)(QDomDocument*)(Okular::DocumentInfo*)xptr;
        case 80: return (void*)(QDomNode*)(Okular::DocumentInfo*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)xptr;
        default: return xptr;
      }
    case 25:   //Okular::DocumentObserver
      switch(to) {
        case 25: return (void*)(Okular::DocumentObserver*)xptr;
        default: return xptr;
      }
    case 26:   //Okular::DocumentSynopsis
      switch(to) {
        case 78: return (void*)(QDomDocument*)(Okular::DocumentSynopsis*)xptr;
        case 80: return (void*)(QDomNode*)(Okular::DocumentSynopsis*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)xptr;
        default: return xptr;
      }
    case 27:   //Okular::DocumentViewport
      switch(to) {
        case 27: return (void*)(Okular::DocumentViewport*)xptr;
        default: return xptr;
      }
    case 28:   //Okular::EmbeddedFile
      switch(to) {
        case 28: return (void*)(Okular::EmbeddedFile*)xptr;
        default: return xptr;
      }
    case 29:   //Okular::ExecuteAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::ExecuteAction*)xptr;
        case 29: return (void*)(Okular::ExecuteAction*)xptr;
        default: return xptr;
      }
    case 30:   //Okular::ExportFormat
      switch(to) {
        case 30: return (void*)(Okular::ExportFormat*)xptr;
        default: return xptr;
      }
    case 31:   //Okular::FileAttachmentAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::FileAttachmentAnnotation*)xptr;
        case 31: return (void*)(Okular::FileAttachmentAnnotation*)xptr;
        default: return xptr;
      }
    case 32:   //Okular::FilePrinter
      switch(to) {
        case 32: return (void*)(Okular::FilePrinter*)xptr;
        default: return xptr;
      }
    case 33:   //Okular::FontInfo
      switch(to) {
        case 33: return (void*)(Okular::FontInfo*)xptr;
        default: return xptr;
      }
    case 34:   //Okular::FormField
      switch(to) {
        case 34: return (void*)(Okular::FormField*)xptr;
        case 35: return (void*)(Okular::FormFieldButton*)(Okular::FormField*)xptr;
        case 38: return (void*)(Okular::FormFieldText*)(Okular::FormField*)xptr;
        case 36: return (void*)(Okular::FormFieldChoice*)(Okular::FormField*)xptr;
        default: return xptr;
      }
    case 35:   //Okular::FormFieldButton
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldButton*)xptr;
        case 35: return (void*)(Okular::FormFieldButton*)xptr;
        default: return xptr;
      }
    case 36:   //Okular::FormFieldChoice
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldChoice*)xptr;
        case 36: return (void*)(Okular::FormFieldChoice*)xptr;
        default: return xptr;
      }
    case 37:   //Okular::FormFieldPrivate
      switch(to) {
        case 37: return (void*)(Okular::FormFieldPrivate*)xptr;
        default: return xptr;
      }
    case 38:   //Okular::FormFieldText
      switch(to) {
        case 34: return (void*)(Okular::FormField*)(Okular::FormFieldText*)xptr;
        case 38: return (void*)(Okular::FormFieldText*)xptr;
        default: return xptr;
      }
    case 39:   //Okular::Generator
      switch(to) {
        case 88: return (void*)(QObject*)(Okular::Generator*)xptr;
        case 39: return (void*)(Okular::Generator*)xptr;
        case 65: return (void*)(Okular::TextDocumentGenerator*)(Okular::Generator*)xptr;
        default: return xptr;
      }
    case 40:   //Okular::GeneratorPrivate
      switch(to) {
        case 40: return (void*)(Okular::GeneratorPrivate*)xptr;
        default: return xptr;
      }
    case 41:   //Okular::GeomAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::GeomAnnotation*)xptr;
        case 41: return (void*)(Okular::GeomAnnotation*)xptr;
        default: return xptr;
      }
    case 42:   //Okular::GotoAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::GotoAction*)xptr;
        case 42: return (void*)(Okular::GotoAction*)xptr;
        default: return xptr;
      }
    case 43:   //Okular::GuiInterface
      switch(to) {
        case 9: return (void*)(KXMLGUIClient*)(Okular::GuiInterface*)xptr;
        case 43: return (void*)(Okular::GuiInterface*)xptr;
        default: return xptr;
      }
    case 44:   //Okular::HighlightAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::HighlightAnnotation*)xptr;
        case 44: return (void*)(Okular::HighlightAnnotation*)xptr;
        default: return xptr;
      }
    case 45:   //Okular::InkAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::InkAnnotation*)xptr;
        case 45: return (void*)(Okular::InkAnnotation*)xptr;
        default: return xptr;
      }
    case 46:   //Okular::LineAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::LineAnnotation*)xptr;
        case 46: return (void*)(Okular::LineAnnotation*)xptr;
        default: return xptr;
      }
    case 47:   //Okular::NormalizedPoint
      switch(to) {
        case 47: return (void*)(Okular::NormalizedPoint*)xptr;
        default: return xptr;
      }
    case 48:   //Okular::NormalizedRect
      switch(to) {
        case 48: return (void*)(Okular::NormalizedRect*)xptr;
        default: return xptr;
      }
    case 49:   //Okular::ObjectRect
      switch(to) {
        case 49: return (void*)(Okular::ObjectRect*)xptr;
        case 60: return (void*)(Okular::SourceRefObjectRect*)(Okular::ObjectRect*)xptr;
        case 15: return (void*)(Okular::AnnotationObjectRect*)(Okular::ObjectRect*)xptr;
        default: return xptr;
      }
    case 50:   //Okular::Page
      switch(to) {
        case 50: return (void*)(Okular::Page*)xptr;
        default: return xptr;
      }
    case 51:   //Okular::PageSize
      switch(to) {
        case 51: return (void*)(Okular::PageSize*)xptr;
        default: return xptr;
      }
    case 52:   //Okular::PageTransition
      switch(to) {
        case 52: return (void*)(Okular::PageTransition*)xptr;
        default: return xptr;
      }
    case 53:   //Okular::PixmapRequest
      switch(to) {
        case 53: return (void*)(Okular::PixmapRequest*)xptr;
        default: return xptr;
      }
    case 54:   //Okular::PrintInterface
      switch(to) {
        case 54: return (void*)(Okular::PrintInterface*)xptr;
        default: return xptr;
      }
    case 55:   //Okular::RegularAreaRect
      switch(to) {
        case 55: return (void*)(Okular::RegularAreaRect*)xptr;
        default: return xptr;
      }
    case 56:   //Okular::ScriptAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::ScriptAction*)xptr;
        case 56: return (void*)(Okular::ScriptAction*)xptr;
        default: return xptr;
      }
    case 57:   //Okular::Sound
      switch(to) {
        case 57: return (void*)(Okular::Sound*)xptr;
        default: return xptr;
      }
    case 58:   //Okular::SoundAction
      switch(to) {
        case 10: return (void*)(Okular::Action*)(Okular::SoundAction*)xptr;
        case 58: return (void*)(Okular::SoundAction*)xptr;
        default: return xptr;
      }
    case 59:   //Okular::SoundAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::SoundAnnotation*)xptr;
        case 59: return (void*)(Okular::SoundAnnotation*)xptr;
        default: return xptr;
      }
    case 60:   //Okular::SourceRefObjectRect
      switch(to) {
        case 49: return (void*)(Okular::ObjectRect*)(Okular::SourceRefObjectRect*)xptr;
        case 60: return (void*)(Okular::SourceRefObjectRect*)xptr;
        default: return xptr;
      }
    case 61:   //Okular::SourceReference
      switch(to) {
        case 61: return (void*)(Okular::SourceReference*)xptr;
        default: return xptr;
      }
    case 62:   //Okular::StampAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::StampAnnotation*)xptr;
        case 62: return (void*)(Okular::StampAnnotation*)xptr;
        default: return xptr;
      }
    case 63:   //Okular::TextAnnotation
      switch(to) {
        case 12: return (void*)(Okular::Annotation*)(Okular::TextAnnotation*)xptr;
        case 63: return (void*)(Okular::TextAnnotation*)xptr;
        default: return xptr;
      }
    case 64:   //Okular::TextDocumentConverter
      switch(to) {
        case 88: return (void*)(QObject*)(Okular::TextDocumentConverter*)xptr;
        case 64: return (void*)(Okular::TextDocumentConverter*)xptr;
        default: return xptr;
      }
    case 65:   //Okular::TextDocumentGenerator
      switch(to) {
        case 39: return (void*)(Okular::Generator*)(Okular::TextDocumentGenerator*)xptr;
        case 88: return (void*)(QObject*)(Okular::TextDocumentGenerator*)xptr;
        case 65: return (void*)(Okular::TextDocumentGenerator*)xptr;
        default: return xptr;
      }
    case 66:   //Okular::TextEntity
      switch(to) {
        case 66: return (void*)(Okular::TextEntity*)xptr;
        default: return xptr;
      }
    case 67:   //Okular::TextPage
      switch(to) {
        case 67: return (void*)(Okular::TextPage*)xptr;
        default: return xptr;
      }
    case 68:   //Okular::TextSelection
      switch(to) {
        case 68: return (void*)(Okular::TextSelection*)xptr;
        default: return xptr;
      }
    case 69:   //Okular::Utils
      switch(to) {
        case 69: return (void*)(Okular::Utils*)xptr;
        default: return xptr;
      }
    case 70:   //Okular::View
      switch(to) {
        case 70: return (void*)(Okular::View*)xptr;
        default: return xptr;
      }
    case 71:   //Okular::VisiblePageRect
      switch(to) {
        case 71: return (void*)(Okular::VisiblePageRect*)xptr;
        default: return xptr;
      }
    case 72:   //QAction
      switch(to) {
        case 72: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 73:   //QBool
      switch(to) {
        case 73: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 74:   //QByteArray
      switch(to) {
        case 74: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 75:   //QChildEvent
      switch(to) {
        case 75: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QColor
      switch(to) {
        case 76: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 77:   //QDateTime
      switch(to) {
        case 77: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 78:   //QDomDocument
      switch(to) {
        case 80: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 78: return (void*)(QDomDocument*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)(QDomDocument*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 79:   //QDomElement
      switch(to) {
        case 80: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 79: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 80:   //QDomNode
      switch(to) {
        case 80: return (void*)(QDomNode*)xptr;
        case 24: return (void*)(Okular::DocumentInfo*)(QDomNode*)xptr;
        case 26: return (void*)(Okular::DocumentSynopsis*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 81:   //QEvent
      switch(to) {
        case 81: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QFont
      switch(to) {
        case 82: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 84:   //QImage
      switch(to) {
        case 84: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 85:   //QMatrix
      switch(to) {
        case 85: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 86:   //QMetaObject
      switch(to) {
        case 86: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 87:   //QMutex
      switch(to) {
        case 87: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 88:   //QObject
      switch(to) {
        case 88: return (void*)(QObject*)xptr;
        case 39: return (void*)(Okular::Generator*)(QObject*)xptr;
        case 22: return (void*)(Okular::Document*)(QObject*)xptr;
        case 65: return (void*)(Okular::TextDocumentGenerator*)(QObject*)xptr;
        case 64: return (void*)(Okular::TextDocumentConverter*)(QObject*)xptr;
        default: return xptr;
      }
    case 89:   //QPainterPath
      switch(to) {
        case 89: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 90:   //QPixmap
      switch(to) {
        case 90: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 91:   //QPolygonF
      switch(to) {
        case 91: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 92:   //QPrinter
      switch(to) {
        case 92: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 93:   //QRect
      switch(to) {
        case 93: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 94:   //QRectF
      switch(to) {
        case 94: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 95:   //QRegExp
      switch(to) {
        case 95: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 96:   //QSize
      switch(to) {
        case 96: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 97:   //QSizeF
      switch(to) {
        case 97: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 98:   //QTextBlock
      switch(to) {
        case 98: return (void*)(QTextBlock*)xptr;
        default: return xptr;
      }
    case 99:   //QTextDocument
      switch(to) {
        case 99: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 100:   //QTimerEvent
      switch(to) {
        case 100: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 101:   //QVariant
      switch(to) {
        case 101: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 102:   //QWidget
      switch(to) {
        case 102: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    49, 0,	// 1: Okular::ObjectRect
    10, 0,	// 3: Okular::Action
    12, 0,	// 5: Okular::Annotation
    88, 0,	// 7: QObject
    78, 0,	// 9: QDomDocument
    34, 0,	// 11: Okular::FormField
    9, 0,	// 13: KXMLGUIClient
    0, 0,	// 15: Okular::RegularArea
    39, 0,	// 17: Okular::Generator
};

// These are the xenum functions for manipulating enum pointers
void xenum_Okular__Sound(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Document(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldText(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Generator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__PageTransition(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Annotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__HighlightAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__CaretAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FilePrinter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ExportFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentAction(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldChoice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextPage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__TextAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FontInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__FormFieldButton(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentViewport(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__ObjectRect(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Page(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__LineAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__GeomAnnotation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Okular__DocumentInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Okular__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Annotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__AnnotationUtils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__BrowseAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__CaretAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ConfigInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentSynopsis(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__DocumentViewport(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__EmbeddedFile(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExecuteAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ExportFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FileAttachmentAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FilePrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FontInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormField(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldChoice(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__FormFieldText(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Generator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GeomAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GotoAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__GuiInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__HighlightAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__InkAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__LineAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__NormalizedRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Page(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageSize(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PageTransition(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PixmapRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__PrintInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__RegularAreaRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__ScriptAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Sound(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAction(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SoundAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceRefObjectRect(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__SourceReference(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__StampAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextAnnotation(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentConverter(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextDocumentGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__TextPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__Utils(Smoke::Index, void*, Smoke::Stack);
void xcall_Okular__VisiblePageRect(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//1
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//2
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//3
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//4
    { "KIcon", true, 0, 0, 0, 0, 0 },	//5
    { "KLocale", true, 0, 0, 0, 0, 0 },	//6
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//7
    { "KUrl", true, 0, 0, 0, 0, 0 },	//8
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//9
    { "Okular::Action", false, 0, xcall_Okular__Action, xenum_Okular__Action, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Action) },	//10
    { "Okular::ActionPrivate", true, 0, 0, 0, 0, 0 },	//11
    { "Okular::Annotation", false, 0, xcall_Okular__Annotation, xenum_Okular__Annotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Annotation) },	//12
    { "Okular::Annotation::Style", true, 0, 0, 0, 0, 0 },	//13
    { "Okular::Annotation::Window", true, 0, 0, 0, 0, 0 },	//14
    { "Okular::AnnotationObjectRect", false, 1, xcall_Okular__AnnotationObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::AnnotationObjectRect) },	//15
    { "Okular::AnnotationPrivate", true, 0, 0, 0, 0, 0 },	//16
    { "Okular::AnnotationUtils", false, 0, xcall_Okular__AnnotationUtils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::AnnotationUtils) },	//17
    { "Okular::BookmarkManager", true, 0, 0, 0, 0, 0 },	//18
    { "Okular::BrowseAction", false, 3, xcall_Okular__BrowseAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::BrowseAction) },	//19
    { "Okular::CaretAnnotation", false, 5, xcall_Okular__CaretAnnotation, xenum_Okular__CaretAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::CaretAnnotation) },	//20
    { "Okular::ConfigInterface", false, 0, xcall_Okular__ConfigInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ConfigInterface) },	//21
    { "Okular::Document", false, 7, xcall_Okular__Document, xenum_Okular__Document, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Document) },	//22
    { "Okular::DocumentAction", false, 3, xcall_Okular__DocumentAction, xenum_Okular__DocumentAction, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::DocumentAction) },	//23
    { "Okular::DocumentInfo", false, 9, xcall_Okular__DocumentInfo, xenum_Okular__DocumentInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentInfo) },	//24
    { "Okular::DocumentObserver", true, 0, 0, 0, 0, 0 },	//25
    { "Okular::DocumentSynopsis", false, 9, xcall_Okular__DocumentSynopsis, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentSynopsis) },	//26
    { "Okular::DocumentViewport", false, 0, xcall_Okular__DocumentViewport, xenum_Okular__DocumentViewport, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::DocumentViewport) },	//27
    { "Okular::EmbeddedFile", false, 0, xcall_Okular__EmbeddedFile, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::EmbeddedFile) },	//28
    { "Okular::ExecuteAction", false, 3, xcall_Okular__ExecuteAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ExecuteAction) },	//29
    { "Okular::ExportFormat", false, 0, xcall_Okular__ExportFormat, xenum_Okular__ExportFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::ExportFormat) },	//30
    { "Okular::FileAttachmentAnnotation", false, 5, xcall_Okular__FileAttachmentAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FileAttachmentAnnotation) },	//31
    { "Okular::FilePrinter", false, 0, xcall_Okular__FilePrinter, xenum_Okular__FilePrinter, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FilePrinter) },	//32
    { "Okular::FontInfo", false, 0, xcall_Okular__FontInfo, xenum_Okular__FontInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::FontInfo) },	//33
    { "Okular::FormField", false, 0, xcall_Okular__FormField, xenum_Okular__FormField, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormField) },	//34
    { "Okular::FormFieldButton", false, 11, xcall_Okular__FormFieldButton, xenum_Okular__FormFieldButton, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldButton) },	//35
    { "Okular::FormFieldChoice", false, 11, xcall_Okular__FormFieldChoice, xenum_Okular__FormFieldChoice, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldChoice) },	//36
    { "Okular::FormFieldPrivate", true, 0, 0, 0, 0, 0 },	//37
    { "Okular::FormFieldText", false, 11, xcall_Okular__FormFieldText, xenum_Okular__FormFieldText, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::FormFieldText) },	//38
    { "Okular::Generator", false, 7, xcall_Okular__Generator, xenum_Okular__Generator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::Generator) },	//39
    { "Okular::GeneratorPrivate", true, 0, 0, 0, 0, 0 },	//40
    { "Okular::GeomAnnotation", false, 5, xcall_Okular__GeomAnnotation, xenum_Okular__GeomAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GeomAnnotation) },	//41
    { "Okular::GotoAction", false, 3, xcall_Okular__GotoAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::GotoAction) },	//42
    { "Okular::GuiInterface", false, 13, xcall_Okular__GuiInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::GuiInterface) },	//43
    { "Okular::HighlightAnnotation", false, 5, xcall_Okular__HighlightAnnotation, xenum_Okular__HighlightAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::HighlightAnnotation) },	//44
    { "Okular::InkAnnotation", false, 5, xcall_Okular__InkAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::InkAnnotation) },	//45
    { "Okular::LineAnnotation", false, 5, xcall_Okular__LineAnnotation, xenum_Okular__LineAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::LineAnnotation) },	//46
    { "Okular::NormalizedPoint", false, 0, xcall_Okular__NormalizedPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedPoint) },	//47
    { "Okular::NormalizedRect", false, 0, xcall_Okular__NormalizedRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::NormalizedRect) },	//48
    { "Okular::ObjectRect", false, 0, xcall_Okular__ObjectRect, xenum_Okular__ObjectRect, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::ObjectRect) },	//49
    { "Okular::Page", false, 0, xcall_Okular__Page, xenum_Okular__Page, Smoke::cf_constructor, sizeof(Okular::Page) },	//50
    { "Okular::PageSize", false, 0, xcall_Okular__PageSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageSize) },	//51
    { "Okular::PageTransition", false, 0, xcall_Okular__PageTransition, xenum_Okular__PageTransition, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::PageTransition) },	//52
    { "Okular::PixmapRequest", false, 0, xcall_Okular__PixmapRequest, 0, Smoke::cf_constructor, sizeof(Okular::PixmapRequest) },	//53
    { "Okular::PrintInterface", false, 0, xcall_Okular__PrintInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::PrintInterface) },	//54
    { "Okular::RegularAreaRect", false, 15, xcall_Okular__RegularAreaRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::RegularAreaRect) },	//55
    { "Okular::ScriptAction", false, 3, xcall_Okular__ScriptAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::ScriptAction) },	//56
    { "Okular::Sound", false, 0, xcall_Okular__Sound, xenum_Okular__Sound, Smoke::cf_constructor, sizeof(Okular::Sound) },	//57
    { "Okular::SoundAction", false, 3, xcall_Okular__SoundAction, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAction) },	//58
    { "Okular::SoundAnnotation", false, 5, xcall_Okular__SoundAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::SoundAnnotation) },	//59
    { "Okular::SourceRefObjectRect", false, 1, xcall_Okular__SourceRefObjectRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Okular::SourceRefObjectRect) },	//60
    { "Okular::SourceReference", false, 0, xcall_Okular__SourceReference, 0, Smoke::cf_constructor, sizeof(Okular::SourceReference) },	//61
    { "Okular::StampAnnotation", false, 5, xcall_Okular__StampAnnotation, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::StampAnnotation) },	//62
    { "Okular::TextAnnotation", false, 5, xcall_Okular__TextAnnotation, xenum_Okular__TextAnnotation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextAnnotation) },	//63
    { "Okular::TextDocumentConverter", false, 7, xcall_Okular__TextDocumentConverter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentConverter) },	//64
    { "Okular::TextDocumentGenerator", false, 17, xcall_Okular__TextDocumentGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Okular::TextDocumentGenerator) },	//65
    { "Okular::TextEntity", false, 0, xcall_Okular__TextEntity, 0, Smoke::cf_constructor, sizeof(Okular::TextEntity) },	//66
    { "Okular::TextPage", false, 0, xcall_Okular__TextPage, xenum_Okular__TextPage, Smoke::cf_constructor, sizeof(Okular::TextPage) },	//67
    { "Okular::TextSelection", true, 0, 0, 0, 0, 0 },	//68
    { "Okular::Utils", false, 0, xcall_Okular__Utils, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::Utils) },	//69
    { "Okular::View", true, 0, 0, 0, 0, 0 },	//70
    { "Okular::VisiblePageRect", false, 0, xcall_Okular__VisiblePageRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Okular::VisiblePageRect) },	//71
    { "QAction", true, 0, 0, 0, 0, 0 },	//72
    { "QBool", true, 0, 0, 0, 0, 0 },	//73
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//74
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QColor", true, 0, 0, 0, 0, 0 },	//76
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//77
    { "QDomDocument", true, 0, 0, 0, 0, 0 },	//78
    { "QDomElement", true, 0, 0, 0, 0, 0 },	//79
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//80
    { "QEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QFont", true, 0, 0, 0, 0, 0 },	//82
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//83
    { "QImage", true, 0, 0, 0, 0, 0 },	//84
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//85
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//86
    { "QMutex", true, 0, 0, 0, 0, 0 },	//87
    { "QObject", true, 0, 0, 0, 0, 0 },	//88
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//89
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//90
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//91
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//92
    { "QRect", true, 0, 0, 0, 0, 0 },	//93
    { "QRectF", true, 0, 0, 0, 0, 0 },	//94
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//95
    { "QSize", true, 0, 0, 0, 0, 0 },	//96
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//97
    { "QTextBlock", true, 0, 0, 0, 0, 0 },	//98
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//99
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//100
    { "QVariant", true, 0, 0, 0, 0, 0 },	//101
    { "QWidget", true, 0, 0, 0, 0, 0 },	//102
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KActionCollection*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KCharsets*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KComponentData", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "KConfigDialog*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KIcon", 5, Smoke::t_class|Smoke::tf_stack },	//6
    { "KLocale*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//9
    { "KStandardDirs*", 7, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KSycocaFactoryId", 83, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KSycocaType", 83, Smoke::t_enum|Smoke::tf_stack },	//12
    { "KUrl", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "KXMLGUIClient*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KXMLGUIClient::ReverseStateChange", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "Okular::Action*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Okular::Action::ActionType", 10, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Okular::ActionPrivate&", 11, Smoke::t_class|Smoke::tf_ref },	//18
    { "Okular::ActionPrivate*", 11, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Okular::Annotation*", 12, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Okular::Annotation::Flag", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Okular::Annotation::LineEffect", 12, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Okular::Annotation::LineStyle", 12, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Okular::Annotation::RevisionScope", 12, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Okular::Annotation::RevisionType", 12, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Okular::Annotation::Style&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "Okular::Annotation::SubType", 12, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Okular::Annotation::Window&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "Okular::AnnotationObjectRect*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "Okular::AnnotationPrivate&", 16, Smoke::t_class|Smoke::tf_ref },	//30
    { "Okular::AnnotationPrivate*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Okular::AnnotationUtils*", 17, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Okular::BookmarkManager*", 18, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Okular::BrowseAction*", 19, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Okular::CaretAnnotation*", 20, Smoke::t_class|Smoke::tf_ptr },	//35
    { "Okular::CaretAnnotation::CaretSymbol", 20, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Okular::ConfigInterface*", 21, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Okular::Document*", 22, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Okular::Document::PixmapRequestFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Okular::Document::PrintingType", 22, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Okular::Document::SearchStatus", 22, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Okular::Document::SearchType", 22, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Okular::DocumentAction*", 23, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Okular::DocumentAction::DocumentActionType", 23, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Okular::DocumentInfo*", 24, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Okular::DocumentInfo::Key", 24, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Okular::DocumentObserver*", 25, Smoke::t_class|Smoke::tf_ptr },	//47
    { "Okular::DocumentSynopsis*", 26, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Okular::DocumentViewport", 27, Smoke::t_class|Smoke::tf_stack },	//49
    { "Okular::DocumentViewport*", 27, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Okular::DocumentViewport::Position", 27, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Okular::EmbeddedFile*", 28, Smoke::t_class|Smoke::tf_ptr },	//52
    { "Okular::ExecuteAction*", 29, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Okular::ExportFormat", 30, Smoke::t_class|Smoke::tf_stack },	//54
    { "Okular::ExportFormat&", 30, Smoke::t_class|Smoke::tf_ref },	//55
    { "Okular::ExportFormat*", 30, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Okular::ExportFormat::StandardExportFormat", 30, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Okular::FileAttachmentAnnotation*", 31, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Okular::FilePrinter*", 32, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Okular::FilePrinter::FileDeletePolicy", 32, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Okular::FilePrinter::PageSelectPolicy", 32, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Okular::FontInfo&", 33, Smoke::t_class|Smoke::tf_ref },	//62
    { "Okular::FontInfo*", 33, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Okular::FontInfo::EmbedType", 33, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Okular::FontInfo::FontType", 33, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Okular::FormField*", 34, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Okular::FormField::FieldType", 34, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Okular::FormFieldButton*", 35, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Okular::FormFieldButton::ButtonType", 35, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Okular::FormFieldChoice*", 36, Smoke::t_class|Smoke::tf_ptr },	//70
    { "Okular::FormFieldChoice::ChoiceType", 36, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Okular::FormFieldPrivate&", 37, Smoke::t_class|Smoke::tf_ref },	//72
    { "Okular::FormFieldPrivate*", 37, Smoke::t_class|Smoke::tf_ptr },	//73
    { "Okular::FormFieldText*", 38, Smoke::t_class|Smoke::tf_ptr },	//74
    { "Okular::FormFieldText::TextType", 38, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Okular::GenerationType", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Okular::Generator*", 39, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Okular::Generator::GeneratorFeature", 39, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Okular::Generator::PageSizeMetric", 39, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Okular::Generator::PrintError", 39, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Okular::GeneratorPrivate&", 40, Smoke::t_class|Smoke::tf_ref },	//81
    { "Okular::GeneratorPrivate*", 40, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Okular::GeomAnnotation*", 41, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Okular::GeomAnnotation::GeomType", 41, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Okular::GotoAction*", 42, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Okular::GuiInterface*", 43, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Okular::HighlightAnnotation*", 44, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Okular::HighlightAnnotation::HighlightType", 44, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Okular::InkAnnotation*", 45, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Okular::LineAnnotation*", 46, Smoke::t_class|Smoke::tf_ptr },	//90
    { "Okular::LineAnnotation::LineIntent", 46, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Okular::LineAnnotation::TermStyle", 46, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Okular::MergeSide", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Okular::NormalizedPoint", 47, Smoke::t_class|Smoke::tf_stack },	//94
    { "Okular::NormalizedPoint&", 47, Smoke::t_class|Smoke::tf_ref },	//95
    { "Okular::NormalizedPoint*", 47, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Okular::NormalizedRect", 48, Smoke::t_class|Smoke::tf_stack },	//97
    { "Okular::NormalizedRect&", 48, Smoke::t_class|Smoke::tf_ref },	//98
    { "Okular::NormalizedRect*", 48, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Okular::ObjectRect*", 49, Smoke::t_class|Smoke::tf_ptr },	//100
    { "Okular::ObjectRect::ObjectType", 49, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Okular::Page*", 50, Smoke::t_class|Smoke::tf_ptr },	//102
    { "Okular::Page::PageAction", 50, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Okular::PageSize&", 51, Smoke::t_class|Smoke::tf_ref },	//104
    { "Okular::PageSize*", 51, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Okular::PageTransition&", 52, Smoke::t_class|Smoke::tf_ref },	//106
    { "Okular::PageTransition*", 52, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Okular::PageTransition::Alignment", 52, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Okular::PageTransition::Direction", 52, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Okular::PageTransition::Type", 52, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Okular::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Okular::PixmapRequest*", 53, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Okular::PrintInterface*", 54, Smoke::t_class|Smoke::tf_ptr },	//113
    { "Okular::RegularAreaRect&", 55, Smoke::t_class|Smoke::tf_ref },	//114
    { "Okular::RegularAreaRect*", 55, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Okular::Rotation", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Okular::ScriptAction*", 56, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Okular::ScriptType", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Okular::SearchDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Okular::Sound*", 57, Smoke::t_class|Smoke::tf_ptr },	//120
    { "Okular::Sound::SoundEncoding", 57, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Okular::Sound::SoundType", 57, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Okular::SoundAction*", 58, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Okular::SoundAnnotation*", 59, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Okular::SourceRefObjectRect*", 60, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Okular::SourceReference*", 61, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Okular::StampAnnotation*", 62, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Okular::TextAnnotation*", 63, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Okular::TextAnnotation::InplaceIntent", 63, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Okular::TextAnnotation::TextType", 63, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Okular::TextDocumentConverter*", 64, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Okular::TextDocumentGenerator*", 65, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Okular::TextEntity*", 66, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Okular::TextPage*", 67, Smoke::t_class|Smoke::tf_ptr },	//134
    { "Okular::TextPage::TextAreaInclusionBehaviour", 67, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Okular::TextSelection*", 68, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Okular::Utils*", 69, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Okular::View*", 70, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Okular::VisiblePageRect*", 71, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QAction*", 72, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QBool", 73, Smoke::t_class|Smoke::tf_stack },	//141
    { "QByteArray", 74, Smoke::t_class|Smoke::tf_stack },	//142
    { "QByteArray*", 74, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QChildEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QColor", 76, Smoke::t_class|Smoke::tf_stack },	//145
    { "QDateTime", 77, Smoke::t_class|Smoke::tf_stack },	//146
    { "QDomDocument", 78, Smoke::t_class|Smoke::tf_stack },	//147
    { "QDomDocument&", 78, Smoke::t_class|Smoke::tf_ref },	//148
    { "QDomElement", 79, Smoke::t_class|Smoke::tf_stack },	//149
    { "QDomElement&", 79, Smoke::t_class|Smoke::tf_ref },	//150
    { "QDomNode&", 80, Smoke::t_class|Smoke::tf_ref },	//151
    { "QEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QFlags<Okular::Document::PixmapRequestFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//153
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//154
    { "QFont", 82, Smoke::t_class|Smoke::tf_stack },	//155
    { "QImage", 84, Smoke::t_class|Smoke::tf_stack },	//156
    { "QLinkedList<Okular::Annotation*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//157
    { "QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//158
    { "QLinkedList<Okular::FormField*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//159
    { "QLinkedList<Okular::NormalizedPoint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//160
    { "QList<Okular::ExportFormat>", 0, Smoke::t_voidp|Smoke::tf_stack },	//161
    { "QList<Okular::FontInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//162
    { "QList<Okular::HighlightAnnotation::Quad>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//163
    { "QList<Okular::PageSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//164
    { "QList<QLinkedList<Okular::NormalizedPoint> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//165
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//166
    { "QMetaObject::Call", 86, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QMutex*", 87, Smoke::t_class|Smoke::tf_ptr },	//168
    { "QObject*", 88, Smoke::t_class|Smoke::tf_ptr },	//169
    { "QPainterPath&", 89, Smoke::t_class|Smoke::tf_ref },	//170
    { "QPixmap*", 90, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QPrinter&", 92, Smoke::t_class|Smoke::tf_ref },	//172
    { "QRect", 93, Smoke::t_class|Smoke::tf_stack },	//173
    { "QRegExp&", 95, Smoke::t_class|Smoke::tf_ref },	//174
    { "QSize", 96, Smoke::t_class|Smoke::tf_stack },	//175
    { "QSizeF", 97, Smoke::t_class|Smoke::tf_stack },	//176
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//178
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//179
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//180
    { "QTextDocument*", 99, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QTimerEvent*", 100, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QVariant", 101, Smoke::t_class|Smoke::tf_stack },	//183
    { "QVector<Okular::Page*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//184
    { "QWidget*", 102, Smoke::t_class|Smoke::tf_ptr },	//185
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QtMsgType", 83, Smoke::t_enum|Smoke::tf_stack },	//257
    { "__codecvt_result", 83, Smoke::t_enum|Smoke::tf_stack },	//258
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//259
    { "const KComponentData&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const KComponentData*", 3, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//261
    { "const KIcon&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const KSharedPtr<KMimeType>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const KUrl&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const Okular::Action*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//265
    { "const Okular::ActionPrivate*", 11, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//266
    { "const Okular::Annotation*", 12, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//267
    { "const Okular::Annotation::Style&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const Okular::Annotation::Window&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const Okular::AnnotationObjectRect&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const Okular::AnnotationPrivate*", 16, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const Okular::AnnotationUtils&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const Okular::ConfigInterface&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const Okular::Document*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//274
    { "const Okular::DocumentInfo&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const Okular::DocumentInfo*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//276
    { "const Okular::DocumentSynopsis&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const Okular::DocumentSynopsis*", 26, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//278
    { "const Okular::DocumentViewport&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const Okular::EmbeddedFile&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const Okular::ExportFormat&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const Okular::FilePrinter&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const Okular::FontInfo&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const Okular::FormFieldPrivate*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//284
    { "const Okular::GeneratorPrivate*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//285
    { "const Okular::GuiInterface&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const Okular::NormalizedPoint&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const Okular::NormalizedRect&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const Okular::NormalizedRect*", 48, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const Okular::ObjectRect&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const Okular::ObjectRect*", 49, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//291
    { "const Okular::Page*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//292
    { "const Okular::PageSize&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const Okular::PageTransition&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const Okular::PageTransition*", 52, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//295
    { "const Okular::PrintInterface&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const Okular::RegularAreaRect&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const Okular::RegularAreaRect*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//298
    { "const Okular::SourceRefObjectRect&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const Okular::SourceReference*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//300
    { "const Okular::Utils&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const Okular::VisiblePageRect&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QByteArray&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QColor&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QDateTime&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QDomDocument&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QDomElement&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QDomNode&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QFont&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QImage*", 84, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//310
    { "const QLinkedList<Okular::Annotation::Revision>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QLinkedList<Okular::FormField*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QLinkedList<Okular::NormalizedPoint>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//313
    { "const QLinkedList<Okular::ObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QLinkedList<Okular::PixmapRequest*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//315
    { "const QLinkedList<Okular::SourceRefObjectRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QList<Okular::Annotation*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QList<Okular::EmbeddedFile*>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//318
    { "const QList<Okular::TextEntity*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QList<QLinkedList<Okular::NormalizedPoint> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QMatrix&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QMetaObject&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QMetaObject*", 86, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//325
    { "const QObject*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//326
    { "const QPainterPath&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QPolygonF&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QRect&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QRectF&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QRegExp&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//332
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//334
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//336
    { "const QTextBlock&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QVariant&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QVector<Okular::VisiblePageRect*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//340
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//341
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//342
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//343
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//344
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//345
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//346
    { "void(*)(const Okular::Annotation*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//347
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//348
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//349
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//350
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    307, 0,	//1  const QDomElement&
    260, 0,	//3  const KComponentData&
    333, 259, 259, 0,	//5  const QString&, bool, bool
    333, 0,	//9  const QString&
    333, 259, 0,	//11  const QString&, bool
    306, 259, 0,	//14  const QDomDocument&, bool
    333, 15, 0,	//17  const QString&, KXMLGUIClient::ReverseStateChange
    344, 348, 0,	//20  int, void*
    18, 0,	//23  Okular::ActionPrivate&
    305, 0,	//25  const QDateTime&
    344, 0,	//27  int
    288, 0,	//29  const Okular::NormalizedRect&
    287, 0,	//31  const Okular::NormalizedPoint&
    338, 0,	//33  const QVariant&
    347, 0,	//35  void(*)(const Okular::Annotation*)
    151, 148, 0,	//37  QDomNode&, QDomDocument&
    30, 0,	//40  Okular::AnnotationPrivate&
    30, 308, 0,	//42  Okular::AnnotationPrivate&, const QDomNode&
    20, 0,	//45  Okular::Annotation*
    342, 342, 0,	//47  double, double
    342, 342, 342, 342, 0,	//50  double, double, double, double
    323, 0,	//55  const QMatrix&
    270, 0,	//57  const Okular::AnnotationObjectRect&
    267, 150, 148, 0,	//59  const Okular::Annotation*, QDomElement&, QDomDocument&
    308, 333, 0,	//63  const QDomNode&, const QString&
    267, 342, 342, 0,	//66  const Okular::Annotation*, double, double
    272, 0,	//70  const Okular::AnnotationUtils&
    308, 0,	//72  const QDomNode&
    36, 0,	//74  Okular::CaretAnnotation::CaretSymbol
    4, 0,	//76  KConfigDialog*
    273, 0,	//78  const Okular::ConfigInterface&
    340, 0,	//80  const char*
    340, 340, 0,	//82  const char*, const char*
    340, 340, 344, 0,	//85  const char*, const char*, int
    167, 344, 349, 0,	//89  QMetaObject::Call, int, void**
    185, 0,	//93  QWidget*
    333, 264, 263, 0,	//95  const QString&, const KUrl&, const KSharedPtr<KMimeType>&
    47, 0,	//99  Okular::DocumentObserver*
    339, 344, 0,	//101  const QVector<Okular::VisiblePageRect*>&, int
    111, 0,	//104  Okular::Permission
    333, 281, 0,	//106  const QString&, const Okular::ExportFormat&
    333, 338, 0,	//109  const QString&, const QVariant&
    344, 344, 259, 0,	//112  int, int, bool
    279, 344, 259, 0,	//116  const Okular::DocumentViewport&, int, bool
    279, 0,	//120  const Okular::DocumentViewport&
    344, 344, 0,	//122  int, int
    315, 0,	//125  const QLinkedList<Okular::PixmapRequest*>&
    315, 153, 0,	//127  const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>
    346, 0,	//130  unsigned int
    344, 20, 0,	//132  int, Okular::Annotation*
    344, 317, 0,	//135  int, const QList<Okular::Annotation*>&
    344, 115, 304, 0,	//138  int, Okular::RegularAreaRect*, const QColor&
    344, 333, 259, 195, 42, 259, 304, 259, 0,	//142  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool
    344, 42, 0,	//151  int, Okular::Document::SearchType
    265, 0,	//154  const Okular::Action*
    300, 0,	//156  const Okular::SourceReference*
    172, 0,	//158  QPrinter&
    333, 178, 0,	//160  const QString&, QString*
    138, 0,	//163  Okular::View*
    283, 0,	//165  const Okular::FontInfo&
    333, 264, 0,	//167  const QString&, const KUrl&
    344, 342, 342, 0,	//170  int, double, double
    293, 0,	//174  const Okular::PageSize&
    264, 0,	//176  const KUrl&
    333, 344, 0,	//178  const QString&, int
    344, 41, 0,	//181  int, Okular::Document::SearchStatus
    339, 0,	//184  const QVector<Okular::VisiblePageRect*>&
    279, 344, 0,	//186  const Okular::DocumentViewport&, int
    344, 333, 259, 195, 42, 259, 304, 0,	//189  int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&
    44, 0,	//197  Okular::DocumentAction::DocumentActionType
    333, 333, 333, 0,	//199  const QString&, const QString&, const QString&
    46, 333, 0,	//203  Okular::DocumentInfo::Key, const QString&
    46, 0,	//206  Okular::DocumentInfo::Key
    275, 0,	//208  const Okular::DocumentInfo&
    333, 333, 0,	//210  const QString&, const QString&
    306, 0,	//213  const QDomDocument&
    277, 0,	//215  const Okular::DocumentSynopsis&
    280, 0,	//217  const Okular::EmbeddedFile&
    333, 263, 0,	//219  const QString&, const KSharedPtr<KMimeType>&
    262, 333, 263, 0,	//222  const KIcon&, const QString&, const KSharedPtr<KMimeType>&
    281, 0,	//226  const Okular::ExportFormat&
    57, 0,	//228  Okular::ExportFormat::StandardExportFormat
    52, 0,	//230  Okular::EmbeddedFile*
    172, 332, 60, 61, 333, 0,	//232  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    172, 335, 60, 0,	//238  QPrinter&, const QStringList&, Okular::FilePrinter::FileDeletePolicy
    172, 344, 344, 322, 0,	//242  QPrinter&, int, int, const QList<int>&
    172, 344, 322, 0,	//247  QPrinter&, int, const QList<int>&
    322, 0,	//251  const QList<int>&
    172, 334, 60, 61, 333, 0,	//253  QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&
    172, 60, 61, 259, 333, 333, 0,	//259  QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&
    172, 333, 0,	//266  QPrinter&, const QString&
    172, 60, 333, 0,	//269  QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&
    172, 61, 333, 259, 333, 0,	//273  QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&
    282, 0,	//279  const Okular::FilePrinter&
    172, 332, 0,	//281  QPrinter&, const QString
    172, 332, 60, 0,	//284  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy
    172, 332, 60, 61, 0,	//288  QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy
    172, 335, 0,	//293  QPrinter&, const QStringList&
    65, 0,	//296  Okular::FontInfo::FontType
    64, 0,	//298  Okular::FontInfo::EmbedType
    259, 0,	//300  bool
    72, 0,	//302  Okular::FormFieldPrivate&
    16, 0,	//304  Okular::Action*
    169, 321, 0,	//306  QObject*, const QList<QVariant>&
    333, 184, 0,	//309  const QString&, QVector<Okular::Page*>&
    303, 184, 0,	//312  const QByteArray&, QVector<Okular::Page*>&
    112, 0,	//315  Okular::PixmapRequest*
    102, 0,	//317  Okular::Page*
    116, 116, 0,	//319  Okular::Rotation, Okular::Rotation
    293, 293, 0,	//322  const Okular::PageSize&, const Okular::PageSize&
    78, 0,	//325  Okular::Generator::GeneratorFeature
    102, 134, 0,	//327  Okular::Page*, Okular::TextPage*
    78, 259, 0,	//330  Okular::Generator::GeneratorFeature, bool
    344, 288, 0,	//333  int, const Okular::NormalizedRect&
    283, 143, 0,	//336  const Okular::FontInfo&, QByteArray*
    81, 169, 321, 0,	//339  Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&
    84, 0,	//343  Okular::GeomAnnotation::GeomType
    304, 0,	//345  const QColor&
    333, 279, 0,	//347  const QString&, const Okular::DocumentViewport&
    286, 0,	//350  const Okular::GuiInterface&
    88, 0,	//352  Okular::HighlightAnnotation::HighlightType
    320, 0,	//354  const QList<QLinkedList<Okular::NormalizedPoint> >&
    313, 0,	//356  const QLinkedList<Okular::NormalizedPoint>&
    92, 0,	//358  Okular::LineAnnotation::TermStyle
    342, 0,	//360  double
    91, 0,	//362  Okular::LineAnnotation::LineIntent
    344, 344, 344, 344, 0,	//364  int, int, int, int
    329, 342, 342, 0,	//369  const QRect&, double, double
    330, 0,	//373  const QRectF&
    289, 0,	//375  const Okular::NormalizedRect*
    342, 342, 342, 342, 259, 101, 348, 0,	//377  double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*
    288, 259, 101, 348, 0,	//385  const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*
    328, 101, 348, 0,	//390  const QPolygonF&, Okular::ObjectRect::ObjectType, void*
    290, 0,	//394  const Okular::ObjectRect&
    101, 0,	//396  Okular::ObjectRect::ObjectType
    348, 0,	//398  void*
    327, 0,	//400  const QPainterPath&
    346, 342, 342, 116, 0,	//402  unsigned int, double, double, Okular::Rotation
    344, 344, 344, 0,	//407  int, int, int
    344, 333, 119, 195, 298, 0,	//411  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*
    298, 0,	//417  const Okular::RegularAreaRect*
    298, 135, 0,	//419  const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour
    136, 0,	//422  Okular::TextSelection*
    101, 342, 342, 342, 342, 0,	//424  Okular::ObjectRect::ObjectType, double, double, double, double
    101, 342, 342, 342, 342, 343, 0,	//430  Okular::ObjectRect::ObjectType, double, double, double, double, double*
    103, 0,	//437  Okular::Page::PageAction
    344, 171, 0,	//439  int, QPixmap*
    134, 0,	//442  Okular::TextPage*
    314, 0,	//444  const QLinkedList<Okular::ObjectRect*>&
    316, 0,	//446  const QLinkedList<Okular::SourceRefObjectRect*>&
    107, 0,	//448  Okular::PageTransition*
    103, 16, 0,	//450  Okular::Page::PageAction, Okular::Action*
    312, 0,	//453  const QLinkedList<Okular::FormField*>&
    344, 333, 119, 195, 0,	//455  int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity
    342, 342, 333, 0,	//460  double, double, const QString&
    110, 0,	//464  Okular::PageTransition::Type
    294, 0,	//466  const Okular::PageTransition&
    108, 0,	//468  Okular::PageTransition::Alignment
    109, 0,	//470  Okular::PageTransition::Direction
    344, 344, 344, 344, 344, 259, 0,	//472  int, int, int, int, int, bool
    296, 0,	//479  const Okular::PrintInterface&
    297, 0,	//481  const Okular::RegularAreaRect&
    118, 333, 0,	//483  Okular::ScriptType, const QString&
    303, 0,	//486  const QByteArray&
    121, 0,	//488  Okular::Sound::SoundEncoding
    342, 259, 259, 259, 120, 0,	//490  double, bool, bool, bool, Okular::Sound*
    120, 0,	//496  Okular::Sound*
    287, 348, 0,	//498  const Okular::NormalizedPoint&, void*
    299, 0,	//501  const Okular::SourceRefObjectRect&
    333, 344, 344, 0,	//503  const QString&, int, int
    130, 0,	//507  Okular::TextAnnotation::TextType
    309, 0,	//509  const QFont&
    287, 344, 0,	//511  const Okular::NormalizedPoint&, int
    129, 0,	//514  Okular::TextAnnotation::InplaceIntent
    16, 344, 344, 0,	//516  Okular::Action*, int, int
    20, 344, 344, 0,	//520  Okular::Annotation*, int, int
    344, 333, 337, 0,	//524  int, const QString&, const QTextBlock&
    181, 337, 0,	//528  QTextDocument*, const QTextBlock&
    131, 169, 321, 0,	//531  Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&
    333, 99, 0,	//535  const QString&, Okular::NormalizedRect*
    319, 0,	//538  const QList<Okular::TextEntity*>&
    329, 344, 344, 344, 0,	//540  const QRect&, int, int, int
    310, 0,	//545  const QImage*
    301, 0,	//547  const Okular::Utils&
    302, 0,	//549  const Okular::VisiblePageRect&
    152, 0,	//551  QEvent*
    169, 152, 0,	//553  QObject*, QEvent*
    182, 0,	//556  QTimerEvent*
    144, 0,	//558  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "ACaret",	//1
    "AFileAttachment",	//2
    "AGeom",	//3
    "AHighlight",	//4
    "AInk",	//5
    "ALaw",	//6
    "ALine",	//7
    "AMovie",	//8
    "ASound",	//9
    "AStamp",	//10
    "AText",	//11
    "A_BASE",	//12
    "Accepted",	//13
    "Action",	//14
    "Action#",	//15
    "AllDocument",	//16
    "Annotation",	//17
    "Annotation#",	//18
    "Annotation##",	//19
    "AnnotationObjectRect",	//20
    "AnnotationObjectRect#",	//21
    "AnnotationUtils",	//22
    "AnnotationUtils#",	//23
    "AnyPixelTextAreaInclusionBehaviour",	//24
    "ApplicationDeletesFiles",	//25
    "ApplicationSelectsPages",	//26
    "Arrow",	//27
    "Author",	//28
    "Beveled",	//29
    "Blinds",	//30
    "Box",	//31
    "Browse",	//32
    "BrowseAction",	//33
    "BrowseAction$",	//34
    "Butt",	//35
    "CIDTrueType",	//36
    "CIDTrueTypeOT",	//37
    "CIDType0",	//38
    "CIDType0C",	//39
    "CIDType0COT",	//40
    "Callout",	//41
    "Cancelled",	//42
    "CaretAnnotation",	//43
    "CaretAnnotation#",	//44
    "Category",	//45
    "Center",	//46
    "CentralPixelTextAreaInclusionBehaviour",	//47
    "CheckBox",	//48
    "Circle",	//49
    "Close",	//50
    "ClosedArrow",	//51
    "Closing",	//52
    "Cloudy",	//53
    "ComboBox",	//54
    "Completed",	//55
    "ConfigInterface",	//56
    "ConfigInterface#",	//57
    "Copyright",	//58
    "Cover",	//59
    "CreationDate",	//60
    "Creator",	//61
    "Dashed",	//62
    "Delete",	//63
    "DenyDelete",	//64
    "DenyPrint",	//65
    "DenyWrite",	//66
    "Description",	//67
    "Diamond",	//68
    "Dimension",	//69
    "Dissolve",	//70
    "DocAction",	//71
    "Document",	//72
    "Document#",	//73
    "DocumentAction",	//74
    "DocumentAction$",	//75
    "DocumentInfo",	//76
    "DocumentInfo#",	//77
    "DocumentSize",	//78
    "DocumentSynopsis",	//79
    "DocumentSynopsis#",	//80
    "DocumentViewport",	//81
    "DocumentViewport#",	//82
    "DocumentViewport$",	//83
    "Embedded",	//84
    "EmbeddedFile",	//85
    "EmbeddedFile#",	//86
    "EmbeddedSubset",	//87
    "EndPresentation",	//88
    "Execute",	//89
    "ExecuteAction",	//90
    "ExecuteAction$$",	//91
    "ExportFormat",	//92
    "ExportFormat#",	//93
    "ExportFormat#$?",	//94
    "ExportFormat$?",	//95
    "External",	//96
    "ExternallyDrawn",	//97
    "Fade",	//98
    "FileAttachmentAnnotation",	//99
    "FileAttachmentAnnotation#",	//100
    "FileConversionPrintError",	//101
    "FilePath",	//102
    "FilePrinter",	//103
    "FilePrinter#",	//104
    "FileSelect",	//105
    "Find",	//106
    "FixedRotation",	//107
    "FixedSize",	//108
    "Fly",	//109
    "FontInfo",	//110
    "FontInfo#",	//111
    "FormButton",	//112
    "FormChoice",	//113
    "FormField",	//114
    "FormField#",	//115
    "FormFieldButton",	//116
    "FormFieldChoice",	//117
    "FormFieldText",	//118
    "FormSignature",	//119
    "FormText",	//120
    "FullyEmbedded",	//121
    "Generator",	//122
    "Generator##?",	//123
    "Generator#?",	//124
    "GeomAnnotation",	//125
    "GeomAnnotation#",	//126
    "Glitter",	//127
    "GoToPage",	//128
    "GoogleAll",	//129
    "GoogleAny",	//130
    "Goto",	//131
    "GotoAction",	//132
    "GotoAction$#",	//133
    "GotoAction$$",	//134
    "Group",	//135
    "GuiInterface",	//136
    "GuiInterface#",	//137
    "HTML",	//138
    "Hidden",	//139
    "Highlight",	//140
    "HighlightAnnotation",	//141
    "HighlightAnnotation#",	//142
    "HistoryBack",	//143
    "HistoryForward",	//144
    "Horizontal",	//145
    "Image",	//146
    "InPlace",	//147
    "InkAnnotation",	//148
    "InkAnnotation#",	//149
    "InscribedCircle",	//150
    "InscribedSquare",	//151
    "Inset",	//152
    "InvalidPrinterStatePrintError",	//153
    "Inward",	//154
    "KST_CTimeInfo",	//155
    "KST_KCustom",	//156
    "KST_KDEDesktopMimeType",	//157
    "KST_KFolderMimeType",	//158
    "KST_KImageIO",	//159
    "KST_KImageIOFormat",	//160
    "KST_KMimeType",	//161
    "KST_KMimeTypeFactory",	//162
    "KST_KProtocolInfo",	//163
    "KST_KProtocolInfoFactory",	//164
    "KST_KService",	//165
    "KST_KServiceFactory",	//166
    "KST_KServiceGroup",	//167
    "KST_KServiceGroupFactory",	//168
    "KST_KServiceSeparator",	//169
    "KST_KServiceType",	//170
    "KST_KServiceTypeFactory",	//171
    "KST_KSycocaEntry",	//172
    "Keywords",	//173
    "LineAnnotation",	//174
    "LineAnnotation#",	//175
    "Linked",	//176
    "ListBox",	//177
    "Marked",	//178
    "MatchFound",	//179
    "MimeType",	//180
    "ModificationDate",	//181
    "Movie",	//182
    "Multiline",	//183
    "NativePrinting",	//184
    "NextMatch",	//185
    "NoBinaryToPrintError",	//186
    "NoEffect",	//187
    "NoFileToPrintError",	//188
    "NoMatchFound",	//189
    "NoOption",	//190
    "NoPrintError",	//191
    "NoPrinting",	//192
    "None",	//193
    "Normal",	//194
    "NormalizedPoint",	//195
    "NormalizedPoint#",	//196
    "NormalizedPoint$$",	//197
    "NormalizedPoint$$$$",	//198
    "NormalizedRect",	//199
    "NormalizedRect#",	//200
    "NormalizedRect#$$",	//201
    "NormalizedRect$$$$",	//202
    "NotEmbedded",	//203
    "OAnnotation",	//204
    "ObjectRect",	//205
    "ObjectRect#",	//206
    "ObjectRect#$$",	//207
    "ObjectRect#$$$",	//208
    "ObjectRect$$$$$$$",	//209
    "OpenArrow",	//210
    "OpenDocumentText",	//211
    "Opening",	//212
    "Outward",	//213
    "P",	//214
    "PDF",	//215
    "Page",	//216
    "Page$$$$",	//217
    "PageFirst",	//218
    "PageLast",	//219
    "PageNext",	//220
    "PagePrev",	//221
    "PageSize",	//222
    "PageSize#",	//223
    "PageSize$$$",	//224
    "PageSizes",	//225
    "PageTransition",	//226
    "PageTransition#",	//227
    "PageTransition$",	//228
    "Pages",	//229
    "PagesSize",	//230
    "PixmapRequest",	//231
    "PixmapRequest$$$$$$",	//232
    "PlainText",	//233
    "Points",	//234
    "PolygonCloud",	//235
    "PostscriptPrinting",	//236
    "Presentation",	//237
    "PreviousMatch",	//238
    "PrintInterface",	//239
    "PrintInterface#",	//240
    "PrintNative",	//241
    "PrintPostscript",	//242
    "PrintToFile",	//243
    "PrintToFilePrintError",	//244
    "PrintingProcessCrashPrintError",	//245
    "PrintingProcessStartPrintError",	//246
    "Producer",	//247
    "Push",	//248
    "Q_COMPLEX_TYPE",	//249
    "Q_DUMMY_TYPE",	//250
    "Q_MOVABLE_TYPE",	//251
    "Q_PRIMITIVE_TYPE",	//252
    "Q_STATIC_TYPE",	//253
    "QtCriticalMsg",	//254
    "QtDebugMsg",	//255
    "QtFatalMsg",	//256
    "QtSystemMsg",	//257
    "QtWarningMsg",	//258
    "Quit",	//259
    "RClosedArrow",	//260
    "ROpenArrow",	//261
    "Radio",	//262
    "Raw",	//263
    "ReadRawData",	//264
    "RegularAreaRect",	//265
    "RegularAreaRect#",	//266
    "Rejected",	//267
    "RemoveAllPrevious",	//268
    "Replace",	//269
    "Reply",	//270
    "Script",	//271
    "ScriptAction",	//272
    "ScriptAction$$",	//273
    "SearchCancelled",	//274
    "Signed",	//275
    "Slash",	//276
    "Solid",	//277
    "Sound",	//278
    "Sound#",	//279
    "Sound$",	//280
    "SoundAction",	//281
    "SoundAction$$$$#",	//282
    "SoundAnnotation",	//283
    "SoundAnnotation#",	//284
    "SourceRef",	//285
    "SourceRefObjectRect",	//286
    "SourceRefObjectRect#",	//287
    "SourceRefObjectRect#$",	//288
    "SourceReference",	//289
    "SourceReference$$",	//290
    "SourceReference$$$",	//291
    "Split",	//292
    "Square",	//293
    "Squiggly",	//294
    "StampAnnotation",	//295
    "StampAnnotation#",	//296
    "StateNoReverse",	//297
    "StateReverse",	//298
    "StrikeOut",	//299
    "Subject",	//300
    "SystemDeletesFiles",	//301
    "SystemSelectsPages",	//302
    "TeXFontMetric",	//303
    "TeXFreeTypeHandled",	//304
    "TeXPK",	//305
    "TeXVirtual",	//306
    "TemporaryFileOpenPrintError",	//307
    "TextAnnotation",	//308
    "TextAnnotation#",	//309
    "TextDocumentConverter",	//310
    "TextDocumentGenerator",	//311
    "TextDocumentGenerator##?",	//312
    "TextEntity",	//313
    "TextEntity$#",	//314
    "TextExtraction",	//315
    "TextPage",	//316
    "TextPage?",	//317
    "Threaded",	//318
    "Title",	//319
    "ToggleHidingOnMouse",	//320
    "TopLeft",	//321
    "TrueType",	//322
    "TrueTypeOT",	//323
    "Type1",	//324
    "Type1C",	//325
    "Type1COT",	//326
    "Type3",	//327
    "TypeWriter",	//328
    "UnableToFindFilePrintError",	//329
    "Uncover",	//330
    "Underline",	//331
    "Unknown",	//332
    "UnknownPrintError",	//333
    "Unmarked",	//334
    "Utils",	//335
    "Utils#",	//336
    "Vertical",	//337
    "VisiblePageRect",	//338
    "VisiblePageRect#",	//339
    "VisiblePageRect$",	//340
    "VisiblePageRect$#",	//341
    "Wipe",	//342
    "__codecvt_error",	//343
    "__codecvt_noconv",	//344
    "__codecvt_ok",	//345
    "__codecvt_partial",	//346
    "action",	//347
    "actionCollection",	//348
    "actionTip",	//349
    "actionType",	//350
    "activationAction",	//351
    "addAction",	//352
    "addAction#$$",	//353
    "addAnnotation",	//354
    "addAnnotation#",	//355
    "addAnnotation#$$",	//356
    "addMetaData",	//357
    "addMetaData$$",	//358
    "addMetaData$$$",	//359
    "addObserver",	//360
    "addObserver#",	//361
    "addPageAnnotation",	//362
    "addPageAnnotation$#",	//363
    "addPages",	//364
    "addPages#",	//365
    "addTitle",	//366
    "addTitle$$#",	//367
    "alignment",	//368
    "allPagesSize",	//369
    "angle",	//370
    "annotation",	//371
    "annotationGeometry",	//372
    "annotationGeometry#$$",	//373
    "annotations",	//374
    "append",	//375
    "append$#",	//376
    "area",	//377
    "asynchronous",	//378
    "author",	//379
    "bitsPerSample",	//380
    "bookmarkManager",	//381
    "bookmarkedPageList",	//382
    "bookmarkedPageRange",	//383
    "bottom",	//384
    "boundingBox",	//385
    "boundingRect",	//386
    "boundingRect$$",	//387
    "boundingRectangle",	//388
    "buttonType",	//389
    "calculateViewport",	//390
    "calculateViewport##",	//391
    "canBeExtracted",	//392
    "canBeMoved",	//393
    "canBeSpellChecked",	//394
    "canConfigurePrinter",	//395
    "canExportToText",	//396
    "canGeneratePixmap",	//397
    "canGenerateTextPage",	//398
    "canProvideFontInformation",	//399
    "canSaveChanges",	//400
    "cancelSearch",	//401
    "caption",	//402
    "caretSymbol",	//403
    "center",	//404
    "channels",	//405
    "childEvent",	//406
    "choiceType",	//407
    "choices",	//408
    "close",	//409
    "closeDocument",	//410
    "column",	//411
    "componentData",	//412
    "configurableGenerators",	//413
    "connectNotify",	//414
    "contains",	//415
    "contains$$",	//416
    "contains$$$$",	//417
    "contents",	//418
    "continueSearch",	//419
    "continueSearch$",	//420
    "continueSearch$$",	//421
    "convert",	//422
    "convert$",	//423
    "copies",	//424
    "copies#$",	//425
    "createAnnotation",	//426
    "createAnnotation#",	//427
    "creationDate",	//428
    "cupsAvailable",	//429
    "cupsOptions",	//430
    "cupsOptions#",	//431
    "currentChoices",	//432
    "currentDocument",	//433
    "currentPage",	//434
    "customEvent",	//435
    "d_func",	//436
    "data",	//437
    "deleteAnnotations",	//438
    "deleteFile",	//439
    "deleteFile#$$",	//440
    "deletePixmap",	//441
    "deletePixmap$",	//442
    "deletePixmaps",	//443
    "deleteRects",	//444
    "deleteSourceReferences",	//445
    "description",	//446
    "destViewport",	//447
    "destination",	//448
    "destination#$",	//449
    "destinationName",	//450
    "detectCupsConfig",	//451
    "detectCupsService",	//452
    "direction",	//453
    "disconnectNotify",	//454
    "distanceSqr",	//455
    "distanceSqr$$$$",	//456
    "doCloseDocument",	//457
    "doPrintFiles",	//458
    "doPrintFiles#?$$$",	//459
    "document",	//460
    "documentActionType",	//461
    "documentInfo",	//462
    "documentMetaData",	//463
    "documentMetaData$",	//464
    "documentMetaData$#",	//465
    "documentSynopsis",	//466
    "domDocument",	//467
    "dpiX",	//468
    "dpiY",	//469
    "duration",	//470
    "dynamicSourceReference",	//471
    "dynamicSourceReference$$$",	//472
    "embedType",	//473
    "embeddedFile",	//474
    "embeddedFiles",	//475
    "error",	//476
    "error$$",	//477
    "event",	//478
    "eventFilter",	//479
    "exportFormats",	//480
    "exportTo",	//481
    "exportTo$#",	//482
    "exportToText",	//483
    "exportToText$",	//484
    "file",	//485
    "fileIconName",	//486
    "fileName",	//487
    "fillConfigDialog",	//488
    "fillConfigDialog#",	//489
    "findChildElement",	//490
    "findChildElement#$",	//491
    "findText",	//492
    "findText$$$$",	//493
    "findText$$$$#",	//494
    "flags",	//495
    "fontData",	//496
    "fontData#",	//497
    "fontReadingEnded",	//498
    "fontReadingProgress",	//499
    "fontReadingProgress$",	//500
    "fontsForPage",	//501
    "fontsForPage$",	//502
    "formFields",	//503
    "fromQRectF",	//504
    "fromQRectF#",	//505
    "generateDocumentInfo",	//506
    "generateDocumentSynopsis",	//507
    "generatePixmap",	//508
    "generatePixmap#",	//509
    "generateTextPage",	//510
    "generateTextPage#",	//511
    "generator",	//512
    "geometricalInnerColor",	//513
    "geometricalPointWidth",	//514
    "geometricalType",	//515
    "geometry",	//516
    "geometry$$",	//517
    "get",	//518
    "get$",	//519
    "getKeyString",	//520
    "getKeyString$",	//521
    "getKeyTitle",	//522
    "getKeyTitle$",	//523
    "gotFont",	//524
    "gotFont#",	//525
    "guiClient",	//526
    "hasAnnotations",	//527
    "hasFeature",	//528
    "hasFeature$",	//529
    "hasHighlights",	//530
    "hasHighlights$",	//531
    "hasObjectRect",	//532
    "hasObjectRect$$$$",	//533
    "hasPixmap",	//534
    "hasPixmap$",	//535
    "hasPixmap$$",	//536
    "hasPixmap$$$",	//537
    "hasTextPage",	//538
    "hasTransition",	//539
    "height",	//540
    "highlightQuads",	//541
    "highlightType",	//542
    "historyAtBegin",	//543
    "historyAtEnd",	//544
    "icon",	//545
    "id",	//546
    "image",	//547
    "image#",	//548
    "imageBoundingBox",	//549
    "imageBoundingBox#",	//550
    "inkPaths",	//551
    "inplaceAlignment",	//552
    "inplaceCallout",	//553
    "inplaceCallout$",	//554
    "inplaceIntent",	//555
    "inplaceText",	//556
    "intersects",	//557
    "intersects#",	//558
    "intersects$$$$",	//559
    "isAllowed",	//560
    "isAllowed$",	//561
    "isBoundingBoxKnown",	//562
    "isEditable",	//563
    "isExternal",	//564
    "isNull",	//565
    "isOpened",	//566
    "isPassword",	//567
    "isReadOnly",	//568
    "isRectangular",	//569
    "isRichText",	//570
    "isValid",	//571
    "isVisible",	//572
    "jobname",	//573
    "jobname#$",	//574
    "label",	//575
    "left",	//576
    "lineClosed",	//577
    "lineEndStyle",	//578
    "lineInnerColor",	//579
    "lineIntent",	//580
    "lineLeadingBackwardPoint",	//581
    "lineLeadingForwardPoint",	//582
    "linePoints",	//583
    "lineStartStyle",	//584
    "linkEndPresentation",	//585
    "linkFind",	//586
    "linkGoToPage",	//587
    "linkPresentation",	//588
    "loadDocument",	//589
    "loadDocument$?",	//590
    "loadDocumentFromData",	//591
    "loadDocumentFromData#?",	//592
    "localXMLFile",	//593
    "m_object",	//594
    "m_objectType",	//595
    "m_path",	//596
    "m_transformedPath",	//597
    "maximumLength",	//598
    "mediaPageSize",	//599
    "mediaPageSize#",	//600
    "mediaPaperSource",	//601
    "mediaPaperSource#",	//602
    "metaData",	//603
    "metaData$",	//604
    "metaData$#",	//605
    "metaObject",	//606
    "mimeType",	//607
    "mix",	//608
    "modificationDate",	//609
    "modifyPageAnnotation",	//610
    "modifyPageAnnotation$#",	//611
    "muLaw",	//612
    "multiSelect",	//613
    "name",	//614
    "nativeId",	//615
    "nearestObjectRect",	//616
    "nearestObjectRect$$$$$$",	//617
    "notice",	//618
    "notice$$",	//619
    "number",	//620
    "object",	//621
    "objectRect",	//622
    "objectRect$$$$$",	//623
    "objectType",	//624
    "openDocument",	//625
    "openDocument$#?",	//626
    "openDocumentArchive",	//627
    "openDocumentArchive$#",	//628
    "openUrl",	//629
    "openUrl#",	//630
    "operator!=",	//631
    "operator!=#",	//632
    "operator&",	//633
    "operator&#",	//634
    "operator=",	//635
    "operator=#",	//636
    "operator==",	//637
    "operator==#",	//638
    "operator|",	//639
    "operator|#",	//640
    "operator|=",	//641
    "operator|=#",	//642
    "optionCollateCopies",	//643
    "optionCollateCopies#",	//644
    "optionCupsProperties",	//645
    "optionCupsProperties#",	//646
    "optionDoubleSidedPrinting",	//647
    "optionDoubleSidedPrinting#",	//648
    "optionMedia",	//649
    "optionMedia#",	//650
    "optionOrientation",	//651
    "optionOrientation#",	//652
    "optionPageMargins",	//653
    "optionPageMargins#",	//654
    "optionPageOrder",	//655
    "optionPageOrder#",	//656
    "orientation",	//657
    "page",	//658
    "page$",	//659
    "pageAction",	//660
    "pageAction$",	//661
    "pageList",	//662
    "pageList#$$?",	//663
    "pageList#$?",	//664
    "pageListToPageRange",	//665
    "pageListToPageRange?",	//666
    "pageNumber",	//667
    "pageRange",	//668
    "pageRange#$?",	//669
    "pageSizeChanged",	//670
    "pageSizeChanged##",	//671
    "pageSizeString",	//672
    "pageSizeString$",	//673
    "pageSizes",	//674
    "pages",	//675
    "pages#$$$$",	//676
    "pagesSizeMetric",	//677
    "parameters",	//678
    "pdf2psAvailable",	//679
    "print",	//680
    "print#",	//681
    "printArguments",	//682
    "printArguments#$$$$$",	//683
    "printConfigurationWidget",	//684
    "printError",	//685
    "printError$",	//686
    "printFile",	//687
    "printFile#$",	//688
    "printFile#$$",	//689
    "printFile#$$$",	//690
    "printFile#$$$$",	//691
    "printFiles",	//692
    "printFiles#?",	//693
    "printFiles#?$",	//694
    "printingSupport",	//695
    "priority",	//696
    "processAction",	//697
    "processAction#",	//698
    "processSourceReference",	//699
    "processSourceReference#",	//700
    "ps2pdfAvailable",	//701
    "psPaperSize",	//702
    "psPaperSize#",	//703
    "qt_metacall",	//704
    "qt_metacall$$?",	//705
    "qt_metacast",	//706
    "qt_metacast$",	//707
    "quit",	//708
    "ratio",	//709
    "realDpiX",	//710
    "realDpiY",	//711
    "rect",	//712
    "region",	//713
    "registerView",	//714
    "registerView#",	//715
    "removeAnnotation",	//716
    "removeAnnotation#",	//717
    "removeObserver",	//718
    "removeObserver#",	//719
    "removePageAnnotation",	//720
    "removePageAnnotation$#",	//721
    "removePageAnnotations",	//722
    "removePageAnnotations$?",	//723
    "reparseConfig",	//724
    "repeat",	//725
    "requestFontData",	//726
    "requestFontData##",	//727
    "requestPixmaps",	//728
    "requestPixmaps?",	//729
    "requestPixmaps?$",	//730
    "requestTextPage",	//731
    "requestTextPage$",	//732
    "resetSearch",	//733
    "resetSearch$",	//734
    "revisions",	//735
    "right",	//736
    "rotateRect",	//737
    "rotateRect#$$$",	//738
    "rotation",	//739
    "rotationChanged",	//740
    "rotationChanged$$",	//741
    "row",	//742
    "samplingRate",	//743
    "saveChanges",	//744
    "saveChanges$",	//745
    "saveChanges$$",	//746
    "saveDocumentArchive",	//747
    "saveDocumentArchive$",	//748
    "scale",	//749
    "script",	//750
    "scriptType",	//751
    "searchFinished",	//752
    "searchFinished$$",	//753
    "searchText",	//754
    "searchText$$$$$$#",	//755
    "searchText$$$$$$#$",	//756
    "set",	//757
    "set$$",	//758
    "set$$$",	//759
    "setActivationAction",	//760
    "setActivationAction#",	//761
    "setAlignment",	//762
    "setAlignment$",	//763
    "setAngle",	//764
    "setAngle$",	//765
    "setAuthor",	//766
    "setAuthor$",	//767
    "setBitsPerSample",	//768
    "setBitsPerSample$",	//769
    "setBottom",	//770
    "setBottom$",	//771
    "setBoundingBox",	//772
    "setBoundingBox#",	//773
    "setBoundingRectangle",	//774
    "setBoundingRectangle#",	//775
    "setCanBeExtracted",	//776
    "setCanBeExtracted$",	//777
    "setCaretSymbol",	//778
    "setCaretSymbol$",	//779
    "setChannels",	//780
    "setChannels$",	//781
    "setComponentData",	//782
    "setContents",	//783
    "setContents$",	//784
    "setCreationDate",	//785
    "setCreationDate#",	//786
    "setCurrentChoices",	//787
    "setCurrentChoices?",	//788
    "setDOMDocument",	//789
    "setDirection",	//790
    "setDirection$",	//791
    "setDisposeDataFunction",	//792
    "setDisposeDataFunction$",	//793
    "setDuration",	//794
    "setDuration$",	//795
    "setEmbedType",	//796
    "setEmbedType$",	//797
    "setEmbeddedFile",	//798
    "setEmbeddedFile#",	//799
    "setFeature",	//800
    "setFeature$",	//801
    "setFeature$$",	//802
    "setFile",	//803
    "setFile$",	//804
    "setFileIconName",	//805
    "setFileIconName$",	//806
    "setFlags",	//807
    "setFlags$",	//808
    "setFormFields",	//809
    "setFormFields?",	//810
    "setGeometricalInnerColor",	//811
    "setGeometricalInnerColor#",	//812
    "setGeometricalPointWidth",	//813
    "setGeometricalPointWidth$",	//814
    "setGeometricalType",	//815
    "setGeometricalType$",	//816
    "setHighlightType",	//817
    "setHighlightType$",	//818
    "setInkPaths",	//819
    "setInkPaths?",	//820
    "setInplaceAlignment",	//821
    "setInplaceAlignment$",	//822
    "setInplaceCallout",	//823
    "setInplaceCallout#$",	//824
    "setInplaceIntent",	//825
    "setInplaceIntent$",	//826
    "setInplaceText",	//827
    "setInplaceText$",	//828
    "setIsRectangular",	//829
    "setIsRectangular$",	//830
    "setLabel",	//831
    "setLabel$",	//832
    "setLeft",	//833
    "setLeft$",	//834
    "setLineClosed",	//835
    "setLineClosed$",	//836
    "setLineEndStyle",	//837
    "setLineEndStyle$",	//838
    "setLineInnerColor",	//839
    "setLineInnerColor#",	//840
    "setLineIntent",	//841
    "setLineIntent$",	//842
    "setLineLeadingBackwardPoint",	//843
    "setLineLeadingBackwardPoint$",	//844
    "setLineLeadingForwardPoint",	//845
    "setLineLeadingForwardPoint$",	//846
    "setLinePoints",	//847
    "setLinePoints?",	//848
    "setLineStartStyle",	//849
    "setLineStartStyle$",	//850
    "setLocalXMLFile",	//851
    "setM_object",	//852
    "setM_object$",	//853
    "setM_objectType",	//854
    "setM_objectType$",	//855
    "setM_path",	//856
    "setM_path#",	//857
    "setM_transformedPath",	//858
    "setM_transformedPath#",	//859
    "setModificationDate",	//860
    "setModificationDate#",	//861
    "setName",	//862
    "setName$",	//863
    "setNativeId",	//864
    "setNativeId#",	//865
    "setNextDocumentDestination",	//866
    "setNextDocumentDestination$",	//867
    "setNextDocumentViewport",	//868
    "setNextDocumentViewport#",	//869
    "setNextViewport",	//870
    "setObjectRects",	//871
    "setObjectRects?",	//872
    "setPageAction",	//873
    "setPageAction$#",	//874
    "setPageNumber",	//875
    "setPageNumber$",	//876
    "setPageSize",	//877
    "setPageSize#",	//878
    "setPageTextSelection",	//879
    "setPageTextSelection$##",	//880
    "setPixmap",	//881
    "setPixmap$#",	//882
    "setPrevViewport",	//883
    "setRect",	//884
    "setRect#",	//885
    "setRight",	//886
    "setRight$",	//887
    "setRotation",	//888
    "setRotation$",	//889
    "setSamplingRate",	//890
    "setSamplingRate$",	//891
    "setScale",	//892
    "setScale$",	//893
    "setShowCaption",	//894
    "setShowCaption$",	//895
    "setSound",	//896
    "setSound#",	//897
    "setSoundEncoding",	//898
    "setSoundEncoding$",	//899
    "setSoundIconName",	//900
    "setSoundIconName$",	//901
    "setSourceReferences",	//902
    "setSourceReferences?",	//903
    "setStampIconName",	//904
    "setStampIconName$",	//905
    "setState",	//906
    "setState$",	//907
    "setText",	//908
    "setText$",	//909
    "setTextFont",	//910
    "setTextFont#",	//911
    "setTextIcon",	//912
    "setTextIcon$",	//913
    "setTextPage",	//914
    "setTextPage#",	//915
    "setTextType",	//916
    "setTextType$",	//917
    "setTop",	//918
    "setTop$",	//919
    "setTransition",	//920
    "setTransition#",	//921
    "setType",	//922
    "setType$",	//923
    "setUniqueName",	//924
    "setUniqueName$",	//925
    "setViewport",	//926
    "setViewport#",	//927
    "setViewport#$",	//928
    "setViewport#$$",	//929
    "setViewportPage",	//930
    "setViewportPage$",	//931
    "setViewportPage$$",	//932
    "setViewportPage$$$",	//933
    "setVisiblePageRects",	//934
    "setVisiblePageRects?",	//935
    "setVisiblePageRects?$",	//936
    "setX",	//937
    "setX$",	//938
    "setXML",	//939
    "setXMLFile",	//940
    "setY",	//941
    "setY$",	//942
    "setZoom",	//943
    "setZoom$",	//944
    "setZoom$$",	//945
    "showCaption",	//946
    "siblings",	//947
    "signalPixmapRequestDone",	//948
    "signalPixmapRequestDone#",	//949
    "signalTextGenerationDone",	//950
    "signalTextGenerationDone##",	//951
    "size",	//952
    "sound",	//953
    "soundEncoding",	//954
    "soundIconName",	//955
    "soundType",	//956
    "stampIconName",	//957
    "standardFormat",	//958
    "standardFormat$",	//959
    "startFontReading",	//960
    "state",	//961
    "stateChanged",	//962
    "staticMetaObject",	//963
    "stopFontReading",	//964
    "store",	//965
    "store##",	//966
    "storeAnnotation",	//967
    "storeAnnotation###",	//968
    "style",	//969
    "subType",	//970
    "supportedMimeTypes",	//971
    "supportsPageSizes",	//972
    "supportsPrintToFile",	//973
    "supportsSearching",	//974
    "synchronous",	//975
    "text",	//976
    "text#",	//977
    "text#$",	//978
    "textAlignment",	//979
    "textArea",	//980
    "textArea#",	//981
    "textFont",	//982
    "textIcon",	//983
    "textPage",	//984
    "textPage#",	//985
    "textSelection",	//986
    "textSelectionColor",	//987
    "textType",	//988
    "timerEvent",	//989
    "toString",	//990
    "top",	//991
    "totalOrientation",	//992
    "tr",	//993
    "tr$",	//994
    "tr$$",	//995
    "tr$$$",	//996
    "trUtf8",	//997
    "trUtf8$",	//998
    "trUtf8$$",	//999
    "trUtf8$$$",	//1000
    "transform",	//1001
    "transform#",	//1002
    "transformedArea",	//1003
    "transformedArea#",	//1004
    "transformedBoundingRectangle",	//1005
    "transformedInkPaths",	//1006
    "transformedInplaceCallout",	//1007
    "transformedInplaceCallout$",	//1008
    "transformedLinePoints",	//1009
    "transition",	//1010
    "translate",	//1011
    "translate#",	//1012
    "type",	//1013
    "uiName",	//1014
    "uniqueName",	//1015
    "unregisterView",	//1016
    "unregisterView#",	//1017
    "updatePageBoundingBox",	//1018
    "updatePageBoundingBox$#",	//1019
    "url",	//1020
    "userMutex",	//1021
    "viewport",	//1022
    "virtual_hook",	//1023
    "visiblePageRects",	//1024
    "volume",	//1025
    "warning",	//1026
    "warning$$",	//1027
    "widget",	//1028
    "width",	//1029
    "window",	//1030
    "x",	//1031
    "xmlFile",	//1032
    "y",	//1033
    "~Action",	//1034
    "~Annotation",	//1035
    "~AnnotationObjectRect",	//1036
    "~AnnotationUtils",	//1037
    "~BrowseAction",	//1038
    "~CaretAnnotation",	//1039
    "~ConfigInterface",	//1040
    "~Document",	//1041
    "~DocumentAction",	//1042
    "~DocumentInfo",	//1043
    "~DocumentSynopsis",	//1044
    "~DocumentViewport",	//1045
    "~EmbeddedFile",	//1046
    "~ExecuteAction",	//1047
    "~ExportFormat",	//1048
    "~FileAttachmentAnnotation",	//1049
    "~FilePrinter",	//1050
    "~FontInfo",	//1051
    "~FormField",	//1052
    "~FormFieldButton",	//1053
    "~FormFieldChoice",	//1054
    "~FormFieldText",	//1055
    "~Generator",	//1056
    "~GeomAnnotation",	//1057
    "~GotoAction",	//1058
    "~GuiInterface",	//1059
    "~HighlightAnnotation",	//1060
    "~InkAnnotation",	//1061
    "~LineAnnotation",	//1062
    "~NormalizedPoint",	//1063
    "~NormalizedRect",	//1064
    "~ObjectRect",	//1065
    "~Page",	//1066
    "~PageSize",	//1067
    "~PageTransition",	//1068
    "~PixmapRequest",	//1069
    "~PrintInterface",	//1070
    "~RegularAreaRect",	//1071
    "~ScriptAction",	//1072
    "~Sound",	//1073
    "~SoundAction",	//1074
    "~SoundAnnotation",	//1075
    "~SourceRefObjectRect",	//1076
    "~SourceReference",	//1077
    "~StampAnnotation",	//1078
    "~TextAnnotation",	//1079
    "~TextDocumentConverter",	//1080
    "~TextDocumentGenerator",	//1081
    "~TextEntity",	//1082
    "~TextPage",	//1083
    "~Utils",	//1084
    "~VisiblePageRect",	//1085
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 347, 1, 1, Smoke::mf_const|Smoke::mf_virtual, 140, 0},	//1 KXMLGUIClient::action(const QDomElement&) const
    {9, 348, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 1, 0},	//2 KXMLGUIClient::actionCollection() const
    {9, 412, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 0},	//3 KXMLGUIClient::componentData() const
    {9, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 147, 0},	//4 KXMLGUIClient::domDocument() const
    {9, 1032, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 0},	//5 KXMLGUIClient::xmlFile() const
    {9, 593, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 0},	//6 KXMLGUIClient::localXMLFile() const
    {9, 782, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KXMLGUIClient::setComponentData(const KComponentData&)
    {9, 940, 5, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
    {9, 851, 9, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KXMLGUIClient::setLocalXMLFile(const QString&)
    {9, 939, 11, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KXMLGUIClient::setXML(const QString&, bool)
    {9, 789, 14, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//11 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
    {9, 962, 17, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//12 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
    {9, 1023, 20, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//13 KXMLGUIClient::virtual_hook(int, void*)
    {9, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 14},	//14 KXMLGUIClient::StateNoReverse (enum)
    {9, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 15},	//15 KXMLGUIClient::StateReverse (enum)
    {10, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 17, 1},	//16 Okular::Action::actionType() const [pure virtual]
    {10, 349, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 2},	//17 Okular::Action::actionTip() const
    {10, 14, 23, 1, Smoke::mf_ctor|Smoke::mf_protected, 16, 3},	//18 Okular::Action::Action(Okular::ActionPrivate&)
    {10, 436, 0, 0, Smoke::mf_protected, 19, 4},	//19 Okular::Action::d_func()
    {10, 436, 0, 0, Smoke::mf_const|Smoke::mf_protected, 266, 5},	//20 Okular::Action::d_func() const
    {10, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 6},	//21 Okular::Action::Goto (enum)
    {10, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 7},	//22 Okular::Action::Execute (enum)
    {10, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 8},	//23 Okular::Action::Browse (enum)
    {10, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 9},	//24 Okular::Action::DocAction (enum)
    {10, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 10},	//25 Okular::Action::Sound (enum)
    {10, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 11},	//26 Okular::Action::Movie (enum)
    {10, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 12},	//27 Okular::Action::Script (enum)
    {10, 1034, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 Okular::Action::~Action()
    {12, 766, 9, 1, 0, 0, 1},	//29 Okular::Annotation::setAuthor(const QString&)
    {12, 379, 0, 0, Smoke::mf_const, 177, 2},	//30 Okular::Annotation::author() const
    {12, 783, 9, 1, 0, 0, 3},	//31 Okular::Annotation::setContents(const QString&)
    {12, 418, 0, 0, Smoke::mf_const, 177, 4},	//32 Okular::Annotation::contents() const
    {12, 924, 9, 1, 0, 0, 5},	//33 Okular::Annotation::setUniqueName(const QString&)
    {12, 1015, 0, 0, Smoke::mf_const, 177, 6},	//34 Okular::Annotation::uniqueName() const
    {12, 860, 25, 1, 0, 0, 7},	//35 Okular::Annotation::setModificationDate(const QDateTime&)
    {12, 609, 0, 0, Smoke::mf_const, 146, 8},	//36 Okular::Annotation::modificationDate() const
    {12, 785, 25, 1, 0, 0, 9},	//37 Okular::Annotation::setCreationDate(const QDateTime&)
    {12, 428, 0, 0, Smoke::mf_const, 146, 10},	//38 Okular::Annotation::creationDate() const
    {12, 807, 27, 1, 0, 0, 11},	//39 Okular::Annotation::setFlags(int)
    {12, 495, 0, 0, Smoke::mf_const, 344, 12},	//40 Okular::Annotation::flags() const
    {12, 774, 29, 1, 0, 0, 13},	//41 Okular::Annotation::setBoundingRectangle(const Okular::NormalizedRect&)
    {12, 388, 0, 0, Smoke::mf_const, 97, 14},	//42 Okular::Annotation::boundingRectangle() const
    {12, 1005, 0, 0, Smoke::mf_const, 97, 15},	//43 Okular::Annotation::transformedBoundingRectangle() const
    {12, 1011, 31, 1, 0, 0, 16},	//44 Okular::Annotation::translate(const Okular::NormalizedPoint&)
    {12, 969, 0, 0, 0, 26, 17},	//45 Okular::Annotation::style()
    {12, 969, 0, 0, Smoke::mf_const, 268, 18},	//46 Okular::Annotation::style() const
    {12, 1030, 0, 0, 0, 28, 19},	//47 Okular::Annotation::window()
    {12, 1030, 0, 0, Smoke::mf_const, 269, 20},	//48 Okular::Annotation::window() const
    {12, 735, 0, 0, 0, 158, 21},	//49 Okular::Annotation::revisions()
    {12, 735, 0, 0, Smoke::mf_const, 311, 22},	//50 Okular::Annotation::revisions() const
    {12, 864, 33, 1, 0, 0, 23},	//51 Okular::Annotation::setNativeId(const QVariant&)
    {12, 615, 0, 0, Smoke::mf_const, 183, 24},	//52 Okular::Annotation::nativeId() const
    {12, 792, 35, 1, 0, 0, 25},	//53 Okular::Annotation::setDisposeDataFunction(void(*)(const Okular::Annotation*))
    {12, 393, 0, 0, Smoke::mf_const, 259, 26},	//54 Okular::Annotation::canBeMoved() const
    {12, 970, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 27},	//55 Okular::Annotation::subType() const [pure virtual]
    {12, 965, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 28},	//56 Okular::Annotation::store(QDomNode&, QDomDocument&) const
    {12, 17, 40, 1, Smoke::mf_ctor|Smoke::mf_protected, 20, 29},	//57 Okular::Annotation::Annotation(Okular::AnnotationPrivate&)
    {12, 17, 42, 2, Smoke::mf_ctor|Smoke::mf_protected, 20, 30},	//58 Okular::Annotation::Annotation(Okular::AnnotationPrivate&, const QDomNode&)
    {12, 436, 0, 0, Smoke::mf_protected, 31, 31},	//59 Okular::Annotation::d_func()
    {12, 436, 0, 0, Smoke::mf_const|Smoke::mf_protected, 271, 32},	//60 Okular::Annotation::d_func() const
    {12, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 33},	//61 Okular::Annotation::AText (enum)
    {12, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 34},	//62 Okular::Annotation::ALine (enum)
    {12, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 35},	//63 Okular::Annotation::AGeom (enum)
    {12, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 36},	//64 Okular::Annotation::AHighlight (enum)
    {12, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 37},	//65 Okular::Annotation::AStamp (enum)
    {12, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 38},	//66 Okular::Annotation::AInk (enum)
    {12, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 39},	//67 Okular::Annotation::ACaret (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 40},	//68 Okular::Annotation::AFileAttachment (enum)
    {12, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 41},	//69 Okular::Annotation::ASound (enum)
    {12, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 42},	//70 Okular::Annotation::AMovie (enum)
    {12, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 43},	//71 Okular::Annotation::A_BASE (enum)
    {12, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 44},	//72 Okular::Annotation::Hidden (enum)
    {12, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 45},	//73 Okular::Annotation::FixedSize (enum)
    {12, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 46},	//74 Okular::Annotation::FixedRotation (enum)
    {12, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 47},	//75 Okular::Annotation::DenyPrint (enum)
    {12, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 48},	//76 Okular::Annotation::DenyWrite (enum)
    {12, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 49},	//77 Okular::Annotation::DenyDelete (enum)
    {12, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 50},	//78 Okular::Annotation::ToggleHidingOnMouse (enum)
    {12, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 51},	//79 Okular::Annotation::External (enum)
    {12, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 52},	//80 Okular::Annotation::ExternallyDrawn (enum)
    {12, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 53},	//81 Okular::Annotation::Solid (enum)
    {12, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 54},	//82 Okular::Annotation::Dashed (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 55},	//83 Okular::Annotation::Beveled (enum)
    {12, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 56},	//84 Okular::Annotation::Inset (enum)
    {12, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 57},	//85 Okular::Annotation::Underline (enum)
    {12, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 58},	//86 Okular::Annotation::NoEffect (enum)
    {12, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 22, 59},	//87 Okular::Annotation::Cloudy (enum)
    {12, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 60},	//88 Okular::Annotation::Reply (enum)
    {12, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 61},	//89 Okular::Annotation::Group (enum)
    {12, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 62},	//90 Okular::Annotation::Delete (enum)
    {12, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 63},	//91 Okular::Annotation::None (enum)
    {12, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 64},	//92 Okular::Annotation::Marked (enum)
    {12, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 65},	//93 Okular::Annotation::Unmarked (enum)
    {12, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 66},	//94 Okular::Annotation::Accepted (enum)
    {12, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 67},	//95 Okular::Annotation::Rejected (enum)
    {12, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 68},	//96 Okular::Annotation::Cancelled (enum)
    {12, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 69},	//97 Okular::Annotation::Completed (enum)
    {12, 1035, 0, 0, Smoke::mf_dtor, 0, 70 },	//98 Okular::Annotation::~Annotation()
    {15, 20, 45, 1, Smoke::mf_ctor, 29, 1},	//99 Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    {15, 371, 0, 0, Smoke::mf_const, 20, 2},	//100 Okular::AnnotationObjectRect::annotation() const
    {15, 386, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 173, 3},	//101 Okular::AnnotationObjectRect::boundingRect(double, double) const
    {15, 415, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 259, 4},	//102 Okular::AnnotationObjectRect::contains(double, double, double, double) const
    {15, 1001, 55, 1, Smoke::mf_virtual, 0, 5},	//103 Okular::AnnotationObjectRect::transform(const QMatrix&)
    {15, 20, 57, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 6},	//104 Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    {15, 1036, 0, 0, Smoke::mf_dtor, 0, 7 },	//105 Okular::AnnotationObjectRect::~AnnotationObjectRect()
    {17, 426, 1, 1, Smoke::mf_static, 20, 1},	//106 Okular::AnnotationUtils::createAnnotation(const QDomElement&)
    {17, 967, 59, 3, Smoke::mf_static, 0, 2},	//107 Okular::AnnotationUtils::storeAnnotation(const Okular::Annotation*, QDomElement&, QDomDocument&)
    {17, 490, 63, 2, Smoke::mf_static, 149, 3},	//108 Okular::AnnotationUtils::findChildElement(const QDomNode&, const QString&)
    {17, 372, 66, 3, Smoke::mf_static, 173, 4},	//109 Okular::AnnotationUtils::annotationGeometry(const Okular::Annotation*, double, double)
    {17, 22, 0, 0, Smoke::mf_ctor, 32, 5},	//110 Okular::AnnotationUtils::AnnotationUtils()
    {17, 22, 70, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 6},	//111 Okular::AnnotationUtils::AnnotationUtils(const Okular::AnnotationUtils&)
    {17, 1037, 0, 0, Smoke::mf_dtor, 0, 7 },	//112 Okular::AnnotationUtils::~AnnotationUtils()
    {19, 33, 9, 1, Smoke::mf_ctor, 34, 1},	//113 Okular::BrowseAction::BrowseAction(const QString&)
    {19, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//114 Okular::BrowseAction::actionType() const
    {19, 349, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 3},	//115 Okular::BrowseAction::actionTip() const
    {19, 1020, 0, 0, Smoke::mf_const, 177, 4},	//116 Okular::BrowseAction::url() const
    {19, 1038, 0, 0, Smoke::mf_dtor, 0, 5 },	//117 Okular::BrowseAction::~BrowseAction()
    {20, 43, 0, 0, Smoke::mf_ctor, 35, 1},	//118 Okular::CaretAnnotation::CaretAnnotation()
    {20, 43, 72, 1, Smoke::mf_ctor, 35, 2},	//119 Okular::CaretAnnotation::CaretAnnotation(const QDomNode&)
    {20, 778, 74, 1, 0, 0, 3},	//120 Okular::CaretAnnotation::setCaretSymbol(Okular::CaretAnnotation::CaretSymbol)
    {20, 403, 0, 0, Smoke::mf_const, 36, 4},	//121 Okular::CaretAnnotation::caretSymbol() const
    {20, 970, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 5},	//122 Okular::CaretAnnotation::subType() const
    {20, 965, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//123 Okular::CaretAnnotation::store(QDomNode&, QDomDocument&) const
    {20, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 7},	//124 Okular::CaretAnnotation::None (enum)
    {20, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 8},	//125 Okular::CaretAnnotation::P (enum)
    {20, 1039, 0, 0, Smoke::mf_dtor, 0, 9 },	//126 Okular::CaretAnnotation::~CaretAnnotation()
    {21, 724, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 259, 1},	//127 Okular::ConfigInterface::reparseConfig() [pure virtual]
    {21, 364, 76, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//128 Okular::ConfigInterface::addPages(KConfigDialog*) [pure virtual]
    {21, 56, 0, 0, Smoke::mf_ctor, 37, 3},	//129 Okular::ConfigInterface::ConfigInterface()
    {21, 56, 78, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 4},	//130 Okular::ConfigInterface::ConfigInterface(const Okular::ConfigInterface&)
    {21, 1040, 0, 0, Smoke::mf_dtor, 0, 5 },	//131 Okular::ConfigInterface::~ConfigInterface()
    {22, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 325, 1},	//132 Okular::Document::metaObject() const
    {22, 706, 80, 1, Smoke::mf_virtual, 348, 2},	//133 Okular::Document::qt_metacast(const char*)
    {22, 993, 82, 2, Smoke::mf_static, 177, 3},	//134 Okular::Document::tr(const char*, const char*)
    {22, 997, 82, 2, Smoke::mf_static, 177, 4},	//135 Okular::Document::trUtf8(const char*, const char*)
    {22, 993, 85, 3, Smoke::mf_static, 177, 5},	//136 Okular::Document::tr(const char*, const char*, int)
    {22, 997, 85, 3, Smoke::mf_static, 177, 6},	//137 Okular::Document::trUtf8(const char*, const char*, int)
    {22, 704, 89, 3, Smoke::mf_virtual, 344, 7},	//138 Okular::Document::qt_metacall(QMetaObject::Call, int, void**)
    {22, 72, 93, 1, Smoke::mf_ctor, 38, 8},	//139 Okular::Document::Document(QWidget*)
    {22, 625, 95, 3, 0, 259, 9},	//140 Okular::Document::openDocument(const QString&, const KUrl&, const KSharedPtr<KMimeType>&)
    {22, 410, 0, 0, 0, 0, 10},	//141 Okular::Document::closeDocument()
    {22, 360, 99, 1, 0, 0, 11},	//142 Okular::Document::addObserver(Okular::DocumentObserver*)
    {22, 718, 99, 1, 0, 0, 12},	//143 Okular::Document::removeObserver(Okular::DocumentObserver*)
    {22, 724, 0, 0, 0, 0, 13},	//144 Okular::Document::reparseConfig()
    {22, 1028, 0, 0, Smoke::mf_const, 185, 14},	//145 Okular::Document::widget() const
    {22, 566, 0, 0, Smoke::mf_const, 259, 15},	//146 Okular::Document::isOpened() const
    {22, 462, 0, 0, Smoke::mf_const, 276, 16},	//147 Okular::Document::documentInfo() const
    {22, 466, 0, 0, Smoke::mf_const, 278, 17},	//148 Okular::Document::documentSynopsis() const
    {22, 960, 0, 0, 0, 0, 18},	//149 Okular::Document::startFontReading()
    {22, 964, 0, 0, 0, 0, 19},	//150 Okular::Document::stopFontReading()
    {22, 399, 0, 0, Smoke::mf_const, 259, 20},	//151 Okular::Document::canProvideFontInformation() const
    {22, 475, 0, 0, Smoke::mf_const, 318, 21},	//152 Okular::Document::embeddedFiles() const
    {22, 658, 27, 1, Smoke::mf_const, 292, 22},	//153 Okular::Document::page(int) const
    {22, 1022, 0, 0, Smoke::mf_const, 279, 23},	//154 Okular::Document::viewport() const
    {22, 934, 101, 2, 0, 0, 24},	//155 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&, int)
    {22, 1024, 0, 0, Smoke::mf_const, 339, 25},	//156 Okular::Document::visiblePageRects() const
    {22, 434, 0, 0, Smoke::mf_const, 346, 26},	//157 Okular::Document::currentPage() const
    {22, 675, 0, 0, Smoke::mf_const, 346, 27},	//158 Okular::Document::pages() const
    {22, 433, 0, 0, Smoke::mf_const, 13, 28},	//159 Okular::Document::currentDocument() const
    {22, 560, 104, 1, Smoke::mf_const, 259, 29},	//160 Okular::Document::isAllowed(Okular::Permission) const
    {22, 974, 0, 0, Smoke::mf_const, 259, 30},	//161 Okular::Document::supportsSearching() const
    {22, 972, 0, 0, Smoke::mf_const, 259, 31},	//162 Okular::Document::supportsPageSizes() const
    {22, 674, 0, 0, Smoke::mf_const, 164, 32},	//163 Okular::Document::pageSizes() const
    {22, 396, 0, 0, Smoke::mf_const, 259, 33},	//164 Okular::Document::canExportToText() const
    {22, 483, 9, 1, Smoke::mf_const, 259, 34},	//165 Okular::Document::exportToText(const QString&) const
    {22, 480, 0, 0, Smoke::mf_const, 161, 35},	//166 Okular::Document::exportFormats() const
    {22, 481, 106, 2, Smoke::mf_const, 259, 36},	//167 Okular::Document::exportTo(const QString&, const Okular::ExportFormat&) const
    {22, 543, 0, 0, Smoke::mf_const, 259, 37},	//168 Okular::Document::historyAtBegin() const
    {22, 544, 0, 0, Smoke::mf_const, 259, 38},	//169 Okular::Document::historyAtEnd() const
    {22, 603, 109, 2, Smoke::mf_const, 183, 39},	//170 Okular::Document::metaData(const QString&, const QVariant&) const
    {22, 739, 0, 0, Smoke::mf_const, 116, 40},	//171 Okular::Document::rotation() const
    {22, 369, 0, 0, Smoke::mf_const, 176, 41},	//172 Okular::Document::allPagesSize() const
    {22, 672, 27, 1, Smoke::mf_const, 177, 42},	//173 Okular::Document::pageSizeString(int) const
    {22, 526, 0, 0, 0, 14, 43},	//174 Okular::Document::guiClient()
    {22, 930, 112, 3, 0, 0, 44},	//175 Okular::Document::setViewportPage(int, int, bool)
    {22, 926, 116, 3, 0, 0, 45},	//176 Okular::Document::setViewport(const Okular::DocumentViewport&, int, bool)
    {22, 883, 0, 0, 0, 0, 46},	//177 Okular::Document::setPrevViewport()
    {22, 870, 0, 0, 0, 0, 47},	//178 Okular::Document::setNextViewport()
    {22, 868, 120, 1, 0, 0, 48},	//179 Okular::Document::setNextDocumentViewport(const Okular::DocumentViewport&)
    {22, 866, 9, 1, 0, 0, 49},	//180 Okular::Document::setNextDocumentDestination(const QString&)
    {22, 943, 122, 2, 0, 0, 50},	//181 Okular::Document::setZoom(int, int)
    {22, 728, 125, 1, 0, 0, 51},	//182 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&)
    {22, 728, 127, 2, 0, 0, 52},	//183 Okular::Document::requestPixmaps(const QLinkedList<Okular::PixmapRequest*>&, QFlags<Okular::Document::PixmapRequestFlag>)
    {22, 731, 130, 1, 0, 0, 53},	//184 Okular::Document::requestTextPage(unsigned int)
    {22, 362, 132, 2, 0, 0, 54},	//185 Okular::Document::addPageAnnotation(int, Okular::Annotation*)
    {22, 610, 132, 2, 0, 0, 55},	//186 Okular::Document::modifyPageAnnotation(int, Okular::Annotation*)
    {22, 720, 132, 2, 0, 0, 56},	//187 Okular::Document::removePageAnnotation(int, Okular::Annotation*)
    {22, 722, 135, 2, 0, 0, 57},	//188 Okular::Document::removePageAnnotations(int, const QList<Okular::Annotation*>&)
    {22, 879, 138, 3, 0, 0, 58},	//189 Okular::Document::setPageTextSelection(int, Okular::RegularAreaRect*, const QColor&)
    {22, 754, 142, 8, 0, 0, 59},	//190 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&, bool)
    {22, 419, 27, 1, 0, 0, 60},	//191 Okular::Document::continueSearch(int)
    {22, 419, 151, 2, 0, 0, 61},	//192 Okular::Document::continueSearch(int, Okular::Document::SearchType)
    {22, 733, 27, 1, 0, 0, 62},	//193 Okular::Document::resetSearch(int)
    {22, 381, 0, 0, Smoke::mf_const, 33, 63},	//194 Okular::Document::bookmarkManager() const
    {22, 697, 154, 1, 0, 0, 64},	//195 Okular::Document::processAction(const Okular::Action*)
    {22, 382, 0, 0, Smoke::mf_const, 166, 65},	//196 Okular::Document::bookmarkedPageList() const
    {22, 383, 0, 0, Smoke::mf_const, 177, 66},	//197 Okular::Document::bookmarkedPageRange() const
    {22, 699, 156, 1, 0, 0, 67},	//198 Okular::Document::processSourceReference(const Okular::SourceReference*)
    {22, 395, 0, 0, Smoke::mf_const, 259, 68},	//199 Okular::Document::canConfigurePrinter() const
    {22, 695, 0, 0, Smoke::mf_const, 40, 69},	//200 Okular::Document::printingSupport() const
    {22, 973, 0, 0, Smoke::mf_const, 259, 70},	//201 Okular::Document::supportsPrintToFile() const
    {22, 680, 158, 1, 0, 259, 71},	//202 Okular::Document::print(QPrinter&)
    {22, 685, 0, 0, Smoke::mf_const, 177, 72},	//203 Okular::Document::printError() const
    {22, 684, 0, 0, Smoke::mf_const, 185, 73},	//204 Okular::Document::printConfigurationWidget() const
    {22, 488, 76, 1, 0, 0, 74},	//205 Okular::Document::fillConfigDialog(KConfigDialog*)
    {22, 413, 0, 0, Smoke::mf_const, 344, 75},	//206 Okular::Document::configurableGenerators() const
    {22, 971, 0, 0, Smoke::mf_const, 179, 76},	//207 Okular::Document::supportedMimeTypes() const
    {22, 412, 0, 0, Smoke::mf_const, 261, 77},	//208 Okular::Document::componentData() const
    {22, 400, 0, 0, Smoke::mf_const, 259, 78},	//209 Okular::Document::canSaveChanges() const
    {22, 744, 9, 1, 0, 259, 79},	//210 Okular::Document::saveChanges(const QString&)
    {22, 744, 160, 2, 0, 259, 80},	//211 Okular::Document::saveChanges(const QString&, QString*)
    {22, 714, 163, 1, 0, 0, 81},	//212 Okular::Document::registerView(Okular::View*)
    {22, 1016, 163, 1, 0, 0, 82},	//213 Okular::Document::unregisterView(Okular::View*)
    {22, 496, 165, 1, Smoke::mf_const, 142, 83},	//214 Okular::Document::fontData(const Okular::FontInfo&) const
    {22, 627, 167, 2, 0, 259, 84},	//215 Okular::Document::openDocumentArchive(const QString&, const KUrl&)
    {22, 747, 9, 1, 0, 259, 85},	//216 Okular::Document::saveDocumentArchive(const QString&)
    {22, 471, 170, 3, 0, 300, 86},	//217 Okular::Document::dynamicSourceReference(int, double, double)
    {22, 888, 27, 1, Smoke::mf_slot, 0, 87},	//218 Okular::Document::setRotation(int)
    {22, 877, 174, 1, Smoke::mf_slot, 0, 88},	//219 Okular::Document::setPageSize(const Okular::PageSize&)
    {22, 401, 0, 0, Smoke::mf_slot, 0, 89},	//220 Okular::Document::cancelSearch()
    {22, 409, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 90},	//221 Okular::Document::close()
    {22, 708, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 91},	//222 Okular::Document::quit()
    {22, 586, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 92},	//223 Okular::Document::linkFind()
    {22, 587, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 93},	//224 Okular::Document::linkGoToPage()
    {22, 588, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 94},	//225 Okular::Document::linkPresentation()
    {22, 585, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 95},	//226 Okular::Document::linkEndPresentation()
    {22, 629, 176, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 96},	//227 Okular::Document::openUrl(const KUrl&)
    {22, 476, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 97},	//228 Okular::Document::error(const QString&, int)
    {22, 1026, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 98},	//229 Okular::Document::warning(const QString&, int)
    {22, 618, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 99},	//230 Okular::Document::notice(const QString&, int)
    {22, 524, 165, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 100},	//231 Okular::Document::gotFont(const Okular::FontInfo&)
    {22, 499, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 101},	//232 Okular::Document::fontReadingProgress(int)
    {22, 498, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 102},	//233 Okular::Document::fontReadingEnded()
    {22, 752, 181, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 103},	//234 Okular::Document::searchFinished(int, Okular::Document::SearchStatus)
    {22, 993, 80, 1, Smoke::mf_static, 177, 104},	//235 Okular::Document::tr(const char*)
    {22, 997, 80, 1, Smoke::mf_static, 177, 105},	//236 Okular::Document::trUtf8(const char*)
    {22, 934, 184, 1, 0, 0, 106},	//237 Okular::Document::setVisiblePageRects(const QVector<Okular::VisiblePageRect*>&)
    {22, 603, 9, 1, Smoke::mf_const, 183, 107},	//238 Okular::Document::metaData(const QString&) const
    {22, 930, 27, 1, 0, 0, 108},	//239 Okular::Document::setViewportPage(int)
    {22, 930, 122, 2, 0, 0, 109},	//240 Okular::Document::setViewportPage(int, int)
    {22, 926, 120, 1, 0, 0, 110},	//241 Okular::Document::setViewport(const Okular::DocumentViewport&)
    {22, 926, 186, 2, 0, 0, 111},	//242 Okular::Document::setViewport(const Okular::DocumentViewport&, int)
    {22, 943, 27, 1, 0, 0, 112},	//243 Okular::Document::setZoom(int)
    {22, 754, 189, 7, 0, 0, 113},	//244 Okular::Document::searchText(int, const QString&, bool, Qt::CaseSensitivity, Okular::Document::SearchType, bool, const QColor&)
    {22, 963, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 324, 114},	//245 Okular::Document::staticMetaObject() const
    {22, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 115},	//246 Okular::Document::NoOption (enum)
    {22, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 116},	//247 Okular::Document::RemoveAllPrevious (enum)
    {22, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 117},	//248 Okular::Document::NextMatch (enum)
    {22, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 118},	//249 Okular::Document::PreviousMatch (enum)
    {22, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 119},	//250 Okular::Document::AllDocument (enum)
    {22, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 120},	//251 Okular::Document::GoogleAll (enum)
    {22, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 121},	//252 Okular::Document::GoogleAny (enum)
    {22, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 122},	//253 Okular::Document::MatchFound (enum)
    {22, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 123},	//254 Okular::Document::NoMatchFound (enum)
    {22, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 41, 124},	//255 Okular::Document::SearchCancelled (enum)
    {22, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 125},	//256 Okular::Document::NoPrinting (enum)
    {22, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 126},	//257 Okular::Document::NativePrinting (enum)
    {22, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 40, 127},	//258 Okular::Document::PostscriptPrinting (enum)
    {22, 1041, 0, 0, Smoke::mf_dtor, 0, 128 },	//259 Okular::Document::~Document()
    {23, 74, 197, 1, Smoke::mf_ctor, 43, 1},	//260 Okular::DocumentAction::DocumentAction(Okular::DocumentAction::DocumentActionType)
    {23, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//261 Okular::DocumentAction::actionType() const
    {23, 349, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 3},	//262 Okular::DocumentAction::actionTip() const
    {23, 461, 0, 0, Smoke::mf_const, 44, 4},	//263 Okular::DocumentAction::documentActionType() const
    {23, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 5},	//264 Okular::DocumentAction::PageFirst (enum)
    {23, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 6},	//265 Okular::DocumentAction::PagePrev (enum)
    {23, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 7},	//266 Okular::DocumentAction::PageNext (enum)
    {23, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 8},	//267 Okular::DocumentAction::PageLast (enum)
    {23, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 9},	//268 Okular::DocumentAction::HistoryBack (enum)
    {23, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 10},	//269 Okular::DocumentAction::HistoryForward (enum)
    {23, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 11},	//270 Okular::DocumentAction::Quit (enum)
    {23, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 12},	//271 Okular::DocumentAction::Presentation (enum)
    {23, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 13},	//272 Okular::DocumentAction::EndPresentation (enum)
    {23, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 14},	//273 Okular::DocumentAction::Find (enum)
    {23, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 15},	//274 Okular::DocumentAction::GoToPage (enum)
    {23, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 16},	//275 Okular::DocumentAction::Close (enum)
    {23, 1042, 0, 0, Smoke::mf_dtor, 0, 17 },	//276 Okular::DocumentAction::~DocumentAction()
    {24, 76, 0, 0, Smoke::mf_ctor, 45, 1},	//277 Okular::DocumentInfo::DocumentInfo()
    {24, 757, 199, 3, 0, 0, 2},	//278 Okular::DocumentInfo::set(const QString&, const QString&, const QString&)
    {24, 757, 203, 2, 0, 0, 3},	//279 Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    {24, 518, 9, 1, Smoke::mf_const, 177, 4},	//280 Okular::DocumentInfo::get(const QString&) const
    {24, 520, 206, 1, Smoke::mf_static, 177, 5},	//281 Okular::DocumentInfo::getKeyString(Okular::DocumentInfo::Key)
    {24, 522, 206, 1, Smoke::mf_static, 177, 6},	//282 Okular::DocumentInfo::getKeyTitle(Okular::DocumentInfo::Key)
    {24, 76, 208, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 45, 7},	//283 Okular::DocumentInfo::DocumentInfo(const Okular::DocumentInfo&)
    {24, 757, 210, 2, 0, 0, 8},	//284 Okular::DocumentInfo::set(const QString&, const QString&)
    {24, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 9},	//285 Okular::DocumentInfo::Title (enum)
    {24, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 10},	//286 Okular::DocumentInfo::Subject (enum)
    {24, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 11},	//287 Okular::DocumentInfo::Description (enum)
    {24, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 12},	//288 Okular::DocumentInfo::Author (enum)
    {24, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 13},	//289 Okular::DocumentInfo::Creator (enum)
    {24, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 14},	//290 Okular::DocumentInfo::Producer (enum)
    {24, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 15},	//291 Okular::DocumentInfo::Copyright (enum)
    {24, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 16},	//292 Okular::DocumentInfo::Pages (enum)
    {24, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 17},	//293 Okular::DocumentInfo::CreationDate (enum)
    {24, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 18},	//294 Okular::DocumentInfo::ModificationDate (enum)
    {24, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 19},	//295 Okular::DocumentInfo::MimeType (enum)
    {24, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 20},	//296 Okular::DocumentInfo::Category (enum)
    {24, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 21},	//297 Okular::DocumentInfo::Keywords (enum)
    {24, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 22},	//298 Okular::DocumentInfo::FilePath (enum)
    {24, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 23},	//299 Okular::DocumentInfo::DocumentSize (enum)
    {24, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 24},	//300 Okular::DocumentInfo::PagesSize (enum)
    {24, 1043, 0, 0, Smoke::mf_dtor, 0, 25 },	//301 Okular::DocumentInfo::~DocumentInfo()
    {26, 79, 0, 0, Smoke::mf_ctor, 48, 1},	//302 Okular::DocumentSynopsis::DocumentSynopsis()
    {26, 79, 213, 1, Smoke::mf_ctor, 48, 2},	//303 Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    {26, 79, 215, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 3},	//304 Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    {26, 1044, 0, 0, Smoke::mf_dtor, 0, 4 },	//305 Okular::DocumentSynopsis::~DocumentSynopsis()
    {27, 81, 27, 1, Smoke::mf_ctor, 50, 1},	//306 Okular::DocumentViewport::DocumentViewport(int)
    {27, 81, 9, 1, Smoke::mf_ctor, 50, 2},	//307 Okular::DocumentViewport::DocumentViewport(const QString&)
    {27, 990, 0, 0, Smoke::mf_const, 177, 3},	//308 Okular::DocumentViewport::toString() const
    {27, 571, 0, 0, Smoke::mf_const, 259, 4},	//309 Okular::DocumentViewport::isValid() const
    {27, 637, 120, 1, Smoke::mf_const, 259, 5},	//310 Okular::DocumentViewport::operator==(const Okular::DocumentViewport&) const
    {27, 81, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 50, 6},	//311 Okular::DocumentViewport::DocumentViewport(const Okular::DocumentViewport&)
    {27, 81, 0, 0, Smoke::mf_ctor, 50, 7},	//312 Okular::DocumentViewport::DocumentViewport()
    {27, 667, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 344, 8},	//313 Okular::DocumentViewport::pageNumber() const
    {27, 875, 27, 1, Smoke::mf_attribute, 0, 9},	//314 Okular::DocumentViewport::setPageNumber(int)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 10},	//315 Okular::DocumentViewport::Center (enum)
    {27, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 51, 11},	//316 Okular::DocumentViewport::TopLeft (enum)
    {27, 1045, 0, 0, Smoke::mf_dtor, 0, 12 },	//317 Okular::DocumentViewport::~DocumentViewport()
    {28, 85, 0, 0, Smoke::mf_ctor, 52, 1},	//318 Okular::EmbeddedFile::EmbeddedFile()
    {28, 614, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 2},	//319 Okular::EmbeddedFile::name() const [pure virtual]
    {28, 446, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 3},	//320 Okular::EmbeddedFile::description() const [pure virtual]
    {28, 437, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 142, 4},	//321 Okular::EmbeddedFile::data() const [pure virtual]
    {28, 952, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 344, 5},	//322 Okular::EmbeddedFile::size() const [pure virtual]
    {28, 609, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 6},	//323 Okular::EmbeddedFile::modificationDate() const [pure virtual]
    {28, 428, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 7},	//324 Okular::EmbeddedFile::creationDate() const [pure virtual]
    {28, 85, 217, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 8},	//325 Okular::EmbeddedFile::EmbeddedFile(const Okular::EmbeddedFile&)
    {28, 1046, 0, 0, Smoke::mf_dtor, 0, 9 },	//326 Okular::EmbeddedFile::~EmbeddedFile()
    {29, 90, 210, 2, Smoke::mf_ctor, 53, 1},	//327 Okular::ExecuteAction::ExecuteAction(const QString&, const QString&)
    {29, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//328 Okular::ExecuteAction::actionType() const
    {29, 349, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 3},	//329 Okular::ExecuteAction::actionTip() const
    {29, 487, 0, 0, Smoke::mf_const, 177, 4},	//330 Okular::ExecuteAction::fileName() const
    {29, 678, 0, 0, Smoke::mf_const, 177, 5},	//331 Okular::ExecuteAction::parameters() const
    {29, 1047, 0, 0, Smoke::mf_dtor, 0, 6 },	//332 Okular::ExecuteAction::~ExecuteAction()
    {30, 92, 0, 0, Smoke::mf_ctor, 56, 1},	//333 Okular::ExportFormat::ExportFormat()
    {30, 92, 219, 2, Smoke::mf_ctor, 56, 2},	//334 Okular::ExportFormat::ExportFormat(const QString&, const KSharedPtr<KMimeType>&)
    {30, 92, 222, 3, Smoke::mf_ctor, 56, 3},	//335 Okular::ExportFormat::ExportFormat(const KIcon&, const QString&, const KSharedPtr<KMimeType>&)
    {30, 92, 226, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 4},	//336 Okular::ExportFormat::ExportFormat(const Okular::ExportFormat&)
    {30, 635, 226, 1, 0, 55, 5},	//337 Okular::ExportFormat::operator=(const Okular::ExportFormat&)
    {30, 446, 0, 0, Smoke::mf_const, 177, 6},	//338 Okular::ExportFormat::description() const
    {30, 607, 0, 0, Smoke::mf_const, 8, 7},	//339 Okular::ExportFormat::mimeType() const
    {30, 545, 0, 0, Smoke::mf_const, 6, 8},	//340 Okular::ExportFormat::icon() const
    {30, 565, 0, 0, Smoke::mf_const, 259, 9},	//341 Okular::ExportFormat::isNull() const
    {30, 958, 228, 1, Smoke::mf_static, 54, 10},	//342 Okular::ExportFormat::standardFormat(Okular::ExportFormat::StandardExportFormat)
    {30, 637, 226, 1, Smoke::mf_const, 259, 11},	//343 Okular::ExportFormat::operator==(const Okular::ExportFormat&) const
    {30, 631, 226, 1, Smoke::mf_const, 259, 12},	//344 Okular::ExportFormat::operator!=(const Okular::ExportFormat&) const
    {30, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 13},	//345 Okular::ExportFormat::PlainText (enum)
    {30, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 14},	//346 Okular::ExportFormat::PDF (enum)
    {30, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 15},	//347 Okular::ExportFormat::OpenDocumentText (enum)
    {30, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 16},	//348 Okular::ExportFormat::HTML (enum)
    {30, 1048, 0, 0, Smoke::mf_dtor, 0, 17 },	//349 Okular::ExportFormat::~ExportFormat()
    {31, 99, 0, 0, Smoke::mf_ctor, 58, 1},	//350 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation()
    {31, 99, 72, 1, Smoke::mf_ctor, 58, 2},	//351 Okular::FileAttachmentAnnotation::FileAttachmentAnnotation(const QDomNode&)
    {31, 486, 0, 0, Smoke::mf_const, 177, 3},	//352 Okular::FileAttachmentAnnotation::fileIconName() const
    {31, 805, 9, 1, 0, 0, 4},	//353 Okular::FileAttachmentAnnotation::setFileIconName(const QString&)
    {31, 474, 0, 0, Smoke::mf_const, 52, 5},	//354 Okular::FileAttachmentAnnotation::embeddedFile() const
    {31, 798, 230, 1, 0, 0, 6},	//355 Okular::FileAttachmentAnnotation::setEmbeddedFile(Okular::EmbeddedFile*)
    {31, 970, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 7},	//356 Okular::FileAttachmentAnnotation::subType() const
    {31, 965, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//357 Okular::FileAttachmentAnnotation::store(QDomNode&, QDomDocument&) const
    {31, 1049, 0, 0, Smoke::mf_dtor, 0, 9 },	//358 Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation()
    {32, 687, 232, 5, Smoke::mf_static, 344, 1},	//359 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {32, 692, 238, 3, Smoke::mf_static, 344, 2},	//360 Okular::FilePrinter::printFiles(QPrinter&, const QStringList&, Okular::FilePrinter::FileDeletePolicy)
    {32, 662, 242, 4, Smoke::mf_static, 166, 3},	//361 Okular::FilePrinter::pageList(QPrinter&, int, int, const QList<int>&)
    {32, 662, 247, 3, Smoke::mf_static, 166, 4},	//362 Okular::FilePrinter::pageList(QPrinter&, int, const QList<int>&)
    {32, 668, 247, 3, Smoke::mf_static, 177, 5},	//363 Okular::FilePrinter::pageRange(QPrinter&, int, const QList<int>&)
    {32, 665, 251, 1, Smoke::mf_static, 177, 6},	//364 Okular::FilePrinter::pageListToPageRange(const QList<int>&)
    {32, 701, 0, 0, Smoke::mf_static, 259, 7},	//365 Okular::FilePrinter::ps2pdfAvailable()
    {32, 679, 0, 0, Smoke::mf_static, 259, 8},	//366 Okular::FilePrinter::pdf2psAvailable()
    {32, 429, 0, 0, Smoke::mf_static, 259, 9},	//367 Okular::FilePrinter::cupsAvailable()
    {32, 702, 158, 1, Smoke::mf_static, 175, 10},	//368 Okular::FilePrinter::psPaperSize(QPrinter&)
    {32, 685, 27, 1, Smoke::mf_static, 80, 11},	//369 Okular::FilePrinter::printError(int)
    {32, 452, 0, 0, Smoke::mf_protected, 259, 12},	//370 Okular::FilePrinter::detectCupsService()
    {32, 451, 0, 0, Smoke::mf_protected, 259, 13},	//371 Okular::FilePrinter::detectCupsConfig()
    {32, 458, 253, 5, Smoke::mf_protected, 344, 14},	//372 Okular::FilePrinter::doPrintFiles(QPrinter&, const QStringList, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, const QString&)
    {32, 682, 259, 6, Smoke::mf_protected, 179, 15},	//373 Okular::FilePrinter::printArguments(QPrinter&, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy, bool, const QString&, const QString&)
    {32, 448, 266, 2, Smoke::mf_protected, 179, 16},	//374 Okular::FilePrinter::destination(QPrinter&, const QString&)
    {32, 424, 266, 2, Smoke::mf_protected, 179, 17},	//375 Okular::FilePrinter::copies(QPrinter&, const QString&)
    {32, 573, 266, 2, Smoke::mf_protected, 179, 18},	//376 Okular::FilePrinter::jobname(QPrinter&, const QString&)
    {32, 439, 269, 3, Smoke::mf_protected, 179, 19},	//377 Okular::FilePrinter::deleteFile(QPrinter&, Okular::FilePrinter::FileDeletePolicy, const QString&)
    {32, 675, 273, 5, Smoke::mf_protected, 179, 20},	//378 Okular::FilePrinter::pages(QPrinter&, Okular::FilePrinter::PageSelectPolicy, const QString&, bool, const QString&)
    {32, 430, 158, 1, Smoke::mf_protected, 179, 21},	//379 Okular::FilePrinter::cupsOptions(QPrinter&)
    {32, 649, 158, 1, Smoke::mf_protected, 179, 22},	//380 Okular::FilePrinter::optionMedia(QPrinter&)
    {32, 599, 158, 1, Smoke::mf_protected, 177, 23},	//381 Okular::FilePrinter::mediaPageSize(QPrinter&)
    {32, 601, 158, 1, Smoke::mf_protected, 177, 24},	//382 Okular::FilePrinter::mediaPaperSource(QPrinter&)
    {32, 651, 158, 1, Smoke::mf_protected, 179, 25},	//383 Okular::FilePrinter::optionOrientation(QPrinter&)
    {32, 647, 158, 1, Smoke::mf_protected, 179, 26},	//384 Okular::FilePrinter::optionDoubleSidedPrinting(QPrinter&)
    {32, 655, 158, 1, Smoke::mf_protected, 179, 27},	//385 Okular::FilePrinter::optionPageOrder(QPrinter&)
    {32, 643, 158, 1, Smoke::mf_protected, 179, 28},	//386 Okular::FilePrinter::optionCollateCopies(QPrinter&)
    {32, 653, 158, 1, Smoke::mf_protected, 179, 29},	//387 Okular::FilePrinter::optionPageMargins(QPrinter&)
    {32, 645, 158, 1, Smoke::mf_protected, 179, 30},	//388 Okular::FilePrinter::optionCupsProperties(QPrinter&)
    {32, 103, 0, 0, Smoke::mf_ctor, 59, 31},	//389 Okular::FilePrinter::FilePrinter()
    {32, 103, 279, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 32},	//390 Okular::FilePrinter::FilePrinter(const Okular::FilePrinter&)
    {32, 687, 281, 2, Smoke::mf_static, 344, 33},	//391 Okular::FilePrinter::printFile(QPrinter&, const QString)
    {32, 687, 284, 3, Smoke::mf_static, 344, 34},	//392 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy)
    {32, 687, 288, 4, Smoke::mf_static, 344, 35},	//393 Okular::FilePrinter::printFile(QPrinter&, const QString, Okular::FilePrinter::FileDeletePolicy, Okular::FilePrinter::PageSelectPolicy)
    {32, 692, 293, 2, Smoke::mf_static, 344, 36},	//394 Okular::FilePrinter::printFiles(QPrinter&, const QStringList&)
    {32, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 37},	//395 Okular::FilePrinter::ApplicationDeletesFiles (enum)
    {32, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 38},	//396 Okular::FilePrinter::SystemDeletesFiles (enum)
    {32, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 39},	//397 Okular::FilePrinter::ApplicationSelectsPages (enum)
    {32, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 40},	//398 Okular::FilePrinter::SystemSelectsPages (enum)
    {32, 1050, 0, 0, Smoke::mf_dtor, 0, 41 },	//399 Okular::FilePrinter::~FilePrinter()
    {33, 110, 0, 0, Smoke::mf_ctor, 63, 1},	//400 Okular::FontInfo::FontInfo()
    {33, 110, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 63, 2},	//401 Okular::FontInfo::FontInfo(const Okular::FontInfo&)
    {33, 614, 0, 0, Smoke::mf_const, 177, 3},	//402 Okular::FontInfo::name() const
    {33, 862, 9, 1, 0, 0, 4},	//403 Okular::FontInfo::setName(const QString&)
    {33, 1013, 0, 0, Smoke::mf_const, 65, 5},	//404 Okular::FontInfo::type() const
    {33, 922, 296, 1, 0, 0, 6},	//405 Okular::FontInfo::setType(Okular::FontInfo::FontType)
    {33, 473, 0, 0, Smoke::mf_const, 64, 7},	//406 Okular::FontInfo::embedType() const
    {33, 796, 298, 1, 0, 0, 8},	//407 Okular::FontInfo::setEmbedType(Okular::FontInfo::EmbedType)
    {33, 485, 0, 0, Smoke::mf_const, 177, 9},	//408 Okular::FontInfo::file() const
    {33, 803, 9, 1, 0, 0, 10},	//409 Okular::FontInfo::setFile(const QString&)
    {33, 392, 0, 0, Smoke::mf_const, 259, 11},	//410 Okular::FontInfo::canBeExtracted() const
    {33, 776, 300, 1, 0, 0, 12},	//411 Okular::FontInfo::setCanBeExtracted(bool)
    {33, 864, 33, 1, 0, 0, 13},	//412 Okular::FontInfo::setNativeId(const QVariant&)
    {33, 615, 0, 0, Smoke::mf_const, 183, 14},	//413 Okular::FontInfo::nativeId() const
    {33, 635, 165, 1, 0, 62, 15},	//414 Okular::FontInfo::operator=(const Okular::FontInfo&)
    {33, 637, 165, 1, Smoke::mf_const, 259, 16},	//415 Okular::FontInfo::operator==(const Okular::FontInfo&) const
    {33, 631, 165, 1, Smoke::mf_const, 259, 17},	//416 Okular::FontInfo::operator!=(const Okular::FontInfo&) const
    {33, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 18},	//417 Okular::FontInfo::Unknown (enum)
    {33, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 19},	//418 Okular::FontInfo::Type1 (enum)
    {33, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 20},	//419 Okular::FontInfo::Type1C (enum)
    {33, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 21},	//420 Okular::FontInfo::Type1COT (enum)
    {33, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 22},	//421 Okular::FontInfo::Type3 (enum)
    {33, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 23},	//422 Okular::FontInfo::TrueType (enum)
    {33, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 24},	//423 Okular::FontInfo::TrueTypeOT (enum)
    {33, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 25},	//424 Okular::FontInfo::CIDType0 (enum)
    {33, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 26},	//425 Okular::FontInfo::CIDType0C (enum)
    {33, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 27},	//426 Okular::FontInfo::CIDType0COT (enum)
    {33, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 28},	//427 Okular::FontInfo::CIDTrueType (enum)
    {33, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 29},	//428 Okular::FontInfo::CIDTrueTypeOT (enum)
    {33, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 30},	//429 Okular::FontInfo::TeXPK (enum)
    {33, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 31},	//430 Okular::FontInfo::TeXVirtual (enum)
    {33, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 32},	//431 Okular::FontInfo::TeXFontMetric (enum)
    {33, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 65, 33},	//432 Okular::FontInfo::TeXFreeTypeHandled (enum)
    {33, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 34},	//433 Okular::FontInfo::NotEmbedded (enum)
    {33, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 35},	//434 Okular::FontInfo::EmbeddedSubset (enum)
    {33, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 64, 36},	//435 Okular::FontInfo::FullyEmbedded (enum)
    {33, 1051, 0, 0, Smoke::mf_dtor, 0, 37 },	//436 Okular::FontInfo::~FontInfo()
    {34, 1013, 0, 0, Smoke::mf_const, 67, 1},	//437 Okular::FormField::type() const
    {34, 712, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 97, 2},	//438 Okular::FormField::rect() const [pure virtual]
    {34, 546, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 344, 3},	//439 Okular::FormField::id() const [pure virtual]
    {34, 614, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 4},	//440 Okular::FormField::name() const [pure virtual]
    {34, 1014, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 5},	//441 Okular::FormField::uiName() const [pure virtual]
    {34, 568, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 6},	//442 Okular::FormField::isReadOnly() const
    {34, 572, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 7},	//443 Okular::FormField::isVisible() const
    {34, 351, 0, 0, Smoke::mf_const, 16, 8},	//444 Okular::FormField::activationAction() const
    {34, 114, 302, 1, Smoke::mf_ctor|Smoke::mf_protected, 66, 9},	//445 Okular::FormField::FormField(Okular::FormFieldPrivate&)
    {34, 436, 0, 0, Smoke::mf_protected, 73, 10},	//446 Okular::FormField::d_func()
    {34, 436, 0, 0, Smoke::mf_const|Smoke::mf_protected, 284, 11},	//447 Okular::FormField::d_func() const
    {34, 760, 304, 1, Smoke::mf_protected, 0, 12},	//448 Okular::FormField::setActivationAction(Okular::Action*)
    {34, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 13},	//449 Okular::FormField::FormButton (enum)
    {34, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 14},	//450 Okular::FormField::FormText (enum)
    {34, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 15},	//451 Okular::FormField::FormChoice (enum)
    {34, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 16},	//452 Okular::FormField::FormSignature (enum)
    {34, 1052, 0, 0, Smoke::mf_dtor, 0, 17 },	//453 Okular::FormField::~FormField()
    {35, 389, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 69, 1},	//454 Okular::FormFieldButton::buttonType() const [pure virtual]
    {35, 402, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 2},	//455 Okular::FormFieldButton::caption() const [pure virtual]
    {35, 961, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 259, 3},	//456 Okular::FormFieldButton::state() const [pure virtual]
    {35, 906, 300, 1, Smoke::mf_virtual, 0, 4},	//457 Okular::FormFieldButton::setState(bool)
    {35, 947, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 5},	//458 Okular::FormFieldButton::siblings() const [pure virtual]
    {35, 116, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 68, 6},	//459 Okular::FormFieldButton::FormFieldButton()
    {35, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 7},	//460 Okular::FormFieldButton::Push (enum)
    {35, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 8},	//461 Okular::FormFieldButton::CheckBox (enum)
    {35, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 9},	//462 Okular::FormFieldButton::Radio (enum)
    {35, 1053, 0, 0, Smoke::mf_dtor, 0, 10 },	//463 Okular::FormFieldButton::~FormFieldButton()
    {36, 407, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 71, 1},	//464 Okular::FormFieldChoice::choiceType() const [pure virtual]
    {36, 408, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 179, 2},	//465 Okular::FormFieldChoice::choices() const [pure virtual]
    {36, 563, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 3},	//466 Okular::FormFieldChoice::isEditable() const
    {36, 613, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 4},	//467 Okular::FormFieldChoice::multiSelect() const
    {36, 432, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 166, 5},	//468 Okular::FormFieldChoice::currentChoices() const [pure virtual]
    {36, 787, 251, 1, Smoke::mf_virtual, 0, 6},	//469 Okular::FormFieldChoice::setCurrentChoices(const QList<int>&)
    {36, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 7},	//470 Okular::FormFieldChoice::textAlignment() const
    {36, 394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 8},	//471 Okular::FormFieldChoice::canBeSpellChecked() const
    {36, 117, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 70, 9},	//472 Okular::FormFieldChoice::FormFieldChoice()
    {36, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 10},	//473 Okular::FormFieldChoice::ComboBox (enum)
    {36, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 11},	//474 Okular::FormFieldChoice::ListBox (enum)
    {36, 1054, 0, 0, Smoke::mf_dtor, 0, 12 },	//475 Okular::FormFieldChoice::~FormFieldChoice()
    {38, 988, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 75, 1},	//476 Okular::FormFieldText::textType() const [pure virtual]
    {38, 976, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 177, 2},	//477 Okular::FormFieldText::text() const [pure virtual]
    {38, 908, 9, 1, Smoke::mf_virtual, 0, 3},	//478 Okular::FormFieldText::setText(const QString&)
    {38, 567, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 4},	//479 Okular::FormFieldText::isPassword() const
    {38, 570, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 5},	//480 Okular::FormFieldText::isRichText() const
    {38, 598, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 344, 6},	//481 Okular::FormFieldText::maximumLength() const
    {38, 979, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 154, 7},	//482 Okular::FormFieldText::textAlignment() const
    {38, 394, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 8},	//483 Okular::FormFieldText::canBeSpellChecked() const
    {38, 118, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 74, 9},	//484 Okular::FormFieldText::FormFieldText()
    {38, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 10},	//485 Okular::FormFieldText::Normal (enum)
    {38, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 11},	//486 Okular::FormFieldText::Multiline (enum)
    {38, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 12},	//487 Okular::FormFieldText::FileSelect (enum)
    {38, 1055, 0, 0, Smoke::mf_dtor, 0, 13 },	//488 Okular::FormFieldText::~FormFieldText()
    {39, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 325, 1},	//489 Okular::Generator::metaObject() const
    {39, 706, 80, 1, Smoke::mf_virtual, 348, 2},	//490 Okular::Generator::qt_metacast(const char*)
    {39, 993, 82, 2, Smoke::mf_static, 177, 3},	//491 Okular::Generator::tr(const char*, const char*)
    {39, 997, 82, 2, Smoke::mf_static, 177, 4},	//492 Okular::Generator::trUtf8(const char*, const char*)
    {39, 993, 85, 3, Smoke::mf_static, 177, 5},	//493 Okular::Generator::tr(const char*, const char*, int)
    {39, 997, 85, 3, Smoke::mf_static, 177, 6},	//494 Okular::Generator::trUtf8(const char*, const char*, int)
    {39, 704, 89, 3, Smoke::mf_virtual, 344, 7},	//495 Okular::Generator::qt_metacall(QMetaObject::Call, int, void**)
    {39, 122, 306, 2, Smoke::mf_ctor, 77, 8},	//496 Okular::Generator::Generator(QObject*, const QList<QVariant>&)
    {39, 589, 309, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 259, 9},	//497 Okular::Generator::loadDocument(const QString&, QVector<Okular::Page*>&) [pure virtual]
    {39, 591, 312, 2, Smoke::mf_virtual, 259, 10},	//498 Okular::Generator::loadDocumentFromData(const QByteArray&, QVector<Okular::Page*>&)
    {39, 410, 0, 0, 0, 259, 11},	//499 Okular::Generator::closeDocument()
    {39, 397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 12},	//500 Okular::Generator::canGeneratePixmap() const
    {39, 508, 315, 1, Smoke::mf_virtual, 0, 13},	//501 Okular::Generator::generatePixmap(Okular::PixmapRequest*)
    {39, 398, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 14},	//502 Okular::Generator::canGenerateTextPage() const
    {39, 510, 317, 1, Smoke::mf_virtual, 0, 15},	//503 Okular::Generator::generateTextPage(Okular::Page*)
    {39, 506, 0, 0, Smoke::mf_virtual, 276, 16},	//504 Okular::Generator::generateDocumentInfo()
    {39, 507, 0, 0, Smoke::mf_virtual, 278, 17},	//505 Okular::Generator::generateDocumentSynopsis()
    {39, 501, 27, 1, Smoke::mf_virtual, 162, 18},	//506 Okular::Generator::fontsForPage(int)
    {39, 475, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 318, 19},	//507 Okular::Generator::embeddedFiles() const
    {39, 677, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 79, 20},	//508 Okular::Generator::pagesSizeMetric() const
    {39, 560, 104, 1, Smoke::mf_const|Smoke::mf_virtual, 259, 21},	//509 Okular::Generator::isAllowed(Okular::Permission) const
    {39, 740, 319, 2, Smoke::mf_virtual, 0, 22},	//510 Okular::Generator::rotationChanged(Okular::Rotation, Okular::Rotation)
    {39, 674, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 164, 23},	//511 Okular::Generator::pageSizes() const
    {39, 670, 322, 2, Smoke::mf_virtual, 0, 24},	//512 Okular::Generator::pageSizeChanged(const Okular::PageSize&, const Okular::PageSize&)
    {39, 680, 158, 1, Smoke::mf_virtual, 259, 25},	//513 Okular::Generator::print(QPrinter&)
    {39, 603, 109, 2, Smoke::mf_const|Smoke::mf_virtual, 183, 26},	//514 Okular::Generator::metaData(const QString&, const QVariant&) const
    {39, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 161, 27},	//515 Okular::Generator::exportFormats() const
    {39, 481, 106, 2, Smoke::mf_virtual, 259, 28},	//516 Okular::Generator::exportTo(const QString&, const Okular::ExportFormat&)
    {39, 528, 325, 1, Smoke::mf_const, 259, 29},	//517 Okular::Generator::hasFeature(Okular::Generator::GeneratorFeature) const
    {39, 476, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//518 Okular::Generator::error(const QString&, int)
    {39, 1026, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//519 Okular::Generator::warning(const QString&, int)
    {39, 618, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//520 Okular::Generator::notice(const QString&, int)
    {39, 948, 315, 1, Smoke::mf_protected, 0, 33},	//521 Okular::Generator::signalPixmapRequestDone(Okular::PixmapRequest*)
    {39, 950, 327, 2, Smoke::mf_protected, 0, 34},	//522 Okular::Generator::signalTextGenerationDone(Okular::Page*, Okular::TextPage*)
    {39, 457, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 259, 35},	//523 Okular::Generator::doCloseDocument() [pure virtual]
    {39, 547, 315, 1, Smoke::mf_protected|Smoke::mf_virtual, 156, 36},	//524 Okular::Generator::image(Okular::PixmapRequest*)
    {39, 984, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 134, 37},	//525 Okular::Generator::textPage(Okular::Page*)
    {39, 460, 0, 0, Smoke::mf_const|Smoke::mf_protected, 274, 38},	//526 Okular::Generator::document() const
    {39, 800, 330, 2, Smoke::mf_protected, 0, 39},	//527 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature, bool)
    {39, 463, 109, 2, Smoke::mf_const|Smoke::mf_protected, 183, 40},	//528 Okular::Generator::documentMetaData(const QString&, const QVariant&) const
    {39, 1021, 0, 0, Smoke::mf_const|Smoke::mf_protected, 168, 41},	//529 Okular::Generator::userMutex() const
    {39, 1018, 333, 2, Smoke::mf_protected, 0, 42},	//530 Okular::Generator::updatePageBoundingBox(int, const Okular::NormalizedRect&)
    {39, 726, 336, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 43},	//531 Okular::Generator::requestFontData(const Okular::FontInfo&, QByteArray*)
    {39, 471, 170, 3, Smoke::mf_protected|Smoke::mf_slot, 300, 44},	//532 Okular::Generator::dynamicSourceReference(int, double, double)
    {39, 685, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 80, 45},	//533 Okular::Generator::printError() const
    {39, 122, 339, 3, Smoke::mf_ctor|Smoke::mf_protected, 77, 46},	//534 Okular::Generator::Generator(Okular::GeneratorPrivate&, QObject*, const QList<QVariant>&)
    {39, 436, 0, 0, Smoke::mf_protected, 82, 47},	//535 Okular::Generator::d_func()
    {39, 436, 0, 0, Smoke::mf_const|Smoke::mf_protected, 285, 48},	//536 Okular::Generator::d_func() const
    {39, 993, 80, 1, Smoke::mf_static, 177, 49},	//537 Okular::Generator::tr(const char*)
    {39, 997, 80, 1, Smoke::mf_static, 177, 50},	//538 Okular::Generator::trUtf8(const char*)
    {39, 800, 325, 1, Smoke::mf_protected, 0, 51},	//539 Okular::Generator::setFeature(Okular::Generator::GeneratorFeature)
    {39, 463, 9, 1, Smoke::mf_const|Smoke::mf_protected, 183, 52},	//540 Okular::Generator::documentMetaData(const QString&) const
    {39, 963, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 324, 53},	//541 Okular::Generator::staticMetaObject() const
    {39, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 54},	//542 Okular::Generator::Threaded (enum)
    {39, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 55},	//543 Okular::Generator::TextExtraction (enum)
    {39, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 56},	//544 Okular::Generator::ReadRawData (enum)
    {39, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 57},	//545 Okular::Generator::FontInfo (enum)
    {39, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 58},	//546 Okular::Generator::PageSizes (enum)
    {39, 241, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 59},	//547 Okular::Generator::PrintNative (enum)
    {39, 242, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 60},	//548 Okular::Generator::PrintPostscript (enum)
    {39, 243, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 61},	//549 Okular::Generator::PrintToFile (enum)
    {39, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 62},	//550 Okular::Generator::None (enum)
    {39, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 63},	//551 Okular::Generator::Points (enum)
    {39, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 64},	//552 Okular::Generator::NoPrintError (enum)
    {39, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 65},	//553 Okular::Generator::UnknownPrintError (enum)
    {39, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 66},	//554 Okular::Generator::TemporaryFileOpenPrintError (enum)
    {39, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 67},	//555 Okular::Generator::FileConversionPrintError (enum)
    {39, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 68},	//556 Okular::Generator::PrintingProcessCrashPrintError (enum)
    {39, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 69},	//557 Okular::Generator::PrintingProcessStartPrintError (enum)
    {39, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 70},	//558 Okular::Generator::PrintToFilePrintError (enum)
    {39, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 71},	//559 Okular::Generator::InvalidPrinterStatePrintError (enum)
    {39, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 72},	//560 Okular::Generator::UnableToFindFilePrintError (enum)
    {39, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 73},	//561 Okular::Generator::NoFileToPrintError (enum)
    {39, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 80, 74},	//562 Okular::Generator::NoBinaryToPrintError (enum)
    {39, 1056, 0, 0, Smoke::mf_dtor, 0, 75 },	//563 Okular::Generator::~Generator()
    {41, 125, 0, 0, Smoke::mf_ctor, 83, 1},	//564 Okular::GeomAnnotation::GeomAnnotation()
    {41, 125, 72, 1, Smoke::mf_ctor, 83, 2},	//565 Okular::GeomAnnotation::GeomAnnotation(const QDomNode&)
    {41, 815, 343, 1, 0, 0, 3},	//566 Okular::GeomAnnotation::setGeometricalType(Okular::GeomAnnotation::GeomType)
    {41, 515, 0, 0, Smoke::mf_const, 84, 4},	//567 Okular::GeomAnnotation::geometricalType() const
    {41, 811, 345, 1, 0, 0, 5},	//568 Okular::GeomAnnotation::setGeometricalInnerColor(const QColor&)
    {41, 513, 0, 0, Smoke::mf_const, 145, 6},	//569 Okular::GeomAnnotation::geometricalInnerColor() const
    {41, 813, 27, 1, 0, 0, 7},	//570 Okular::GeomAnnotation::setGeometricalPointWidth(int)
    {41, 514, 0, 0, Smoke::mf_const, 344, 8},	//571 Okular::GeomAnnotation::geometricalPointWidth() const
    {41, 970, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 9},	//572 Okular::GeomAnnotation::subType() const
    {41, 965, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 10},	//573 Okular::GeomAnnotation::store(QDomNode&, QDomDocument&) const
    {41, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 11},	//574 Okular::GeomAnnotation::InscribedSquare (enum)
    {41, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 12},	//575 Okular::GeomAnnotation::InscribedCircle (enum)
    {41, 1057, 0, 0, Smoke::mf_dtor, 0, 13 },	//576 Okular::GeomAnnotation::~GeomAnnotation()
    {42, 132, 347, 2, Smoke::mf_ctor, 85, 1},	//577 Okular::GotoAction::GotoAction(const QString&, const Okular::DocumentViewport&)
    {42, 132, 210, 2, Smoke::mf_ctor, 85, 2},	//578 Okular::GotoAction::GotoAction(const QString&, const QString&)
    {42, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 3},	//579 Okular::GotoAction::actionType() const
    {42, 349, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 4},	//580 Okular::GotoAction::actionTip() const
    {42, 564, 0, 0, Smoke::mf_const, 259, 5},	//581 Okular::GotoAction::isExternal() const
    {42, 487, 0, 0, Smoke::mf_const, 177, 6},	//582 Okular::GotoAction::fileName() const
    {42, 447, 0, 0, Smoke::mf_const, 49, 7},	//583 Okular::GotoAction::destViewport() const
    {42, 450, 0, 0, Smoke::mf_const, 177, 8},	//584 Okular::GotoAction::destinationName() const
    {42, 1058, 0, 0, Smoke::mf_dtor, 0, 9 },	//585 Okular::GotoAction::~GotoAction()
    {43, 526, 0, 0, 0, 14, 1},	//586 Okular::GuiInterface::guiClient()
    {43, 136, 0, 0, Smoke::mf_ctor, 86, 2},	//587 Okular::GuiInterface::GuiInterface()
    {43, 136, 350, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 3},	//588 Okular::GuiInterface::GuiInterface(const Okular::GuiInterface&)
    {43, 1059, 0, 0, Smoke::mf_dtor, 0, 4 },	//589 Okular::GuiInterface::~GuiInterface()
    {44, 141, 0, 0, Smoke::mf_ctor, 87, 1},	//590 Okular::HighlightAnnotation::HighlightAnnotation()
    {44, 141, 72, 1, Smoke::mf_ctor, 87, 2},	//591 Okular::HighlightAnnotation::HighlightAnnotation(const QDomNode&)
    {44, 817, 352, 1, 0, 0, 3},	//592 Okular::HighlightAnnotation::setHighlightType(Okular::HighlightAnnotation::HighlightType)
    {44, 542, 0, 0, Smoke::mf_const, 88, 4},	//593 Okular::HighlightAnnotation::highlightType() const
    {44, 541, 0, 0, 0, 163, 5},	//594 Okular::HighlightAnnotation::highlightQuads()
    {44, 970, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 6},	//595 Okular::HighlightAnnotation::subType() const
    {44, 965, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//596 Okular::HighlightAnnotation::store(QDomNode&, QDomDocument&) const
    {44, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 8},	//597 Okular::HighlightAnnotation::Highlight (enum)
    {44, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 9},	//598 Okular::HighlightAnnotation::Squiggly (enum)
    {44, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 10},	//599 Okular::HighlightAnnotation::Underline (enum)
    {44, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 11},	//600 Okular::HighlightAnnotation::StrikeOut (enum)
    {44, 1060, 0, 0, Smoke::mf_dtor, 0, 12 },	//601 Okular::HighlightAnnotation::~HighlightAnnotation()
    {45, 148, 0, 0, Smoke::mf_ctor, 89, 1},	//602 Okular::InkAnnotation::InkAnnotation()
    {45, 148, 72, 1, Smoke::mf_ctor, 89, 2},	//603 Okular::InkAnnotation::InkAnnotation(const QDomNode&)
    {45, 819, 354, 1, 0, 0, 3},	//604 Okular::InkAnnotation::setInkPaths(const QList<QLinkedList<Okular::NormalizedPoint> >&)
    {45, 551, 0, 0, Smoke::mf_const, 165, 4},	//605 Okular::InkAnnotation::inkPaths() const
    {45, 1006, 0, 0, Smoke::mf_const, 165, 5},	//606 Okular::InkAnnotation::transformedInkPaths() const
    {45, 970, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 6},	//607 Okular::InkAnnotation::subType() const
    {45, 965, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 7},	//608 Okular::InkAnnotation::store(QDomNode&, QDomDocument&) const
    {45, 1061, 0, 0, Smoke::mf_dtor, 0, 8 },	//609 Okular::InkAnnotation::~InkAnnotation()
    {46, 174, 0, 0, Smoke::mf_ctor, 90, 1},	//610 Okular::LineAnnotation::LineAnnotation()
    {46, 174, 72, 1, Smoke::mf_ctor, 90, 2},	//611 Okular::LineAnnotation::LineAnnotation(const QDomNode&)
    {46, 847, 356, 1, 0, 0, 3},	//612 Okular::LineAnnotation::setLinePoints(const QLinkedList<Okular::NormalizedPoint>&)
    {46, 583, 0, 0, Smoke::mf_const, 160, 4},	//613 Okular::LineAnnotation::linePoints() const
    {46, 1009, 0, 0, Smoke::mf_const, 160, 5},	//614 Okular::LineAnnotation::transformedLinePoints() const
    {46, 849, 358, 1, 0, 0, 6},	//615 Okular::LineAnnotation::setLineStartStyle(Okular::LineAnnotation::TermStyle)
    {46, 584, 0, 0, Smoke::mf_const, 92, 7},	//616 Okular::LineAnnotation::lineStartStyle() const
    {46, 837, 358, 1, 0, 0, 8},	//617 Okular::LineAnnotation::setLineEndStyle(Okular::LineAnnotation::TermStyle)
    {46, 578, 0, 0, Smoke::mf_const, 92, 9},	//618 Okular::LineAnnotation::lineEndStyle() const
    {46, 835, 300, 1, 0, 0, 10},	//619 Okular::LineAnnotation::setLineClosed(bool)
    {46, 577, 0, 0, Smoke::mf_const, 259, 11},	//620 Okular::LineAnnotation::lineClosed() const
    {46, 839, 345, 1, 0, 0, 12},	//621 Okular::LineAnnotation::setLineInnerColor(const QColor&)
    {46, 579, 0, 0, Smoke::mf_const, 145, 13},	//622 Okular::LineAnnotation::lineInnerColor() const
    {46, 845, 360, 1, 0, 0, 14},	//623 Okular::LineAnnotation::setLineLeadingForwardPoint(double)
    {46, 582, 0, 0, Smoke::mf_const, 342, 15},	//624 Okular::LineAnnotation::lineLeadingForwardPoint() const
    {46, 843, 360, 1, 0, 0, 16},	//625 Okular::LineAnnotation::setLineLeadingBackwardPoint(double)
    {46, 581, 0, 0, Smoke::mf_const, 342, 17},	//626 Okular::LineAnnotation::lineLeadingBackwardPoint() const
    {46, 894, 300, 1, 0, 0, 18},	//627 Okular::LineAnnotation::setShowCaption(bool)
    {46, 946, 0, 0, Smoke::mf_const, 259, 19},	//628 Okular::LineAnnotation::showCaption() const
    {46, 841, 362, 1, 0, 0, 20},	//629 Okular::LineAnnotation::setLineIntent(Okular::LineAnnotation::LineIntent)
    {46, 580, 0, 0, Smoke::mf_const, 91, 21},	//630 Okular::LineAnnotation::lineIntent() const
    {46, 970, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 22},	//631 Okular::LineAnnotation::subType() const
    {46, 965, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 23},	//632 Okular::LineAnnotation::store(QDomNode&, QDomDocument&) const
    {46, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 24},	//633 Okular::LineAnnotation::Square (enum)
    {46, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 25},	//634 Okular::LineAnnotation::Circle (enum)
    {46, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 26},	//635 Okular::LineAnnotation::Diamond (enum)
    {46, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 27},	//636 Okular::LineAnnotation::OpenArrow (enum)
    {46, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 28},	//637 Okular::LineAnnotation::ClosedArrow (enum)
    {46, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 29},	//638 Okular::LineAnnotation::None (enum)
    {46, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 30},	//639 Okular::LineAnnotation::Butt (enum)
    {46, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 31},	//640 Okular::LineAnnotation::ROpenArrow (enum)
    {46, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 32},	//641 Okular::LineAnnotation::RClosedArrow (enum)
    {46, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 33},	//642 Okular::LineAnnotation::Slash (enum)
    {46, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 34},	//643 Okular::LineAnnotation::Unknown (enum)
    {46, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 35},	//644 Okular::LineAnnotation::Arrow (enum)
    {46, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 36},	//645 Okular::LineAnnotation::Dimension (enum)
    {46, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 37},	//646 Okular::LineAnnotation::PolygonCloud (enum)
    {46, 1062, 0, 0, Smoke::mf_dtor, 0, 38 },	//647 Okular::LineAnnotation::~LineAnnotation()
    {47, 195, 0, 0, Smoke::mf_ctor, 96, 1},	//648 Okular::NormalizedPoint::NormalizedPoint()
    {47, 195, 47, 2, Smoke::mf_ctor, 96, 2},	//649 Okular::NormalizedPoint::NormalizedPoint(double, double)
    {47, 195, 364, 4, Smoke::mf_ctor, 96, 3},	//650 Okular::NormalizedPoint::NormalizedPoint(int, int, int, int)
    {47, 635, 31, 1, 0, 95, 4},	//651 Okular::NormalizedPoint::operator=(const Okular::NormalizedPoint&)
    {47, 1001, 55, 1, 0, 0, 5},	//652 Okular::NormalizedPoint::transform(const QMatrix&)
    {47, 195, 31, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 6},	//653 Okular::NormalizedPoint::NormalizedPoint(const Okular::NormalizedPoint&)
    {47, 1031, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 342, 7},	//654 Okular::NormalizedPoint::x() const
    {47, 937, 360, 1, Smoke::mf_attribute, 0, 8},	//655 Okular::NormalizedPoint::setX(double)
    {47, 1033, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 342, 9},	//656 Okular::NormalizedPoint::y() const
    {47, 941, 360, 1, Smoke::mf_attribute, 0, 10},	//657 Okular::NormalizedPoint::setY(double)
    {47, 1063, 0, 0, Smoke::mf_dtor, 0, 11 },	//658 Okular::NormalizedPoint::~NormalizedPoint()
    {48, 199, 0, 0, Smoke::mf_ctor, 99, 1},	//659 Okular::NormalizedRect::NormalizedRect()
    {48, 199, 50, 4, Smoke::mf_ctor, 99, 2},	//660 Okular::NormalizedRect::NormalizedRect(double, double, double, double)
    {48, 199, 369, 3, Smoke::mf_ctor, 99, 3},	//661 Okular::NormalizedRect::NormalizedRect(const QRect&, double, double)
    {48, 199, 29, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 4},	//662 Okular::NormalizedRect::NormalizedRect(const Okular::NormalizedRect&)
    {48, 635, 29, 1, 0, 98, 5},	//663 Okular::NormalizedRect::operator=(const Okular::NormalizedRect&)
    {48, 504, 373, 1, Smoke::mf_static, 97, 6},	//664 Okular::NormalizedRect::fromQRectF(const QRectF&)
    {48, 565, 0, 0, Smoke::mf_const, 259, 7},	//665 Okular::NormalizedRect::isNull() const
    {48, 415, 47, 2, Smoke::mf_const, 259, 8},	//666 Okular::NormalizedRect::contains(double, double) const
    {48, 557, 29, 1, Smoke::mf_const, 259, 9},	//667 Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    {48, 557, 375, 1, Smoke::mf_const, 259, 10},	//668 Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    {48, 557, 50, 4, Smoke::mf_const, 259, 11},	//669 Okular::NormalizedRect::intersects(double, double, double, double) const
    {48, 516, 122, 2, Smoke::mf_const, 173, 12},	//670 Okular::NormalizedRect::geometry(int, int) const
    {48, 639, 29, 1, Smoke::mf_const, 97, 13},	//671 Okular::NormalizedRect::operator|(const Okular::NormalizedRect&) const
    {48, 641, 29, 1, 0, 98, 14},	//672 Okular::NormalizedRect::operator|=(const Okular::NormalizedRect&)
    {48, 633, 29, 1, Smoke::mf_const, 97, 15},	//673 Okular::NormalizedRect::operator&(const Okular::NormalizedRect&) const
    {48, 637, 29, 1, Smoke::mf_const, 259, 16},	//674 Okular::NormalizedRect::operator==(const Okular::NormalizedRect&) const
    {48, 404, 0, 0, Smoke::mf_const, 94, 17},	//675 Okular::NormalizedRect::center() const
    {48, 1001, 55, 1, 0, 0, 18},	//676 Okular::NormalizedRect::transform(const QMatrix&)
    {48, 576, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 342, 19},	//677 Okular::NormalizedRect::left() const
    {48, 833, 360, 1, Smoke::mf_attribute, 0, 20},	//678 Okular::NormalizedRect::setLeft(double)
    {48, 991, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 342, 21},	//679 Okular::NormalizedRect::top() const
    {48, 918, 360, 1, Smoke::mf_attribute, 0, 22},	//680 Okular::NormalizedRect::setTop(double)
    {48, 736, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 342, 23},	//681 Okular::NormalizedRect::right() const
    {48, 886, 360, 1, Smoke::mf_attribute, 0, 24},	//682 Okular::NormalizedRect::setRight(double)
    {48, 384, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 342, 25},	//683 Okular::NormalizedRect::bottom() const
    {48, 770, 360, 1, Smoke::mf_attribute, 0, 26},	//684 Okular::NormalizedRect::setBottom(double)
    {48, 1064, 0, 0, Smoke::mf_dtor, 0, 27 },	//685 Okular::NormalizedRect::~NormalizedRect()
    {49, 205, 377, 7, Smoke::mf_ctor, 100, 1},	//686 Okular::ObjectRect::ObjectRect(double, double, double, double, bool, Okular::ObjectRect::ObjectType, void*)
    {49, 205, 385, 4, Smoke::mf_ctor, 100, 2},	//687 Okular::ObjectRect::ObjectRect(const Okular::NormalizedRect&, bool, Okular::ObjectRect::ObjectType, void*)
    {49, 205, 390, 3, Smoke::mf_ctor, 100, 3},	//688 Okular::ObjectRect::ObjectRect(const QPolygonF&, Okular::ObjectRect::ObjectType, void*)
    {49, 624, 0, 0, Smoke::mf_const, 101, 4},	//689 Okular::ObjectRect::objectType() const
    {49, 621, 0, 0, Smoke::mf_const, 341, 5},	//690 Okular::ObjectRect::object() const
    {49, 713, 0, 0, Smoke::mf_const, 327, 6},	//691 Okular::ObjectRect::region() const
    {49, 386, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 173, 7},	//692 Okular::ObjectRect::boundingRect(double, double) const
    {49, 415, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 259, 8},	//693 Okular::ObjectRect::contains(double, double, double, double) const
    {49, 1001, 55, 1, Smoke::mf_virtual, 0, 9},	//694 Okular::ObjectRect::transform(const QMatrix&)
    {49, 455, 50, 4, Smoke::mf_const, 342, 10},	//695 Okular::ObjectRect::distanceSqr(double, double, double, double) const
    {49, 205, 394, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 100, 11},	//696 Okular::ObjectRect::ObjectRect(const Okular::ObjectRect&)
    {49, 595, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 101, 12},	//697 Okular::ObjectRect::m_objectType() const
    {49, 854, 396, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//698 Okular::ObjectRect::setM_objectType(Okular::ObjectRect::ObjectType)
    {49, 594, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 348, 14},	//699 Okular::ObjectRect::m_object() const
    {49, 852, 398, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//700 Okular::ObjectRect::setM_object(void*)
    {49, 596, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 170, 16},	//701 Okular::ObjectRect::m_path() const
    {49, 856, 400, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 17},	//702 Okular::ObjectRect::setM_path(const QPainterPath&)
    {49, 597, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 170, 18},	//703 Okular::ObjectRect::m_transformedPath() const
    {49, 858, 400, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//704 Okular::ObjectRect::setM_transformedPath(const QPainterPath&)
    {49, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 20},	//705 Okular::ObjectRect::Action (enum)
    {49, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 21},	//706 Okular::ObjectRect::Image (enum)
    {49, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 22},	//707 Okular::ObjectRect::OAnnotation (enum)
    {49, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 23},	//708 Okular::ObjectRect::SourceRef (enum)
    {49, 1065, 0, 0, Smoke::mf_dtor, 0, 24 },	//709 Okular::ObjectRect::~ObjectRect()
    {50, 216, 402, 4, Smoke::mf_ctor, 102, 1},	//710 Okular::Page::Page(unsigned int, double, double, Okular::Rotation)
    {50, 620, 0, 0, Smoke::mf_const, 344, 2},	//711 Okular::Page::number() const
    {50, 657, 0, 0, Smoke::mf_const, 116, 3},	//712 Okular::Page::orientation() const
    {50, 739, 0, 0, Smoke::mf_const, 116, 4},	//713 Okular::Page::rotation() const
    {50, 992, 0, 0, Smoke::mf_const, 116, 5},	//714 Okular::Page::totalOrientation() const
    {50, 1029, 0, 0, Smoke::mf_const, 342, 6},	//715 Okular::Page::width() const
    {50, 540, 0, 0, Smoke::mf_const, 342, 7},	//716 Okular::Page::height() const
    {50, 709, 0, 0, Smoke::mf_const, 342, 8},	//717 Okular::Page::ratio() const
    {50, 385, 0, 0, Smoke::mf_const, 97, 9},	//718 Okular::Page::boundingBox() const
    {50, 562, 0, 0, Smoke::mf_const, 259, 10},	//719 Okular::Page::isBoundingBoxKnown() const
    {50, 772, 29, 1, 0, 0, 11},	//720 Okular::Page::setBoundingBox(const Okular::NormalizedRect&)
    {50, 534, 407, 3, Smoke::mf_const, 259, 12},	//721 Okular::Page::hasPixmap(int, int, int) const
    {50, 538, 0, 0, Smoke::mf_const, 259, 13},	//722 Okular::Page::hasTextPage() const
    {50, 532, 50, 4, Smoke::mf_const, 259, 14},	//723 Okular::Page::hasObjectRect(double, double, double, double) const
    {50, 530, 27, 1, Smoke::mf_const, 259, 15},	//724 Okular::Page::hasHighlights(int) const
    {50, 539, 0, 0, Smoke::mf_const, 259, 16},	//725 Okular::Page::hasTransition() const
    {50, 527, 0, 0, Smoke::mf_const, 259, 17},	//726 Okular::Page::hasAnnotations() const
    {50, 492, 411, 5, Smoke::mf_const, 115, 18},	//727 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*) const
    {50, 976, 417, 1, Smoke::mf_const, 177, 19},	//728 Okular::Page::text(const Okular::RegularAreaRect*) const
    {50, 976, 419, 2, Smoke::mf_const, 177, 20},	//729 Okular::Page::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {50, 980, 422, 1, Smoke::mf_const, 115, 21},	//730 Okular::Page::textArea(Okular::TextSelection*) const
    {50, 622, 424, 5, Smoke::mf_const, 291, 22},	//731 Okular::Page::objectRect(Okular::ObjectRect::ObjectType, double, double, double, double) const
    {50, 616, 430, 6, Smoke::mf_const, 291, 23},	//732 Okular::Page::nearestObjectRect(Okular::ObjectRect::ObjectType, double, double, double, double, double*) const
    {50, 1010, 0, 0, Smoke::mf_const, 295, 24},	//733 Okular::Page::transition() const
    {50, 374, 0, 0, Smoke::mf_const, 157, 25},	//734 Okular::Page::annotations() const
    {50, 660, 437, 1, Smoke::mf_const, 265, 26},	//735 Okular::Page::pageAction(Okular::Page::PageAction) const
    {50, 503, 0, 0, Smoke::mf_const, 159, 27},	//736 Okular::Page::formFields() const
    {50, 881, 439, 2, 0, 0, 28},	//737 Okular::Page::setPixmap(int, QPixmap*)
    {50, 914, 442, 1, 0, 0, 29},	//738 Okular::Page::setTextPage(Okular::TextPage*)
    {50, 871, 444, 1, 0, 0, 30},	//739 Okular::Page::setObjectRects(const QLinkedList<Okular::ObjectRect*>&)
    {50, 902, 446, 1, 0, 0, 31},	//740 Okular::Page::setSourceReferences(const QLinkedList<Okular::SourceRefObjectRect*>&)
    {50, 794, 360, 1, 0, 0, 32},	//741 Okular::Page::setDuration(double)
    {50, 470, 0, 0, Smoke::mf_const, 342, 33},	//742 Okular::Page::duration() const
    {50, 831, 9, 1, 0, 0, 34},	//743 Okular::Page::setLabel(const QString&)
    {50, 575, 0, 0, Smoke::mf_const, 177, 35},	//744 Okular::Page::label() const
    {50, 986, 0, 0, Smoke::mf_const, 298, 36},	//745 Okular::Page::textSelection() const
    {50, 987, 0, 0, Smoke::mf_const, 145, 37},	//746 Okular::Page::textSelectionColor() const
    {50, 354, 45, 1, 0, 0, 38},	//747 Okular::Page::addAnnotation(Okular::Annotation*)
    {50, 716, 45, 1, 0, 259, 39},	//748 Okular::Page::removeAnnotation(Okular::Annotation*)
    {50, 920, 448, 1, 0, 0, 40},	//749 Okular::Page::setTransition(Okular::PageTransition*)
    {50, 873, 450, 2, 0, 0, 41},	//750 Okular::Page::setPageAction(Okular::Page::PageAction, Okular::Action*)
    {50, 809, 453, 1, 0, 0, 42},	//751 Okular::Page::setFormFields(const QLinkedList<Okular::FormField*>&)
    {50, 441, 27, 1, 0, 0, 43},	//752 Okular::Page::deletePixmap(int)
    {50, 443, 0, 0, 0, 0, 44},	//753 Okular::Page::deletePixmaps()
    {50, 444, 0, 0, 0, 0, 45},	//754 Okular::Page::deleteRects()
    {50, 445, 0, 0, 0, 0, 46},	//755 Okular::Page::deleteSourceReferences()
    {50, 438, 0, 0, 0, 0, 47},	//756 Okular::Page::deleteAnnotations()
    {50, 534, 27, 1, Smoke::mf_const, 259, 48},	//757 Okular::Page::hasPixmap(int) const
    {50, 534, 122, 2, Smoke::mf_const, 259, 49},	//758 Okular::Page::hasPixmap(int, int) const
    {50, 530, 0, 0, Smoke::mf_const, 259, 50},	//759 Okular::Page::hasHighlights() const
    {50, 492, 455, 4, Smoke::mf_const, 115, 51},	//760 Okular::Page::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity) const
    {50, 976, 0, 0, Smoke::mf_const, 177, 52},	//761 Okular::Page::text() const
    {50, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 53},	//762 Okular::Page::Opening (enum)
    {50, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 54},	//763 Okular::Page::Closing (enum)
    {50, 1066, 0, 0, Smoke::mf_dtor, 0, 55 },	//764 Okular::Page::~Page()
    {51, 222, 0, 0, Smoke::mf_ctor, 105, 1},	//765 Okular::PageSize::PageSize()
    {51, 222, 460, 3, Smoke::mf_ctor, 105, 2},	//766 Okular::PageSize::PageSize(double, double, const QString&)
    {51, 222, 174, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 105, 3},	//767 Okular::PageSize::PageSize(const Okular::PageSize&)
    {51, 1029, 0, 0, Smoke::mf_const, 342, 4},	//768 Okular::PageSize::width() const
    {51, 540, 0, 0, Smoke::mf_const, 342, 5},	//769 Okular::PageSize::height() const
    {51, 614, 0, 0, Smoke::mf_const, 177, 6},	//770 Okular::PageSize::name() const
    {51, 565, 0, 0, Smoke::mf_const, 259, 7},	//771 Okular::PageSize::isNull() const
    {51, 635, 174, 1, 0, 104, 8},	//772 Okular::PageSize::operator=(const Okular::PageSize&)
    {51, 637, 174, 1, Smoke::mf_const, 259, 9},	//773 Okular::PageSize::operator==(const Okular::PageSize&) const
    {51, 631, 174, 1, Smoke::mf_const, 259, 10},	//774 Okular::PageSize::operator!=(const Okular::PageSize&) const
    {51, 1067, 0, 0, Smoke::mf_dtor, 0, 11 },	//775 Okular::PageSize::~PageSize()
    {52, 226, 464, 1, Smoke::mf_ctor, 107, 1},	//776 Okular::PageTransition::PageTransition(Okular::PageTransition::Type)
    {52, 226, 466, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//777 Okular::PageTransition::PageTransition(const Okular::PageTransition&)
    {52, 635, 466, 1, 0, 106, 3},	//778 Okular::PageTransition::operator=(const Okular::PageTransition&)
    {52, 1013, 0, 0, Smoke::mf_const, 110, 4},	//779 Okular::PageTransition::type() const
    {52, 470, 0, 0, Smoke::mf_const, 344, 5},	//780 Okular::PageTransition::duration() const
    {52, 368, 0, 0, Smoke::mf_const, 108, 6},	//781 Okular::PageTransition::alignment() const
    {52, 453, 0, 0, Smoke::mf_const, 109, 7},	//782 Okular::PageTransition::direction() const
    {52, 370, 0, 0, Smoke::mf_const, 344, 8},	//783 Okular::PageTransition::angle() const
    {52, 749, 0, 0, Smoke::mf_const, 342, 9},	//784 Okular::PageTransition::scale() const
    {52, 569, 0, 0, Smoke::mf_const, 259, 10},	//785 Okular::PageTransition::isRectangular() const
    {52, 922, 464, 1, 0, 0, 11},	//786 Okular::PageTransition::setType(Okular::PageTransition::Type)
    {52, 794, 27, 1, 0, 0, 12},	//787 Okular::PageTransition::setDuration(int)
    {52, 762, 468, 1, 0, 0, 13},	//788 Okular::PageTransition::setAlignment(Okular::PageTransition::Alignment)
    {52, 790, 470, 1, 0, 0, 14},	//789 Okular::PageTransition::setDirection(Okular::PageTransition::Direction)
    {52, 764, 27, 1, 0, 0, 15},	//790 Okular::PageTransition::setAngle(int)
    {52, 892, 360, 1, 0, 0, 16},	//791 Okular::PageTransition::setScale(double)
    {52, 829, 300, 1, 0, 0, 17},	//792 Okular::PageTransition::setIsRectangular(bool)
    {52, 226, 0, 0, Smoke::mf_ctor, 107, 18},	//793 Okular::PageTransition::PageTransition()
    {52, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 19},	//794 Okular::PageTransition::Replace (enum)
    {52, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 20},	//795 Okular::PageTransition::Split (enum)
    {52, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 21},	//796 Okular::PageTransition::Blinds (enum)
    {52, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 22},	//797 Okular::PageTransition::Box (enum)
    {52, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 23},	//798 Okular::PageTransition::Wipe (enum)
    {52, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 24},	//799 Okular::PageTransition::Dissolve (enum)
    {52, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 25},	//800 Okular::PageTransition::Glitter (enum)
    {52, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 26},	//801 Okular::PageTransition::Fly (enum)
    {52, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 27},	//802 Okular::PageTransition::Push (enum)
    {52, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 28},	//803 Okular::PageTransition::Cover (enum)
    {52, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 29},	//804 Okular::PageTransition::Uncover (enum)
    {52, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 30},	//805 Okular::PageTransition::Fade (enum)
    {52, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 31},	//806 Okular::PageTransition::Horizontal (enum)
    {52, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 108, 32},	//807 Okular::PageTransition::Vertical (enum)
    {52, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 33},	//808 Okular::PageTransition::Inward (enum)
    {52, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 34},	//809 Okular::PageTransition::Outward (enum)
    {52, 1068, 0, 0, Smoke::mf_dtor, 0, 35 },	//810 Okular::PageTransition::~PageTransition()
    {53, 231, 472, 6, Smoke::mf_ctor, 112, 1},	//811 Okular::PixmapRequest::PixmapRequest(int, int, int, int, int, bool)
    {53, 546, 0, 0, Smoke::mf_const, 344, 2},	//812 Okular::PixmapRequest::id() const
    {53, 667, 0, 0, Smoke::mf_const, 344, 3},	//813 Okular::PixmapRequest::pageNumber() const
    {53, 1029, 0, 0, Smoke::mf_const, 344, 4},	//814 Okular::PixmapRequest::width() const
    {53, 540, 0, 0, Smoke::mf_const, 344, 5},	//815 Okular::PixmapRequest::height() const
    {53, 696, 0, 0, Smoke::mf_const, 344, 6},	//816 Okular::PixmapRequest::priority() const
    {53, 378, 0, 0, Smoke::mf_const, 259, 7},	//817 Okular::PixmapRequest::asynchronous() const
    {53, 658, 0, 0, Smoke::mf_const, 102, 8},	//818 Okular::PixmapRequest::page() const
    {53, 1069, 0, 0, Smoke::mf_dtor, 0, 9 },	//819 Okular::PixmapRequest::~PixmapRequest()
    {54, 684, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 185, 1},	//820 Okular::PrintInterface::printConfigurationWidget() const [pure virtual]
    {54, 239, 0, 0, Smoke::mf_ctor, 113, 2},	//821 Okular::PrintInterface::PrintInterface()
    {54, 239, 479, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 113, 3},	//822 Okular::PrintInterface::PrintInterface(const Okular::PrintInterface&)
    {54, 1070, 0, 0, Smoke::mf_dtor, 0, 4 },	//823 Okular::PrintInterface::~PrintInterface()
    {55, 265, 0, 0, Smoke::mf_ctor, 115, 1},	//824 Okular::RegularAreaRect::RegularAreaRect()
    {55, 265, 481, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 115, 2},	//825 Okular::RegularAreaRect::RegularAreaRect(const Okular::RegularAreaRect&)
    {55, 635, 481, 1, 0, 114, 3},	//826 Okular::RegularAreaRect::operator=(const Okular::RegularAreaRect&)
    {55, 1071, 0, 0, Smoke::mf_dtor, 0, 4 },	//827 Okular::RegularAreaRect::~RegularAreaRect()
    {56, 272, 483, 2, Smoke::mf_ctor, 117, 1},	//828 Okular::ScriptAction::ScriptAction(Okular::ScriptType, const QString&)
    {56, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//829 Okular::ScriptAction::actionType() const
    {56, 349, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 3},	//830 Okular::ScriptAction::actionTip() const
    {56, 751, 0, 0, Smoke::mf_const, 118, 4},	//831 Okular::ScriptAction::scriptType() const
    {56, 750, 0, 0, Smoke::mf_const, 177, 5},	//832 Okular::ScriptAction::script() const
    {56, 1072, 0, 0, Smoke::mf_dtor, 0, 6 },	//833 Okular::ScriptAction::~ScriptAction()
    {57, 278, 486, 1, Smoke::mf_ctor, 120, 1},	//834 Okular::Sound::Sound(const QByteArray&)
    {57, 278, 9, 1, Smoke::mf_ctor, 120, 2},	//835 Okular::Sound::Sound(const QString&)
    {57, 956, 0, 0, Smoke::mf_const, 122, 3},	//836 Okular::Sound::soundType() const
    {57, 1020, 0, 0, Smoke::mf_const, 177, 4},	//837 Okular::Sound::url() const
    {57, 437, 0, 0, Smoke::mf_const, 142, 5},	//838 Okular::Sound::data() const
    {57, 890, 360, 1, 0, 0, 6},	//839 Okular::Sound::setSamplingRate(double)
    {57, 743, 0, 0, Smoke::mf_const, 342, 7},	//840 Okular::Sound::samplingRate() const
    {57, 780, 27, 1, 0, 0, 8},	//841 Okular::Sound::setChannels(int)
    {57, 405, 0, 0, Smoke::mf_const, 344, 9},	//842 Okular::Sound::channels() const
    {57, 768, 27, 1, 0, 0, 10},	//843 Okular::Sound::setBitsPerSample(int)
    {57, 380, 0, 0, Smoke::mf_const, 344, 11},	//844 Okular::Sound::bitsPerSample() const
    {57, 898, 488, 1, 0, 0, 12},	//845 Okular::Sound::setSoundEncoding(Okular::Sound::SoundEncoding)
    {57, 954, 0, 0, Smoke::mf_const, 121, 13},	//846 Okular::Sound::soundEncoding() const
    {57, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 14},	//847 Okular::Sound::External (enum)
    {57, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 15},	//848 Okular::Sound::Embedded (enum)
    {57, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 16},	//849 Okular::Sound::Raw (enum)
    {57, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 17},	//850 Okular::Sound::Signed (enum)
    {57, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 18},	//851 Okular::Sound::muLaw (enum)
    {57, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 19},	//852 Okular::Sound::ALaw (enum)
    {57, 1073, 0, 0, Smoke::mf_dtor, 0, 20 },	//853 Okular::Sound::~Sound()
    {58, 281, 490, 5, Smoke::mf_ctor, 123, 1},	//854 Okular::SoundAction::SoundAction(double, bool, bool, bool, Okular::Sound*)
    {58, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 17, 2},	//855 Okular::SoundAction::actionType() const
    {58, 349, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 177, 3},	//856 Okular::SoundAction::actionTip() const
    {58, 1025, 0, 0, Smoke::mf_const, 342, 4},	//857 Okular::SoundAction::volume() const
    {58, 975, 0, 0, Smoke::mf_const, 259, 5},	//858 Okular::SoundAction::synchronous() const
    {58, 725, 0, 0, Smoke::mf_const, 259, 6},	//859 Okular::SoundAction::repeat() const
    {58, 608, 0, 0, Smoke::mf_const, 259, 7},	//860 Okular::SoundAction::mix() const
    {58, 953, 0, 0, Smoke::mf_const, 120, 8},	//861 Okular::SoundAction::sound() const
    {58, 1074, 0, 0, Smoke::mf_dtor, 0, 9 },	//862 Okular::SoundAction::~SoundAction()
    {59, 283, 0, 0, Smoke::mf_ctor, 124, 1},	//863 Okular::SoundAnnotation::SoundAnnotation()
    {59, 283, 72, 1, Smoke::mf_ctor, 124, 2},	//864 Okular::SoundAnnotation::SoundAnnotation(const QDomNode&)
    {59, 955, 0, 0, Smoke::mf_const, 177, 3},	//865 Okular::SoundAnnotation::soundIconName() const
    {59, 900, 9, 1, 0, 0, 4},	//866 Okular::SoundAnnotation::setSoundIconName(const QString&)
    {59, 953, 0, 0, Smoke::mf_const, 120, 5},	//867 Okular::SoundAnnotation::sound() const
    {59, 896, 496, 1, 0, 0, 6},	//868 Okular::SoundAnnotation::setSound(Okular::Sound*)
    {59, 970, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 7},	//869 Okular::SoundAnnotation::subType() const
    {59, 965, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 8},	//870 Okular::SoundAnnotation::store(QDomNode&, QDomDocument&) const
    {59, 1075, 0, 0, Smoke::mf_dtor, 0, 9 },	//871 Okular::SoundAnnotation::~SoundAnnotation()
    {60, 286, 498, 2, Smoke::mf_ctor, 125, 1},	//872 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::NormalizedPoint&, void*)
    {60, 386, 47, 2, Smoke::mf_const|Smoke::mf_virtual, 173, 2},	//873 Okular::SourceRefObjectRect::boundingRect(double, double) const
    {60, 415, 50, 4, Smoke::mf_const|Smoke::mf_virtual, 259, 3},	//874 Okular::SourceRefObjectRect::contains(double, double, double, double) const
    {60, 286, 501, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 125, 4},	//875 Okular::SourceRefObjectRect::SourceRefObjectRect(const Okular::SourceRefObjectRect&)
    {60, 1076, 0, 0, Smoke::mf_dtor, 0, 5 },	//876 Okular::SourceRefObjectRect::~SourceRefObjectRect()
    {61, 289, 503, 3, Smoke::mf_ctor, 126, 1},	//877 Okular::SourceReference::SourceReference(const QString&, int, int)
    {61, 487, 0, 0, Smoke::mf_const, 177, 2},	//878 Okular::SourceReference::fileName() const
    {61, 742, 0, 0, Smoke::mf_const, 344, 3},	//879 Okular::SourceReference::row() const
    {61, 411, 0, 0, Smoke::mf_const, 344, 4},	//880 Okular::SourceReference::column() const
    {61, 289, 178, 2, Smoke::mf_ctor, 126, 5},	//881 Okular::SourceReference::SourceReference(const QString&, int)
    {61, 1077, 0, 0, Smoke::mf_dtor, 0, 6 },	//882 Okular::SourceReference::~SourceReference()
    {62, 295, 0, 0, Smoke::mf_ctor, 127, 1},	//883 Okular::StampAnnotation::StampAnnotation()
    {62, 295, 72, 1, Smoke::mf_ctor, 127, 2},	//884 Okular::StampAnnotation::StampAnnotation(const QDomNode&)
    {62, 904, 9, 1, 0, 0, 3},	//885 Okular::StampAnnotation::setStampIconName(const QString&)
    {62, 957, 0, 0, Smoke::mf_const, 177, 4},	//886 Okular::StampAnnotation::stampIconName() const
    {62, 970, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 5},	//887 Okular::StampAnnotation::subType() const
    {62, 965, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 6},	//888 Okular::StampAnnotation::store(QDomNode&, QDomDocument&) const
    {62, 1078, 0, 0, Smoke::mf_dtor, 0, 7 },	//889 Okular::StampAnnotation::~StampAnnotation()
    {63, 308, 0, 0, Smoke::mf_ctor, 128, 1},	//890 Okular::TextAnnotation::TextAnnotation()
    {63, 308, 72, 1, Smoke::mf_ctor, 128, 2},	//891 Okular::TextAnnotation::TextAnnotation(const QDomNode&)
    {63, 916, 507, 1, 0, 0, 3},	//892 Okular::TextAnnotation::setTextType(Okular::TextAnnotation::TextType)
    {63, 988, 0, 0, Smoke::mf_const, 130, 4},	//893 Okular::TextAnnotation::textType() const
    {63, 912, 9, 1, 0, 0, 5},	//894 Okular::TextAnnotation::setTextIcon(const QString&)
    {63, 983, 0, 0, Smoke::mf_const, 177, 6},	//895 Okular::TextAnnotation::textIcon() const
    {63, 910, 509, 1, 0, 0, 7},	//896 Okular::TextAnnotation::setTextFont(const QFont&)
    {63, 982, 0, 0, Smoke::mf_const, 155, 8},	//897 Okular::TextAnnotation::textFont() const
    {63, 821, 27, 1, 0, 0, 9},	//898 Okular::TextAnnotation::setInplaceAlignment(int)
    {63, 552, 0, 0, Smoke::mf_const, 344, 10},	//899 Okular::TextAnnotation::inplaceAlignment() const
    {63, 827, 9, 1, 0, 0, 11},	//900 Okular::TextAnnotation::setInplaceText(const QString&)
    {63, 556, 0, 0, Smoke::mf_const, 177, 12},	//901 Okular::TextAnnotation::inplaceText() const
    {63, 823, 511, 2, 0, 0, 13},	//902 Okular::TextAnnotation::setInplaceCallout(const Okular::NormalizedPoint&, int)
    {63, 553, 27, 1, Smoke::mf_const, 94, 14},	//903 Okular::TextAnnotation::inplaceCallout(int) const
    {63, 1007, 27, 1, Smoke::mf_const, 94, 15},	//904 Okular::TextAnnotation::transformedInplaceCallout(int) const
    {63, 825, 514, 1, 0, 0, 16},	//905 Okular::TextAnnotation::setInplaceIntent(Okular::TextAnnotation::InplaceIntent)
    {63, 555, 0, 0, Smoke::mf_const, 129, 17},	//906 Okular::TextAnnotation::inplaceIntent() const
    {63, 970, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 18},	//907 Okular::TextAnnotation::subType() const
    {63, 965, 37, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 19},	//908 Okular::TextAnnotation::store(QDomNode&, QDomDocument&) const
    {63, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 20},	//909 Okular::TextAnnotation::Linked (enum)
    {63, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 21},	//910 Okular::TextAnnotation::InPlace (enum)
    {63, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 22},	//911 Okular::TextAnnotation::Unknown (enum)
    {63, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 23},	//912 Okular::TextAnnotation::Callout (enum)
    {63, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 24},	//913 Okular::TextAnnotation::TypeWriter (enum)
    {63, 1079, 0, 0, Smoke::mf_dtor, 0, 25 },	//914 Okular::TextAnnotation::~TextAnnotation()
    {64, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 325, 1},	//915 Okular::TextDocumentConverter::metaObject() const
    {64, 706, 80, 1, Smoke::mf_virtual, 348, 2},	//916 Okular::TextDocumentConverter::qt_metacast(const char*)
    {64, 993, 82, 2, Smoke::mf_static, 177, 3},	//917 Okular::TextDocumentConverter::tr(const char*, const char*)
    {64, 997, 82, 2, Smoke::mf_static, 177, 4},	//918 Okular::TextDocumentConverter::trUtf8(const char*, const char*)
    {64, 993, 85, 3, Smoke::mf_static, 177, 5},	//919 Okular::TextDocumentConverter::tr(const char*, const char*, int)
    {64, 997, 85, 3, Smoke::mf_static, 177, 6},	//920 Okular::TextDocumentConverter::trUtf8(const char*, const char*, int)
    {64, 704, 89, 3, Smoke::mf_virtual, 344, 7},	//921 Okular::TextDocumentConverter::qt_metacall(QMetaObject::Call, int, void**)
    {64, 310, 0, 0, Smoke::mf_ctor, 131, 8},	//922 Okular::TextDocumentConverter::TextDocumentConverter()
    {64, 422, 9, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 181, 9},	//923 Okular::TextDocumentConverter::convert(const QString&) [pure virtual]
    {64, 352, 516, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//924 Okular::TextDocumentConverter::addAction(Okular::Action*, int, int)
    {64, 354, 520, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//925 Okular::TextDocumentConverter::addAnnotation(Okular::Annotation*, int, int)
    {64, 366, 524, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//926 Okular::TextDocumentConverter::addTitle(int, const QString&, const QTextBlock&)
    {64, 357, 199, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//927 Okular::TextDocumentConverter::addMetaData(const QString&, const QString&, const QString&)
    {64, 357, 203, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//928 Okular::TextDocumentConverter::addMetaData(Okular::DocumentInfo::Key, const QString&)
    {64, 476, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//929 Okular::TextDocumentConverter::error(const QString&, int)
    {64, 1026, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//930 Okular::TextDocumentConverter::warning(const QString&, int)
    {64, 618, 178, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//931 Okular::TextDocumentConverter::notice(const QString&, int)
    {64, 390, 528, 2, Smoke::mf_protected, 49, 18},	//932 Okular::TextDocumentConverter::calculateViewport(QTextDocument*, const QTextBlock&)
    {64, 512, 0, 0, Smoke::mf_const|Smoke::mf_protected, 132, 19},	//933 Okular::TextDocumentConverter::generator() const
    {64, 993, 80, 1, Smoke::mf_static, 177, 20},	//934 Okular::TextDocumentConverter::tr(const char*)
    {64, 997, 80, 1, Smoke::mf_static, 177, 21},	//935 Okular::TextDocumentConverter::trUtf8(const char*)
    {64, 963, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 324, 22},	//936 Okular::TextDocumentConverter::staticMetaObject() const
    {64, 1080, 0, 0, Smoke::mf_dtor, 0, 23 },	//937 Okular::TextDocumentConverter::~TextDocumentConverter()
    {65, 606, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 325, 1},	//938 Okular::TextDocumentGenerator::metaObject() const
    {65, 706, 80, 1, Smoke::mf_virtual, 348, 2},	//939 Okular::TextDocumentGenerator::qt_metacast(const char*)
    {65, 993, 82, 2, Smoke::mf_static, 177, 3},	//940 Okular::TextDocumentGenerator::tr(const char*, const char*)
    {65, 997, 82, 2, Smoke::mf_static, 177, 4},	//941 Okular::TextDocumentGenerator::trUtf8(const char*, const char*)
    {65, 993, 85, 3, Smoke::mf_static, 177, 5},	//942 Okular::TextDocumentGenerator::tr(const char*, const char*, int)
    {65, 997, 85, 3, Smoke::mf_static, 177, 6},	//943 Okular::TextDocumentGenerator::trUtf8(const char*, const char*, int)
    {65, 704, 89, 3, Smoke::mf_virtual, 344, 7},	//944 Okular::TextDocumentGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {65, 311, 531, 3, Smoke::mf_ctor, 132, 8},	//945 Okular::TextDocumentGenerator::TextDocumentGenerator(Okular::TextDocumentConverter*, QObject*, const QList<QVariant>&)
    {65, 589, 309, 2, Smoke::mf_virtual, 259, 9},	//946 Okular::TextDocumentGenerator::loadDocument(const QString&, QVector<Okular::Page*>&)
    {65, 397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 10},	//947 Okular::TextDocumentGenerator::canGeneratePixmap() const
    {65, 508, 315, 1, Smoke::mf_virtual, 0, 11},	//948 Okular::TextDocumentGenerator::generatePixmap(Okular::PixmapRequest*)
    {65, 680, 158, 1, Smoke::mf_virtual, 259, 12},	//949 Okular::TextDocumentGenerator::print(QPrinter&)
    {65, 480, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 161, 13},	//950 Okular::TextDocumentGenerator::exportFormats() const
    {65, 481, 106, 2, Smoke::mf_virtual, 259, 14},	//951 Okular::TextDocumentGenerator::exportTo(const QString&, const Okular::ExportFormat&)
    {65, 506, 0, 0, Smoke::mf_virtual, 276, 15},	//952 Okular::TextDocumentGenerator::generateDocumentInfo()
    {65, 507, 0, 0, Smoke::mf_virtual, 278, 16},	//953 Okular::TextDocumentGenerator::generateDocumentSynopsis()
    {65, 457, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 259, 17},	//954 Okular::TextDocumentGenerator::doCloseDocument()
    {65, 984, 317, 1, Smoke::mf_protected|Smoke::mf_virtual, 134, 18},	//955 Okular::TextDocumentGenerator::textPage(Okular::Page*)
    {65, 993, 80, 1, Smoke::mf_static, 177, 19},	//956 Okular::TextDocumentGenerator::tr(const char*)
    {65, 997, 80, 1, Smoke::mf_static, 177, 20},	//957 Okular::TextDocumentGenerator::trUtf8(const char*)
    {65, 963, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 324, 21},	//958 Okular::TextDocumentGenerator::staticMetaObject() const
    {65, 1081, 0, 0, Smoke::mf_dtor, 0, 22 },	//959 Okular::TextDocumentGenerator::~TextDocumentGenerator()
    {66, 313, 535, 2, Smoke::mf_ctor, 133, 1},	//960 Okular::TextEntity::TextEntity(const QString&, Okular::NormalizedRect*)
    {66, 976, 0, 0, Smoke::mf_const, 177, 2},	//961 Okular::TextEntity::text() const
    {66, 377, 0, 0, Smoke::mf_const, 99, 3},	//962 Okular::TextEntity::area() const
    {66, 1003, 55, 1, Smoke::mf_const, 97, 4},	//963 Okular::TextEntity::transformedArea(const QMatrix&) const
    {66, 1082, 0, 0, Smoke::mf_dtor, 0, 5 },	//964 Okular::TextEntity::~TextEntity()
    {67, 316, 0, 0, Smoke::mf_ctor, 134, 1},	//965 Okular::TextPage::TextPage()
    {67, 316, 538, 1, Smoke::mf_ctor, 134, 2},	//966 Okular::TextPage::TextPage(const QList<Okular::TextEntity*>&)
    {67, 375, 535, 2, 0, 0, 3},	//967 Okular::TextPage::append(const QString&, Okular::NormalizedRect*)
    {67, 492, 411, 5, 0, 115, 4},	//968 Okular::TextPage::findText(int, const QString&, Okular::SearchDirection, Qt::CaseSensitivity, const Okular::RegularAreaRect*)
    {67, 976, 417, 1, Smoke::mf_const, 177, 5},	//969 Okular::TextPage::text(const Okular::RegularAreaRect*) const
    {67, 976, 419, 2, Smoke::mf_const, 177, 6},	//970 Okular::TextPage::text(const Okular::RegularAreaRect*, Okular::TextPage::TextAreaInclusionBehaviour) const
    {67, 980, 422, 1, Smoke::mf_const, 115, 7},	//971 Okular::TextPage::textArea(Okular::TextSelection*) const
    {67, 976, 0, 0, Smoke::mf_const, 177, 8},	//972 Okular::TextPage::text() const
    {67, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 9},	//973 Okular::TextPage::AnyPixelTextAreaInclusionBehaviour (enum)
    {67, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 135, 10},	//974 Okular::TextPage::CentralPixelTextAreaInclusionBehaviour (enum)
    {67, 1083, 0, 0, Smoke::mf_dtor, 0, 11 },	//975 Okular::TextPage::~TextPage()
    {69, 737, 540, 4, Smoke::mf_static, 173, 1},	//976 Okular::Utils::rotateRect(const QRect&, int, int, int)
    {69, 468, 0, 0, Smoke::mf_static, 342, 2},	//977 Okular::Utils::dpiX()
    {69, 469, 0, 0, Smoke::mf_static, 342, 3},	//978 Okular::Utils::dpiY()
    {69, 710, 0, 0, Smoke::mf_static, 342, 4},	//979 Okular::Utils::realDpiX()
    {69, 711, 0, 0, Smoke::mf_static, 342, 5},	//980 Okular::Utils::realDpiY()
    {69, 549, 545, 1, Smoke::mf_static, 97, 6},	//981 Okular::Utils::imageBoundingBox(const QImage*)
    {69, 335, 0, 0, Smoke::mf_ctor, 137, 7},	//982 Okular::Utils::Utils()
    {69, 335, 547, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 8},	//983 Okular::Utils::Utils(const Okular::Utils&)
    {69, 1084, 0, 0, Smoke::mf_dtor, 0, 9 },	//984 Okular::Utils::~Utils()
    {71, 338, 333, 2, Smoke::mf_ctor, 139, 1},	//985 Okular::VisiblePageRect::VisiblePageRect(int, const Okular::NormalizedRect&)
    {71, 338, 549, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 2},	//986 Okular::VisiblePageRect::VisiblePageRect(const Okular::VisiblePageRect&)
    {71, 338, 0, 0, Smoke::mf_ctor, 139, 3},	//987 Okular::VisiblePageRect::VisiblePageRect()
    {71, 338, 27, 1, Smoke::mf_ctor, 139, 4},	//988 Okular::VisiblePageRect::VisiblePageRect(int)
    {71, 667, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 344, 5},	//989 Okular::VisiblePageRect::pageNumber() const
    {71, 875, 27, 1, Smoke::mf_attribute, 0, 6},	//990 Okular::VisiblePageRect::setPageNumber(int)
    {71, 712, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 98, 7},	//991 Okular::VisiblePageRect::rect() const
    {71, 884, 29, 1, Smoke::mf_attribute, 0, 8},	//992 Okular::VisiblePageRect::setRect(const Okular::NormalizedRect&)
    {71, 1085, 0, 0, Smoke::mf_dtor, 0, 9 },	//993 Okular::VisiblePageRect::~VisiblePageRect()
    {83, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 345, 1},	//994 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {83, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 345, 2},	//995 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {83, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 345, 3},	//996 QGlobalSpace::Q_STATIC_TYPE (enum)
    {83, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 345, 4},	//997 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {83, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 345, 5},	//998 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {83, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 6},	//999 QGlobalSpace::KST_KSycocaEntry (enum)
    {83, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 7},	//1000 QGlobalSpace::KST_KService (enum)
    {83, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 8},	//1001 QGlobalSpace::KST_KServiceType (enum)
    {83, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 9},	//1002 QGlobalSpace::KST_KMimeType (enum)
    {83, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 10},	//1003 QGlobalSpace::KST_KFolderMimeType (enum)
    {83, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 11},	//1004 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {83, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 12},	//1005 QGlobalSpace::KST_KServiceGroup (enum)
    {83, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 13},	//1006 QGlobalSpace::KST_KImageIOFormat (enum)
    {83, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 14},	//1007 QGlobalSpace::KST_KProtocolInfo (enum)
    {83, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 15},	//1008 QGlobalSpace::KST_KServiceSeparator (enum)
    {83, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 12, 16},	//1009 QGlobalSpace::KST_KCustom (enum)
    {83, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 17},	//1010 QGlobalSpace::QtDebugMsg (enum)
    {83, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 18},	//1011 QGlobalSpace::QtWarningMsg (enum)
    {83, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 19},	//1012 QGlobalSpace::QtCriticalMsg (enum)
    {83, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 20},	//1013 QGlobalSpace::QtFatalMsg (enum)
    {83, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 21},	//1014 QGlobalSpace::QtSystemMsg (enum)
    {83, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 22},	//1015 QGlobalSpace::KST_KServiceFactory (enum)
    {83, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 23},	//1016 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {83, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 24},	//1017 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {83, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 25},	//1018 QGlobalSpace::KST_KImageIO (enum)
    {83, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 26},	//1019 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {83, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 27},	//1020 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {83, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 11, 28},	//1021 QGlobalSpace::KST_CTimeInfo (enum)
    {83, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 29},	//1022 QGlobalSpace::__codecvt_ok (enum)
    {83, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 30},	//1023 QGlobalSpace::__codecvt_partial (enum)
    {83, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 31},	//1024 QGlobalSpace::__codecvt_error (enum)
    {83, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 32},	//1025 QGlobalSpace::__codecvt_noconv (enum)
    {88, 478, 551, 1, Smoke::mf_virtual, 259, 0},	//1026 QObject::event(QEvent*)
    {88, 479, 553, 2, Smoke::mf_virtual, 259, 0},	//1027 QObject::eventFilter(QObject*, QEvent*)
    {88, 989, 556, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1028 QObject::timerEvent(QTimerEvent*)
    {88, 406, 558, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1029 QObject::childEvent(QChildEvent*)
    {88, 435, 551, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1030 QObject::customEvent(QEvent*)
    {88, 414, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1031 QObject::connectNotify(const char*)
    {88, 454, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1032 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    535,  // Okular::Generator::d_func()
    536,  // Okular::Generator::d_func() const
    0,
    303,  // Okular::DocumentSynopsis::DocumentSynopsis(const QDomDocument&)
    304,  // Okular::DocumentSynopsis::DocumentSynopsis(const Okular::DocumentSynopsis&)
    0,
    667,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect&) const
    668,  // Okular::NormalizedRect::intersects(const Okular::NormalizedRect*) const
    0,
    59,  // Okular::Annotation::d_func()
    60,  // Okular::Annotation::d_func() const
    0,
    49,  // Okular::Annotation::revisions()
    50,  // Okular::Annotation::revisions() const
    0,
    45,  // Okular::Annotation::style()
    46,  // Okular::Annotation::style() const
    0,
    47,  // Okular::Annotation::window()
    48,  // Okular::Annotation::window() const
    0,
    99,  // Okular::AnnotationObjectRect::AnnotationObjectRect(Okular::Annotation*)
    104,  // Okular::AnnotationObjectRect::AnnotationObjectRect(const Okular::AnnotationObjectRect&)
    0,
    279,  // Okular::DocumentInfo::set(Okular::DocumentInfo::Key, const QString&)
    284,  // Okular::DocumentInfo::set(const QString&, const QString&)
    0,
    19,  // Okular::Action::d_func()
    20,  // Okular::Action::d_func() const
    0,
    306,  // Okular::DocumentViewport::DocumentViewport(int)
    307,  // Okular::DocumentViewport::DocumentViewport(const QString&)
    0,
    446,  // Okular::FormField::d_func()
    447,  // Okular::FormField::d_func() const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 15, 18},	// Okular::Action::Action#
    {10, 32, 23},	// Okular::Action::Browse
    {10, 71, 24},	// Okular::Action::DocAction
    {10, 89, 22},	// Okular::Action::Execute
    {10, 131, 21},	// Okular::Action::Goto
    {10, 182, 26},	// Okular::Action::Movie
    {10, 271, 27},	// Okular::Action::Script
    {10, 278, 25},	// Okular::Action::Sound
    {10, 349, 17},	// Okular::Action::actionTip
    {10, 350, 16},	// Okular::Action::actionType
    {10, 436, -28},	// Okular::Action::d_func
    {10, 1034, 28},	// Okular::Action::~Action
    {12, 1, 67},	// Okular::Annotation::ACaret
    {12, 2, 68},	// Okular::Annotation::AFileAttachment
    {12, 3, 63},	// Okular::Annotation::AGeom
    {12, 4, 64},	// Okular::Annotation::AHighlight
    {12, 5, 66},	// Okular::Annotation::AInk
    {12, 7, 62},	// Okular::Annotation::ALine
    {12, 8, 70},	// Okular::Annotation::AMovie
    {12, 9, 69},	// Okular::Annotation::ASound
    {12, 10, 65},	// Okular::Annotation::AStamp
    {12, 11, 61},	// Okular::Annotation::AText
    {12, 12, 71},	// Okular::Annotation::A_BASE
    {12, 13, 94},	// Okular::Annotation::Accepted
    {12, 18, 57},	// Okular::Annotation::Annotation#
    {12, 19, 58},	// Okular::Annotation::Annotation##
    {12, 29, 83},	// Okular::Annotation::Beveled
    {12, 42, 96},	// Okular::Annotation::Cancelled
    {12, 53, 87},	// Okular::Annotation::Cloudy
    {12, 55, 97},	// Okular::Annotation::Completed
    {12, 62, 82},	// Okular::Annotation::Dashed
    {12, 63, 90},	// Okular::Annotation::Delete
    {12, 64, 77},	// Okular::Annotation::DenyDelete
    {12, 65, 75},	// Okular::Annotation::DenyPrint
    {12, 66, 76},	// Okular::Annotation::DenyWrite
    {12, 96, 79},	// Okular::Annotation::External
    {12, 97, 80},	// Okular::Annotation::ExternallyDrawn
    {12, 107, 74},	// Okular::Annotation::FixedRotation
    {12, 108, 73},	// Okular::Annotation::FixedSize
    {12, 135, 89},	// Okular::Annotation::Group
    {12, 139, 72},	// Okular::Annotation::Hidden
    {12, 152, 84},	// Okular::Annotation::Inset
    {12, 178, 92},	// Okular::Annotation::Marked
    {12, 187, 86},	// Okular::Annotation::NoEffect
    {12, 193, 91},	// Okular::Annotation::None
    {12, 267, 95},	// Okular::Annotation::Rejected
    {12, 270, 88},	// Okular::Annotation::Reply
    {12, 277, 81},	// Okular::Annotation::Solid
    {12, 320, 78},	// Okular::Annotation::ToggleHidingOnMouse
    {12, 331, 85},	// Okular::Annotation::Underline
    {12, 334, 93},	// Okular::Annotation::Unmarked
    {12, 379, 30},	// Okular::Annotation::author
    {12, 388, 42},	// Okular::Annotation::boundingRectangle
    {12, 393, 54},	// Okular::Annotation::canBeMoved
    {12, 418, 32},	// Okular::Annotation::contents
    {12, 428, 38},	// Okular::Annotation::creationDate
    {12, 436, -10},	// Okular::Annotation::d_func
    {12, 495, 40},	// Okular::Annotation::flags
    {12, 609, 36},	// Okular::Annotation::modificationDate
    {12, 615, 52},	// Okular::Annotation::nativeId
    {12, 735, -13},	// Okular::Annotation::revisions
    {12, 767, 29},	// Okular::Annotation::setAuthor$
    {12, 775, 41},	// Okular::Annotation::setBoundingRectangle#
    {12, 784, 31},	// Okular::Annotation::setContents$
    {12, 786, 37},	// Okular::Annotation::setCreationDate#
    {12, 793, 53},	// Okular::Annotation::setDisposeDataFunction$
    {12, 808, 39},	// Okular::Annotation::setFlags$
    {12, 861, 35},	// Okular::Annotation::setModificationDate#
    {12, 865, 51},	// Okular::Annotation::setNativeId#
    {12, 925, 33},	// Okular::Annotation::setUniqueName$
    {12, 966, 56},	// Okular::Annotation::store##
    {12, 969, -16},	// Okular::Annotation::style
    {12, 970, 55},	// Okular::Annotation::subType
    {12, 1005, 43},	// Okular::Annotation::transformedBoundingRectangle
    {12, 1012, 44},	// Okular::Annotation::translate#
    {12, 1015, 34},	// Okular::Annotation::uniqueName
    {12, 1030, -19},	// Okular::Annotation::window
    {12, 1035, 98},	// Okular::Annotation::~Annotation
    {15, 21, -22},	// Okular::AnnotationObjectRect::AnnotationObjectRect#
    {15, 371, 100},	// Okular::AnnotationObjectRect::annotation
    {15, 387, 101},	// Okular::AnnotationObjectRect::boundingRect$$
    {15, 417, 102},	// Okular::AnnotationObjectRect::contains$$$$
    {15, 1002, 103},	// Okular::AnnotationObjectRect::transform#
    {15, 1036, 105},	// Okular::AnnotationObjectRect::~AnnotationObjectRect
    {17, 22, 110},	// Okular::AnnotationUtils::AnnotationUtils
    {17, 23, 111},	// Okular::AnnotationUtils::AnnotationUtils#
    {17, 373, 109},	// Okular::AnnotationUtils::annotationGeometry#$$
    {17, 427, 106},	// Okular::AnnotationUtils::createAnnotation#
    {17, 491, 108},	// Okular::AnnotationUtils::findChildElement#$
    {17, 968, 107},	// Okular::AnnotationUtils::storeAnnotation###
    {17, 1037, 112},	// Okular::AnnotationUtils::~AnnotationUtils
    {19, 34, 113},	// Okular::BrowseAction::BrowseAction$
    {19, 349, 115},	// Okular::BrowseAction::actionTip
    {19, 350, 114},	// Okular::BrowseAction::actionType
    {19, 1020, 116},	// Okular::BrowseAction::url
    {19, 1038, 117},	// Okular::BrowseAction::~BrowseAction
    {20, 43, 118},	// Okular::CaretAnnotation::CaretAnnotation
    {20, 44, 119},	// Okular::CaretAnnotation::CaretAnnotation#
    {20, 193, 124},	// Okular::CaretAnnotation::None
    {20, 214, 125},	// Okular::CaretAnnotation::P
    {20, 403, 121},	// Okular::CaretAnnotation::caretSymbol
    {20, 779, 120},	// Okular::CaretAnnotation::setCaretSymbol$
    {20, 966, 123},	// Okular::CaretAnnotation::store##
    {20, 970, 122},	// Okular::CaretAnnotation::subType
    {20, 1039, 126},	// Okular::CaretAnnotation::~CaretAnnotation
    {21, 56, 129},	// Okular::ConfigInterface::ConfigInterface
    {21, 57, 130},	// Okular::ConfigInterface::ConfigInterface#
    {21, 365, 128},	// Okular::ConfigInterface::addPages#
    {21, 724, 127},	// Okular::ConfigInterface::reparseConfig
    {21, 1040, 131},	// Okular::ConfigInterface::~ConfigInterface
    {22, 16, 250},	// Okular::Document::AllDocument
    {22, 73, 139},	// Okular::Document::Document#
    {22, 129, 251},	// Okular::Document::GoogleAll
    {22, 130, 252},	// Okular::Document::GoogleAny
    {22, 179, 253},	// Okular::Document::MatchFound
    {22, 184, 257},	// Okular::Document::NativePrinting
    {22, 185, 248},	// Okular::Document::NextMatch
    {22, 189, 254},	// Okular::Document::NoMatchFound
    {22, 190, 246},	// Okular::Document::NoOption
    {22, 192, 256},	// Okular::Document::NoPrinting
    {22, 236, 258},	// Okular::Document::PostscriptPrinting
    {22, 238, 249},	// Okular::Document::PreviousMatch
    {22, 268, 247},	// Okular::Document::RemoveAllPrevious
    {22, 274, 255},	// Okular::Document::SearchCancelled
    {22, 361, 142},	// Okular::Document::addObserver#
    {22, 363, 185},	// Okular::Document::addPageAnnotation$#
    {22, 369, 172},	// Okular::Document::allPagesSize
    {22, 381, 194},	// Okular::Document::bookmarkManager
    {22, 382, 196},	// Okular::Document::bookmarkedPageList
    {22, 383, 197},	// Okular::Document::bookmarkedPageRange
    {22, 395, 199},	// Okular::Document::canConfigurePrinter
    {22, 396, 164},	// Okular::Document::canExportToText
    {22, 399, 151},	// Okular::Document::canProvideFontInformation
    {22, 400, 209},	// Okular::Document::canSaveChanges
    {22, 401, 220},	// Okular::Document::cancelSearch
    {22, 409, 221},	// Okular::Document::close
    {22, 410, 141},	// Okular::Document::closeDocument
    {22, 412, 208},	// Okular::Document::componentData
    {22, 413, 206},	// Okular::Document::configurableGenerators
    {22, 420, 191},	// Okular::Document::continueSearch$
    {22, 421, 192},	// Okular::Document::continueSearch$$
    {22, 433, 159},	// Okular::Document::currentDocument
    {22, 434, 157},	// Okular::Document::currentPage
    {22, 462, 147},	// Okular::Document::documentInfo
    {22, 466, 148},	// Okular::Document::documentSynopsis
    {22, 472, 217},	// Okular::Document::dynamicSourceReference$$$
    {22, 475, 152},	// Okular::Document::embeddedFiles
    {22, 477, 228},	// Okular::Document::error$$
    {22, 480, 166},	// Okular::Document::exportFormats
    {22, 482, 167},	// Okular::Document::exportTo$#
    {22, 484, 165},	// Okular::Document::exportToText$
    {22, 489, 205},	// Okular::Document::fillConfigDialog#
    {22, 497, 214},	// Okular::Document::fontData#
    {22, 498, 233},	// Okular::Document::fontReadingEnded
    {22, 500, 232},	// Okular::Document::fontReadingProgress$
    {22, 525, 231},	// Okular::Document::gotFont#
    {22, 526, 174},	// Okular::Document::guiClient
    {22, 543, 168},	// Okular::Document::historyAtBegin
    {22, 544, 169},	// Okular::Document::historyAtEnd
    {22, 561, 160},	// Okular::Document::isAllowed$
    {22, 566, 146},	// Okular::Document::isOpened
    {22, 585, 226},	// Okular::Document::linkEndPresentation
    {22, 586, 223},	// Okular::Document::linkFind
    {22, 587, 224},	// Okular::Document::linkGoToPage
    {22, 588, 225},	// Okular::Document::linkPresentation
    {22, 604, 238},	// Okular::Document::metaData$
    {22, 605, 170},	// Okular::Document::metaData$#
    {22, 606, 132},	// Okular::Document::metaObject
    {22, 611, 186},	// Okular::Document::modifyPageAnnotation$#
    {22, 619, 230},	// Okular::Document::notice$$
    {22, 626, 140},	// Okular::Document::openDocument$#?
    {22, 628, 215},	// Okular::Document::openDocumentArchive$#
    {22, 630, 227},	// Okular::Document::openUrl#
    {22, 659, 153},	// Okular::Document::page$
    {22, 673, 173},	// Okular::Document::pageSizeString$
    {22, 674, 163},	// Okular::Document::pageSizes
    {22, 675, 158},	// Okular::Document::pages
    {22, 681, 202},	// Okular::Document::print#
    {22, 684, 204},	// Okular::Document::printConfigurationWidget
    {22, 685, 203},	// Okular::Document::printError
    {22, 695, 200},	// Okular::Document::printingSupport
    {22, 698, 195},	// Okular::Document::processAction#
    {22, 700, 198},	// Okular::Document::processSourceReference#
    {22, 705, 138},	// Okular::Document::qt_metacall$$?
    {22, 707, 133},	// Okular::Document::qt_metacast$
    {22, 708, 222},	// Okular::Document::quit
    {22, 715, 212},	// Okular::Document::registerView#
    {22, 719, 143},	// Okular::Document::removeObserver#
    {22, 721, 187},	// Okular::Document::removePageAnnotation$#
    {22, 723, 188},	// Okular::Document::removePageAnnotations$?
    {22, 724, 144},	// Okular::Document::reparseConfig
    {22, 729, 182},	// Okular::Document::requestPixmaps?
    {22, 730, 183},	// Okular::Document::requestPixmaps?$
    {22, 732, 184},	// Okular::Document::requestTextPage$
    {22, 734, 193},	// Okular::Document::resetSearch$
    {22, 739, 171},	// Okular::Document::rotation
    {22, 745, 210},	// Okular::Document::saveChanges$
    {22, 746, 211},	// Okular::Document::saveChanges$$
    {22, 748, 216},	// Okular::Document::saveDocumentArchive$
    {22, 753, 234},	// Okular::Document::searchFinished$$
    {22, 755, 244},	// Okular::Document::searchText$$$$$$#
    {22, 756, 190},	// Okular::Document::searchText$$$$$$#$
    {22, 867, 180},	// Okular::Document::setNextDocumentDestination$
    {22, 869, 179},	// Okular::Document::setNextDocumentViewport#
    {22, 870, 178},	// Okular::Document::setNextViewport
    {22, 878, 219},	// Okular::Document::setPageSize#
    {22, 880, 189},	// Okular::Document::setPageTextSelection$##
    {22, 883, 177},	// Okular::Document::setPrevViewport
    {22, 889, 218},	// Okular::Document::setRotation$
    {22, 927, 241},	// Okular::Document::setViewport#
    {22, 928, 242},	// Okular::Document::setViewport#$
    {22, 929, 176},	// Okular::Document::setViewport#$$
    {22, 931, 239},	// Okular::Document::setViewportPage$
    {22, 932, 240},	// Okular::Document::setViewportPage$$
    {22, 933, 175},	// Okular::Document::setViewportPage$$$
    {22, 935, 237},	// Okular::Document::setVisiblePageRects?
    {22, 936, 155},	// Okular::Document::setVisiblePageRects?$
    {22, 944, 243},	// Okular::Document::setZoom$
    {22, 945, 181},	// Okular::Document::setZoom$$
    {22, 960, 149},	// Okular::Document::startFontReading
    {22, 963, 245},	// Okular::Document::staticMetaObject
    {22, 964, 150},	// Okular::Document::stopFontReading
    {22, 971, 207},	// Okular::Document::supportedMimeTypes
    {22, 972, 162},	// Okular::Document::supportsPageSizes
    {22, 973, 201},	// Okular::Document::supportsPrintToFile
    {22, 974, 161},	// Okular::Document::supportsSearching
    {22, 994, 235},	// Okular::Document::tr$
    {22, 995, 134},	// Okular::Document::tr$$
    {22, 996, 136},	// Okular::Document::tr$$$
    {22, 998, 236},	// Okular::Document::trUtf8$
    {22, 999, 135},	// Okular::Document::trUtf8$$
    {22, 1000, 137},	// Okular::Document::trUtf8$$$
    {22, 1017, 213},	// Okular::Document::unregisterView#
    {22, 1022, 154},	// Okular::Document::viewport
    {22, 1024, 156},	// Okular::Document::visiblePageRects
    {22, 1027, 229},	// Okular::Document::warning$$
    {22, 1028, 145},	// Okular::Document::widget
    {22, 1041, 259},	// Okular::Document::~Document
    {23, 50, 275},	// Okular::DocumentAction::Close
    {23, 75, 260},	// Okular::DocumentAction::DocumentAction$
    {23, 88, 272},	// Okular::DocumentAction::EndPresentation
    {23, 106, 273},	// Okular::DocumentAction::Find
    {23, 128, 274},	// Okular::DocumentAction::GoToPage
    {23, 143, 268},	// Okular::DocumentAction::HistoryBack
    {23, 144, 269},	// Okular::DocumentAction::HistoryForward
    {23, 218, 264},	// Okular::DocumentAction::PageFirst
    {23, 219, 267},	// Okular::DocumentAction::PageLast
    {23, 220, 266},	// Okular::DocumentAction::PageNext
    {23, 221, 265},	// Okular::DocumentAction::PagePrev
    {23, 237, 271},	// Okular::DocumentAction::Presentation
    {23, 259, 270},	// Okular::DocumentAction::Quit
    {23, 349, 262},	// Okular::DocumentAction::actionTip
    {23, 350, 261},	// Okular::DocumentAction::actionType
    {23, 461, 263},	// Okular::DocumentAction::documentActionType
    {23, 1042, 276},	// Okular::DocumentAction::~DocumentAction
    {24, 28, 288},	// Okular::DocumentInfo::Author
    {24, 45, 296},	// Okular::DocumentInfo::Category
    {24, 58, 291},	// Okular::DocumentInfo::Copyright
    {24, 60, 293},	// Okular::DocumentInfo::CreationDate
    {24, 61, 289},	// Okular::DocumentInfo::Creator
    {24, 67, 287},	// Okular::DocumentInfo::Description
    {24, 76, 277},	// Okular::DocumentInfo::DocumentInfo
    {24, 77, 283},	// Okular::DocumentInfo::DocumentInfo#
    {24, 78, 299},	// Okular::DocumentInfo::DocumentSize
    {24, 102, 298},	// Okular::DocumentInfo::FilePath
    {24, 173, 297},	// Okular::DocumentInfo::Keywords
    {24, 180, 295},	// Okular::DocumentInfo::MimeType
    {24, 181, 294},	// Okular::DocumentInfo::ModificationDate
    {24, 229, 292},	// Okular::DocumentInfo::Pages
    {24, 230, 300},	// Okular::DocumentInfo::PagesSize
    {24, 247, 290},	// Okular::DocumentInfo::Producer
    {24, 300, 286},	// Okular::DocumentInfo::Subject
    {24, 319, 285},	// Okular::DocumentInfo::Title
    {24, 519, 280},	// Okular::DocumentInfo::get$
    {24, 521, 281},	// Okular::DocumentInfo::getKeyString$
    {24, 523, 282},	// Okular::DocumentInfo::getKeyTitle$
    {24, 758, -25},	// Okular::DocumentInfo::set$$
    {24, 759, 278},	// Okular::DocumentInfo::set$$$
    {24, 1043, 301},	// Okular::DocumentInfo::~DocumentInfo
    {26, 79, 302},	// Okular::DocumentSynopsis::DocumentSynopsis
    {26, 80, -4},	// Okular::DocumentSynopsis::DocumentSynopsis#
    {26, 1044, 305},	// Okular::DocumentSynopsis::~DocumentSynopsis
    {27, 46, 315},	// Okular::DocumentViewport::Center
    {27, 81, 312},	// Okular::DocumentViewport::DocumentViewport
    {27, 82, 311},	// Okular::DocumentViewport::DocumentViewport#
    {27, 83, -31},	// Okular::DocumentViewport::DocumentViewport$
    {27, 321, 316},	// Okular::DocumentViewport::TopLeft
    {27, 571, 309},	// Okular::DocumentViewport::isValid
    {27, 638, 310},	// Okular::DocumentViewport::operator==#
    {27, 667, 313},	// Okular::DocumentViewport::pageNumber
    {27, 876, 314},	// Okular::DocumentViewport::setPageNumber$
    {27, 990, 308},	// Okular::DocumentViewport::toString
    {27, 1045, 317},	// Okular::DocumentViewport::~DocumentViewport
    {28, 85, 318},	// Okular::EmbeddedFile::EmbeddedFile
    {28, 86, 325},	// Okular::EmbeddedFile::EmbeddedFile#
    {28, 428, 324},	// Okular::EmbeddedFile::creationDate
    {28, 437, 321},	// Okular::EmbeddedFile::data
    {28, 446, 320},	// Okular::EmbeddedFile::description
    {28, 609, 323},	// Okular::EmbeddedFile::modificationDate
    {28, 614, 319},	// Okular::EmbeddedFile::name
    {28, 952, 322},	// Okular::EmbeddedFile::size
    {28, 1046, 326},	// Okular::EmbeddedFile::~EmbeddedFile
    {29, 91, 327},	// Okular::ExecuteAction::ExecuteAction$$
    {29, 349, 329},	// Okular::ExecuteAction::actionTip
    {29, 350, 328},	// Okular::ExecuteAction::actionType
    {29, 487, 330},	// Okular::ExecuteAction::fileName
    {29, 678, 331},	// Okular::ExecuteAction::parameters
    {29, 1047, 332},	// Okular::ExecuteAction::~ExecuteAction
    {30, 92, 333},	// Okular::ExportFormat::ExportFormat
    {30, 93, 336},	// Okular::ExportFormat::ExportFormat#
    {30, 94, 335},	// Okular::ExportFormat::ExportFormat#$?
    {30, 95, 334},	// Okular::ExportFormat::ExportFormat$?
    {30, 138, 348},	// Okular::ExportFormat::HTML
    {30, 211, 347},	// Okular::ExportFormat::OpenDocumentText
    {30, 215, 346},	// Okular::ExportFormat::PDF
    {30, 233, 345},	// Okular::ExportFormat::PlainText
    {30, 446, 338},	// Okular::ExportFormat::description
    {30, 545, 340},	// Okular::ExportFormat::icon
    {30, 565, 341},	// Okular::ExportFormat::isNull
    {30, 607, 339},	// Okular::ExportFormat::mimeType
    {30, 632, 344},	// Okular::ExportFormat::operator!=#
    {30, 636, 337},	// Okular::ExportFormat::operator=#
    {30, 638, 343},	// Okular::ExportFormat::operator==#
    {30, 959, 342},	// Okular::ExportFormat::standardFormat$
    {30, 1048, 349},	// Okular::ExportFormat::~ExportFormat
    {31, 99, 350},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation
    {31, 100, 351},	// Okular::FileAttachmentAnnotation::FileAttachmentAnnotation#
    {31, 474, 354},	// Okular::FileAttachmentAnnotation::embeddedFile
    {31, 486, 352},	// Okular::FileAttachmentAnnotation::fileIconName
    {31, 799, 355},	// Okular::FileAttachmentAnnotation::setEmbeddedFile#
    {31, 806, 353},	// Okular::FileAttachmentAnnotation::setFileIconName$
    {31, 966, 357},	// Okular::FileAttachmentAnnotation::store##
    {31, 970, 356},	// Okular::FileAttachmentAnnotation::subType
    {31, 1049, 358},	// Okular::FileAttachmentAnnotation::~FileAttachmentAnnotation
    {32, 25, 395},	// Okular::FilePrinter::ApplicationDeletesFiles
    {32, 26, 397},	// Okular::FilePrinter::ApplicationSelectsPages
    {32, 103, 389},	// Okular::FilePrinter::FilePrinter
    {32, 104, 390},	// Okular::FilePrinter::FilePrinter#
    {32, 301, 396},	// Okular::FilePrinter::SystemDeletesFiles
    {32, 302, 398},	// Okular::FilePrinter::SystemSelectsPages
    {32, 425, 375},	// Okular::FilePrinter::copies#$
    {32, 429, 367},	// Okular::FilePrinter::cupsAvailable
    {32, 431, 379},	// Okular::FilePrinter::cupsOptions#
    {32, 440, 377},	// Okular::FilePrinter::deleteFile#$$
    {32, 449, 374},	// Okular::FilePrinter::destination#$
    {32, 451, 371},	// Okular::FilePrinter::detectCupsConfig
    {32, 452, 370},	// Okular::FilePrinter::detectCupsService
    {32, 459, 372},	// Okular::FilePrinter::doPrintFiles#?$$$
    {32, 574, 376},	// Okular::FilePrinter::jobname#$
    {32, 600, 381},	// Okular::FilePrinter::mediaPageSize#
    {32, 602, 382},	// Okular::FilePrinter::mediaPaperSource#
    {32, 644, 386},	// Okular::FilePrinter::optionCollateCopies#
    {32, 646, 388},	// Okular::FilePrinter::optionCupsProperties#
    {32, 648, 384},	// Okular::FilePrinter::optionDoubleSidedPrinting#
    {32, 650, 380},	// Okular::FilePrinter::optionMedia#
    {32, 652, 383},	// Okular::FilePrinter::optionOrientation#
    {32, 654, 387},	// Okular::FilePrinter::optionPageMargins#
    {32, 656, 385},	// Okular::FilePrinter::optionPageOrder#
    {32, 663, 361},	// Okular::FilePrinter::pageList#$$?
    {32, 664, 362},	// Okular::FilePrinter::pageList#$?
    {32, 666, 364},	// Okular::FilePrinter::pageListToPageRange?
    {32, 669, 363},	// Okular::FilePrinter::pageRange#$?
    {32, 676, 378},	// Okular::FilePrinter::pages#$$$$
    {32, 679, 366},	// Okular::FilePrinter::pdf2psAvailable
    {32, 683, 373},	// Okular::FilePrinter::printArguments#$$$$$
    {32, 686, 369},	// Okular::FilePrinter::printError$
    {32, 688, 391},	// Okular::FilePrinter::printFile#$
    {32, 689, 392},	// Okular::FilePrinter::printFile#$$
    {32, 690, 393},	// Okular::FilePrinter::printFile#$$$
    {32, 691, 359},	// Okular::FilePrinter::printFile#$$$$
    {32, 693, 394},	// Okular::FilePrinter::printFiles#?
    {32, 694, 360},	// Okular::FilePrinter::printFiles#?$
    {32, 701, 365},	// Okular::FilePrinter::ps2pdfAvailable
    {32, 703, 368},	// Okular::FilePrinter::psPaperSize#
    {32, 1050, 399},	// Okular::FilePrinter::~FilePrinter
    {33, 36, 427},	// Okular::FontInfo::CIDTrueType
    {33, 37, 428},	// Okular::FontInfo::CIDTrueTypeOT
    {33, 38, 424},	// Okular::FontInfo::CIDType0
    {33, 39, 425},	// Okular::FontInfo::CIDType0C
    {33, 40, 426},	// Okular::FontInfo::CIDType0COT
    {33, 87, 434},	// Okular::FontInfo::EmbeddedSubset
    {33, 110, 400},	// Okular::FontInfo::FontInfo
    {33, 111, 401},	// Okular::FontInfo::FontInfo#
    {33, 121, 435},	// Okular::FontInfo::FullyEmbedded
    {33, 203, 433},	// Okular::FontInfo::NotEmbedded
    {33, 303, 431},	// Okular::FontInfo::TeXFontMetric
    {33, 304, 432},	// Okular::FontInfo::TeXFreeTypeHandled
    {33, 305, 429},	// Okular::FontInfo::TeXPK
    {33, 306, 430},	// Okular::FontInfo::TeXVirtual
    {33, 322, 422},	// Okular::FontInfo::TrueType
    {33, 323, 423},	// Okular::FontInfo::TrueTypeOT
    {33, 324, 418},	// Okular::FontInfo::Type1
    {33, 325, 419},	// Okular::FontInfo::Type1C
    {33, 326, 420},	// Okular::FontInfo::Type1COT
    {33, 327, 421},	// Okular::FontInfo::Type3
    {33, 332, 417},	// Okular::FontInfo::Unknown
    {33, 392, 410},	// Okular::FontInfo::canBeExtracted
    {33, 473, 406},	// Okular::FontInfo::embedType
    {33, 485, 408},	// Okular::FontInfo::file
    {33, 614, 402},	// Okular::FontInfo::name
    {33, 615, 413},	// Okular::FontInfo::nativeId
    {33, 632, 416},	// Okular::FontInfo::operator!=#
    {33, 636, 414},	// Okular::FontInfo::operator=#
    {33, 638, 415},	// Okular::FontInfo::operator==#
    {33, 777, 411},	// Okular::FontInfo::setCanBeExtracted$
    {33, 797, 407},	// Okular::FontInfo::setEmbedType$
    {33, 804, 409},	// Okular::FontInfo::setFile$
    {33, 863, 403},	// Okular::FontInfo::setName$
    {33, 865, 412},	// Okular::FontInfo::setNativeId#
    {33, 923, 405},	// Okular::FontInfo::setType$
    {33, 1013, 404},	// Okular::FontInfo::type
    {33, 1051, 436},	// Okular::FontInfo::~FontInfo
    {34, 112, 449},	// Okular::FormField::FormButton
    {34, 113, 451},	// Okular::FormField::FormChoice
    {34, 115, 445},	// Okular::FormField::FormField#
    {34, 119, 452},	// Okular::FormField::FormSignature
    {34, 120, 450},	// Okular::FormField::FormText
    {34, 351, 444},	// Okular::FormField::activationAction
    {34, 436, -34},	// Okular::FormField::d_func
    {34, 546, 439},	// Okular::FormField::id
    {34, 568, 442},	// Okular::FormField::isReadOnly
    {34, 572, 443},	// Okular::FormField::isVisible
    {34, 614, 440},	// Okular::FormField::name
    {34, 712, 438},	// Okular::FormField::rect
    {34, 761, 448},	// Okular::FormField::setActivationAction#
    {34, 1013, 437},	// Okular::FormField::type
    {34, 1014, 441},	// Okular::FormField::uiName
    {34, 1052, 453},	// Okular::FormField::~FormField
    {35, 48, 461},	// Okular::FormFieldButton::CheckBox
    {35, 116, 459},	// Okular::FormFieldButton::FormFieldButton
    {35, 248, 460},	// Okular::FormFieldButton::Push
    {35, 262, 462},	// Okular::FormFieldButton::Radio
    {35, 389, 454},	// Okular::FormFieldButton::buttonType
    {35, 402, 455},	// Okular::FormFieldButton::caption
    {35, 907, 457},	// Okular::FormFieldButton::setState$
    {35, 947, 458},	// Okular::FormFieldButton::siblings
    {35, 961, 456},	// Okular::FormFieldButton::state
    {35, 1053, 463},	// Okular::FormFieldButton::~FormFieldButton
    {36, 54, 473},	// Okular::FormFieldChoice::ComboBox
    {36, 117, 472},	// Okular::FormFieldChoice::FormFieldChoice
    {36, 177, 474},	// Okular::FormFieldChoice::ListBox
    {36, 394, 471},	// Okular::FormFieldChoice::canBeSpellChecked
    {36, 407, 464},	// Okular::FormFieldChoice::choiceType
    {36, 408, 465},	// Okular::FormFieldChoice::choices
    {36, 432, 468},	// Okular::FormFieldChoice::currentChoices
    {36, 563, 466},	// Okular::FormFieldChoice::isEditable
    {36, 613, 467},	// Okular::FormFieldChoice::multiSelect
    {36, 788, 469},	// Okular::FormFieldChoice::setCurrentChoices?
    {36, 979, 470},	// Okular::FormFieldChoice::textAlignment
    {36, 1054, 475},	// Okular::FormFieldChoice::~FormFieldChoice
    {38, 105, 487},	// Okular::FormFieldText::FileSelect
    {38, 118, 484},	// Okular::FormFieldText::FormFieldText
    {38, 183, 486},	// Okular::FormFieldText::Multiline
    {38, 194, 485},	// Okular::FormFieldText::Normal
    {38, 394, 483},	// Okular::FormFieldText::canBeSpellChecked
    {38, 567, 479},	// Okular::FormFieldText::isPassword
    {38, 570, 480},	// Okular::FormFieldText::isRichText
    {38, 598, 481},	// Okular::FormFieldText::maximumLength
    {38, 909, 478},	// Okular::FormFieldText::setText$
    {38, 976, 477},	// Okular::FormFieldText::text
    {38, 979, 482},	// Okular::FormFieldText::textAlignment
    {38, 988, 476},	// Okular::FormFieldText::textType
    {38, 1055, 488},	// Okular::FormFieldText::~FormFieldText
    {39, 101, 555},	// Okular::Generator::FileConversionPrintError
    {39, 110, 545},	// Okular::Generator::FontInfo
    {39, 123, 534},	// Okular::Generator::Generator##?
    {39, 124, 496},	// Okular::Generator::Generator#?
    {39, 153, 559},	// Okular::Generator::InvalidPrinterStatePrintError
    {39, 186, 562},	// Okular::Generator::NoBinaryToPrintError
    {39, 188, 561},	// Okular::Generator::NoFileToPrintError
    {39, 191, 552},	// Okular::Generator::NoPrintError
    {39, 193, 550},	// Okular::Generator::None
    {39, 225, 546},	// Okular::Generator::PageSizes
    {39, 234, 551},	// Okular::Generator::Points
    {39, 241, 547},	// Okular::Generator::PrintNative
    {39, 242, 548},	// Okular::Generator::PrintPostscript
    {39, 243, 549},	// Okular::Generator::PrintToFile
    {39, 244, 558},	// Okular::Generator::PrintToFilePrintError
    {39, 245, 556},	// Okular::Generator::PrintingProcessCrashPrintError
    {39, 246, 557},	// Okular::Generator::PrintingProcessStartPrintError
    {39, 264, 544},	// Okular::Generator::ReadRawData
    {39, 307, 554},	// Okular::Generator::TemporaryFileOpenPrintError
    {39, 315, 543},	// Okular::Generator::TextExtraction
    {39, 318, 542},	// Okular::Generator::Threaded
    {39, 329, 560},	// Okular::Generator::UnableToFindFilePrintError
    {39, 333, 553},	// Okular::Generator::UnknownPrintError
    {39, 397, 500},	// Okular::Generator::canGeneratePixmap
    {39, 398, 502},	// Okular::Generator::canGenerateTextPage
    {39, 410, 499},	// Okular::Generator::closeDocument
    {39, 436, -1},	// Okular::Generator::d_func
    {39, 457, 523},	// Okular::Generator::doCloseDocument
    {39, 460, 526},	// Okular::Generator::document
    {39, 464, 540},	// Okular::Generator::documentMetaData$
    {39, 465, 528},	// Okular::Generator::documentMetaData$#
    {39, 472, 532},	// Okular::Generator::dynamicSourceReference$$$
    {39, 475, 507},	// Okular::Generator::embeddedFiles
    {39, 477, 518},	// Okular::Generator::error$$
    {39, 480, 515},	// Okular::Generator::exportFormats
    {39, 482, 516},	// Okular::Generator::exportTo$#
    {39, 502, 506},	// Okular::Generator::fontsForPage$
    {39, 506, 504},	// Okular::Generator::generateDocumentInfo
    {39, 507, 505},	// Okular::Generator::generateDocumentSynopsis
    {39, 509, 501},	// Okular::Generator::generatePixmap#
    {39, 511, 503},	// Okular::Generator::generateTextPage#
    {39, 529, 517},	// Okular::Generator::hasFeature$
    {39, 548, 524},	// Okular::Generator::image#
    {39, 561, 509},	// Okular::Generator::isAllowed$
    {39, 590, 497},	// Okular::Generator::loadDocument$?
    {39, 592, 498},	// Okular::Generator::loadDocumentFromData#?
    {39, 605, 514},	// Okular::Generator::metaData$#
    {39, 606, 489},	// Okular::Generator::metaObject
    {39, 619, 520},	// Okular::Generator::notice$$
    {39, 671, 512},	// Okular::Generator::pageSizeChanged##
    {39, 674, 511},	// Okular::Generator::pageSizes
    {39, 677, 508},	// Okular::Generator::pagesSizeMetric
    {39, 681, 513},	// Okular::Generator::print#
    {39, 685, 533},	// Okular::Generator::printError
    {39, 705, 495},	// Okular::Generator::qt_metacall$$?
    {39, 707, 490},	// Okular::Generator::qt_metacast$
    {39, 727, 531},	// Okular::Generator::requestFontData##
    {39, 741, 510},	// Okular::Generator::rotationChanged$$
    {39, 801, 539},	// Okular::Generator::setFeature$
    {39, 802, 527},	// Okular::Generator::setFeature$$
    {39, 949, 521},	// Okular::Generator::signalPixmapRequestDone#
    {39, 951, 522},	// Okular::Generator::signalTextGenerationDone##
    {39, 963, 541},	// Okular::Generator::staticMetaObject
    {39, 985, 525},	// Okular::Generator::textPage#
    {39, 994, 537},	// Okular::Generator::tr$
    {39, 995, 491},	// Okular::Generator::tr$$
    {39, 996, 493},	// Okular::Generator::tr$$$
    {39, 998, 538},	// Okular::Generator::trUtf8$
    {39, 999, 492},	// Okular::Generator::trUtf8$$
    {39, 1000, 494},	// Okular::Generator::trUtf8$$$
    {39, 1019, 530},	// Okular::Generator::updatePageBoundingBox$#
    {39, 1021, 529},	// Okular::Generator::userMutex
    {39, 1027, 519},	// Okular::Generator::warning$$
    {39, 1056, 563},	// Okular::Generator::~Generator
    {41, 125, 564},	// Okular::GeomAnnotation::GeomAnnotation
    {41, 126, 565},	// Okular::GeomAnnotation::GeomAnnotation#
    {41, 150, 575},	// Okular::GeomAnnotation::InscribedCircle
    {41, 151, 574},	// Okular::GeomAnnotation::InscribedSquare
    {41, 513, 569},	// Okular::GeomAnnotation::geometricalInnerColor
    {41, 514, 571},	// Okular::GeomAnnotation::geometricalPointWidth
    {41, 515, 567},	// Okular::GeomAnnotation::geometricalType
    {41, 812, 568},	// Okular::GeomAnnotation::setGeometricalInnerColor#
    {41, 814, 570},	// Okular::GeomAnnotation::setGeometricalPointWidth$
    {41, 816, 566},	// Okular::GeomAnnotation::setGeometricalType$
    {41, 966, 573},	// Okular::GeomAnnotation::store##
    {41, 970, 572},	// Okular::GeomAnnotation::subType
    {41, 1057, 576},	// Okular::GeomAnnotation::~GeomAnnotation
    {42, 133, 577},	// Okular::GotoAction::GotoAction$#
    {42, 134, 578},	// Okular::GotoAction::GotoAction$$
    {42, 349, 580},	// Okular::GotoAction::actionTip
    {42, 350, 579},	// Okular::GotoAction::actionType
    {42, 447, 583},	// Okular::GotoAction::destViewport
    {42, 450, 584},	// Okular::GotoAction::destinationName
    {42, 487, 582},	// Okular::GotoAction::fileName
    {42, 564, 581},	// Okular::GotoAction::isExternal
    {42, 1058, 585},	// Okular::GotoAction::~GotoAction
    {43, 136, 587},	// Okular::GuiInterface::GuiInterface
    {43, 137, 588},	// Okular::GuiInterface::GuiInterface#
    {43, 526, 586},	// Okular::GuiInterface::guiClient
    {43, 1059, 589},	// Okular::GuiInterface::~GuiInterface
    {44, 140, 597},	// Okular::HighlightAnnotation::Highlight
    {44, 141, 590},	// Okular::HighlightAnnotation::HighlightAnnotation
    {44, 142, 591},	// Okular::HighlightAnnotation::HighlightAnnotation#
    {44, 294, 598},	// Okular::HighlightAnnotation::Squiggly
    {44, 299, 600},	// Okular::HighlightAnnotation::StrikeOut
    {44, 331, 599},	// Okular::HighlightAnnotation::Underline
    {44, 541, 594},	// Okular::HighlightAnnotation::highlightQuads
    {44, 542, 593},	// Okular::HighlightAnnotation::highlightType
    {44, 818, 592},	// Okular::HighlightAnnotation::setHighlightType$
    {44, 966, 596},	// Okular::HighlightAnnotation::store##
    {44, 970, 595},	// Okular::HighlightAnnotation::subType
    {44, 1060, 601},	// Okular::HighlightAnnotation::~HighlightAnnotation
    {45, 148, 602},	// Okular::InkAnnotation::InkAnnotation
    {45, 149, 603},	// Okular::InkAnnotation::InkAnnotation#
    {45, 551, 605},	// Okular::InkAnnotation::inkPaths
    {45, 820, 604},	// Okular::InkAnnotation::setInkPaths?
    {45, 966, 608},	// Okular::InkAnnotation::store##
    {45, 970, 607},	// Okular::InkAnnotation::subType
    {45, 1006, 606},	// Okular::InkAnnotation::transformedInkPaths
    {45, 1061, 609},	// Okular::InkAnnotation::~InkAnnotation
    {46, 27, 644},	// Okular::LineAnnotation::Arrow
    {46, 35, 639},	// Okular::LineAnnotation::Butt
    {46, 49, 634},	// Okular::LineAnnotation::Circle
    {46, 51, 637},	// Okular::LineAnnotation::ClosedArrow
    {46, 68, 635},	// Okular::LineAnnotation::Diamond
    {46, 69, 645},	// Okular::LineAnnotation::Dimension
    {46, 174, 610},	// Okular::LineAnnotation::LineAnnotation
    {46, 175, 611},	// Okular::LineAnnotation::LineAnnotation#
    {46, 193, 638},	// Okular::LineAnnotation::None
    {46, 210, 636},	// Okular::LineAnnotation::OpenArrow
    {46, 235, 646},	// Okular::LineAnnotation::PolygonCloud
    {46, 260, 641},	// Okular::LineAnnotation::RClosedArrow
    {46, 261, 640},	// Okular::LineAnnotation::ROpenArrow
    {46, 276, 642},	// Okular::LineAnnotation::Slash
    {46, 293, 633},	// Okular::LineAnnotation::Square
    {46, 332, 643},	// Okular::LineAnnotation::Unknown
    {46, 577, 620},	// Okular::LineAnnotation::lineClosed
    {46, 578, 618},	// Okular::LineAnnotation::lineEndStyle
    {46, 579, 622},	// Okular::LineAnnotation::lineInnerColor
    {46, 580, 630},	// Okular::LineAnnotation::lineIntent
    {46, 581, 626},	// Okular::LineAnnotation::lineLeadingBackwardPoint
    {46, 582, 624},	// Okular::LineAnnotation::lineLeadingForwardPoint
    {46, 583, 613},	// Okular::LineAnnotation::linePoints
    {46, 584, 616},	// Okular::LineAnnotation::lineStartStyle
    {46, 836, 619},	// Okular::LineAnnotation::setLineClosed$
    {46, 838, 617},	// Okular::LineAnnotation::setLineEndStyle$
    {46, 840, 621},	// Okular::LineAnnotation::setLineInnerColor#
    {46, 842, 629},	// Okular::LineAnnotation::setLineIntent$
    {46, 844, 625},	// Okular::LineAnnotation::setLineLeadingBackwardPoint$
    {46, 846, 623},	// Okular::LineAnnotation::setLineLeadingForwardPoint$
    {46, 848, 612},	// Okular::LineAnnotation::setLinePoints?
    {46, 850, 615},	// Okular::LineAnnotation::setLineStartStyle$
    {46, 895, 627},	// Okular::LineAnnotation::setShowCaption$
    {46, 946, 628},	// Okular::LineAnnotation::showCaption
    {46, 966, 632},	// Okular::LineAnnotation::store##
    {46, 970, 631},	// Okular::LineAnnotation::subType
    {46, 1009, 614},	// Okular::LineAnnotation::transformedLinePoints
    {46, 1062, 647},	// Okular::LineAnnotation::~LineAnnotation
    {47, 195, 648},	// Okular::NormalizedPoint::NormalizedPoint
    {47, 196, 653},	// Okular::NormalizedPoint::NormalizedPoint#
    {47, 197, 649},	// Okular::NormalizedPoint::NormalizedPoint$$
    {47, 198, 650},	// Okular::NormalizedPoint::NormalizedPoint$$$$
    {47, 636, 651},	// Okular::NormalizedPoint::operator=#
    {47, 938, 655},	// Okular::NormalizedPoint::setX$
    {47, 942, 657},	// Okular::NormalizedPoint::setY$
    {47, 1002, 652},	// Okular::NormalizedPoint::transform#
    {47, 1031, 654},	// Okular::NormalizedPoint::x
    {47, 1033, 656},	// Okular::NormalizedPoint::y
    {47, 1063, 658},	// Okular::NormalizedPoint::~NormalizedPoint
    {48, 199, 659},	// Okular::NormalizedRect::NormalizedRect
    {48, 200, 662},	// Okular::NormalizedRect::NormalizedRect#
    {48, 201, 661},	// Okular::NormalizedRect::NormalizedRect#$$
    {48, 202, 660},	// Okular::NormalizedRect::NormalizedRect$$$$
    {48, 384, 683},	// Okular::NormalizedRect::bottom
    {48, 404, 675},	// Okular::NormalizedRect::center
    {48, 416, 666},	// Okular::NormalizedRect::contains$$
    {48, 505, 664},	// Okular::NormalizedRect::fromQRectF#
    {48, 517, 670},	// Okular::NormalizedRect::geometry$$
    {48, 558, -7},	// Okular::NormalizedRect::intersects#
    {48, 559, 669},	// Okular::NormalizedRect::intersects$$$$
    {48, 565, 665},	// Okular::NormalizedRect::isNull
    {48, 576, 677},	// Okular::NormalizedRect::left
    {48, 634, 673},	// Okular::NormalizedRect::operator&#
    {48, 636, 663},	// Okular::NormalizedRect::operator=#
    {48, 638, 674},	// Okular::NormalizedRect::operator==#
    {48, 640, 671},	// Okular::NormalizedRect::operator|#
    {48, 642, 672},	// Okular::NormalizedRect::operator|=#
    {48, 736, 681},	// Okular::NormalizedRect::right
    {48, 771, 684},	// Okular::NormalizedRect::setBottom$
    {48, 834, 678},	// Okular::NormalizedRect::setLeft$
    {48, 887, 682},	// Okular::NormalizedRect::setRight$
    {48, 919, 680},	// Okular::NormalizedRect::setTop$
    {48, 991, 679},	// Okular::NormalizedRect::top
    {48, 1002, 676},	// Okular::NormalizedRect::transform#
    {48, 1064, 685},	// Okular::NormalizedRect::~NormalizedRect
    {49, 14, 705},	// Okular::ObjectRect::Action
    {49, 146, 706},	// Okular::ObjectRect::Image
    {49, 204, 707},	// Okular::ObjectRect::OAnnotation
    {49, 206, 696},	// Okular::ObjectRect::ObjectRect#
    {49, 207, 688},	// Okular::ObjectRect::ObjectRect#$$
    {49, 208, 687},	// Okular::ObjectRect::ObjectRect#$$$
    {49, 209, 686},	// Okular::ObjectRect::ObjectRect$$$$$$$
    {49, 285, 708},	// Okular::ObjectRect::SourceRef
    {49, 387, 692},	// Okular::ObjectRect::boundingRect$$
    {49, 417, 693},	// Okular::ObjectRect::contains$$$$
    {49, 456, 695},	// Okular::ObjectRect::distanceSqr$$$$
    {49, 594, 699},	// Okular::ObjectRect::m_object
    {49, 595, 697},	// Okular::ObjectRect::m_objectType
    {49, 596, 701},	// Okular::ObjectRect::m_path
    {49, 597, 703},	// Okular::ObjectRect::m_transformedPath
    {49, 621, 690},	// Okular::ObjectRect::object
    {49, 624, 689},	// Okular::ObjectRect::objectType
    {49, 713, 691},	// Okular::ObjectRect::region
    {49, 853, 700},	// Okular::ObjectRect::setM_object$
    {49, 855, 698},	// Okular::ObjectRect::setM_objectType$
    {49, 857, 702},	// Okular::ObjectRect::setM_path#
    {49, 859, 704},	// Okular::ObjectRect::setM_transformedPath#
    {49, 1002, 694},	// Okular::ObjectRect::transform#
    {49, 1065, 709},	// Okular::ObjectRect::~ObjectRect
    {50, 52, 763},	// Okular::Page::Closing
    {50, 212, 762},	// Okular::Page::Opening
    {50, 217, 710},	// Okular::Page::Page$$$$
    {50, 355, 747},	// Okular::Page::addAnnotation#
    {50, 374, 734},	// Okular::Page::annotations
    {50, 385, 718},	// Okular::Page::boundingBox
    {50, 438, 756},	// Okular::Page::deleteAnnotations
    {50, 442, 752},	// Okular::Page::deletePixmap$
    {50, 443, 753},	// Okular::Page::deletePixmaps
    {50, 444, 754},	// Okular::Page::deleteRects
    {50, 445, 755},	// Okular::Page::deleteSourceReferences
    {50, 470, 742},	// Okular::Page::duration
    {50, 493, 760},	// Okular::Page::findText$$$$
    {50, 494, 727},	// Okular::Page::findText$$$$#
    {50, 503, 736},	// Okular::Page::formFields
    {50, 527, 726},	// Okular::Page::hasAnnotations
    {50, 530, 759},	// Okular::Page::hasHighlights
    {50, 531, 724},	// Okular::Page::hasHighlights$
    {50, 533, 723},	// Okular::Page::hasObjectRect$$$$
    {50, 535, 757},	// Okular::Page::hasPixmap$
    {50, 536, 758},	// Okular::Page::hasPixmap$$
    {50, 537, 721},	// Okular::Page::hasPixmap$$$
    {50, 538, 722},	// Okular::Page::hasTextPage
    {50, 539, 725},	// Okular::Page::hasTransition
    {50, 540, 716},	// Okular::Page::height
    {50, 562, 719},	// Okular::Page::isBoundingBoxKnown
    {50, 575, 744},	// Okular::Page::label
    {50, 617, 732},	// Okular::Page::nearestObjectRect$$$$$$
    {50, 620, 711},	// Okular::Page::number
    {50, 623, 731},	// Okular::Page::objectRect$$$$$
    {50, 657, 712},	// Okular::Page::orientation
    {50, 661, 735},	// Okular::Page::pageAction$
    {50, 709, 717},	// Okular::Page::ratio
    {50, 717, 748},	// Okular::Page::removeAnnotation#
    {50, 739, 713},	// Okular::Page::rotation
    {50, 773, 720},	// Okular::Page::setBoundingBox#
    {50, 795, 741},	// Okular::Page::setDuration$
    {50, 810, 751},	// Okular::Page::setFormFields?
    {50, 832, 743},	// Okular::Page::setLabel$
    {50, 872, 739},	// Okular::Page::setObjectRects?
    {50, 874, 750},	// Okular::Page::setPageAction$#
    {50, 882, 737},	// Okular::Page::setPixmap$#
    {50, 903, 740},	// Okular::Page::setSourceReferences?
    {50, 915, 738},	// Okular::Page::setTextPage#
    {50, 921, 749},	// Okular::Page::setTransition#
    {50, 976, 761},	// Okular::Page::text
    {50, 977, 728},	// Okular::Page::text#
    {50, 978, 729},	// Okular::Page::text#$
    {50, 981, 730},	// Okular::Page::textArea#
    {50, 986, 745},	// Okular::Page::textSelection
    {50, 987, 746},	// Okular::Page::textSelectionColor
    {50, 992, 714},	// Okular::Page::totalOrientation
    {50, 1010, 733},	// Okular::Page::transition
    {50, 1029, 715},	// Okular::Page::width
    {50, 1066, 764},	// Okular::Page::~Page
    {51, 222, 765},	// Okular::PageSize::PageSize
    {51, 223, 767},	// Okular::PageSize::PageSize#
    {51, 224, 766},	// Okular::PageSize::PageSize$$$
    {51, 540, 769},	// Okular::PageSize::height
    {51, 565, 771},	// Okular::PageSize::isNull
    {51, 614, 770},	// Okular::PageSize::name
    {51, 632, 774},	// Okular::PageSize::operator!=#
    {51, 636, 772},	// Okular::PageSize::operator=#
    {51, 638, 773},	// Okular::PageSize::operator==#
    {51, 1029, 768},	// Okular::PageSize::width
    {51, 1067, 775},	// Okular::PageSize::~PageSize
    {52, 30, 796},	// Okular::PageTransition::Blinds
    {52, 31, 797},	// Okular::PageTransition::Box
    {52, 59, 803},	// Okular::PageTransition::Cover
    {52, 70, 799},	// Okular::PageTransition::Dissolve
    {52, 98, 805},	// Okular::PageTransition::Fade
    {52, 109, 801},	// Okular::PageTransition::Fly
    {52, 127, 800},	// Okular::PageTransition::Glitter
    {52, 145, 806},	// Okular::PageTransition::Horizontal
    {52, 154, 808},	// Okular::PageTransition::Inward
    {52, 213, 809},	// Okular::PageTransition::Outward
    {52, 226, 793},	// Okular::PageTransition::PageTransition
    {52, 227, 777},	// Okular::PageTransition::PageTransition#
    {52, 228, 776},	// Okular::PageTransition::PageTransition$
    {52, 248, 802},	// Okular::PageTransition::Push
    {52, 269, 794},	// Okular::PageTransition::Replace
    {52, 292, 795},	// Okular::PageTransition::Split
    {52, 330, 804},	// Okular::PageTransition::Uncover
    {52, 337, 807},	// Okular::PageTransition::Vertical
    {52, 342, 798},	// Okular::PageTransition::Wipe
    {52, 368, 781},	// Okular::PageTransition::alignment
    {52, 370, 783},	// Okular::PageTransition::angle
    {52, 453, 782},	// Okular::PageTransition::direction
    {52, 470, 780},	// Okular::PageTransition::duration
    {52, 569, 785},	// Okular::PageTransition::isRectangular
    {52, 636, 778},	// Okular::PageTransition::operator=#
    {52, 749, 784},	// Okular::PageTransition::scale
    {52, 763, 788},	// Okular::PageTransition::setAlignment$
    {52, 765, 790},	// Okular::PageTransition::setAngle$
    {52, 791, 789},	// Okular::PageTransition::setDirection$
    {52, 795, 787},	// Okular::PageTransition::setDuration$
    {52, 830, 792},	// Okular::PageTransition::setIsRectangular$
    {52, 893, 791},	// Okular::PageTransition::setScale$
    {52, 923, 786},	// Okular::PageTransition::setType$
    {52, 1013, 779},	// Okular::PageTransition::type
    {52, 1068, 810},	// Okular::PageTransition::~PageTransition
    {53, 232, 811},	// Okular::PixmapRequest::PixmapRequest$$$$$$
    {53, 378, 817},	// Okular::PixmapRequest::asynchronous
    {53, 540, 815},	// Okular::PixmapRequest::height
    {53, 546, 812},	// Okular::PixmapRequest::id
    {53, 658, 818},	// Okular::PixmapRequest::page
    {53, 667, 813},	// Okular::PixmapRequest::pageNumber
    {53, 696, 816},	// Okular::PixmapRequest::priority
    {53, 1029, 814},	// Okular::PixmapRequest::width
    {53, 1069, 819},	// Okular::PixmapRequest::~PixmapRequest
    {54, 239, 821},	// Okular::PrintInterface::PrintInterface
    {54, 240, 822},	// Okular::PrintInterface::PrintInterface#
    {54, 684, 820},	// Okular::PrintInterface::printConfigurationWidget
    {54, 1070, 823},	// Okular::PrintInterface::~PrintInterface
    {55, 265, 824},	// Okular::RegularAreaRect::RegularAreaRect
    {55, 266, 825},	// Okular::RegularAreaRect::RegularAreaRect#
    {55, 636, 826},	// Okular::RegularAreaRect::operator=#
    {55, 1071, 827},	// Okular::RegularAreaRect::~RegularAreaRect
    {56, 273, 828},	// Okular::ScriptAction::ScriptAction$$
    {56, 349, 830},	// Okular::ScriptAction::actionTip
    {56, 350, 829},	// Okular::ScriptAction::actionType
    {56, 750, 832},	// Okular::ScriptAction::script
    {56, 751, 831},	// Okular::ScriptAction::scriptType
    {56, 1072, 833},	// Okular::ScriptAction::~ScriptAction
    {57, 6, 852},	// Okular::Sound::ALaw
    {57, 84, 848},	// Okular::Sound::Embedded
    {57, 96, 847},	// Okular::Sound::External
    {57, 263, 849},	// Okular::Sound::Raw
    {57, 275, 850},	// Okular::Sound::Signed
    {57, 279, 834},	// Okular::Sound::Sound#
    {57, 280, 835},	// Okular::Sound::Sound$
    {57, 380, 844},	// Okular::Sound::bitsPerSample
    {57, 405, 842},	// Okular::Sound::channels
    {57, 437, 838},	// Okular::Sound::data
    {57, 612, 851},	// Okular::Sound::muLaw
    {57, 743, 840},	// Okular::Sound::samplingRate
    {57, 769, 843},	// Okular::Sound::setBitsPerSample$
    {57, 781, 841},	// Okular::Sound::setChannels$
    {57, 891, 839},	// Okular::Sound::setSamplingRate$
    {57, 899, 845},	// Okular::Sound::setSoundEncoding$
    {57, 954, 846},	// Okular::Sound::soundEncoding
    {57, 956, 836},	// Okular::Sound::soundType
    {57, 1020, 837},	// Okular::Sound::url
    {57, 1073, 853},	// Okular::Sound::~Sound
    {58, 282, 854},	// Okular::SoundAction::SoundAction$$$$#
    {58, 349, 856},	// Okular::SoundAction::actionTip
    {58, 350, 855},	// Okular::SoundAction::actionType
    {58, 608, 860},	// Okular::SoundAction::mix
    {58, 725, 859},	// Okular::SoundAction::repeat
    {58, 953, 861},	// Okular::SoundAction::sound
    {58, 975, 858},	// Okular::SoundAction::synchronous
    {58, 1025, 857},	// Okular::SoundAction::volume
    {58, 1074, 862},	// Okular::SoundAction::~SoundAction
    {59, 283, 863},	// Okular::SoundAnnotation::SoundAnnotation
    {59, 284, 864},	// Okular::SoundAnnotation::SoundAnnotation#
    {59, 897, 868},	// Okular::SoundAnnotation::setSound#
    {59, 901, 866},	// Okular::SoundAnnotation::setSoundIconName$
    {59, 953, 867},	// Okular::SoundAnnotation::sound
    {59, 955, 865},	// Okular::SoundAnnotation::soundIconName
    {59, 966, 870},	// Okular::SoundAnnotation::store##
    {59, 970, 869},	// Okular::SoundAnnotation::subType
    {59, 1075, 871},	// Okular::SoundAnnotation::~SoundAnnotation
    {60, 287, 875},	// Okular::SourceRefObjectRect::SourceRefObjectRect#
    {60, 288, 872},	// Okular::SourceRefObjectRect::SourceRefObjectRect#$
    {60, 387, 873},	// Okular::SourceRefObjectRect::boundingRect$$
    {60, 417, 874},	// Okular::SourceRefObjectRect::contains$$$$
    {60, 1076, 876},	// Okular::SourceRefObjectRect::~SourceRefObjectRect
    {61, 290, 881},	// Okular::SourceReference::SourceReference$$
    {61, 291, 877},	// Okular::SourceReference::SourceReference$$$
    {61, 411, 880},	// Okular::SourceReference::column
    {61, 487, 878},	// Okular::SourceReference::fileName
    {61, 742, 879},	// Okular::SourceReference::row
    {61, 1077, 882},	// Okular::SourceReference::~SourceReference
    {62, 295, 883},	// Okular::StampAnnotation::StampAnnotation
    {62, 296, 884},	// Okular::StampAnnotation::StampAnnotation#
    {62, 905, 885},	// Okular::StampAnnotation::setStampIconName$
    {62, 957, 886},	// Okular::StampAnnotation::stampIconName
    {62, 966, 888},	// Okular::StampAnnotation::store##
    {62, 970, 887},	// Okular::StampAnnotation::subType
    {62, 1078, 889},	// Okular::StampAnnotation::~StampAnnotation
    {63, 41, 912},	// Okular::TextAnnotation::Callout
    {63, 147, 910},	// Okular::TextAnnotation::InPlace
    {63, 176, 909},	// Okular::TextAnnotation::Linked
    {63, 308, 890},	// Okular::TextAnnotation::TextAnnotation
    {63, 309, 891},	// Okular::TextAnnotation::TextAnnotation#
    {63, 328, 913},	// Okular::TextAnnotation::TypeWriter
    {63, 332, 911},	// Okular::TextAnnotation::Unknown
    {63, 552, 899},	// Okular::TextAnnotation::inplaceAlignment
    {63, 554, 903},	// Okular::TextAnnotation::inplaceCallout$
    {63, 555, 906},	// Okular::TextAnnotation::inplaceIntent
    {63, 556, 901},	// Okular::TextAnnotation::inplaceText
    {63, 822, 898},	// Okular::TextAnnotation::setInplaceAlignment$
    {63, 824, 902},	// Okular::TextAnnotation::setInplaceCallout#$
    {63, 826, 905},	// Okular::TextAnnotation::setInplaceIntent$
    {63, 828, 900},	// Okular::TextAnnotation::setInplaceText$
    {63, 911, 896},	// Okular::TextAnnotation::setTextFont#
    {63, 913, 894},	// Okular::TextAnnotation::setTextIcon$
    {63, 917, 892},	// Okular::TextAnnotation::setTextType$
    {63, 966, 908},	// Okular::TextAnnotation::store##
    {63, 970, 907},	// Okular::TextAnnotation::subType
    {63, 982, 897},	// Okular::TextAnnotation::textFont
    {63, 983, 895},	// Okular::TextAnnotation::textIcon
    {63, 988, 893},	// Okular::TextAnnotation::textType
    {63, 1008, 904},	// Okular::TextAnnotation::transformedInplaceCallout$
    {63, 1079, 914},	// Okular::TextAnnotation::~TextAnnotation
    {64, 310, 922},	// Okular::TextDocumentConverter::TextDocumentConverter
    {64, 353, 924},	// Okular::TextDocumentConverter::addAction#$$
    {64, 356, 925},	// Okular::TextDocumentConverter::addAnnotation#$$
    {64, 358, 928},	// Okular::TextDocumentConverter::addMetaData$$
    {64, 359, 927},	// Okular::TextDocumentConverter::addMetaData$$$
    {64, 367, 926},	// Okular::TextDocumentConverter::addTitle$$#
    {64, 391, 932},	// Okular::TextDocumentConverter::calculateViewport##
    {64, 423, 923},	// Okular::TextDocumentConverter::convert$
    {64, 477, 929},	// Okular::TextDocumentConverter::error$$
    {64, 512, 933},	// Okular::TextDocumentConverter::generator
    {64, 606, 915},	// Okular::TextDocumentConverter::metaObject
    {64, 619, 931},	// Okular::TextDocumentConverter::notice$$
    {64, 705, 921},	// Okular::TextDocumentConverter::qt_metacall$$?
    {64, 707, 916},	// Okular::TextDocumentConverter::qt_metacast$
    {64, 963, 936},	// Okular::TextDocumentConverter::staticMetaObject
    {64, 994, 934},	// Okular::TextDocumentConverter::tr$
    {64, 995, 917},	// Okular::TextDocumentConverter::tr$$
    {64, 996, 919},	// Okular::TextDocumentConverter::tr$$$
    {64, 998, 935},	// Okular::TextDocumentConverter::trUtf8$
    {64, 999, 918},	// Okular::TextDocumentConverter::trUtf8$$
    {64, 1000, 920},	// Okular::TextDocumentConverter::trUtf8$$$
    {64, 1027, 930},	// Okular::TextDocumentConverter::warning$$
    {64, 1080, 937},	// Okular::TextDocumentConverter::~TextDocumentConverter
    {65, 312, 945},	// Okular::TextDocumentGenerator::TextDocumentGenerator##?
    {65, 397, 947},	// Okular::TextDocumentGenerator::canGeneratePixmap
    {65, 457, 954},	// Okular::TextDocumentGenerator::doCloseDocument
    {65, 480, 950},	// Okular::TextDocumentGenerator::exportFormats
    {65, 482, 951},	// Okular::TextDocumentGenerator::exportTo$#
    {65, 506, 952},	// Okular::TextDocumentGenerator::generateDocumentInfo
    {65, 507, 953},	// Okular::TextDocumentGenerator::generateDocumentSynopsis
    {65, 509, 948},	// Okular::TextDocumentGenerator::generatePixmap#
    {65, 590, 946},	// Okular::TextDocumentGenerator::loadDocument$?
    {65, 606, 938},	// Okular::TextDocumentGenerator::metaObject
    {65, 681, 949},	// Okular::TextDocumentGenerator::print#
    {65, 705, 944},	// Okular::TextDocumentGenerator::qt_metacall$$?
    {65, 707, 939},	// Okular::TextDocumentGenerator::qt_metacast$
    {65, 963, 958},	// Okular::TextDocumentGenerator::staticMetaObject
    {65, 985, 955},	// Okular::TextDocumentGenerator::textPage#
    {65, 994, 956},	// Okular::TextDocumentGenerator::tr$
    {65, 995, 940},	// Okular::TextDocumentGenerator::tr$$
    {65, 996, 942},	// Okular::TextDocumentGenerator::tr$$$
    {65, 998, 957},	// Okular::TextDocumentGenerator::trUtf8$
    {65, 999, 941},	// Okular::TextDocumentGenerator::trUtf8$$
    {65, 1000, 943},	// Okular::TextDocumentGenerator::trUtf8$$$
    {65, 1081, 959},	// Okular::TextDocumentGenerator::~TextDocumentGenerator
    {66, 314, 960},	// Okular::TextEntity::TextEntity$#
    {66, 377, 962},	// Okular::TextEntity::area
    {66, 976, 961},	// Okular::TextEntity::text
    {66, 1004, 963},	// Okular::TextEntity::transformedArea#
    {66, 1082, 964},	// Okular::TextEntity::~TextEntity
    {67, 24, 973},	// Okular::TextPage::AnyPixelTextAreaInclusionBehaviour
    {67, 47, 974},	// Okular::TextPage::CentralPixelTextAreaInclusionBehaviour
    {67, 316, 965},	// Okular::TextPage::TextPage
    {67, 317, 966},	// Okular::TextPage::TextPage?
    {67, 376, 967},	// Okular::TextPage::append$#
    {67, 494, 968},	// Okular::TextPage::findText$$$$#
    {67, 976, 972},	// Okular::TextPage::text
    {67, 977, 969},	// Okular::TextPage::text#
    {67, 978, 970},	// Okular::TextPage::text#$
    {67, 981, 971},	// Okular::TextPage::textArea#
    {67, 1083, 975},	// Okular::TextPage::~TextPage
    {69, 335, 982},	// Okular::Utils::Utils
    {69, 336, 983},	// Okular::Utils::Utils#
    {69, 468, 977},	// Okular::Utils::dpiX
    {69, 469, 978},	// Okular::Utils::dpiY
    {69, 550, 981},	// Okular::Utils::imageBoundingBox#
    {69, 710, 979},	// Okular::Utils::realDpiX
    {69, 711, 980},	// Okular::Utils::realDpiY
    {69, 738, 976},	// Okular::Utils::rotateRect#$$$
    {69, 1084, 984},	// Okular::Utils::~Utils
    {71, 338, 987},	// Okular::VisiblePageRect::VisiblePageRect
    {71, 339, 986},	// Okular::VisiblePageRect::VisiblePageRect#
    {71, 340, 988},	// Okular::VisiblePageRect::VisiblePageRect$
    {71, 341, 985},	// Okular::VisiblePageRect::VisiblePageRect$#
    {71, 667, 989},	// Okular::VisiblePageRect::pageNumber
    {71, 712, 991},	// Okular::VisiblePageRect::rect
    {71, 876, 990},	// Okular::VisiblePageRect::setPageNumber$
    {71, 885, 992},	// Okular::VisiblePageRect::setRect#
    {71, 1085, 993},	// Okular::VisiblePageRect::~VisiblePageRect
    {83, 155, 1021},	// QGlobalSpace::KST_CTimeInfo
    {83, 156, 1009},	// QGlobalSpace::KST_KCustom
    {83, 157, 1004},	// QGlobalSpace::KST_KDEDesktopMimeType
    {83, 158, 1003},	// QGlobalSpace::KST_KFolderMimeType
    {83, 159, 1018},	// QGlobalSpace::KST_KImageIO
    {83, 160, 1006},	// QGlobalSpace::KST_KImageIOFormat
    {83, 161, 1002},	// QGlobalSpace::KST_KMimeType
    {83, 162, 1020},	// QGlobalSpace::KST_KMimeTypeFactory
    {83, 163, 1007},	// QGlobalSpace::KST_KProtocolInfo
    {83, 164, 1019},	// QGlobalSpace::KST_KProtocolInfoFactory
    {83, 165, 1000},	// QGlobalSpace::KST_KService
    {83, 166, 1015},	// QGlobalSpace::KST_KServiceFactory
    {83, 167, 1005},	// QGlobalSpace::KST_KServiceGroup
    {83, 168, 1017},	// QGlobalSpace::KST_KServiceGroupFactory
    {83, 169, 1008},	// QGlobalSpace::KST_KServiceSeparator
    {83, 170, 1001},	// QGlobalSpace::KST_KServiceType
    {83, 171, 1016},	// QGlobalSpace::KST_KServiceTypeFactory
    {83, 172, 999},	// QGlobalSpace::KST_KSycocaEntry
    {83, 249, 994},	// QGlobalSpace::Q_COMPLEX_TYPE
    {83, 250, 998},	// QGlobalSpace::Q_DUMMY_TYPE
    {83, 251, 997},	// QGlobalSpace::Q_MOVABLE_TYPE
    {83, 252, 995},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {83, 253, 996},	// QGlobalSpace::Q_STATIC_TYPE
    {83, 254, 1012},	// QGlobalSpace::QtCriticalMsg
    {83, 255, 1010},	// QGlobalSpace::QtDebugMsg
    {83, 256, 1013},	// QGlobalSpace::QtFatalMsg
    {83, 257, 1014},	// QGlobalSpace::QtSystemMsg
    {83, 258, 1011},	// QGlobalSpace::QtWarningMsg
    {83, 343, 1024},	// QGlobalSpace::__codecvt_error
    {83, 344, 1025},	// QGlobalSpace::__codecvt_noconv
    {83, 345, 1022},	// QGlobalSpace::__codecvt_ok
    {83, 346, 1023},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtxml_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *okular_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_okular_Smoke() {
    init_qtcore_Smoke();
    init_qtxml_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    okular_Smoke = new Smoke(
        "okular",
        __smokeokular::classes, 102,
        __smokeokular::methods, 1033,
        __smokeokular::methodMaps, 999,
        __smokeokular::methodNames, 1085,
        __smokeokular::types, 350,
        __smokeokular::inheritanceList,
        __smokeokular::argumentList,
        __smokeokular::ambiguousMethodList,
        __smokeokular::cast );
    initialized = true;
}

void delete_okular_Smoke() { delete okular_Smoke; }

}
