#include <plasma_includes.h>

#include <smoke.h>
#include <plasma_smoke.h>

namespace __smokeplasma {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComboBox
      switch(to) {
        case 4: return (void*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 5:   //KComponentData
      switch(to) {
        case 5: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 6:   //KConfigBase
      switch(to) {
        case 6: return (void*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 7:   //KConfigDialog
      switch(to) {
        case 7: return (void*)(KConfigDialog*)xptr;
        default: return xptr;
      }
    case 8:   //KConfigGroup
      switch(to) {
        case 6: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 8: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 9:   //KConfigSkeleton
      switch(to) {
        case 11: return (void*)(KCoreConfigSkeleton*)(KConfigSkeleton*)xptr;
        case 163: return (void*)(QObject*)(KConfigSkeleton*)xptr;
        case 9: return (void*)(KConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 10:   //KConfigSkeletonItem
      switch(to) {
        case 10: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 11:   //KCoreConfigSkeleton
      switch(to) {
        case 163: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 12:   //KIcon
      switch(to) {
        case 151: return (void*)(QIcon*)(KIcon*)xptr;
        case 12: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 13:   //KIntSpinBox
      switch(to) {
        case 13: return (void*)(KIntSpinBox*)xptr;
        default: return xptr;
      }
    case 14:   //KJob
      switch(to) {
        case 163: return (void*)(QObject*)(KJob*)xptr;
        case 14: return (void*)(KJob*)xptr;
        case 91: return (void*)(Plasma::ServiceJob*)(KJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(KJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 15:   //KLineEdit
      switch(to) {
        case 15: return (void*)(KLineEdit*)xptr;
        default: return xptr;
      }
    case 16:   //KLocale
      switch(to) {
        case 16: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 17:   //KPluginInfo
      switch(to) {
        case 17: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 18:   //KPushButton
      switch(to) {
        case 18: return (void*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 19:   //KServiceAction
      switch(to) {
        case 19: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 20:   //KShortcut
      switch(to) {
        case 20: return (void*)(KShortcut*)xptr;
        default: return xptr;
      }
    case 21:   //KStandardDirs
      switch(to) {
        case 21: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 22:   //KTabBar
      switch(to) {
        case 199: return (void*)(QWidget*)(KTabBar*)xptr;
        case 163: return (void*)(QObject*)(KTabBar*)xptr;
        case 22: return (void*)(KTabBar*)xptr;
        default: return xptr;
      }
    case 23:   //KTextBrowser
      switch(to) {
        case 23: return (void*)(KTextBrowser*)xptr;
        default: return xptr;
      }
    case 24:   //KTextEdit
      switch(to) {
        case 24: return (void*)(KTextEdit*)xptr;
        default: return xptr;
      }
    case 25:   //KUrl
      switch(to) {
        case 194: return (void*)(QUrl*)(KUrl*)xptr;
        case 25: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 26:   //Phonon::AudioOutput
      switch(to) {
        case 26: return (void*)(Phonon::AudioOutput*)xptr;
        default: return xptr;
      }
    case 27:   //Phonon::MediaObject
      switch(to) {
        case 27: return (void*)(Phonon::MediaObject*)xptr;
        default: return xptr;
      }
    case 28:   //Phonon::VideoWidget
      switch(to) {
        case 28: return (void*)(Phonon::VideoWidget*)xptr;
        default: return xptr;
      }
    case 30:   //Plasma::AbstractDialogManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AbstractDialogManager*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)xptr;
        default: return xptr;
      }
    case 31:   //Plasma::AbstractRunner
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AbstractRunner*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)xptr;
        default: return xptr;
      }
    case 32:   //Plasma::AbstractToolBox
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::AbstractToolBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AbstractToolBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::AbstractToolBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::AbstractToolBox*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)xptr;
        default: return xptr;
      }
    case 33:   //Plasma::AccessAppletJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::AccessAppletJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AccessAppletJob*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)xptr;
        default: return xptr;
      }
    case 34:   //Plasma::AccessManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AccessManager*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)xptr;
        default: return xptr;
      }
    case 35:   //Plasma::Animation
      switch(to) {
        case 110: return (void*)(QAbstractAnimation*)(Plasma::Animation*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Animation*)xptr;
        case 35: return (void*)(Plasma::Animation*)xptr;
        default: return xptr;
      }
    case 36:   //Plasma::AnimationDriver
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AnimationDriver*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)xptr;
        default: return xptr;
      }
    case 37:   //Plasma::Animator
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Animator*)xptr;
        case 37: return (void*)(Plasma::Animator*)xptr;
        default: return xptr;
      }
    case 38:   //Plasma::Applet
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Applet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Applet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Applet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Applet*)xptr;
        case 38: return (void*)(Plasma::Applet*)xptr;
        case 48: return (void*)(Plasma::Containment*)(Plasma::Applet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(Plasma::Applet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(Plasma::Applet*)xptr;
        default: return xptr;
      }
    case 39:   //Plasma::AppletScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::AppletScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::AppletScript*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)xptr;
        default: return xptr;
      }
    case 40:   //Plasma::AuthorizationInterface
      switch(to) {
        case 40: return (void*)(Plasma::AuthorizationInterface*)xptr;
        default: return xptr;
      }
    case 41:   //Plasma::AuthorizationManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AuthorizationManager*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)xptr;
        default: return xptr;
      }
    case 42:   //Plasma::AuthorizationRule
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::AuthorizationRule*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)xptr;
        default: return xptr;
      }
    case 43:   //Plasma::BusyWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::BusyWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::BusyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::BusyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::BusyWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)xptr;
        default: return xptr;
      }
    case 44:   //Plasma::CheckBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::CheckBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::CheckBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::CheckBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::CheckBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::CheckBox*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)xptr;
        default: return xptr;
      }
    case 45:   //Plasma::ClientPinRequest
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ClientPinRequest*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)xptr;
        default: return xptr;
      }
    case 46:   //Plasma::ComboBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ComboBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ComboBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ComboBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ComboBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ComboBox*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)xptr;
        default: return xptr;
      }
    case 47:   //Plasma::ConfigLoader
      switch(to) {
        case 9: return (void*)(KConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 11: return (void*)(KCoreConfigSkeleton*)(Plasma::ConfigLoader*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ConfigLoader*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)xptr;
        default: return xptr;
      }
    case 48:   //Plasma::Containment
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::Containment*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Containment*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Containment*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Containment*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Containment*)xptr;
        case 48: return (void*)(Plasma::Containment*)xptr;
        default: return xptr;
      }
    case 49:   //Plasma::Containment::StyleOption
      switch(to) {
        case 186: return (void*)(QStyleOptionGraphicsItem*)(Plasma::Containment::StyleOption*)xptr;
        case 185: return (void*)(QStyleOption*)(Plasma::Containment::StyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)xptr;
        default: return xptr;
      }
    case 50:   //Plasma::ContainmentActions
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ContainmentActions*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)xptr;
        default: return xptr;
      }
    case 51:   //Plasma::ContainmentActionsPluginsConfig
      switch(to) {
        case 51: return (void*)(Plasma::ContainmentActionsPluginsConfig*)xptr;
        default: return xptr;
      }
    case 52:   //Plasma::Context
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Context*)xptr;
        case 52: return (void*)(Plasma::Context*)xptr;
        default: return xptr;
      }
    case 53:   //Plasma::Corona
      switch(to) {
        case 137: return (void*)(QGraphicsScene*)(Plasma::Corona*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Corona*)xptr;
        case 53: return (void*)(Plasma::Corona*)xptr;
        default: return xptr;
      }
    case 54:   //Plasma::DataContainer
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataContainer*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)xptr;
        default: return xptr;
      }
    case 55:   //Plasma::DataEngine
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataEngine*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)xptr;
        default: return xptr;
      }
    case 56:   //Plasma::DataEngineManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::DataEngineManager*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)xptr;
        default: return xptr;
      }
    case 57:   //Plasma::DataEngineScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::DataEngineScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::DataEngineScript*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)xptr;
        default: return xptr;
      }
    case 58:   //Plasma::Delegate
      switch(to) {
        case 111: return (void*)(QAbstractItemDelegate*)(Plasma::Delegate*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Delegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)xptr;
        default: return xptr;
      }
    case 59:   //Plasma::Dialog
      switch(to) {
        case 199: return (void*)(QWidget*)(Plasma::Dialog*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Dialog*)xptr;
        case 59: return (void*)(Plasma::Dialog*)xptr;
        default: return xptr;
      }
    case 60:   //Plasma::Extender
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Extender*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Extender*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Extender*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Extender*)xptr;
        case 60: return (void*)(Plasma::Extender*)xptr;
        default: return xptr;
      }
    case 61:   //Plasma::ExtenderGroup
      switch(to) {
        case 62: return (void*)(Plasma::ExtenderItem*)(Plasma::ExtenderGroup*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ExtenderGroup*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ExtenderGroup*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderGroup*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderGroup*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)xptr;
        default: return xptr;
      }
    case 62:   //Plasma::ExtenderItem
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ExtenderItem*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ExtenderItem*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ExtenderItem*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ExtenderItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(Plasma::ExtenderItem*)xptr;
        default: return xptr;
      }
    case 63:   //Plasma::FlashingLabel
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::FlashingLabel*)xptr;
        case 163: return (void*)(QObject*)(Plasma::FlashingLabel*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::FlashingLabel*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::FlashingLabel*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)xptr;
        default: return xptr;
      }
    case 64:   //Plasma::Frame
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Frame*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Frame*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Frame*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Frame*)xptr;
        case 64: return (void*)(Plasma::Frame*)xptr;
        default: return xptr;
      }
    case 65:   //Plasma::FrameSvg
      switch(to) {
        case 95: return (void*)(Plasma::Svg*)(Plasma::FrameSvg*)xptr;
        case 163: return (void*)(QObject*)(Plasma::FrameSvg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)xptr;
        default: return xptr;
      }
    case 66:   //Plasma::GLApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::GLApplet*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::GLApplet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::GLApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GLApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GLApplet*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)xptr;
        default: return xptr;
      }
    case 67:   //Plasma::GroupBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::GroupBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::GroupBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::GroupBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::GroupBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::GroupBox*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)xptr;
        default: return xptr;
      }
    case 68:   //Plasma::IconWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::IconWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::IconWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::IconWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::IconWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)xptr;
        default: return xptr;
      }
    case 69:   //Plasma::ItemBackground
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ItemBackground*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ItemBackground*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ItemBackground*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ItemBackground*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)xptr;
        default: return xptr;
      }
    case 70:   //Plasma::Label
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::Label*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Label*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Label*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Label*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Label*)xptr;
        case 70: return (void*)(Plasma::Label*)xptr;
        default: return xptr;
      }
    case 71:   //Plasma::LineEdit
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::LineEdit*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::LineEdit*)xptr;
        case 163: return (void*)(QObject*)(Plasma::LineEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::LineEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::LineEdit*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)xptr;
        default: return xptr;
      }
    case 72:   //Plasma::Meter
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Meter*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Meter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Meter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Meter*)xptr;
        case 72: return (void*)(Plasma::Meter*)xptr;
        default: return xptr;
      }
    case 73:   //Plasma::Package
      switch(to) {
        case 73: return (void*)(Plasma::Package*)xptr;
        default: return xptr;
      }
    case 74:   //Plasma::PackageMetadata
      switch(to) {
        case 74: return (void*)(Plasma::PackageMetadata*)xptr;
        default: return xptr;
      }
    case 75:   //Plasma::PackageStructure
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::PackageStructure*)xptr;
        case 179: return (void*)(QSharedData*)(Plasma::PackageStructure*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)xptr;
        default: return xptr;
      }
    case 76:   //Plasma::PlotColor
      switch(to) {
        case 76: return (void*)(Plasma::PlotColor*)xptr;
        default: return xptr;
      }
    case 77:   //Plasma::PopupApplet
      switch(to) {
        case 38: return (void*)(Plasma::Applet*)(Plasma::PopupApplet*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::PopupApplet*)xptr;
        case 163: return (void*)(QObject*)(Plasma::PopupApplet*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PopupApplet*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PopupApplet*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)xptr;
        default: return xptr;
      }
    case 78:   //Plasma::PushButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::PushButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::PushButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::PushButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::PushButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::PushButton*)xptr;
        case 78: return (void*)(Plasma::PushButton*)xptr;
        default: return xptr;
      }
    case 79:   //Plasma::QueryMatch
      switch(to) {
        case 79: return (void*)(Plasma::QueryMatch*)xptr;
        default: return xptr;
      }
    case 80:   //Plasma::RadioButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::RadioButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::RadioButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::RadioButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::RadioButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::RadioButton*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)xptr;
        default: return xptr;
      }
    case 81:   //Plasma::RunnerContext
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::RunnerContext*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)xptr;
        default: return xptr;
      }
    case 82:   //Plasma::RunnerManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::RunnerManager*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)xptr;
        default: return xptr;
      }
    case 83:   //Plasma::RunnerScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::RunnerScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::RunnerScript*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)xptr;
        default: return xptr;
      }
    case 84:   //Plasma::RunnerSyntax
      switch(to) {
        case 84: return (void*)(Plasma::RunnerSyntax*)xptr;
        default: return xptr;
      }
    case 85:   //Plasma::ScriptEngine
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ScriptEngine*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(Plasma::ScriptEngine*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(Plasma::ScriptEngine*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(Plasma::ScriptEngine*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(Plasma::ScriptEngine*)xptr;
        default: return xptr;
      }
    case 86:   //Plasma::ScrollBar
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ScrollBar*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ScrollBar*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ScrollBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollBar*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)xptr;
        default: return xptr;
      }
    case 87:   //Plasma::ScrollWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ScrollWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ScrollWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ScrollWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ScrollWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)xptr;
        default: return xptr;
      }
    case 88:   //Plasma::Separator
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Separator*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Separator*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Separator*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Separator*)xptr;
        case 88: return (void*)(Plasma::Separator*)xptr;
        default: return xptr;
      }
    case 89:   //Plasma::Service
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Service*)xptr;
        case 89: return (void*)(Plasma::Service*)xptr;
        default: return xptr;
      }
    case 90:   //Plasma::ServiceAccessJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::ServiceAccessJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ServiceAccessJob*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)xptr;
        default: return xptr;
      }
    case 91:   //Plasma::ServiceJob
      switch(to) {
        case 14: return (void*)(KJob*)(Plasma::ServiceJob*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ServiceJob*)xptr;
        case 91: return (void*)(Plasma::ServiceJob*)xptr;
        default: return xptr;
      }
    case 92:   //Plasma::SignalPlotter
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SignalPlotter*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SignalPlotter*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SignalPlotter*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SignalPlotter*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)xptr;
        default: return xptr;
      }
    case 93:   //Plasma::Slider
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::Slider*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::Slider*)xptr;
        case 163: return (void*)(QObject*)(Plasma::Slider*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::Slider*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::Slider*)xptr;
        case 93: return (void*)(Plasma::Slider*)xptr;
        default: return xptr;
      }
    case 94:   //Plasma::SpinBox
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::SpinBox*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SpinBox*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SpinBox*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SpinBox*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SpinBox*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)xptr;
        default: return xptr;
      }
    case 95:   //Plasma::Svg
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Svg*)xptr;
        case 95: return (void*)(Plasma::Svg*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(Plasma::Svg*)xptr;
        default: return xptr;
      }
    case 96:   //Plasma::SvgWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::SvgWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::SvgWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::SvgWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::SvgWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)xptr;
        default: return xptr;
      }
    case 97:   //Plasma::TabBar
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TabBar*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TabBar*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TabBar*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TabBar*)xptr;
        case 97: return (void*)(Plasma::TabBar*)xptr;
        default: return xptr;
      }
    case 98:   //Plasma::TextBrowser
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TextBrowser*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TextBrowser*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TextBrowser*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextBrowser*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextBrowser*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)xptr;
        default: return xptr;
      }
    case 99:   //Plasma::TextEdit
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TextEdit*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TextEdit*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TextEdit*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TextEdit*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TextEdit*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)xptr;
        default: return xptr;
      }
    case 100:   //Plasma::Theme
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Theme*)xptr;
        case 100: return (void*)(Plasma::Theme*)xptr;
        default: return xptr;
      }
    case 101:   //Plasma::ToolButton
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::ToolButton*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::ToolButton*)xptr;
        case 163: return (void*)(QObject*)(Plasma::ToolButton*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::ToolButton*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::ToolButton*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)xptr;
        default: return xptr;
      }
    case 102:   //Plasma::ToolTipContent
      switch(to) {
        case 102: return (void*)(Plasma::ToolTipContent*)xptr;
        default: return xptr;
      }
    case 103:   //Plasma::ToolTipManager
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::ToolTipManager*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)xptr;
        default: return xptr;
      }
    case 104:   //Plasma::TreeView
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::TreeView*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::TreeView*)xptr;
        case 163: return (void*)(QObject*)(Plasma::TreeView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::TreeView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::TreeView*)xptr;
        case 104: return (void*)(Plasma::TreeView*)xptr;
        default: return xptr;
      }
    case 105:   //Plasma::VideoWidget
      switch(to) {
        case 136: return (void*)(QGraphicsProxyWidget*)(Plasma::VideoWidget*)xptr;
        case 147: return (void*)(QGraphicsWidget*)(Plasma::VideoWidget*)xptr;
        case 163: return (void*)(QObject*)(Plasma::VideoWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::VideoWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::VideoWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)xptr;
        default: return xptr;
      }
    case 106:   //Plasma::View
      switch(to) {
        case 146: return (void*)(QGraphicsView*)(Plasma::View*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)(Plasma::View*)xptr;
        case 132: return (void*)(QFrame*)(Plasma::View*)xptr;
        case 199: return (void*)(QWidget*)(Plasma::View*)xptr;
        case 163: return (void*)(QObject*)(Plasma::View*)xptr;
        case 106: return (void*)(Plasma::View*)xptr;
        default: return xptr;
      }
    case 107:   //Plasma::Wallpaper
      switch(to) {
        case 163: return (void*)(QObject*)(Plasma::Wallpaper*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)xptr;
        default: return xptr;
      }
    case 108:   //Plasma::WallpaperScript
      switch(to) {
        case 85: return (void*)(Plasma::ScriptEngine*)(Plasma::WallpaperScript*)xptr;
        case 163: return (void*)(QObject*)(Plasma::WallpaperScript*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)xptr;
        default: return xptr;
      }
    case 109:   //Plasma::WebView
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(Plasma::WebView*)xptr;
        case 163: return (void*)(QObject*)(Plasma::WebView*)xptr;
        case 134: return (void*)(QGraphicsItem*)(Plasma::WebView*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(Plasma::WebView*)xptr;
        case 109: return (void*)(Plasma::WebView*)xptr;
        default: return xptr;
      }
    case 110:   //QAbstractAnimation
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractAnimation*)xptr;
        case 110: return (void*)(QAbstractAnimation*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QAbstractAnimation*)xptr;
        default: return xptr;
      }
    case 111:   //QAbstractItemDelegate
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractItemDelegate*)xptr;
        case 111: return (void*)(QAbstractItemDelegate*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QAbstractItemDelegate*)xptr;
        default: return xptr;
      }
    case 112:   //QAbstractItemModel
      switch(to) {
        case 163: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 112: return (void*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 113:   //QAbstractScrollArea
      switch(to) {
        case 132: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 199: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 163: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 113: return (void*)(QAbstractScrollArea*)xptr;
        case 106: return (void*)(Plasma::View*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 114:   //QAction
      switch(to) {
        case 114: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 115:   //QActionEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 115: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 116:   //QBool
      switch(to) {
        case 116: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 117:   //QByteArray
      switch(to) {
        case 117: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 118:   //QCheckBox
      switch(to) {
        case 118: return (void*)(QCheckBox*)xptr;
        default: return xptr;
      }
    case 119:   //QChildEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 119: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 120:   //QCloseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 120: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 121:   //QColor
      switch(to) {
        case 121: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 122:   //QContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 122: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 123:   //QDragEnterEvent
      switch(to) {
        case 125: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 126: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 123: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 124:   //QDragLeaveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 124: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 125:   //QDragMoveEvent
      switch(to) {
        case 126: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 128: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 125: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 126:   //QDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 126: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 127:   //QEasingCurve
      switch(to) {
        case 127: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 128:   //QEvent
      switch(to) {
        case 128: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 129:   //QFocusEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 129: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 130:   //QFont
      switch(to) {
        case 130: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 131:   //QFontMetrics
      switch(to) {
        case 131: return (void*)(QFontMetrics*)xptr;
        default: return xptr;
      }
    case 132:   //QFrame
      switch(to) {
        case 199: return (void*)(QWidget*)(QFrame*)xptr;
        case 163: return (void*)(QObject*)(QFrame*)xptr;
        case 132: return (void*)(QFrame*)xptr;
        case 106: return (void*)(Plasma::View*)(QFrame*)xptr;
        default: return xptr;
      }
    case 134:   //QGraphicsItem
      switch(to) {
        case 134: return (void*)(QGraphicsItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 135:   //QGraphicsLayoutItem
      switch(to) {
        case 135: return (void*)(QGraphicsLayoutItem*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsLayoutItem*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsLayoutItem*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsLayoutItem*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsLayoutItem*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsLayoutItem*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsLayoutItem*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsLayoutItem*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsLayoutItem*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsLayoutItem*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsLayoutItem*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsLayoutItem*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsLayoutItem*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsLayoutItem*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsLayoutItem*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsLayoutItem*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsLayoutItem*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsLayoutItem*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsLayoutItem*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsLayoutItem*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsLayoutItem*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsLayoutItem*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsLayoutItem*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsLayoutItem*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsLayoutItem*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsLayoutItem*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsLayoutItem*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsLayoutItem*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsLayoutItem*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsLayoutItem*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsLayoutItem*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsLayoutItem*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsLayoutItem*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsLayoutItem*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsLayoutItem*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsLayoutItem*)xptr;
        default: return xptr;
      }
    case 136:   //QGraphicsProxyWidget
      switch(to) {
        case 147: return (void*)(QGraphicsWidget*)(QGraphicsProxyWidget*)xptr;
        case 163: return (void*)(QObject*)(QGraphicsProxyWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsProxyWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsProxyWidget*)xptr;
        case 136: return (void*)(QGraphicsProxyWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsProxyWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsProxyWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsProxyWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsProxyWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsProxyWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsProxyWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsProxyWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsProxyWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsProxyWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsProxyWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsProxyWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsProxyWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsProxyWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsProxyWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsProxyWidget*)xptr;
        default: return xptr;
      }
    case 137:   //QGraphicsScene
      switch(to) {
        case 163: return (void*)(QObject*)(QGraphicsScene*)xptr;
        case 137: return (void*)(QGraphicsScene*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QGraphicsScene*)xptr;
        default: return xptr;
      }
    case 138:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 138: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 139:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 139: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 140:   //QGraphicsSceneHelpEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHelpEvent*)xptr;
        case 140: return (void*)(QGraphicsSceneHelpEvent*)xptr;
        default: return xptr;
      }
    case 141:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 141: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 142:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 142: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 143:   //QGraphicsSceneMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneMoveEvent*)xptr;
        case 143: return (void*)(QGraphicsSceneMoveEvent*)xptr;
        default: return xptr;
      }
    case 144:   //QGraphicsSceneResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneResizeEvent*)xptr;
        case 144: return (void*)(QGraphicsSceneResizeEvent*)xptr;
        default: return xptr;
      }
    case 145:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 145: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 146:   //QGraphicsView
      switch(to) {
        case 113: return (void*)(QAbstractScrollArea*)(QGraphicsView*)xptr;
        case 132: return (void*)(QFrame*)(QGraphicsView*)xptr;
        case 199: return (void*)(QWidget*)(QGraphicsView*)xptr;
        case 163: return (void*)(QObject*)(QGraphicsView*)xptr;
        case 146: return (void*)(QGraphicsView*)xptr;
        case 106: return (void*)(Plasma::View*)(QGraphicsView*)xptr;
        default: return xptr;
      }
    case 147:   //QGraphicsWidget
      switch(to) {
        case 163: return (void*)(QObject*)(QGraphicsWidget*)xptr;
        case 134: return (void*)(QGraphicsItem*)(QGraphicsWidget*)xptr;
        case 135: return (void*)(QGraphicsLayoutItem*)(QGraphicsWidget*)xptr;
        case 147: return (void*)(QGraphicsWidget*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QGraphicsWidget*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QGraphicsWidget*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QGraphicsWidget*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QGraphicsWidget*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QGraphicsWidget*)xptr;
        case 70: return (void*)(Plasma::Label*)(QGraphicsWidget*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QGraphicsWidget*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QGraphicsWidget*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QGraphicsWidget*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QGraphicsWidget*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QGraphicsWidget*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QGraphicsWidget*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QGraphicsWidget*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QGraphicsWidget*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QGraphicsWidget*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QGraphicsWidget*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QGraphicsWidget*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QGraphicsWidget*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QGraphicsWidget*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QGraphicsWidget*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QGraphicsWidget*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QGraphicsWidget*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QGraphicsWidget*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QGraphicsWidget*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QGraphicsWidget*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QGraphicsWidget*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QGraphicsWidget*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QGraphicsWidget*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QGraphicsWidget*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QGraphicsWidget*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QGraphicsWidget*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QGraphicsWidget*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QGraphicsWidget*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QGraphicsWidget*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QGraphicsWidget*)xptr;
        default: return xptr;
      }
    case 148:   //QGroupBox
      switch(to) {
        case 148: return (void*)(QGroupBox*)xptr;
        default: return xptr;
      }
    case 149:   //QHideEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 149: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 150:   //QIODevice
      switch(to) {
        case 163: return (void*)(QObject*)(QIODevice*)xptr;
        case 150: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 151:   //QIcon
      switch(to) {
        case 151: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 152:   //QImage
      switch(to) {
        case 152: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 153:   //QInputMethodEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 153: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QKeyEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 154: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 155:   //QLabel
      switch(to) {
        case 155: return (void*)(QLabel*)xptr;
        default: return xptr;
      }
    case 156:   //QMenu
      switch(to) {
        case 156: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 157:   //QMetaObject
      switch(to) {
        case 157: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 158:   //QMimeData
      switch(to) {
        case 163: return (void*)(QObject*)(QMimeData*)xptr;
        case 158: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 159:   //QModelIndex
      switch(to) {
        case 159: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 160:   //QMouseEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 160: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QMoveEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 161: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 162:   //QMutex
      switch(to) {
        case 162: return (void*)(QMutex*)xptr;
        default: return xptr;
      }
    case 163:   //QObject
      switch(to) {
        case 163: return (void*)(QObject*)xptr;
        case 91: return (void*)(Plasma::ServiceJob*)(QObject*)xptr;
        case 97: return (void*)(Plasma::TabBar*)(QObject*)xptr;
        case 69: return (void*)(Plasma::ItemBackground*)(QObject*)xptr;
        case 103: return (void*)(Plasma::ToolTipManager*)(QObject*)xptr;
        case 56: return (void*)(Plasma::DataEngineManager*)(QObject*)xptr;
        case 30: return (void*)(Plasma::AbstractDialogManager*)(QObject*)xptr;
        case 57: return (void*)(Plasma::DataEngineScript*)(QObject*)xptr;
        case 47: return (void*)(Plasma::ConfigLoader*)(QObject*)xptr;
        case 36: return (void*)(Plasma::AnimationDriver*)(QObject*)xptr;
        case 38: return (void*)(Plasma::Applet*)(QObject*)xptr;
        case 48: return (void*)(Plasma::Containment*)(QObject*)xptr;
        case 53: return (void*)(Plasma::Corona*)(QObject*)xptr;
        case 45: return (void*)(Plasma::ClientPinRequest*)(QObject*)xptr;
        case 96: return (void*)(Plasma::SvgWidget*)(QObject*)xptr;
        case 70: return (void*)(Plasma::Label*)(QObject*)xptr;
        case 108: return (void*)(Plasma::WallpaperScript*)(QObject*)xptr;
        case 95: return (void*)(Plasma::Svg*)(QObject*)xptr;
        case 64: return (void*)(Plasma::Frame*)(QObject*)xptr;
        case 105: return (void*)(Plasma::VideoWidget*)(QObject*)xptr;
        case 33: return (void*)(Plasma::AccessAppletJob*)(QObject*)xptr;
        case 61: return (void*)(Plasma::ExtenderGroup*)(QObject*)xptr;
        case 43: return (void*)(Plasma::BusyWidget*)(QObject*)xptr;
        case 52: return (void*)(Plasma::Context*)(QObject*)xptr;
        case 66: return (void*)(Plasma::GLApplet*)(QObject*)xptr;
        case 44: return (void*)(Plasma::CheckBox*)(QObject*)xptr;
        case 41: return (void*)(Plasma::AuthorizationManager*)(QObject*)xptr;
        case 82: return (void*)(Plasma::RunnerManager*)(QObject*)xptr;
        case 104: return (void*)(Plasma::TreeView*)(QObject*)xptr;
        case 55: return (void*)(Plasma::DataEngine*)(QObject*)xptr;
        case 101: return (void*)(Plasma::ToolButton*)(QObject*)xptr;
        case 67: return (void*)(Plasma::GroupBox*)(QObject*)xptr;
        case 107: return (void*)(Plasma::Wallpaper*)(QObject*)xptr;
        case 86: return (void*)(Plasma::ScrollBar*)(QObject*)xptr;
        case 68: return (void*)(Plasma::IconWidget*)(QObject*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QObject*)xptr;
        case 89: return (void*)(Plasma::Service*)(QObject*)xptr;
        case 34: return (void*)(Plasma::AccessManager*)(QObject*)xptr;
        case 71: return (void*)(Plasma::LineEdit*)(QObject*)xptr;
        case 62: return (void*)(Plasma::ExtenderItem*)(QObject*)xptr;
        case 83: return (void*)(Plasma::RunnerScript*)(QObject*)xptr;
        case 37: return (void*)(Plasma::Animator*)(QObject*)xptr;
        case 90: return (void*)(Plasma::ServiceAccessJob*)(QObject*)xptr;
        case 85: return (void*)(Plasma::ScriptEngine*)(QObject*)xptr;
        case 88: return (void*)(Plasma::Separator*)(QObject*)xptr;
        case 78: return (void*)(Plasma::PushButton*)(QObject*)xptr;
        case 80: return (void*)(Plasma::RadioButton*)(QObject*)xptr;
        case 100: return (void*)(Plasma::Theme*)(QObject*)xptr;
        case 98: return (void*)(Plasma::TextBrowser*)(QObject*)xptr;
        case 77: return (void*)(Plasma::PopupApplet*)(QObject*)xptr;
        case 58: return (void*)(Plasma::Delegate*)(QObject*)xptr;
        case 65: return (void*)(Plasma::FrameSvg*)(QObject*)xptr;
        case 54: return (void*)(Plasma::DataContainer*)(QObject*)xptr;
        case 81: return (void*)(Plasma::RunnerContext*)(QObject*)xptr;
        case 60: return (void*)(Plasma::Extender*)(QObject*)xptr;
        case 35: return (void*)(Plasma::Animation*)(QObject*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QObject*)xptr;
        case 94: return (void*)(Plasma::SpinBox*)(QObject*)xptr;
        case 31: return (void*)(Plasma::AbstractRunner*)(QObject*)xptr;
        case 92: return (void*)(Plasma::SignalPlotter*)(QObject*)xptr;
        case 87: return (void*)(Plasma::ScrollWidget*)(QObject*)xptr;
        case 32: return (void*)(Plasma::AbstractToolBox*)(QObject*)xptr;
        case 72: return (void*)(Plasma::Meter*)(QObject*)xptr;
        case 46: return (void*)(Plasma::ComboBox*)(QObject*)xptr;
        case 50: return (void*)(Plasma::ContainmentActions*)(QObject*)xptr;
        case 42: return (void*)(Plasma::AuthorizationRule*)(QObject*)xptr;
        case 93: return (void*)(Plasma::Slider*)(QObject*)xptr;
        case 109: return (void*)(Plasma::WebView*)(QObject*)xptr;
        case 63: return (void*)(Plasma::FlashingLabel*)(QObject*)xptr;
        case 99: return (void*)(Plasma::TextEdit*)(QObject*)xptr;
        case 106: return (void*)(Plasma::View*)(QObject*)xptr;
        case 39: return (void*)(Plasma::AppletScript*)(QObject*)xptr;
        default: return xptr;
      }
    case 164:   //QPaintEngine
      switch(to) {
        case 164: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 165:   //QPaintEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 165: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QPainter
      switch(to) {
        case 166: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 167:   //QPainterPath
      switch(to) {
        case 167: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 168:   //QPalette
      switch(to) {
        case 168: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 169:   //QPixmap
      switch(to) {
        case 169: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 170:   //QPoint
      switch(to) {
        case 170: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 171:   //QPointF
      switch(to) {
        case 171: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 172:   //QRadioButton
      switch(to) {
        case 172: return (void*)(QRadioButton*)xptr;
        default: return xptr;
      }
    case 173:   //QRect
      switch(to) {
        case 173: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 174:   //QRectF
      switch(to) {
        case 174: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 175:   //QRegExp
      switch(to) {
        case 175: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 176:   //QRegion
      switch(to) {
        case 176: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 177:   //QResizeEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 177: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 178:   //QScrollBar
      switch(to) {
        case 199: return (void*)(QWidget*)(QScrollBar*)xptr;
        case 163: return (void*)(QObject*)(QScrollBar*)xptr;
        case 178: return (void*)(QScrollBar*)xptr;
        default: return xptr;
      }
    case 179:   //QSharedData
      switch(to) {
        case 179: return (void*)(QSharedData*)xptr;
        case 75: return (void*)(Plasma::PackageStructure*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 180:   //QShowEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 180: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 181:   //QSize
      switch(to) {
        case 181: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 182:   //QSizeF
      switch(to) {
        case 182: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 183:   //QSlider
      switch(to) {
        case 199: return (void*)(QWidget*)(QSlider*)xptr;
        case 163: return (void*)(QObject*)(QSlider*)xptr;
        case 183: return (void*)(QSlider*)xptr;
        default: return xptr;
      }
    case 184:   //QStyle
      switch(to) {
        case 163: return (void*)(QObject*)(QStyle*)xptr;
        case 184: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 185:   //QStyleOption
      switch(to) {
        case 185: return (void*)(QStyleOption*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 186:   //QStyleOptionGraphicsItem
      switch(to) {
        case 185: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 186: return (void*)(QStyleOptionGraphicsItem*)xptr;
        case 49: return (void*)(Plasma::Containment::StyleOption*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 187:   //QStyleOptionViewItem
      switch(to) {
        case 185: return (void*)(QStyleOption*)(QStyleOptionViewItem*)xptr;
        case 187: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 188:   //QTabletEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 188: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 189:   //QTextDocument
      switch(to) {
        case 189: return (void*)(QTextDocument*)xptr;
        default: return xptr;
      }
    case 190:   //QTextOption
      switch(to) {
        case 190: return (void*)(QTextOption*)xptr;
        default: return xptr;
      }
    case 191:   //QTimerEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 191: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 192:   //QToolButton
      switch(to) {
        case 192: return (void*)(QToolButton*)xptr;
        default: return xptr;
      }
    case 193:   //QTreeView
      switch(to) {
        case 193: return (void*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 194:   //QUrl
      switch(to) {
        case 194: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 195:   //QVariant
      switch(to) {
        case 195: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 196:   //QWebFrame
      switch(to) {
        case 196: return (void*)(QWebFrame*)xptr;
        default: return xptr;
      }
    case 197:   //QWebPage
      switch(to) {
        case 197: return (void*)(QWebPage*)xptr;
        default: return xptr;
      }
    case 198:   //QWheelEvent
      switch(to) {
        case 128: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 198: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 199:   //QWidget
      switch(to) {
        case 163: return (void*)(QObject*)(QWidget*)xptr;
        case 199: return (void*)(QWidget*)xptr;
        case 59: return (void*)(Plasma::Dialog*)(QWidget*)xptr;
        case 106: return (void*)(Plasma::View*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    163, 0,	// 1: QObject
    147, 0,	// 3: QGraphicsWidget
    14, 0,	// 5: KJob
    110, 0,	// 7: QAbstractAnimation
    85, 0,	// 9: Plasma::ScriptEngine
    136, 0,	// 11: QGraphicsProxyWidget
    9, 0,	// 13: KConfigSkeleton
    38, 0,	// 15: Plasma::Applet
    186, 0,	// 17: QStyleOptionGraphicsItem
    137, 0,	// 19: QGraphicsScene
    111, 0,	// 21: QAbstractItemDelegate
    199, 0,	// 23: QWidget
    62, 0,	// 25: Plasma::ExtenderItem
    95, 0,	// 27: Plasma::Svg
    163, 179, 0,	// 29: QObject, QSharedData
    146, 0,	// 32: QGraphicsView
};

// These are the xenum functions for manipulating enum pointers
void xenum_Plasma__Animation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationRule(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment__StyleOption(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractRunner(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Dialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__ToolTipContent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Meter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Delegate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__VideoWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Frame(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AuthorizationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Wallpaper(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Extender(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__RunnerContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Animator(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__AbstractToolBox(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Applet(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__QueryMatch(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Theme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__Containment(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Plasma__FrameSvg(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Plasma(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractDialogManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractRunner(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AbstractToolBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessAppletJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animation(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AnimationDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Animator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Applet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AppletScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__AuthorizationRule(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__BusyWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__CheckBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ClientPinRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ConfigLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Containment__StyleOption(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ContainmentActionsPluginsConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Context(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Corona(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__DataEngineScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Delegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Extender(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ExtenderItem(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FlashingLabel(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Frame(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__FrameSvg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GLApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__GroupBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__IconWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ItemBackground(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Label(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__LineEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Meter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Package(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageMetadata(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PackageStructure(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PlotColor(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PopupApplet(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__PushButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__QueryMatch(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RadioButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerContext(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__RunnerSyntax(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScriptEngine(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ScrollWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Separator(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Service(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ServiceAccessJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ServiceJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SignalPlotter(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Slider(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SpinBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Svg(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__SvgWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TabBar(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextBrowser(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TextEdit(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Theme(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolButton(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipContent(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__ToolTipManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__TreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__VideoWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__View(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__Wallpaper(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WallpaperScript(Smoke::Index, void*, Smoke::Stack);
void xcall_Plasma__WebView(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//4
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//5
    { "KConfigBase", true, 0, 0, 0, 0, 0 },	//6
    { "KConfigDialog", true, 0, 0, 0, 0, 0 },	//7
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//8
    { "KConfigSkeleton", true, 0, 0, 0, 0, 0 },	//9
    { "KConfigSkeletonItem", true, 0, 0, 0, 0, 0 },	//10
    { "KCoreConfigSkeleton", true, 0, 0, 0, 0, 0 },	//11
    { "KIcon", true, 0, 0, 0, 0, 0 },	//12
    { "KIntSpinBox", true, 0, 0, 0, 0, 0 },	//13
    { "KJob", true, 0, 0, 0, 0, 0 },	//14
    { "KLineEdit", true, 0, 0, 0, 0, 0 },	//15
    { "KLocale", true, 0, 0, 0, 0, 0 },	//16
    { "KPluginInfo", true, 0, 0, 0, 0, 0 },	//17
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//18
    { "KServiceAction", true, 0, 0, 0, 0, 0 },	//19
    { "KShortcut", true, 0, 0, 0, 0, 0 },	//20
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//21
    { "KTabBar", true, 0, 0, 0, 0, 0 },	//22
    { "KTextBrowser", true, 0, 0, 0, 0, 0 },	//23
    { "KTextEdit", true, 0, 0, 0, 0, 0 },	//24
    { "KUrl", true, 0, 0, 0, 0, 0 },	//25
    { "Phonon::AudioOutput", true, 0, 0, 0, 0, 0 },	//26
    { "Phonon::MediaObject", true, 0, 0, 0, 0, 0 },	//27
    { "Phonon::VideoWidget", true, 0, 0, 0, 0, 0 },	//28
    { "Plasma", false, 0, xcall_Plasma, xenum_Plasma, Smoke::cf_namespace, 0 },	//29
    { "Plasma::AbstractDialogManager", false, 1, xcall_Plasma__AbstractDialogManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractDialogManager) },	//30
    { "Plasma::AbstractRunner", false, 1, xcall_Plasma__AbstractRunner, xenum_Plasma__AbstractRunner, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractRunner) },	//31
    { "Plasma::AbstractToolBox", false, 3, xcall_Plasma__AbstractToolBox, xenum_Plasma__AbstractToolBox, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AbstractToolBox) },	//32
    { "Plasma::AccessAppletJob", false, 5, xcall_Plasma__AccessAppletJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AccessAppletJob) },	//33
    { "Plasma::AccessManager", false, 1, xcall_Plasma__AccessManager, 0, Smoke::cf_virtual, sizeof(Plasma::AccessManager) },	//34
    { "Plasma::Animation", false, 7, xcall_Plasma__Animation, xenum_Plasma__Animation, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Animation) },	//35
    { "Plasma::AnimationDriver", false, 1, xcall_Plasma__AnimationDriver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AnimationDriver) },	//36
    { "Plasma::Animator", false, 1, xcall_Plasma__Animator, xenum_Plasma__Animator, Smoke::cf_virtual, sizeof(Plasma::Animator) },	//37
    { "Plasma::Applet", false, 3, xcall_Plasma__Applet, xenum_Plasma__Applet, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Applet) },	//38
    { "Plasma::AppletScript", false, 9, xcall_Plasma__AppletScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::AppletScript) },	//39
    { "Plasma::AuthorizationInterface", false, 0, xcall_Plasma__AuthorizationInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Plasma::AuthorizationInterface) },	//40
    { "Plasma::AuthorizationManager", false, 1, xcall_Plasma__AuthorizationManager, xenum_Plasma__AuthorizationManager, Smoke::cf_virtual, sizeof(Plasma::AuthorizationManager) },	//41
    { "Plasma::AuthorizationRule", false, 1, xcall_Plasma__AuthorizationRule, xenum_Plasma__AuthorizationRule, Smoke::cf_virtual, sizeof(Plasma::AuthorizationRule) },	//42
    { "Plasma::BusyWidget", false, 3, xcall_Plasma__BusyWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::BusyWidget) },	//43
    { "Plasma::CheckBox", false, 11, xcall_Plasma__CheckBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::CheckBox) },	//44
    { "Plasma::ClientPinRequest", false, 1, xcall_Plasma__ClientPinRequest, 0, Smoke::cf_virtual, sizeof(Plasma::ClientPinRequest) },	//45
    { "Plasma::ComboBox", false, 11, xcall_Plasma__ComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ComboBox) },	//46
    { "Plasma::ConfigLoader", false, 13, xcall_Plasma__ConfigLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ConfigLoader) },	//47
    { "Plasma::Containment", false, 15, xcall_Plasma__Containment, xenum_Plasma__Containment, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Containment) },	//48
    { "Plasma::Containment::StyleOption", false, 17, xcall_Plasma__Containment__StyleOption, xenum_Plasma__Containment__StyleOption, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::Containment::StyleOption) },	//49
    { "Plasma::ContainmentActions", false, 1, xcall_Plasma__ContainmentActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ContainmentActions) },	//50
    { "Plasma::ContainmentActionsPluginsConfig", false, 0, xcall_Plasma__ContainmentActionsPluginsConfig, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ContainmentActionsPluginsConfig) },	//51
    { "Plasma::Context", false, 1, xcall_Plasma__Context, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Context) },	//52
    { "Plasma::Corona", false, 19, xcall_Plasma__Corona, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Corona) },	//53
    { "Plasma::DataContainer", false, 1, xcall_Plasma__DataContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataContainer) },	//54
    { "Plasma::DataEngine", false, 1, xcall_Plasma__DataEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngine) },	//55
    { "Plasma::DataEngineManager", false, 1, xcall_Plasma__DataEngineManager, 0, Smoke::cf_virtual, sizeof(Plasma::DataEngineManager) },	//56
    { "Plasma::DataEngineScript", false, 9, xcall_Plasma__DataEngineScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::DataEngineScript) },	//57
    { "Plasma::Delegate", false, 21, xcall_Plasma__Delegate, xenum_Plasma__Delegate, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Delegate) },	//58
    { "Plasma::Dialog", false, 23, xcall_Plasma__Dialog, xenum_Plasma__Dialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Dialog) },	//59
    { "Plasma::Extender", false, 3, xcall_Plasma__Extender, xenum_Plasma__Extender, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Extender) },	//60
    { "Plasma::ExtenderGroup", false, 25, xcall_Plasma__ExtenderGroup, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderGroup) },	//61
    { "Plasma::ExtenderItem", false, 3, xcall_Plasma__ExtenderItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ExtenderItem) },	//62
    { "Plasma::FlashingLabel", false, 3, xcall_Plasma__FlashingLabel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FlashingLabel) },	//63
    { "Plasma::Frame", false, 3, xcall_Plasma__Frame, xenum_Plasma__Frame, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Frame) },	//64
    { "Plasma::FrameSvg", false, 27, xcall_Plasma__FrameSvg, xenum_Plasma__FrameSvg, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::FrameSvg) },	//65
    { "Plasma::GLApplet", false, 15, xcall_Plasma__GLApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GLApplet) },	//66
    { "Plasma::GroupBox", false, 11, xcall_Plasma__GroupBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::GroupBox) },	//67
    { "Plasma::IconWidget", false, 3, xcall_Plasma__IconWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::IconWidget) },	//68
    { "Plasma::ItemBackground", false, 3, xcall_Plasma__ItemBackground, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ItemBackground) },	//69
    { "Plasma::Label", false, 11, xcall_Plasma__Label, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Label) },	//70
    { "Plasma::LineEdit", false, 11, xcall_Plasma__LineEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::LineEdit) },	//71
    { "Plasma::Meter", false, 3, xcall_Plasma__Meter, xenum_Plasma__Meter, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Meter) },	//72
    { "Plasma::Package", false, 0, xcall_Plasma__Package, 0, Smoke::cf_constructor, sizeof(Plasma::Package) },	//73
    { "Plasma::PackageMetadata", false, 0, xcall_Plasma__PackageMetadata, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PackageMetadata) },	//74
    { "Plasma::PackageStructure", false, 29, xcall_Plasma__PackageStructure, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PackageStructure) },	//75
    { "Plasma::PlotColor", false, 0, xcall_Plasma__PlotColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::PlotColor) },	//76
    { "Plasma::PopupApplet", false, 15, xcall_Plasma__PopupApplet, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PopupApplet) },	//77
    { "Plasma::PushButton", false, 11, xcall_Plasma__PushButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::PushButton) },	//78
    { "Plasma::QueryMatch", false, 0, xcall_Plasma__QueryMatch, xenum_Plasma__QueryMatch, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::QueryMatch) },	//79
    { "Plasma::RadioButton", false, 11, xcall_Plasma__RadioButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RadioButton) },	//80
    { "Plasma::RunnerContext", false, 1, xcall_Plasma__RunnerContext, xenum_Plasma__RunnerContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerContext) },	//81
    { "Plasma::RunnerManager", false, 1, xcall_Plasma__RunnerManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerManager) },	//82
    { "Plasma::RunnerScript", false, 9, xcall_Plasma__RunnerScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::RunnerScript) },	//83
    { "Plasma::RunnerSyntax", false, 0, xcall_Plasma__RunnerSyntax, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::RunnerSyntax) },	//84
    { "Plasma::ScriptEngine", false, 1, xcall_Plasma__ScriptEngine, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScriptEngine) },	//85
    { "Plasma::ScrollBar", false, 11, xcall_Plasma__ScrollBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollBar) },	//86
    { "Plasma::ScrollWidget", false, 3, xcall_Plasma__ScrollWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ScrollWidget) },	//87
    { "Plasma::Separator", false, 3, xcall_Plasma__Separator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Separator) },	//88
    { "Plasma::Service", false, 1, xcall_Plasma__Service, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Service) },	//89
    { "Plasma::ServiceAccessJob", false, 5, xcall_Plasma__ServiceAccessJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ServiceAccessJob) },	//90
    { "Plasma::ServiceJob", false, 5, xcall_Plasma__ServiceJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ServiceJob) },	//91
    { "Plasma::SignalPlotter", false, 3, xcall_Plasma__SignalPlotter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SignalPlotter) },	//92
    { "Plasma::Slider", false, 11, xcall_Plasma__Slider, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Slider) },	//93
    { "Plasma::SpinBox", false, 11, xcall_Plasma__SpinBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SpinBox) },	//94
    { "Plasma::Svg", false, 1, xcall_Plasma__Svg, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Svg) },	//95
    { "Plasma::SvgWidget", false, 3, xcall_Plasma__SvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::SvgWidget) },	//96
    { "Plasma::TabBar", false, 3, xcall_Plasma__TabBar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TabBar) },	//97
    { "Plasma::TextBrowser", false, 11, xcall_Plasma__TextBrowser, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextBrowser) },	//98
    { "Plasma::TextEdit", false, 11, xcall_Plasma__TextEdit, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TextEdit) },	//99
    { "Plasma::Theme", false, 1, xcall_Plasma__Theme, xenum_Plasma__Theme, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Theme) },	//100
    { "Plasma::ToolButton", false, 11, xcall_Plasma__ToolButton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::ToolButton) },	//101
    { "Plasma::ToolTipContent", false, 0, xcall_Plasma__ToolTipContent, xenum_Plasma__ToolTipContent, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Plasma::ToolTipContent) },	//102
    { "Plasma::ToolTipManager", false, 1, xcall_Plasma__ToolTipManager, xenum_Plasma__ToolTipManager, Smoke::cf_virtual, sizeof(Plasma::ToolTipManager) },	//103
    { "Plasma::TreeView", false, 11, xcall_Plasma__TreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::TreeView) },	//104
    { "Plasma::VideoWidget", false, 11, xcall_Plasma__VideoWidget, xenum_Plasma__VideoWidget, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::VideoWidget) },	//105
    { "Plasma::View", false, 32, xcall_Plasma__View, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::View) },	//106
    { "Plasma::Wallpaper", false, 1, xcall_Plasma__Wallpaper, xenum_Plasma__Wallpaper, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::Wallpaper) },	//107
    { "Plasma::WallpaperScript", false, 9, xcall_Plasma__WallpaperScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WallpaperScript) },	//108
    { "Plasma::WebView", false, 3, xcall_Plasma__WebView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Plasma::WebView) },	//109
    { "QAbstractAnimation", true, 0, 0, 0, 0, 0 },	//110
    { "QAbstractItemDelegate", true, 0, 0, 0, 0, 0 },	//111
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//112
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//113
    { "QAction", true, 0, 0, 0, 0, 0 },	//114
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//115
    { "QBool", true, 0, 0, 0, 0, 0 },	//116
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//117
    { "QCheckBox", true, 0, 0, 0, 0, 0 },	//118
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//119
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//120
    { "QColor", true, 0, 0, 0, 0, 0 },	//121
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//122
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//123
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//124
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//125
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//126
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//127
    { "QEvent", true, 0, 0, 0, 0, 0 },	//128
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//129
    { "QFont", true, 0, 0, 0, 0, 0 },	//130
    { "QFontMetrics", true, 0, 0, 0, 0, 0 },	//131
    { "QFrame", true, 0, 0, 0, 0, 0 },	//132
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//133
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//134
    { "QGraphicsLayoutItem", true, 0, 0, 0, 0, 0 },	//135
    { "QGraphicsProxyWidget", true, 0, 0, 0, 0, 0 },	//136
    { "QGraphicsScene", true, 0, 0, 0, 0, 0 },	//137
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//138
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//139
    { "QGraphicsSceneHelpEvent", true, 0, 0, 0, 0, 0 },	//140
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//141
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//142
    { "QGraphicsSceneMoveEvent", true, 0, 0, 0, 0, 0 },	//143
    { "QGraphicsSceneResizeEvent", true, 0, 0, 0, 0, 0 },	//144
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//145
    { "QGraphicsView", true, 0, 0, 0, 0, 0 },	//146
    { "QGraphicsWidget", true, 0, 0, 0, 0, 0 },	//147
    { "QGroupBox", true, 0, 0, 0, 0, 0 },	//148
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//149
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//150
    { "QIcon", true, 0, 0, 0, 0, 0 },	//151
    { "QImage", true, 0, 0, 0, 0, 0 },	//152
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//154
    { "QLabel", true, 0, 0, 0, 0, 0 },	//155
    { "QMenu", true, 0, 0, 0, 0, 0 },	//156
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//157
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//158
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//159
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//161
    { "QMutex", true, 0, 0, 0, 0, 0 },	//162
    { "QObject", true, 0, 0, 0, 0, 0 },	//163
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//164
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QPainter", true, 0, 0, 0, 0, 0 },	//166
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//167
    { "QPalette", true, 0, 0, 0, 0, 0 },	//168
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//169
    { "QPoint", true, 0, 0, 0, 0, 0 },	//170
    { "QPointF", true, 0, 0, 0, 0, 0 },	//171
    { "QRadioButton", true, 0, 0, 0, 0, 0 },	//172
    { "QRect", true, 0, 0, 0, 0, 0 },	//173
    { "QRectF", true, 0, 0, 0, 0, 0 },	//174
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//175
    { "QRegion", true, 0, 0, 0, 0, 0 },	//176
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//177
    { "QScrollBar", true, 0, 0, 0, 0, 0 },	//178
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//179
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//180
    { "QSize", true, 0, 0, 0, 0, 0 },	//181
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//182
    { "QSlider", true, 0, 0, 0, 0, 0 },	//183
    { "QStyle", true, 0, 0, 0, 0, 0 },	//184
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//185
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//186
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//187
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//188
    { "QTextDocument", true, 0, 0, 0, 0, 0 },	//189
    { "QTextOption", true, 0, 0, 0, 0, 0 },	//190
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//191
    { "QToolButton", true, 0, 0, 0, 0, 0 },	//192
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//193
    { "QUrl", true, 0, 0, 0, 0, 0 },	//194
    { "QVariant", true, 0, 0, 0, 0, 0 },	//195
    { "QWebFrame", true, 0, 0, 0, 0, 0 },	//196
    { "QWebPage", true, 0, 0, 0, 0, 0 },	//197
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//198
    { "QWidget", true, 0, 0, 0, 0, 0 },	//199
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComboBox*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KComponentData", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KConfigDialog*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KConfigGroup", 8, Smoke::t_class|Smoke::tf_stack },	//8
    { "KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref },	//9
    { "KConfigSkeletonItem*", 10, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KIntSpinBox*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KLineEdit*", 15, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KLocale*", 16, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KPluginInfo", 17, Smoke::t_class|Smoke::tf_stack },	//15
    { "KPushButton*", 18, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KServiceAction", 19, Smoke::t_class|Smoke::tf_stack },	//17
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//18
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack },	//20
    { "KShortcut", 20, Smoke::t_class|Smoke::tf_stack },	//21
    { "KStandardDirs*", 21, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KSycocaFactoryId", 133, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KSycocaType", 133, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KTabBar*", 22, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KTextBrowser*", 23, Smoke::t_class|Smoke::tf_ptr },	//26
    { "KTextEdit*", 24, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KUrl", 25, Smoke::t_class|Smoke::tf_stack },	//28
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//29
    { "Phonon::AudioOutput*", 26, Smoke::t_class|Smoke::tf_ptr },	//30
    { "Phonon::MediaObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Phonon::VideoWidget*", 28, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Plasma::AbstractDialogManager*", 30, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Plasma::AbstractRunner*", 31, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Plasma::AbstractRunner::Priority", 31, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Plasma::AbstractRunner::Speed", 31, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Plasma::AbstractToolBox*", 32, Smoke::t_class|Smoke::tf_ptr },	//37
    { "Plasma::AbstractToolBox::ToolType", 32, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Plasma::AccessAppletJob*", 33, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Plasma::AccessManager*", 34, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Plasma::Animation*", 35, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Plasma::Animation::MovementDirectionFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Plasma::Animation::ReferenceFlag", 35, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Plasma::AnimationDriver*", 36, Smoke::t_class|Smoke::tf_ptr },	//44
    { "Plasma::Animator*", 37, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Plasma::Animator::Animation", 37, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Plasma::Animator::CurveShape", 37, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Plasma::Animator::Movement", 37, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Plasma::AnnouncementMethod", 29, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Plasma::AnnouncementMethods", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "Plasma::Applet*", 38, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Plasma::Applet::BackgroundHint", 38, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Plasma::AppletScript*", 39, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Plasma::AspectRatioMode", 29, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Plasma::AuthorizationInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Plasma::AuthorizationManager*", 41, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Plasma::AuthorizationManager::AuthorizationPolicy", 41, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Plasma::AuthorizationRule&", 42, Smoke::t_class|Smoke::tf_ref },	//58
    { "Plasma::AuthorizationRule*", 42, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Plasma::AuthorizationRule::Persistence", 42, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Plasma::AuthorizationRule::Policy", 42, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Plasma::AuthorizationRule::Target", 42, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Plasma::BusyWidget*", 43, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Plasma::CheckBox*", 44, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Plasma::ClientPinRequest&", 45, Smoke::t_class|Smoke::tf_ref },	//65
    { "Plasma::ClientPinRequest*", 45, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Plasma::ComboBox*", 46, Smoke::t_class|Smoke::tf_ptr },	//67
    { "Plasma::ComponentType", 29, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Plasma::ConfigLoader*", 47, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Plasma::Constraint", 29, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Plasma::Containment*", 48, Smoke::t_class|Smoke::tf_ptr },	//71
    { "Plasma::Containment::StyleOption*", 49, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Plasma::Containment::StyleOption::StyleOptionType", 49, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Plasma::Containment::StyleOption::StyleOptionVersion", 49, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Plasma::Containment::Type", 48, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Plasma::ContainmentActions*", 50, Smoke::t_class|Smoke::tf_ptr },	//76
    { "Plasma::ContainmentActionsPluginsConfig", 51, Smoke::t_class|Smoke::tf_stack },	//77
    { "Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref },	//78
    { "Plasma::ContainmentActionsPluginsConfig*", 51, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Plasma::Context*", 52, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Plasma::Corona*", 53, Smoke::t_class|Smoke::tf_ptr },	//81
    { "Plasma::DataContainer*", 54, Smoke::t_class|Smoke::tf_ptr },	//82
    { "Plasma::DataEngine*", 55, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Plasma::DataEngineManager*", 56, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Plasma::DataEngineScript*", 57, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Plasma::Delegate*", 58, Smoke::t_class|Smoke::tf_ptr },	//86
    { "Plasma::Delegate::ColumnType", 58, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Plasma::Delegate::SpecificRoles", 58, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Plasma::Dialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Plasma::Dialog::ResizeCorner", 59, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Plasma::Direction", 29, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Plasma::Extender*", 60, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Plasma::Extender::Appearance", 60, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Plasma::ExtenderGroup*", 61, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Plasma::ExtenderItem*", 62, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Plasma::FlashingLabel*", 63, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Plasma::FlipDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Plasma::FormFactor", 29, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Plasma::Frame*", 64, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Plasma::Frame::Shadow", 64, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Plasma::FrameSvg*", 65, Smoke::t_class|Smoke::tf_ptr },	//101
    { "Plasma::FrameSvg::EnabledBorder", 65, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Plasma::GLApplet*", 66, Smoke::t_class|Smoke::tf_ptr },	//103
    { "Plasma::GroupBox*", 67, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Plasma::IconWidget*", 68, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Plasma::IntervalAlignment", 29, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Plasma::ItemBackground*", 69, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Plasma::ItemTypes", 29, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Plasma::Label*", 70, Smoke::t_class|Smoke::tf_ptr },	//111
    { "Plasma::LineEdit*", 71, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Plasma::Location", 29, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Plasma::Meter*", 72, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Plasma::Meter::MeterType", 72, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr },	//118
    { "Plasma::PackageMetadata", 74, Smoke::t_class|Smoke::tf_stack },	//119
    { "Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref },	//120
    { "Plasma::PackageMetadata*", 74, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref },	//122
    { "Plasma::PackageStructure*", 75, Smoke::t_class|Smoke::tf_ptr },	//123
    { "Plasma::PlotColor*", 76, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Plasma::PopupApplet*", 77, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Plasma::PopupPlacement", 29, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Plasma::Position", 29, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Plasma::PushButton*", 78, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Plasma::QueryMatch", 79, Smoke::t_class|Smoke::tf_stack },	//129
    { "Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref },	//130
    { "Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr },	//131
    { "Plasma::QueryMatch::Type", 79, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Plasma::RadioButton*", 80, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref },	//134
    { "Plasma::RunnerContext*", 81, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Plasma::RunnerContext::Type", 81, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Plasma::RunnerManager*", 82, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Plasma::RunnerScript*", 83, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref },	//139
    { "Plasma::RunnerSyntax*", 84, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Plasma::ScriptEngine*", 85, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Plasma::ScrollBar*", 86, Smoke::t_class|Smoke::tf_ptr },	//142
    { "Plasma::ScrollWidget*", 87, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Plasma::Separator*", 88, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Plasma::Service*", 89, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Plasma::ServiceAccessJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Plasma::ServiceJob*", 91, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Plasma::SignalPlotter*", 92, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Plasma::Slider*", 93, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Plasma::SpinBox*", 94, Smoke::t_class|Smoke::tf_ptr },	//150
    { "Plasma::Svg*", 95, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Plasma::SvgWidget*", 96, Smoke::t_class|Smoke::tf_ptr },	//152
    { "Plasma::TabBar*", 97, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Plasma::TextBrowser*", 98, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Plasma::TextEdit*", 99, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Plasma::Theme*", 100, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Plasma::Theme::ColorRole", 100, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Plasma::Theme::FontRole", 100, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Plasma::ToolButton*", 101, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref },	//160
    { "Plasma::ToolTipContent*", 102, Smoke::t_class|Smoke::tf_ptr },	//161
    { "Plasma::ToolTipContent::ResourceType", 102, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Plasma::ToolTipManager*", 103, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Plasma::ToolTipManager::State", 103, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Plasma::TreeView*", 104, Smoke::t_class|Smoke::tf_ptr },	//165
    { "Plasma::TrustLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Plasma::VideoWidget*", 105, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Plasma::VideoWidget::Control", 105, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Plasma::View*", 106, Smoke::t_class|Smoke::tf_ptr },	//169
    { "Plasma::Wallpaper*", 107, Smoke::t_class|Smoke::tf_ptr },	//170
    { "Plasma::Wallpaper::ResizeMethod", 107, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Plasma::WallpaperScript*", 108, Smoke::t_class|Smoke::tf_ptr },	//172
    { "Plasma::WebView*", 109, Smoke::t_class|Smoke::tf_ptr },	//173
    { "Plasma::WindowEffects::Effect", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Plasma::ZoomDirection", 29, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Plasma::ZoomLevel", 29, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QAbstractAnimation::Direction", 110, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QAbstractAnimation::State", 110, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QAbstractItemModel*", 112, Smoke::t_class|Smoke::tf_ptr },	//179
    { "QAction*", 114, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QActionEvent*", 115, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QBool", 116, Smoke::t_class|Smoke::tf_stack },	//182
    { "QCheckBox*", 118, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QChildEvent*", 119, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QCloseEvent*", 120, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QColor", 121, Smoke::t_class|Smoke::tf_stack },	//186
    { "QColor&", 121, Smoke::t_class|Smoke::tf_ref },	//187
    { "QContextMenuEvent*", 122, Smoke::t_class|Smoke::tf_ptr },	//188
    { "QDragEnterEvent*", 123, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QDragLeaveEvent*", 124, Smoke::t_class|Smoke::tf_ptr },	//190
    { "QDragMoveEvent*", 125, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QDropEvent*", 126, Smoke::t_class|Smoke::tf_ptr },	//193
    { "QEasingCurve", 127, Smoke::t_class|Smoke::tf_stack },	//194
    { "QEvent*", 128, Smoke::t_class|Smoke::tf_ptr },	//195
    { "QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//196
    { "QFlags<Plasma::AuthorizationRule::Target>", 0, Smoke::t_uint|Smoke::tf_stack },	//197
    { "QFlags<Plasma::ComponentType>", 0, Smoke::t_uint|Smoke::tf_stack },	//198
    { "QFlags<Plasma::Constraint>", 0, Smoke::t_uint|Smoke::tf_stack },	//199
    { "QFlags<Plasma::Dialog::ResizeCorner>", 0, Smoke::t_uint|Smoke::tf_stack },	//200
    { "QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack },	//201
    { "QFlags<Plasma::RunnerContext::Type>", 0, Smoke::t_uint|Smoke::tf_stack },	//202
    { "QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack },	//203
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//204
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//205
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//206
    { "QFocusEvent*", 129, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QFont", 130, Smoke::t_class|Smoke::tf_stack },	//208
    { "QFontMetrics", 131, Smoke::t_class|Smoke::tf_stack },	//209
    { "QGL::FormatOption", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QGraphicsItem**", 134, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QGraphicsItem::Extension", 134, Smoke::t_enum|Smoke::tf_stack },	//213
    { "QGraphicsItem::GraphicsItemChange", 134, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QGraphicsLayoutItem*", 135, Smoke::t_class|Smoke::tf_ptr },	//215
    { "QGraphicsSceneContextMenuEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QGraphicsSceneDragDropEvent*", 139, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QGraphicsSceneHelpEvent*", 140, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QGraphicsSceneHoverEvent*", 141, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QGraphicsSceneMouseEvent*", 142, Smoke::t_class|Smoke::tf_ptr },	//220
    { "QGraphicsSceneMoveEvent*", 143, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QGraphicsSceneResizeEvent*", 144, Smoke::t_class|Smoke::tf_ptr },	//222
    { "QGraphicsSceneWheelEvent*", 145, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QGraphicsView*", 146, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QGraphicsWidget*", 147, Smoke::t_class|Smoke::tf_ptr },	//225
    { "QGroupBox*", 148, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QHash<QString,Plasma::DataContainer*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//227
    { "QHash<QString,QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//228
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//229
    { "QHideEvent*", 149, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QIODevice*", 150, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QIcon", 151, Smoke::t_class|Smoke::tf_stack },	//232
    { "QImage&", 152, Smoke::t_class|Smoke::tf_ref },	//233
    { "QInputMethodEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QKeyEvent*", 154, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QLabel*", 155, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//237
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//238
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//239
    { "QList<Plasma::AbstractRunner*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "QList<Plasma::Applet*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "QList<Plasma::Containment*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QList<Plasma::ExtenderGroup*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//243
    { "QList<Plasma::ExtenderItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "QList<Plasma::Location>", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QList<Plasma::PackageMetadata>", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QList<Plasma::PlotColor>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//247
    { "QList<Plasma::QueryMatch>", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QList<Plasma::RunnerSyntax>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<QAction*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//251
    { "QList<QAction*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//252
    { "QList<QGraphicsWidget*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//253
    { "QList<QSize>", 0, Smoke::t_voidp|Smoke::tf_stack },	//254
    { "QList<const char*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//255
    { "QList<unsigned long>", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//258
    { "QMenu*", 156, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QMetaObject::Call", 157, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QMimeData*", 158, Smoke::t_class|Smoke::tf_ptr },	//261
    { "QMouseEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//262
    { "QMoveEvent*", 161, Smoke::t_class|Smoke::tf_ptr },	//263
    { "QMutex*", 162, Smoke::t_class|Smoke::tf_ptr },	//264
    { "QObject*", 163, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QPaintEngine*", 164, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QPaintEngine::Type", 164, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QPaintEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//269
    { "QPainter*", 166, Smoke::t_class|Smoke::tf_ptr },	//270
    { "QPainterPath", 167, Smoke::t_class|Smoke::tf_stack },	//271
    { "QPixmap", 169, Smoke::t_class|Smoke::tf_stack },	//272
    { "QPixmap&", 169, Smoke::t_class|Smoke::tf_ref },	//273
    { "QPoint", 170, Smoke::t_class|Smoke::tf_stack },	//274
    { "QPointF", 171, Smoke::t_class|Smoke::tf_stack },	//275
    { "QRadioButton*", 172, Smoke::t_class|Smoke::tf_ptr },	//276
    { "QRect", 173, Smoke::t_class|Smoke::tf_stack },	//277
    { "QRectF", 174, Smoke::t_class|Smoke::tf_stack },	//278
    { "QRectF&", 174, Smoke::t_class|Smoke::tf_ref },	//279
    { "QRegExp&", 175, Smoke::t_class|Smoke::tf_ref },	//280
    { "QRegion", 176, Smoke::t_class|Smoke::tf_stack },	//281
    { "QResizeEvent*", 177, Smoke::t_class|Smoke::tf_ptr },	//282
    { "QScrollBar*", 178, Smoke::t_class|Smoke::tf_ptr },	//283
    { "QShowEvent*", 180, Smoke::t_class|Smoke::tf_ptr },	//284
    { "QSize", 181, Smoke::t_class|Smoke::tf_stack },	//285
    { "QSizeF", 182, Smoke::t_class|Smoke::tf_stack },	//286
    { "QSlider*", 183, Smoke::t_class|Smoke::tf_ptr },	//287
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//288
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//289
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//290
    { "QStyle&", 184, Smoke::t_class|Smoke::tf_ref },	//291
    { "QStyleOption*", 185, Smoke::t_class|Smoke::tf_ptr },	//292
    { "QTabletEvent*", 188, Smoke::t_class|Smoke::tf_ptr },	//293
    { "QTextDocument*", 189, Smoke::t_class|Smoke::tf_ptr },	//294
    { "QTimerEvent*", 191, Smoke::t_class|Smoke::tf_ptr },	//295
    { "QToolButton*", 192, Smoke::t_class|Smoke::tf_ptr },	//296
    { "QTreeView*", 193, Smoke::t_class|Smoke::tf_ptr },	//297
    { "QVariant", 195, Smoke::t_class|Smoke::tf_stack },	//298
    { "QVariantList", 0, Smoke::t_voidp|Smoke::tf_stack },	//299
    { "QWebFrame*", 196, Smoke::t_class|Smoke::tf_ptr },	//300
    { "QWebPage*", 197, Smoke::t_class|Smoke::tf_ptr },	//301
    { "QWheelEvent*", 198, Smoke::t_class|Smoke::tf_ptr },	//302
    { "QWidget*", 199, Smoke::t_class|Smoke::tf_ptr },	//303
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//343
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::MouseButtons", 0, Smoke::t_uint|Smoke::tf_stack },	//349
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//365
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//366
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//367
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//368
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//369
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//370
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//371
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//372
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//374
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//375
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//376
    { "QtMsgType", 133, Smoke::t_enum|Smoke::tf_stack },	//377
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//378
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//379
    { "__codecvt_result", 133, Smoke::t_enum|Smoke::tf_stack },	//380
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//381
    { "const KComponentData&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const KConfigBase&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const KConfigBase*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//384
    { "const KConfigGroup&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const KConfigGroup*", 8, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//386
    { "const KIcon&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const KPluginInfo&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//389
    { "const KSharedPtr<Plasma::PackageStructure>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//390
    { "const KShortcut&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const KUrl&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const Plasma::AuthorizationInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const Plasma::Containment::StyleOption&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const Plasma::ContainmentActionsPluginsConfig&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const Plasma::DataEngine::Data&", 0, Smoke::t_voidp|Smoke::tf_stack },	//397
    { "const Plasma::ImmutabilityType", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//398
    { "const Plasma::ItemStatus", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//399
    { "const Plasma::MarginEdge", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//400
    { "const Plasma::MessageButton", 29, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//401
    { "const Plasma::Package*", 73, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//402
    { "const Plasma::PackageMetadata&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const Plasma::PackageStructure&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const Plasma::PlotColor&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const Plasma::QueryMatch&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const Plasma::QueryMatch*", 79, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//407
    { "const Plasma::RunnerContext&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const Plasma::RunnerSyntax&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const Plasma::ToolTipContent&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QByteArray&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QColor&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QEasingCurve&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QFlags<Plasma::Applet::BackgroundHint>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//414
    { "const QFlags<Plasma::FrameSvg::EnabledBorder>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//415
    { "const QFlags<Plasma::MessageButton>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//416
    { "const QFlags<Plasma::VideoWidget::Control>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//417
    { "const QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//418
    { "const QFont&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QGraphicsItem*", 134, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//420
    { "const QGraphicsView*", 146, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//421
    { "const QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//422
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QIcon&", 151, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QImage&", 152, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QList<Plasma::QueryMatch>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QList<Plasma::RunnerSyntax>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QList<QAction*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QList<QRect>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QList<double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QList<unsigned int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QList<unsigned long>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QMetaObject&", 157, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QMetaObject*", 157, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//436
    { "const QModelIndex&", 159, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QObject*", 163, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//438
    { "const QPainterPath&", 167, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QPalette&", 168, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QPixmap&", 169, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QPoint", 170, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//442
    { "const QPoint&", 170, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QPointF&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QRect&", 173, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QRectF&", 174, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QRegExp&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QRegion&", 176, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QSize&", 181, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QSizeF&", 182, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//451
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QStringList", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//453
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//455
    { "const QStyleOptionGraphicsItem&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QStyleOptionGraphicsItem*", 186, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//457
    { "const QStyleOptionViewItem&", 187, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QTextOption&", 190, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QUrl&", 194, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QVariant&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//462
    { "const bool", 0, Smoke::t_bool|Smoke::tf_stack|Smoke::tf_const },	//463
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//464
    { "const double", 0, Smoke::t_double|Smoke::tf_stack|Smoke::tf_const },	//465
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//466
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//467
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//468
    { "double*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//469
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//470
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//471
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//472
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//473
    { "qreal", 0, Smoke::t_double|Smoke::tf_stack },	//474
    { "uint", 0, Smoke::t_uint|Smoke::tf_stack },	//475
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//476
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//477
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//478
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//479
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//480
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    464, 0,	//1  const char*
    260, 470, 479, 0,	//3  QMetaObject::Call, int, void**
    381, 0,	//7  bool
    113, 0,	//9  Plasma::Location
    420, 0,	//11  const QGraphicsItem*
    452, 34, 0,	//13  const QString&, Plasma::AbstractRunner*
    452, 68, 0,	//16  const QString&, Plasma::ComponentType
    176, 0,	//19  Plasma::ZoomLevel
    452, 170, 0,	//21  const QString&, Plasma::Wallpaper*
    259, 452, 265, 0,	//24  QMenu*, const QString&, QObject*
    259, 0,	//28  QMenu*
    259, 452, 0,	//30  QMenu*, const QString&
    452, 83, 0,	//33  const QString&, Plasma::DataEngine*
    476, 0,	//36  unsigned int
    198, 0,	//38  QFlags<Plasma::ComponentType>
    452, 51, 0,	//40  const QString&, Plasma::Applet*
    464, 464, 0,	//43  const char*, const char*
    464, 464, 470, 0,	//46  const char*, const char*, int
    81, 0,	//50  Plasma::Corona*
    303, 51, 0,	//52  QWidget*, Plasma::Applet*
    134, 0,	//55  Plasma::RunnerContext&
    303, 0,	//57  QWidget*
    408, 406, 0,	//59  const Plasma::RunnerContext&, const Plasma::QueryMatch&
    202, 0,	//62  QFlags<Plasma::RunnerContext::Type>
    265, 452, 0,	//64  QObject*, const QString&
    389, 265, 0,	//67  const KSharedPtr<KService>, QObject*
    265, 430, 0,	//70  QObject*, const QList<QVariant>&
    36, 0,	//73  Plasma::AbstractRunner::Speed
    35, 0,	//75  Plasma::AbstractRunner::Priority
    452, 452, 0,	//77  const QString&, const QString&
    406, 0,	//80  const Plasma::QueryMatch&
    452, 424, 452, 0,	//82  const QString&, const QIcon&, const QString&
    452, 180, 0,	//86  const QString&, QAction*
    452, 0,	//89  const QString&
    409, 0,	//91  const Plasma::RunnerSyntax&
    427, 0,	//93  const QList<Plasma::RunnerSyntax>&
    407, 0,	//95  const Plasma::QueryMatch*
    265, 0,	//97  QObject*
    389, 0,	//99  const KSharedPtr<KService>
    71, 0,	//101  Plasma::Containment*
    180, 0,	//103  QAction*
    463, 0,	//105  const bool
    392, 265, 0,	//107  const KUrl&, QObject*
    392, 0,	//110  const KUrl&
    39, 0,	//112  Plasma::AccessAppletJob*
    119, 0,	//114  Plasma::PackageMetadata
    225, 0,	//116  QGraphicsWidget*
    413, 0,	//118  const QEasingCurve&
    470, 0,	//120  int
    46, 0,	//122  Plasma::Animator::Animation
    48, 0,	//124  Plasma::Animator::Movement
    467, 441, 0,	//126  double, const QPixmap&
    467, 211, 0,	//129  double, QGraphicsItem*
    467, 211, 443, 443, 0,	//132  double, QGraphicsItem*, const QPoint&, const QPoint&
    46, 265, 0,	//137  Plasma::Animator::Animation, QObject*
    452, 265, 0,	//140  const QString&, QObject*
    47, 0,	//143  Plasma::Animator::CurveShape
    211, 48, 443, 0,	//145  QGraphicsItem*, Plasma::Animator::Movement, const QPoint&
    470, 470, 47, 265, 464, 0,	//149  int, int, Plasma::Animator::CurveShape, QObject*, const char*
    470, 441, 0,	//155  int, const QPixmap&
    211, 46, 0,	//158  QGraphicsItem*, Plasma::Animator::Animation
    211, 0,	//161  QGraphicsItem*
    225, 178, 178, 0,	//163  QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State
    295, 0,	//167  QTimerEvent*
    9, 0,	//169  KConfigGroup&
    421, 445, 0,	//171  const QGraphicsView*, const QRect&
    421, 446, 0,	//174  const QGraphicsView*, const QRectF&
    449, 0,	//177  const QSize&
    449, 304, 0,	//179  const QSize&, Qt::AlignmentFlag
    199, 0,	//182  QFlags<Plasma::Constraint>
    54, 0,	//184  Plasma::AspectRatioMode
    460, 0,	//186  const QUrl&
    452, 381, 0,	//188  const QString&, bool
    454, 0,	//191  const QStringList&
    452, 476, 430, 0,	//193  const QString&, unsigned int, const QList<QVariant>&
    388, 476, 430, 0,	//197  const KPluginInfo&, unsigned int, const QList<QVariant>&
    388, 0,	//201  const KPluginInfo&
    270, 457, 445, 0,	//203  QPainter*, const QStyleOptionGraphicsItem*, const QRect&
    270, 457, 303, 0,	//207  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    288, 0,	//211  QString
    288, 180, 0,	//213  QString, QAction*
    414, 0,	//216  const QFlags<Plasma::Applet::BackgroundHint>
    391, 0,	//218  const KShortcut&
    95, 0,	//220  Plasma::ExtenderItem*
    211, 452, 476, 0,	//222  QGraphicsItem*, const QString&, unsigned int
    211, 452, 476, 430, 0,	//226  QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&
    7, 0,	//231  KConfigDialog*
    393, 0,	//233  const KUrl::List&
    357, 0,	//235  Qt::SizeHint
    401, 0,	//237  const Plasma::MessageButton
    51, 0,	//239  Plasma::Applet*
    109, 0,	//241  Plasma::ItemStatus
    106, 0,	//243  Plasma::ImmutabilityType
    398, 0,	//245  const Plasma::ImmutabilityType
    399, 0,	//247  const Plasma::ItemStatus
    50, 452, 0,	//249  Plasma::AnnouncementMethods, const QString&
    381, 452, 0,	//252  bool, const QString&
    424, 452, 416, 0,	//255  const QIcon&, const QString&, const QFlags<Plasma::MessageButton>
    265, 195, 0,	//259  QObject*, QEvent*
    211, 195, 0,	//262  QGraphicsItem*, QEvent*
    220, 0,	//265  QGraphicsSceneMouseEvent*
    207, 0,	//267  QFocusEvent*
    222, 0,	//269  QGraphicsSceneResizeEvent*
    214, 461, 0,	//271  QGraphicsItem::GraphicsItemChange, const QVariant&
    357, 450, 0,	//274  Qt::SizeHint, const QSizeF&
    219, 0,	//277  QGraphicsSceneHoverEvent*
    452, 476, 0,	//279  const QString&, unsigned int
    388, 476, 0,	//282  const KPluginInfo&, unsigned int
    211, 452, 0,	//285  QGraphicsItem*, const QString&
    58, 0,	//288  Plasma::AuthorizationRule&
    65, 0,	//290  Plasma::ClientPinRequest&
    394, 0,	//292  const Plasma::AuthorizationInterface&
    57, 0,	//294  Plasma::AuthorizationManager::AuthorizationPolicy
    55, 0,	//296  Plasma::AuthorizationInterface*
    61, 0,	//298  Plasma::AuthorizationRule::Policy
    60, 0,	//300  Plasma::AuthorizationRule::Persistence
    197, 0,	//302  QFlags<Plasma::AuthorizationRule::Target>
    59, 0,	//304  Plasma::AuthorizationRule*
    284, 0,	//306  QShowEvent*
    230, 0,	//308  QHideEvent*
    270, 457, 0,	//310  QPainter*, const QStyleOptionGraphicsItem*
    195, 0,	//313  QEvent*
    66, 0,	//315  Plasma::ClientPinRequest*
    4, 0,	//317  KComboBox*
    452, 231, 265, 0,	//319  const QString&, QIODevice*, QObject*
    19, 231, 265, 0,	//323  KSharedPtr<KSharedConfig>, QIODevice*, QObject*
    386, 231, 265, 0,	//327  const KConfigGroup*, QIODevice*, QObject*
    452, 231, 0,	//331  const QString&, QIODevice*
    19, 231, 0,	//334  KSharedPtr<KSharedConfig>, QIODevice*
    386, 231, 0,	//337  const KConfigGroup*, QIODevice*
    452, 452, 452, 0,	//340  const QString&, const QString&, const QString&
    452, 430, 446, 0,	//344  const QString&, const QList<QVariant>&, const QRectF&
    51, 444, 381, 0,	//348  Plasma::Applet*, const QPointF&, bool
    470, 470, 0,	//352  int, int
    444, 443, 0,	//355  const QPointF&, const QPoint&
    442, 0,	//358  const QPoint
    51, 444, 0,	//360  Plasma::Applet*, const QPointF&
    71, 175, 0,	//363  Plasma::Containment*, Plasma::ZoomDirection
    444, 0,	//366  const QPointF&
    470, 470, 71, 0,	//368  int, int, Plasma::Containment*
    80, 0,	//372  Plasma::Context*
    98, 0,	//374  Plasma::FormFactor
    75, 0,	//376  Plasma::Containment::Type
    216, 0,	//378  QGraphicsSceneContextMenuEvent*
    235, 0,	//380  QKeyEvent*
    223, 0,	//382  QGraphicsSceneWheelEvent*
    217, 0,	//384  QGraphicsSceneDragDropEvent*
    37, 0,	//386  Plasma::AbstractToolBox*
    452, 430, 0,	//388  const QString&, const QList<QVariant>&
    395, 0,	//391  const Plasma::Containment::StyleOption&
    456, 0,	//393  const QStyleOptionGraphicsItem&
    169, 0,	//395  Plasma::View*
    71, 452, 430, 0,	//397  Plasma::Containment*, const QString&, const QList<QVariant>&
    71, 388, 430, 0,	//401  Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&
    385, 0,	//405  const KConfigGroup&
    275, 274, 0,	//407  QPointF, QPoint
    71, 452, 0,	//410  Plasma::Containment*, const QString&
    71, 388, 0,	//413  Plasma::Containment*, const KPluginInfo&
    396, 0,	//416  const Plasma::ContainmentActionsPluginsConfig&
    195, 452, 0,	//418  QEvent*, const QString&
    205, 348, 452, 0,	//421  QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&
    205, 351, 452, 0,	//425  QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&
    420, 449, 0,	//429  const QGraphicsItem*, const QSize&
    420, 449, 304, 0,	//432  const QGraphicsItem*, const QSize&, Qt::AlignmentFlag
    2, 0,	//436  KActionCollection*
    75, 396, 0,	//438  Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&
    33, 0,	//441  Plasma::AbstractDialogManager*
    383, 0,	//443  const KConfigBase&
    46, 46, 0,	//445  Plasma::Animator::Animation, Plasma::Animator::Animation
    46, 452, 0,	//448  Plasma::Animator::Animation, const QString&
    452, 461, 0,	//451  const QString&, const QVariant&
    265, 476, 107, 0,	//454  QObject*, unsigned int, Plasma::IntervalAlignment
    452, 397, 0,	//458  const QString&, const Plasma::DataEngine::Data&
    82, 0,	//461  Plasma::DataContainer*
    265, 18, 0,	//463  QObject*, KSharedPtr<KService>
    452, 265, 476, 107, 0,	//466  const QString&, QObject*, unsigned int, Plasma::IntervalAlignment
    452, 452, 461, 0,	//471  const QString&, const QString&, const QVariant&
    452, 423, 0,	//475  const QString&, const QHash<QString,QVariant>&
    452, 265, 476, 0,	//478  const QString&, QObject*, unsigned int
    265, 476, 0,	//482  QObject*, unsigned int
    83, 0,	//485  Plasma::DataEngine*
    88, 470, 0,	//487  Plasma::Delegate::SpecificRoles, int
    88, 0,	//490  Plasma::Delegate::SpecificRoles
    270, 458, 437, 0,	//492  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    458, 437, 0,	//496  const QStyleOptionViewItem&, const QModelIndex&
    303, 206, 0,	//499  QWidget*, QFlags<Qt::WindowType>
    200, 0,	//502  QFlags<Plasma::Dialog::ResizeCorner>
    91, 0,	//504  Plasma::Direction
    269, 0,	//506  QPaintEvent*
    282, 0,	//508  QResizeEvent*
    262, 0,	//510  QMouseEvent*
    263, 0,	//512  QMoveEvent*
    443, 0,	//514  const QPoint&
    93, 0,	//516  Plasma::Extender::Appearance
    95, 444, 0,	//518  Plasma::ExtenderItem*, const QPointF&
    92, 476, 0,	//521  Plasma::Extender*, unsigned int
    92, 0,	//524  Plasma::Extender*
    424, 0,	//526  const QIcon&
    92, 444, 0,	//528  Plasma::Extender*, const QPointF&
    94, 0,	//531  Plasma::ExtenderGroup*
    94, 444, 0,	//533  Plasma::ExtenderGroup*, const QPointF&
    221, 0,	//536  QGraphicsSceneMoveEvent*
    419, 0,	//538  const QFont&
    412, 0,	//540  const QColor&
    452, 470, 459, 0,	//542  const QString&, int, const QTextOption&
    441, 470, 204, 0,	//546  const QPixmap&, int, QFlags<Qt::AlignmentFlag>
    452, 470, 0,	//550  const QString&, int
    441, 0,	//553  const QPixmap&
    441, 470, 0,	//555  const QPixmap&, int
    100, 0,	//558  Plasma::Frame::Shadow
    415, 0,	//560  const QFlags<Plasma::FrameSvg::EnabledBorder>
    450, 0,	//562  const QSizeF&
    400, 0,	//564  const Plasma::MarginEdge
    468, 468, 468, 468, 0,	//566  double&, double&, double&, double&
    270, 446, 446, 0,	//571  QPainter*, const QRectF&, const QRectF&
    270, 444, 0,	//575  QPainter*, const QPointF&
    270, 446, 0,	//578  QPainter*, const QRectF&
    270, 0,	//581  QPainter*
    211, 452, 470, 0,	//583  QGraphicsItem*, const QString&, int
    425, 476, 0,	//587  const QImage&, unsigned int
    425, 0,	//590  const QImage&
    452, 211, 0,	//592  const QString&, QGraphicsItem*
    424, 452, 211, 0,	//595  const QIcon&, const QString&, QGraphicsItem*
    351, 0,	//599  Qt::Orientation
    465, 0,	//601  const double
    270, 449, 470, 0,	//603  QPainter*, const QSize&, int
    424, 452, 0,	//607  const QIcon&, const QString&
    446, 0,	//610  const QRectF&
    474, 0,	//612  qreal
    278, 0,	//614  QRectF
    204, 0,	//616  QFlags<Qt::AlignmentFlag>
    13, 0,	//618  KLineEdit*
    117, 0,	//620  Plasma::Meter::MeterType
    470, 452, 0,	//622  int, const QString&
    470, 412, 0,	//625  int, const QColor&
    470, 419, 0,	//628  int, const QFont&
    470, 418, 0,	//631  int, const QFlags<Qt::AlignmentFlag>
    452, 452, 20, 0,	//634  const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>
    452, 20, 0,	//638  const QString&, KSharedPtr<Plasma::PackageStructure>
    464, 452, 0,	//641  const char*, const QString&
    403, 452, 0,	//644  const Plasma::PackageMetadata&, const QString&
    403, 452, 452, 452, 0,	//647  const Plasma::PackageMetadata&, const QString&, const QString&, const QString&
    403, 452, 452, 0,	//652  const Plasma::PackageMetadata&, const QString&, const QString&
    403, 0,	//656  const Plasma::PackageMetadata&
    404, 0,	//658  const Plasma::PackageStructure&
    464, 452, 452, 0,	//660  const char*, const QString&, const QString&
    464, 381, 0,	//664  const char*, bool
    289, 0,	//667  QStringList
    464, 289, 0,	//669  const char*, QStringList
    384, 0,	//672  const KConfigBase*
    6, 0,	//674  KConfigBase*
    405, 0,	//676  const Plasma::PlotColor&
    475, 0,	//678  uint
    387, 0,	//680  const KIcon&
    34, 0,	//682  Plasma::AbstractRunner*
    132, 0,	//684  Plasma::QueryMatch::Type
    467, 0,	//686  double
    408, 0,	//688  const Plasma::RunnerContext&
    461, 0,	//690  const QVariant&
    134, 265, 0,	//692  Plasma::RunnerContext&, QObject*
    452, 426, 0,	//695  const QString&, const QList<Plasma::QueryMatch>&
    452, 406, 0,	//698  const QString&, const Plasma::QueryMatch&
    451, 0,	//701  const QString
    453, 0,	//703  const QStringList
    9, 265, 0,	//705  KConfigGroup&, QObject*
    426, 0,	//708  const QList<Plasma::QueryMatch>&
    406, 252, 0,	//710  const Plasma::QueryMatch&, QList<QAction*>*
    462, 0,	//713  const Qt::ScrollBarPolicy
    178, 178, 0,	//715  QAbstractAnimation::State, QAbstractAnimation::State
    211, 206, 0,	//718  QGraphicsItem*, QFlags<Qt::WindowType>
    452, 430, 265, 0,	//721  const QString&, const QList<QVariant>&, QObject*
    385, 265, 0,	//725  const KConfigGroup&, QObject*
    303, 452, 0,	//728  QWidget*, const QString&
    225, 452, 0,	//731  QGraphicsWidget*, const QString&
    147, 0,	//734  Plasma::ServiceJob*
    145, 0,	//736  Plasma::Service*
    452, 258, 0,	//738  const QString&, QMap<QString,QVariant>&
    231, 0,	//741  QIODevice*
    28, 265, 0,	//743  KUrl, QObject*
    28, 0,	//746  KUrl
    452, 452, 434, 265, 0,	//748  const QString&, const QString&, const QMap<QString,QVariant>&, QObject*
    452, 452, 434, 0,	//753  const QString&, const QString&, const QMap<QString,QVariant>&
    431, 0,	//757  const QList<double>&
    432, 0,	//759  const QList<unsigned int>&
    467, 467, 0,	//761  double, double
    476, 476, 0,	//764  unsigned int, unsigned int
    270, 476, 476, 470, 0,	//767  QPainter*, unsigned int, unsigned int, int
    270, 470, 470, 0,	//772  QPainter*, int, int
    270, 470, 470, 470, 0,	//776  QPainter*, int, int, int
    270, 470, 470, 470, 470, 0,	//781  QPainter*, int, int, int, int
    270, 444, 452, 0,	//787  QPainter*, const QPointF&, const QString&
    270, 470, 470, 452, 0,	//791  QPainter*, int, int, const QString&
    270, 446, 452, 0,	//796  QPainter*, const QRectF&, const QString&
    270, 470, 470, 470, 470, 452, 0,	//800  QPainter*, int, int, int, int, const QString&
    156, 0,	//807  Plasma::Theme*
    151, 452, 211, 206, 0,	//809  Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>
    151, 0,	//814  Plasma::Svg*
    348, 0,	//816  Qt::MouseButton
    151, 452, 0,	//818  Plasma::Svg*, const QString&
    151, 452, 211, 0,	//821  Plasma::Svg*, const QString&, QGraphicsItem*
    470, 424, 452, 215, 0,	//825  int, const QIcon&, const QString&, QGraphicsLayoutItem*
    470, 452, 215, 0,	//830  int, const QString&, QGraphicsLayoutItem*
    424, 452, 215, 0,	//834  const QIcon&, const QString&, QGraphicsLayoutItem*
    452, 215, 0,	//838  const QString&, QGraphicsLayoutItem*
    470, 424, 0,	//841  int, const QIcon&
    470, 424, 452, 0,	//844  int, const QIcon&, const QString&
    355, 0,	//848  Qt::ScrollBarPolicy
    27, 0,	//850  KTextEdit*
    157, 0,	//852  Plasma::Theme::ColorRole
    419, 158, 0,	//854  const QFont&, Plasma::Theme::FontRole
    158, 0,	//857  Plasma::Theme::FontRole
    452, 273, 0,	//859  const QString&, QPixmap&
    452, 273, 476, 0,	//862  const QString&, QPixmap&, unsigned int
    452, 441, 0,	//866  const QString&, const QPixmap&
    452, 441, 452, 0,	//869  const QString&, const QPixmap&, const QString&
    452, 452, 279, 0,	//873  const QString&, const QString&, QRectF&
    452, 452, 446, 0,	//877  const QString&, const QString&, const QRectF&
    410, 0,	//881  const Plasma::ToolTipContent&
    452, 452, 441, 0,	//883  const QString&, const QString&, const QPixmap&
    452, 452, 424, 0,	//887  const QString&, const QString&, const QIcon&
    477, 0,	//891  unsigned long
    433, 0,	//893  const QList<unsigned long>&
    162, 460, 461, 0,	//895  Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&
    294, 0,	//899  QTextDocument*
    225, 410, 0,	//901  QGraphicsWidget*, const Plasma::ToolTipContent&
    164, 0,	//904  Plasma::ToolTipManager::State
    378, 349, 343, 443, 0,	//906  WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    452, 349, 343, 443, 0,	//911  const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&
    179, 0,	//916  QAbstractItemModel*
    417, 0,	//918  const QFlags<Plasma::VideoWidget::Control>
    473, 0,	//920  qint64
    71, 303, 0,	//922  Plasma::Containment*, QWidget*
    71, 470, 303, 0,	//925  Plasma::Containment*, int, QWidget*
    71, 470, 0,	//929  Plasma::Containment*, int
    388, 430, 0,	//932  const KPluginInfo&, const QList<QVariant>&
    170, 0,	//935  Plasma::Wallpaper*
    171, 0,	//937  Plasma::Wallpaper::ResizeMethod
    452, 449, 171, 412, 0,	//939  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&
    452, 233, 476, 0,	//944  const QString&, QImage&, unsigned int
    452, 425, 0,	//948  const QString&, const QImage&
    428, 0,	//951  const QList<QAction*>&
    452, 449, 0,	//953  const QString&, const QSize&
    452, 449, 171, 0,	//956  const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod
    452, 233, 0,	//960  const QString&, QImage&
    411, 392, 0,	//963  const QByteArray&, const KUrl&
    452, 392, 0,	//966  const QString&, const KUrl&
    301, 0,	//969  QWebPage*
    411, 0,	//971  const QByteArray&
    177, 0,	//973  QAbstractAnimation::Direction
    303, 458, 437, 0,	//975  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    303, 437, 0,	//979  QWidget*, const QModelIndex&
    303, 179, 437, 0,	//982  QWidget*, QAbstractItemModel*, const QModelIndex&
    195, 179, 458, 437, 0,	//986  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    420, 340, 0,	//991  const QGraphicsItem*, Qt::ItemSelectionMode
    439, 340, 0,	//994  const QPainterPath&, Qt::ItemSelectionMode
    234, 0,	//997  QInputMethodEvent*
    337, 0,	//999  Qt::InputMethodQuery
    213, 0,	//1001  QGraphicsItem::Extension
    213, 461, 0,	//1003  QGraphicsItem::Extension, const QVariant&
    218, 0,	//1006  QGraphicsSceneHelpEvent*
    270, 470, 212, 457, 303, 0,	//1008  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*
    188, 0,	//1014  QContextMenuEvent*
    189, 0,	//1016  QDragEnterEvent*
    190, 0,	//1018  QDragLeaveEvent*
    191, 0,	//1020  QDragMoveEvent*
    193, 0,	//1022  QDropEvent*
    302, 0,	//1024  QWheelEvent*
    270, 470, 212, 457, 0,	//1026  QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*
    469, 469, 469, 469, 0,	//1031  double*, double*, double*, double*
    292, 0,	//1036  QStyleOption*
    185, 0,	//1038  QCloseEvent*
    184, 0,	//1040  QChildEvent*
    293, 0,	//1042  QTabletEvent*
    181, 0,	//1044  QActionEvent*
    379, 0,	//1046  _XEvent*
    266, 0,	//1048  QPaintDevice::PaintDeviceMetric
    291, 0,	//1050  QStyle&
    440, 0,	//1052  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbstractDialogManager",	//1
    "AbstractDialogManager#",	//2
    "AbstractRunner",	//3
    "AbstractRunner#",	//4
    "AbstractRunner#$",	//5
    "AbstractRunner#?",	//6
    "AbstractRunner?",	//7
    "AbstractRunner?#",	//8
    "AbstractToolBox",	//9
    "AbstractToolBox#",	//10
    "AcceptingInputStatus",	//11
    "AccessAppletJob",	//12
    "AccessAppletJob#",	//13
    "AccessAppletJob##",	//14
    "ActivateAnimation",	//15
    "Activated",	//16
    "ActiveStatus",	//17
    "AddTool",	//18
    "AlignToHour",	//19
    "AlignToMinute",	//20
    "All",	//21
    "AllBorders",	//22
    "AllConstraints",	//23
    "AllLayers",	//24
    "AllServices",	//25
    "AllUsers",	//26
    "Allow",	//27
    "AnalogMeter",	//28
    "AnchorUnderMouse",	//29
    "AnchorViewCenter",	//30
    "Animation",	//31
    "Animation#",	//32
    "AnimationDriver",	//33
    "AnimationDriver#",	//34
    "AnimatorComponent",	//35
    "AppearAnimation",	//36
    "Applet",	//37
    "Applet#",	//38
    "Applet#$",	//39
    "Applet#$$",	//40
    "Applet#$$?",	//41
    "Applet#?",	//42
    "AppletComponent",	//43
    "AppletScript",	//44
    "AppletScript#",	//45
    "AppletType",	//46
    "AuthorizationInterface",	//47
    "AuthorizationInterface#",	//48
    "BackgroundColor",	//49
    "BackgroundLayer",	//50
    "Backward",	//51
    "BarMeterHorizontal",	//52
    "BarMeterVertical",	//53
    "BottomBorder",	//54
    "BottomEdge",	//55
    "BottomMargin",	//56
    "BottomPosedLeftAlignedPopup",	//57
    "BottomPosedRightAlignedPopup",	//58
    "BottomPositioned",	//59
    "BottomUpStacked",	//60
    "BoundingRectViewportUpdate",	//61
    "Box",	//62
    "BspTreeIndex",	//63
    "BusyWidget",	//64
    "BusyWidget#",	//65
    "ButtonBackgroundColor",	//66
    "ButtonCancel",	//67
    "ButtonNo",	//68
    "ButtonNone",	//69
    "ButtonOk",	//70
    "ButtonTextColor",	//71
    "ButtonYes",	//72
    "Bytes",	//73
    "CacheBackground",	//74
    "CacheNone",	//75
    "Center",	//76
    "CenterPositioned",	//77
    "CenterTiledResize",	//78
    "CenteredResize",	//79
    "CheckBox",	//80
    "CheckBox#",	//81
    "ColumnTypeRole",	//82
    "ComboBox",	//83
    "ComboBox#",	//84
    "CompletionMatch",	//85
    "ConfigLoader",	//86
    "ConfigLoader##",	//87
    "ConfigLoader###",	//88
    "ConfigLoader$#",	//89
    "ConfigLoader$##",	//90
    "ConfigLoader?#",	//91
    "ConfigLoader?##",	//92
    "ConfigureTool",	//93
    "ConstrainedSquare",	//94
    "Containment",	//95
    "Containment#",	//96
    "Containment#$",	//97
    "Containment#$$",	//98
    "Containment#?",	//99
    "ContainmentActions",	//100
    "ContainmentActions#",	//101
    "ContainmentActions#?",	//102
    "ContainmentActionsPluginsConfig",	//103
    "ContainmentActionsPluginsConfig#",	//104
    "ContainmentComponent",	//105
    "Context",	//106
    "Context#",	//107
    "ContextConstraint",	//108
    "ControlTool",	//109
    "Corona",	//110
    "Corona#",	//111
    "CssResource",	//112
    "Custom",	//113
    "CustomContainment",	//114
    "CustomPanelContainment",	//115
    "DataContainer",	//116
    "DataContainer#",	//117
    "DataEngine",	//118
    "DataEngine#",	//119
    "DataEngine#?",	//120
    "DataEngineComponent",	//121
    "DataEngineScript",	//122
    "DataEngineScript#",	//123
    "Deactivated",	//124
    "Default",	//125
    "DefaultBackground",	//126
    "DefaultControls",	//127
    "DefaultFont",	//128
    "Delegate",	//129
    "Delegate#",	//130
    "DeleteWhenStopped",	//131
    "Deny",	//132
    "DenyAll",	//133
    "Desktop",	//134
    "DesktopContainment",	//135
    "DesktopFont",	//136
    "DesktopZoom",	//137
    "DestructiveTool",	//138
    "DeviceCoordinateCache",	//139
    "Dialog",	//140
    "Dialog#",	//141
    "Dialog#$",	//142
    "Directories",	//143
    "Directory",	//144
    "DisappearAnimation",	//145
    "DontAdjustForAntialiasing",	//146
    "DontClipPainter",	//147
    "DontSavePainterState",	//148
    "Down",	//149
    "DrawChildren",	//150
    "DrawWindowBackground",	//151
    "EaseInCurve",	//152
    "EaseInOutCurve",	//153
    "EaseOutCurve",	//154
    "EditNextItem",	//155
    "EditPreviousItem",	//156
    "EmitResult",	//157
    "ExactMatch",	//158
    "Executable",	//159
    "Extender",	//160
    "Extender#",	//161
    "ExtenderGroup",	//162
    "ExtenderGroup#",	//163
    "ExtenderGroup#$",	//164
    "ExtenderItem",	//165
    "ExtenderItem#",	//166
    "ExtenderItem#$",	//167
    "FadeAnimation",	//168
    "FastSlideInMovement",	//169
    "FastSlideOutMovement",	//170
    "File",	//171
    "FileSystem",	//172
    "Files",	//173
    "FixedSize",	//174
    "FlashingLabel",	//175
    "FlashingLabel#",	//176
    "Floating",	//177
    "FloatingPopup",	//178
    "ForegroundLayer",	//179
    "FormFactorConstraint",	//180
    "Forward",	//181
    "Frame",	//182
    "Frame#",	//183
    "FrameSvg",	//184
    "FrameSvg#",	//185
    "FullScreen",	//186
    "FullViewportUpdate",	//187
    "GLApplet",	//188
    "GLApplet#$$",	//189
    "GLApplet#?",	//190
    "GeometryAnimation",	//191
    "GroupBox",	//192
    "GroupBox#",	//193
    "GroupZoom",	//194
    "GrowAnimation",	//195
    "HLine",	//196
    "Help",	//197
    "HelperMatch",	//198
    "HighPriority",	//199
    "HighestPriority",	//200
    "HighlightColor",	//201
    "Horizontal",	//202
    "HorizontalFlip",	//203
    "HtmlResource",	//204
    "IconWidget",	//205
    "IconWidget#",	//206
    "IconWidget#$",	//207
    "IconWidget#$#",	//208
    "IconWidget$",	//209
    "IconWidget$#",	//210
    "IgnoreAspectRatio",	//211
    "IgnoreMask",	//212
    "ImageResource",	//213
    "ImmutableConstraint",	//214
    "IndirectPainting",	//215
    "InformationalMatch",	//216
    "Inhibited",	//217
    "InvalidAspectRatioMode",	//218
    "InvalidCredentials",	//219
    "ItemAcceptsInputMethod",	//220
    "ItemBackground",	//221
    "ItemBackground#",	//222
    "ItemChildAddedChange",	//223
    "ItemChildRemovedChange",	//224
    "ItemClipsChildrenToShape",	//225
    "ItemClipsToShape",	//226
    "ItemCoordinateCache",	//227
    "ItemCursorChange",	//228
    "ItemCursorHasChanged",	//229
    "ItemDoesntPropagateOpacityToChildren",	//230
    "ItemEnabledChange",	//231
    "ItemEnabledHasChanged",	//232
    "ItemFlagsChange",	//233
    "ItemFlagsHaveChanged",	//234
    "ItemHasNoContents",	//235
    "ItemIgnoresParentOpacity",	//236
    "ItemIgnoresTransformations",	//237
    "ItemIsFocusScope",	//238
    "ItemIsFocusable",	//239
    "ItemIsMovable",	//240
    "ItemIsPanel",	//241
    "ItemIsSelectable",	//242
    "ItemLayer",	//243
    "ItemMatrixChange",	//244
    "ItemNegativeZStacksBehindParent",	//245
    "ItemOpacityChange",	//246
    "ItemOpacityHasChanged",	//247
    "ItemParentChange",	//248
    "ItemParentHasChanged",	//249
    "ItemPositionChange",	//250
    "ItemPositionHasChanged",	//251
    "ItemRotationChange",	//252
    "ItemRotationHasChanged",	//253
    "ItemScaleChange",	//254
    "ItemScaleHasChanged",	//255
    "ItemSceneChange",	//256
    "ItemSceneHasChanged",	//257
    "ItemScenePositionHasChanged",	//258
    "ItemSelectedChange",	//259
    "ItemSelectedHasChanged",	//260
    "ItemSendsGeometryChanges",	//261
    "ItemSendsScenePositionChanges",	//262
    "ItemStacksBehindParent",	//263
    "ItemStopsClickFocusPropagation",	//264
    "ItemToolTipChange",	//265
    "ItemToolTipHasChanged",	//266
    "ItemTransformChange",	//267
    "ItemTransformHasChanged",	//268
    "ItemTransformOriginPointChange",	//269
    "ItemTransformOriginPointHasChanged",	//270
    "ItemUsesExtendedStyleOption",	//271
    "ItemVisibleChange",	//272
    "ItemVisibleHasChanged",	//273
    "ItemZValueChange",	//274
    "ItemZValueHasChanged",	//275
    "KST_CTimeInfo",	//276
    "KST_KCustom",	//277
    "KST_KDEDesktopMimeType",	//278
    "KST_KFolderMimeType",	//279
    "KST_KImageIO",	//280
    "KST_KImageIOFormat",	//281
    "KST_KMimeType",	//282
    "KST_KMimeTypeFactory",	//283
    "KST_KProtocolInfo",	//284
    "KST_KProtocolInfoFactory",	//285
    "KST_KService",	//286
    "KST_KServiceFactory",	//287
    "KST_KServiceGroup",	//288
    "KST_KServiceGroupFactory",	//289
    "KST_KServiceSeparator",	//290
    "KST_KServiceType",	//291
    "KST_KServiceTypeFactory",	//292
    "KST_KSycocaEntry",	//293
    "KeepAspectRatio",	//294
    "KeepWhenStopped",	//295
    "Killable",	//296
    "KilledJobError",	//297
    "Label",	//298
    "Label#",	//299
    "LastAnimation",	//300
    "Left",	//301
    "LeftBorder",	//302
    "LeftEdge",	//303
    "LeftMargin",	//304
    "LeftPosedBottomAlignedPopup",	//305
    "LeftPosedTopAlignedPopup",	//306
    "LeftPositioned",	//307
    "LineEdit",	//308
    "LineEdit#",	//309
    "LineEditType",	//310
    "LinearCurve",	//311
    "LinkColor",	//312
    "LocationConstraint",	//313
    "LowPriority",	//314
    "LowestPriority",	//315
    "MainColumn",	//316
    "MaxpectResize",	//317
    "MediaCenter",	//318
    "Meter",	//319
    "Meter#",	//320
    "MinimalViewportUpdate",	//321
    "MiscTool",	//322
    "MoveAny",	//323
    "MoveDown",	//324
    "MoveLeft",	//325
    "MoveRight",	//326
    "MoveUp",	//327
    "Mutable",	//328
    "NeedsAttentionStatus",	//329
    "NetworkLocation",	//330
    "Next",	//331
    "NoAlignment",	//332
    "NoAnchor",	//333
    "NoAnnouncement",	//334
    "NoBackground",	//335
    "NoBorder",	//336
    "NoBorders",	//337
    "NoCache",	//338
    "NoCapabilities",	//339
    "NoConstraint",	//340
    "NoContainmentType",	//341
    "NoControls",	//342
    "NoCorner",	//343
    "NoDrag",	//344
    "NoError",	//345
    "NoFlip",	//346
    "NoFrame",	//347
    "NoHint",	//348
    "NoIndex",	//349
    "NoMatch",	//350
    "NoViewportUpdate",	//351
    "NonModal",	//352
    "None",	//353
    "NormalPriority",	//354
    "NormalSpeed",	//355
    "NorthEast",	//356
    "NorthWest",	//357
    "OpenFile",	//358
    "OverviewZoom",	//359
    "Package",	//360
    "Package$$?",	//361
    "Package$?",	//362
    "PackageMetadata",	//363
    "PackageMetadata#",	//364
    "PackageMetadata$",	//365
    "PackageStructure",	//366
    "PackageStructure#",	//367
    "PackageStructure#$",	//368
    "Panel",	//369
    "PanelContainment",	//370
    "PanelModal",	//371
    "PassiveStatus",	//372
    "Pause",	//373
    "Paused",	//374
    "PendularCurve",	//375
    "Persistent",	//376
    "PinPairing",	//377
    "PinRequired",	//378
    "PixmapTransitionAnimation",	//379
    "Plain",	//380
    "Planar",	//381
    "Play",	//382
    "PlayPause",	//383
    "PlotColor",	//384
    "PlotColor#",	//385
    "PopupApplet",	//386
    "PopupApplet#?",	//387
    "PopupConstraint",	//388
    "PossibleMatch",	//389
    "Previous",	//390
    "Progress",	//391
    "PulseAnimation",	//392
    "PushButton",	//393
    "PushButton#",	//394
    "Q_COMPLEX_TYPE",	//395
    "Q_DUMMY_TYPE",	//396
    "Q_MOVABLE_TYPE",	//397
    "Q_PRIMITIVE_TYPE",	//398
    "Q_STATIC_TYPE",	//399
    "QtCriticalMsg",	//400
    "QtDebugMsg",	//401
    "QtFatalMsg",	//402
    "QtSystemMsg",	//403
    "QtWarningMsg",	//404
    "QueryMatch",	//405
    "QueryMatch#",	//406
    "Quietly",	//407
    "RadioButton",	//408
    "RadioButton#",	//409
    "Raised",	//410
    "RevertModelCache",	//411
    "Right",	//412
    "RightBorder",	//413
    "RightEdge",	//414
    "RightMargin",	//415
    "RightPosedBottomAlignedPopup",	//416
    "RightPosedTopAlignedPopup",	//417
    "RightPositioned",	//418
    "RotationAnimation",	//419
    "RotationStackedAnimation",	//420
    "RubberBandDrag",	//421
    "RunnerComponent",	//422
    "RunnerContext",	//423
    "RunnerContext#",	//424
    "RunnerContext##",	//425
    "RunnerManager",	//426
    "RunnerManager#",	//427
    "RunnerManager##",	//428
    "RunnerScript",	//429
    "RunnerScript#",	//430
    "RunnerSyntax",	//431
    "RunnerSyntax#",	//432
    "RunnerSyntax$$",	//433
    "Running",	//434
    "ScaledAndCroppedResize",	//435
    "ScaledResize",	//436
    "SceneModal",	//437
    "ScreenConstraint",	//438
    "ScriptEngine",	//439
    "ScriptEngine#",	//440
    "ScrollBar",	//441
    "ScrollBar#",	//442
    "ScrollHandDrag",	//443
    "ScrollWidget",	//444
    "ScrollWidget#",	//445
    "SecondaryActionColumn",	//446
    "Separator",	//447
    "Separator#",	//448
    "Separator#$",	//449
    "Service",	//450
    "Service#",	//451
    "Service#?",	//452
    "ServiceAccessJob",	//453
    "ServiceAccessJob#",	//454
    "ServiceAccessJob##",	//455
    "ServiceJob",	//456
    "ServiceJob$$?",	//457
    "ServiceJob$$?#",	//458
    "Shadow_Mask",	//459
    "Shape_Mask",	//460
    "ShellCommand",	//461
    "SignalPlotter",	//462
    "SignalPlotter#",	//463
    "SizeConstraint",	//464
    "SlideAnimation",	//465
    "SlideInMovement",	//466
    "SlideOutMovement",	//467
    "Slider",	//468
    "Slider#",	//469
    "SlowSpeed",	//470
    "SmartViewportUpdate",	//471
    "SouthEast",	//472
    "SouthWest",	//473
    "SpinBox",	//474
    "SpinBox#",	//475
    "Square",	//476
    "StandardBackground",	//477
    "StartupCompletedConstraint",	//478
    "Stop",	//479
    "Stopped",	//480
    "StyleOption",	//481
    "StyleOption#",	//482
    "StyledPanel",	//483
    "SubTitleMandatoryRole",	//484
    "SubTitleRole",	//485
    "SubmitModelCache",	//486
    "Sunken",	//487
    "Suspendable",	//488
    "Svg",	//489
    "Svg#",	//490
    "SvgWidget",	//491
    "SvgWidget#",	//492
    "SvgWidget#$",	//493
    "SvgWidget#$#",	//494
    "SvgWidget#$#$",	//495
    "SystemImmutable",	//496
    "TabBar",	//497
    "TabBar#",	//498
    "TextBrowser",	//499
    "TextBrowser#",	//500
    "TextColor",	//501
    "TextEdit",	//502
    "TextEdit#",	//503
    "Theme",	//504
    "Theme#",	//505
    "Theme$",	//506
    "Theme$#",	//507
    "TiledResize",	//508
    "ToolButton",	//509
    "ToolButton#",	//510
    "ToolTipContent",	//511
    "ToolTipContent#",	//512
    "ToolTipContent$$",	//513
    "ToolTipContent$$#",	//514
    "TopBorder",	//515
    "TopDownStacked",	//516
    "TopEdge",	//517
    "TopMargin",	//518
    "TopPosedLeftAlignedPopup",	//519
    "TopPosedRightAlignedPopup",	//520
    "TopPositioned",	//521
    "Transient",	//522
    "TranslucentBackground",	//523
    "TreeView",	//524
    "TreeView#",	//525
    "TrustedCredentials",	//526
    "TrustedOnly",	//527
    "Type",	//528
    "UltimateCredentials",	//529
    "UnknownCredentials",	//530
    "UnknownStatus",	//531
    "UnknownType",	//532
    "Up",	//533
    "UserDefinedError",	//534
    "UserExtension",	//535
    "UserImmutable",	//536
    "UserToolType",	//537
    "UserType",	//538
    "VLine",	//539
    "ValidCredentials",	//540
    "Version",	//541
    "Vertical",	//542
    "VerticalFlip",	//543
    "VideoWidget",	//544
    "VideoWidget#",	//545
    "View",	//546
    "View#",	//547
    "View##",	//548
    "View#$",	//549
    "View#$#",	//550
    "VisitedLinkColor",	//551
    "Volume",	//552
    "Wallpaper",	//553
    "Wallpaper#",	//554
    "Wallpaper#?",	//555
    "WallpaperComponent",	//556
    "WallpaperScript",	//557
    "WallpaperScript#",	//558
    "WaterAnimation",	//559
    "WebView",	//560
    "WebView#",	//561
    "WinPanel",	//562
    "ZeroconfAnnouncement",	//563
    "ZoomAnimation",	//564
    "ZoomIn",	//565
    "ZoomOut",	//566
    "__codecvt_error",	//567
    "__codecvt_noconv",	//568
    "__codecvt_ok",	//569
    "__codecvt_partial",	//570
    "aboutToFinish",	//571
    "access",	//572
    "access#",	//573
    "access##",	//574
    "accessRemoteApplet",	//575
    "accessRemoteApplet#",	//576
    "action",	//577
    "action$",	//578
    "actionEvent",	//579
    "actions",	//580
    "actionsForMatch",	//581
    "actionsForMatch#",	//582
    "actionsForMatch#?",	//583
    "actionsFromMenu",	//584
    "actionsFromMenu#",	//585
    "actionsFromMenu#$",	//586
    "actionsFromMenu#$#",	//587
    "activate",	//588
    "activated",	//589
    "activated$",	//590
    "activity",	//591
    "activityChanged",	//592
    "activityChanged#",	//593
    "addAction",	//594
    "addAction$",	//595
    "addAction$#",	//596
    "addAction$#$",	//597
    "addApplet",	//598
    "addApplet#",	//599
    "addApplet##",	//600
    "addApplet##$",	//601
    "addApplet$",	//602
    "addApplet$?",	//603
    "addApplet$?#",	//604
    "addAssociatedWidget",	//605
    "addAssociatedWidget#",	//606
    "addContainment",	//607
    "addContainment$",	//608
    "addContainment$?",	//609
    "addContainmentDelayed",	//610
    "addContainmentDelayed$",	//611
    "addContainmentDelayed$?",	//612
    "addDirectoryDefinition",	//613
    "addDirectoryDefinition$$$",	//614
    "addExampleQuery",	//615
    "addExampleQuery$",	//616
    "addFileDefinition",	//617
    "addFileDefinition$$$",	//618
    "addIconAction",	//619
    "addIconAction#",	//620
    "addItem",	//621
    "addItem$",	//622
    "addMatch",	//623
    "addMatch$#",	//624
    "addMatches",	//625
    "addMatches$?",	//626
    "addOffscreenWidget",	//627
    "addOffscreenWidget#",	//628
    "addPlot",	//629
    "addPlot#",	//630
    "addPlugin",	//631
    "addPlugin#$",	//632
    "addPlugin$$$",	//633
    "addResource",	//634
    "addResource$##",	//635
    "addSample",	//636
    "addSample?",	//637
    "addShortcuts",	//638
    "addShortcuts#",	//639
    "addSiblingContainment",	//640
    "addSiblingContainment#",	//641
    "addSource",	//642
    "addSource#",	//643
    "addStandardConfigurationPages",	//644
    "addStandardConfigurationPages#",	//645
    "addSyntax",	//646
    "addSyntax#",	//647
    "addTab",	//648
    "addTab#$",	//649
    "addTab#$#",	//650
    "addTab$",	//651
    "addTab$#",	//652
    "addTool",	//653
    "addTool#",	//654
    "addToolBoxAction",	//655
    "addToolBoxAction#",	//656
    "advance",	//657
    "alignment",	//658
    "allowExternalPaths",	//659
    "allowedRunners",	//660
    "alphaMask",	//661
    "animatedHide",	//662
    "animatedHide$",	//663
    "animatedShow",	//664
    "animatedShow$",	//665
    "animationCurve",	//666
    "animationCurve$",	//667
    "animationDuration",	//668
    "animationDuration$",	//669
    "animationFinished",	//670
    "animationFinished#$",	//671
    "animationFps",	//672
    "animationFps$",	//673
    "animationPath",	//674
    "animationPath$",	//675
    "animationStep",	//676
    "animationStep$",	//677
    "appearance",	//678
    "appearanceChanged",	//679
    "append",	//680
    "append$",	//681
    "applet",	//682
    "appletAdded",	//683
    "appletAdded##",	//684
    "appletDestroyed",	//685
    "appletDestroyed#",	//686
    "appletMimeType",	//687
    "appletRemoved",	//688
    "appletRemoved#",	//689
    "appletTransformedByUser",	//690
    "appletTransformedItself",	//691
    "applets",	//692
    "application",	//693
    "aspectRatioMode",	//694
    "associateWidget",	//695
    "associateWidget#$",	//696
    "associatedApplication",	//697
    "associatedApplicationUrls",	//698
    "attachedItems",	//699
    "audioOutput",	//700
    "author",	//701
    "authorizationRequest",	//702
    "authorizationRequest#",	//703
    "autoExpireDelay",	//704
    "autoHide",	//705
    "autoRaise",	//706
    "autohide",	//707
    "availableScreenRegion",	//708
    "availableScreenRegion$",	//709
    "availableScreenRegionChanged",	//710
    "backgroundColor",	//711
    "backgroundHints",	//712
    "becameUnused",	//713
    "becameUnused$",	//714
    "bigLock",	//715
    "bindTexture",	//716
    "bindTexture#",	//717
    "bindTexture#$",	//718
    "boundingRect",	//719
    "cacheAllRenderedFrames",	//720
    "calculateNiceRange",	//721
    "category",	//722
    "category#",	//723
    "category$",	//724
    "changeEvent",	//725
    "changeEvent#",	//726
    "changed",	//727
    "changed#",	//728
    "checkForUpdate",	//729
    "checkUsage",	//730
    "childEvent",	//731
    "clear",	//732
    "clearActions",	//733
    "clearApplets",	//734
    "clearCache",	//735
    "clearContainments",	//736
    "clearContent",	//737
    "clearContent#",	//738
    "clickMessage",	//739
    "clicked",	//740
    "clicked$",	//741
    "clientPinRequest",	//742
    "clientPinRequest#",	//743
    "closeEvent",	//744
    "closeToolBox",	//745
    "collapseGroup",	//746
    "collidesWithItem",	//747
    "collidesWithPath",	//748
    "color",	//749
    "color$",	//750
    "colorScheme",	//751
    "config",	//752
    "config$",	//753
    "configChanged",	//754
    "configNeedsSaving",	//755
    "configScheme",	//756
    "configSynced",	//757
    "configurationAccepted",	//758
    "configurationRequired",	//759
    "configurationRequired$",	//760
    "configureRequested",	//761
    "configureRequested#",	//762
    "connectAllSources",	//763
    "connectAllSources#",	//764
    "connectAllSources#$",	//765
    "connectAllSources#$$",	//766
    "connectNotify",	//767
    "connectSource",	//768
    "connectSource$#",	//769
    "connectSource$#$",	//770
    "connectSource$#$$",	//771
    "connectVisualization",	//772
    "connectVisualization#$$",	//773
    "constraintsEvent",	//774
    "constraintsEvent$",	//775
    "containerDict",	//776
    "containerForSource",	//777
    "containerForSource$",	//778
    "containment",	//779
    "containmentActions",	//780
    "containmentActions$",	//781
    "containmentActionsDefaults",	//782
    "containmentActionsDefaults$",	//783
    "containmentActionsTriggers",	//784
    "containmentAdded",	//785
    "containmentAdded#",	//786
    "containmentForScreen",	//787
    "containmentForScreen$",	//788
    "containmentForScreen$$",	//789
    "containmentType",	//790
    "containments",	//791
    "contains",	//792
    "containsMultipleImages",	//793
    "contentsHash",	//794
    "contentsPrefix",	//795
    "contentsRect",	//796
    "contentsSize",	//797
    "context",	//798
    "contextActions",	//799
    "contextChanged",	//800
    "contextChanged#",	//801
    "contextEvent",	//802
    "contextEvent#",	//803
    "contextMenuEvent",	//804
    "contextMenuEvent#",	//805
    "contextualActions",	//806
    "controlsVisible",	//807
    "corona",	//808
    "count",	//809
    "create",	//810
    "create$",	//811
    "create$#",	//812
    "createActivity",	//813
    "createActivity$",	//814
    "createConfigurationInterface",	//815
    "createConfigurationInterface#",	//816
    "createDefaultService",	//817
    "createDefaultService#",	//818
    "createEditor",	//819
    "createJob",	//820
    "createJob$?",	//821
    "createNewWidgetBrowser",	//822
    "createNewWidgetBrowser#",	//823
    "createPackage",	//824
    "createPackage#$$",	//825
    "createPackage#$$$",	//826
    "createRunOptions",	//827
    "createRunOptions#",	//828
    "currentActivity",	//829
    "currentActivityId",	//830
    "currentChanged",	//831
    "currentChanged$",	//832
    "currentIndex",	//833
    "currentPixmap",	//834
    "currentPixmap$",	//835
    "currentThemeHasImage",	//836
    "currentThemeHasImage$",	//837
    "currentTime",	//838
    "customAnimation",	//839
    "customAnimation$$$#$",	//840
    "customAnimationFinished",	//841
    "customAnimationFinished$",	//842
    "customCategories",	//843
    "customEvent",	//844
    "darkColor",	//845
    "data",	//846
    "dataEngine",	//847
    "dataEngine$",	//848
    "dataUpdated",	//849
    "dataUpdated$?",	//850
    "defaultPackageRoot",	//851
    "defaultSyntax",	//852
    "defaultTheme",	//853
    "deleteTexture",	//854
    "deleteTexture$",	//855
    "description",	//856
    "desktop",	//857
    "destination",	//858
    "destroy",	//859
    "destroy$",	//860
    "destroyed",	//861
    "destroyed#",	//862
    "detachedItems",	//863
    "devType",	//864
    "dialogManager",	//865
    "dialogResized",	//866
    "dialogVisible",	//867
    "dialogVisible$",	//868
    "directories",	//869
    "disassociateWidget",	//870
    "disassociateWidget#",	//871
    "disconnectNotify",	//872
    "disconnectSource",	//873
    "disconnectSource$#",	//874
    "disconnectVisualization",	//875
    "disconnectVisualization#",	//876
    "doKill",	//877
    "doResume",	//878
    "doSuspend",	//879
    "doubleClicked",	//880
    "dragEnterEvent",	//881
    "dragEnterEvent#",	//882
    "dragLeaveEvent",	//883
    "dragLeaveEvent#",	//884
    "dragMoveEvent",	//885
    "dragMoveEvent#",	//886
    "dragToScroll",	//887
    "drawActionButtonBase",	//888
    "drawActionButtonBase##$",	//889
    "drawAxisText",	//890
    "drawAxisText#$$",	//891
    "drawBackground",	//892
    "drawBackground#$$",	//893
    "drawForeground",	//894
    "drawHorizontalLines",	//895
    "drawHorizontalLines#$$$",	//896
    "drawItems",	//897
    "drawPlots",	//898
    "drawPlots#$$$$",	//899
    "drawThinFrame",	//900
    "drawThinFrame#$$",	//901
    "drawTopBarContents",	//902
    "drawTopBarContents#$$$",	//903
    "drawTopBarFrame",	//904
    "drawTopBarFrame#$$",	//905
    "drawVerticalLines",	//906
    "drawVerticalLines#$$$",	//907
    "drawWallpaper",	//908
    "drawWidget",	//909
    "drawWidget#$$$",	//910
    "dropEvent",	//911
    "dropEvent#",	//912
    "duration",	//913
    "easingCurve",	//914
    "editingFinished",	//915
    "editorEvent",	//916
    "effectiveDesktop",	//917
    "elementAnimationCurve",	//918
    "elementAnimationCurve$",	//919
    "elementAnimationDuration",	//920
    "elementAnimationDuration$",	//921
    "elementAnimationFinished",	//922
    "elementAnimationFinished$",	//923
    "elementAnimationFps",	//924
    "elementAnimationFps$",	//925
    "elementAppear",	//926
    "elementAppear$#",	//927
    "elementAtPoint",	//928
    "elementAtPoint#",	//929
    "elementDisappear",	//930
    "elementDisappear$#",	//931
    "elementID",	//932
    "elementRect",	//933
    "elementRect$",	//934
    "elementSize",	//935
    "elementSize$",	//936
    "email",	//937
    "emptyExtenderMessage",	//938
    "emptyRect",	//939
    "emptyRect##",	//940
    "enableAction",	//941
    "enableAction$$",	//942
    "enabledBorders",	//943
    "enabledBordersForItem",	//944
    "enabledBordersForItem#",	//945
    "enabledChange",	//946
    "engine",	//947
    "engine$",	//948
    "ensureItemVisible",	//949
    "ensureItemVisible#",	//950
    "ensureRectVisible",	//951
    "ensureRectVisible#",	//952
    "enterEvent",	//953
    "entryList",	//954
    "entryList$",	//955
    "errorString",	//956
    "event",	//957
    "event#",	//958
    "eventFilter",	//959
    "eventFilter##",	//960
    "eventToString",	//961
    "eventToString#",	//962
    "exampleQueries",	//963
    "exampleQueriesWithTermDescription",	//964
    "execQuery",	//965
    "execQuery$",	//966
    "execQuery$$",	//967
    "expandGroup",	//968
    "extender",	//969
    "extenderItemRestored",	//970
    "extenderItemRestored#",	//971
    "extension",	//972
    "fadeIn",	//973
    "fadeOut",	//974
    "filePath",	//975
    "filePath$",	//976
    "filePath$$",	//977
    "files",	//978
    "findInCache",	//979
    "findInCache$#",	//980
    "findInCache$#$",	//981
    "findInRectsCache",	//982
    "findInRectsCache$$#",	//983
    "findItem",	//984
    "findItem$$",	//985
    "findItemByName",	//986
    "findItemByName$",	//987
    "finished",	//988
    "finished#",	//989
    "flash",	//990
    "flash#",	//991
    "flash#$",	//992
    "flash#$$",	//993
    "flash$",	//994
    "flash$$",	//995
    "flash$$#",	//996
    "flushPendingConstraintsEvents",	//997
    "focusInEvent",	//998
    "focusInEvent#",	//999
    "focusNextApplet",	//1000
    "focusNextPrevChild",	//1001
    "focusOutEvent",	//1002
    "focusOutEvent#",	//1003
    "focusPreviousApplet",	//1004
    "font",	//1005
    "font$",	//1006
    "fontChange",	//1007
    "fontColor",	//1008
    "fontMetrics",	//1009
    "forceImmediateUpdate",	//1010
    "forceImmediateUpdateOfAllVisualizations",	//1011
    "formFactor",	//1012
    "framePixmap",	//1013
    "frameShadow",	//1014
    "frameSize",	//1015
    "freeEdges",	//1016
    "freeEdges$",	//1017
    "geometry",	//1018
    "geometryChanged",	//1019
    "getContentsMargins",	//1020
    "getMargins",	//1021
    "getMargins$$$$",	//1022
    "getSnapshotImage",	//1023
    "getSnapshotImage$$",	//1024
    "globalConfig",	//1025
    "globalShortcut",	//1026
    "grabKeyboardEvent",	//1027
    "grabMouseEvent",	//1028
    "graphicsWidget",	//1029
    "group",	//1030
    "group$",	//1031
    "groupList",	//1032
    "groups",	//1033
    "hasAuthorization",	//1034
    "hasAuthorization$",	//1035
    "hasConfigurationInterface",	//1036
    "hasElement",	//1037
    "hasElement$",	//1038
    "hasElementPrefix",	//1039
    "hasElementPrefix$",	//1040
    "hasFailedToLaunch",	//1041
    "hasGroup",	//1042
    "hasGroup$",	//1043
    "hasItem",	//1044
    "hasItem$",	//1045
    "hasOverShoot",	//1046
    "hasRunOptions",	//1047
    "hasScaledContents",	//1048
    "hasValidAssociatedApplication",	//1049
    "heightForWidth",	//1050
    "helpEvent",	//1051
    "hide",	//1052
    "hide#",	//1053
    "hideCloseButton",	//1054
    "hideEvent",	//1055
    "hideEvent#",	//1056
    "hidePopup",	//1057
    "highlightWindows",	//1058
    "horizontalLinesColor",	//1059
    "horizontalLinesCount",	//1060
    "horizontalScale",	//1061
    "horizontalScrollBarPolicy",	//1062
    "hoverEnterEvent",	//1063
    "hoverEnterEvent#",	//1064
    "hoverLeaveEvent",	//1065
    "hoverLeaveEvent#",	//1066
    "hoverMoveEvent",	//1067
    "hoverMoveEvent#",	//1068
    "html",	//1069
    "icon",	//1070
    "iconSize",	//1071
    "id",	//1072
    "ignoredTypes",	//1073
    "image",	//1074
    "imagePath",	//1075
    "imagePath$",	//1076
    "immutability",	//1077
    "immutabilityChanged",	//1078
    "immutabilityChanged$",	//1079
    "implementationApi",	//1080
    "importLayout",	//1081
    "importLayout#",	//1082
    "inControlArea",	//1083
    "inControlArea#",	//1084
    "infoText",	//1085
    "init",	//1086
    "init#",	//1087
    "initExtenderItem",	//1088
    "initExtenderItem#",	//1089
    "initStyleOption",	//1090
    "initWallpaper",	//1091
    "initWallpaper#",	//1092
    "initializeLayout",	//1093
    "initializeLayout$",	//1094
    "inputMethodEvent",	//1095
    "inputMethodQuery",	//1096
    "insertIntoCache",	//1097
    "insertIntoCache$#",	//1098
    "insertIntoCache$#$",	//1099
    "insertIntoRectsCache",	//1100
    "insertIntoRectsCache$$#",	//1101
    "insertTab",	//1102
    "insertTab$#$",	//1103
    "insertTab$#$#",	//1104
    "insertTab$$",	//1105
    "insertTab$$#",	//1106
    "installPackage",	//1107
    "installPackage$$",	//1108
    "installPackage$$$",	//1109
    "invalidateRectsCache",	//1110
    "invalidateRectsCache$",	//1111
    "invertLayout",	//1112
    "invertLayout$",	//1113
    "invertedLayout",	//1114
    "isAnimating",	//1115
    "isAutoCollapse",	//1116
    "isBusy",	//1117
    "isCheckable",	//1118
    "isChecked",	//1119
    "isClearButtonShown",	//1120
    "isClickable",	//1121
    "isCollapsed",	//1122
    "isContainment",	//1123
    "isDetached",	//1124
    "isDown",	//1125
    "isEmpty",	//1126
    "isEnabled",	//1127
    "isGroup",	//1128
    "isGroupCollapsed",	//1129
    "isInitialized",	//1130
    "isObscuredBy",	//1131
    "isOperationEnabled",	//1132
    "isOperationEnabled$",	//1133
    "isPassivePopup",	//1134
    "isPluginVersionCompatible",	//1135
    "isPluginVersionCompatible$",	//1136
    "isPopupShowing",	//1137
    "isPreviewing",	//1138
    "isPublished",	//1139
    "isReadOnly",	//1140
    "isRegisteredAsDragHandle",	//1141
    "isRegisteredAsDragHandle#",	//1142
    "isRequired",	//1143
    "isRequired$",	//1144
    "isRunning",	//1145
    "isShowing",	//1146
    "isTabBarShown",	//1147
    "isToolBoxOpen",	//1148
    "isUserConfiguring",	//1149
    "isUsingRenderingCache",	//1150
    "isValid",	//1151
    "isVisible",	//1152
    "isVisible#",	//1153
    "isWallpaperEnabled",	//1154
    "item",	//1155
    "item$",	//1156
    "itemActivated",	//1157
    "itemActivated$#",	//1158
    "itemAddedEvent",	//1159
    "itemAddedEvent#",	//1160
    "itemAddedEvent##",	//1161
    "itemAppear",	//1162
    "itemAppear$#",	//1163
    "itemAttached",	//1164
    "itemAttached#",	//1165
    "itemChange",	//1166
    "itemChange$#",	//1167
    "itemDetached",	//1168
    "itemDetached#",	//1169
    "itemDisappear",	//1170
    "itemDisappear$#",	//1171
    "itemHoverEnterEvent",	//1172
    "itemHoverEnterEvent#",	//1173
    "itemHoverLeaveEvent",	//1174
    "itemHoverLeaveEvent#",	//1175
    "itemHoverMoveEvent",	//1176
    "itemHoverMoveEvent##",	//1177
    "itemRemovedEvent",	//1178
    "itemRemovedEvent#",	//1179
    "itemSlideIn",	//1180
    "itemSlideIn$###",	//1181
    "itemSlideOut",	//1182
    "itemSlideOut$###",	//1183
    "items",	//1184
    "keyPressEvent",	//1185
    "keyPressEvent#",	//1186
    "keyReleaseEvent",	//1187
    "keyReleaseEvent#",	//1188
    "keywords",	//1189
    "kill",	//1190
    "knownLanguages",	//1191
    "knownLanguages$",	//1192
    "label",	//1193
    "label$",	//1194
    "labelAlignment",	//1195
    "labelAlignment$",	//1196
    "labelColor",	//1197
    "labelColor$",	//1198
    "labelFont",	//1199
    "labelFont$",	//1200
    "labelRect",	//1201
    "labelRect$",	//1202
    "languageChange",	//1203
    "lastDesktop",	//1204
    "lastScreen",	//1205
    "lastValue",	//1206
    "lastValue$",	//1207
    "lastValueAsString",	//1208
    "lastValueAsString$",	//1209
    "launchQuery",	//1210
    "launchQuery$",	//1211
    "launchQuery$$",	//1212
    "layoutContainments",	//1213
    "leaveEvent",	//1214
    "license",	//1215
    "linkActivated",	//1216
    "linkActivated$",	//1217
    "linkActivated$$$#",	//1218
    "linkHovered",	//1219
    "linkHovered$",	//1220
    "listActivities",	//1221
    "listAllEngines",	//1222
    "listAllEngines$",	//1223
    "listAppletInfo",	//1224
    "listAppletInfo$",	//1225
    "listAppletInfo$$",	//1226
    "listAppletInfoForMimetype",	//1227
    "listAppletInfoForMimetype$",	//1228
    "listAppletInfoForUrl",	//1229
    "listAppletInfoForUrl#",	//1230
    "listCategories",	//1231
    "listCategories$",	//1232
    "listCategories$$",	//1233
    "listContainmentActionsInfo",	//1234
    "listContainmentTypes",	//1235
    "listContainments",	//1236
    "listContainments$",	//1237
    "listContainments$$",	//1238
    "listContainmentsForMimetype",	//1239
    "listContainmentsForMimetype$",	//1240
    "listContainmentsOfType",	//1241
    "listContainmentsOfType$",	//1242
    "listContainmentsOfType$$",	//1243
    "listContainmentsOfType$$$",	//1244
    "listEngineInfo",	//1245
    "listEngineInfo$",	//1246
    "listEngineInfoByCategory",	//1247
    "listEngineInfoByCategory$",	//1248
    "listEngineInfoByCategory$$",	//1249
    "listInstalled",	//1250
    "listInstalled$",	//1251
    "listInstalledPaths",	//1252
    "listInstalledPaths$",	//1253
    "listRenderingModes",	//1254
    "listThemeInfo",	//1255
    "listWallpaperInfo",	//1256
    "listWallpaperInfo$",	//1257
    "listWallpaperInfoForMimetype",	//1258
    "listWallpaperInfoForMimetype$",	//1259
    "listWallpaperInfoForMimetype$$",	//1260
    "load",	//1261
    "load#",	//1262
    "load##",	//1263
    "load##?",	//1264
    "load#$",	//1265
    "load#$?",	//1266
    "load#?",	//1267
    "load$",	//1268
    "load$#",	//1269
    "load$$",	//1270
    "load$$?",	//1271
    "load$?",	//1272
    "load$?#",	//1273
    "loadAnimationFromPackage",	//1274
    "loadAnimationFromPackage$#",	//1275
    "loadDefaultLayout",	//1276
    "loadEngine",	//1277
    "loadEngine$",	//1278
    "loadFinished",	//1279
    "loadFinished$",	//1280
    "loadLayout",	//1281
    "loadLayout$",	//1282
    "loadPlasmoid",	//1283
    "loadPlasmoid$",	//1284
    "loadPlasmoid$$",	//1285
    "loadPlasmoid$$?",	//1286
    "loadProgress",	//1287
    "loadProgress$",	//1288
    "loadRunner",	//1289
    "loadRunner$",	//1290
    "loadRunner?",	//1291
    "loadScriptEngine",	//1292
    "loadScriptEngine$#",	//1293
    "location",	//1294
    "locationChanged",	//1295
    "locationChanged#",	//1296
    "locationToDirection",	//1297
    "locationToDirection$",	//1298
    "locationToInverseDirection",	//1299
    "locationToInverseDirection$",	//1300
    "lostContainment",	//1301
    "lower",	//1302
    "mainFrame",	//1303
    "mainScript",	//1304
    "mainText",	//1305
    "makeCurrent",	//1306
    "mapAnimation",	//1307
    "mapAnimation$$",	//1308
    "mapFromView",	//1309
    "mapFromView##",	//1310
    "mapToView",	//1311
    "mapToView##",	//1312
    "marginSize",	//1313
    "marginSize$",	//1314
    "mask",	//1315
    "match",	//1316
    "match#",	//1317
    "match$",	//1318
    "matchSessionComplete",	//1319
    "matches",	//1320
    "matchesChanged",	//1321
    "matchesChanged?",	//1322
    "maxSourceCount",	//1323
    "maximum",	//1324
    "maximumIconSize",	//1325
    "mediaObject",	//1326
    "messageButtonPressed",	//1327
    "messageButtonPressed$",	//1328
    "metaObject",	//1329
    "metadata",	//1330
    "meterType",	//1331
    "metric",	//1332
    "mimeDataForMatch",	//1333
    "mimeDataForMatch#",	//1334
    "mimeDataForMatch$",	//1335
    "mimeType",	//1336
    "mimetypes",	//1337
    "mimetypes$",	//1338
    "minimum",	//1339
    "minimumIconSize",	//1340
    "minimumPollingInterval",	//1341
    "minimumSizeHint",	//1342
    "model",	//1343
    "mouseDoubleClickEvent",	//1344
    "mouseDoubleClickEvent#",	//1345
    "mouseMoveEvent",	//1346
    "mouseMoveEvent#",	//1347
    "mousePressEvent",	//1348
    "mousePressEvent#",	//1349
    "mouseReleaseEvent",	//1350
    "mouseReleaseEvent#",	//1351
    "moveEvent",	//1352
    "moveEvent#",	//1353
    "moveItem",	//1354
    "moveItem#$#",	//1355
    "movementAnimationCurve",	//1356
    "movementAnimationCurve$",	//1357
    "movementAnimationDuration",	//1358
    "movementAnimationDuration$",	//1359
    "movementAnimationFps",	//1360
    "movementAnimationFps$",	//1361
    "movementFinished",	//1362
    "movementFinished#",	//1363
    "name",	//1364
    "name$",	//1365
    "nativeWidget",	//1366
    "newStatus",	//1367
    "newStatus$",	//1368
    "newWidgetBrowserFinished",	//1369
    "nextRequested",	//1370
    "numDisplayLines",	//1371
    "numScreens",	//1372
    "offscreenWidgets",	//1373
    "opaqueArea",	//1374
    "openToolBox",	//1375
    "operationDescription",	//1376
    "operationDescription$",	//1377
    "operationName",	//1378
    "operationNames",	//1379
    "operationsChanged",	//1380
    "operator<",	//1381
    "operator<#",	//1382
    "operator=",	//1383
    "operator=#",	//1384
    "operator==",	//1385
    "operator==#",	//1386
    "orientation",	//1387
    "package",	//1388
    "packageStructure",	//1389
    "packageStructure#",	//1390
    "packageStructure$$",	//1391
    "page",	//1392
    "pageStep",	//1393
    "paint",	//1394
    "paint##",	//1395
    "paint###",	//1396
    "paint##$",	//1397
    "paint#$$",	//1398
    "paint#$$$",	//1399
    "paint#$$$$",	//1400
    "paint#$$$$$",	//1401
    "paintEngine",	//1402
    "paintEvent",	//1403
    "paintEvent#",	//1404
    "paintFrame",	//1405
    "paintFrame#",	//1406
    "paintFrame##",	//1407
    "paintFrame###",	//1408
    "paintGLInterface",	//1409
    "paintGLInterface##",	//1410
    "paintInterface",	//1411
    "paintInterface###",	//1412
    "paintWindowFrame",	//1413
    "paintWindowFrame###",	//1414
    "paletteChange",	//1415
    "parameters",	//1416
    "parametersFromDescription",	//1417
    "parametersFromDescription#",	//1418
    "paste",	//1419
    "paste##",	//1420
    "path",	//1421
    "path$",	//1422
    "pathChanged",	//1423
    "pause",	//1424
    "performMatch",	//1425
    "performMatch#",	//1426
    "persistence",	//1427
    "pin",	//1428
    "pixmap",	//1429
    "pixmap$",	//1430
    "play",	//1431
    "plotColors",	//1432
    "pluginName",	//1433
    "policy",	//1434
    "polishEvent",	//1435
    "popupEvent",	//1436
    "popupEvent$",	//1437
    "popupIcon",	//1438
    "popupPlacement",	//1439
    "popupPosition",	//1440
    "popupPosition#",	//1441
    "popupPosition##",	//1442
    "popupPosition##$",	//1443
    "popupPosition#$",	//1444
    "preferredIconSize",	//1445
    "prefix",	//1446
    "prepare",	//1447
    "pressed",	//1448
    "pressed$",	//1449
    "previousRequested",	//1450
    "priority",	//1451
    "property",	//1452
    "property$",	//1453
    "propertyChange",	//1454
    "publish",	//1455
    "publish$$",	//1456
    "qt_metacall",	//1457
    "qt_metacall$$?",	//1458
    "qt_metacast",	//1459
    "qt_metacast$",	//1460
    "query",	//1461
    "query$",	//1462
    "queryFinished",	//1463
    "raise",	//1464
    "read",	//1465
    "read#",	//1466
    "read$",	//1467
    "readConfig",	//1468
    "readyForRemoteAccess",	//1469
    "rectAfterSubTitle",	//1470
    "rectAfterSubTitle##",	//1471
    "rectAfterTitle",	//1472
    "rectAfterTitle##",	//1473
    "registerAsDragHandle",	//1474
    "registerAsDragHandle#",	//1475
    "registerOperationsScheme",	//1476
    "registerPackage",	//1477
    "registerPackage#$",	//1478
    "registerResources",	//1479
    "registerResources#",	//1480
    "registerScrollingManager",	//1481
    "registerScrollingManager#",	//1482
    "registerWidget",	//1483
    "registerWidget#",	//1484
    "releaseRectsCache",	//1485
    "releaseRectsCache$",	//1486
    "releaseVisualFocus",	//1487
    "released",	//1488
    "relevance",	//1489
    "reloadConfiguration",	//1490
    "remainingTime",	//1491
    "remoteAppletAnnounced",	//1492
    "remoteAppletAnnounced#",	//1493
    "remoteAppletUnannounced",	//1494
    "remoteAppletUnannounced#",	//1495
    "remoteApplets",	//1496
    "remoteLocation",	//1497
    "remove",	//1498
    "remove#",	//1499
    "removeAction",	//1500
    "removeAction$",	//1501
    "removeAllData",	//1502
    "removeAllData$",	//1503
    "removeAllSources",	//1504
    "removeAssociatedWidget",	//1505
    "removeAssociatedWidget#",	//1506
    "removeData",	//1507
    "removeData$$",	//1508
    "removeIconAction",	//1509
    "removeIconAction#",	//1510
    "removeMatch",	//1511
    "removeMatch$",	//1512
    "removeMatches",	//1513
    "removeMatches?",	//1514
    "removeOffscreenWidget",	//1515
    "removeOffscreenWidget#",	//1516
    "removePlot",	//1517
    "removePlot$",	//1518
    "removeSource",	//1519
    "removeSource$",	//1520
    "removeTab",	//1521
    "removeTab$",	//1522
    "removeTool",	//1523
    "removeTool#",	//1524
    "removeToolBoxAction",	//1525
    "removeToolBoxAction#",	//1526
    "render",	//1527
    "render$#",	//1528
    "render$#$",	//1529
    "render$#$#",	//1530
    "renderCompleted",	//1531
    "renderCompleted#",	//1532
    "renderHintsChanged",	//1533
    "renderingMode",	//1534
    "reorderPlots",	//1535
    "reorderPlots?",	//1536
    "repaintNeeded",	//1537
    "requestConfigSync",	//1538
    "requireConfigSync",	//1539
    "requiredDirectories",	//1540
    "requiredFiles",	//1541
    "requiredVersion",	//1542
    "reset",	//1543
    "resize",	//1544
    "resize#",	//1545
    "resize$$",	//1546
    "resizeCorners",	//1547
    "resizeEvent",	//1548
    "resizeEvent#",	//1549
    "resizeFrame",	//1550
    "resizeFrame#",	//1551
    "restore",	//1552
    "restore#",	//1553
    "restoreContents",	//1554
    "restoreContents#",	//1555
    "result",	//1556
    "returnPressed",	//1557
    "returnToSource",	//1558
    "roleMapping",	//1559
    "roleMapping$",	//1560
    "run",	//1561
    "run#",	//1562
    "run##",	//1563
    "run$",	//1564
    "runAssociatedApplication",	//1565
    "runner",	//1566
    "runner$",	//1567
    "runnerName",	//1568
    "runnerName$",	//1569
    "runners",	//1570
    "save",	//1571
    "save#",	//1572
    "saveContents",	//1573
    "saveContents#",	//1574
    "saveLayout",	//1575
    "saveLayout$",	//1576
    "saveState",	//1577
    "saveState#",	//1578
    "scale",	//1579
    "scale$",	//1580
    "scaledBy",	//1581
    "scalingFactor",	//1582
    "scalingFactor$",	//1583
    "sceneEvent",	//1584
    "sceneEventFilter",	//1585
    "sceneEventFilter##",	//1586
    "sceneRectAboutToChange",	//1587
    "sceneRectChanged",	//1588
    "scheduleSourcesUpdated",	//1589
    "screen",	//1590
    "screenChanged",	//1591
    "screenChanged$$#",	//1592
    "screenGeometry",	//1593
    "screenGeometry$",	//1594
    "screenOwnerChanged",	//1595
    "screenOwnerChanged$$#",	//1596
    "screenRect",	//1597
    "scrollContentsBy",	//1598
    "scrollPosition",	//1599
    "scrollStateChanged",	//1600
    "scrollStateChanged#$$",	//1601
    "scrollStateChanged$$",	//1602
    "searchContext",	//1603
    "searchTermDescription",	//1604
    "seek",	//1605
    "seek?",	//1606
    "selectedAction",	//1607
    "self",	//1608
    "service",	//1609
    "serviceForSource",	//1610
    "serviceForSource$",	//1611
    "serviceName",	//1612
    "servicePrefix",	//1613
    "serviceQuery",	//1614
    "serviceQuery$",	//1615
    "serviceQuery$$",	//1616
    "serviceReady",	//1617
    "serviceReady#",	//1618
    "serviceType",	//1619
    "setAction",	//1620
    "setAction#",	//1621
    "setActivity",	//1622
    "setActivity$",	//1623
    "setAlignment",	//1624
    "setAlignment$",	//1625
    "setAllowExternalPaths",	//1626
    "setAllowExternalPaths$",	//1627
    "setAllowedRunners",	//1628
    "setAllowedRunners?",	//1629
    "setAppearance",	//1630
    "setAppearance$",	//1631
    "setApplet",	//1632
    "setApplet#",	//1633
    "setAppletMimeType",	//1634
    "setAppletMimeType$",	//1635
    "setApplication",	//1636
    "setApplication$",	//1637
    "setAspectRatioMode",	//1638
    "setAspectRatioMode$",	//1639
    "setAssociatedApplication",	//1640
    "setAssociatedApplication$",	//1641
    "setAssociatedApplicationUrls",	//1642
    "setAssociatedApplicationUrls?",	//1643
    "setAuthor",	//1644
    "setAuthor$",	//1645
    "setAuthorizationInterface",	//1646
    "setAuthorizationInterface#",	//1647
    "setAuthorizationPolicy",	//1648
    "setAuthorizationPolicy$",	//1649
    "setAutoCollapse",	//1650
    "setAutoCollapse$",	//1651
    "setAutoExpireDelay",	//1652
    "setAutoExpireDelay$",	//1653
    "setAutoHide",	//1654
    "setAutoHide$",	//1655
    "setAutoRaise",	//1656
    "setAutoRaise$",	//1657
    "setAutohide",	//1658
    "setAutohide$",	//1659
    "setBackgroundColor",	//1660
    "setBackgroundColor#",	//1661
    "setBackgroundHints",	//1662
    "setBackgroundHints$",	//1663
    "setBoundingRect",	//1664
    "setBoundingRect#",	//1665
    "setBusy",	//1666
    "setBusy$",	//1667
    "setCacheAllRenderedFrames",	//1668
    "setCacheAllRenderedFrames$",	//1669
    "setCacheLimit",	//1670
    "setCacheLimit$",	//1671
    "setCategory",	//1672
    "setCategory$",	//1673
    "setCheckable",	//1674
    "setCheckable$",	//1675
    "setChecked",	//1676
    "setChecked$",	//1677
    "setClearButtonShown",	//1678
    "setClearButtonShown$",	//1679
    "setClickMessage",	//1680
    "setClickMessage$",	//1681
    "setClickable",	//1682
    "setClickable$",	//1683
    "setCollapsed",	//1684
    "setCollapsed$",	//1685
    "setColor",	//1686
    "setColor#",	//1687
    "setConfigurationRequired",	//1688
    "setConfigurationRequired$",	//1689
    "setConfigurationRequired$$",	//1690
    "setContainment",	//1691
    "setContainment#",	//1692
    "setContainmentActions",	//1693
    "setContainmentActions$$",	//1694
    "setContainmentActionsDefaults",	//1695
    "setContainmentActionsDefaults$#",	//1696
    "setContainmentType",	//1697
    "setContainmentType$",	//1698
    "setContainsMultipleImages",	//1699
    "setContainsMultipleImages$",	//1700
    "setContent",	//1701
    "setContent##",	//1702
    "setContentsPrefix",	//1703
    "setContentsPrefix$",	//1704
    "setContextActions",	//1705
    "setContextActions?",	//1706
    "setContextualActions",	//1707
    "setContextualActions?",	//1708
    "setControlsVisible",	//1709
    "setControlsVisible$",	//1710
    "setCurrentActivity",	//1711
    "setCurrentActivity$",	//1712
    "setCurrentActivityId",	//1713
    "setCurrentActivityId$",	//1714
    "setCurrentIndex",	//1715
    "setCurrentIndex$",	//1716
    "setCustomCategories",	//1717
    "setCustomCategories?",	//1718
    "setDarkColor",	//1719
    "setDarkColor#",	//1720
    "setData",	//1721
    "setData#",	//1722
    "setData$#",	//1723
    "setData$$#",	//1724
    "setData$?",	//1725
    "setDataEngine",	//1726
    "setDataEngine#",	//1727
    "setDefaultMimetypes",	//1728
    "setDefaultMimetypes?",	//1729
    "setDefaultPackageRoot",	//1730
    "setDefaultPackageRoot$",	//1731
    "setDefaultService",	//1732
    "setDefaultService$",	//1733
    "setDefaultSyntax",	//1734
    "setDefaultSyntax#",	//1735
    "setDefaults",	//1736
    "setDescription",	//1737
    "setDescription$",	//1738
    "setDestination",	//1739
    "setDestination$",	//1740
    "setDialogManager",	//1741
    "setDialogManager#",	//1742
    "setDown",	//1743
    "setDown$",	//1744
    "setDragToScroll",	//1745
    "setDragToScroll$",	//1746
    "setDrawBackground",	//1747
    "setDrawBackground$",	//1748
    "setDrawWallpaper",	//1749
    "setDrawWallpaper$",	//1750
    "setDuration",	//1751
    "setDuration$",	//1752
    "setEasingCurve",	//1753
    "setEasingCurve#",	//1754
    "setEditorData",	//1755
    "setElementID",	//1756
    "setElementID$",	//1757
    "setElementPrefix",	//1758
    "setElementPrefix$",	//1759
    "setEmail",	//1760
    "setEmail$",	//1761
    "setEmptyExtenderMessage",	//1762
    "setEmptyExtenderMessage$",	//1763
    "setEnabled",	//1764
    "setEnabled$",	//1765
    "setEnabledBorders",	//1766
    "setEnabledBorders$",	//1767
    "setExtender",	//1768
    "setExtender#",	//1769
    "setExtender##",	//1770
    "setExtension",	//1771
    "setFailedToLaunch",	//1772
    "setFailedToLaunch$",	//1773
    "setFailedToLaunch$$",	//1774
    "setFont",	//1775
    "setFont#",	//1776
    "setFont#$",	//1777
    "setFontColor",	//1778
    "setFontColor#",	//1779
    "setFormFactor",	//1780
    "setFormFactor$",	//1781
    "setFrameShadow",	//1782
    "setFrameShadow$",	//1783
    "setGeometry",	//1784
    "setGeometry#",	//1785
    "setGlobalShortcut",	//1786
    "setGlobalShortcut#",	//1787
    "setGraphicsWidget",	//1788
    "setGraphicsWidget#",	//1789
    "setGroup",	//1790
    "setGroup#",	//1791
    "setGroup##",	//1792
    "setGroupCollapsed",	//1793
    "setGroupCollapsed$",	//1794
    "setHasConfigurationInterface",	//1795
    "setHasConfigurationInterface$",	//1796
    "setHasRunOptions",	//1797
    "setHasRunOptions$",	//1798
    "setHighlightWindows",	//1799
    "setHighlightWindows$",	//1800
    "setHorizontalLinesColor",	//1801
    "setHorizontalLinesColor#",	//1802
    "setHorizontalLinesCount",	//1803
    "setHorizontalLinesCount$",	//1804
    "setHorizontalScale",	//1805
    "setHorizontalScale$",	//1806
    "setHorizontalScrollBarPolicy",	//1807
    "setHorizontalScrollBarPolicy$",	//1808
    "setHtml",	//1809
    "setHtml#",	//1810
    "setHtml##",	//1811
    "setHtml$",	//1812
    "setHtml$#",	//1813
    "setIcon",	//1814
    "setIcon#",	//1815
    "setIcon$",	//1816
    "setId",	//1817
    "setId$",	//1818
    "setIgnoredTypes",	//1819
    "setIgnoredTypes$",	//1820
    "setImage",	//1821
    "setImage#",	//1822
    "setImage$",	//1823
    "setImage$$",	//1824
    "setImagePath",	//1825
    "setImagePath$",	//1826
    "setImmutability",	//1827
    "setImmutability$",	//1828
    "setImplementationApi",	//1829
    "setImplementationApi$",	//1830
    "setInfoText",	//1831
    "setInfoText$",	//1832
    "setInitialPixmap",	//1833
    "setInitialPixmap$#",	//1834
    "setKeywords",	//1835
    "setKeywords?",	//1836
    "setLabel",	//1837
    "setLabel$",	//1838
    "setLabel$$",	//1839
    "setLabelAlignment",	//1840
    "setLabelAlignment$$",	//1841
    "setLabelColor",	//1842
    "setLabelColor$#",	//1843
    "setLabelFont",	//1844
    "setLabelFont$#",	//1845
    "setLicense",	//1846
    "setLicense$",	//1847
    "setLocation",	//1848
    "setLocation$",	//1849
    "setMainText",	//1850
    "setMainText$",	//1851
    "setMaxSourceCount",	//1852
    "setMaxSourceCount$",	//1853
    "setMaximum",	//1854
    "setMaximum$",	//1855
    "setMaximumIconSize",	//1856
    "setMaximumIconSize#",	//1857
    "setMeterType",	//1858
    "setMeterType$",	//1859
    "setMimetypes",	//1860
    "setMimetypes$?",	//1861
    "setMinimum",	//1862
    "setMinimum$",	//1863
    "setMinimumIconSize",	//1864
    "setMinimumIconSize#",	//1865
    "setMinimumPollingInterval",	//1866
    "setMinimumPollingInterval$",	//1867
    "setModel",	//1868
    "setModel#",	//1869
    "setModelData",	//1870
    "setName",	//1871
    "setName$",	//1872
    "setNativeWidget",	//1873
    "setNativeWidget#",	//1874
    "setNeedsUpdate",	//1875
    "setNeedsUpdate$",	//1876
    "setNumDisplayLines",	//1877
    "setNumDisplayLines$",	//1878
    "setOperationEnabled",	//1879
    "setOperationEnabled$$",	//1880
    "setOperationsScheme",	//1881
    "setOperationsScheme#",	//1882
    "setOrientation",	//1883
    "setOrientation$",	//1884
    "setOverShoot",	//1885
    "setOverShoot$",	//1886
    "setPage",	//1887
    "setPage#",	//1888
    "setPageStep",	//1889
    "setPageStep$",	//1890
    "setPassivePopup",	//1891
    "setPassivePopup$",	//1892
    "setPath",	//1893
    "setPath$",	//1894
    "setPersistence",	//1895
    "setPersistence$",	//1896
    "setPin",	//1897
    "setPin$",	//1898
    "setPluginName",	//1899
    "setPluginName$",	//1900
    "setPolicy",	//1901
    "setPolicy$",	//1902
    "setPollingInterval",	//1903
    "setPollingInterval$",	//1904
    "setPopupIcon",	//1905
    "setPopupIcon#",	//1906
    "setPopupIcon$",	//1907
    "setPreferredIconSize",	//1908
    "setPreferredIconSize#",	//1909
    "setPressed",	//1910
    "setPressed$",	//1911
    "setPreviewing",	//1912
    "setPreviewing$",	//1913
    "setPriority",	//1914
    "setPriority$",	//1915
    "setQuery",	//1916
    "setQuery$",	//1917
    "setRange",	//1918
    "setRange$$",	//1919
    "setReadOnly",	//1920
    "setReadOnly$",	//1921
    "setRelevance",	//1922
    "setRelevance$",	//1923
    "setRemoteLocation",	//1924
    "setRemoteLocation#",	//1925
    "setRenderingMode",	//1926
    "setRenderingMode$",	//1927
    "setRequired",	//1928
    "setRequired$$",	//1929
    "setRequiredVersion",	//1930
    "setRequiredVersion$",	//1931
    "setResizeHandleCorners",	//1932
    "setResizeHandleCorners$",	//1933
    "setResizeMethodHint",	//1934
    "setResizeMethodHint$",	//1935
    "setResult",	//1936
    "setResult#",	//1937
    "setRoleMapping",	//1938
    "setRoleMapping$$",	//1939
    "setRunner",	//1940
    "setRunner#",	//1941
    "setRunning",	//1942
    "setRunning$",	//1943
    "setScaledContents",	//1944
    "setScaledContents$",	//1945
    "setScreen",	//1946
    "setScreen$",	//1947
    "setScreen$$",	//1948
    "setScrollPosition",	//1949
    "setScrollPosition#",	//1950
    "setSearchTermDescription",	//1951
    "setSearchTermDescription$",	//1952
    "setSelectedAction",	//1953
    "setSelectedAction#",	//1954
    "setServicePrefix",	//1955
    "setServicePrefix$",	//1956
    "setServiceType",	//1957
    "setServiceType$",	//1958
    "setShowHorizontalLines",	//1959
    "setShowHorizontalLines$",	//1960
    "setShowLabels",	//1961
    "setShowLabels$",	//1962
    "setShowTopBar",	//1963
    "setShowTopBar$",	//1964
    "setShowVerticalLines",	//1965
    "setShowVerticalLines$",	//1966
    "setShowing",	//1967
    "setShowing$",	//1968
    "setSingleMode",	//1969
    "setSingleMode$",	//1970
    "setSingleModeRunnerId",	//1971
    "setSingleModeRunnerId$",	//1972
    "setSingleRunnerQueryMode",	//1973
    "setSingleRunnerQueryMode$",	//1974
    "setSingleStep",	//1975
    "setSingleStep$",	//1976
    "setSnapSize",	//1977
    "setSnapSize#",	//1978
    "setSpeed",	//1979
    "setSpeed$",	//1980
    "setStackPlots",	//1981
    "setStackPlots$",	//1982
    "setState",	//1983
    "setState$",	//1984
    "setStatus",	//1985
    "setStatus$",	//1986
    "setStyleSheet",	//1987
    "setStyleSheet$",	//1988
    "setSubText",	//1989
    "setSubText$",	//1990
    "setSubtext",	//1991
    "setSubtext$",	//1992
    "setSvg",	//1993
    "setSvg#",	//1994
    "setSvg$",	//1995
    "setSvg$$",	//1996
    "setSvgBackground",	//1997
    "setSvgBackground$",	//1998
    "setSyntaxes",	//1999
    "setSyntaxes?",	//2000
    "setTabBarShown",	//2001
    "setTabBarShown$",	//2002
    "setTabIcon",	//2003
    "setTabIcon$#",	//2004
    "setTabText",	//2005
    "setTabText$$",	//2006
    "setTarget",	//2007
    "setTarget#",	//2008
    "setTargetItem",	//2009
    "setTargetItem#",	//2010
    "setTargetSizeHint",	//2011
    "setTargetSizeHint#",	//2012
    "setTargetWidget",	//2013
    "setTargetWidget#",	//2014
    "setTargets",	//2015
    "setTargets$",	//2016
    "setText",	//2017
    "setText$",	//2018
    "setTextBackgroundColor",	//2019
    "setTextBackgroundColor#",	//2020
    "setTextSelectable",	//2021
    "setTextSelectable$",	//2022
    "setTheme",	//2023
    "setTheme#",	//2024
    "setThemeName",	//2025
    "setThemeName$",	//2026
    "setThinFrame",	//2027
    "setThinFrame$",	//2028
    "setTitle",	//2029
    "setTitle$",	//2030
    "setToolBox",	//2031
    "setToolBox#",	//2032
    "setToolBoxOpen",	//2033
    "setToolBoxOpen$",	//2034
    "setTrackContainmentChanges",	//2035
    "setTrackContainmentChanges$",	//2036
    "setType",	//2037
    "setType$",	//2038
    "setUnit",	//2039
    "setUnit$",	//2040
    "setUnpressed",	//2041
    "setUrl",	//2042
    "setUrl#",	//2043
    "setUrl$",	//2044
    "setUseAutoRange",	//2045
    "setUseAutoRange$",	//2046
    "setUseGlobalSettings",	//2047
    "setUseGlobalSettings$",	//2048
    "setUsedControls",	//2049
    "setUsedControls$",	//2050
    "setUsingRenderingCache",	//2051
    "setUsingRenderingCache$",	//2052
    "setValid",	//2053
    "setValid$",	//2054
    "setValue",	//2055
    "setValue$",	//2056
    "setVersion",	//2057
    "setVersion$",	//2058
    "setVerticalLinesColor",	//2059
    "setVerticalLinesColor#",	//2060
    "setVerticalLinesDistance",	//2061
    "setVerticalLinesDistance$",	//2062
    "setVerticalLinesScroll",	//2063
    "setVerticalLinesScroll$",	//2064
    "setVerticalRange",	//2065
    "setVerticalRange$$",	//2066
    "setVerticalScrollBarPolicy",	//2067
    "setVerticalScrollBarPolicy$",	//2068
    "setView",	//2069
    "setView#",	//2070
    "setVisible",	//2071
    "setWallpaper",	//2072
    "setWallpaper#",	//2073
    "setWallpaper$",	//2074
    "setWallpaper$$",	//2075
    "setWallpaperEnabled",	//2076
    "setWallpaperEnabled$",	//2077
    "setWebsite",	//2078
    "setWebsite$",	//2079
    "setWidget",	//2080
    "setWidget#",	//2081
    "setWindowToPreview",	//2082
    "setWindowToPreview$",	//2083
    "setWindowsToPreview",	//2084
    "setWindowsToPreview?",	//2085
    "setWordWrap",	//2086
    "setWordWrap$",	//2087
    "setZoomFactor",	//2088
    "setZoomFactor$",	//2089
    "settingsChanged",	//2090
    "setupMatchSession",	//2091
    "shape",	//2092
    "shortcutsChanged",	//2093
    "shouldConserveResources",	//2094
    "show",	//2095
    "show#",	//2096
    "showAddWidgetsInterface",	//2097
    "showAddWidgetsInterface#",	//2098
    "showCloseButton",	//2099
    "showConfigurationInterface",	//2100
    "showConfigurationInterface#",	//2101
    "showContextMenu",	//2102
    "showContextMenu##",	//2103
    "showDialog",	//2104
    "showDialog##",	//2105
    "showDropZone",	//2106
    "showDropZone#",	//2107
    "showEvent",	//2108
    "showEvent#",	//2109
    "showHorizontalLines",	//2110
    "showLabels",	//2111
    "showMessage",	//2112
    "showMessage#$$",	//2113
    "showPopup",	//2114
    "showPopup$",	//2115
    "showToolTip",	//2116
    "showTopBar",	//2117
    "showVerticalLines",	//2118
    "singleMode",	//2119
    "singleModeAdvertisedRunnerIds",	//2120
    "singleModeRunner",	//2121
    "singleModeRunnerId",	//2122
    "singleRunnerQueryMode",	//2123
    "singleStep",	//2124
    "size",	//2125
    "sizeFromIconSize",	//2126
    "sizeFromIconSize$",	//2127
    "sizeHint",	//2128
    "sizeHint##",	//2129
    "sizeHint$",	//2130
    "sizeHint$#",	//2131
    "sizeHintChanged",	//2132
    "sizeHintChanged$",	//2133
    "sliderMoved",	//2134
    "sliderMoved$",	//2135
    "snapSize",	//2136
    "sourceAdded",	//2137
    "sourceAdded$",	//2138
    "sourceRemoved",	//2139
    "sourceRemoved$",	//2140
    "sourceRequestEvent",	//2141
    "sourceRequestEvent$",	//2142
    "sources",	//2143
    "speed",	//2144
    "stackPlots",	//2145
    "standardConfigurationDialog",	//2146
    "start",	//2147
    "startOperationCall",	//2148
    "startOperationCall#",	//2149
    "startOperationCall##",	//2150
    "startupArguments",	//2151
    "state",	//2152
    "staticMetaObject",	//2153
    "status",	//2154
    "stop",	//2155
    "stopCustomAnimation",	//2156
    "stopCustomAnimation$",	//2157
    "stopElementAnimation",	//2158
    "stopElementAnimation$",	//2159
    "stopItemAnimation",	//2160
    "stopItemAnimation$",	//2161
    "stopItemMovement",	//2162
    "stopItemMovement$",	//2163
    "structure",	//2164
    "styleChange",	//2165
    "styleSheet",	//2166
    "styleSheet$",	//2167
    "subText",	//2168
    "subtext",	//2169
    "supportedProtocols",	//2170
    "supportsExtension",	//2171
    "svg",	//2172
    "svgBackground",	//2173
    "swapContainment",	//2174
    "swapContainment#$",	//2175
    "swapContainment#$?",	//2176
    "swapContainment$",	//2177
    "swapContainment$?",	//2178
    "syncToGraphicsWidget",	//2179
    "syntaxes",	//2180
    "tabAt",	//2181
    "tabAt$",	//2182
    "tabIcon",	//2183
    "tabIcon$",	//2184
    "tabText",	//2185
    "tabText$",	//2186
    "tabletEvent",	//2187
    "takeTab",	//2188
    "takeTab$",	//2189
    "target",	//2190
    "targetItem",	//2191
    "targetItemReached",	//2192
    "targetItemReached#",	//2193
    "targetReached",	//2194
    "targetReached#",	//2195
    "targetWidget",	//2196
    "targets",	//2197
    "teardown",	//2198
    "text",	//2199
    "textBackgroundColor",	//2200
    "textChanged",	//2201
    "textChanged$",	//2202
    "textEdited",	//2203
    "textEdited$",	//2204
    "textSelectable",	//2205
    "theme",	//2206
    "themeChanged",	//2207
    "themeName",	//2208
    "thinFrame",	//2209
    "tick",	//2210
    "tick?",	//2211
    "timeSinceLastUpdate",	//2212
    "timerEvent",	//2213
    "timerEvent#",	//2214
    "title",	//2215
    "togglePopup",	//2216
    "toggled",	//2217
    "toggled$",	//2218
    "toolBox",	//2219
    "toolBoxItem",	//2220
    "toolBoxToggled",	//2221
    "toolBoxVisibilityChanged",	//2222
    "toolBoxVisibilityChanged$",	//2223
    "topLevelViewAt",	//2224
    "topLevelViewAt#",	//2225
    "totalTime",	//2226
    "tr",	//2227
    "tr$",	//2228
    "tr$$",	//2229
    "tr$$$",	//2230
    "trUtf8",	//2231
    "trUtf8$",	//2232
    "trUtf8$$",	//2233
    "trUtf8$$$",	//2234
    "trackContainmentChanges",	//2235
    "type",	//2236
    "ungrabKeyboardEvent",	//2237
    "ungrabMouseEvent",	//2238
    "uninstallPackage",	//2239
    "uninstallPackage$$",	//2240
    "uninstallPackage$$$",	//2241
    "unit",	//2242
    "unloadEngine",	//2243
    "unloadEngine$",	//2244
    "unpublish",	//2245
    "unregisterAsDragHandle",	//2246
    "unregisterAsDragHandle#",	//2247
    "unregisterScrollingManager",	//2248
    "unregisterScrollingManager#",	//2249
    "unregisterWidget",	//2250
    "unregisterWidget#",	//2251
    "update",	//2252
    "update#",	//2253
    "updateAllSources",	//2254
    "updateConstraints",	//2255
    "updateConstraints$",	//2256
    "updateCurrentTime",	//2257
    "updateCurrentTime$",	//2258
    "updateDataBuffers",	//2259
    "updateDirection",	//2260
    "updateEditorGeometry",	//2261
    "updateGeometry",	//2262
    "updateRequested",	//2263
    "updateRequested#",	//2264
    "updateShortcuts",	//2265
    "updateSourceEvent",	//2266
    "updateSourceEvent$",	//2267
    "updateState",	//2268
    "url",	//2269
    "urlDropped",	//2270
    "urlDropped#",	//2271
    "useAutoRange",	//2272
    "useDefaults",	//2273
    "useGlobalSettings",	//2274
    "useNativeWidgetStyle",	//2275
    "usedControls",	//2276
    "usrReadConfig",	//2277
    "usrSetDefaults",	//2278
    "usrUseDefaults",	//2279
    "usrWriteConfig",	//2280
    "value",	//2281
    "valueChanged",	//2282
    "valueChanged$",	//2283
    "version",	//2284
    "versionMajor",	//2285
    "versionMinor",	//2286
    "versionRelease",	//2287
    "versionString",	//2288
    "verticalLinesColor",	//2289
    "verticalLinesDistance",	//2290
    "verticalLinesScroll",	//2291
    "verticalMaxValue",	//2292
    "verticalMinValue",	//2293
    "verticalScrollBarPolicy",	//2294
    "view",	//2295
    "viewFor",	//2296
    "viewFor#",	//2297
    "viewportEvent",	//2298
    "viewportGeometry",	//2299
    "viewportGeometryChanged",	//2300
    "viewportGeometryChanged#",	//2301
    "visibilityChanged",	//2302
    "visibilityChanged$",	//2303
    "visualizationIsConnected",	//2304
    "visualizationIsConnected#",	//2305
    "wallpaper",	//2306
    "wallpaperPath",	//2307
    "wallpaperPath#",	//2308
    "website",	//2309
    "wheelEvent",	//2310
    "wheelEvent#",	//2311
    "widget",	//2312
    "windowActivationChange",	//2313
    "windowFrameEvent",	//2314
    "windowFrameSectionAt",	//2315
    "windowPreviewActivated",	//2316
    "windowPreviewActivated$$$#",	//2317
    "windowToPreview",	//2318
    "windowTranslucencyEnabled",	//2319
    "windowsToPreview",	//2320
    "wordWrap",	//2321
    "write",	//2322
    "write#",	//2323
    "write$",	//2324
    "writeConfig",	//2325
    "x11Event",	//2326
    "zoomFactor",	//2327
    "zoomRequested",	//2328
    "zoomRequested#$",	//2329
    "~AbstractDialogManager",	//2330
    "~AbstractRunner",	//2331
    "~AbstractToolBox",	//2332
    "~AccessAppletJob",	//2333
    "~Animation",	//2334
    "~AnimationDriver",	//2335
    "~Applet",	//2336
    "~AppletScript",	//2337
    "~AuthorizationInterface",	//2338
    "~AuthorizationRule",	//2339
    "~BusyWidget",	//2340
    "~CheckBox",	//2341
    "~ComboBox",	//2342
    "~ConfigLoader",	//2343
    "~Containment",	//2344
    "~ContainmentActions",	//2345
    "~ContainmentActionsPluginsConfig",	//2346
    "~Context",	//2347
    "~Corona",	//2348
    "~DataContainer",	//2349
    "~DataEngine",	//2350
    "~DataEngineScript",	//2351
    "~Delegate",	//2352
    "~Dialog",	//2353
    "~Extender",	//2354
    "~ExtenderGroup",	//2355
    "~ExtenderItem",	//2356
    "~FlashingLabel",	//2357
    "~Frame",	//2358
    "~FrameSvg",	//2359
    "~GLApplet",	//2360
    "~GroupBox",	//2361
    "~IconWidget",	//2362
    "~ItemBackground",	//2363
    "~Label",	//2364
    "~LineEdit",	//2365
    "~Meter",	//2366
    "~Package",	//2367
    "~PackageMetadata",	//2368
    "~PackageStructure",	//2369
    "~PlotColor",	//2370
    "~PopupApplet",	//2371
    "~PushButton",	//2372
    "~QueryMatch",	//2373
    "~RadioButton",	//2374
    "~RunnerContext",	//2375
    "~RunnerManager",	//2376
    "~RunnerScript",	//2377
    "~RunnerSyntax",	//2378
    "~ScriptEngine",	//2379
    "~ScrollBar",	//2380
    "~ScrollWidget",	//2381
    "~Separator",	//2382
    "~Service",	//2383
    "~ServiceAccessJob",	//2384
    "~ServiceJob",	//2385
    "~SignalPlotter",	//2386
    "~Slider",	//2387
    "~SpinBox",	//2388
    "~StyleOption",	//2389
    "~Svg",	//2390
    "~SvgWidget",	//2391
    "~TabBar",	//2392
    "~TextBrowser",	//2393
    "~TextEdit",	//2394
    "~Theme",	//2395
    "~ToolButton",	//2396
    "~ToolTipContent",	//2397
    "~TreeView",	//2398
    "~VideoWidget",	//2399
    "~View",	//2400
    "~Wallpaper",	//2401
    "~WallpaperScript",	//2402
    "~WebView",	//2403
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 0},	//1 KConfigSkeleton::metaObject() const
    {9, 1459, 1, 1, Smoke::mf_virtual, 478, 0},	//2 KConfigSkeleton::qt_metacast(const char*)
    {9, 1457, 3, 3, Smoke::mf_virtual, 470, 0},	//3 KConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {11, 1736, 0, 0, Smoke::mf_virtual, 0, 0},	//4 KCoreConfigSkeleton::setDefaults()
    {11, 1468, 0, 0, Smoke::mf_virtual, 0, 0},	//5 KCoreConfigSkeleton::readConfig()
    {11, 2325, 0, 0, Smoke::mf_virtual, 0, 0},	//6 KCoreConfigSkeleton::writeConfig()
    {11, 2273, 7, 1, Smoke::mf_virtual, 381, 0},	//7 KCoreConfigSkeleton::useDefaults(bool)
    {11, 2279, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//8 KCoreConfigSkeleton::usrUseDefaults(bool)
    {11, 2278, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//9 KCoreConfigSkeleton::usrSetDefaults()
    {11, 2277, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//10 KCoreConfigSkeleton::usrReadConfig()
    {14, 877, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//11 KJob::doKill()
    {14, 879, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//12 KJob::doSuspend()
    {14, 878, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//13 KJob::doResume()
    {14, 956, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 288, 0},	//14 KJob::errorString() const
    {14, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 5},	//15 KJob::NoError (enum)
    {14, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 6},	//16 KJob::KilledJobError (enum)
    {14, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 7},	//17 KJob::UserDefinedError (enum)
    {29, 1297, 9, 1, Smoke::mf_static, 91, 1},	//18 Plasma::locationToDirection(Plasma::Location)
    {29, 2288, 0, 0, Smoke::mf_static, 464, 2},	//19 Plasma::versionString()
    {29, 2285, 0, 0, Smoke::mf_static, 476, 3},	//20 Plasma::versionMajor()
    {29, 2296, 11, 1, Smoke::mf_static, 224, 4},	//21 Plasma::viewFor(const QGraphicsItem*)
    {29, 2284, 0, 0, Smoke::mf_static, 476, 5},	//22 Plasma::version()
    {29, 1299, 9, 1, Smoke::mf_static, 91, 6},	//23 Plasma::locationToInverseDirection(Plasma::Location)
    {29, 1292, 13, 2, Smoke::mf_static, 138, 7},	//24 Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    {29, 2286, 0, 0, Smoke::mf_static, 476, 8},	//25 Plasma::versionMinor()
    {29, 1389, 16, 2, Smoke::mf_static, 20, 9},	//26 Plasma::packageStructure(const QString&, Plasma::ComponentType)
    {29, 1582, 19, 1, Smoke::mf_static, 467, 10},	//27 Plasma::scalingFactor(Plasma::ZoomLevel)
    {29, 1292, 21, 2, Smoke::mf_static, 172, 11},	//28 Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    {29, 584, 24, 3, Smoke::mf_static, 250, 12},	//29 Plasma::actionsFromMenu(QMenu*, const QString&, QObject*)
    {29, 584, 28, 1, Smoke::mf_static, 250, 13},	//30 Plasma::actionsFromMenu(QMenu*)
    {29, 584, 30, 2, Smoke::mf_static, 250, 14},	//31 Plasma::actionsFromMenu(QMenu*, const QString&)
    {29, 1292, 33, 2, Smoke::mf_static, 85, 15},	//32 Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    {29, 1135, 36, 1, Smoke::mf_static, 381, 16},	//33 Plasma::isPluginVersionCompatible(unsigned int)
    {29, 1191, 38, 1, Smoke::mf_static, 289, 17},	//34 Plasma::knownLanguages(QFlags<Plasma::ComponentType>)
    {29, 1292, 40, 2, Smoke::mf_static, 53, 18},	//35 Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    {29, 2287, 0, 0, Smoke::mf_static, 476, 19},	//36 Plasma::versionRelease()
    {29, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 20},	//37 Plasma::ZoomIn (enum)
    {29, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 21},	//38 Plasma::ZoomOut (enum)
    {29, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 22},	//39 Plasma::Planar (enum)
    {29, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 23},	//40 Plasma::MediaCenter (enum)
    {29, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 24},	//41 Plasma::Horizontal (enum)
    {29, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 25},	//42 Plasma::Vertical (enum)
    {29, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 26},	//43 Plasma::ButtonNone (enum)
    {29, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 27},	//44 Plasma::ButtonOk (enum)
    {29, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 28},	//45 Plasma::ButtonYes (enum)
    {29, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 29},	//46 Plasma::ButtonNo (enum)
    {29, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 30},	//47 Plasma::ButtonCancel (enum)
    {29, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 31},	//48 Plasma::NoAlignment (enum)
    {29, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 32},	//49 Plasma::AlignToMinute (enum)
    {29, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 33},	//50 Plasma::AlignToHour (enum)
    {29, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 34},	//51 Plasma::TopMargin (enum)
    {29, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 35},	//52 Plasma::BottomMargin (enum)
    {29, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 36},	//53 Plasma::LeftMargin (enum)
    {29, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 37},	//54 Plasma::RightMargin (enum)
    {29, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 38},	//55 Plasma::InvalidAspectRatioMode (enum)
    {29, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 39},	//56 Plasma::IgnoreAspectRatio (enum)
    {29, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 40},	//57 Plasma::KeepAspectRatio (enum)
    {29, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 41},	//58 Plasma::Square (enum)
    {29, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 42},	//59 Plasma::ConstrainedSquare (enum)
    {29, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 54, 43},	//60 Plasma::FixedSize (enum)
    {29, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 44},	//61 Plasma::LeftPositioned (enum)
    {29, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 45},	//62 Plasma::RightPositioned (enum)
    {29, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 46},	//63 Plasma::TopPositioned (enum)
    {29, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 47},	//64 Plasma::BottomPositioned (enum)
    {29, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 48},	//65 Plasma::CenterPositioned (enum)
    {29, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 49},	//66 Plasma::Down (enum)
    {29, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 50},	//67 Plasma::Up (enum)
    {29, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 51},	//68 Plasma::Left (enum)
    {29, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 52},	//69 Plasma::Right (enum)
    {29, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 53},	//70 Plasma::NoAnnouncement (enum)
    {29, 563, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 54},	//71 Plasma::ZeroconfAnnouncement (enum)
    {29, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 55},	//72 Plasma::InvalidCredentials (enum)
    {29, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 56},	//73 Plasma::UnknownCredentials (enum)
    {29, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 57},	//74 Plasma::ValidCredentials (enum)
    {29, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 58},	//75 Plasma::TrustedCredentials (enum)
    {29, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 59},	//76 Plasma::UltimateCredentials (enum)
    {29, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 60},	//77 Plasma::Mutable (enum)
    {29, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 61},	//78 Plasma::UserImmutable (enum)
    {29, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 62},	//79 Plasma::SystemImmutable (enum)
    {29, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 63},	//80 Plasma::FloatingPopup (enum)
    {29, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 64},	//81 Plasma::TopPosedLeftAlignedPopup (enum)
    {29, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 65},	//82 Plasma::TopPosedRightAlignedPopup (enum)
    {29, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 66},	//83 Plasma::LeftPosedTopAlignedPopup (enum)
    {29, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 67},	//84 Plasma::LeftPosedBottomAlignedPopup (enum)
    {29, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 68},	//85 Plasma::BottomPosedLeftAlignedPopup (enum)
    {29, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 69},	//86 Plasma::BottomPosedRightAlignedPopup (enum)
    {29, 417, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 70},	//87 Plasma::RightPosedTopAlignedPopup (enum)
    {29, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 71},	//88 Plasma::RightPosedBottomAlignedPopup (enum)
    {29, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 72},	//89 Plasma::AppletType (enum)
    {29, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 110, 73},	//90 Plasma::LineEditType (enum)
    {29, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 74},	//91 Plasma::NoConstraint (enum)
    {29, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 75},	//92 Plasma::FormFactorConstraint (enum)
    {29, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 76},	//93 Plasma::LocationConstraint (enum)
    {29, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 77},	//94 Plasma::ScreenConstraint (enum)
    {29, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 78},	//95 Plasma::SizeConstraint (enum)
    {29, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 79},	//96 Plasma::ImmutableConstraint (enum)
    {29, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 80},	//97 Plasma::StartupCompletedConstraint (enum)
    {29, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 81},	//98 Plasma::ContextConstraint (enum)
    {29, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 82},	//99 Plasma::PopupConstraint (enum)
    {29, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 83},	//100 Plasma::AllConstraints (enum)
    {29, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 84},	//101 Plasma::NoFlip (enum)
    {29, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 85},	//102 Plasma::HorizontalFlip (enum)
    {29, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 86},	//103 Plasma::VerticalFlip (enum)
    {29, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 87},	//104 Plasma::UnknownStatus (enum)
    {29, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 88},	//105 Plasma::PassiveStatus (enum)
    {29, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 89},	//106 Plasma::ActiveStatus (enum)
    {29, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 90},	//107 Plasma::NeedsAttentionStatus (enum)
    {29, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 109, 91},	//108 Plasma::AcceptingInputStatus (enum)
    {29, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 92},	//109 Plasma::DesktopZoom (enum)
    {29, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 93},	//110 Plasma::GroupZoom (enum)
    {29, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 94},	//111 Plasma::OverviewZoom (enum)
    {29, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 95},	//112 Plasma::AppletComponent (enum)
    {29, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 96},	//113 Plasma::DataEngineComponent (enum)
    {29, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 97},	//114 Plasma::RunnerComponent (enum)
    {29, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 98},	//115 Plasma::AnimatorComponent (enum)
    {29, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 99},	//116 Plasma::ContainmentComponent (enum)
    {29, 556, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 100},	//117 Plasma::WallpaperComponent (enum)
    {29, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 101},	//118 Plasma::Floating (enum)
    {29, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 102},	//119 Plasma::Desktop (enum)
    {29, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 103},	//120 Plasma::FullScreen (enum)
    {29, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 104},	//121 Plasma::TopEdge (enum)
    {29, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 105},	//122 Plasma::BottomEdge (enum)
    {29, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 106},	//123 Plasma::LeftEdge (enum)
    {29, 414, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 107},	//124 Plasma::RightEdge (enum)
    {30, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//125 Plasma::AbstractDialogManager::metaObject() const
    {30, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//126 Plasma::AbstractDialogManager::qt_metacast(const char*)
    {30, 2227, 43, 2, Smoke::mf_static, 288, 3},	//127 Plasma::AbstractDialogManager::tr(const char*, const char*)
    {30, 2231, 43, 2, Smoke::mf_static, 288, 4},	//128 Plasma::AbstractDialogManager::trUtf8(const char*, const char*)
    {30, 2227, 46, 3, Smoke::mf_static, 288, 5},	//129 Plasma::AbstractDialogManager::tr(const char*, const char*, int)
    {30, 2231, 46, 3, Smoke::mf_static, 288, 6},	//130 Plasma::AbstractDialogManager::trUtf8(const char*, const char*, int)
    {30, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//131 Plasma::AbstractDialogManager::qt_metacall(QMetaObject::Call, int, void**)
    {30, 1, 50, 1, Smoke::mf_ctor, 33, 8},	//132 Plasma::AbstractDialogManager::AbstractDialogManager(Plasma::Corona*)
    {30, 2104, 52, 2, Smoke::mf_slot, 0, 9},	//133 Plasma::AbstractDialogManager::showDialog(QWidget*, Plasma::Applet*)
    {30, 2227, 1, 1, Smoke::mf_static, 288, 10},	//134 Plasma::AbstractDialogManager::tr(const char*)
    {30, 2231, 1, 1, Smoke::mf_static, 288, 11},	//135 Plasma::AbstractDialogManager::trUtf8(const char*)
    {30, 1, 0, 0, Smoke::mf_ctor, 33, 12},	//136 Plasma::AbstractDialogManager::AbstractDialogManager()
    {30, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 13},	//137 Plasma::AbstractDialogManager::staticMetaObject() const
    {30, 2330, 0, 0, Smoke::mf_dtor, 0, 14 },	//138 Plasma::AbstractDialogManager::~AbstractDialogManager()
    {31, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//139 Plasma::AbstractRunner::metaObject() const
    {31, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//140 Plasma::AbstractRunner::qt_metacast(const char*)
    {31, 2227, 43, 2, Smoke::mf_static, 288, 3},	//141 Plasma::AbstractRunner::tr(const char*, const char*)
    {31, 2231, 43, 2, Smoke::mf_static, 288, 4},	//142 Plasma::AbstractRunner::trUtf8(const char*, const char*)
    {31, 2227, 46, 3, Smoke::mf_static, 288, 5},	//143 Plasma::AbstractRunner::tr(const char*, const char*, int)
    {31, 2231, 46, 3, Smoke::mf_static, 288, 6},	//144 Plasma::AbstractRunner::trUtf8(const char*, const char*, int)
    {31, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//145 Plasma::AbstractRunner::qt_metacall(QMetaObject::Call, int, void**)
    {31, 1316, 55, 1, Smoke::mf_virtual, 0, 8},	//146 Plasma::AbstractRunner::match(Plasma::RunnerContext&)
    {31, 1425, 55, 1, 0, 0, 9},	//147 Plasma::AbstractRunner::performMatch(Plasma::RunnerContext&)
    {31, 1047, 0, 0, 0, 381, 10},	//148 Plasma::AbstractRunner::hasRunOptions()
    {31, 827, 57, 1, Smoke::mf_virtual, 0, 11},	//149 Plasma::AbstractRunner::createRunOptions(QWidget*)
    {31, 1561, 59, 2, Smoke::mf_virtual, 0, 12},	//150 Plasma::AbstractRunner::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {31, 2144, 0, 0, Smoke::mf_const, 36, 13},	//151 Plasma::AbstractRunner::speed() const
    {31, 1451, 0, 0, Smoke::mf_const, 35, 14},	//152 Plasma::AbstractRunner::priority() const
    {31, 1073, 0, 0, Smoke::mf_const, 202, 15},	//153 Plasma::AbstractRunner::ignoredTypes() const
    {31, 1819, 62, 1, 0, 0, 16},	//154 Plasma::AbstractRunner::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {31, 1364, 0, 0, Smoke::mf_const, 288, 17},	//155 Plasma::AbstractRunner::name() const
    {31, 1072, 0, 0, Smoke::mf_const, 288, 18},	//156 Plasma::AbstractRunner::id() const
    {31, 856, 0, 0, Smoke::mf_const, 288, 19},	//157 Plasma::AbstractRunner::description() const
    {31, 1070, 0, 0, Smoke::mf_const, 232, 20},	//158 Plasma::AbstractRunner::icon() const
    {31, 1388, 0, 0, Smoke::mf_const, 402, 21},	//159 Plasma::AbstractRunner::package() const
    {31, 1490, 0, 0, Smoke::mf_virtual, 0, 22},	//160 Plasma::AbstractRunner::reloadConfiguration()
    {31, 2180, 0, 0, Smoke::mf_const, 249, 23},	//161 Plasma::AbstractRunner::syntaxes() const
    {31, 715, 0, 0, Smoke::mf_static, 264, 24},	//162 Plasma::AbstractRunner::bigLock()
    {31, 852, 0, 0, Smoke::mf_const, 140, 25},	//163 Plasma::AbstractRunner::defaultSyntax() const
    {31, 1447, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//164 Plasma::AbstractRunner::prepare()
    {31, 2198, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//165 Plasma::AbstractRunner::teardown()
    {31, 3, 64, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 28},	//166 Plasma::AbstractRunner::AbstractRunner(QObject*, const QString&)
    {31, 3, 67, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 29},	//167 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>, QObject*)
    {31, 3, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 34, 30},	//168 Plasma::AbstractRunner::AbstractRunner(QObject*, const QList<QVariant>&)
    {31, 752, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 31},	//169 Plasma::AbstractRunner::config() const
    {31, 1797, 7, 1, Smoke::mf_protected, 0, 32},	//170 Plasma::AbstractRunner::setHasRunOptions(bool)
    {31, 1979, 73, 1, Smoke::mf_protected, 0, 33},	//171 Plasma::AbstractRunner::setSpeed(Plasma::AbstractRunner::Speed)
    {31, 1914, 75, 1, Smoke::mf_protected, 0, 34},	//172 Plasma::AbstractRunner::setPriority(Plasma::AbstractRunner::Priority)
    {31, 1614, 77, 2, Smoke::mf_const|Smoke::mf_protected, 239, 35},	//173 Plasma::AbstractRunner::serviceQuery(const QString&, const QString&) const
    {31, 581, 80, 1, Smoke::mf_protected|Smoke::mf_virtual, 250, 36},	//174 Plasma::AbstractRunner::actionsForMatch(const Plasma::QueryMatch&)
    {31, 594, 82, 3, Smoke::mf_protected, 180, 37},	//175 Plasma::AbstractRunner::addAction(const QString&, const QIcon&, const QString&)
    {31, 594, 86, 2, Smoke::mf_protected, 0, 38},	//176 Plasma::AbstractRunner::addAction(const QString&, QAction*)
    {31, 1500, 89, 1, Smoke::mf_protected, 0, 39},	//177 Plasma::AbstractRunner::removeAction(const QString&)
    {31, 577, 89, 1, Smoke::mf_const|Smoke::mf_protected, 180, 40},	//178 Plasma::AbstractRunner::action(const QString&) const
    {31, 580, 0, 0, Smoke::mf_const|Smoke::mf_protected, 228, 41},	//179 Plasma::AbstractRunner::actions() const
    {31, 733, 0, 0, Smoke::mf_protected, 0, 42},	//180 Plasma::AbstractRunner::clearActions()
    {31, 646, 91, 1, Smoke::mf_protected, 0, 43},	//181 Plasma::AbstractRunner::addSyntax(const Plasma::RunnerSyntax&)
    {31, 1734, 91, 1, Smoke::mf_protected, 0, 44},	//182 Plasma::AbstractRunner::setDefaultSyntax(const Plasma::RunnerSyntax&)
    {31, 1999, 93, 1, Smoke::mf_protected, 0, 45},	//183 Plasma::AbstractRunner::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {31, 847, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 46},	//184 Plasma::AbstractRunner::dataEngine(const QString&) const
    {31, 1086, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//185 Plasma::AbstractRunner::init()
    {31, 1333, 95, 1, Smoke::mf_protected|Smoke::mf_slot, 261, 48},	//186 Plasma::AbstractRunner::mimeDataForMatch(const Plasma::QueryMatch*)
    {31, 2227, 1, 1, Smoke::mf_static, 288, 49},	//187 Plasma::AbstractRunner::tr(const char*)
    {31, 2231, 1, 1, Smoke::mf_static, 288, 50},	//188 Plasma::AbstractRunner::trUtf8(const char*)
    {31, 3, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 34, 51},	//189 Plasma::AbstractRunner::AbstractRunner()
    {31, 3, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 34, 52},	//190 Plasma::AbstractRunner::AbstractRunner(QObject*)
    {31, 3, 99, 1, Smoke::mf_ctor|Smoke::mf_protected, 34, 53},	//191 Plasma::AbstractRunner::AbstractRunner(const KSharedPtr<KService>)
    {31, 1614, 89, 1, Smoke::mf_const|Smoke::mf_protected, 239, 54},	//192 Plasma::AbstractRunner::serviceQuery(const QString&) const
    {31, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 55},	//193 Plasma::AbstractRunner::staticMetaObject() const
    {31, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 56},	//194 Plasma::AbstractRunner::SlowSpeed (enum)
    {31, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 36, 57},	//195 Plasma::AbstractRunner::NormalSpeed (enum)
    {31, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 58},	//196 Plasma::AbstractRunner::LowestPriority (enum)
    {31, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 59},	//197 Plasma::AbstractRunner::LowPriority (enum)
    {31, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 60},	//198 Plasma::AbstractRunner::NormalPriority (enum)
    {31, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 61},	//199 Plasma::AbstractRunner::HighPriority (enum)
    {31, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 62},	//200 Plasma::AbstractRunner::HighestPriority (enum)
    {31, 2331, 0, 0, Smoke::mf_dtor, 0, 63 },	//201 Plasma::AbstractRunner::~AbstractRunner()
    {32, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//202 Plasma::AbstractToolBox::metaObject() const
    {32, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//203 Plasma::AbstractToolBox::qt_metacast(const char*)
    {32, 2227, 43, 2, Smoke::mf_static, 288, 3},	//204 Plasma::AbstractToolBox::tr(const char*, const char*)
    {32, 2231, 43, 2, Smoke::mf_static, 288, 4},	//205 Plasma::AbstractToolBox::trUtf8(const char*, const char*)
    {32, 2227, 46, 3, Smoke::mf_static, 288, 5},	//206 Plasma::AbstractToolBox::tr(const char*, const char*, int)
    {32, 2231, 46, 3, Smoke::mf_static, 288, 6},	//207 Plasma::AbstractToolBox::trUtf8(const char*, const char*, int)
    {32, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//208 Plasma::AbstractToolBox::qt_metacall(QMetaObject::Call, int, void**)
    {32, 9, 101, 1, Smoke::mf_ctor, 37, 8},	//209 Plasma::AbstractToolBox::AbstractToolBox(Plasma::Containment*)
    {32, 653, 103, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//210 Plasma::AbstractToolBox::addTool(QAction*) [pure virtual]
    {32, 1523, 103, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//211 Plasma::AbstractToolBox::removeTool(QAction*) [pure virtual]
    {32, 1146, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 381, 11},	//212 Plasma::AbstractToolBox::isShowing() const [pure virtual]
    {32, 1967, 105, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//213 Plasma::AbstractToolBox::setShowing(const bool) [pure virtual]
    {32, 2217, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//214 Plasma::AbstractToolBox::toggled()
    {32, 2302, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//215 Plasma::AbstractToolBox::visibilityChanged(bool)
    {32, 779, 0, 0, Smoke::mf_const|Smoke::mf_protected, 71, 15},	//216 Plasma::AbstractToolBox::containment() const
    {32, 2227, 1, 1, Smoke::mf_static, 288, 16},	//217 Plasma::AbstractToolBox::tr(const char*)
    {32, 2231, 1, 1, Smoke::mf_static, 288, 17},	//218 Plasma::AbstractToolBox::trUtf8(const char*)
    {32, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 18},	//219 Plasma::AbstractToolBox::staticMetaObject() const
    {32, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 19},	//220 Plasma::AbstractToolBox::AddTool (enum)
    {32, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 20},	//221 Plasma::AbstractToolBox::ConfigureTool (enum)
    {32, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 21},	//222 Plasma::AbstractToolBox::ControlTool (enum)
    {32, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 22},	//223 Plasma::AbstractToolBox::MiscTool (enum)
    {32, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 23},	//224 Plasma::AbstractToolBox::DestructiveTool (enum)
    {32, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 24},	//225 Plasma::AbstractToolBox::UserToolType (enum)
    {32, 2332, 0, 0, Smoke::mf_dtor, 0, 25 },	//226 Plasma::AbstractToolBox::~AbstractToolBox()
    {33, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//227 Plasma::AccessAppletJob::metaObject() const
    {33, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//228 Plasma::AccessAppletJob::qt_metacast(const char*)
    {33, 2227, 43, 2, Smoke::mf_static, 288, 3},	//229 Plasma::AccessAppletJob::tr(const char*, const char*)
    {33, 2231, 43, 2, Smoke::mf_static, 288, 4},	//230 Plasma::AccessAppletJob::trUtf8(const char*, const char*)
    {33, 2227, 46, 3, Smoke::mf_static, 288, 5},	//231 Plasma::AccessAppletJob::tr(const char*, const char*, int)
    {33, 2231, 46, 3, Smoke::mf_static, 288, 6},	//232 Plasma::AccessAppletJob::trUtf8(const char*, const char*, int)
    {33, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//233 Plasma::AccessAppletJob::qt_metacall(QMetaObject::Call, int, void**)
    {33, 682, 0, 0, Smoke::mf_const, 51, 8},	//234 Plasma::AccessAppletJob::applet() const
    {33, 12, 107, 2, Smoke::mf_ctor|Smoke::mf_protected, 39, 9},	//235 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&, QObject*)
    {33, 2147, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//236 Plasma::AccessAppletJob::start()
    {33, 2227, 1, 1, Smoke::mf_static, 288, 11},	//237 Plasma::AccessAppletJob::tr(const char*)
    {33, 2231, 1, 1, Smoke::mf_static, 288, 12},	//238 Plasma::AccessAppletJob::trUtf8(const char*)
    {33, 12, 110, 1, Smoke::mf_ctor|Smoke::mf_protected, 39, 13},	//239 Plasma::AccessAppletJob::AccessAppletJob(const KUrl&)
    {33, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 14},	//240 Plasma::AccessAppletJob::staticMetaObject() const
    {33, 2333, 0, 0, Smoke::mf_dtor, 0, 15 },	//241 Plasma::AccessAppletJob::~AccessAppletJob()
    {34, 1329, 0, 0, Smoke::mf_const, 436, 1},	//242 Plasma::AccessManager::metaObject() const
    {34, 1459, 1, 1, 0, 478, 2},	//243 Plasma::AccessManager::qt_metacast(const char*)
    {34, 2227, 43, 2, Smoke::mf_static, 288, 3},	//244 Plasma::AccessManager::tr(const char*, const char*)
    {34, 2231, 43, 2, Smoke::mf_static, 288, 4},	//245 Plasma::AccessManager::trUtf8(const char*, const char*)
    {34, 2227, 46, 3, Smoke::mf_static, 288, 5},	//246 Plasma::AccessManager::tr(const char*, const char*, int)
    {34, 2231, 46, 3, Smoke::mf_static, 288, 6},	//247 Plasma::AccessManager::trUtf8(const char*, const char*, int)
    {34, 1457, 3, 3, 0, 470, 7},	//248 Plasma::AccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {34, 1608, 0, 0, Smoke::mf_static, 40, 8},	//249 Plasma::AccessManager::self()
    {34, 575, 110, 1, Smoke::mf_const, 39, 9},	//250 Plasma::AccessManager::accessRemoteApplet(const KUrl&) const
    {34, 1496, 0, 0, Smoke::mf_const, 246, 10},	//251 Plasma::AccessManager::remoteApplets() const
    {34, 2170, 0, 0, Smoke::mf_static, 289, 11},	//252 Plasma::AccessManager::supportedProtocols()
    {34, 988, 112, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//253 Plasma::AccessManager::finished(Plasma::AccessAppletJob*)
    {34, 1492, 114, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//254 Plasma::AccessManager::remoteAppletAnnounced(Plasma::PackageMetadata)
    {34, 1494, 114, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//255 Plasma::AccessManager::remoteAppletUnannounced(Plasma::PackageMetadata)
    {34, 2227, 1, 1, Smoke::mf_static, 288, 15},	//256 Plasma::AccessManager::tr(const char*)
    {34, 2231, 1, 1, Smoke::mf_static, 288, 16},	//257 Plasma::AccessManager::trUtf8(const char*)
    {34, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 17},	//258 Plasma::AccessManager::staticMetaObject() const
    {35, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//259 Plasma::Animation::metaObject() const
    {35, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//260 Plasma::Animation::qt_metacast(const char*)
    {35, 2227, 43, 2, Smoke::mf_static, 288, 3},	//261 Plasma::Animation::tr(const char*, const char*)
    {35, 2231, 43, 2, Smoke::mf_static, 288, 4},	//262 Plasma::Animation::trUtf8(const char*, const char*)
    {35, 2227, 46, 3, Smoke::mf_static, 288, 5},	//263 Plasma::Animation::tr(const char*, const char*, int)
    {35, 2231, 46, 3, Smoke::mf_static, 288, 6},	//264 Plasma::Animation::trUtf8(const char*, const char*, int)
    {35, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//265 Plasma::Animation::qt_metacall(QMetaObject::Call, int, void**)
    {35, 913, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 470, 8},	//266 Plasma::Animation::duration() const
    {35, 31, 97, 1, Smoke::mf_ctor, 41, 9},	//267 Plasma::Animation::Animation(QObject*)
    {35, 2013, 116, 1, 0, 0, 10},	//268 Plasma::Animation::setTargetWidget(QGraphicsWidget*)
    {35, 2196, 0, 0, Smoke::mf_const, 225, 11},	//269 Plasma::Animation::targetWidget() const
    {35, 1753, 118, 1, Smoke::mf_property, 0, 12},	//270 Plasma::Animation::setEasingCurve(const QEasingCurve&)
    {35, 914, 0, 0, Smoke::mf_const|Smoke::mf_property, 194, 13},	//271 Plasma::Animation::easingCurve() const
    {35, 1751, 120, 1, Smoke::mf_protected|Smoke::mf_property|Smoke::mf_virtual, 0, 14},	//272 Plasma::Animation::setDuration(int)
    {35, 2257, 120, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//273 Plasma::Animation::updateCurrentTime(int)
    {35, 2227, 1, 1, Smoke::mf_static, 288, 16},	//274 Plasma::Animation::tr(const char*)
    {35, 2231, 1, 1, Smoke::mf_static, 288, 17},	//275 Plasma::Animation::trUtf8(const char*)
    {35, 31, 0, 0, Smoke::mf_ctor, 41, 18},	//276 Plasma::Animation::Animation()
    {35, 1751, 0, 0, Smoke::mf_protected|Smoke::mf_property, 0, 19},	//277 Plasma::Animation::setDuration()
    {35, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 20},	//278 Plasma::Animation::staticMetaObject() const
    {35, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 21},	//279 Plasma::Animation::Center (enum)
    {35, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 22},	//280 Plasma::Animation::Up (enum)
    {35, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 23},	//281 Plasma::Animation::Down (enum)
    {35, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 24},	//282 Plasma::Animation::Left (enum)
    {35, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 25},	//283 Plasma::Animation::Right (enum)
    {35, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 26},	//284 Plasma::Animation::MoveAny (enum)
    {35, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 27},	//285 Plasma::Animation::MoveUp (enum)
    {35, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 28},	//286 Plasma::Animation::MoveRight (enum)
    {35, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 29},	//287 Plasma::Animation::MoveDown (enum)
    {35, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 30},	//288 Plasma::Animation::MoveLeft (enum)
    {35, 2334, 0, 0, Smoke::mf_dtor, 0, 31 },	//289 Plasma::Animation::~Animation()
    {36, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//290 Plasma::AnimationDriver::metaObject() const
    {36, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//291 Plasma::AnimationDriver::qt_metacast(const char*)
    {36, 2227, 43, 2, Smoke::mf_static, 288, 3},	//292 Plasma::AnimationDriver::tr(const char*, const char*)
    {36, 2231, 43, 2, Smoke::mf_static, 288, 4},	//293 Plasma::AnimationDriver::trUtf8(const char*, const char*)
    {36, 2227, 46, 3, Smoke::mf_static, 288, 5},	//294 Plasma::AnimationDriver::tr(const char*, const char*, int)
    {36, 2231, 46, 3, Smoke::mf_static, 288, 6},	//295 Plasma::AnimationDriver::trUtf8(const char*, const char*, int)
    {36, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//296 Plasma::AnimationDriver::qt_metacall(QMetaObject::Call, int, void**)
    {36, 33, 97, 1, Smoke::mf_ctor, 44, 8},	//297 Plasma::AnimationDriver::AnimationDriver(QObject*)
    {36, 672, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 470, 9},	//298 Plasma::AnimationDriver::animationFps(Plasma::Animator::Animation) const
    {36, 1360, 124, 1, Smoke::mf_const|Smoke::mf_virtual, 470, 10},	//299 Plasma::AnimationDriver::movementAnimationFps(Plasma::Animator::Movement) const
    {36, 924, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 470, 11},	//300 Plasma::AnimationDriver::elementAnimationFps(Plasma::Animator::Animation) const
    {36, 668, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 470, 12},	//301 Plasma::AnimationDriver::animationDuration(Plasma::Animator::Animation) const
    {36, 1358, 124, 1, Smoke::mf_const|Smoke::mf_virtual, 470, 13},	//302 Plasma::AnimationDriver::movementAnimationDuration(Plasma::Animator::Movement) const
    {36, 920, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 470, 14},	//303 Plasma::AnimationDriver::elementAnimationDuration(Plasma::Animator::Animation) const
    {36, 666, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 15},	//304 Plasma::AnimationDriver::animationCurve(Plasma::Animator::Animation) const
    {36, 1356, 124, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 16},	//305 Plasma::AnimationDriver::movementAnimationCurve(Plasma::Animator::Movement) const
    {36, 918, 122, 1, Smoke::mf_const|Smoke::mf_virtual, 47, 17},	//306 Plasma::AnimationDriver::elementAnimationCurve(Plasma::Animator::Animation) const
    {36, 926, 126, 2, Smoke::mf_virtual, 272, 18},	//307 Plasma::AnimationDriver::elementAppear(double, const QPixmap&)
    {36, 930, 126, 2, Smoke::mf_virtual, 272, 19},	//308 Plasma::AnimationDriver::elementDisappear(double, const QPixmap&)
    {36, 1162, 129, 2, Smoke::mf_virtual, 0, 20},	//309 Plasma::AnimationDriver::itemAppear(double, QGraphicsItem*)
    {36, 1170, 129, 2, Smoke::mf_virtual, 0, 21},	//310 Plasma::AnimationDriver::itemDisappear(double, QGraphicsItem*)
    {36, 1157, 129, 2, Smoke::mf_virtual, 0, 22},	//311 Plasma::AnimationDriver::itemActivated(double, QGraphicsItem*)
    {36, 1180, 132, 4, Smoke::mf_virtual, 0, 23},	//312 Plasma::AnimationDriver::itemSlideIn(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 1182, 132, 4, Smoke::mf_virtual, 0, 24},	//313 Plasma::AnimationDriver::itemSlideOut(double, QGraphicsItem*, const QPoint&, const QPoint&)
    {36, 2227, 1, 1, Smoke::mf_static, 288, 25},	//314 Plasma::AnimationDriver::tr(const char*)
    {36, 2231, 1, 1, Smoke::mf_static, 288, 26},	//315 Plasma::AnimationDriver::trUtf8(const char*)
    {36, 33, 0, 0, Smoke::mf_ctor, 44, 27},	//316 Plasma::AnimationDriver::AnimationDriver()
    {36, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 28},	//317 Plasma::AnimationDriver::staticMetaObject() const
    {36, 2335, 0, 0, Smoke::mf_dtor, 0, 29 },	//318 Plasma::AnimationDriver::~AnimationDriver()
    {37, 1329, 0, 0, Smoke::mf_const, 436, 1},	//319 Plasma::Animator::metaObject() const
    {37, 1459, 1, 1, 0, 478, 2},	//320 Plasma::Animator::qt_metacast(const char*)
    {37, 2227, 43, 2, Smoke::mf_static, 288, 3},	//321 Plasma::Animator::tr(const char*, const char*)
    {37, 2231, 43, 2, Smoke::mf_static, 288, 4},	//322 Plasma::Animator::trUtf8(const char*, const char*)
    {37, 2227, 46, 3, Smoke::mf_static, 288, 5},	//323 Plasma::Animator::tr(const char*, const char*, int)
    {37, 2231, 46, 3, Smoke::mf_static, 288, 6},	//324 Plasma::Animator::trUtf8(const char*, const char*, int)
    {37, 1457, 3, 3, 0, 470, 7},	//325 Plasma::Animator::qt_metacall(QMetaObject::Call, int, void**)
    {37, 1608, 0, 0, Smoke::mf_static, 45, 8},	//326 Plasma::Animator::self()
    {37, 810, 137, 2, Smoke::mf_static, 41, 9},	//327 Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    {37, 810, 140, 2, Smoke::mf_static, 41, 10},	//328 Plasma::Animator::create(const QString&, QObject*)
    {37, 810, 143, 1, Smoke::mf_static, 194, 11},	//329 Plasma::Animator::create(Plasma::Animator::CurveShape)
    {37, 2160, 120, 1, 0, 0, 12},	//330 Plasma::Animator::stopItemAnimation(int)
    {37, 1354, 145, 3, 0, 470, 13},	//331 Plasma::Animator::moveItem(QGraphicsItem*, Plasma::Animator::Movement, const QPoint&)
    {37, 2162, 120, 1, 0, 0, 14},	//332 Plasma::Animator::stopItemMovement(int)
    {37, 839, 149, 5, 0, 470, 15},	//333 Plasma::Animator::customAnimation(int, int, Plasma::Animator::CurveShape, QObject*, const char*)
    {37, 2156, 120, 1, 0, 0, 16},	//334 Plasma::Animator::stopCustomAnimation(int)
    {37, 2158, 120, 1, 0, 0, 17},	//335 Plasma::Animator::stopElementAnimation(int)
    {37, 1833, 155, 2, 0, 0, 18},	//336 Plasma::Animator::setInitialPixmap(int, const QPixmap&)
    {37, 834, 120, 1, 0, 272, 19},	//337 Plasma::Animator::currentPixmap(int)
    {37, 1115, 0, 0, Smoke::mf_const, 381, 20},	//338 Plasma::Animator::isAnimating() const
    {37, 1481, 116, 1, 0, 0, 21},	//339 Plasma::Animator::registerScrollingManager(QGraphicsWidget*)
    {37, 2248, 116, 1, 0, 0, 22},	//340 Plasma::Animator::unregisterScrollingManager(QGraphicsWidget*)
    {37, 670, 158, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//341 Plasma::Animator::animationFinished(QGraphicsItem*, Plasma::Animator::Animation)
    {37, 1362, 161, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//342 Plasma::Animator::movementFinished(QGraphicsItem*)
    {37, 922, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//343 Plasma::Animator::elementAnimationFinished(int)
    {37, 841, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//344 Plasma::Animator::customAnimationFinished(int)
    {37, 1600, 163, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//345 Plasma::Animator::scrollStateChanged(QGraphicsWidget*, QAbstractAnimation::State, QAbstractAnimation::State)
    {37, 2213, 167, 1, Smoke::mf_protected, 0, 28},	//346 Plasma::Animator::timerEvent(QTimerEvent*)
    {37, 2227, 1, 1, Smoke::mf_static, 288, 29},	//347 Plasma::Animator::tr(const char*)
    {37, 2231, 1, 1, Smoke::mf_static, 288, 30},	//348 Plasma::Animator::trUtf8(const char*)
    {37, 810, 122, 1, Smoke::mf_static, 41, 31},	//349 Plasma::Animator::create(Plasma::Animator::Animation)
    {37, 810, 89, 1, Smoke::mf_static, 41, 32},	//350 Plasma::Animator::create(const QString&)
    {37, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 33},	//351 Plasma::Animator::staticMetaObject() const
    {37, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 34},	//352 Plasma::Animator::AppearAnimation (enum)
    {37, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 35},	//353 Plasma::Animator::DisappearAnimation (enum)
    {37, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 36},	//354 Plasma::Animator::ActivateAnimation (enum)
    {37, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 37},	//355 Plasma::Animator::FadeAnimation (enum)
    {37, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 38},	//356 Plasma::Animator::GrowAnimation (enum)
    {37, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 39},	//357 Plasma::Animator::PulseAnimation (enum)
    {37, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 40},	//358 Plasma::Animator::RotationAnimation (enum)
    {37, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 41},	//359 Plasma::Animator::RotationStackedAnimation (enum)
    {37, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 42},	//360 Plasma::Animator::SlideAnimation (enum)
    {37, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 43},	//361 Plasma::Animator::GeometryAnimation (enum)
    {37, 564, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 44},	//362 Plasma::Animator::ZoomAnimation (enum)
    {37, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 45},	//363 Plasma::Animator::PixmapTransitionAnimation (enum)
    {37, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 46},	//364 Plasma::Animator::WaterAnimation (enum)
    {37, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 47},	//365 Plasma::Animator::LastAnimation (enum)
    {37, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 48},	//366 Plasma::Animator::EaseInCurve (enum)
    {37, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 49},	//367 Plasma::Animator::EaseOutCurve (enum)
    {37, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 50},	//368 Plasma::Animator::EaseInOutCurve (enum)
    {37, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 51},	//369 Plasma::Animator::LinearCurve (enum)
    {37, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 47, 52},	//370 Plasma::Animator::PendularCurve (enum)
    {37, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 53},	//371 Plasma::Animator::SlideInMovement (enum)
    {37, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 54},	//372 Plasma::Animator::SlideOutMovement (enum)
    {37, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 55},	//373 Plasma::Animator::FastSlideInMovement (enum)
    {37, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 48, 56},	//374 Plasma::Animator::FastSlideOutMovement (enum)
    {38, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//375 Plasma::Applet::metaObject() const
    {38, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//376 Plasma::Applet::qt_metacast(const char*)
    {38, 2227, 43, 2, Smoke::mf_static, 288, 3},	//377 Plasma::Applet::tr(const char*, const char*)
    {38, 2231, 43, 2, Smoke::mf_static, 288, 4},	//378 Plasma::Applet::trUtf8(const char*, const char*)
    {38, 2227, 46, 3, Smoke::mf_static, 288, 5},	//379 Plasma::Applet::tr(const char*, const char*, int)
    {38, 2231, 46, 3, Smoke::mf_static, 288, 6},	//380 Plasma::Applet::trUtf8(const char*, const char*, int)
    {38, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//381 Plasma::Applet::qt_metacall(QMetaObject::Call, int, void**)
    {38, 1389, 0, 0, Smoke::mf_static, 20, 8},	//382 Plasma::Applet::packageStructure()
    {38, 1072, 0, 0, Smoke::mf_const, 476, 9},	//383 Plasma::Applet::id() const
    {38, 752, 0, 0, Smoke::mf_const, 8, 10},	//384 Plasma::Applet::config() const
    {38, 752, 89, 1, Smoke::mf_const, 8, 11},	//385 Plasma::Applet::config(const QString&) const
    {38, 1571, 169, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 12},	//386 Plasma::Applet::save(KConfigGroup&) const
    {38, 1552, 169, 1, Smoke::mf_virtual, 0, 13},	//387 Plasma::Applet::restore(KConfigGroup&)
    {38, 1025, 0, 0, Smoke::mf_const, 8, 14},	//388 Plasma::Applet::globalConfig() const
    {38, 756, 0, 0, Smoke::mf_const, 69, 15},	//389 Plasma::Applet::configScheme() const
    {38, 847, 89, 1, Smoke::mf_const, 83, 16},	//390 Plasma::Applet::dataEngine(const QString&) const
    {38, 1388, 0, 0, Smoke::mf_const, 402, 17},	//391 Plasma::Applet::package() const
    {38, 2295, 0, 0, Smoke::mf_const, 224, 18},	//392 Plasma::Applet::view() const
    {38, 1309, 171, 2, Smoke::mf_const, 278, 19},	//393 Plasma::Applet::mapFromView(const QGraphicsView*, const QRect&) const
    {38, 1311, 174, 2, Smoke::mf_const, 277, 20},	//394 Plasma::Applet::mapToView(const QGraphicsView*, const QRectF&) const
    {38, 1440, 177, 1, Smoke::mf_const, 274, 21},	//395 Plasma::Applet::popupPosition(const QSize&) const
    {38, 1440, 179, 2, Smoke::mf_const, 274, 22},	//396 Plasma::Applet::popupPosition(const QSize&, Qt::AlignmentFlag) const
    {38, 2255, 182, 1, 0, 0, 23},	//397 Plasma::Applet::updateConstraints(QFlags<Plasma::Constraint>)
    {38, 1012, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 98, 24},	//398 Plasma::Applet::formFactor() const
    {38, 1294, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 113, 25},	//399 Plasma::Applet::location() const
    {38, 798, 0, 0, Smoke::mf_const, 80, 26},	//400 Plasma::Applet::context() const
    {38, 694, 0, 0, Smoke::mf_const, 54, 27},	//401 Plasma::Applet::aspectRatioMode() const
    {38, 1638, 184, 1, 0, 0, 28},	//402 Plasma::Applet::setAspectRatioMode(Plasma::AspectRatioMode)
    {38, 1224, 77, 2, Smoke::mf_static, 237, 29},	//403 Plasma::Applet::listAppletInfo(const QString&, const QString&)
    {38, 1227, 89, 1, Smoke::mf_static, 237, 30},	//404 Plasma::Applet::listAppletInfoForMimetype(const QString&)
    {38, 1229, 186, 1, Smoke::mf_static, 237, 31},	//405 Plasma::Applet::listAppletInfoForUrl(const QUrl&)
    {38, 1231, 188, 2, Smoke::mf_static, 289, 32},	//406 Plasma::Applet::listCategories(const QString&, bool)
    {38, 1717, 191, 1, 0, 0, 33},	//407 Plasma::Applet::setCustomCategories(const QStringList&)
    {38, 843, 0, 0, 0, 289, 34},	//408 Plasma::Applet::customCategories()
    {38, 1283, 193, 3, Smoke::mf_static, 51, 35},	//409 Plasma::Applet::loadPlasmoid(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1261, 193, 3, Smoke::mf_static, 51, 36},	//410 Plasma::Applet::load(const QString&, unsigned int, const QList<QVariant>&)
    {38, 1261, 197, 3, Smoke::mf_static, 51, 37},	//411 Plasma::Applet::load(const KPluginInfo&, unsigned int, const QList<QVariant>&)
    {38, 722, 201, 1, Smoke::mf_static, 288, 38},	//412 Plasma::Applet::category(const KPluginInfo&)
    {38, 722, 89, 1, Smoke::mf_static, 288, 39},	//413 Plasma::Applet::category(const QString&)
    {38, 1411, 203, 3, Smoke::mf_virtual, 0, 40},	//414 Plasma::Applet::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {38, 1364, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 41},	//415 Plasma::Applet::name() const
    {38, 1005, 0, 0, Smoke::mf_const, 208, 42},	//416 Plasma::Applet::font() const
    {38, 1433, 0, 0, Smoke::mf_const, 288, 43},	//417 Plasma::Applet::pluginName() const
    {38, 2094, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 44},	//418 Plasma::Applet::shouldConserveResources() const
    {38, 1070, 0, 0, Smoke::mf_const, 288, 45},	//419 Plasma::Applet::icon() const
    {38, 722, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 46},	//420 Plasma::Applet::category() const
    {38, 1077, 0, 0, Smoke::mf_const|Smoke::mf_property, 106, 47},	//421 Plasma::Applet::immutability() const
    {38, 1413, 207, 3, Smoke::mf_virtual, 0, 48},	//422 Plasma::Applet::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {38, 1041, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 49},	//423 Plasma::Applet::hasFailedToLaunch() const
    {38, 1117, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 50},	//424 Plasma::Applet::isBusy() const
    {38, 759, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 51},	//425 Plasma::Applet::configurationRequired() const
    {38, 1036, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 52},	//426 Plasma::Applet::hasConfigurationInterface() const
    {38, 806, 0, 0, Smoke::mf_virtual, 250, 53},	//427 Plasma::Applet::contextualActions()
    {38, 577, 211, 1, Smoke::mf_const, 180, 54},	//428 Plasma::Applet::action(QString) const
    {38, 594, 213, 2, 0, 0, 55},	//429 Plasma::Applet::addAction(QString, QAction*)
    {38, 1662, 216, 1, 0, 0, 56},	//430 Plasma::Applet::setBackgroundHints(const QFlags<Plasma::Applet::BackgroundHint>)
    {38, 712, 0, 0, Smoke::mf_const, 196, 57},	//431 Plasma::Applet::backgroundHints() const
    {38, 1123, 0, 0, Smoke::mf_const, 381, 58},	//432 Plasma::Applet::isContainment() const
    {38, 1597, 0, 0, Smoke::mf_const, 277, 59},	//433 Plasma::Applet::screenRect() const
    {38, 2236, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 470, 60},	//434 Plasma::Applet::type() const
    {38, 779, 0, 0, Smoke::mf_const, 71, 61},	//435 Plasma::Applet::containment() const
    {38, 1786, 218, 1, 0, 0, 62},	//436 Plasma::Applet::setGlobalShortcut(const KShortcut&)
    {38, 1026, 0, 0, Smoke::mf_const, 21, 63},	//437 Plasma::Applet::globalShortcut() const
    {38, 1137, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 381, 64},	//438 Plasma::Applet::isPopupShowing() const
    {38, 605, 57, 1, Smoke::mf_virtual, 0, 65},	//439 Plasma::Applet::addAssociatedWidget(QWidget*)
    {38, 1505, 57, 1, Smoke::mf_virtual, 0, 66},	//440 Plasma::Applet::removeAssociatedWidget(QWidget*)
    {38, 1088, 220, 1, Smoke::mf_virtual, 0, 67},	//441 Plasma::Applet::initExtenderItem(Plasma::ExtenderItem*)
    {38, 37, 222, 3, Smoke::mf_ctor, 51, 68},	//442 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int)
    {38, 37, 226, 4, Smoke::mf_ctor, 51, 69},	//443 Plasma::Applet::Applet(QGraphicsItem*, const QString&, unsigned int, const QList<QVariant>&)
    {38, 861, 0, 0, Smoke::mf_const, 381, 70},	//444 Plasma::Applet::destroyed() const
    {38, 815, 231, 1, Smoke::mf_virtual, 0, 71},	//445 Plasma::Applet::createConfigurationInterface(KConfigDialog*)
    {38, 1034, 89, 1, Smoke::mf_const, 381, 72},	//446 Plasma::Applet::hasAuthorization(const QString&) const
    {38, 1640, 89, 1, 0, 0, 73},	//447 Plasma::Applet::setAssociatedApplication(const QString&)
    {38, 1642, 233, 1, 0, 0, 74},	//448 Plasma::Applet::setAssociatedApplicationUrls(const KUrl::List&)
    {38, 697, 0, 0, Smoke::mf_const, 288, 75},	//449 Plasma::Applet::associatedApplication() const
    {38, 698, 0, 0, Smoke::mf_const, 29, 76},	//450 Plasma::Applet::associatedApplicationUrls() const
    {38, 1049, 0, 0, Smoke::mf_const, 381, 77},	//451 Plasma::Applet::hasValidAssociatedApplication() const
    {38, 1487, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 78},	//452 Plasma::Applet::releaseVisualFocus()
    {38, 1019, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 79},	//453 Plasma::Applet::geometryChanged()
    {38, 690, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 80},	//454 Plasma::Applet::appletTransformedByUser()
    {38, 691, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 81},	//455 Plasma::Applet::appletTransformedItself()
    {38, 2132, 235, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 82},	//456 Plasma::Applet::sizeHintChanged(Qt::SizeHint)
    {38, 755, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 83},	//457 Plasma::Applet::configNeedsSaving()
    {38, 588, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 84},	//458 Plasma::Applet::activate()
    {38, 1327, 237, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 85},	//459 Plasma::Applet::messageButtonPressed(const Plasma::MessageButton)
    {38, 685, 239, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 86},	//460 Plasma::Applet::appletDestroyed(Plasma::Applet*)
    {38, 1367, 241, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 87},	//461 Plasma::Applet::newStatus(Plasma::ItemStatus)
    {38, 970, 220, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 88},	//462 Plasma::Applet::extenderItemRestored(Plasma::ExtenderItem*)
    {38, 1078, 243, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 89},	//463 Plasma::Applet::immutabilityChanged(Plasma::ImmutabilityType)
    {38, 1827, 245, 1, Smoke::mf_property|Smoke::mf_slot, 0, 90},	//464 Plasma::Applet::setImmutability(const Plasma::ImmutabilityType)
    {38, 859, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 91},	//465 Plasma::Applet::destroy()
    {38, 2100, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 92},	//466 Plasma::Applet::showConfigurationInterface()
    {38, 2100, 57, 1, Smoke::mf_slot, 0, 93},	//467 Plasma::Applet::showConfigurationInterface(QWidget*)
    {38, 1149, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 381, 94},	//468 Plasma::Applet::isUserConfiguring() const
    {38, 1464, 0, 0, Smoke::mf_slot, 0, 95},	//469 Plasma::Applet::raise()
    {38, 1302, 0, 0, Smoke::mf_slot, 0, 96},	//470 Plasma::Applet::lower()
    {38, 997, 0, 0, Smoke::mf_slot, 0, 97},	//471 Plasma::Applet::flushPendingConstraintsEvents()
    {38, 1086, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 98},	//472 Plasma::Applet::init()
    {38, 754, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 99},	//473 Plasma::Applet::configChanged()
    {38, 1666, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 100},	//474 Plasma::Applet::setBusy(bool)
    {38, 2151, 0, 0, Smoke::mf_const|Smoke::mf_slot, 299, 101},	//475 Plasma::Applet::startupArguments() const
    {38, 2154, 0, 0, Smoke::mf_const|Smoke::mf_slot, 109, 102},	//476 Plasma::Applet::status() const
    {38, 1985, 247, 1, Smoke::mf_slot, 0, 103},	//477 Plasma::Applet::setStatus(const Plasma::ItemStatus)
    {38, 1455, 249, 2, Smoke::mf_slot, 0, 104},	//478 Plasma::Applet::publish(Plasma::AnnouncementMethods, const QString&)
    {38, 2245, 0, 0, Smoke::mf_slot, 0, 105},	//479 Plasma::Applet::unpublish()
    {38, 1139, 0, 0, Smoke::mf_const|Smoke::mf_slot, 381, 106},	//480 Plasma::Applet::isPublished() const
    {38, 1565, 0, 0, Smoke::mf_slot, 0, 107},	//481 Plasma::Applet::runAssociatedApplication()
    {38, 37, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 51, 108},	//482 Plasma::Applet::Applet(QObject*, const QList<QVariant>&)
    {38, 1772, 252, 2, Smoke::mf_protected, 0, 109},	//483 Plasma::Applet::setFailedToLaunch(bool, const QString&)
    {38, 1577, 169, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 110},	//484 Plasma::Applet::saveState(KConfigGroup&) const
    {38, 1795, 7, 1, Smoke::mf_protected, 0, 111},	//485 Plasma::Applet::setHasConfigurationInterface(bool)
    {38, 1688, 252, 2, Smoke::mf_protected, 0, 112},	//486 Plasma::Applet::setConfigurationRequired(bool, const QString&)
    {38, 2112, 255, 3, Smoke::mf_protected, 0, 113},	//487 Plasma::Applet::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {38, 774, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 114},	//488 Plasma::Applet::constraintsEvent(QFlags<Plasma::Constraint>)
    {38, 1474, 161, 1, Smoke::mf_protected, 0, 115},	//489 Plasma::Applet::registerAsDragHandle(QGraphicsItem*)
    {38, 2246, 161, 1, Smoke::mf_protected, 0, 116},	//490 Plasma::Applet::unregisterAsDragHandle(QGraphicsItem*)
    {38, 1141, 161, 1, Smoke::mf_protected, 381, 117},	//491 Plasma::Applet::isRegisteredAsDragHandle(QGraphicsItem*)
    {38, 969, 0, 0, Smoke::mf_const|Smoke::mf_protected, 92, 118},	//492 Plasma::Applet::extender() const
    {38, 959, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 119},	//493 Plasma::Applet::eventFilter(QObject*, QEvent*)
    {38, 1585, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 120},	//494 Plasma::Applet::sceneEventFilter(QGraphicsItem*, QEvent*)
    {38, 1346, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 121},	//495 Plasma::Applet::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {38, 998, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 122},	//496 Plasma::Applet::focusInEvent(QFocusEvent*)
    {38, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 123},	//497 Plasma::Applet::resizeEvent(QGraphicsSceneResizeEvent*)
    {38, 1166, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 298, 124},	//498 Plasma::Applet::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {38, 2092, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 271, 125},	//499 Plasma::Applet::shape() const
    {38, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 126},	//500 Plasma::Applet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {38, 1063, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 127},	//501 Plasma::Applet::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {38, 1065, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 128},	//502 Plasma::Applet::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {38, 2213, 167, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 129},	//503 Plasma::Applet::timerEvent(QTimerEvent*)
    {38, 2227, 1, 1, Smoke::mf_static, 288, 130},	//504 Plasma::Applet::tr(const char*)
    {38, 2231, 1, 1, Smoke::mf_static, 288, 131},	//505 Plasma::Applet::trUtf8(const char*)
    {38, 2255, 0, 0, 0, 0, 132},	//506 Plasma::Applet::updateConstraints()
    {38, 1224, 0, 0, Smoke::mf_static, 237, 133},	//507 Plasma::Applet::listAppletInfo()
    {38, 1224, 89, 1, Smoke::mf_static, 237, 134},	//508 Plasma::Applet::listAppletInfo(const QString&)
    {38, 1231, 0, 0, Smoke::mf_static, 289, 135},	//509 Plasma::Applet::listCategories()
    {38, 1231, 89, 1, Smoke::mf_static, 289, 136},	//510 Plasma::Applet::listCategories(const QString&)
    {38, 1283, 89, 1, Smoke::mf_static, 51, 137},	//511 Plasma::Applet::loadPlasmoid(const QString&)
    {38, 1283, 279, 2, Smoke::mf_static, 51, 138},	//512 Plasma::Applet::loadPlasmoid(const QString&, unsigned int)
    {38, 1261, 89, 1, Smoke::mf_static, 51, 139},	//513 Plasma::Applet::load(const QString&)
    {38, 1261, 279, 2, Smoke::mf_static, 51, 140},	//514 Plasma::Applet::load(const QString&, unsigned int)
    {38, 1261, 201, 1, Smoke::mf_static, 51, 141},	//515 Plasma::Applet::load(const KPluginInfo&)
    {38, 1261, 282, 2, Smoke::mf_static, 51, 142},	//516 Plasma::Applet::load(const KPluginInfo&, unsigned int)
    {38, 37, 0, 0, Smoke::mf_ctor, 51, 143},	//517 Plasma::Applet::Applet()
    {38, 37, 161, 1, Smoke::mf_ctor, 51, 144},	//518 Plasma::Applet::Applet(QGraphicsItem*)
    {38, 37, 285, 2, Smoke::mf_ctor, 51, 145},	//519 Plasma::Applet::Applet(QGraphicsItem*, const QString&)
    {38, 1772, 7, 1, Smoke::mf_protected, 0, 146},	//520 Plasma::Applet::setFailedToLaunch(bool)
    {38, 1688, 7, 1, Smoke::mf_protected, 0, 147},	//521 Plasma::Applet::setConfigurationRequired(bool)
    {38, 2128, 235, 1, Smoke::mf_const|Smoke::mf_protected, 286, 148},	//522 Plasma::Applet::sizeHint(Qt::SizeHint) const
    {38, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 149},	//523 Plasma::Applet::staticMetaObject() const
    {38, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 150},	//524 Plasma::Applet::NoBackground (enum)
    {38, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 151},	//525 Plasma::Applet::StandardBackground (enum)
    {38, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 152},	//526 Plasma::Applet::TranslucentBackground (enum)
    {38, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 153},	//527 Plasma::Applet::DefaultBackground (enum)
    {38, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 154},	//528 Plasma::Applet::Type (enum)
    {38, 2336, 0, 0, Smoke::mf_dtor, 0, 155 },	//529 Plasma::Applet::~Applet()
    {39, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//530 Plasma::AppletScript::metaObject() const
    {39, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//531 Plasma::AppletScript::qt_metacast(const char*)
    {39, 2227, 43, 2, Smoke::mf_static, 288, 3},	//532 Plasma::AppletScript::tr(const char*, const char*)
    {39, 2231, 43, 2, Smoke::mf_static, 288, 4},	//533 Plasma::AppletScript::trUtf8(const char*, const char*)
    {39, 2227, 46, 3, Smoke::mf_static, 288, 5},	//534 Plasma::AppletScript::tr(const char*, const char*, int)
    {39, 2231, 46, 3, Smoke::mf_static, 288, 6},	//535 Plasma::AppletScript::trUtf8(const char*, const char*, int)
    {39, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//536 Plasma::AppletScript::qt_metacall(QMetaObject::Call, int, void**)
    {39, 44, 97, 1, Smoke::mf_ctor, 53, 8},	//537 Plasma::AppletScript::AppletScript(QObject*)
    {39, 1632, 239, 1, 0, 0, 9},	//538 Plasma::AppletScript::setApplet(Plasma::Applet*)
    {39, 682, 0, 0, Smoke::mf_const, 51, 10},	//539 Plasma::AppletScript::applet() const
    {39, 1411, 203, 3, Smoke::mf_virtual, 0, 11},	//540 Plasma::AppletScript::paintInterface(QPainter*, const QStyleOptionGraphicsItem*, const QRect&)
    {39, 2125, 0, 0, Smoke::mf_const, 286, 12},	//541 Plasma::AppletScript::size() const
    {39, 774, 182, 1, Smoke::mf_virtual, 0, 13},	//542 Plasma::AppletScript::constraintsEvent(QFlags<Plasma::Constraint>)
    {39, 806, 0, 0, Smoke::mf_virtual, 250, 14},	//543 Plasma::AppletScript::contextualActions()
    {39, 2092, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 15},	//544 Plasma::AppletScript::shape() const
    {39, 1795, 7, 1, 0, 0, 16},	//545 Plasma::AppletScript::setHasConfigurationInterface(bool)
    {39, 1688, 252, 2, 0, 0, 17},	//546 Plasma::AppletScript::setConfigurationRequired(bool, const QString&)
    {39, 1772, 252, 2, 0, 0, 18},	//547 Plasma::AppletScript::setFailedToLaunch(bool, const QString&)
    {39, 755, 0, 0, Smoke::mf_const, 0, 19},	//548 Plasma::AppletScript::configNeedsSaving() const
    {39, 969, 0, 0, Smoke::mf_const, 92, 20},	//549 Plasma::AppletScript::extender() const
    {39, 1577, 169, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//550 Plasma::AppletScript::saveState(KConfigGroup&) const
    {39, 1436, 7, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//551 Plasma::AppletScript::popupEvent(bool) const
    {39, 2100, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//552 Plasma::AppletScript::showConfigurationInterface()
    {39, 754, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//553 Plasma::AppletScript::configChanged()
    {39, 847, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 25},	//554 Plasma::AppletScript::dataEngine(const QString&) const
    {39, 1304, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 288, 26},	//555 Plasma::AppletScript::mainScript() const
    {39, 1388, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 402, 27},	//556 Plasma::AppletScript::package() const
    {39, 856, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 28},	//557 Plasma::AppletScript::description() const
    {39, 2146, 0, 0, Smoke::mf_protected, 7, 29},	//558 Plasma::AppletScript::standardConfigurationDialog()
    {39, 644, 231, 1, Smoke::mf_protected, 0, 30},	//559 Plasma::AppletScript::addStandardConfigurationPages(KConfigDialog*)
    {39, 2112, 255, 3, Smoke::mf_protected, 0, 31},	//560 Plasma::AppletScript::showMessage(const QIcon&, const QString&, const QFlags<Plasma::MessageButton>)
    {39, 1474, 161, 1, Smoke::mf_protected, 0, 32},	//561 Plasma::AppletScript::registerAsDragHandle(QGraphicsItem*)
    {39, 2246, 161, 1, Smoke::mf_protected, 0, 33},	//562 Plasma::AppletScript::unregisterAsDragHandle(QGraphicsItem*)
    {39, 1141, 161, 1, Smoke::mf_protected, 381, 34},	//563 Plasma::AppletScript::isRegisteredAsDragHandle(QGraphicsItem*)
    {39, 1274, 140, 2, Smoke::mf_protected, 41, 35},	//564 Plasma::AppletScript::loadAnimationFromPackage(const QString&, QObject*)
    {39, 2227, 1, 1, Smoke::mf_static, 288, 36},	//565 Plasma::AppletScript::tr(const char*)
    {39, 2231, 1, 1, Smoke::mf_static, 288, 37},	//566 Plasma::AppletScript::trUtf8(const char*)
    {39, 44, 0, 0, Smoke::mf_ctor, 53, 38},	//567 Plasma::AppletScript::AppletScript()
    {39, 1688, 7, 1, 0, 0, 39},	//568 Plasma::AppletScript::setConfigurationRequired(bool)
    {39, 1772, 7, 1, 0, 0, 40},	//569 Plasma::AppletScript::setFailedToLaunch(bool)
    {39, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 41},	//570 Plasma::AppletScript::staticMetaObject() const
    {39, 2337, 0, 0, Smoke::mf_dtor, 0, 42 },	//571 Plasma::AppletScript::~AppletScript()
    {40, 702, 288, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//572 Plasma::AuthorizationInterface::authorizationRequest(Plasma::AuthorizationRule&) [pure virtual]
    {40, 742, 290, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//573 Plasma::AuthorizationInterface::clientPinRequest(Plasma::ClientPinRequest&) [pure virtual]
    {40, 47, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 55, 3},	//574 Plasma::AuthorizationInterface::AuthorizationInterface()
    {40, 47, 292, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 4},	//575 Plasma::AuthorizationInterface::AuthorizationInterface(const Plasma::AuthorizationInterface&)
    {40, 2338, 0, 0, Smoke::mf_dtor, 0, 5 },	//576 Plasma::AuthorizationInterface::~AuthorizationInterface()
    {41, 1329, 0, 0, Smoke::mf_const, 436, 1},	//577 Plasma::AuthorizationManager::metaObject() const
    {41, 1459, 1, 1, 0, 478, 2},	//578 Plasma::AuthorizationManager::qt_metacast(const char*)
    {41, 2227, 43, 2, Smoke::mf_static, 288, 3},	//579 Plasma::AuthorizationManager::tr(const char*, const char*)
    {41, 2231, 43, 2, Smoke::mf_static, 288, 4},	//580 Plasma::AuthorizationManager::trUtf8(const char*, const char*)
    {41, 2227, 46, 3, Smoke::mf_static, 288, 5},	//581 Plasma::AuthorizationManager::tr(const char*, const char*, int)
    {41, 2231, 46, 3, Smoke::mf_static, 288, 6},	//582 Plasma::AuthorizationManager::trUtf8(const char*, const char*, int)
    {41, 1457, 3, 3, 0, 470, 7},	//583 Plasma::AuthorizationManager::qt_metacall(QMetaObject::Call, int, void**)
    {41, 1608, 0, 0, Smoke::mf_static, 56, 8},	//584 Plasma::AuthorizationManager::self()
    {41, 1648, 294, 1, 0, 0, 9},	//585 Plasma::AuthorizationManager::setAuthorizationPolicy(Plasma::AuthorizationManager::AuthorizationPolicy)
    {41, 1646, 296, 1, 0, 0, 10},	//586 Plasma::AuthorizationManager::setAuthorizationInterface(Plasma::AuthorizationInterface*)
    {41, 1469, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//587 Plasma::AuthorizationManager::readyForRemoteAccess()
    {41, 2227, 1, 1, Smoke::mf_static, 288, 12},	//588 Plasma::AuthorizationManager::tr(const char*)
    {41, 2231, 1, 1, Smoke::mf_static, 288, 13},	//589 Plasma::AuthorizationManager::trUtf8(const char*)
    {41, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 14},	//590 Plasma::AuthorizationManager::staticMetaObject() const
    {41, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 15},	//591 Plasma::AuthorizationManager::DenyAll (enum)
    {41, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 16},	//592 Plasma::AuthorizationManager::TrustedOnly (enum)
    {41, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 17},	//593 Plasma::AuthorizationManager::PinPairing (enum)
    {41, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 18},	//594 Plasma::AuthorizationManager::Custom (enum)
    {42, 1329, 0, 0, Smoke::mf_const, 436, 1},	//595 Plasma::AuthorizationRule::metaObject() const
    {42, 1459, 1, 1, 0, 478, 2},	//596 Plasma::AuthorizationRule::qt_metacast(const char*)
    {42, 2227, 43, 2, Smoke::mf_static, 288, 3},	//597 Plasma::AuthorizationRule::tr(const char*, const char*)
    {42, 2231, 43, 2, Smoke::mf_static, 288, 4},	//598 Plasma::AuthorizationRule::trUtf8(const char*, const char*)
    {42, 2227, 46, 3, Smoke::mf_static, 288, 5},	//599 Plasma::AuthorizationRule::tr(const char*, const char*, int)
    {42, 2231, 46, 3, Smoke::mf_static, 288, 6},	//600 Plasma::AuthorizationRule::trUtf8(const char*, const char*, int)
    {42, 1457, 3, 3, 0, 470, 7},	//601 Plasma::AuthorizationRule::qt_metacall(QMetaObject::Call, int, void**)
    {42, 856, 0, 0, Smoke::mf_const, 288, 8},	//602 Plasma::AuthorizationRule::description() const
    {42, 1901, 298, 1, 0, 0, 9},	//603 Plasma::AuthorizationRule::setPolicy(Plasma::AuthorizationRule::Policy)
    {42, 1434, 0, 0, 0, 61, 10},	//604 Plasma::AuthorizationRule::policy()
    {42, 1895, 300, 1, 0, 0, 11},	//605 Plasma::AuthorizationRule::setPersistence(Plasma::AuthorizationRule::Persistence)
    {42, 1427, 0, 0, 0, 60, 12},	//606 Plasma::AuthorizationRule::persistence()
    {42, 2015, 302, 1, 0, 0, 13},	//607 Plasma::AuthorizationRule::setTargets(QFlags<Plasma::AuthorizationRule::Target>)
    {42, 2197, 0, 0, 0, 197, 14},	//608 Plasma::AuthorizationRule::targets()
    {42, 1897, 89, 1, 0, 0, 15},	//609 Plasma::AuthorizationRule::setPin(const QString&)
    {42, 1428, 0, 0, Smoke::mf_const, 288, 16},	//610 Plasma::AuthorizationRule::pin() const
    {42, 1612, 0, 0, Smoke::mf_const, 288, 17},	//611 Plasma::AuthorizationRule::serviceName() const
    {42, 727, 304, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//612 Plasma::AuthorizationRule::changed(Plasma::AuthorizationRule*)
    {42, 2227, 1, 1, Smoke::mf_static, 288, 19},	//613 Plasma::AuthorizationRule::tr(const char*)
    {42, 2231, 1, 1, Smoke::mf_static, 288, 20},	//614 Plasma::AuthorizationRule::trUtf8(const char*)
    {42, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 21},	//615 Plasma::AuthorizationRule::staticMetaObject() const
    {42, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 22},	//616 Plasma::AuthorizationRule::Deny (enum)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 23},	//617 Plasma::AuthorizationRule::Allow (enum)
    {42, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 24},	//618 Plasma::AuthorizationRule::PinRequired (enum)
    {42, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 25},	//619 Plasma::AuthorizationRule::Transient (enum)
    {42, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 60, 26},	//620 Plasma::AuthorizationRule::Persistent (enum)
    {42, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 27},	//621 Plasma::AuthorizationRule::Default (enum)
    {42, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 28},	//622 Plasma::AuthorizationRule::AllUsers (enum)
    {42, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 29},	//623 Plasma::AuthorizationRule::AllServices (enum)
    {42, 2339, 0, 0, Smoke::mf_dtor, 0, 30 },	//624 Plasma::AuthorizationRule::~AuthorizationRule()
    {43, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//625 Plasma::BusyWidget::metaObject() const
    {43, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//626 Plasma::BusyWidget::qt_metacast(const char*)
    {43, 2227, 43, 2, Smoke::mf_static, 288, 3},	//627 Plasma::BusyWidget::tr(const char*, const char*)
    {43, 2231, 43, 2, Smoke::mf_static, 288, 4},	//628 Plasma::BusyWidget::trUtf8(const char*, const char*)
    {43, 2227, 46, 3, Smoke::mf_static, 288, 5},	//629 Plasma::BusyWidget::tr(const char*, const char*, int)
    {43, 2231, 46, 3, Smoke::mf_static, 288, 6},	//630 Plasma::BusyWidget::trUtf8(const char*, const char*, int)
    {43, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//631 Plasma::BusyWidget::qt_metacall(QMetaObject::Call, int, void**)
    {43, 64, 116, 1, Smoke::mf_ctor, 63, 8},	//632 Plasma::BusyWidget::BusyWidget(QGraphicsWidget*)
    {43, 1942, 7, 1, Smoke::mf_property, 0, 9},	//633 Plasma::BusyWidget::setRunning(bool)
    {43, 1145, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 10},	//634 Plasma::BusyWidget::isRunning() const
    {43, 1837, 89, 1, Smoke::mf_property, 0, 11},	//635 Plasma::BusyWidget::setLabel(const QString&)
    {43, 1193, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 12},	//636 Plasma::BusyWidget::label() const
    {43, 740, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//637 Plasma::BusyWidget::clicked()
    {43, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//638 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {43, 2108, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//639 Plasma::BusyWidget::showEvent(QShowEvent*)
    {43, 1055, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//640 Plasma::BusyWidget::hideEvent(QHideEvent*)
    {43, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//641 Plasma::BusyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {43, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//642 Plasma::BusyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {43, 2213, 167, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//643 Plasma::BusyWidget::timerEvent(QTimerEvent*)
    {43, 2227, 1, 1, Smoke::mf_static, 288, 20},	//644 Plasma::BusyWidget::tr(const char*)
    {43, 2231, 1, 1, Smoke::mf_static, 288, 21},	//645 Plasma::BusyWidget::trUtf8(const char*)
    {43, 64, 0, 0, Smoke::mf_ctor, 63, 22},	//646 Plasma::BusyWidget::BusyWidget()
    {43, 1394, 310, 2, Smoke::mf_protected, 0, 23},	//647 Plasma::BusyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {43, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 24},	//648 Plasma::BusyWidget::staticMetaObject() const
    {43, 2340, 0, 0, Smoke::mf_dtor, 0, 25 },	//649 Plasma::BusyWidget::~BusyWidget()
    {44, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//650 Plasma::CheckBox::metaObject() const
    {44, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//651 Plasma::CheckBox::qt_metacast(const char*)
    {44, 2227, 43, 2, Smoke::mf_static, 288, 3},	//652 Plasma::CheckBox::tr(const char*, const char*)
    {44, 2231, 43, 2, Smoke::mf_static, 288, 4},	//653 Plasma::CheckBox::trUtf8(const char*, const char*)
    {44, 2227, 46, 3, Smoke::mf_static, 288, 5},	//654 Plasma::CheckBox::tr(const char*, const char*, int)
    {44, 2231, 46, 3, Smoke::mf_static, 288, 6},	//655 Plasma::CheckBox::trUtf8(const char*, const char*, int)
    {44, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//656 Plasma::CheckBox::qt_metacall(QMetaObject::Call, int, void**)
    {44, 80, 116, 1, Smoke::mf_ctor, 64, 8},	//657 Plasma::CheckBox::CheckBox(QGraphicsWidget*)
    {44, 2017, 89, 1, Smoke::mf_property, 0, 9},	//658 Plasma::CheckBox::setText(const QString&)
    {44, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 10},	//659 Plasma::CheckBox::text() const
    {44, 1821, 89, 1, Smoke::mf_property, 0, 11},	//660 Plasma::CheckBox::setImage(const QString&)
    {44, 1074, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 12},	//661 Plasma::CheckBox::image() const
    {44, 1987, 89, 1, Smoke::mf_property, 0, 13},	//662 Plasma::CheckBox::setStyleSheet(const QString&)
    {44, 2166, 0, 0, Smoke::mf_property, 288, 14},	//663 Plasma::CheckBox::styleSheet()
    {44, 1366, 0, 0, Smoke::mf_const, 183, 15},	//664 Plasma::CheckBox::nativeWidget() const
    {44, 1676, 7, 1, Smoke::mf_property, 0, 16},	//665 Plasma::CheckBox::setChecked(bool)
    {44, 1119, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 17},	//666 Plasma::CheckBox::isChecked() const
    {44, 2217, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//667 Plasma::CheckBox::toggled(bool)
    {44, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//668 Plasma::CheckBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {44, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//669 Plasma::CheckBox::changeEvent(QEvent*)
    {44, 2227, 1, 1, Smoke::mf_static, 288, 21},	//670 Plasma::CheckBox::tr(const char*)
    {44, 2231, 1, 1, Smoke::mf_static, 288, 22},	//671 Plasma::CheckBox::trUtf8(const char*)
    {44, 80, 0, 0, Smoke::mf_ctor, 64, 23},	//672 Plasma::CheckBox::CheckBox()
    {44, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 24},	//673 Plasma::CheckBox::staticMetaObject() const
    {44, 2341, 0, 0, Smoke::mf_dtor, 0, 25 },	//674 Plasma::CheckBox::~CheckBox()
    {45, 1329, 0, 0, Smoke::mf_const, 436, 1},	//675 Plasma::ClientPinRequest::metaObject() const
    {45, 1459, 1, 1, 0, 478, 2},	//676 Plasma::ClientPinRequest::qt_metacast(const char*)
    {45, 2227, 43, 2, Smoke::mf_static, 288, 3},	//677 Plasma::ClientPinRequest::tr(const char*, const char*)
    {45, 2231, 43, 2, Smoke::mf_static, 288, 4},	//678 Plasma::ClientPinRequest::trUtf8(const char*, const char*)
    {45, 2227, 46, 3, Smoke::mf_static, 288, 5},	//679 Plasma::ClientPinRequest::tr(const char*, const char*, int)
    {45, 2231, 46, 3, Smoke::mf_static, 288, 6},	//680 Plasma::ClientPinRequest::trUtf8(const char*, const char*, int)
    {45, 1457, 3, 3, 0, 470, 7},	//681 Plasma::ClientPinRequest::qt_metacall(QMetaObject::Call, int, void**)
    {45, 856, 0, 0, Smoke::mf_const, 288, 8},	//682 Plasma::ClientPinRequest::description() const
    {45, 1897, 89, 1, 0, 0, 9},	//683 Plasma::ClientPinRequest::setPin(const QString&)
    {45, 1428, 0, 0, Smoke::mf_const, 288, 10},	//684 Plasma::ClientPinRequest::pin() const
    {45, 727, 315, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//685 Plasma::ClientPinRequest::changed(Plasma::ClientPinRequest*)
    {45, 2227, 1, 1, Smoke::mf_static, 288, 12},	//686 Plasma::ClientPinRequest::tr(const char*)
    {45, 2231, 1, 1, Smoke::mf_static, 288, 13},	//687 Plasma::ClientPinRequest::trUtf8(const char*)
    {45, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 14},	//688 Plasma::ClientPinRequest::staticMetaObject() const
    {46, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//689 Plasma::ComboBox::metaObject() const
    {46, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//690 Plasma::ComboBox::qt_metacast(const char*)
    {46, 2227, 43, 2, Smoke::mf_static, 288, 3},	//691 Plasma::ComboBox::tr(const char*, const char*)
    {46, 2231, 43, 2, Smoke::mf_static, 288, 4},	//692 Plasma::ComboBox::trUtf8(const char*, const char*)
    {46, 2227, 46, 3, Smoke::mf_static, 288, 5},	//693 Plasma::ComboBox::tr(const char*, const char*, int)
    {46, 2231, 46, 3, Smoke::mf_static, 288, 6},	//694 Plasma::ComboBox::trUtf8(const char*, const char*, int)
    {46, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//695 Plasma::ComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {46, 83, 116, 1, Smoke::mf_ctor, 67, 8},	//696 Plasma::ComboBox::ComboBox(QGraphicsWidget*)
    {46, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 9},	//697 Plasma::ComboBox::text() const
    {46, 1987, 89, 1, Smoke::mf_property, 0, 10},	//698 Plasma::ComboBox::setStyleSheet(const QString&)
    {46, 2166, 0, 0, Smoke::mf_property, 288, 11},	//699 Plasma::ComboBox::styleSheet()
    {46, 1873, 317, 1, 0, 0, 12},	//700 Plasma::ComboBox::setNativeWidget(KComboBox*)
    {46, 1366, 0, 0, Smoke::mf_const, 4, 13},	//701 Plasma::ComboBox::nativeWidget() const
    {46, 621, 89, 1, 0, 0, 14},	//702 Plasma::ComboBox::addItem(const QString&)
    {46, 732, 0, 0, Smoke::mf_slot, 0, 15},	//703 Plasma::ComboBox::clear()
    {46, 589, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//704 Plasma::ComboBox::activated(const QString&)
    {46, 2201, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//705 Plasma::ComboBox::textChanged(const QString&)
    {46, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//706 Plasma::ComboBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {46, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//707 Plasma::ComboBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {46, 998, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//708 Plasma::ComboBox::focusInEvent(QFocusEvent*)
    {46, 1002, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//709 Plasma::ComboBox::focusOutEvent(QFocusEvent*)
    {46, 1063, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//710 Plasma::ComboBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {46, 1065, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//711 Plasma::ComboBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {46, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//712 Plasma::ComboBox::changeEvent(QEvent*)
    {46, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//713 Plasma::ComboBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {46, 2227, 1, 1, Smoke::mf_static, 288, 26},	//714 Plasma::ComboBox::tr(const char*)
    {46, 2231, 1, 1, Smoke::mf_static, 288, 27},	//715 Plasma::ComboBox::trUtf8(const char*)
    {46, 83, 0, 0, Smoke::mf_ctor, 67, 28},	//716 Plasma::ComboBox::ComboBox()
    {46, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 29},	//717 Plasma::ComboBox::staticMetaObject() const
    {46, 2342, 0, 0, Smoke::mf_dtor, 0, 30 },	//718 Plasma::ComboBox::~ComboBox()
    {47, 86, 319, 3, Smoke::mf_ctor, 69, 1},	//719 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*, QObject*)
    {47, 86, 323, 3, Smoke::mf_ctor, 69, 2},	//720 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*, QObject*)
    {47, 86, 327, 3, Smoke::mf_ctor, 69, 3},	//721 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*, QObject*)
    {47, 984, 77, 2, 0, 10, 4},	//722 Plasma::ConfigLoader::findItem(const QString&, const QString&)
    {47, 986, 89, 1, 0, 10, 5},	//723 Plasma::ConfigLoader::findItemByName(const QString&)
    {47, 1452, 89, 1, 0, 298, 6},	//724 Plasma::ConfigLoader::property(const QString&)
    {47, 1042, 89, 1, Smoke::mf_const, 381, 7},	//725 Plasma::ConfigLoader::hasGroup(const QString&) const
    {47, 1032, 0, 0, Smoke::mf_const, 289, 8},	//726 Plasma::ConfigLoader::groupList() const
    {47, 2280, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//727 Plasma::ConfigLoader::usrWriteConfig()
    {47, 86, 331, 2, Smoke::mf_ctor, 69, 10},	//728 Plasma::ConfigLoader::ConfigLoader(const QString&, QIODevice*)
    {47, 86, 334, 2, Smoke::mf_ctor, 69, 11},	//729 Plasma::ConfigLoader::ConfigLoader(KSharedPtr<KSharedConfig>, QIODevice*)
    {47, 86, 337, 2, Smoke::mf_ctor, 69, 12},	//730 Plasma::ConfigLoader::ConfigLoader(const KConfigGroup*, QIODevice*)
    {47, 2343, 0, 0, Smoke::mf_dtor, 0, 13 },	//731 Plasma::ConfigLoader::~ConfigLoader()
    {48, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//732 Plasma::Containment::metaObject() const
    {48, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//733 Plasma::Containment::qt_metacast(const char*)
    {48, 2227, 43, 2, Smoke::mf_static, 288, 3},	//734 Plasma::Containment::tr(const char*, const char*)
    {48, 2231, 43, 2, Smoke::mf_static, 288, 4},	//735 Plasma::Containment::trUtf8(const char*, const char*)
    {48, 2227, 46, 3, Smoke::mf_static, 288, 5},	//736 Plasma::Containment::tr(const char*, const char*, int)
    {48, 2231, 46, 3, Smoke::mf_static, 288, 6},	//737 Plasma::Containment::trUtf8(const char*, const char*, int)
    {48, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//738 Plasma::Containment::qt_metacall(QMetaObject::Call, int, void**)
    {48, 95, 222, 3, Smoke::mf_ctor, 71, 8},	//739 Plasma::Containment::Containment(QGraphicsItem*, const QString&, unsigned int)
    {48, 95, 70, 2, Smoke::mf_ctor, 71, 9},	//740 Plasma::Containment::Containment(QObject*, const QList<QVariant>&)
    {48, 1086, 0, 0, Smoke::mf_virtual, 0, 10},	//741 Plasma::Containment::init()
    {48, 790, 0, 0, Smoke::mf_const, 75, 11},	//742 Plasma::Containment::containmentType() const
    {48, 808, 0, 0, Smoke::mf_const, 81, 12},	//743 Plasma::Containment::corona() const
    {48, 1236, 77, 2, Smoke::mf_static, 237, 13},	//744 Plasma::Containment::listContainments(const QString&, const QString&)
    {48, 1241, 340, 3, Smoke::mf_static, 237, 14},	//745 Plasma::Containment::listContainmentsOfType(const QString&, const QString&, const QString&)
    {48, 1235, 0, 0, Smoke::mf_static, 289, 15},	//746 Plasma::Containment::listContainmentTypes()
    {48, 1239, 89, 1, Smoke::mf_static, 237, 16},	//747 Plasma::Containment::listContainmentsForMimetype(const QString&)
    {48, 598, 344, 3, 0, 51, 17},	//748 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&, const QRectF&)
    {48, 598, 348, 3, 0, 0, 18},	//749 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&, bool)
    {48, 692, 0, 0, Smoke::mf_const, 241, 19},	//750 Plasma::Containment::applets() const
    {48, 734, 0, 0, 0, 0, 20},	//751 Plasma::Containment::clearApplets()
    {48, 1946, 352, 2, 0, 0, 21},	//752 Plasma::Containment::setScreen(int, int)
    {48, 1590, 0, 0, Smoke::mf_const, 470, 22},	//753 Plasma::Containment::screen() const
    {48, 1205, 0, 0, Smoke::mf_const, 470, 23},	//754 Plasma::Containment::lastScreen() const
    {48, 857, 0, 0, Smoke::mf_const, 470, 24},	//755 Plasma::Containment::desktop() const
    {48, 1204, 0, 0, Smoke::mf_const, 470, 25},	//756 Plasma::Containment::lastDesktop() const
    {48, 1571, 169, 1, Smoke::mf_const|Smoke::mf_virtual, 0, 26},	//757 Plasma::Containment::save(KConfigGroup&) const
    {48, 1552, 169, 1, Smoke::mf_virtual, 0, 27},	//758 Plasma::Containment::restore(KConfigGroup&)
    {48, 941, 188, 2, 0, 0, 28},	//759 Plasma::Containment::enableAction(const QString&, bool)
    {48, 655, 103, 1, 0, 0, 29},	//760 Plasma::Containment::addToolBoxAction(QAction*)
    {48, 1525, 103, 1, 0, 0, 30},	//761 Plasma::Containment::removeToolBoxAction(QAction*)
    {48, 2033, 7, 1, 0, 0, 31},	//762 Plasma::Containment::setToolBoxOpen(bool)
    {48, 1148, 0, 0, Smoke::mf_const, 381, 32},	//763 Plasma::Containment::isToolBoxOpen() const
    {48, 1375, 0, 0, 0, 0, 33},	//764 Plasma::Containment::openToolBox()
    {48, 745, 0, 0, 0, 0, 34},	//765 Plasma::Containment::closeToolBox()
    {48, 605, 57, 1, Smoke::mf_virtual, 0, 35},	//766 Plasma::Containment::addAssociatedWidget(QWidget*)
    {48, 1505, 57, 1, Smoke::mf_virtual, 0, 36},	//767 Plasma::Containment::removeAssociatedWidget(QWidget*)
    {48, 908, 0, 0, 0, 381, 37},	//768 Plasma::Containment::drawWallpaper()
    {48, 2072, 77, 2, 0, 0, 38},	//769 Plasma::Containment::setWallpaper(const QString&, const QString&)
    {48, 2306, 0, 0, Smoke::mf_const, 170, 39},	//770 Plasma::Containment::wallpaper() const
    {48, 1622, 89, 1, 0, 0, 40},	//771 Plasma::Containment::setActivity(const QString&)
    {48, 591, 0, 0, Smoke::mf_const, 288, 41},	//772 Plasma::Containment::activity() const
    {48, 798, 0, 0, Smoke::mf_const, 80, 42},	//773 Plasma::Containment::context() const
    {48, 2102, 355, 2, 0, 0, 43},	//774 Plasma::Containment::showContextMenu(const QPointF&, const QPoint&)
    {48, 2106, 358, 1, Smoke::mf_virtual, 0, 44},	//775 Plasma::Containment::showDropZone(const QPoint)
    {48, 1693, 77, 2, 0, 0, 45},	//776 Plasma::Containment::setContainmentActions(const QString&, const QString&)
    {48, 784, 0, 0, 0, 289, 46},	//777 Plasma::Containment::containmentActionsTriggers()
    {48, 780, 89, 1, 0, 288, 47},	//778 Plasma::Containment::containmentActions(const QString&)
    {48, 683, 360, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//779 Plasma::Containment::appletAdded(Plasma::Applet*, const QPointF&)
    {48, 688, 239, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//780 Plasma::Containment::appletRemoved(Plasma::Applet*)
    {48, 2328, 363, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//781 Plasma::Containment::zoomRequested(Plasma::Containment*, Plasma::ZoomDirection)
    {48, 2221, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//782 Plasma::Containment::toolBoxToggled()
    {48, 2222, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//783 Plasma::Containment::toolBoxVisibilityChanged(bool)
    {48, 640, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//784 Plasma::Containment::addSiblingContainment(Plasma::Containment*)
    {48, 2097, 366, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//785 Plasma::Containment::showAddWidgetsInterface(const QPointF&)
    {48, 1591, 368, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//786 Plasma::Containment::screenChanged(int, int, Plasma::Containment*)
    {48, 761, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//787 Plasma::Containment::configureRequested(Plasma::Containment*)
    {48, 800, 372, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//788 Plasma::Containment::contextChanged(Plasma::Context*)
    {48, 1848, 9, 1, Smoke::mf_slot, 0, 58},	//789 Plasma::Containment::setLocation(Plasma::Location)
    {48, 1780, 374, 1, Smoke::mf_slot, 0, 59},	//790 Plasma::Containment::setFormFactor(Plasma::FormFactor)
    {48, 640, 0, 0, Smoke::mf_slot, 0, 60},	//791 Plasma::Containment::addSiblingContainment()
    {48, 1000, 0, 0, Smoke::mf_slot, 0, 61},	//792 Plasma::Containment::focusNextApplet()
    {48, 1004, 0, 0, Smoke::mf_slot, 0, 62},	//793 Plasma::Containment::focusPreviousApplet()
    {48, 859, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 63},	//794 Plasma::Containment::destroy()
    {48, 859, 7, 1, Smoke::mf_slot, 0, 64},	//795 Plasma::Containment::destroy(bool)
    {48, 2100, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 65},	//796 Plasma::Containment::showConfigurationInterface()
    {48, 1697, 376, 1, Smoke::mf_protected, 0, 66},	//797 Plasma::Containment::setContainmentType(Plasma::Containment::Type)
    {48, 1749, 7, 1, Smoke::mf_protected, 0, 67},	//798 Plasma::Containment::setDrawWallpaper(bool)
    {48, 1573, 169, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//799 Plasma::Containment::saveContents(KConfigGroup&) const
    {48, 1554, 169, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//800 Plasma::Containment::restoreContents(KConfigGroup&)
    {48, 1346, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//801 Plasma::Containment::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {48, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//802 Plasma::Containment::mousePressEvent(QGraphicsSceneMouseEvent*)
    {48, 1350, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 72},	//803 Plasma::Containment::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {48, 804, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 73},	//804 Plasma::Containment::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {48, 1185, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 74},	//805 Plasma::Containment::keyPressEvent(QKeyEvent*)
    {48, 2310, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 75},	//806 Plasma::Containment::wheelEvent(QGraphicsSceneWheelEvent*)
    {48, 1585, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 76},	//807 Plasma::Containment::sceneEventFilter(QGraphicsItem*, QEvent*)
    {48, 1166, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 298, 77},	//808 Plasma::Containment::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {48, 881, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 78},	//809 Plasma::Containment::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {48, 883, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 79},	//810 Plasma::Containment::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {48, 885, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//811 Plasma::Containment::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {48, 911, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 81},	//812 Plasma::Containment::dropEvent(QGraphicsSceneDragDropEvent*)
    {48, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 82},	//813 Plasma::Containment::resizeEvent(QGraphicsSceneResizeEvent*)
    {48, 2220, 0, 0, Smoke::mf_const|Smoke::mf_protected, 420, 83},	//814 Plasma::Containment::toolBoxItem() const
    {48, 2031, 386, 1, Smoke::mf_protected, 0, 84},	//815 Plasma::Containment::setToolBox(Plasma::AbstractToolBox*)
    {48, 2219, 0, 0, Smoke::mf_const|Smoke::mf_protected, 37, 85},	//816 Plasma::Containment::toolBox() const
    {48, 2227, 1, 1, Smoke::mf_static, 288, 86},	//817 Plasma::Containment::tr(const char*)
    {48, 2231, 1, 1, Smoke::mf_static, 288, 87},	//818 Plasma::Containment::trUtf8(const char*)
    {48, 95, 0, 0, Smoke::mf_ctor, 71, 88},	//819 Plasma::Containment::Containment()
    {48, 95, 161, 1, Smoke::mf_ctor, 71, 89},	//820 Plasma::Containment::Containment(QGraphicsItem*)
    {48, 95, 285, 2, Smoke::mf_ctor, 71, 90},	//821 Plasma::Containment::Containment(QGraphicsItem*, const QString&)
    {48, 1236, 0, 0, Smoke::mf_static, 237, 91},	//822 Plasma::Containment::listContainments()
    {48, 1236, 89, 1, Smoke::mf_static, 237, 92},	//823 Plasma::Containment::listContainments(const QString&)
    {48, 1241, 89, 1, Smoke::mf_static, 237, 93},	//824 Plasma::Containment::listContainmentsOfType(const QString&)
    {48, 1241, 77, 2, Smoke::mf_static, 237, 94},	//825 Plasma::Containment::listContainmentsOfType(const QString&, const QString&)
    {48, 598, 89, 1, 0, 51, 95},	//826 Plasma::Containment::addApplet(const QString&)
    {48, 598, 388, 2, 0, 51, 96},	//827 Plasma::Containment::addApplet(const QString&, const QList<QVariant>&)
    {48, 598, 239, 1, 0, 0, 97},	//828 Plasma::Containment::addApplet(Plasma::Applet*)
    {48, 598, 360, 2, 0, 0, 98},	//829 Plasma::Containment::addApplet(Plasma::Applet*, const QPointF&)
    {48, 1946, 120, 1, 0, 0, 99},	//830 Plasma::Containment::setScreen(int)
    {48, 2072, 89, 1, 0, 0, 100},	//831 Plasma::Containment::setWallpaper(const QString&)
    {48, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 101},	//832 Plasma::Containment::staticMetaObject() const
    {48, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 102},	//833 Plasma::Containment::NoContainmentType (enum)
    {48, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 103},	//834 Plasma::Containment::DesktopContainment (enum)
    {48, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 104},	//835 Plasma::Containment::PanelContainment (enum)
    {48, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 105},	//836 Plasma::Containment::CustomContainment (enum)
    {48, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 106},	//837 Plasma::Containment::CustomPanelContainment (enum)
    {48, 2344, 0, 0, Smoke::mf_dtor, 0, 107 },	//838 Plasma::Containment::~Containment()
    {49, 481, 0, 0, Smoke::mf_ctor, 72, 1},	//839 Plasma::Containment::StyleOption::StyleOption()
    {49, 481, 391, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 2},	//840 Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    {49, 481, 393, 1, Smoke::mf_ctor, 72, 3},	//841 Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    {49, 2295, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 169, 4},	//842 Plasma::Containment::StyleOption::view() const
    {49, 2069, 395, 1, Smoke::mf_attribute, 0, 5},	//843 Plasma::Containment::StyleOption::setView(Plasma::View*)
    {49, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 6},	//844 Plasma::Containment::StyleOption::Type (enum)
    {49, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 7},	//845 Plasma::Containment::StyleOption::Version (enum)
    {49, 2389, 0, 0, Smoke::mf_dtor, 0, 8 },	//846 Plasma::Containment::StyleOption::~StyleOption()
    {50, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//847 Plasma::ContainmentActions::metaObject() const
    {50, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//848 Plasma::ContainmentActions::qt_metacast(const char*)
    {50, 2227, 43, 2, Smoke::mf_static, 288, 3},	//849 Plasma::ContainmentActions::tr(const char*, const char*)
    {50, 2231, 43, 2, Smoke::mf_static, 288, 4},	//850 Plasma::ContainmentActions::trUtf8(const char*, const char*)
    {50, 2227, 46, 3, Smoke::mf_static, 288, 5},	//851 Plasma::ContainmentActions::tr(const char*, const char*, int)
    {50, 2231, 46, 3, Smoke::mf_static, 288, 6},	//852 Plasma::ContainmentActions::trUtf8(const char*, const char*, int)
    {50, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//853 Plasma::ContainmentActions::qt_metacall(QMetaObject::Call, int, void**)
    {50, 100, 97, 1, Smoke::mf_ctor, 76, 8},	//854 Plasma::ContainmentActions::ContainmentActions(QObject*)
    {50, 1234, 0, 0, Smoke::mf_static, 237, 9},	//855 Plasma::ContainmentActions::listContainmentActionsInfo()
    {50, 1261, 397, 3, Smoke::mf_static, 76, 10},	//856 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {50, 1261, 401, 3, Smoke::mf_static, 76, 11},	//857 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&, const QList<QVariant>&)
    {50, 1389, 0, 0, Smoke::mf_static, 20, 12},	//858 Plasma::ContainmentActions::packageStructure()
    {50, 1364, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 13},	//859 Plasma::ContainmentActions::name() const
    {50, 1433, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 14},	//860 Plasma::ContainmentActions::pluginName() const
    {50, 1070, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 15},	//861 Plasma::ContainmentActions::icon() const
    {50, 1130, 0, 0, Smoke::mf_const, 381, 16},	//862 Plasma::ContainmentActions::isInitialized() const
    {50, 1552, 405, 1, 0, 0, 17},	//863 Plasma::ContainmentActions::restore(const KConfigGroup&)
    {50, 1571, 169, 1, Smoke::mf_virtual, 0, 18},	//864 Plasma::ContainmentActions::save(KConfigGroup&)
    {50, 815, 57, 1, Smoke::mf_virtual, 303, 19},	//865 Plasma::ContainmentActions::createConfigurationInterface(QWidget*)
    {50, 758, 0, 0, Smoke::mf_virtual, 0, 20},	//866 Plasma::ContainmentActions::configurationAccepted()
    {50, 802, 313, 1, Smoke::mf_virtual, 0, 21},	//867 Plasma::ContainmentActions::contextEvent(QEvent*)
    {50, 806, 0, 0, Smoke::mf_virtual, 250, 22},	//868 Plasma::ContainmentActions::contextualActions()
    {50, 847, 89, 1, Smoke::mf_const, 83, 23},	//869 Plasma::ContainmentActions::dataEngine(const QString&) const
    {50, 759, 0, 0, Smoke::mf_const, 381, 24},	//870 Plasma::ContainmentActions::configurationRequired() const
    {50, 961, 313, 1, Smoke::mf_static, 288, 25},	//871 Plasma::ContainmentActions::eventToString(QEvent*)
    {50, 957, 313, 1, Smoke::mf_virtual, 381, 26},	//872 Plasma::ContainmentActions::event(QEvent*)
    {50, 100, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 76, 27},	//873 Plasma::ContainmentActions::ContainmentActions(QObject*, const QList<QVariant>&)
    {50, 1086, 405, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//874 Plasma::ContainmentActions::init(const KConfigGroup&)
    {50, 1688, 7, 1, Smoke::mf_protected, 0, 29},	//875 Plasma::ContainmentActions::setConfigurationRequired(bool)
    {50, 779, 0, 0, Smoke::mf_protected, 71, 30},	//876 Plasma::ContainmentActions::containment()
    {50, 1419, 407, 2, Smoke::mf_protected, 0, 31},	//877 Plasma::ContainmentActions::paste(QPointF, QPoint)
    {50, 2227, 1, 1, Smoke::mf_static, 288, 32},	//878 Plasma::ContainmentActions::tr(const char*)
    {50, 2231, 1, 1, Smoke::mf_static, 288, 33},	//879 Plasma::ContainmentActions::trUtf8(const char*)
    {50, 100, 0, 0, Smoke::mf_ctor, 76, 34},	//880 Plasma::ContainmentActions::ContainmentActions()
    {50, 1261, 410, 2, Smoke::mf_static, 76, 35},	//881 Plasma::ContainmentActions::load(Plasma::Containment*, const QString&)
    {50, 1261, 413, 2, Smoke::mf_static, 76, 36},	//882 Plasma::ContainmentActions::load(Plasma::Containment*, const KPluginInfo&)
    {50, 1688, 0, 0, Smoke::mf_protected, 0, 37},	//883 Plasma::ContainmentActions::setConfigurationRequired()
    {50, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 38},	//884 Plasma::ContainmentActions::staticMetaObject() const
    {50, 2345, 0, 0, Smoke::mf_dtor, 0, 39 },	//885 Plasma::ContainmentActions::~ContainmentActions()
    {51, 103, 0, 0, Smoke::mf_ctor, 79, 1},	//886 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig()
    {51, 103, 416, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 79, 2},	//887 Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 1383, 416, 1, 0, 78, 3},	//888 Plasma::ContainmentActionsPluginsConfig::operator=(const Plasma::ContainmentActionsPluginsConfig&)
    {51, 732, 0, 0, 0, 0, 4},	//889 Plasma::ContainmentActionsPluginsConfig::clear()
    {51, 1498, 313, 1, 0, 0, 5},	//890 Plasma::ContainmentActionsPluginsConfig::remove(QEvent*)
    {51, 631, 418, 2, 0, 0, 6},	//891 Plasma::ContainmentActionsPluginsConfig::addPlugin(QEvent*, const QString&)
    {51, 631, 421, 3, 0, 0, 7},	//892 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    {51, 631, 425, 3, 0, 0, 8},	//893 Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    {51, 2346, 0, 0, Smoke::mf_dtor, 0, 9 },	//894 Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig()
    {52, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//895 Plasma::Context::metaObject() const
    {52, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//896 Plasma::Context::qt_metacast(const char*)
    {52, 2227, 43, 2, Smoke::mf_static, 288, 3},	//897 Plasma::Context::tr(const char*, const char*)
    {52, 2231, 43, 2, Smoke::mf_static, 288, 4},	//898 Plasma::Context::trUtf8(const char*, const char*)
    {52, 2227, 46, 3, Smoke::mf_static, 288, 5},	//899 Plasma::Context::tr(const char*, const char*, int)
    {52, 2231, 46, 3, Smoke::mf_static, 288, 6},	//900 Plasma::Context::trUtf8(const char*, const char*, int)
    {52, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//901 Plasma::Context::qt_metacall(QMetaObject::Call, int, void**)
    {52, 106, 97, 1, Smoke::mf_ctor, 80, 8},	//902 Plasma::Context::Context(QObject*)
    {52, 813, 89, 1, 0, 0, 9},	//903 Plasma::Context::createActivity(const QString&)
    {52, 1221, 0, 0, Smoke::mf_const, 289, 10},	//904 Plasma::Context::listActivities() const
    {52, 1711, 89, 1, 0, 0, 11},	//905 Plasma::Context::setCurrentActivity(const QString&)
    {52, 829, 0, 0, Smoke::mf_const, 288, 12},	//906 Plasma::Context::currentActivity() const
    {52, 1713, 89, 1, 0, 0, 13},	//907 Plasma::Context::setCurrentActivityId(const QString&)
    {52, 830, 0, 0, Smoke::mf_const, 288, 14},	//908 Plasma::Context::currentActivityId() const
    {52, 727, 372, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//909 Plasma::Context::changed(Plasma::Context*)
    {52, 592, 372, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//910 Plasma::Context::activityChanged(Plasma::Context*)
    {52, 1295, 372, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//911 Plasma::Context::locationChanged(Plasma::Context*)
    {52, 2227, 1, 1, Smoke::mf_static, 288, 18},	//912 Plasma::Context::tr(const char*)
    {52, 2231, 1, 1, Smoke::mf_static, 288, 19},	//913 Plasma::Context::trUtf8(const char*)
    {52, 106, 0, 0, Smoke::mf_ctor, 80, 20},	//914 Plasma::Context::Context()
    {52, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 21},	//915 Plasma::Context::staticMetaObject() const
    {52, 2347, 0, 0, Smoke::mf_dtor, 0, 22 },	//916 Plasma::Context::~Context()
    {53, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//917 Plasma::Corona::metaObject() const
    {53, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//918 Plasma::Corona::qt_metacast(const char*)
    {53, 2227, 43, 2, Smoke::mf_static, 288, 3},	//919 Plasma::Corona::tr(const char*, const char*)
    {53, 2231, 43, 2, Smoke::mf_static, 288, 4},	//920 Plasma::Corona::trUtf8(const char*, const char*)
    {53, 2227, 46, 3, Smoke::mf_static, 288, 5},	//921 Plasma::Corona::tr(const char*, const char*, int)
    {53, 2231, 46, 3, Smoke::mf_static, 288, 6},	//922 Plasma::Corona::trUtf8(const char*, const char*, int)
    {53, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//923 Plasma::Corona::qt_metacall(QMetaObject::Call, int, void**)
    {53, 110, 97, 1, Smoke::mf_ctor, 81, 8},	//924 Plasma::Corona::Corona(QObject*)
    {53, 1634, 89, 1, 0, 0, 9},	//925 Plasma::Corona::setAppletMimeType(const QString&)
    {53, 687, 0, 0, 0, 288, 10},	//926 Plasma::Corona::appletMimeType()
    {53, 791, 0, 0, Smoke::mf_const, 242, 11},	//927 Plasma::Corona::containments() const
    {53, 736, 0, 0, 0, 0, 12},	//928 Plasma::Corona::clearContainments()
    {53, 752, 0, 0, Smoke::mf_const, 19, 13},	//929 Plasma::Corona::config() const
    {53, 607, 388, 2, 0, 71, 14},	//930 Plasma::Corona::addContainment(const QString&, const QList<QVariant>&)
    {53, 787, 352, 2, Smoke::mf_const, 71, 15},	//931 Plasma::Corona::containmentForScreen(int, int) const
    {53, 627, 116, 1, 0, 0, 16},	//932 Plasma::Corona::addOffscreenWidget(QGraphicsWidget*)
    {53, 1515, 116, 1, 0, 0, 17},	//933 Plasma::Corona::removeOffscreenWidget(QGraphicsWidget*)
    {53, 1373, 0, 0, Smoke::mf_const, 253, 18},	//934 Plasma::Corona::offscreenWidgets() const
    {53, 1372, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 470, 19},	//935 Plasma::Corona::numScreens() const
    {53, 1593, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 277, 20},	//936 Plasma::Corona::screenGeometry(int) const
    {53, 708, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 281, 21},	//937 Plasma::Corona::availableScreenRegion(int) const
    {53, 1440, 429, 2, 0, 274, 22},	//938 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&)
    {53, 1440, 432, 3, 0, 274, 23},	//939 Plasma::Corona::popupPosition(const QGraphicsItem*, const QSize&, Qt::AlignmentFlag)
    {53, 1016, 120, 1, Smoke::mf_const, 245, 24},	//940 Plasma::Corona::freeEdges(int) const
    {53, 577, 211, 1, Smoke::mf_const, 180, 25},	//941 Plasma::Corona::action(QString) const
    {53, 594, 213, 2, 0, 0, 26},	//942 Plasma::Corona::addAction(QString, QAction*)
    {53, 580, 0, 0, Smoke::mf_const, 250, 27},	//943 Plasma::Corona::actions() const
    {53, 941, 188, 2, 0, 0, 28},	//944 Plasma::Corona::enableAction(const QString&, bool)
    {53, 2265, 0, 0, 0, 0, 29},	//945 Plasma::Corona::updateShortcuts()
    {53, 638, 436, 1, 0, 0, 30},	//946 Plasma::Corona::addShortcuts(KActionCollection*)
    {53, 594, 211, 1, 0, 1, 31},	//947 Plasma::Corona::addAction(QString)
    {53, 1695, 438, 2, 0, 0, 32},	//948 Plasma::Corona::setContainmentActionsDefaults(Plasma::Containment::Type, const Plasma::ContainmentActionsPluginsConfig&)
    {53, 782, 376, 1, 0, 77, 33},	//949 Plasma::Corona::containmentActionsDefaults(Plasma::Containment::Type)
    {53, 1741, 441, 1, 0, 0, 34},	//950 Plasma::Corona::setDialogManager(Plasma::AbstractDialogManager*)
    {53, 865, 0, 0, 0, 33, 35},	//951 Plasma::Corona::dialogManager()
    {53, 1081, 443, 1, 0, 242, 36},	//952 Plasma::Corona::importLayout(const KConfigBase&)
    {53, 1093, 89, 1, Smoke::mf_slot, 0, 37},	//953 Plasma::Corona::initializeLayout(const QString&)
    {53, 1281, 89, 1, Smoke::mf_slot, 0, 38},	//954 Plasma::Corona::loadLayout(const QString&)
    {53, 1575, 89, 1, Smoke::mf_const|Smoke::mf_slot, 0, 39},	//955 Plasma::Corona::saveLayout(const QString&) const
    {53, 1077, 0, 0, Smoke::mf_const|Smoke::mf_slot, 106, 40},	//956 Plasma::Corona::immutability() const
    {53, 1827, 245, 1, Smoke::mf_slot, 0, 41},	//957 Plasma::Corona::setImmutability(const Plasma::ImmutabilityType)
    {53, 1538, 0, 0, Smoke::mf_slot, 0, 42},	//958 Plasma::Corona::requestConfigSync()
    {53, 1539, 0, 0, Smoke::mf_slot, 0, 43},	//959 Plasma::Corona::requireConfigSync()
    {53, 1213, 0, 0, Smoke::mf_slot, 0, 44},	//960 Plasma::Corona::layoutContainments()
    {53, 785, 101, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//961 Plasma::Corona::containmentAdded(Plasma::Containment*)
    {53, 1595, 368, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//962 Plasma::Corona::screenOwnerChanged(int, int, Plasma::Containment*)
    {53, 1487, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//963 Plasma::Corona::releaseVisualFocus()
    {53, 757, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//964 Plasma::Corona::configSynced()
    {53, 710, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//965 Plasma::Corona::availableScreenRegionChanged()
    {53, 1078, 243, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//966 Plasma::Corona::immutabilityChanged(Plasma::ImmutabilityType)
    {53, 2093, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//967 Plasma::Corona::shortcutsChanged()
    {53, 1276, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//968 Plasma::Corona::loadDefaultLayout()
    {53, 610, 388, 2, Smoke::mf_protected, 71, 53},	//969 Plasma::Corona::addContainmentDelayed(const QString&, const QList<QVariant>&)
    {53, 1307, 445, 2, Smoke::mf_protected, 0, 54},	//970 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    {53, 1307, 448, 2, Smoke::mf_protected, 0, 55},	//971 Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    {53, 881, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//972 Plasma::Corona::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {53, 883, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//973 Plasma::Corona::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {53, 885, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//974 Plasma::Corona::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {53, 2227, 1, 1, Smoke::mf_static, 288, 59},	//975 Plasma::Corona::tr(const char*)
    {53, 2231, 1, 1, Smoke::mf_static, 288, 60},	//976 Plasma::Corona::trUtf8(const char*)
    {53, 110, 0, 0, Smoke::mf_ctor, 81, 61},	//977 Plasma::Corona::Corona()
    {53, 607, 89, 1, 0, 71, 62},	//978 Plasma::Corona::addContainment(const QString&)
    {53, 787, 120, 1, Smoke::mf_const, 71, 63},	//979 Plasma::Corona::containmentForScreen(int) const
    {53, 1093, 0, 0, Smoke::mf_slot, 0, 64},	//980 Plasma::Corona::initializeLayout()
    {53, 1281, 0, 0, Smoke::mf_slot, 0, 65},	//981 Plasma::Corona::loadLayout()
    {53, 1575, 0, 0, Smoke::mf_const|Smoke::mf_slot, 0, 66},	//982 Plasma::Corona::saveLayout() const
    {53, 610, 89, 1, Smoke::mf_protected, 71, 67},	//983 Plasma::Corona::addContainmentDelayed(const QString&)
    {53, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 68},	//984 Plasma::Corona::staticMetaObject() const
    {53, 2348, 0, 0, Smoke::mf_dtor, 0, 69 },	//985 Plasma::Corona::~Corona()
    {54, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//986 Plasma::DataContainer::metaObject() const
    {54, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//987 Plasma::DataContainer::qt_metacast(const char*)
    {54, 2227, 43, 2, Smoke::mf_static, 288, 3},	//988 Plasma::DataContainer::tr(const char*, const char*)
    {54, 2231, 43, 2, Smoke::mf_static, 288, 4},	//989 Plasma::DataContainer::trUtf8(const char*, const char*)
    {54, 2227, 46, 3, Smoke::mf_static, 288, 5},	//990 Plasma::DataContainer::tr(const char*, const char*, int)
    {54, 2231, 46, 3, Smoke::mf_static, 288, 6},	//991 Plasma::DataContainer::trUtf8(const char*, const char*, int)
    {54, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//992 Plasma::DataContainer::qt_metacall(QMetaObject::Call, int, void**)
    {54, 116, 97, 1, Smoke::mf_ctor, 82, 8},	//993 Plasma::DataContainer::DataContainer(QObject*)
    {54, 846, 0, 0, Smoke::mf_const, 422, 9},	//994 Plasma::DataContainer::data() const
    {54, 1721, 451, 2, 0, 0, 10},	//995 Plasma::DataContainer::setData(const QString&, const QVariant&)
    {54, 1502, 0, 0, 0, 0, 11},	//996 Plasma::DataContainer::removeAllData()
    {54, 2304, 97, 1, Smoke::mf_const, 381, 12},	//997 Plasma::DataContainer::visualizationIsConnected(QObject*) const
    {54, 772, 454, 3, 0, 0, 13},	//998 Plasma::DataContainer::connectVisualization(QObject*, unsigned int, Plasma::IntervalAlignment)
    {54, 875, 97, 1, Smoke::mf_slot, 0, 14},	//999 Plasma::DataContainer::disconnectVisualization(QObject*)
    {54, 1010, 0, 0, Smoke::mf_slot, 0, 15},	//1000 Plasma::DataContainer::forceImmediateUpdate()
    {54, 849, 458, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1001 Plasma::DataContainer::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {54, 713, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1002 Plasma::DataContainer::becameUnused(const QString&)
    {54, 2263, 461, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1003 Plasma::DataContainer::updateRequested(Plasma::DataContainer*)
    {54, 729, 0, 0, Smoke::mf_protected, 0, 19},	//1004 Plasma::DataContainer::checkForUpdate()
    {54, 2212, 0, 0, Smoke::mf_const|Smoke::mf_protected, 476, 20},	//1005 Plasma::DataContainer::timeSinceLastUpdate() const
    {54, 1875, 7, 1, Smoke::mf_protected, 0, 21},	//1006 Plasma::DataContainer::setNeedsUpdate(bool)
    {54, 730, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 22},	//1007 Plasma::DataContainer::checkUsage()
    {54, 2227, 1, 1, Smoke::mf_static, 288, 23},	//1008 Plasma::DataContainer::tr(const char*)
    {54, 2231, 1, 1, Smoke::mf_static, 288, 24},	//1009 Plasma::DataContainer::trUtf8(const char*)
    {54, 116, 0, 0, Smoke::mf_ctor, 82, 25},	//1010 Plasma::DataContainer::DataContainer()
    {54, 1875, 0, 0, Smoke::mf_protected, 0, 26},	//1011 Plasma::DataContainer::setNeedsUpdate()
    {54, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 27},	//1012 Plasma::DataContainer::staticMetaObject() const
    {54, 2349, 0, 0, Smoke::mf_dtor, 0, 28 },	//1013 Plasma::DataContainer::~DataContainer()
    {55, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1014 Plasma::DataEngine::metaObject() const
    {55, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1015 Plasma::DataEngine::qt_metacast(const char*)
    {55, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1016 Plasma::DataEngine::tr(const char*, const char*)
    {55, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1017 Plasma::DataEngine::trUtf8(const char*, const char*)
    {55, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1018 Plasma::DataEngine::tr(const char*, const char*, int)
    {55, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1019 Plasma::DataEngine::trUtf8(const char*, const char*, int)
    {55, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1020 Plasma::DataEngine::qt_metacall(QMetaObject::Call, int, void**)
    {55, 118, 463, 2, Smoke::mf_ctor, 83, 8},	//1021 Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    {55, 118, 70, 2, Smoke::mf_ctor, 83, 9},	//1022 Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    {55, 1086, 0, 0, Smoke::mf_virtual, 0, 10},	//1023 Plasma::DataEngine::init()
    {55, 2143, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 289, 11},	//1024 Plasma::DataEngine::sources() const
    {55, 1610, 89, 1, Smoke::mf_virtual, 145, 12},	//1025 Plasma::DataEngine::serviceForSource(const QString&)
    {55, 1364, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 13},	//1026 Plasma::DataEngine::name() const
    {55, 768, 466, 4, Smoke::mf_const, 0, 14},	//1027 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 763, 454, 3, Smoke::mf_const, 0, 15},	//1028 Plasma::DataEngine::connectAllSources(QObject*, unsigned int, Plasma::IntervalAlignment) const
    {55, 873, 140, 2, Smoke::mf_const, 0, 16},	//1029 Plasma::DataEngine::disconnectSource(const QString&, QObject*) const
    {55, 777, 89, 1, 0, 82, 17},	//1030 Plasma::DataEngine::containerForSource(const QString&)
    {55, 1461, 89, 1, Smoke::mf_const, 229, 18},	//1031 Plasma::DataEngine::query(const QString&) const
    {55, 1151, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 19},	//1032 Plasma::DataEngine::isValid() const
    {55, 1126, 0, 0, Smoke::mf_const, 381, 20},	//1033 Plasma::DataEngine::isEmpty() const
    {55, 1323, 0, 0, Smoke::mf_const, 476, 21},	//1034 Plasma::DataEngine::maxSourceCount() const
    {55, 1070, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 22},	//1035 Plasma::DataEngine::icon() const
    {55, 1388, 0, 0, Smoke::mf_const, 402, 23},	//1036 Plasma::DataEngine::package() const
    {55, 1433, 0, 0, Smoke::mf_const, 288, 24},	//1037 Plasma::DataEngine::pluginName() const
    {55, 817, 97, 1, 0, 145, 25},	//1038 Plasma::DataEngine::createDefaultService(QObject*)
    {55, 2137, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1039 Plasma::DataEngine::sourceAdded(const QString&)
    {55, 2139, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1040 Plasma::DataEngine::sourceRemoved(const QString&)
    {55, 2141, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 28},	//1041 Plasma::DataEngine::sourceRequestEvent(const QString&)
    {55, 2266, 89, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 29},	//1042 Plasma::DataEngine::updateSourceEvent(const QString&)
    {55, 1721, 451, 2, Smoke::mf_protected, 0, 30},	//1043 Plasma::DataEngine::setData(const QString&, const QVariant&)
    {55, 1721, 471, 3, Smoke::mf_protected, 0, 31},	//1044 Plasma::DataEngine::setData(const QString&, const QString&, const QVariant&)
    {55, 1721, 475, 2, Smoke::mf_protected, 0, 32},	//1045 Plasma::DataEngine::setData(const QString&, const QHash<QString,QVariant>&)
    {55, 1502, 89, 1, Smoke::mf_protected, 0, 33},	//1046 Plasma::DataEngine::removeAllData(const QString&)
    {55, 1507, 77, 2, Smoke::mf_protected, 0, 34},	//1047 Plasma::DataEngine::removeData(const QString&, const QString&)
    {55, 642, 461, 1, Smoke::mf_protected, 0, 35},	//1048 Plasma::DataEngine::addSource(Plasma::DataContainer*)
    {55, 1852, 36, 1, Smoke::mf_protected, 0, 36},	//1049 Plasma::DataEngine::setMaxSourceCount(unsigned int)
    {55, 1866, 120, 1, Smoke::mf_protected, 0, 37},	//1050 Plasma::DataEngine::setMinimumPollingInterval(int)
    {55, 1341, 0, 0, Smoke::mf_const|Smoke::mf_protected, 470, 38},	//1051 Plasma::DataEngine::minimumPollingInterval() const
    {55, 1903, 36, 1, Smoke::mf_protected, 0, 39},	//1052 Plasma::DataEngine::setPollingInterval(unsigned int)
    {55, 1504, 0, 0, Smoke::mf_protected, 0, 40},	//1053 Plasma::DataEngine::removeAllSources()
    {55, 2053, 7, 1, Smoke::mf_protected, 0, 41},	//1054 Plasma::DataEngine::setValid(bool)
    {55, 776, 0, 0, Smoke::mf_const|Smoke::mf_protected, 227, 42},	//1055 Plasma::DataEngine::containerDict() const
    {55, 2213, 167, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1056 Plasma::DataEngine::timerEvent(QTimerEvent*)
    {55, 1871, 89, 1, Smoke::mf_protected, 0, 44},	//1057 Plasma::DataEngine::setName(const QString&)
    {55, 1814, 89, 1, Smoke::mf_protected|Smoke::mf_property, 0, 45},	//1058 Plasma::DataEngine::setIcon(const QString&)
    {55, 1732, 89, 1, Smoke::mf_protected, 0, 46},	//1059 Plasma::DataEngine::setDefaultService(const QString&)
    {55, 1589, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//1060 Plasma::DataEngine::scheduleSourcesUpdated()
    {55, 1519, 89, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//1061 Plasma::DataEngine::removeSource(const QString&)
    {55, 2254, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 49},	//1062 Plasma::DataEngine::updateAllSources()
    {55, 1011, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 50},	//1063 Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations()
    {55, 2227, 1, 1, Smoke::mf_static, 288, 51},	//1064 Plasma::DataEngine::tr(const char*)
    {55, 2231, 1, 1, Smoke::mf_static, 288, 52},	//1065 Plasma::DataEngine::trUtf8(const char*)
    {55, 118, 0, 0, Smoke::mf_ctor, 83, 53},	//1066 Plasma::DataEngine::DataEngine()
    {55, 118, 97, 1, Smoke::mf_ctor, 83, 54},	//1067 Plasma::DataEngine::DataEngine(QObject*)
    {55, 768, 140, 2, Smoke::mf_const, 0, 55},	//1068 Plasma::DataEngine::connectSource(const QString&, QObject*) const
    {55, 768, 478, 3, Smoke::mf_const, 0, 56},	//1069 Plasma::DataEngine::connectSource(const QString&, QObject*, unsigned int) const
    {55, 763, 97, 1, Smoke::mf_const, 0, 57},	//1070 Plasma::DataEngine::connectAllSources(QObject*) const
    {55, 763, 482, 2, Smoke::mf_const, 0, 58},	//1071 Plasma::DataEngine::connectAllSources(QObject*, unsigned int) const
    {55, 817, 0, 0, 0, 145, 59},	//1072 Plasma::DataEngine::createDefaultService()
    {55, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 60},	//1073 Plasma::DataEngine::staticMetaObject() const
    {55, 2350, 0, 0, Smoke::mf_dtor, 0, 61 },	//1074 Plasma::DataEngine::~DataEngine()
    {56, 1329, 0, 0, Smoke::mf_const, 436, 1},	//1075 Plasma::DataEngineManager::metaObject() const
    {56, 1459, 1, 1, 0, 478, 2},	//1076 Plasma::DataEngineManager::qt_metacast(const char*)
    {56, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1077 Plasma::DataEngineManager::tr(const char*, const char*)
    {56, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1078 Plasma::DataEngineManager::trUtf8(const char*, const char*)
    {56, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1079 Plasma::DataEngineManager::tr(const char*, const char*, int)
    {56, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1080 Plasma::DataEngineManager::trUtf8(const char*, const char*, int)
    {56, 1457, 3, 3, 0, 470, 7},	//1081 Plasma::DataEngineManager::qt_metacall(QMetaObject::Call, int, void**)
    {56, 1608, 0, 0, Smoke::mf_static, 84, 8},	//1082 Plasma::DataEngineManager::self()
    {56, 947, 89, 1, Smoke::mf_const, 83, 9},	//1083 Plasma::DataEngineManager::engine(const QString&) const
    {56, 1277, 89, 1, 0, 83, 10},	//1084 Plasma::DataEngineManager::loadEngine(const QString&)
    {56, 2243, 89, 1, 0, 0, 11},	//1085 Plasma::DataEngineManager::unloadEngine(const QString&)
    {56, 1222, 89, 1, Smoke::mf_static, 289, 12},	//1086 Plasma::DataEngineManager::listAllEngines(const QString&)
    {56, 1245, 89, 1, Smoke::mf_static, 237, 13},	//1087 Plasma::DataEngineManager::listEngineInfo(const QString&)
    {56, 1247, 77, 2, Smoke::mf_static, 237, 14},	//1088 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&, const QString&)
    {56, 2227, 1, 1, Smoke::mf_static, 288, 15},	//1089 Plasma::DataEngineManager::tr(const char*)
    {56, 2231, 1, 1, Smoke::mf_static, 288, 16},	//1090 Plasma::DataEngineManager::trUtf8(const char*)
    {56, 1222, 0, 0, Smoke::mf_static, 289, 17},	//1091 Plasma::DataEngineManager::listAllEngines()
    {56, 1245, 0, 0, Smoke::mf_static, 237, 18},	//1092 Plasma::DataEngineManager::listEngineInfo()
    {56, 1247, 89, 1, Smoke::mf_static, 237, 19},	//1093 Plasma::DataEngineManager::listEngineInfoByCategory(const QString&)
    {56, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 20},	//1094 Plasma::DataEngineManager::staticMetaObject() const
    {57, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1095 Plasma::DataEngineScript::metaObject() const
    {57, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1096 Plasma::DataEngineScript::qt_metacast(const char*)
    {57, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1097 Plasma::DataEngineScript::tr(const char*, const char*)
    {57, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1098 Plasma::DataEngineScript::trUtf8(const char*, const char*)
    {57, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1099 Plasma::DataEngineScript::tr(const char*, const char*, int)
    {57, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1100 Plasma::DataEngineScript::trUtf8(const char*, const char*, int)
    {57, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1101 Plasma::DataEngineScript::qt_metacall(QMetaObject::Call, int, void**)
    {57, 122, 97, 1, Smoke::mf_ctor, 85, 8},	//1102 Plasma::DataEngineScript::DataEngineScript(QObject*)
    {57, 1726, 485, 1, 0, 0, 9},	//1103 Plasma::DataEngineScript::setDataEngine(Plasma::DataEngine*)
    {57, 847, 0, 0, Smoke::mf_const, 83, 10},	//1104 Plasma::DataEngineScript::dataEngine() const
    {57, 2143, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 289, 11},	//1105 Plasma::DataEngineScript::sources() const
    {57, 2141, 89, 1, Smoke::mf_virtual, 381, 12},	//1106 Plasma::DataEngineScript::sourceRequestEvent(const QString&)
    {57, 2266, 89, 1, Smoke::mf_virtual, 381, 13},	//1107 Plasma::DataEngineScript::updateSourceEvent(const QString&)
    {57, 1610, 89, 1, Smoke::mf_virtual, 145, 14},	//1108 Plasma::DataEngineScript::serviceForSource(const QString&)
    {57, 1304, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 288, 15},	//1109 Plasma::DataEngineScript::mainScript() const
    {57, 1388, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 402, 16},	//1110 Plasma::DataEngineScript::package() const
    {57, 856, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 17},	//1111 Plasma::DataEngineScript::description() const
    {57, 1721, 471, 3, Smoke::mf_protected, 0, 18},	//1112 Plasma::DataEngineScript::setData(const QString&, const QString&, const QVariant&)
    {57, 1721, 451, 2, Smoke::mf_protected, 0, 19},	//1113 Plasma::DataEngineScript::setData(const QString&, const QVariant&)
    {57, 1721, 475, 2, Smoke::mf_protected, 0, 20},	//1114 Plasma::DataEngineScript::setData(const QString&, const QHash<QString,QVariant>&)
    {57, 1502, 89, 1, Smoke::mf_protected, 0, 21},	//1115 Plasma::DataEngineScript::removeAllData(const QString&)
    {57, 1507, 77, 2, Smoke::mf_protected, 0, 22},	//1116 Plasma::DataEngineScript::removeData(const QString&, const QString&)
    {57, 1852, 36, 1, Smoke::mf_protected, 0, 23},	//1117 Plasma::DataEngineScript::setMaxSourceCount(unsigned int)
    {57, 1866, 120, 1, Smoke::mf_protected, 0, 24},	//1118 Plasma::DataEngineScript::setMinimumPollingInterval(int)
    {57, 1341, 0, 0, Smoke::mf_const|Smoke::mf_protected, 470, 25},	//1119 Plasma::DataEngineScript::minimumPollingInterval() const
    {57, 1903, 36, 1, Smoke::mf_protected, 0, 26},	//1120 Plasma::DataEngineScript::setPollingInterval(unsigned int)
    {57, 1504, 0, 0, Smoke::mf_protected, 0, 27},	//1121 Plasma::DataEngineScript::removeAllSources()
    {57, 642, 461, 1, Smoke::mf_protected, 0, 28},	//1122 Plasma::DataEngineScript::addSource(Plasma::DataContainer*)
    {57, 776, 0, 0, Smoke::mf_const|Smoke::mf_protected, 227, 29},	//1123 Plasma::DataEngineScript::containerDict() const
    {57, 1871, 89, 1, Smoke::mf_protected, 0, 30},	//1124 Plasma::DataEngineScript::setName(const QString&)
    {57, 1814, 89, 1, Smoke::mf_protected, 0, 31},	//1125 Plasma::DataEngineScript::setIcon(const QString&)
    {57, 1589, 0, 0, Smoke::mf_protected, 0, 32},	//1126 Plasma::DataEngineScript::scheduleSourcesUpdated()
    {57, 1519, 89, 1, Smoke::mf_protected, 0, 33},	//1127 Plasma::DataEngineScript::removeSource(const QString&)
    {57, 2254, 0, 0, Smoke::mf_protected, 0, 34},	//1128 Plasma::DataEngineScript::updateAllSources()
    {57, 1011, 0, 0, Smoke::mf_protected, 0, 35},	//1129 Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations()
    {57, 2227, 1, 1, Smoke::mf_static, 288, 36},	//1130 Plasma::DataEngineScript::tr(const char*)
    {57, 2231, 1, 1, Smoke::mf_static, 288, 37},	//1131 Plasma::DataEngineScript::trUtf8(const char*)
    {57, 122, 0, 0, Smoke::mf_ctor, 85, 38},	//1132 Plasma::DataEngineScript::DataEngineScript()
    {57, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 39},	//1133 Plasma::DataEngineScript::staticMetaObject() const
    {57, 2351, 0, 0, Smoke::mf_dtor, 0, 40 },	//1134 Plasma::DataEngineScript::~DataEngineScript()
    {58, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1135 Plasma::Delegate::metaObject() const
    {58, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1136 Plasma::Delegate::qt_metacast(const char*)
    {58, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1137 Plasma::Delegate::tr(const char*, const char*)
    {58, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1138 Plasma::Delegate::trUtf8(const char*, const char*)
    {58, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1139 Plasma::Delegate::tr(const char*, const char*, int)
    {58, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1140 Plasma::Delegate::trUtf8(const char*, const char*, int)
    {58, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1141 Plasma::Delegate::qt_metacall(QMetaObject::Call, int, void**)
    {58, 129, 97, 1, Smoke::mf_ctor, 86, 8},	//1142 Plasma::Delegate::Delegate(QObject*)
    {58, 1938, 487, 2, 0, 0, 9},	//1143 Plasma::Delegate::setRoleMapping(Plasma::Delegate::SpecificRoles, int)
    {58, 1559, 490, 1, Smoke::mf_const, 470, 10},	//1144 Plasma::Delegate::roleMapping(Plasma::Delegate::SpecificRoles) const
    {58, 1394, 492, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 11},	//1145 Plasma::Delegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2116, 0, 0, Smoke::mf_const, 381, 12},	//1146 Plasma::Delegate::showToolTip() const
    {58, 1472, 496, 2, Smoke::mf_const|Smoke::mf_protected, 277, 13},	//1147 Plasma::Delegate::rectAfterTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 1470, 496, 2, Smoke::mf_const|Smoke::mf_protected, 277, 14},	//1148 Plasma::Delegate::rectAfterSubTitle(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 939, 496, 2, Smoke::mf_const|Smoke::mf_protected, 277, 15},	//1149 Plasma::Delegate::emptyRect(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2128, 496, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 285, 16},	//1150 Plasma::Delegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {58, 2227, 1, 1, Smoke::mf_static, 288, 17},	//1151 Plasma::Delegate::tr(const char*)
    {58, 2231, 1, 1, Smoke::mf_static, 288, 18},	//1152 Plasma::Delegate::trUtf8(const char*)
    {58, 129, 0, 0, Smoke::mf_ctor, 86, 19},	//1153 Plasma::Delegate::Delegate()
    {58, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 20},	//1154 Plasma::Delegate::staticMetaObject() const
    {58, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 21},	//1155 Plasma::Delegate::SubTitleRole (enum)
    {58, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 22},	//1156 Plasma::Delegate::SubTitleMandatoryRole (enum)
    {58, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 23},	//1157 Plasma::Delegate::ColumnTypeRole (enum)
    {58, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 24},	//1158 Plasma::Delegate::MainColumn (enum)
    {58, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 25},	//1159 Plasma::Delegate::SecondaryActionColumn (enum)
    {58, 2352, 0, 0, Smoke::mf_dtor, 0, 26 },	//1160 Plasma::Delegate::~Delegate()
    {59, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1161 Plasma::Dialog::metaObject() const
    {59, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1162 Plasma::Dialog::qt_metacast(const char*)
    {59, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1163 Plasma::Dialog::tr(const char*, const char*)
    {59, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1164 Plasma::Dialog::trUtf8(const char*, const char*)
    {59, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1165 Plasma::Dialog::tr(const char*, const char*, int)
    {59, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1166 Plasma::Dialog::trUtf8(const char*, const char*, int)
    {59, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1167 Plasma::Dialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 140, 499, 2, Smoke::mf_ctor, 89, 8},	//1168 Plasma::Dialog::Dialog(QWidget*, QFlags<Qt::WindowType>)
    {59, 1788, 116, 1, 0, 0, 9},	//1169 Plasma::Dialog::setGraphicsWidget(QGraphicsWidget*)
    {59, 1029, 0, 0, 0, 225, 10},	//1170 Plasma::Dialog::graphicsWidget()
    {59, 1932, 502, 1, 0, 0, 11},	//1171 Plasma::Dialog::setResizeHandleCorners(QFlags<Plasma::Dialog::ResizeCorner>)
    {59, 1547, 0, 0, Smoke::mf_const, 200, 12},	//1172 Plasma::Dialog::resizeCorners() const
    {59, 662, 504, 1, 0, 0, 13},	//1173 Plasma::Dialog::animatedHide(Plasma::Direction)
    {59, 664, 504, 1, 0, 0, 14},	//1174 Plasma::Dialog::animatedShow(Plasma::Direction)
    {59, 694, 0, 0, Smoke::mf_const, 54, 15},	//1175 Plasma::Dialog::aspectRatioMode() const
    {59, 1638, 184, 1, 0, 0, 16},	//1176 Plasma::Dialog::setAspectRatioMode(Plasma::AspectRatioMode)
    {59, 866, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1177 Plasma::Dialog::dialogResized()
    {59, 867, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1178 Plasma::Dialog::dialogVisible(bool)
    {59, 2179, 0, 0, Smoke::mf_slot, 0, 19},	//1179 Plasma::Dialog::syncToGraphicsWidget()
    {59, 1403, 506, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1180 Plasma::Dialog::paintEvent(QPaintEvent*)
    {59, 957, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 21},	//1181 Plasma::Dialog::event(QEvent*)
    {59, 1548, 508, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1182 Plasma::Dialog::resizeEvent(QResizeEvent*)
    {59, 959, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 23},	//1183 Plasma::Dialog::eventFilter(QObject*, QEvent*)
    {59, 1055, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1184 Plasma::Dialog::hideEvent(QHideEvent*)
    {59, 2108, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1185 Plasma::Dialog::showEvent(QShowEvent*)
    {59, 998, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1186 Plasma::Dialog::focusInEvent(QFocusEvent*)
    {59, 1346, 510, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1187 Plasma::Dialog::mouseMoveEvent(QMouseEvent*)
    {59, 1348, 510, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1188 Plasma::Dialog::mousePressEvent(QMouseEvent*)
    {59, 1350, 510, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1189 Plasma::Dialog::mouseReleaseEvent(QMouseEvent*)
    {59, 1185, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1190 Plasma::Dialog::keyPressEvent(QKeyEvent*)
    {59, 1352, 512, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1191 Plasma::Dialog::moveEvent(QMoveEvent*)
    {59, 1083, 514, 1, Smoke::mf_protected, 381, 32},	//1192 Plasma::Dialog::inControlArea(const QPoint&)
    {59, 2227, 1, 1, Smoke::mf_static, 288, 33},	//1193 Plasma::Dialog::tr(const char*)
    {59, 2231, 1, 1, Smoke::mf_static, 288, 34},	//1194 Plasma::Dialog::trUtf8(const char*)
    {59, 140, 0, 0, Smoke::mf_ctor, 89, 35},	//1195 Plasma::Dialog::Dialog()
    {59, 140, 57, 1, Smoke::mf_ctor, 89, 36},	//1196 Plasma::Dialog::Dialog(QWidget*)
    {59, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 37},	//1197 Plasma::Dialog::staticMetaObject() const
    {59, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 38},	//1198 Plasma::Dialog::NoCorner (enum)
    {59, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 39},	//1199 Plasma::Dialog::NorthEast (enum)
    {59, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 40},	//1200 Plasma::Dialog::SouthEast (enum)
    {59, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 41},	//1201 Plasma::Dialog::NorthWest (enum)
    {59, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 42},	//1202 Plasma::Dialog::SouthWest (enum)
    {59, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 43},	//1203 Plasma::Dialog::All (enum)
    {59, 2353, 0, 0, Smoke::mf_dtor, 0, 44 },	//1204 Plasma::Dialog::~Dialog()
    {60, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1205 Plasma::Extender::metaObject() const
    {60, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1206 Plasma::Extender::qt_metacast(const char*)
    {60, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1207 Plasma::Extender::tr(const char*, const char*)
    {60, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1208 Plasma::Extender::trUtf8(const char*, const char*)
    {60, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1209 Plasma::Extender::tr(const char*, const char*, int)
    {60, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1210 Plasma::Extender::trUtf8(const char*, const char*, int)
    {60, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1211 Plasma::Extender::qt_metacall(QMetaObject::Call, int, void**)
    {60, 160, 239, 1, Smoke::mf_ctor, 92, 8},	//1212 Plasma::Extender::Extender(Plasma::Applet*)
    {60, 1762, 89, 1, Smoke::mf_property, 0, 9},	//1213 Plasma::Extender::setEmptyExtenderMessage(const QString&)
    {60, 938, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 10},	//1214 Plasma::Extender::emptyExtenderMessage() const
    {60, 1184, 0, 0, Smoke::mf_const, 244, 11},	//1215 Plasma::Extender::items() const
    {60, 699, 0, 0, Smoke::mf_const, 244, 12},	//1216 Plasma::Extender::attachedItems() const
    {60, 863, 0, 0, Smoke::mf_const, 244, 13},	//1217 Plasma::Extender::detachedItems() const
    {60, 1155, 89, 1, Smoke::mf_const, 95, 14},	//1218 Plasma::Extender::item(const QString&) const
    {60, 1030, 89, 1, Smoke::mf_const, 94, 15},	//1219 Plasma::Extender::group(const QString&) const
    {60, 1044, 89, 1, Smoke::mf_const, 381, 16},	//1220 Plasma::Extender::hasItem(const QString&) const
    {60, 1126, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 17},	//1221 Plasma::Extender::isEmpty() const
    {60, 1630, 516, 1, 0, 0, 18},	//1222 Plasma::Extender::setAppearance(Plasma::Extender::Appearance)
    {60, 678, 0, 0, Smoke::mf_const, 93, 19},	//1223 Plasma::Extender::appearance() const
    {60, 1033, 0, 0, Smoke::mf_const, 243, 20},	//1224 Plasma::Extender::groups() const
    {60, 682, 0, 0, Smoke::mf_const, 51, 21},	//1225 Plasma::Extender::applet() const
    {60, 1159, 518, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1226 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1178, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1227 Plasma::Extender::itemRemovedEvent(Plasma::ExtenderItem*)
    {60, 1172, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1228 Plasma::Extender::itemHoverEnterEvent(Plasma::ExtenderItem*)
    {60, 1176, 518, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1229 Plasma::Extender::itemHoverMoveEvent(Plasma::ExtenderItem*, const QPointF&)
    {60, 1174, 220, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1230 Plasma::Extender::itemHoverLeaveEvent(Plasma::ExtenderItem*)
    {60, 1577, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1231 Plasma::Extender::saveState()
    {60, 944, 220, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 201, 28},	//1232 Plasma::Extender::enabledBordersForItem(Plasma::ExtenderItem*) const
    {60, 1166, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 298, 29},	//1233 Plasma::Extender::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {60, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1234 Plasma::Extender::resizeEvent(QGraphicsSceneResizeEvent*)
    {60, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1235 Plasma::Extender::mousePressEvent(QGraphicsSceneMouseEvent*)
    {60, 881, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1236 Plasma::Extender::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {60, 885, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1237 Plasma::Extender::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {60, 883, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1238 Plasma::Extender::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {60, 911, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1239 Plasma::Extender::dropEvent(QGraphicsSceneDragDropEvent*)
    {60, 1164, 220, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1240 Plasma::Extender::itemAttached(Plasma::ExtenderItem*)
    {60, 1168, 220, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1241 Plasma::Extender::itemDetached(Plasma::ExtenderItem*)
    {60, 1019, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1242 Plasma::Extender::geometryChanged()
    {60, 2227, 1, 1, Smoke::mf_static, 288, 39},	//1243 Plasma::Extender::tr(const char*)
    {60, 2231, 1, 1, Smoke::mf_static, 288, 40},	//1244 Plasma::Extender::trUtf8(const char*)
    {60, 1159, 220, 1, Smoke::mf_protected, 0, 41},	//1245 Plasma::Extender::itemAddedEvent(Plasma::ExtenderItem*)
    {60, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 42},	//1246 Plasma::Extender::staticMetaObject() const
    {60, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 43},	//1247 Plasma::Extender::NoBorders (enum)
    {60, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 44},	//1248 Plasma::Extender::BottomUpStacked (enum)
    {60, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 45},	//1249 Plasma::Extender::TopDownStacked (enum)
    {60, 2354, 0, 0, Smoke::mf_dtor, 0, 46 },	//1250 Plasma::Extender::~Extender()
    {61, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1251 Plasma::ExtenderGroup::metaObject() const
    {61, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1252 Plasma::ExtenderGroup::qt_metacast(const char*)
    {61, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1253 Plasma::ExtenderGroup::tr(const char*, const char*)
    {61, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1254 Plasma::ExtenderGroup::trUtf8(const char*, const char*)
    {61, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1255 Plasma::ExtenderGroup::tr(const char*, const char*, int)
    {61, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1256 Plasma::ExtenderGroup::trUtf8(const char*, const char*, int)
    {61, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1257 Plasma::ExtenderGroup::qt_metacall(QMetaObject::Call, int, void**)
    {61, 162, 521, 2, Smoke::mf_ctor, 94, 8},	//1258 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*, unsigned int)
    {61, 1184, 0, 0, Smoke::mf_const, 244, 9},	//1259 Plasma::ExtenderGroup::items() const
    {61, 705, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 10},	//1260 Plasma::ExtenderGroup::autoHide() const
    {61, 1654, 7, 1, Smoke::mf_property, 0, 11},	//1261 Plasma::ExtenderGroup::setAutoHide(bool)
    {61, 1129, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 12},	//1262 Plasma::ExtenderGroup::isGroupCollapsed() const
    {61, 1116, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 13},	//1263 Plasma::ExtenderGroup::isAutoCollapse() const
    {61, 1650, 7, 1, Smoke::mf_property, 0, 14},	//1264 Plasma::ExtenderGroup::setAutoCollapse(bool)
    {61, 1793, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 15},	//1265 Plasma::ExtenderGroup::setGroupCollapsed(bool)
    {61, 968, 0, 0, Smoke::mf_slot, 0, 16},	//1266 Plasma::ExtenderGroup::expandGroup()
    {61, 746, 0, 0, Smoke::mf_slot, 0, 17},	//1267 Plasma::ExtenderGroup::collapseGroup()
    {61, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1268 Plasma::ExtenderGroup::resizeEvent(QGraphicsSceneResizeEvent*)
    {61, 959, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 19},	//1269 Plasma::ExtenderGroup::eventFilter(QObject*, QEvent*)
    {61, 881, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1270 Plasma::ExtenderGroup::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {61, 885, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1271 Plasma::ExtenderGroup::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {61, 883, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1272 Plasma::ExtenderGroup::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {61, 911, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1273 Plasma::ExtenderGroup::dropEvent(QGraphicsSceneDragDropEvent*)
    {61, 2227, 1, 1, Smoke::mf_static, 288, 24},	//1274 Plasma::ExtenderGroup::tr(const char*)
    {61, 2231, 1, 1, Smoke::mf_static, 288, 25},	//1275 Plasma::ExtenderGroup::trUtf8(const char*)
    {61, 162, 524, 1, Smoke::mf_ctor, 94, 26},	//1276 Plasma::ExtenderGroup::ExtenderGroup(Plasma::Extender*)
    {61, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 27},	//1277 Plasma::ExtenderGroup::staticMetaObject() const
    {61, 2355, 0, 0, Smoke::mf_dtor, 0, 28 },	//1278 Plasma::ExtenderGroup::~ExtenderGroup()
    {62, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1279 Plasma::ExtenderItem::metaObject() const
    {62, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1280 Plasma::ExtenderItem::qt_metacast(const char*)
    {62, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1281 Plasma::ExtenderItem::tr(const char*, const char*)
    {62, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1282 Plasma::ExtenderItem::trUtf8(const char*, const char*)
    {62, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1283 Plasma::ExtenderItem::tr(const char*, const char*, int)
    {62, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1284 Plasma::ExtenderItem::trUtf8(const char*, const char*, int)
    {62, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1285 Plasma::ExtenderItem::qt_metacall(QMetaObject::Call, int, void**)
    {62, 165, 521, 2, Smoke::mf_ctor, 95, 8},	//1286 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*, unsigned int)
    {62, 752, 0, 0, Smoke::mf_const, 8, 9},	//1287 Plasma::ExtenderItem::config() const
    {62, 2080, 161, 1, 0, 0, 10},	//1288 Plasma::ExtenderItem::setWidget(QGraphicsItem*)
    {62, 2312, 0, 0, Smoke::mf_const, 211, 11},	//1289 Plasma::ExtenderItem::widget() const
    {62, 2029, 89, 1, Smoke::mf_property, 0, 12},	//1290 Plasma::ExtenderItem::setTitle(const QString&)
    {62, 2215, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 13},	//1291 Plasma::ExtenderItem::title() const
    {62, 1871, 89, 1, Smoke::mf_property, 0, 14},	//1292 Plasma::ExtenderItem::setName(const QString&)
    {62, 1364, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 15},	//1293 Plasma::ExtenderItem::name() const
    {62, 1814, 89, 1, 0, 0, 16},	//1294 Plasma::ExtenderItem::setIcon(const QString&)
    {62, 1814, 526, 1, Smoke::mf_property, 0, 17},	//1295 Plasma::ExtenderItem::setIcon(const QIcon&)
    {62, 1070, 0, 0, Smoke::mf_const|Smoke::mf_property, 232, 18},	//1296 Plasma::ExtenderItem::icon() const
    {62, 1768, 528, 2, 0, 0, 19},	//1297 Plasma::ExtenderItem::setExtender(Plasma::Extender*, const QPointF&)
    {62, 969, 0, 0, Smoke::mf_const, 92, 20},	//1298 Plasma::ExtenderItem::extender() const
    {62, 1790, 531, 1, 0, 0, 21},	//1299 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*)
    {62, 1790, 533, 2, 0, 0, 22},	//1300 Plasma::ExtenderItem::setGroup(Plasma::ExtenderGroup*, const QPointF&)
    {62, 1030, 0, 0, Smoke::mf_const, 94, 23},	//1301 Plasma::ExtenderItem::group() const
    {62, 1128, 0, 0, Smoke::mf_const, 381, 24},	//1302 Plasma::ExtenderItem::isGroup() const
    {62, 1652, 36, 1, 0, 0, 25},	//1303 Plasma::ExtenderItem::setAutoExpireDelay(unsigned int)
    {62, 704, 0, 0, Smoke::mf_const, 476, 26},	//1304 Plasma::ExtenderItem::autoExpireDelay() const
    {62, 1124, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 27},	//1305 Plasma::ExtenderItem::isDetached() const
    {62, 1122, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 28},	//1306 Plasma::ExtenderItem::isCollapsed() const
    {62, 594, 86, 2, 0, 0, 29},	//1307 Plasma::ExtenderItem::addAction(const QString&, QAction*)
    {62, 577, 89, 1, Smoke::mf_const, 180, 30},	//1308 Plasma::ExtenderItem::action(const QString&) const
    {62, 859, 0, 0, Smoke::mf_slot, 0, 31},	//1309 Plasma::ExtenderItem::destroy()
    {62, 1684, 7, 1, Smoke::mf_property|Smoke::mf_slot, 0, 32},	//1310 Plasma::ExtenderItem::setCollapsed(bool)
    {62, 1558, 0, 0, Smoke::mf_slot, 0, 33},	//1311 Plasma::ExtenderItem::returnToSource()
    {62, 2099, 0, 0, Smoke::mf_slot, 0, 34},	//1312 Plasma::ExtenderItem::showCloseButton()
    {62, 1054, 0, 0, Smoke::mf_slot, 0, 35},	//1313 Plasma::ExtenderItem::hideCloseButton()
    {62, 861, 220, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1314 Plasma::ExtenderItem::destroyed(Plasma::ExtenderItem*)
    {62, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//1315 Plasma::ExtenderItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {62, 1352, 536, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//1316 Plasma::ExtenderItem::moveEvent(QGraphicsSceneMoveEvent*)
    {62, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//1317 Plasma::ExtenderItem::resizeEvent(QGraphicsSceneResizeEvent*)
    {62, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//1318 Plasma::ExtenderItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {62, 1344, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//1319 Plasma::ExtenderItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {62, 1346, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//1320 Plasma::ExtenderItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {62, 1350, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1321 Plasma::ExtenderItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {62, 1067, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//1322 Plasma::ExtenderItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {62, 1065, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1323 Plasma::ExtenderItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {62, 1585, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 46},	//1324 Plasma::ExtenderItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {62, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 47},	//1325 Plasma::ExtenderItem::sizeHint(Qt::SizeHint, const QSizeF&) const
    {62, 2227, 1, 1, Smoke::mf_static, 288, 48},	//1326 Plasma::ExtenderItem::tr(const char*)
    {62, 2231, 1, 1, Smoke::mf_static, 288, 49},	//1327 Plasma::ExtenderItem::trUtf8(const char*)
    {62, 165, 524, 1, Smoke::mf_ctor, 95, 50},	//1328 Plasma::ExtenderItem::ExtenderItem(Plasma::Extender*)
    {62, 1768, 524, 1, 0, 0, 51},	//1329 Plasma::ExtenderItem::setExtender(Plasma::Extender*)
    {62, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 52},	//1330 Plasma::ExtenderItem::staticMetaObject() const
    {62, 2356, 0, 0, Smoke::mf_dtor, 0, 53 },	//1331 Plasma::ExtenderItem::~ExtenderItem()
    {63, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1332 Plasma::FlashingLabel::metaObject() const
    {63, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1333 Plasma::FlashingLabel::qt_metacast(const char*)
    {63, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1334 Plasma::FlashingLabel::tr(const char*, const char*)
    {63, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1335 Plasma::FlashingLabel::trUtf8(const char*, const char*)
    {63, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1336 Plasma::FlashingLabel::tr(const char*, const char*, int)
    {63, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1337 Plasma::FlashingLabel::trUtf8(const char*, const char*, int)
    {63, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1338 Plasma::FlashingLabel::qt_metacall(QMetaObject::Call, int, void**)
    {63, 175, 161, 1, Smoke::mf_ctor, 96, 8},	//1339 Plasma::FlashingLabel::FlashingLabel(QGraphicsItem*)
    {63, 1394, 207, 3, Smoke::mf_virtual, 0, 9},	//1340 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {63, 1005, 0, 0, Smoke::mf_const|Smoke::mf_property, 208, 10},	//1341 Plasma::FlashingLabel::font() const
    {63, 1775, 538, 1, Smoke::mf_property, 0, 11},	//1342 Plasma::FlashingLabel::setFont(const QFont&)
    {63, 749, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 12},	//1343 Plasma::FlashingLabel::color() const
    {63, 1686, 540, 1, Smoke::mf_property, 0, 13},	//1344 Plasma::FlashingLabel::setColor(const QColor&)
    {63, 913, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 14},	//1345 Plasma::FlashingLabel::duration() const
    {63, 1751, 120, 1, Smoke::mf_property, 0, 15},	//1346 Plasma::FlashingLabel::setDuration(int)
    {63, 990, 542, 3, 0, 0, 16},	//1347 Plasma::FlashingLabel::flash(const QString&, int, const QTextOption&)
    {63, 990, 546, 3, 0, 0, 17},	//1348 Plasma::FlashingLabel::flash(const QPixmap&, int, QFlags<Qt::AlignmentFlag>)
    {63, 1658, 7, 1, Smoke::mf_property, 0, 18},	//1349 Plasma::FlashingLabel::setAutohide(bool)
    {63, 707, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 19},	//1350 Plasma::FlashingLabel::autohide() const
    {63, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 20},	//1351 Plasma::FlashingLabel::sizeHint(Qt::SizeHint, const QSizeF&) const
    {63, 1190, 0, 0, Smoke::mf_slot, 0, 21},	//1352 Plasma::FlashingLabel::kill()
    {63, 973, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 22},	//1353 Plasma::FlashingLabel::fadeIn()
    {63, 974, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 23},	//1354 Plasma::FlashingLabel::fadeOut()
    {63, 2227, 1, 1, Smoke::mf_static, 288, 24},	//1355 Plasma::FlashingLabel::tr(const char*)
    {63, 2231, 1, 1, Smoke::mf_static, 288, 25},	//1356 Plasma::FlashingLabel::trUtf8(const char*)
    {63, 175, 0, 0, Smoke::mf_ctor, 96, 26},	//1357 Plasma::FlashingLabel::FlashingLabel()
    {63, 1394, 310, 2, 0, 0, 27},	//1358 Plasma::FlashingLabel::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {63, 990, 89, 1, 0, 0, 28},	//1359 Plasma::FlashingLabel::flash(const QString&)
    {63, 990, 550, 2, 0, 0, 29},	//1360 Plasma::FlashingLabel::flash(const QString&, int)
    {63, 990, 553, 1, 0, 0, 30},	//1361 Plasma::FlashingLabel::flash(const QPixmap&)
    {63, 990, 555, 2, 0, 0, 31},	//1362 Plasma::FlashingLabel::flash(const QPixmap&, int)
    {63, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 32},	//1363 Plasma::FlashingLabel::staticMetaObject() const
    {63, 2357, 0, 0, Smoke::mf_dtor, 0, 33 },	//1364 Plasma::FlashingLabel::~FlashingLabel()
    {64, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1365 Plasma::Frame::metaObject() const
    {64, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1366 Plasma::Frame::qt_metacast(const char*)
    {64, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1367 Plasma::Frame::tr(const char*, const char*)
    {64, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1368 Plasma::Frame::trUtf8(const char*, const char*)
    {64, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1369 Plasma::Frame::tr(const char*, const char*, int)
    {64, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1370 Plasma::Frame::trUtf8(const char*, const char*, int)
    {64, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1371 Plasma::Frame::qt_metacall(QMetaObject::Call, int, void**)
    {64, 182, 116, 1, Smoke::mf_ctor, 99, 8},	//1372 Plasma::Frame::Frame(QGraphicsWidget*)
    {64, 1782, 558, 1, Smoke::mf_property, 0, 9},	//1373 Plasma::Frame::setFrameShadow(Plasma::Frame::Shadow)
    {64, 1014, 0, 0, Smoke::mf_const|Smoke::mf_property, 100, 10},	//1374 Plasma::Frame::frameShadow() const
    {64, 1766, 560, 1, 0, 0, 11},	//1375 Plasma::Frame::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {64, 943, 0, 0, Smoke::mf_const, 201, 12},	//1376 Plasma::Frame::enabledBorders() const
    {64, 2017, 211, 1, Smoke::mf_property, 0, 13},	//1377 Plasma::Frame::setText(QString)
    {64, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 14},	//1378 Plasma::Frame::text() const
    {64, 1821, 89, 1, Smoke::mf_property, 0, 15},	//1379 Plasma::Frame::setImage(const QString&)
    {64, 1074, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 16},	//1380 Plasma::Frame::image() const
    {64, 1987, 89, 1, Smoke::mf_property, 0, 17},	//1381 Plasma::Frame::setStyleSheet(const QString&)
    {64, 2166, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 18},	//1382 Plasma::Frame::styleSheet() const
    {64, 1366, 0, 0, Smoke::mf_const, 303, 19},	//1383 Plasma::Frame::nativeWidget() const
    {64, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1384 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {64, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1385 Plasma::Frame::resizeEvent(QGraphicsSceneResizeEvent*)
    {64, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 22},	//1386 Plasma::Frame::sizeHint(Qt::SizeHint, const QSizeF&) const
    {64, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1387 Plasma::Frame::changeEvent(QEvent*)
    {64, 2227, 1, 1, Smoke::mf_static, 288, 24},	//1388 Plasma::Frame::tr(const char*)
    {64, 2231, 1, 1, Smoke::mf_static, 288, 25},	//1389 Plasma::Frame::trUtf8(const char*)
    {64, 182, 0, 0, Smoke::mf_ctor, 99, 26},	//1390 Plasma::Frame::Frame()
    {64, 1394, 310, 2, Smoke::mf_protected, 0, 27},	//1391 Plasma::Frame::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {64, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 28},	//1392 Plasma::Frame::staticMetaObject() const
    {64, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 29},	//1393 Plasma::Frame::Plain (enum)
    {64, 410, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 30},	//1394 Plasma::Frame::Raised (enum)
    {64, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 31},	//1395 Plasma::Frame::Sunken (enum)
    {64, 2358, 0, 0, Smoke::mf_dtor, 0, 32 },	//1396 Plasma::Frame::~Frame()
    {65, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1397 Plasma::FrameSvg::metaObject() const
    {65, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1398 Plasma::FrameSvg::qt_metacast(const char*)
    {65, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1399 Plasma::FrameSvg::tr(const char*, const char*)
    {65, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1400 Plasma::FrameSvg::trUtf8(const char*, const char*)
    {65, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1401 Plasma::FrameSvg::tr(const char*, const char*, int)
    {65, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1402 Plasma::FrameSvg::trUtf8(const char*, const char*, int)
    {65, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1403 Plasma::FrameSvg::qt_metacall(QMetaObject::Call, int, void**)
    {65, 184, 97, 1, Smoke::mf_ctor, 101, 8},	//1404 Plasma::FrameSvg::FrameSvg(QObject*)
    {65, 1825, 89, 1, 0, 0, 9},	//1405 Plasma::FrameSvg::setImagePath(const QString&)
    {65, 1766, 560, 1, 0, 0, 10},	//1406 Plasma::FrameSvg::setEnabledBorders(const QFlags<Plasma::FrameSvg::EnabledBorder>)
    {65, 943, 0, 0, Smoke::mf_const, 201, 11},	//1407 Plasma::FrameSvg::enabledBorders() const
    {65, 1550, 562, 1, 0, 0, 12},	//1408 Plasma::FrameSvg::resizeFrame(const QSizeF&)
    {65, 1015, 0, 0, Smoke::mf_const, 286, 13},	//1409 Plasma::FrameSvg::frameSize() const
    {65, 1313, 564, 1, Smoke::mf_const, 467, 14},	//1410 Plasma::FrameSvg::marginSize(const Plasma::MarginEdge) const
    {65, 1021, 566, 4, Smoke::mf_const, 0, 15},	//1411 Plasma::FrameSvg::getMargins(double&, double&, double&, double&) const
    {65, 796, 0, 0, Smoke::mf_const, 278, 16},	//1412 Plasma::FrameSvg::contentsRect() const
    {65, 1758, 9, 1, 0, 0, 17},	//1413 Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    {65, 1758, 89, 1, 0, 0, 18},	//1414 Plasma::FrameSvg::setElementPrefix(const QString&)
    {65, 1039, 89, 1, Smoke::mf_const, 381, 19},	//1415 Plasma::FrameSvg::hasElementPrefix(const QString&) const
    {65, 1039, 9, 1, Smoke::mf_const, 381, 20},	//1416 Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    {65, 1446, 0, 0, 0, 288, 21},	//1417 Plasma::FrameSvg::prefix()
    {65, 1315, 0, 0, Smoke::mf_const, 281, 22},	//1418 Plasma::FrameSvg::mask() const
    {65, 661, 0, 0, Smoke::mf_const, 272, 23},	//1419 Plasma::FrameSvg::alphaMask() const
    {65, 1668, 7, 1, 0, 0, 24},	//1420 Plasma::FrameSvg::setCacheAllRenderedFrames(bool)
    {65, 720, 0, 0, Smoke::mf_const, 381, 25},	//1421 Plasma::FrameSvg::cacheAllRenderedFrames() const
    {65, 735, 0, 0, 0, 0, 26},	//1422 Plasma::FrameSvg::clearCache()
    {65, 1013, 0, 0, 0, 272, 27},	//1423 Plasma::FrameSvg::framePixmap()
    {65, 1405, 571, 3, 0, 0, 28},	//1424 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&, const QRectF&)
    {65, 1405, 575, 2, 0, 0, 29},	//1425 Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    {65, 2227, 1, 1, Smoke::mf_static, 288, 30},	//1426 Plasma::FrameSvg::tr(const char*)
    {65, 2231, 1, 1, Smoke::mf_static, 288, 31},	//1427 Plasma::FrameSvg::trUtf8(const char*)
    {65, 184, 0, 0, Smoke::mf_ctor, 101, 32},	//1428 Plasma::FrameSvg::FrameSvg()
    {65, 1405, 578, 2, 0, 0, 33},	//1429 Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    {65, 1405, 581, 1, 0, 0, 34},	//1430 Plasma::FrameSvg::paintFrame(QPainter*)
    {65, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 35},	//1431 Plasma::FrameSvg::staticMetaObject() const
    {65, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 36},	//1432 Plasma::FrameSvg::NoBorder (enum)
    {65, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 37},	//1433 Plasma::FrameSvg::TopBorder (enum)
    {65, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 38},	//1434 Plasma::FrameSvg::BottomBorder (enum)
    {65, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 39},	//1435 Plasma::FrameSvg::LeftBorder (enum)
    {65, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 40},	//1436 Plasma::FrameSvg::RightBorder (enum)
    {65, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 41},	//1437 Plasma::FrameSvg::AllBorders (enum)
    {65, 2359, 0, 0, Smoke::mf_dtor, 0, 42 },	//1438 Plasma::FrameSvg::~FrameSvg()
    {66, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1439 Plasma::GLApplet::metaObject() const
    {66, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1440 Plasma::GLApplet::qt_metacast(const char*)
    {66, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1441 Plasma::GLApplet::tr(const char*, const char*)
    {66, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1442 Plasma::GLApplet::trUtf8(const char*, const char*)
    {66, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1443 Plasma::GLApplet::tr(const char*, const char*, int)
    {66, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1444 Plasma::GLApplet::trUtf8(const char*, const char*, int)
    {66, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1445 Plasma::GLApplet::qt_metacall(QMetaObject::Call, int, void**)
    {66, 188, 583, 3, Smoke::mf_ctor, 103, 8},	//1446 Plasma::GLApplet::GLApplet(QGraphicsItem*, const QString&, int)
    {66, 188, 70, 2, Smoke::mf_ctor, 103, 9},	//1447 Plasma::GLApplet::GLApplet(QObject*, const QList<QVariant>&)
    {66, 716, 587, 2, 0, 476, 10},	//1448 Plasma::GLApplet::bindTexture(const QImage&, unsigned int)
    {66, 854, 36, 1, 0, 0, 11},	//1449 Plasma::GLApplet::deleteTexture(unsigned int)
    {66, 1409, 310, 2, Smoke::mf_virtual, 0, 12},	//1450 Plasma::GLApplet::paintGLInterface(QPainter*, const QStyleOptionGraphicsItem*)
    {66, 1306, 0, 0, 0, 0, 13},	//1451 Plasma::GLApplet::makeCurrent()
    {66, 2227, 1, 1, Smoke::mf_static, 288, 14},	//1452 Plasma::GLApplet::tr(const char*)
    {66, 2231, 1, 1, Smoke::mf_static, 288, 15},	//1453 Plasma::GLApplet::trUtf8(const char*)
    {66, 716, 590, 1, 0, 476, 16},	//1454 Plasma::GLApplet::bindTexture(const QImage&)
    {66, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 17},	//1455 Plasma::GLApplet::staticMetaObject() const
    {66, 2360, 0, 0, Smoke::mf_dtor, 0, 18 },	//1456 Plasma::GLApplet::~GLApplet()
    {67, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1457 Plasma::GroupBox::metaObject() const
    {67, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1458 Plasma::GroupBox::qt_metacast(const char*)
    {67, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1459 Plasma::GroupBox::tr(const char*, const char*)
    {67, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1460 Plasma::GroupBox::trUtf8(const char*, const char*)
    {67, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1461 Plasma::GroupBox::tr(const char*, const char*, int)
    {67, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1462 Plasma::GroupBox::trUtf8(const char*, const char*, int)
    {67, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1463 Plasma::GroupBox::qt_metacall(QMetaObject::Call, int, void**)
    {67, 192, 116, 1, Smoke::mf_ctor, 104, 8},	//1464 Plasma::GroupBox::GroupBox(QGraphicsWidget*)
    {67, 2017, 89, 1, Smoke::mf_property, 0, 9},	//1465 Plasma::GroupBox::setText(const QString&)
    {67, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 10},	//1466 Plasma::GroupBox::text() const
    {67, 1987, 89, 1, Smoke::mf_property, 0, 11},	//1467 Plasma::GroupBox::setStyleSheet(const QString&)
    {67, 2166, 0, 0, Smoke::mf_property, 288, 12},	//1468 Plasma::GroupBox::styleSheet()
    {67, 1366, 0, 0, Smoke::mf_const, 226, 13},	//1469 Plasma::GroupBox::nativeWidget() const
    {67, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1470 Plasma::GroupBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {67, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1471 Plasma::GroupBox::changeEvent(QEvent*)
    {67, 2227, 1, 1, Smoke::mf_static, 288, 16},	//1472 Plasma::GroupBox::tr(const char*)
    {67, 2231, 1, 1, Smoke::mf_static, 288, 17},	//1473 Plasma::GroupBox::trUtf8(const char*)
    {67, 192, 0, 0, Smoke::mf_ctor, 104, 18},	//1474 Plasma::GroupBox::GroupBox()
    {67, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 19},	//1475 Plasma::GroupBox::staticMetaObject() const
    {67, 2361, 0, 0, Smoke::mf_dtor, 0, 20 },	//1476 Plasma::GroupBox::~GroupBox()
    {68, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1477 Plasma::IconWidget::metaObject() const
    {68, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1478 Plasma::IconWidget::qt_metacast(const char*)
    {68, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1479 Plasma::IconWidget::tr(const char*, const char*)
    {68, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1480 Plasma::IconWidget::trUtf8(const char*, const char*)
    {68, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1481 Plasma::IconWidget::tr(const char*, const char*, int)
    {68, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1482 Plasma::IconWidget::trUtf8(const char*, const char*, int)
    {68, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1483 Plasma::IconWidget::qt_metacall(QMetaObject::Call, int, void**)
    {68, 205, 161, 1, Smoke::mf_ctor, 105, 8},	//1484 Plasma::IconWidget::IconWidget(QGraphicsItem*)
    {68, 205, 592, 2, Smoke::mf_ctor, 105, 9},	//1485 Plasma::IconWidget::IconWidget(const QString&, QGraphicsItem*)
    {68, 205, 595, 3, Smoke::mf_ctor, 105, 10},	//1486 Plasma::IconWidget::IconWidget(const QIcon&, const QString&, QGraphicsItem*)
    {68, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 11},	//1487 Plasma::IconWidget::text() const
    {68, 2017, 89, 1, Smoke::mf_property, 0, 12},	//1488 Plasma::IconWidget::setText(const QString&)
    {68, 1993, 77, 2, 0, 0, 13},	//1489 Plasma::IconWidget::setSvg(const QString&, const QString&)
    {68, 2172, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 14},	//1490 Plasma::IconWidget::svg() const
    {68, 1085, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 15},	//1491 Plasma::IconWidget::infoText() const
    {68, 1831, 89, 1, Smoke::mf_property, 0, 16},	//1492 Plasma::IconWidget::setInfoText(const QString&)
    {68, 1070, 0, 0, Smoke::mf_const|Smoke::mf_property, 232, 17},	//1493 Plasma::IconWidget::icon() const
    {68, 1814, 526, 1, Smoke::mf_property, 0, 18},	//1494 Plasma::IconWidget::setIcon(const QIcon&)
    {68, 2200, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 19},	//1495 Plasma::IconWidget::textBackgroundColor() const
    {68, 2019, 540, 1, Smoke::mf_property, 0, 20},	//1496 Plasma::IconWidget::setTextBackgroundColor(const QColor&)
    {68, 1814, 89, 1, 0, 0, 21},	//1497 Plasma::IconWidget::setIcon(const QString&)
    {68, 1071, 0, 0, Smoke::mf_const|Smoke::mf_property, 286, 22},	//1498 Plasma::IconWidget::iconSize() const
    {68, 1908, 562, 1, Smoke::mf_property, 0, 23},	//1499 Plasma::IconWidget::setPreferredIconSize(const QSizeF&)
    {68, 1445, 0, 0, Smoke::mf_const|Smoke::mf_property, 286, 24},	//1500 Plasma::IconWidget::preferredIconSize() const
    {68, 1864, 562, 1, Smoke::mf_property, 0, 25},	//1501 Plasma::IconWidget::setMinimumIconSize(const QSizeF&)
    {68, 1340, 0, 0, Smoke::mf_const|Smoke::mf_property, 286, 26},	//1502 Plasma::IconWidget::minimumIconSize() const
    {68, 1856, 562, 1, Smoke::mf_property, 0, 27},	//1503 Plasma::IconWidget::setMaximumIconSize(const QSizeF&)
    {68, 1325, 0, 0, Smoke::mf_const|Smoke::mf_property, 286, 28},	//1504 Plasma::IconWidget::maximumIconSize() const
    {68, 619, 103, 1, 0, 0, 29},	//1505 Plasma::IconWidget::addIconAction(QAction*)
    {68, 1509, 103, 1, 0, 0, 30},	//1506 Plasma::IconWidget::removeIconAction(QAction*)
    {68, 1620, 103, 1, 0, 0, 31},	//1507 Plasma::IconWidget::setAction(QAction*)
    {68, 577, 0, 0, Smoke::mf_const, 180, 32},	//1508 Plasma::IconWidget::action() const
    {68, 1883, 599, 1, Smoke::mf_property, 0, 33},	//1509 Plasma::IconWidget::setOrientation(Qt::Orientation)
    {68, 1387, 0, 0, Smoke::mf_const|Smoke::mf_property, 351, 34},	//1510 Plasma::IconWidget::orientation() const
    {68, 1112, 7, 1, 0, 0, 35},	//1511 Plasma::IconWidget::invertLayout(bool)
    {68, 1114, 0, 0, Smoke::mf_const, 381, 36},	//1512 Plasma::IconWidget::invertedLayout() const
    {68, 2126, 601, 1, Smoke::mf_const, 286, 37},	//1513 Plasma::IconWidget::sizeFromIconSize(const double) const
    {68, 1371, 0, 0, Smoke::mf_property, 470, 38},	//1514 Plasma::IconWidget::numDisplayLines()
    {68, 1877, 120, 1, Smoke::mf_property, 0, 39},	//1515 Plasma::IconWidget::setNumDisplayLines(int)
    {68, 1747, 7, 1, Smoke::mf_property, 0, 40},	//1516 Plasma::IconWidget::setDrawBackground(bool)
    {68, 892, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 41},	//1517 Plasma::IconWidget::drawBackground() const
    {68, 2092, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 42},	//1518 Plasma::IconWidget::shape() const
    {68, 1910, 7, 1, Smoke::mf_slot, 0, 43},	//1519 Plasma::IconWidget::setPressed(bool)
    {68, 2041, 0, 0, Smoke::mf_slot, 0, 44},	//1520 Plasma::IconWidget::setUnpressed()
    {68, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1521 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {68, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 46},	//1522 Plasma::IconWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {68, 1448, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1523 Plasma::IconWidget::pressed(bool)
    {68, 740, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1524 Plasma::IconWidget::clicked()
    {68, 880, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1525 Plasma::IconWidget::doubleClicked()
    {68, 589, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//1526 Plasma::IconWidget::activated()
    {68, 727, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//1527 Plasma::IconWidget::changed()
    {68, 1125, 0, 0, Smoke::mf_protected, 381, 52},	//1528 Plasma::IconWidget::isDown()
    {68, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1529 Plasma::IconWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {68, 1346, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1530 Plasma::IconWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {68, 1350, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1531 Plasma::IconWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {68, 1344, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1532 Plasma::IconWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {68, 1063, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1533 Plasma::IconWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {68, 1065, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1534 Plasma::IconWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {68, 1585, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 59},	//1535 Plasma::IconWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {68, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1536 Plasma::IconWidget::changeEvent(QEvent*)
    {68, 888, 603, 3, 0, 0, 61},	//1537 Plasma::IconWidget::drawActionButtonBase(QPainter*, const QSize&, int)
    {68, 2227, 1, 1, Smoke::mf_static, 288, 62},	//1538 Plasma::IconWidget::tr(const char*)
    {68, 2231, 1, 1, Smoke::mf_static, 288, 63},	//1539 Plasma::IconWidget::trUtf8(const char*)
    {68, 205, 0, 0, Smoke::mf_ctor, 105, 64},	//1540 Plasma::IconWidget::IconWidget()
    {68, 205, 89, 1, Smoke::mf_ctor, 105, 65},	//1541 Plasma::IconWidget::IconWidget(const QString&)
    {68, 205, 607, 2, Smoke::mf_ctor, 105, 66},	//1542 Plasma::IconWidget::IconWidget(const QIcon&, const QString&)
    {68, 1993, 89, 1, 0, 0, 67},	//1543 Plasma::IconWidget::setSvg(const QString&)
    {68, 1910, 0, 0, Smoke::mf_slot, 0, 68},	//1544 Plasma::IconWidget::setPressed()
    {68, 1394, 310, 2, Smoke::mf_protected, 0, 69},	//1545 Plasma::IconWidget::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {68, 2128, 235, 1, Smoke::mf_const|Smoke::mf_protected, 286, 70},	//1546 Plasma::IconWidget::sizeHint(Qt::SizeHint) const
    {68, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 71},	//1547 Plasma::IconWidget::staticMetaObject() const
    {68, 2362, 0, 0, Smoke::mf_dtor, 0, 72 },	//1548 Plasma::IconWidget::~IconWidget()
    {69, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1549 Plasma::ItemBackground::metaObject() const
    {69, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1550 Plasma::ItemBackground::qt_metacast(const char*)
    {69, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1551 Plasma::ItemBackground::tr(const char*, const char*)
    {69, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1552 Plasma::ItemBackground::trUtf8(const char*, const char*)
    {69, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1553 Plasma::ItemBackground::tr(const char*, const char*, int)
    {69, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1554 Plasma::ItemBackground::trUtf8(const char*, const char*, int)
    {69, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1555 Plasma::ItemBackground::qt_metacall(QMetaObject::Call, int, void**)
    {69, 221, 116, 1, Smoke::mf_ctor, 108, 8},	//1556 Plasma::ItemBackground::ItemBackground(QGraphicsWidget*)
    {69, 2007, 610, 1, Smoke::mf_property, 0, 9},	//1557 Plasma::ItemBackground::setTarget(const QRectF&)
    {69, 2190, 0, 0, Smoke::mf_const|Smoke::mf_property, 278, 10},	//1558 Plasma::ItemBackground::target() const
    {69, 2009, 161, 1, Smoke::mf_property, 0, 11},	//1559 Plasma::ItemBackground::setTargetItem(QGraphicsItem*)
    {69, 2191, 0, 0, Smoke::mf_const|Smoke::mf_property, 211, 12},	//1560 Plasma::ItemBackground::targetItem() const
    {69, 1394, 207, 3, Smoke::mf_virtual, 0, 13},	//1561 Plasma::ItemBackground::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {69, 679, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1562 Plasma::ItemBackground::appearanceChanged()
    {69, 676, 612, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1563 Plasma::ItemBackground::animationStep(qreal)
    {69, 2194, 614, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1564 Plasma::ItemBackground::targetReached(QRectF)
    {69, 2192, 161, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1565 Plasma::ItemBackground::targetItemReached(QGraphicsItem*)
    {69, 1166, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 298, 18},	//1566 Plasma::ItemBackground::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {69, 959, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 19},	//1567 Plasma::ItemBackground::eventFilter(QObject*, QEvent*)
    {69, 1585, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 20},	//1568 Plasma::ItemBackground::sceneEventFilter(QGraphicsItem*, QEvent*)
    {69, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1569 Plasma::ItemBackground::resizeEvent(QGraphicsSceneResizeEvent*)
    {69, 2227, 1, 1, Smoke::mf_static, 288, 22},	//1570 Plasma::ItemBackground::tr(const char*)
    {69, 2231, 1, 1, Smoke::mf_static, 288, 23},	//1571 Plasma::ItemBackground::trUtf8(const char*)
    {69, 221, 0, 0, Smoke::mf_ctor, 108, 24},	//1572 Plasma::ItemBackground::ItemBackground()
    {69, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 25},	//1573 Plasma::ItemBackground::staticMetaObject() const
    {69, 2363, 0, 0, Smoke::mf_dtor, 0, 26 },	//1574 Plasma::ItemBackground::~ItemBackground()
    {70, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1575 Plasma::Label::metaObject() const
    {70, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1576 Plasma::Label::qt_metacast(const char*)
    {70, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1577 Plasma::Label::tr(const char*, const char*)
    {70, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1578 Plasma::Label::trUtf8(const char*, const char*)
    {70, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1579 Plasma::Label::tr(const char*, const char*, int)
    {70, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1580 Plasma::Label::trUtf8(const char*, const char*, int)
    {70, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1581 Plasma::Label::qt_metacall(QMetaObject::Call, int, void**)
    {70, 298, 116, 1, Smoke::mf_ctor, 111, 8},	//1582 Plasma::Label::Label(QGraphicsWidget*)
    {70, 2017, 89, 1, Smoke::mf_property, 0, 9},	//1583 Plasma::Label::setText(const QString&)
    {70, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 10},	//1584 Plasma::Label::text() const
    {70, 1821, 89, 1, Smoke::mf_property, 0, 11},	//1585 Plasma::Label::setImage(const QString&)
    {70, 1074, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 12},	//1586 Plasma::Label::image() const
    {70, 1624, 616, 1, 0, 0, 13},	//1587 Plasma::Label::setAlignment(QFlags<Qt::AlignmentFlag>)
    {70, 658, 0, 0, Smoke::mf_const, 204, 14},	//1588 Plasma::Label::alignment() const
    {70, 1944, 7, 1, Smoke::mf_property, 0, 15},	//1589 Plasma::Label::setScaledContents(bool)
    {70, 1048, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 16},	//1590 Plasma::Label::hasScaledContents() const
    {70, 2021, 7, 1, Smoke::mf_property, 0, 17},	//1591 Plasma::Label::setTextSelectable(bool)
    {70, 2205, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 18},	//1592 Plasma::Label::textSelectable() const
    {70, 2086, 7, 1, Smoke::mf_property, 0, 19},	//1593 Plasma::Label::setWordWrap(bool)
    {70, 2321, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 20},	//1594 Plasma::Label::wordWrap() const
    {70, 1987, 89, 1, Smoke::mf_property, 0, 21},	//1595 Plasma::Label::setStyleSheet(const QString&)
    {70, 2166, 0, 0, Smoke::mf_property, 288, 22},	//1596 Plasma::Label::styleSheet()
    {70, 1366, 0, 0, Smoke::mf_const, 236, 23},	//1597 Plasma::Label::nativeWidget() const
    {70, 1216, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1598 Plasma::Label::linkActivated(const QString&)
    {70, 1219, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1599 Plasma::Label::linkHovered(const QString&)
    {70, 849, 458, 2, Smoke::mf_slot, 0, 26},	//1600 Plasma::Label::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {70, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//1601 Plasma::Label::resizeEvent(QGraphicsSceneResizeEvent*)
    {70, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1602 Plasma::Label::mousePressEvent(QGraphicsSceneMouseEvent*)
    {70, 1346, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1603 Plasma::Label::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {70, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1604 Plasma::Label::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {70, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1605 Plasma::Label::changeEvent(QEvent*)
    {70, 957, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 32},	//1606 Plasma::Label::event(QEvent*)
    {70, 1166, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 298, 33},	//1607 Plasma::Label::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {70, 804, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1608 Plasma::Label::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {70, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 35},	//1609 Plasma::Label::sizeHint(Qt::SizeHint, const QSizeF&) const
    {70, 2227, 1, 1, Smoke::mf_static, 288, 36},	//1610 Plasma::Label::tr(const char*)
    {70, 2231, 1, 1, Smoke::mf_static, 288, 37},	//1611 Plasma::Label::trUtf8(const char*)
    {70, 298, 0, 0, Smoke::mf_ctor, 111, 38},	//1612 Plasma::Label::Label()
    {70, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 39},	//1613 Plasma::Label::staticMetaObject() const
    {70, 2364, 0, 0, Smoke::mf_dtor, 0, 40 },	//1614 Plasma::Label::~Label()
    {71, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1615 Plasma::LineEdit::metaObject() const
    {71, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1616 Plasma::LineEdit::qt_metacast(const char*)
    {71, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1617 Plasma::LineEdit::tr(const char*, const char*)
    {71, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1618 Plasma::LineEdit::trUtf8(const char*, const char*)
    {71, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1619 Plasma::LineEdit::tr(const char*, const char*, int)
    {71, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1620 Plasma::LineEdit::trUtf8(const char*, const char*, int)
    {71, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1621 Plasma::LineEdit::qt_metacall(QMetaObject::Call, int, void**)
    {71, 308, 116, 1, Smoke::mf_ctor, 112, 8},	//1622 Plasma::LineEdit::LineEdit(QGraphicsWidget*)
    {71, 2017, 89, 1, Smoke::mf_property, 0, 9},	//1623 Plasma::LineEdit::setText(const QString&)
    {71, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 10},	//1624 Plasma::LineEdit::text() const
    {71, 1678, 7, 1, Smoke::mf_property, 0, 11},	//1625 Plasma::LineEdit::setClearButtonShown(bool)
    {71, 1120, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 12},	//1626 Plasma::LineEdit::isClearButtonShown() const
    {71, 1680, 89, 1, Smoke::mf_property, 0, 13},	//1627 Plasma::LineEdit::setClickMessage(const QString&)
    {71, 739, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 14},	//1628 Plasma::LineEdit::clickMessage() const
    {71, 1987, 89, 1, Smoke::mf_property, 0, 15},	//1629 Plasma::LineEdit::setStyleSheet(const QString&)
    {71, 2166, 0, 0, Smoke::mf_property, 288, 16},	//1630 Plasma::LineEdit::styleSheet()
    {71, 1873, 618, 1, 0, 0, 17},	//1631 Plasma::LineEdit::setNativeWidget(KLineEdit*)
    {71, 1366, 0, 0, Smoke::mf_const, 13, 18},	//1632 Plasma::LineEdit::nativeWidget() const
    {71, 1063, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1633 Plasma::LineEdit::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {71, 1065, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1634 Plasma::LineEdit::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {71, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1635 Plasma::LineEdit::changeEvent(QEvent*)
    {71, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1636 Plasma::LineEdit::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {71, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1637 Plasma::LineEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {71, 1002, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1638 Plasma::LineEdit::focusOutEvent(QFocusEvent*)
    {71, 915, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1639 Plasma::LineEdit::editingFinished()
    {71, 1557, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1640 Plasma::LineEdit::returnPressed()
    {71, 2203, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1641 Plasma::LineEdit::textEdited(const QString&)
    {71, 2201, 89, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1642 Plasma::LineEdit::textChanged(const QString&)
    {71, 2227, 1, 1, Smoke::mf_static, 288, 29},	//1643 Plasma::LineEdit::tr(const char*)
    {71, 2231, 1, 1, Smoke::mf_static, 288, 30},	//1644 Plasma::LineEdit::trUtf8(const char*)
    {71, 308, 0, 0, Smoke::mf_ctor, 112, 31},	//1645 Plasma::LineEdit::LineEdit()
    {71, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 32},	//1646 Plasma::LineEdit::staticMetaObject() const
    {71, 2365, 0, 0, Smoke::mf_dtor, 0, 33 },	//1647 Plasma::LineEdit::~LineEdit()
    {72, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1648 Plasma::Meter::metaObject() const
    {72, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1649 Plasma::Meter::qt_metacast(const char*)
    {72, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1650 Plasma::Meter::tr(const char*, const char*)
    {72, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1651 Plasma::Meter::trUtf8(const char*, const char*)
    {72, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1652 Plasma::Meter::tr(const char*, const char*, int)
    {72, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1653 Plasma::Meter::trUtf8(const char*, const char*, int)
    {72, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1654 Plasma::Meter::qt_metacall(QMetaObject::Call, int, void**)
    {72, 319, 161, 1, Smoke::mf_ctor, 116, 8},	//1655 Plasma::Meter::Meter(QGraphicsItem*)
    {72, 1324, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 9},	//1656 Plasma::Meter::maximum() const
    {72, 1339, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 10},	//1657 Plasma::Meter::minimum() const
    {72, 2281, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 11},	//1658 Plasma::Meter::value() const
    {72, 1993, 89, 1, Smoke::mf_property, 0, 12},	//1659 Plasma::Meter::setSvg(const QString&)
    {72, 2172, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 13},	//1660 Plasma::Meter::svg() const
    {72, 1858, 620, 1, Smoke::mf_property, 0, 14},	//1661 Plasma::Meter::setMeterType(Plasma::Meter::MeterType)
    {72, 1331, 0, 0, Smoke::mf_const|Smoke::mf_property, 117, 15},	//1662 Plasma::Meter::meterType() const
    {72, 1837, 622, 2, 0, 0, 16},	//1663 Plasma::Meter::setLabel(int, const QString&)
    {72, 1193, 120, 1, Smoke::mf_const, 288, 17},	//1664 Plasma::Meter::label(int) const
    {72, 1842, 625, 2, 0, 0, 18},	//1665 Plasma::Meter::setLabelColor(int, const QColor&)
    {72, 1197, 120, 1, Smoke::mf_const, 186, 19},	//1666 Plasma::Meter::labelColor(int) const
    {72, 1844, 628, 2, 0, 0, 20},	//1667 Plasma::Meter::setLabelFont(int, const QFont&)
    {72, 1199, 120, 1, Smoke::mf_const, 208, 21},	//1668 Plasma::Meter::labelFont(int) const
    {72, 1840, 631, 2, 0, 0, 22},	//1669 Plasma::Meter::setLabelAlignment(int, const QFlags<Qt::AlignmentFlag>)
    {72, 1195, 120, 1, Smoke::mf_const, 204, 23},	//1670 Plasma::Meter::labelAlignment(int) const
    {72, 1201, 120, 1, Smoke::mf_const, 278, 24},	//1671 Plasma::Meter::labelRect(int) const
    {72, 849, 458, 2, Smoke::mf_slot, 0, 25},	//1672 Plasma::Meter::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {72, 1854, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 26},	//1673 Plasma::Meter::setMaximum(int)
    {72, 1862, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 27},	//1674 Plasma::Meter::setMinimum(int)
    {72, 2055, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 28},	//1675 Plasma::Meter::setValue(int)
    {72, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1676 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {72, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 30},	//1677 Plasma::Meter::sizeHint(Qt::SizeHint, const QSizeF&) const
    {72, 2227, 1, 1, Smoke::mf_static, 288, 31},	//1678 Plasma::Meter::tr(const char*)
    {72, 2231, 1, 1, Smoke::mf_static, 288, 32},	//1679 Plasma::Meter::trUtf8(const char*)
    {72, 319, 0, 0, Smoke::mf_ctor, 116, 33},	//1680 Plasma::Meter::Meter()
    {72, 1394, 310, 2, Smoke::mf_protected, 0, 34},	//1681 Plasma::Meter::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {72, 2128, 235, 1, Smoke::mf_const|Smoke::mf_protected, 286, 35},	//1682 Plasma::Meter::sizeHint(Qt::SizeHint) const
    {72, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 36},	//1683 Plasma::Meter::staticMetaObject() const
    {72, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 37},	//1684 Plasma::Meter::BarMeterHorizontal (enum)
    {72, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 38},	//1685 Plasma::Meter::BarMeterVertical (enum)
    {72, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 117, 39},	//1686 Plasma::Meter::AnalogMeter (enum)
    {72, 2366, 0, 0, Smoke::mf_dtor, 0, 40 },	//1687 Plasma::Meter::~Meter()
    {73, 360, 634, 3, Smoke::mf_ctor, 118, 1},	//1688 Plasma::Package::Package(const QString&, const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 360, 638, 2, Smoke::mf_ctor, 118, 2},	//1689 Plasma::Package::Package(const QString&, KSharedPtr<Plasma::PackageStructure>)
    {73, 1151, 0, 0, Smoke::mf_const, 381, 3},	//1690 Plasma::Package::isValid() const
    {73, 975, 641, 2, Smoke::mf_const, 288, 4},	//1691 Plasma::Package::filePath(const char*, const QString&) const
    {73, 975, 1, 1, Smoke::mf_const, 288, 5},	//1692 Plasma::Package::filePath(const char*) const
    {73, 954, 1, 1, Smoke::mf_const, 289, 6},	//1693 Plasma::Package::entryList(const char*) const
    {73, 1330, 0, 0, Smoke::mf_const, 119, 7},	//1694 Plasma::Package::metadata() const
    {73, 1893, 89, 1, 0, 0, 8},	//1695 Plasma::Package::setPath(const QString&)
    {73, 1421, 0, 0, Smoke::mf_const, 451, 9},	//1696 Plasma::Package::path() const
    {73, 2164, 0, 0, Smoke::mf_const, 390, 10},	//1697 Plasma::Package::structure() const
    {73, 794, 0, 0, Smoke::mf_const, 288, 11},	//1698 Plasma::Package::contentsHash() const
    {73, 1250, 89, 1, Smoke::mf_static, 289, 12},	//1699 Plasma::Package::listInstalled(const QString&)
    {73, 1252, 89, 1, Smoke::mf_static, 289, 13},	//1700 Plasma::Package::listInstalledPaths(const QString&)
    {73, 1107, 340, 3, Smoke::mf_static, 381, 14},	//1701 Plasma::Package::installPackage(const QString&, const QString&, const QString&)
    {73, 2239, 340, 3, Smoke::mf_static, 381, 15},	//1702 Plasma::Package::uninstallPackage(const QString&, const QString&, const QString&)
    {73, 1477, 644, 2, Smoke::mf_static, 381, 16},	//1703 Plasma::Package::registerPackage(const Plasma::PackageMetadata&, const QString&)
    {73, 824, 647, 4, Smoke::mf_static, 381, 17},	//1704 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&, const QString&)
    {73, 824, 652, 3, Smoke::mf_static, 381, 18},	//1705 Plasma::Package::createPackage(const Plasma::PackageMetadata&, const QString&, const QString&)
    {73, 2367, 0, 0, Smoke::mf_dtor, 0, 19 },	//1706 Plasma::Package::~Package()
    {74, 363, 89, 1, Smoke::mf_ctor, 121, 1},	//1707 Plasma::PackageMetadata::PackageMetadata(const QString&)
    {74, 363, 656, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 121, 2},	//1708 Plasma::PackageMetadata::PackageMetadata(const Plasma::PackageMetadata&)
    {74, 1383, 656, 1, 0, 120, 3},	//1709 Plasma::PackageMetadata::operator=(const Plasma::PackageMetadata&)
    {74, 1151, 0, 0, Smoke::mf_const, 381, 4},	//1710 Plasma::PackageMetadata::isValid() const
    {74, 2322, 89, 1, Smoke::mf_const, 0, 5},	//1711 Plasma::PackageMetadata::write(const QString&) const
    {74, 1465, 89, 1, 0, 0, 6},	//1712 Plasma::PackageMetadata::read(const QString&)
    {74, 1364, 0, 0, Smoke::mf_const, 288, 7},	//1713 Plasma::PackageMetadata::name() const
    {74, 856, 0, 0, Smoke::mf_const, 288, 8},	//1714 Plasma::PackageMetadata::description() const
    {74, 1189, 0, 0, Smoke::mf_const, 289, 9},	//1715 Plasma::PackageMetadata::keywords() const
    {74, 1619, 0, 0, Smoke::mf_const, 288, 10},	//1716 Plasma::PackageMetadata::serviceType() const
    {74, 701, 0, 0, Smoke::mf_const, 288, 11},	//1717 Plasma::PackageMetadata::author() const
    {74, 937, 0, 0, Smoke::mf_const, 288, 12},	//1718 Plasma::PackageMetadata::email() const
    {74, 2284, 0, 0, Smoke::mf_const, 288, 13},	//1719 Plasma::PackageMetadata::version() const
    {74, 2309, 0, 0, Smoke::mf_const, 288, 14},	//1720 Plasma::PackageMetadata::website() const
    {74, 1215, 0, 0, Smoke::mf_const, 288, 15},	//1721 Plasma::PackageMetadata::license() const
    {74, 693, 0, 0, Smoke::mf_const, 288, 16},	//1722 Plasma::PackageMetadata::application() const
    {74, 722, 0, 0, Smoke::mf_const, 288, 17},	//1723 Plasma::PackageMetadata::category() const
    {74, 1542, 0, 0, Smoke::mf_const, 288, 18},	//1724 Plasma::PackageMetadata::requiredVersion() const
    {74, 1433, 0, 0, Smoke::mf_const, 288, 19},	//1725 Plasma::PackageMetadata::pluginName() const
    {74, 1080, 0, 0, Smoke::mf_const, 288, 20},	//1726 Plasma::PackageMetadata::implementationApi() const
    {74, 1497, 0, 0, Smoke::mf_const, 28, 21},	//1727 Plasma::PackageMetadata::remoteLocation() const
    {74, 2236, 0, 0, Smoke::mf_const, 288, 22},	//1728 Plasma::PackageMetadata::type() const
    {74, 1871, 89, 1, 0, 0, 23},	//1729 Plasma::PackageMetadata::setName(const QString&)
    {74, 1737, 89, 1, 0, 0, 24},	//1730 Plasma::PackageMetadata::setDescription(const QString&)
    {74, 1070, 0, 0, Smoke::mf_const, 288, 25},	//1731 Plasma::PackageMetadata::icon() const
    {74, 1814, 89, 1, 0, 0, 26},	//1732 Plasma::PackageMetadata::setIcon(const QString&)
    {74, 1835, 191, 1, 0, 0, 27},	//1733 Plasma::PackageMetadata::setKeywords(const QStringList&)
    {74, 1957, 89, 1, 0, 0, 28},	//1734 Plasma::PackageMetadata::setServiceType(const QString&)
    {74, 1644, 89, 1, 0, 0, 29},	//1735 Plasma::PackageMetadata::setAuthor(const QString&)
    {74, 1760, 89, 1, 0, 0, 30},	//1736 Plasma::PackageMetadata::setEmail(const QString&)
    {74, 2057, 89, 1, 0, 0, 31},	//1737 Plasma::PackageMetadata::setVersion(const QString&)
    {74, 2078, 89, 1, 0, 0, 32},	//1738 Plasma::PackageMetadata::setWebsite(const QString&)
    {74, 1846, 89, 1, 0, 0, 33},	//1739 Plasma::PackageMetadata::setLicense(const QString&)
    {74, 1636, 89, 1, 0, 0, 34},	//1740 Plasma::PackageMetadata::setApplication(const QString&)
    {74, 1672, 89, 1, 0, 0, 35},	//1741 Plasma::PackageMetadata::setCategory(const QString&)
    {74, 1930, 89, 1, 0, 0, 36},	//1742 Plasma::PackageMetadata::setRequiredVersion(const QString&)
    {74, 1924, 110, 1, 0, 0, 37},	//1743 Plasma::PackageMetadata::setRemoteLocation(const KUrl&)
    {74, 2037, 89, 1, 0, 0, 38},	//1744 Plasma::PackageMetadata::setType(const QString&)
    {74, 1899, 89, 1, 0, 0, 39},	//1745 Plasma::PackageMetadata::setPluginName(const QString&)
    {74, 1829, 89, 1, 0, 0, 40},	//1746 Plasma::PackageMetadata::setImplementationApi(const QString&)
    {74, 363, 0, 0, Smoke::mf_ctor, 121, 41},	//1747 Plasma::PackageMetadata::PackageMetadata()
    {74, 2368, 0, 0, Smoke::mf_dtor, 0, 42 },	//1748 Plasma::PackageMetadata::~PackageMetadata()
    {75, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1749 Plasma::PackageStructure::metaObject() const
    {75, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1750 Plasma::PackageStructure::qt_metacast(const char*)
    {75, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1751 Plasma::PackageStructure::tr(const char*, const char*)
    {75, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1752 Plasma::PackageStructure::trUtf8(const char*, const char*)
    {75, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1753 Plasma::PackageStructure::tr(const char*, const char*, int)
    {75, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1754 Plasma::PackageStructure::trUtf8(const char*, const char*, int)
    {75, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1755 Plasma::PackageStructure::qt_metacall(QMetaObject::Call, int, void**)
    {75, 366, 64, 2, Smoke::mf_ctor, 123, 8},	//1756 Plasma::PackageStructure::PackageStructure(QObject*, const QString&)
    {75, 1383, 658, 1, 0, 122, 9},	//1757 Plasma::PackageStructure::operator=(const Plasma::PackageStructure&)
    {75, 1261, 89, 1, Smoke::mf_static, 20, 10},	//1758 Plasma::PackageStructure::load(const QString&)
    {75, 2236, 0, 0, Smoke::mf_const, 288, 11},	//1759 Plasma::PackageStructure::type() const
    {75, 869, 0, 0, Smoke::mf_const, 255, 12},	//1760 Plasma::PackageStructure::directories() const
    {75, 1540, 0, 0, Smoke::mf_const, 255, 13},	//1761 Plasma::PackageStructure::requiredDirectories() const
    {75, 978, 0, 0, Smoke::mf_const, 255, 14},	//1762 Plasma::PackageStructure::files() const
    {75, 1541, 0, 0, Smoke::mf_const, 255, 15},	//1763 Plasma::PackageStructure::requiredFiles() const
    {75, 613, 660, 3, 0, 0, 16},	//1764 Plasma::PackageStructure::addDirectoryDefinition(const char*, const QString&, const QString&)
    {75, 617, 660, 3, 0, 0, 17},	//1765 Plasma::PackageStructure::addFileDefinition(const char*, const QString&, const QString&)
    {75, 1421, 1, 1, Smoke::mf_const, 288, 18},	//1766 Plasma::PackageStructure::path(const char*) const
    {75, 954, 1, 1, 0, 289, 19},	//1767 Plasma::PackageStructure::entryList(const char*)
    {75, 1364, 1, 1, Smoke::mf_const, 288, 20},	//1768 Plasma::PackageStructure::name(const char*) const
    {75, 1928, 664, 2, 0, 0, 21},	//1769 Plasma::PackageStructure::setRequired(const char*, bool)
    {75, 1143, 1, 1, Smoke::mf_const, 381, 22},	//1770 Plasma::PackageStructure::isRequired(const char*) const
    {75, 1728, 667, 1, 0, 0, 23},	//1771 Plasma::PackageStructure::setDefaultMimetypes(QStringList)
    {75, 1860, 669, 2, 0, 0, 24},	//1772 Plasma::PackageStructure::setMimetypes(const char*, QStringList)
    {75, 1337, 1, 1, Smoke::mf_const, 289, 25},	//1773 Plasma::PackageStructure::mimetypes(const char*) const
    {75, 1893, 89, 1, 0, 0, 26},	//1774 Plasma::PackageStructure::setPath(const QString&)
    {75, 1421, 0, 0, Smoke::mf_const, 288, 27},	//1775 Plasma::PackageStructure::path() const
    {75, 1465, 672, 1, 0, 0, 28},	//1776 Plasma::PackageStructure::read(const KConfigBase*)
    {75, 2322, 674, 1, Smoke::mf_const, 0, 29},	//1777 Plasma::PackageStructure::write(KConfigBase*) const
    {75, 1107, 77, 2, Smoke::mf_virtual, 381, 30},	//1778 Plasma::PackageStructure::installPackage(const QString&, const QString&)
    {75, 2239, 77, 2, Smoke::mf_virtual, 381, 31},	//1779 Plasma::PackageStructure::uninstallPackage(const QString&, const QString&)
    {75, 822, 57, 1, Smoke::mf_virtual, 0, 32},	//1780 Plasma::PackageStructure::createNewWidgetBrowser(QWidget*)
    {75, 795, 0, 0, Smoke::mf_const, 288, 33},	//1781 Plasma::PackageStructure::contentsPrefix() const
    {75, 851, 0, 0, Smoke::mf_const, 288, 34},	//1782 Plasma::PackageStructure::defaultPackageRoot() const
    {75, 1613, 0, 0, Smoke::mf_const, 288, 35},	//1783 Plasma::PackageStructure::servicePrefix() const
    {75, 1955, 89, 1, 0, 0, 36},	//1784 Plasma::PackageStructure::setServicePrefix(const QString&)
    {75, 1330, 0, 0, Smoke::mf_virtual, 119, 37},	//1785 Plasma::PackageStructure::metadata()
    {75, 659, 0, 0, Smoke::mf_const, 381, 38},	//1786 Plasma::PackageStructure::allowExternalPaths() const
    {75, 1369, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1787 Plasma::PackageStructure::newWidgetBrowserFinished()
    {75, 1626, 7, 1, Smoke::mf_protected, 0, 40},	//1788 Plasma::PackageStructure::setAllowExternalPaths(bool)
    {75, 1703, 89, 1, Smoke::mf_protected, 0, 41},	//1789 Plasma::PackageStructure::setContentsPrefix(const QString&)
    {75, 1730, 89, 1, Smoke::mf_protected, 0, 42},	//1790 Plasma::PackageStructure::setDefaultPackageRoot(const QString&)
    {75, 1423, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//1791 Plasma::PackageStructure::pathChanged()
    {75, 2227, 1, 1, Smoke::mf_static, 288, 44},	//1792 Plasma::PackageStructure::tr(const char*)
    {75, 2231, 1, 1, Smoke::mf_static, 288, 45},	//1793 Plasma::PackageStructure::trUtf8(const char*)
    {75, 366, 0, 0, Smoke::mf_ctor, 123, 46},	//1794 Plasma::PackageStructure::PackageStructure()
    {75, 366, 97, 1, Smoke::mf_ctor, 123, 47},	//1795 Plasma::PackageStructure::PackageStructure(QObject*)
    {75, 822, 0, 0, 0, 0, 48},	//1796 Plasma::PackageStructure::createNewWidgetBrowser()
    {75, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 49},	//1797 Plasma::PackageStructure::staticMetaObject() const
    {75, 2369, 0, 0, Smoke::mf_dtor, 0, 50 },	//1798 Plasma::PackageStructure::~PackageStructure()
    {76, 384, 0, 0, Smoke::mf_ctor, 124, 1},	//1799 Plasma::PlotColor::PlotColor()
    {76, 384, 676, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 124, 2},	//1800 Plasma::PlotColor::PlotColor(const Plasma::PlotColor&)
    {76, 749, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 187, 3},	//1801 Plasma::PlotColor::color() const
    {76, 1686, 540, 1, Smoke::mf_attribute, 0, 4},	//1802 Plasma::PlotColor::setColor(const QColor&)
    {76, 845, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 187, 5},	//1803 Plasma::PlotColor::darkColor() const
    {76, 1719, 540, 1, Smoke::mf_attribute, 0, 6},	//1804 Plasma::PlotColor::setDarkColor(const QColor&)
    {76, 2370, 0, 0, Smoke::mf_dtor, 0, 7 },	//1805 Plasma::PlotColor::~PlotColor()
    {77, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1806 Plasma::PopupApplet::metaObject() const
    {77, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1807 Plasma::PopupApplet::qt_metacast(const char*)
    {77, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1808 Plasma::PopupApplet::tr(const char*, const char*)
    {77, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1809 Plasma::PopupApplet::trUtf8(const char*, const char*)
    {77, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1810 Plasma::PopupApplet::tr(const char*, const char*, int)
    {77, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1811 Plasma::PopupApplet::trUtf8(const char*, const char*, int)
    {77, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1812 Plasma::PopupApplet::qt_metacall(QMetaObject::Call, int, void**)
    {77, 386, 70, 2, Smoke::mf_ctor, 125, 8},	//1813 Plasma::PopupApplet::PopupApplet(QObject*, const QList<QVariant>&)
    {77, 1905, 526, 1, 0, 0, 9},	//1814 Plasma::PopupApplet::setPopupIcon(const QIcon&)
    {77, 1905, 89, 1, 0, 0, 10},	//1815 Plasma::PopupApplet::setPopupIcon(const QString&)
    {77, 1438, 0, 0, Smoke::mf_const, 232, 11},	//1816 Plasma::PopupApplet::popupIcon() const
    {77, 2312, 0, 0, Smoke::mf_virtual, 303, 12},	//1817 Plasma::PopupApplet::widget()
    {77, 2080, 57, 1, 0, 0, 13},	//1818 Plasma::PopupApplet::setWidget(QWidget*)
    {77, 1029, 0, 0, Smoke::mf_virtual, 225, 14},	//1819 Plasma::PopupApplet::graphicsWidget()
    {77, 1788, 116, 1, 0, 0, 15},	//1820 Plasma::PopupApplet::setGraphicsWidget(QGraphicsWidget*)
    {77, 1439, 0, 0, Smoke::mf_const, 126, 16},	//1821 Plasma::PopupApplet::popupPlacement() const
    {77, 1891, 7, 1, 0, 0, 17},	//1822 Plasma::PopupApplet::setPassivePopup(bool)
    {77, 1134, 0, 0, Smoke::mf_const, 381, 18},	//1823 Plasma::PopupApplet::isPassivePopup() const
    {77, 1137, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 381, 19},	//1824 Plasma::PopupApplet::isPopupShowing() const
    {77, 1057, 0, 0, Smoke::mf_slot, 0, 20},	//1825 Plasma::PopupApplet::hidePopup()
    {77, 2114, 678, 1, Smoke::mf_slot, 0, 21},	//1826 Plasma::PopupApplet::showPopup(uint)
    {77, 2216, 0, 0, Smoke::mf_slot, 0, 22},	//1827 Plasma::PopupApplet::togglePopup()
    {77, 1436, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1828 Plasma::PopupApplet::popupEvent(bool)
    {77, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 24},	//1829 Plasma::PopupApplet::sizeHint(Qt::SizeHint, const QSizeF&) const
    {77, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1830 Plasma::PopupApplet::mousePressEvent(QGraphicsSceneMouseEvent*)
    {77, 1350, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//1831 Plasma::PopupApplet::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {77, 959, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 27},	//1832 Plasma::PopupApplet::eventFilter(QObject*, QEvent*)
    {77, 881, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//1833 Plasma::PopupApplet::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {77, 883, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//1834 Plasma::PopupApplet::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {77, 911, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//1835 Plasma::PopupApplet::dropEvent(QGraphicsSceneDragDropEvent*)
    {77, 2227, 1, 1, Smoke::mf_static, 288, 31},	//1836 Plasma::PopupApplet::tr(const char*)
    {77, 2231, 1, 1, Smoke::mf_static, 288, 32},	//1837 Plasma::PopupApplet::trUtf8(const char*)
    {77, 2114, 0, 0, Smoke::mf_slot, 0, 33},	//1838 Plasma::PopupApplet::showPopup()
    {77, 2128, 235, 1, Smoke::mf_const|Smoke::mf_protected, 286, 34},	//1839 Plasma::PopupApplet::sizeHint(Qt::SizeHint) const
    {77, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 35},	//1840 Plasma::PopupApplet::staticMetaObject() const
    {77, 2371, 0, 0, Smoke::mf_dtor, 0, 36 },	//1841 Plasma::PopupApplet::~PopupApplet()
    {78, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1842 Plasma::PushButton::metaObject() const
    {78, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1843 Plasma::PushButton::qt_metacast(const char*)
    {78, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1844 Plasma::PushButton::tr(const char*, const char*)
    {78, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1845 Plasma::PushButton::trUtf8(const char*, const char*)
    {78, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1846 Plasma::PushButton::tr(const char*, const char*, int)
    {78, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1847 Plasma::PushButton::trUtf8(const char*, const char*, int)
    {78, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1848 Plasma::PushButton::qt_metacall(QMetaObject::Call, int, void**)
    {78, 393, 116, 1, Smoke::mf_ctor, 128, 8},	//1849 Plasma::PushButton::PushButton(QGraphicsWidget*)
    {78, 2017, 89, 1, Smoke::mf_property, 0, 9},	//1850 Plasma::PushButton::setText(const QString&)
    {78, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 10},	//1851 Plasma::PushButton::text() const
    {78, 1821, 89, 1, Smoke::mf_property, 0, 11},	//1852 Plasma::PushButton::setImage(const QString&)
    {78, 1821, 77, 2, 0, 0, 12},	//1853 Plasma::PushButton::setImage(const QString&, const QString&)
    {78, 1074, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 13},	//1854 Plasma::PushButton::image() const
    {78, 1987, 89, 1, Smoke::mf_property, 0, 14},	//1855 Plasma::PushButton::setStyleSheet(const QString&)
    {78, 2166, 0, 0, Smoke::mf_property, 288, 15},	//1856 Plasma::PushButton::styleSheet()
    {78, 1620, 103, 1, 0, 0, 16},	//1857 Plasma::PushButton::setAction(QAction*)
    {78, 577, 0, 0, Smoke::mf_const, 180, 17},	//1858 Plasma::PushButton::action() const
    {78, 1814, 526, 1, Smoke::mf_property, 0, 18},	//1859 Plasma::PushButton::setIcon(const QIcon&)
    {78, 1814, 680, 1, 0, 0, 19},	//1860 Plasma::PushButton::setIcon(const KIcon&)
    {78, 1070, 0, 0, Smoke::mf_const|Smoke::mf_property, 232, 20},	//1861 Plasma::PushButton::icon() const
    {78, 1674, 7, 1, Smoke::mf_property, 0, 21},	//1862 Plasma::PushButton::setCheckable(bool)
    {78, 1118, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 22},	//1863 Plasma::PushButton::isCheckable() const
    {78, 1676, 7, 1, Smoke::mf_property, 0, 23},	//1864 Plasma::PushButton::setChecked(bool)
    {78, 1119, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 24},	//1865 Plasma::PushButton::isChecked() const
    {78, 1125, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 25},	//1866 Plasma::PushButton::isDown() const
    {78, 1366, 0, 0, Smoke::mf_const, 16, 26},	//1867 Plasma::PushButton::nativeWidget() const
    {78, 1448, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1868 Plasma::PushButton::pressed()
    {78, 1488, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1869 Plasma::PushButton::released()
    {78, 740, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1870 Plasma::PushButton::clicked()
    {78, 2217, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1871 Plasma::PushButton::toggled(bool)
    {78, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//1872 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {78, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//1873 Plasma::PushButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {78, 1063, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//1874 Plasma::PushButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {78, 1065, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1875 Plasma::PushButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {78, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1876 Plasma::PushButton::changeEvent(QEvent*)
    {78, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 36},	//1877 Plasma::PushButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {78, 2227, 1, 1, Smoke::mf_static, 288, 37},	//1878 Plasma::PushButton::tr(const char*)
    {78, 2231, 1, 1, Smoke::mf_static, 288, 38},	//1879 Plasma::PushButton::trUtf8(const char*)
    {78, 393, 0, 0, Smoke::mf_ctor, 128, 39},	//1880 Plasma::PushButton::PushButton()
    {78, 1394, 310, 2, Smoke::mf_protected, 0, 40},	//1881 Plasma::PushButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {78, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 41},	//1882 Plasma::PushButton::staticMetaObject() const
    {78, 2372, 0, 0, Smoke::mf_dtor, 0, 42 },	//1883 Plasma::PushButton::~PushButton()
    {79, 405, 682, 1, Smoke::mf_ctor, 131, 1},	//1884 Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    {79, 405, 80, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 131, 2},	//1885 Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    {79, 1383, 80, 1, 0, 130, 3},	//1886 Plasma::QueryMatch::operator=(const Plasma::QueryMatch&)
    {79, 1385, 80, 1, Smoke::mf_const, 381, 4},	//1887 Plasma::QueryMatch::operator==(const Plasma::QueryMatch&) const
    {79, 1381, 80, 1, Smoke::mf_const, 381, 5},	//1888 Plasma::QueryMatch::operator<(const Plasma::QueryMatch&) const
    {79, 1566, 0, 0, Smoke::mf_const, 34, 6},	//1889 Plasma::QueryMatch::runner() const
    {79, 1151, 0, 0, Smoke::mf_const, 381, 7},	//1890 Plasma::QueryMatch::isValid() const
    {79, 2037, 684, 1, 0, 0, 8},	//1891 Plasma::QueryMatch::setType(Plasma::QueryMatch::Type)
    {79, 2236, 0, 0, Smoke::mf_const, 132, 9},	//1892 Plasma::QueryMatch::type() const
    {79, 1922, 686, 1, 0, 0, 10},	//1893 Plasma::QueryMatch::setRelevance(double)
    {79, 1489, 0, 0, Smoke::mf_const, 467, 11},	//1894 Plasma::QueryMatch::relevance() const
    {79, 1561, 688, 1, Smoke::mf_const, 0, 12},	//1895 Plasma::QueryMatch::run(const Plasma::RunnerContext&) const
    {79, 1721, 690, 1, 0, 0, 13},	//1896 Plasma::QueryMatch::setData(const QVariant&)
    {79, 846, 0, 0, Smoke::mf_const, 298, 14},	//1897 Plasma::QueryMatch::data() const
    {79, 1817, 89, 1, 0, 0, 15},	//1898 Plasma::QueryMatch::setId(const QString&)
    {79, 1072, 0, 0, Smoke::mf_const, 288, 16},	//1899 Plasma::QueryMatch::id() const
    {79, 2017, 89, 1, 0, 0, 17},	//1900 Plasma::QueryMatch::setText(const QString&)
    {79, 2199, 0, 0, Smoke::mf_const, 288, 18},	//1901 Plasma::QueryMatch::text() const
    {79, 1991, 89, 1, 0, 0, 19},	//1902 Plasma::QueryMatch::setSubtext(const QString&)
    {79, 2169, 0, 0, Smoke::mf_const, 288, 20},	//1903 Plasma::QueryMatch::subtext() const
    {79, 1814, 526, 1, 0, 0, 21},	//1904 Plasma::QueryMatch::setIcon(const QIcon&)
    {79, 1070, 0, 0, Smoke::mf_const, 232, 22},	//1905 Plasma::QueryMatch::icon() const
    {79, 1764, 7, 1, 0, 0, 23},	//1906 Plasma::QueryMatch::setEnabled(bool)
    {79, 1127, 0, 0, Smoke::mf_const, 381, 24},	//1907 Plasma::QueryMatch::isEnabled() const
    {79, 1607, 0, 0, Smoke::mf_const, 180, 25},	//1908 Plasma::QueryMatch::selectedAction() const
    {79, 1953, 103, 1, 0, 0, 26},	//1909 Plasma::QueryMatch::setSelectedAction(QAction*)
    {79, 1036, 0, 0, Smoke::mf_const, 381, 27},	//1910 Plasma::QueryMatch::hasConfigurationInterface() const
    {79, 815, 57, 1, 0, 0, 28},	//1911 Plasma::QueryMatch::createConfigurationInterface(QWidget*)
    {79, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 29},	//1912 Plasma::QueryMatch::NoMatch (enum)
    {79, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 30},	//1913 Plasma::QueryMatch::CompletionMatch (enum)
    {79, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 31},	//1914 Plasma::QueryMatch::PossibleMatch (enum)
    {79, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 32},	//1915 Plasma::QueryMatch::InformationalMatch (enum)
    {79, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 33},	//1916 Plasma::QueryMatch::HelperMatch (enum)
    {79, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 34},	//1917 Plasma::QueryMatch::ExactMatch (enum)
    {79, 2373, 0, 0, Smoke::mf_dtor, 0, 35 },	//1918 Plasma::QueryMatch::~QueryMatch()
    {80, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1919 Plasma::RadioButton::metaObject() const
    {80, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1920 Plasma::RadioButton::qt_metacast(const char*)
    {80, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1921 Plasma::RadioButton::tr(const char*, const char*)
    {80, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1922 Plasma::RadioButton::trUtf8(const char*, const char*)
    {80, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1923 Plasma::RadioButton::tr(const char*, const char*, int)
    {80, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1924 Plasma::RadioButton::trUtf8(const char*, const char*, int)
    {80, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1925 Plasma::RadioButton::qt_metacall(QMetaObject::Call, int, void**)
    {80, 408, 116, 1, Smoke::mf_ctor, 133, 8},	//1926 Plasma::RadioButton::RadioButton(QGraphicsWidget*)
    {80, 2017, 89, 1, Smoke::mf_property, 0, 9},	//1927 Plasma::RadioButton::setText(const QString&)
    {80, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 10},	//1928 Plasma::RadioButton::text() const
    {80, 1821, 89, 1, Smoke::mf_property, 0, 11},	//1929 Plasma::RadioButton::setImage(const QString&)
    {80, 1074, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 12},	//1930 Plasma::RadioButton::image() const
    {80, 1987, 89, 1, Smoke::mf_property, 0, 13},	//1931 Plasma::RadioButton::setStyleSheet(const QString&)
    {80, 2166, 0, 0, Smoke::mf_property, 288, 14},	//1932 Plasma::RadioButton::styleSheet()
    {80, 1366, 0, 0, Smoke::mf_const, 276, 15},	//1933 Plasma::RadioButton::nativeWidget() const
    {80, 1676, 7, 1, Smoke::mf_property, 0, 16},	//1934 Plasma::RadioButton::setChecked(bool)
    {80, 1119, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 17},	//1935 Plasma::RadioButton::isChecked() const
    {80, 2217, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1936 Plasma::RadioButton::toggled(bool)
    {80, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1937 Plasma::RadioButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {80, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1938 Plasma::RadioButton::changeEvent(QEvent*)
    {80, 2227, 1, 1, Smoke::mf_static, 288, 21},	//1939 Plasma::RadioButton::tr(const char*)
    {80, 2231, 1, 1, Smoke::mf_static, 288, 22},	//1940 Plasma::RadioButton::trUtf8(const char*)
    {80, 408, 0, 0, Smoke::mf_ctor, 133, 23},	//1941 Plasma::RadioButton::RadioButton()
    {80, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 24},	//1942 Plasma::RadioButton::staticMetaObject() const
    {80, 2374, 0, 0, Smoke::mf_dtor, 0, 25 },	//1943 Plasma::RadioButton::~RadioButton()
    {81, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1944 Plasma::RunnerContext::metaObject() const
    {81, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1945 Plasma::RunnerContext::qt_metacast(const char*)
    {81, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1946 Plasma::RunnerContext::tr(const char*, const char*)
    {81, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1947 Plasma::RunnerContext::trUtf8(const char*, const char*)
    {81, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1948 Plasma::RunnerContext::tr(const char*, const char*, int)
    {81, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1949 Plasma::RunnerContext::trUtf8(const char*, const char*, int)
    {81, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1950 Plasma::RunnerContext::qt_metacall(QMetaObject::Call, int, void**)
    {81, 423, 97, 1, Smoke::mf_ctor, 135, 8},	//1951 Plasma::RunnerContext::RunnerContext(QObject*)
    {81, 423, 692, 2, Smoke::mf_ctor, 135, 9},	//1952 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&, QObject*)
    {81, 1383, 688, 1, 0, 134, 10},	//1953 Plasma::RunnerContext::operator=(const Plasma::RunnerContext&)
    {81, 1543, 0, 0, 0, 0, 11},	//1954 Plasma::RunnerContext::reset()
    {81, 1916, 89, 1, 0, 0, 12},	//1955 Plasma::RunnerContext::setQuery(const QString&)
    {81, 1461, 0, 0, Smoke::mf_const, 288, 13},	//1956 Plasma::RunnerContext::query() const
    {81, 2236, 0, 0, Smoke::mf_const, 136, 14},	//1957 Plasma::RunnerContext::type() const
    {81, 1336, 0, 0, Smoke::mf_const, 288, 15},	//1958 Plasma::RunnerContext::mimeType() const
    {81, 1151, 0, 0, Smoke::mf_const, 381, 16},	//1959 Plasma::RunnerContext::isValid() const
    {81, 625, 695, 2, 0, 381, 17},	//1960 Plasma::RunnerContext::addMatches(const QString&, const QList<Plasma::QueryMatch>&)
    {81, 623, 698, 2, 0, 381, 18},	//1961 Plasma::RunnerContext::addMatch(const QString&, const Plasma::QueryMatch&)
    {81, 1511, 701, 1, 0, 381, 19},	//1962 Plasma::RunnerContext::removeMatch(const QString)
    {81, 1513, 703, 1, 0, 381, 20},	//1963 Plasma::RunnerContext::removeMatches(const QStringList)
    {81, 1320, 0, 0, Smoke::mf_const, 248, 21},	//1964 Plasma::RunnerContext::matches() const
    {81, 1316, 89, 1, Smoke::mf_const, 129, 22},	//1965 Plasma::RunnerContext::match(const QString&) const
    {81, 1973, 7, 1, 0, 0, 23},	//1966 Plasma::RunnerContext::setSingleRunnerQueryMode(bool)
    {81, 2123, 0, 0, Smoke::mf_const, 381, 24},	//1967 Plasma::RunnerContext::singleRunnerQueryMode() const
    {81, 1552, 405, 1, 0, 0, 25},	//1968 Plasma::RunnerContext::restore(const KConfigGroup&)
    {81, 1571, 169, 1, 0, 0, 26},	//1969 Plasma::RunnerContext::save(KConfigGroup&)
    {81, 1561, 80, 1, 0, 0, 27},	//1970 Plasma::RunnerContext::run(const Plasma::QueryMatch&)
    {81, 1321, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1971 Plasma::RunnerContext::matchesChanged()
    {81, 2227, 1, 1, Smoke::mf_static, 288, 29},	//1972 Plasma::RunnerContext::tr(const char*)
    {81, 2231, 1, 1, Smoke::mf_static, 288, 30},	//1973 Plasma::RunnerContext::trUtf8(const char*)
    {81, 423, 0, 0, Smoke::mf_ctor, 135, 31},	//1974 Plasma::RunnerContext::RunnerContext()
    {81, 423, 55, 1, Smoke::mf_ctor, 135, 32},	//1975 Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    {81, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 33},	//1976 Plasma::RunnerContext::staticMetaObject() const
    {81, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 34},	//1977 Plasma::RunnerContext::None (enum)
    {81, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 35},	//1978 Plasma::RunnerContext::UnknownType (enum)
    {81, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 36},	//1979 Plasma::RunnerContext::Directory (enum)
    {81, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 37},	//1980 Plasma::RunnerContext::File (enum)
    {81, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 38},	//1981 Plasma::RunnerContext::NetworkLocation (enum)
    {81, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 39},	//1982 Plasma::RunnerContext::Executable (enum)
    {81, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 40},	//1983 Plasma::RunnerContext::ShellCommand (enum)
    {81, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 41},	//1984 Plasma::RunnerContext::Help (enum)
    {81, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 42},	//1985 Plasma::RunnerContext::FileSystem (enum)
    {81, 2375, 0, 0, Smoke::mf_dtor, 0, 43 },	//1986 Plasma::RunnerContext::~RunnerContext()
    {82, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//1987 Plasma::RunnerManager::metaObject() const
    {82, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//1988 Plasma::RunnerManager::qt_metacast(const char*)
    {82, 2227, 43, 2, Smoke::mf_static, 288, 3},	//1989 Plasma::RunnerManager::tr(const char*, const char*)
    {82, 2231, 43, 2, Smoke::mf_static, 288, 4},	//1990 Plasma::RunnerManager::trUtf8(const char*, const char*)
    {82, 2227, 46, 3, Smoke::mf_static, 288, 5},	//1991 Plasma::RunnerManager::tr(const char*, const char*, int)
    {82, 2231, 46, 3, Smoke::mf_static, 288, 6},	//1992 Plasma::RunnerManager::trUtf8(const char*, const char*, int)
    {82, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//1993 Plasma::RunnerManager::qt_metacall(QMetaObject::Call, int, void**)
    {82, 426, 97, 1, Smoke::mf_ctor, 137, 8},	//1994 Plasma::RunnerManager::RunnerManager(QObject*)
    {82, 426, 705, 2, Smoke::mf_ctor, 137, 9},	//1995 Plasma::RunnerManager::RunnerManager(KConfigGroup&, QObject*)
    {82, 1566, 89, 1, Smoke::mf_const, 34, 10},	//1996 Plasma::RunnerManager::runner(const QString&) const
    {82, 2121, 0, 0, Smoke::mf_const, 34, 11},	//1997 Plasma::RunnerManager::singleModeRunner() const
    {82, 1971, 89, 1, 0, 0, 12},	//1998 Plasma::RunnerManager::setSingleModeRunnerId(const QString&)
    {82, 2122, 0, 0, Smoke::mf_const, 288, 13},	//1999 Plasma::RunnerManager::singleModeRunnerId() const
    {82, 2119, 0, 0, Smoke::mf_const, 381, 14},	//2000 Plasma::RunnerManager::singleMode() const
    {82, 1969, 7, 1, 0, 0, 15},	//2001 Plasma::RunnerManager::setSingleMode(bool)
    {82, 1568, 89, 1, Smoke::mf_const, 288, 16},	//2002 Plasma::RunnerManager::runnerName(const QString&) const
    {82, 1570, 0, 0, Smoke::mf_const, 240, 17},	//2003 Plasma::RunnerManager::runners() const
    {82, 2120, 0, 0, Smoke::mf_const, 289, 18},	//2004 Plasma::RunnerManager::singleModeAdvertisedRunnerIds() const
    {82, 1603, 0, 0, Smoke::mf_const, 135, 19},	//2005 Plasma::RunnerManager::searchContext() const
    {82, 1320, 0, 0, Smoke::mf_const, 248, 20},	//2006 Plasma::RunnerManager::matches() const
    {82, 1561, 80, 1, 0, 0, 21},	//2007 Plasma::RunnerManager::run(const Plasma::QueryMatch&)
    {82, 1561, 89, 1, 0, 0, 22},	//2008 Plasma::RunnerManager::run(const QString&)
    {82, 581, 80, 1, 0, 250, 23},	//2009 Plasma::RunnerManager::actionsForMatch(const Plasma::QueryMatch&)
    {82, 1461, 0, 0, Smoke::mf_const, 288, 24},	//2010 Plasma::RunnerManager::query() const
    {82, 1490, 0, 0, 0, 0, 25},	//2011 Plasma::RunnerManager::reloadConfiguration()
    {82, 1628, 191, 1, 0, 0, 26},	//2012 Plasma::RunnerManager::setAllowedRunners(const QStringList&)
    {82, 1289, 99, 1, 0, 0, 27},	//2013 Plasma::RunnerManager::loadRunner(const KSharedPtr<KService>)
    {82, 1289, 89, 1, 0, 0, 28},	//2014 Plasma::RunnerManager::loadRunner(const QString&)
    {82, 660, 0, 0, Smoke::mf_const, 289, 29},	//2015 Plasma::RunnerManager::allowedRunners() const
    {82, 1333, 80, 1, Smoke::mf_const, 261, 30},	//2016 Plasma::RunnerManager::mimeDataForMatch(const Plasma::QueryMatch&) const
    {82, 1333, 89, 1, Smoke::mf_const, 261, 31},	//2017 Plasma::RunnerManager::mimeDataForMatch(const QString&) const
    {82, 2091, 0, 0, Smoke::mf_slot, 0, 32},	//2018 Plasma::RunnerManager::setupMatchSession()
    {82, 1319, 0, 0, Smoke::mf_slot, 0, 33},	//2019 Plasma::RunnerManager::matchSessionComplete()
    {82, 1210, 77, 2, Smoke::mf_slot, 0, 34},	//2020 Plasma::RunnerManager::launchQuery(const QString&, const QString&)
    {82, 1210, 89, 1, Smoke::mf_slot, 0, 35},	//2021 Plasma::RunnerManager::launchQuery(const QString&)
    {82, 965, 77, 2, Smoke::mf_slot, 381, 36},	//2022 Plasma::RunnerManager::execQuery(const QString&, const QString&)
    {82, 965, 89, 1, Smoke::mf_slot, 381, 37},	//2023 Plasma::RunnerManager::execQuery(const QString&)
    {82, 1543, 0, 0, Smoke::mf_slot, 0, 38},	//2024 Plasma::RunnerManager::reset()
    {82, 1321, 708, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//2025 Plasma::RunnerManager::matchesChanged(const QList<Plasma::QueryMatch>&)
    {82, 1463, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2026 Plasma::RunnerManager::queryFinished()
    {82, 2227, 1, 1, Smoke::mf_static, 288, 41},	//2027 Plasma::RunnerManager::tr(const char*)
    {82, 2231, 1, 1, Smoke::mf_static, 288, 42},	//2028 Plasma::RunnerManager::trUtf8(const char*)
    {82, 426, 0, 0, Smoke::mf_ctor, 137, 43},	//2029 Plasma::RunnerManager::RunnerManager()
    {82, 426, 169, 1, Smoke::mf_ctor, 137, 44},	//2030 Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    {82, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 45},	//2031 Plasma::RunnerManager::staticMetaObject() const
    {82, 2376, 0, 0, Smoke::mf_dtor, 0, 46 },	//2032 Plasma::RunnerManager::~RunnerManager()
    {83, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2033 Plasma::RunnerScript::metaObject() const
    {83, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2034 Plasma::RunnerScript::qt_metacast(const char*)
    {83, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2035 Plasma::RunnerScript::tr(const char*, const char*)
    {83, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2036 Plasma::RunnerScript::trUtf8(const char*, const char*)
    {83, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2037 Plasma::RunnerScript::tr(const char*, const char*, int)
    {83, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2038 Plasma::RunnerScript::trUtf8(const char*, const char*, int)
    {83, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2039 Plasma::RunnerScript::qt_metacall(QMetaObject::Call, int, void**)
    {83, 429, 97, 1, Smoke::mf_ctor, 138, 8},	//2040 Plasma::RunnerScript::RunnerScript(QObject*)
    {83, 1940, 682, 1, 0, 0, 9},	//2041 Plasma::RunnerScript::setRunner(Plasma::AbstractRunner*)
    {83, 1566, 0, 0, Smoke::mf_const, 34, 10},	//2042 Plasma::RunnerScript::runner() const
    {83, 1316, 55, 1, Smoke::mf_virtual, 0, 11},	//2043 Plasma::RunnerScript::match(Plasma::RunnerContext&)
    {83, 1561, 59, 2, Smoke::mf_virtual, 0, 12},	//2044 Plasma::RunnerScript::run(const Plasma::RunnerContext&, const Plasma::QueryMatch&)
    {83, 1447, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//2045 Plasma::RunnerScript::prepare()
    {83, 2198, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2046 Plasma::RunnerScript::teardown()
    {83, 827, 57, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2047 Plasma::RunnerScript::createRunOptions(QWidget*)
    {83, 1490, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2048 Plasma::RunnerScript::reloadConfiguration()
    {83, 581, 710, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//2049 Plasma::RunnerScript::actionsForMatch(const Plasma::QueryMatch&, QList<QAction*>*)
    {83, 1304, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 288, 18},	//2050 Plasma::RunnerScript::mainScript() const
    {83, 1388, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 402, 19},	//2051 Plasma::RunnerScript::package() const
    {83, 856, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 20},	//2052 Plasma::RunnerScript::description() const
    {83, 847, 89, 1, Smoke::mf_protected, 83, 21},	//2053 Plasma::RunnerScript::dataEngine(const QString&)
    {83, 752, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 22},	//2054 Plasma::RunnerScript::config() const
    {83, 1819, 62, 1, Smoke::mf_protected, 0, 23},	//2055 Plasma::RunnerScript::setIgnoredTypes(QFlags<Plasma::RunnerContext::Type>)
    {83, 1797, 7, 1, Smoke::mf_protected, 0, 24},	//2056 Plasma::RunnerScript::setHasRunOptions(bool)
    {83, 1979, 73, 1, Smoke::mf_protected, 0, 25},	//2057 Plasma::RunnerScript::setSpeed(Plasma::AbstractRunner::Speed)
    {83, 1914, 75, 1, Smoke::mf_protected, 0, 26},	//2058 Plasma::RunnerScript::setPriority(Plasma::AbstractRunner::Priority)
    {83, 1614, 77, 2, Smoke::mf_const|Smoke::mf_protected, 239, 27},	//2059 Plasma::RunnerScript::serviceQuery(const QString&, const QString&) const
    {83, 594, 82, 3, Smoke::mf_protected, 180, 28},	//2060 Plasma::RunnerScript::addAction(const QString&, const QIcon&, const QString&)
    {83, 594, 86, 2, Smoke::mf_protected, 0, 29},	//2061 Plasma::RunnerScript::addAction(const QString&, QAction*)
    {83, 1500, 89, 1, Smoke::mf_protected, 0, 30},	//2062 Plasma::RunnerScript::removeAction(const QString&)
    {83, 577, 89, 1, Smoke::mf_const|Smoke::mf_protected, 180, 31},	//2063 Plasma::RunnerScript::action(const QString&) const
    {83, 580, 0, 0, Smoke::mf_const|Smoke::mf_protected, 228, 32},	//2064 Plasma::RunnerScript::actions() const
    {83, 733, 0, 0, Smoke::mf_protected, 0, 33},	//2065 Plasma::RunnerScript::clearActions()
    {83, 646, 91, 1, Smoke::mf_protected, 0, 34},	//2066 Plasma::RunnerScript::addSyntax(const Plasma::RunnerSyntax&)
    {83, 1999, 93, 1, Smoke::mf_protected, 0, 35},	//2067 Plasma::RunnerScript::setSyntaxes(const QList<Plasma::RunnerSyntax>&)
    {83, 2227, 1, 1, Smoke::mf_static, 288, 36},	//2068 Plasma::RunnerScript::tr(const char*)
    {83, 2231, 1, 1, Smoke::mf_static, 288, 37},	//2069 Plasma::RunnerScript::trUtf8(const char*)
    {83, 429, 0, 0, Smoke::mf_ctor, 138, 38},	//2070 Plasma::RunnerScript::RunnerScript()
    {83, 1614, 89, 1, Smoke::mf_const|Smoke::mf_protected, 239, 39},	//2071 Plasma::RunnerScript::serviceQuery(const QString&) const
    {83, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 40},	//2072 Plasma::RunnerScript::staticMetaObject() const
    {83, 2377, 0, 0, Smoke::mf_dtor, 0, 41 },	//2073 Plasma::RunnerScript::~RunnerScript()
    {84, 431, 77, 2, Smoke::mf_ctor, 140, 1},	//2074 Plasma::RunnerSyntax::RunnerSyntax(const QString&, const QString&)
    {84, 431, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 140, 2},	//2075 Plasma::RunnerSyntax::RunnerSyntax(const Plasma::RunnerSyntax&)
    {84, 1383, 91, 1, 0, 139, 3},	//2076 Plasma::RunnerSyntax::operator=(const Plasma::RunnerSyntax&)
    {84, 615, 89, 1, 0, 0, 4},	//2077 Plasma::RunnerSyntax::addExampleQuery(const QString&)
    {84, 963, 0, 0, Smoke::mf_const, 289, 5},	//2078 Plasma::RunnerSyntax::exampleQueries() const
    {84, 964, 0, 0, Smoke::mf_const, 289, 6},	//2079 Plasma::RunnerSyntax::exampleQueriesWithTermDescription() const
    {84, 1737, 89, 1, 0, 0, 7},	//2080 Plasma::RunnerSyntax::setDescription(const QString&)
    {84, 856, 0, 0, Smoke::mf_const, 288, 8},	//2081 Plasma::RunnerSyntax::description() const
    {84, 1951, 89, 1, 0, 0, 9},	//2082 Plasma::RunnerSyntax::setSearchTermDescription(const QString&)
    {84, 1604, 0, 0, Smoke::mf_const, 288, 10},	//2083 Plasma::RunnerSyntax::searchTermDescription() const
    {84, 2378, 0, 0, Smoke::mf_dtor, 0, 11 },	//2084 Plasma::RunnerSyntax::~RunnerSyntax()
    {85, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2085 Plasma::ScriptEngine::metaObject() const
    {85, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2086 Plasma::ScriptEngine::qt_metacast(const char*)
    {85, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2087 Plasma::ScriptEngine::tr(const char*, const char*)
    {85, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2088 Plasma::ScriptEngine::trUtf8(const char*, const char*)
    {85, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2089 Plasma::ScriptEngine::tr(const char*, const char*, int)
    {85, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2090 Plasma::ScriptEngine::trUtf8(const char*, const char*, int)
    {85, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2091 Plasma::ScriptEngine::qt_metacall(QMetaObject::Call, int, void**)
    {85, 1086, 0, 0, Smoke::mf_virtual, 381, 8},	//2092 Plasma::ScriptEngine::init()
    {85, 439, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 141, 9},	//2093 Plasma::ScriptEngine::ScriptEngine(QObject*)
    {85, 1304, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 288, 10},	//2094 Plasma::ScriptEngine::mainScript() const
    {85, 1388, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 402, 11},	//2095 Plasma::ScriptEngine::package() const
    {85, 2227, 1, 1, Smoke::mf_static, 288, 12},	//2096 Plasma::ScriptEngine::tr(const char*)
    {85, 2231, 1, 1, Smoke::mf_static, 288, 13},	//2097 Plasma::ScriptEngine::trUtf8(const char*)
    {85, 439, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 141, 14},	//2098 Plasma::ScriptEngine::ScriptEngine()
    {85, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 15},	//2099 Plasma::ScriptEngine::staticMetaObject() const
    {85, 2379, 0, 0, Smoke::mf_dtor, 0, 16 },	//2100 Plasma::ScriptEngine::~ScriptEngine()
    {86, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2101 Plasma::ScrollBar::metaObject() const
    {86, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2102 Plasma::ScrollBar::qt_metacast(const char*)
    {86, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2103 Plasma::ScrollBar::tr(const char*, const char*)
    {86, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2104 Plasma::ScrollBar::trUtf8(const char*, const char*)
    {86, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2105 Plasma::ScrollBar::tr(const char*, const char*, int)
    {86, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2106 Plasma::ScrollBar::trUtf8(const char*, const char*, int)
    {86, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2107 Plasma::ScrollBar::qt_metacall(QMetaObject::Call, int, void**)
    {86, 441, 116, 1, Smoke::mf_ctor, 142, 8},	//2108 Plasma::ScrollBar::ScrollBar(QGraphicsWidget*)
    {86, 1918, 352, 2, 0, 0, 9},	//2109 Plasma::ScrollBar::setRange(int, int)
    {86, 1975, 120, 1, Smoke::mf_property, 0, 10},	//2110 Plasma::ScrollBar::setSingleStep(int)
    {86, 2124, 0, 0, Smoke::mf_property, 470, 11},	//2111 Plasma::ScrollBar::singleStep()
    {86, 1889, 120, 1, Smoke::mf_property, 0, 12},	//2112 Plasma::ScrollBar::setPageStep(int)
    {86, 1393, 0, 0, Smoke::mf_property, 470, 13},	//2113 Plasma::ScrollBar::pageStep()
    {86, 2281, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 14},	//2114 Plasma::ScrollBar::value() const
    {86, 1339, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 15},	//2115 Plasma::ScrollBar::minimum() const
    {86, 1324, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 16},	//2116 Plasma::ScrollBar::maximum() const
    {86, 1987, 89, 1, Smoke::mf_property, 0, 17},	//2117 Plasma::ScrollBar::setStyleSheet(const QString&)
    {86, 2166, 0, 0, Smoke::mf_property, 288, 18},	//2118 Plasma::ScrollBar::styleSheet()
    {86, 1366, 0, 0, Smoke::mf_const, 283, 19},	//2119 Plasma::ScrollBar::nativeWidget() const
    {86, 1387, 0, 0, Smoke::mf_const|Smoke::mf_property, 351, 20},	//2120 Plasma::ScrollBar::orientation() const
    {86, 804, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2121 Plasma::ScrollBar::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {86, 2055, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//2122 Plasma::ScrollBar::setValue(int)
    {86, 1883, 599, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//2123 Plasma::ScrollBar::setOrientation(Qt::Orientation)
    {86, 2282, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2124 Plasma::ScrollBar::valueChanged(int)
    {86, 2227, 1, 1, Smoke::mf_static, 288, 25},	//2125 Plasma::ScrollBar::tr(const char*)
    {86, 2231, 1, 1, Smoke::mf_static, 288, 26},	//2126 Plasma::ScrollBar::trUtf8(const char*)
    {86, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 27},	//2127 Plasma::ScrollBar::staticMetaObject() const
    {86, 2380, 0, 0, Smoke::mf_dtor, 0, 28 },	//2128 Plasma::ScrollBar::~ScrollBar()
    {87, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2129 Plasma::ScrollWidget::metaObject() const
    {87, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2130 Plasma::ScrollWidget::qt_metacast(const char*)
    {87, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2131 Plasma::ScrollWidget::tr(const char*, const char*)
    {87, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2132 Plasma::ScrollWidget::trUtf8(const char*, const char*)
    {87, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2133 Plasma::ScrollWidget::tr(const char*, const char*, int)
    {87, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2134 Plasma::ScrollWidget::trUtf8(const char*, const char*, int)
    {87, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2135 Plasma::ScrollWidget::qt_metacall(QMetaObject::Call, int, void**)
    {87, 444, 116, 1, Smoke::mf_ctor, 143, 8},	//2136 Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    {87, 444, 161, 1, Smoke::mf_ctor, 143, 9},	//2137 Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    {87, 2080, 116, 1, 0, 0, 10},	//2138 Plasma::ScrollWidget::setWidget(QGraphicsWidget*)
    {87, 2312, 0, 0, Smoke::mf_const, 225, 11},	//2139 Plasma::ScrollWidget::widget() const
    {87, 1624, 616, 1, 0, 0, 12},	//2140 Plasma::ScrollWidget::setAlignment(QFlags<Qt::AlignmentFlag>)
    {87, 658, 0, 0, Smoke::mf_const, 204, 13},	//2141 Plasma::ScrollWidget::alignment() const
    {87, 1885, 7, 1, Smoke::mf_property, 0, 14},	//2142 Plasma::ScrollWidget::setOverShoot(bool)
    {87, 1046, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 15},	//2143 Plasma::ScrollWidget::hasOverShoot() const
    {87, 1807, 713, 1, Smoke::mf_property, 0, 16},	//2144 Plasma::ScrollWidget::setHorizontalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 1062, 0, 0, Smoke::mf_const|Smoke::mf_property, 355, 17},	//2145 Plasma::ScrollWidget::horizontalScrollBarPolicy() const
    {87, 2067, 713, 1, Smoke::mf_property, 0, 18},	//2146 Plasma::ScrollWidget::setVerticalScrollBarPolicy(const Qt::ScrollBarPolicy)
    {87, 2294, 0, 0, Smoke::mf_const|Smoke::mf_property, 355, 19},	//2147 Plasma::ScrollWidget::verticalScrollBarPolicy() const
    {87, 951, 610, 1, 0, 0, 20},	//2148 Plasma::ScrollWidget::ensureRectVisible(const QRectF&)
    {87, 949, 161, 1, 0, 0, 21},	//2149 Plasma::ScrollWidget::ensureItemVisible(QGraphicsItem*)
    {87, 1474, 116, 1, 0, 0, 22},	//2150 Plasma::ScrollWidget::registerAsDragHandle(QGraphicsWidget*)
    {87, 2246, 116, 1, 0, 0, 23},	//2151 Plasma::ScrollWidget::unregisterAsDragHandle(QGraphicsWidget*)
    {87, 2299, 0, 0, Smoke::mf_const|Smoke::mf_property, 278, 24},	//2152 Plasma::ScrollWidget::viewportGeometry() const
    {87, 797, 0, 0, Smoke::mf_const|Smoke::mf_property, 286, 25},	//2153 Plasma::ScrollWidget::contentsSize() const
    {87, 1949, 366, 1, Smoke::mf_property, 0, 26},	//2154 Plasma::ScrollWidget::setScrollPosition(const QPointF&)
    {87, 1599, 0, 0, Smoke::mf_const|Smoke::mf_property, 275, 27},	//2155 Plasma::ScrollWidget::scrollPosition() const
    {87, 1977, 562, 1, Smoke::mf_property, 0, 28},	//2156 Plasma::ScrollWidget::setSnapSize(const QSizeF&)
    {87, 2136, 0, 0, Smoke::mf_const|Smoke::mf_property, 286, 29},	//2157 Plasma::ScrollWidget::snapSize() const
    {87, 1987, 89, 1, Smoke::mf_property, 0, 30},	//2158 Plasma::ScrollWidget::setStyleSheet(const QString&)
    {87, 2166, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 31},	//2159 Plasma::ScrollWidget::styleSheet() const
    {87, 1366, 0, 0, Smoke::mf_const, 303, 32},	//2160 Plasma::ScrollWidget::nativeWidget() const
    {87, 1600, 715, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//2161 Plasma::ScrollWidget::scrollStateChanged(QAbstractAnimation::State, QAbstractAnimation::State)
    {87, 2300, 610, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//2162 Plasma::ScrollWidget::viewportGeometryChanged(const QRectF&)
    {87, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2163 Plasma::ScrollWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {87, 1346, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//2164 Plasma::ScrollWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {87, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2165 Plasma::ScrollWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {87, 1350, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//2166 Plasma::ScrollWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {87, 1185, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//2167 Plasma::ScrollWidget::keyPressEvent(QKeyEvent*)
    {87, 2310, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//2168 Plasma::ScrollWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {87, 959, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 41},	//2169 Plasma::ScrollWidget::eventFilter(QObject*, QEvent*)
    {87, 998, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//2170 Plasma::ScrollWidget::focusInEvent(QFocusEvent*)
    {87, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 43},	//2171 Plasma::ScrollWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {87, 1585, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 44},	//2172 Plasma::ScrollWidget::sceneEventFilter(QGraphicsItem*, QEvent*)
    {87, 2227, 1, 1, Smoke::mf_static, 288, 45},	//2173 Plasma::ScrollWidget::tr(const char*)
    {87, 2231, 1, 1, Smoke::mf_static, 288, 46},	//2174 Plasma::ScrollWidget::trUtf8(const char*)
    {87, 444, 0, 0, Smoke::mf_ctor, 143, 47},	//2175 Plasma::ScrollWidget::ScrollWidget()
    {87, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 48},	//2176 Plasma::ScrollWidget::staticMetaObject() const
    {87, 2381, 0, 0, Smoke::mf_dtor, 0, 49 },	//2177 Plasma::ScrollWidget::~ScrollWidget()
    {88, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2178 Plasma::Separator::metaObject() const
    {88, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2179 Plasma::Separator::qt_metacast(const char*)
    {88, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2180 Plasma::Separator::tr(const char*, const char*)
    {88, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2181 Plasma::Separator::trUtf8(const char*, const char*)
    {88, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2182 Plasma::Separator::tr(const char*, const char*, int)
    {88, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2183 Plasma::Separator::trUtf8(const char*, const char*, int)
    {88, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2184 Plasma::Separator::qt_metacall(QMetaObject::Call, int, void**)
    {88, 447, 718, 2, Smoke::mf_ctor, 144, 8},	//2185 Plasma::Separator::Separator(QGraphicsItem*, QFlags<Qt::WindowType>)
    {88, 1883, 599, 1, Smoke::mf_property, 0, 9},	//2186 Plasma::Separator::setOrientation(Qt::Orientation)
    {88, 1387, 0, 0, Smoke::mf_property, 351, 10},	//2187 Plasma::Separator::orientation()
    {88, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//2188 Plasma::Separator::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {88, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 12},	//2189 Plasma::Separator::sizeHint(Qt::SizeHint, const QSizeF&) const
    {88, 2227, 1, 1, Smoke::mf_static, 288, 13},	//2190 Plasma::Separator::tr(const char*)
    {88, 2231, 1, 1, Smoke::mf_static, 288, 14},	//2191 Plasma::Separator::trUtf8(const char*)
    {88, 447, 0, 0, Smoke::mf_ctor, 144, 15},	//2192 Plasma::Separator::Separator()
    {88, 447, 161, 1, Smoke::mf_ctor, 144, 16},	//2193 Plasma::Separator::Separator(QGraphicsItem*)
    {88, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 17},	//2194 Plasma::Separator::staticMetaObject() const
    {88, 2382, 0, 0, Smoke::mf_dtor, 0, 18 },	//2195 Plasma::Separator::~Separator()
    {89, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2196 Plasma::Service::metaObject() const
    {89, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2197 Plasma::Service::qt_metacast(const char*)
    {89, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2198 Plasma::Service::tr(const char*, const char*)
    {89, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2199 Plasma::Service::trUtf8(const char*, const char*)
    {89, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2200 Plasma::Service::tr(const char*, const char*, int)
    {89, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2201 Plasma::Service::trUtf8(const char*, const char*, int)
    {89, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2202 Plasma::Service::qt_metacall(QMetaObject::Call, int, void**)
    {89, 1261, 721, 3, Smoke::mf_static, 145, 8},	//2203 Plasma::Service::load(const QString&, const QList<QVariant>&, QObject*)
    {89, 1261, 140, 2, Smoke::mf_static, 145, 9},	//2204 Plasma::Service::load(const QString&, QObject*)
    {89, 572, 107, 2, Smoke::mf_static, 145, 10},	//2205 Plasma::Service::access(const KUrl&, QObject*)
    {89, 1739, 89, 1, 0, 0, 11},	//2206 Plasma::Service::setDestination(const QString&)
    {89, 858, 0, 0, Smoke::mf_const, 288, 12},	//2207 Plasma::Service::destination() const
    {89, 1379, 0, 0, Smoke::mf_const, 289, 13},	//2208 Plasma::Service::operationNames() const
    {89, 1376, 89, 1, 0, 8, 14},	//2209 Plasma::Service::operationDescription(const QString&)
    {89, 2148, 725, 2, 0, 147, 15},	//2210 Plasma::Service::startOperationCall(const KConfigGroup&, QObject*)
    {89, 1132, 89, 1, Smoke::mf_const, 381, 16},	//2211 Plasma::Service::isOperationEnabled(const QString&) const
    {89, 1364, 0, 0, Smoke::mf_const, 288, 17},	//2212 Plasma::Service::name() const
    {89, 695, 728, 2, 0, 0, 18},	//2213 Plasma::Service::associateWidget(QWidget*, const QString&)
    {89, 870, 57, 1, 0, 0, 19},	//2214 Plasma::Service::disassociateWidget(QWidget*)
    {89, 695, 731, 2, 0, 0, 20},	//2215 Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    {89, 870, 116, 1, 0, 0, 21},	//2216 Plasma::Service::disassociateWidget(QGraphicsWidget*)
    {89, 1417, 405, 1, 0, 257, 22},	//2217 Plasma::Service::parametersFromDescription(const KConfigGroup&)
    {89, 988, 734, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2218 Plasma::Service::finished(Plasma::ServiceJob*)
    {89, 1380, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2219 Plasma::Service::operationsChanged()
    {89, 1617, 736, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2220 Plasma::Service::serviceReady(Plasma::Service*)
    {89, 450, 97, 1, Smoke::mf_ctor|Smoke::mf_protected, 145, 26},	//2221 Plasma::Service::Service(QObject*)
    {89, 450, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 145, 27},	//2222 Plasma::Service::Service(QObject*, const QList<QVariant>&)
    {89, 820, 738, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 28},	//2223 Plasma::Service::createJob(const QString&, QMap<QString,QVariant>&) [pure virtual]
    {89, 1476, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2224 Plasma::Service::registerOperationsScheme()
    {89, 1881, 741, 1, Smoke::mf_protected, 0, 30},	//2225 Plasma::Service::setOperationsScheme(QIODevice*)
    {89, 1871, 89, 1, Smoke::mf_protected, 0, 31},	//2226 Plasma::Service::setName(const QString&)
    {89, 1879, 188, 2, Smoke::mf_protected, 0, 32},	//2227 Plasma::Service::setOperationEnabled(const QString&, bool)
    {89, 2227, 1, 1, Smoke::mf_static, 288, 33},	//2228 Plasma::Service::tr(const char*)
    {89, 2231, 1, 1, Smoke::mf_static, 288, 34},	//2229 Plasma::Service::trUtf8(const char*)
    {89, 1261, 388, 2, Smoke::mf_static, 145, 35},	//2230 Plasma::Service::load(const QString&, const QList<QVariant>&)
    {89, 1261, 89, 1, Smoke::mf_static, 145, 36},	//2231 Plasma::Service::load(const QString&)
    {89, 572, 110, 1, Smoke::mf_static, 145, 37},	//2232 Plasma::Service::access(const KUrl&)
    {89, 2148, 405, 1, 0, 147, 38},	//2233 Plasma::Service::startOperationCall(const KConfigGroup&)
    {89, 450, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 145, 39},	//2234 Plasma::Service::Service()
    {89, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 40},	//2235 Plasma::Service::staticMetaObject() const
    {89, 2383, 0, 0, Smoke::mf_dtor, 0, 41 },	//2236 Plasma::Service::~Service()
    {90, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2237 Plasma::ServiceAccessJob::metaObject() const
    {90, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2238 Plasma::ServiceAccessJob::qt_metacast(const char*)
    {90, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2239 Plasma::ServiceAccessJob::tr(const char*, const char*)
    {90, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2240 Plasma::ServiceAccessJob::trUtf8(const char*, const char*)
    {90, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2241 Plasma::ServiceAccessJob::tr(const char*, const char*, int)
    {90, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2242 Plasma::ServiceAccessJob::trUtf8(const char*, const char*, int)
    {90, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2243 Plasma::ServiceAccessJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 1609, 0, 0, Smoke::mf_const, 145, 8},	//2244 Plasma::ServiceAccessJob::service() const
    {90, 453, 743, 2, Smoke::mf_ctor|Smoke::mf_protected, 146, 9},	//2245 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl, QObject*)
    {90, 2147, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//2246 Plasma::ServiceAccessJob::start()
    {90, 2227, 1, 1, Smoke::mf_static, 288, 11},	//2247 Plasma::ServiceAccessJob::tr(const char*)
    {90, 2231, 1, 1, Smoke::mf_static, 288, 12},	//2248 Plasma::ServiceAccessJob::trUtf8(const char*)
    {90, 453, 746, 1, Smoke::mf_ctor|Smoke::mf_protected, 146, 13},	//2249 Plasma::ServiceAccessJob::ServiceAccessJob(KUrl)
    {90, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 14},	//2250 Plasma::ServiceAccessJob::staticMetaObject() const
    {90, 2384, 0, 0, Smoke::mf_dtor, 0, 15 },	//2251 Plasma::ServiceAccessJob::~ServiceAccessJob()
    {91, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2252 Plasma::ServiceJob::metaObject() const
    {91, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2253 Plasma::ServiceJob::qt_metacast(const char*)
    {91, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2254 Plasma::ServiceJob::tr(const char*, const char*)
    {91, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2255 Plasma::ServiceJob::trUtf8(const char*, const char*)
    {91, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2256 Plasma::ServiceJob::tr(const char*, const char*, int)
    {91, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2257 Plasma::ServiceJob::trUtf8(const char*, const char*, int)
    {91, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2258 Plasma::ServiceJob::qt_metacall(QMetaObject::Call, int, void**)
    {91, 456, 748, 4, Smoke::mf_ctor, 147, 8},	//2259 Plasma::ServiceJob::ServiceJob(const QString&, const QString&, const QMap<QString,QVariant>&, QObject*)
    {91, 858, 0, 0, Smoke::mf_const, 288, 9},	//2260 Plasma::ServiceJob::destination() const
    {91, 1378, 0, 0, Smoke::mf_const, 288, 10},	//2261 Plasma::ServiceJob::operationName() const
    {91, 1416, 0, 0, Smoke::mf_const, 257, 11},	//2262 Plasma::ServiceJob::parameters() const
    {91, 1556, 0, 0, Smoke::mf_const, 298, 12},	//2263 Plasma::ServiceJob::result() const
    {91, 2147, 0, 0, Smoke::mf_virtual, 0, 13},	//2264 Plasma::ServiceJob::start()
    {91, 1936, 690, 1, Smoke::mf_protected, 0, 14},	//2265 Plasma::ServiceJob::setResult(const QVariant&)
    {91, 2227, 1, 1, Smoke::mf_static, 288, 15},	//2266 Plasma::ServiceJob::tr(const char*)
    {91, 2231, 1, 1, Smoke::mf_static, 288, 16},	//2267 Plasma::ServiceJob::trUtf8(const char*)
    {91, 456, 753, 3, Smoke::mf_ctor, 147, 17},	//2268 Plasma::ServiceJob::ServiceJob(const QString&, const QString&, const QMap<QString,QVariant>&)
    {91, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 18},	//2269 Plasma::ServiceJob::staticMetaObject() const
    {91, 2385, 0, 0, Smoke::mf_dtor, 0, 19 },	//2270 Plasma::ServiceJob::~ServiceJob()
    {92, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2271 Plasma::SignalPlotter::metaObject() const
    {92, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2272 Plasma::SignalPlotter::qt_metacast(const char*)
    {92, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2273 Plasma::SignalPlotter::tr(const char*, const char*)
    {92, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2274 Plasma::SignalPlotter::trUtf8(const char*, const char*)
    {92, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2275 Plasma::SignalPlotter::tr(const char*, const char*, int)
    {92, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2276 Plasma::SignalPlotter::trUtf8(const char*, const char*, int)
    {92, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2277 Plasma::SignalPlotter::qt_metacall(QMetaObject::Call, int, void**)
    {92, 462, 161, 1, Smoke::mf_ctor, 148, 8},	//2278 Plasma::SignalPlotter::SignalPlotter(QGraphicsItem*)
    {92, 629, 540, 1, 0, 0, 9},	//2279 Plasma::SignalPlotter::addPlot(const QColor&)
    {92, 636, 757, 1, 0, 0, 10},	//2280 Plasma::SignalPlotter::addSample(const QList<double>&)
    {92, 1535, 759, 1, 0, 0, 11},	//2281 Plasma::SignalPlotter::reorderPlots(const QList<unsigned int>&)
    {92, 1517, 36, 1, 0, 0, 12},	//2282 Plasma::SignalPlotter::removePlot(unsigned int)
    {92, 1432, 0, 0, 0, 247, 13},	//2283 Plasma::SignalPlotter::plotColors()
    {92, 2029, 89, 1, Smoke::mf_property, 0, 14},	//2284 Plasma::SignalPlotter::setTitle(const QString&)
    {92, 2215, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 15},	//2285 Plasma::SignalPlotter::title() const
    {92, 2039, 89, 1, Smoke::mf_property, 0, 16},	//2286 Plasma::SignalPlotter::setUnit(const QString&)
    {92, 2242, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 17},	//2287 Plasma::SignalPlotter::unit() const
    {92, 1579, 686, 1, 0, 0, 18},	//2288 Plasma::SignalPlotter::scale(double)
    {92, 1581, 0, 0, Smoke::mf_const, 467, 19},	//2289 Plasma::SignalPlotter::scaledBy() const
    {92, 2045, 7, 1, Smoke::mf_property, 0, 20},	//2290 Plasma::SignalPlotter::setUseAutoRange(bool)
    {92, 2272, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 21},	//2291 Plasma::SignalPlotter::useAutoRange() const
    {92, 2065, 761, 2, 0, 0, 22},	//2292 Plasma::SignalPlotter::setVerticalRange(double, double)
    {92, 2293, 0, 0, Smoke::mf_const, 467, 23},	//2293 Plasma::SignalPlotter::verticalMinValue() const
    {92, 2292, 0, 0, Smoke::mf_const, 467, 24},	//2294 Plasma::SignalPlotter::verticalMaxValue() const
    {92, 1805, 36, 1, 0, 0, 25},	//2295 Plasma::SignalPlotter::setHorizontalScale(unsigned int)
    {92, 1061, 0, 0, Smoke::mf_const, 476, 26},	//2296 Plasma::SignalPlotter::horizontalScale() const
    {92, 1965, 7, 1, Smoke::mf_property, 0, 27},	//2297 Plasma::SignalPlotter::setShowVerticalLines(bool)
    {92, 2118, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 28},	//2298 Plasma::SignalPlotter::showVerticalLines() const
    {92, 2059, 540, 1, Smoke::mf_property, 0, 29},	//2299 Plasma::SignalPlotter::setVerticalLinesColor(const QColor&)
    {92, 2289, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 30},	//2300 Plasma::SignalPlotter::verticalLinesColor() const
    {92, 2061, 36, 1, 0, 0, 31},	//2301 Plasma::SignalPlotter::setVerticalLinesDistance(unsigned int)
    {92, 2290, 0, 0, Smoke::mf_const, 476, 32},	//2302 Plasma::SignalPlotter::verticalLinesDistance() const
    {92, 2063, 7, 1, Smoke::mf_property, 0, 33},	//2303 Plasma::SignalPlotter::setVerticalLinesScroll(bool)
    {92, 2291, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 34},	//2304 Plasma::SignalPlotter::verticalLinesScroll() const
    {92, 1959, 7, 1, Smoke::mf_property, 0, 35},	//2305 Plasma::SignalPlotter::setShowHorizontalLines(bool)
    {92, 2110, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 36},	//2306 Plasma::SignalPlotter::showHorizontalLines() const
    {92, 1801, 540, 1, Smoke::mf_property, 0, 37},	//2307 Plasma::SignalPlotter::setHorizontalLinesColor(const QColor&)
    {92, 1059, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 38},	//2308 Plasma::SignalPlotter::horizontalLinesColor() const
    {92, 1778, 540, 1, Smoke::mf_property, 0, 39},	//2309 Plasma::SignalPlotter::setFontColor(const QColor&)
    {92, 1008, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 40},	//2310 Plasma::SignalPlotter::fontColor() const
    {92, 1775, 538, 1, Smoke::mf_property, 0, 41},	//2311 Plasma::SignalPlotter::setFont(const QFont&)
    {92, 1005, 0, 0, Smoke::mf_const|Smoke::mf_property, 208, 42},	//2312 Plasma::SignalPlotter::font() const
    {92, 1803, 36, 1, 0, 0, 43},	//2313 Plasma::SignalPlotter::setHorizontalLinesCount(unsigned int)
    {92, 1060, 0, 0, Smoke::mf_const, 476, 44},	//2314 Plasma::SignalPlotter::horizontalLinesCount() const
    {92, 1961, 7, 1, Smoke::mf_property, 0, 45},	//2315 Plasma::SignalPlotter::setShowLabels(bool)
    {92, 2111, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 46},	//2316 Plasma::SignalPlotter::showLabels() const
    {92, 1963, 7, 1, Smoke::mf_property, 0, 47},	//2317 Plasma::SignalPlotter::setShowTopBar(bool)
    {92, 2117, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 48},	//2318 Plasma::SignalPlotter::showTopBar() const
    {92, 1660, 540, 1, Smoke::mf_property, 0, 49},	//2319 Plasma::SignalPlotter::setBackgroundColor(const QColor&)
    {92, 711, 0, 0, Smoke::mf_const|Smoke::mf_property, 186, 50},	//2320 Plasma::SignalPlotter::backgroundColor() const
    {92, 1997, 89, 1, Smoke::mf_property, 0, 51},	//2321 Plasma::SignalPlotter::setSvgBackground(const QString&)
    {92, 2173, 0, 0, Smoke::mf_property, 288, 52},	//2322 Plasma::SignalPlotter::svgBackground()
    {92, 1206, 36, 1, Smoke::mf_const, 467, 53},	//2323 Plasma::SignalPlotter::lastValue(unsigned int) const
    {92, 1208, 36, 1, Smoke::mf_const, 288, 54},	//2324 Plasma::SignalPlotter::lastValueAsString(unsigned int) const
    {92, 2027, 7, 1, Smoke::mf_property, 0, 55},	//2325 Plasma::SignalPlotter::setThinFrame(bool)
    {92, 2209, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 56},	//2326 Plasma::SignalPlotter::thinFrame() const
    {92, 1981, 7, 1, Smoke::mf_property, 0, 57},	//2327 Plasma::SignalPlotter::setStackPlots(bool)
    {92, 2145, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 58},	//2328 Plasma::SignalPlotter::stackPlots() const
    {92, 1023, 764, 2, 0, 272, 59},	//2329 Plasma::SignalPlotter::getSnapshotImage(unsigned int, unsigned int)
    {92, 1784, 610, 1, Smoke::mf_virtual, 0, 60},	//2330 Plasma::SignalPlotter::setGeometry(const QRectF&)
    {92, 2259, 0, 0, Smoke::mf_protected, 0, 61},	//2331 Plasma::SignalPlotter::updateDataBuffers()
    {92, 721, 0, 0, Smoke::mf_protected, 0, 62},	//2332 Plasma::SignalPlotter::calculateNiceRange()
    {92, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//2333 Plasma::SignalPlotter::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {92, 909, 767, 4, Smoke::mf_protected, 0, 64},	//2334 Plasma::SignalPlotter::drawWidget(QPainter*, unsigned int, unsigned int, int)
    {92, 892, 772, 3, Smoke::mf_protected, 0, 65},	//2335 Plasma::SignalPlotter::drawBackground(QPainter*, int, int)
    {92, 900, 772, 3, Smoke::mf_protected, 0, 66},	//2336 Plasma::SignalPlotter::drawThinFrame(QPainter*, int, int)
    {92, 904, 772, 3, Smoke::mf_protected, 0, 67},	//2337 Plasma::SignalPlotter::drawTopBarFrame(QPainter*, int, int)
    {92, 902, 776, 4, Smoke::mf_protected, 0, 68},	//2338 Plasma::SignalPlotter::drawTopBarContents(QPainter*, int, int, int)
    {92, 906, 776, 4, Smoke::mf_protected, 0, 69},	//2339 Plasma::SignalPlotter::drawVerticalLines(QPainter*, int, int, int)
    {92, 898, 781, 5, Smoke::mf_protected, 0, 70},	//2340 Plasma::SignalPlotter::drawPlots(QPainter*, int, int, int, int)
    {92, 890, 772, 3, Smoke::mf_protected, 0, 71},	//2341 Plasma::SignalPlotter::drawAxisText(QPainter*, int, int)
    {92, 895, 776, 4, Smoke::mf_protected, 0, 72},	//2342 Plasma::SignalPlotter::drawHorizontalLines(QPainter*, int, int, int)
    {92, 2227, 1, 1, Smoke::mf_static, 288, 73},	//2343 Plasma::SignalPlotter::tr(const char*)
    {92, 2231, 1, 1, Smoke::mf_static, 288, 74},	//2344 Plasma::SignalPlotter::trUtf8(const char*)
    {92, 462, 0, 0, Smoke::mf_ctor, 148, 75},	//2345 Plasma::SignalPlotter::SignalPlotter()
    {92, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 76},	//2346 Plasma::SignalPlotter::staticMetaObject() const
    {92, 2386, 0, 0, Smoke::mf_dtor, 0, 77 },	//2347 Plasma::SignalPlotter::~SignalPlotter()
    {93, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2348 Plasma::Slider::metaObject() const
    {93, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2349 Plasma::Slider::qt_metacast(const char*)
    {93, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2350 Plasma::Slider::tr(const char*, const char*)
    {93, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2351 Plasma::Slider::trUtf8(const char*, const char*)
    {93, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2352 Plasma::Slider::tr(const char*, const char*, int)
    {93, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2353 Plasma::Slider::trUtf8(const char*, const char*, int)
    {93, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2354 Plasma::Slider::qt_metacall(QMetaObject::Call, int, void**)
    {93, 468, 116, 1, Smoke::mf_ctor, 149, 8},	//2355 Plasma::Slider::Slider(QGraphicsWidget*)
    {93, 1324, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 9},	//2356 Plasma::Slider::maximum() const
    {93, 1339, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 10},	//2357 Plasma::Slider::minimum() const
    {93, 2281, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 11},	//2358 Plasma::Slider::value() const
    {93, 1387, 0, 0, Smoke::mf_const|Smoke::mf_property, 351, 12},	//2359 Plasma::Slider::orientation() const
    {93, 1987, 89, 1, Smoke::mf_property, 0, 13},	//2360 Plasma::Slider::setStyleSheet(const QString&)
    {93, 2166, 0, 0, Smoke::mf_property, 288, 14},	//2361 Plasma::Slider::styleSheet()
    {93, 1366, 0, 0, Smoke::mf_const, 287, 15},	//2362 Plasma::Slider::nativeWidget() const
    {93, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2363 Plasma::Slider::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {93, 2310, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2364 Plasma::Slider::wheelEvent(QGraphicsSceneWheelEvent*)
    {93, 1854, 120, 1, Smoke::mf_slot, 0, 18},	//2365 Plasma::Slider::setMaximum(int)
    {93, 1862, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 19},	//2366 Plasma::Slider::setMinimum(int)
    {93, 1918, 352, 2, Smoke::mf_slot, 0, 20},	//2367 Plasma::Slider::setRange(int, int)
    {93, 2055, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 21},	//2368 Plasma::Slider::setValue(int)
    {93, 1883, 599, 1, Smoke::mf_property|Smoke::mf_slot, 0, 22},	//2369 Plasma::Slider::setOrientation(Qt::Orientation)
    {93, 2134, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2370 Plasma::Slider::sliderMoved(int)
    {93, 2282, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2371 Plasma::Slider::valueChanged(int)
    {93, 2227, 1, 1, Smoke::mf_static, 288, 25},	//2372 Plasma::Slider::tr(const char*)
    {93, 2231, 1, 1, Smoke::mf_static, 288, 26},	//2373 Plasma::Slider::trUtf8(const char*)
    {93, 468, 0, 0, Smoke::mf_ctor, 149, 27},	//2374 Plasma::Slider::Slider()
    {93, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 28},	//2375 Plasma::Slider::staticMetaObject() const
    {93, 2387, 0, 0, Smoke::mf_dtor, 0, 29 },	//2376 Plasma::Slider::~Slider()
    {94, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2377 Plasma::SpinBox::metaObject() const
    {94, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2378 Plasma::SpinBox::qt_metacast(const char*)
    {94, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2379 Plasma::SpinBox::tr(const char*, const char*)
    {94, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2380 Plasma::SpinBox::trUtf8(const char*, const char*)
    {94, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2381 Plasma::SpinBox::tr(const char*, const char*, int)
    {94, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2382 Plasma::SpinBox::trUtf8(const char*, const char*, int)
    {94, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2383 Plasma::SpinBox::qt_metacall(QMetaObject::Call, int, void**)
    {94, 474, 116, 1, Smoke::mf_ctor, 150, 8},	//2384 Plasma::SpinBox::SpinBox(QGraphicsWidget*)
    {94, 1324, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 9},	//2385 Plasma::SpinBox::maximum() const
    {94, 1339, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 10},	//2386 Plasma::SpinBox::minimum() const
    {94, 2281, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 11},	//2387 Plasma::SpinBox::value() const
    {94, 1987, 89, 1, Smoke::mf_property, 0, 12},	//2388 Plasma::SpinBox::setStyleSheet(const QString&)
    {94, 2166, 0, 0, Smoke::mf_property, 288, 13},	//2389 Plasma::SpinBox::styleSheet()
    {94, 1366, 0, 0, Smoke::mf_const, 12, 14},	//2390 Plasma::SpinBox::nativeWidget() const
    {94, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//2391 Plasma::SpinBox::changeEvent(QEvent*)
    {94, 1063, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2392 Plasma::SpinBox::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {94, 1065, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//2393 Plasma::SpinBox::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {94, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2394 Plasma::SpinBox::resizeEvent(QGraphicsSceneResizeEvent*)
    {94, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2395 Plasma::SpinBox::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {94, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2396 Plasma::SpinBox::mousePressEvent(QGraphicsSceneMouseEvent*)
    {94, 1002, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2397 Plasma::SpinBox::focusOutEvent(QFocusEvent*)
    {94, 1854, 120, 1, Smoke::mf_slot, 0, 22},	//2398 Plasma::SpinBox::setMaximum(int)
    {94, 1862, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 23},	//2399 Plasma::SpinBox::setMinimum(int)
    {94, 1918, 352, 2, Smoke::mf_slot, 0, 24},	//2400 Plasma::SpinBox::setRange(int, int)
    {94, 2055, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 25},	//2401 Plasma::SpinBox::setValue(int)
    {94, 2134, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2402 Plasma::SpinBox::sliderMoved(int)
    {94, 2282, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2403 Plasma::SpinBox::valueChanged(int)
    {94, 915, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2404 Plasma::SpinBox::editingFinished()
    {94, 2227, 1, 1, Smoke::mf_static, 288, 29},	//2405 Plasma::SpinBox::tr(const char*)
    {94, 2231, 1, 1, Smoke::mf_static, 288, 30},	//2406 Plasma::SpinBox::trUtf8(const char*)
    {94, 474, 0, 0, Smoke::mf_ctor, 150, 31},	//2407 Plasma::SpinBox::SpinBox()
    {94, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 32},	//2408 Plasma::SpinBox::staticMetaObject() const
    {94, 2388, 0, 0, Smoke::mf_dtor, 0, 33 },	//2409 Plasma::SpinBox::~SpinBox()
    {95, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2410 Plasma::Svg::metaObject() const
    {95, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2411 Plasma::Svg::qt_metacast(const char*)
    {95, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2412 Plasma::Svg::tr(const char*, const char*)
    {95, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2413 Plasma::Svg::trUtf8(const char*, const char*)
    {95, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2414 Plasma::Svg::tr(const char*, const char*, int)
    {95, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2415 Plasma::Svg::trUtf8(const char*, const char*, int)
    {95, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2416 Plasma::Svg::qt_metacall(QMetaObject::Call, int, void**)
    {95, 489, 97, 1, Smoke::mf_ctor, 151, 8},	//2417 Plasma::Svg::Svg(QObject*)
    {95, 1429, 89, 1, 0, 272, 9},	//2418 Plasma::Svg::pixmap(const QString&)
    {95, 1394, 787, 3, 0, 0, 10},	//2419 Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    {95, 1394, 791, 4, 0, 0, 11},	//2420 Plasma::Svg::paint(QPainter*, int, int, const QString&)
    {95, 1394, 796, 3, 0, 0, 12},	//2421 Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    {95, 1394, 800, 6, 0, 0, 13},	//2422 Plasma::Svg::paint(QPainter*, int, int, int, int, const QString&)
    {95, 2125, 0, 0, Smoke::mf_const|Smoke::mf_property, 285, 14},	//2423 Plasma::Svg::size() const
    {95, 1544, 761, 2, 0, 0, 15},	//2424 Plasma::Svg::resize(double, double)
    {95, 1544, 562, 1, 0, 0, 16},	//2425 Plasma::Svg::resize(const QSizeF&)
    {95, 1544, 0, 0, 0, 0, 17},	//2426 Plasma::Svg::resize()
    {95, 935, 89, 1, Smoke::mf_const, 285, 18},	//2427 Plasma::Svg::elementSize(const QString&) const
    {95, 933, 89, 1, Smoke::mf_const, 278, 19},	//2428 Plasma::Svg::elementRect(const QString&) const
    {95, 1037, 89, 1, Smoke::mf_const, 381, 20},	//2429 Plasma::Svg::hasElement(const QString&) const
    {95, 928, 514, 1, Smoke::mf_const, 288, 21},	//2430 Plasma::Svg::elementAtPoint(const QPoint&) const
    {95, 1151, 0, 0, Smoke::mf_const, 381, 22},	//2431 Plasma::Svg::isValid() const
    {95, 1699, 7, 1, Smoke::mf_property, 0, 23},	//2432 Plasma::Svg::setContainsMultipleImages(bool)
    {95, 793, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 24},	//2433 Plasma::Svg::containsMultipleImages() const
    {95, 1825, 89, 1, Smoke::mf_property, 0, 25},	//2434 Plasma::Svg::setImagePath(const QString&)
    {95, 1075, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 26},	//2435 Plasma::Svg::imagePath() const
    {95, 2051, 7, 1, Smoke::mf_property, 0, 27},	//2436 Plasma::Svg::setUsingRenderingCache(bool)
    {95, 1150, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 28},	//2437 Plasma::Svg::isUsingRenderingCache() const
    {95, 2023, 807, 1, 0, 0, 29},	//2438 Plasma::Svg::setTheme(Plasma::Theme*)
    {95, 2206, 0, 0, Smoke::mf_const, 156, 30},	//2439 Plasma::Svg::theme() const
    {95, 1537, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//2440 Plasma::Svg::repaintNeeded()
    {95, 2227, 1, 1, Smoke::mf_static, 288, 32},	//2441 Plasma::Svg::tr(const char*)
    {95, 2231, 1, 1, Smoke::mf_static, 288, 33},	//2442 Plasma::Svg::trUtf8(const char*)
    {95, 489, 0, 0, Smoke::mf_ctor, 151, 34},	//2443 Plasma::Svg::Svg()
    {95, 1429, 0, 0, 0, 272, 35},	//2444 Plasma::Svg::pixmap()
    {95, 1394, 575, 2, 0, 0, 36},	//2445 Plasma::Svg::paint(QPainter*, const QPointF&)
    {95, 1394, 772, 3, 0, 0, 37},	//2446 Plasma::Svg::paint(QPainter*, int, int)
    {95, 1394, 578, 2, 0, 0, 38},	//2447 Plasma::Svg::paint(QPainter*, const QRectF&)
    {95, 1394, 781, 5, 0, 0, 39},	//2448 Plasma::Svg::paint(QPainter*, int, int, int, int)
    {95, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 40},	//2449 Plasma::Svg::staticMetaObject() const
    {95, 2390, 0, 0, Smoke::mf_dtor, 0, 41 },	//2450 Plasma::Svg::~Svg()
    {96, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2451 Plasma::SvgWidget::metaObject() const
    {96, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2452 Plasma::SvgWidget::qt_metacast(const char*)
    {96, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2453 Plasma::SvgWidget::tr(const char*, const char*)
    {96, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2454 Plasma::SvgWidget::trUtf8(const char*, const char*)
    {96, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2455 Plasma::SvgWidget::tr(const char*, const char*, int)
    {96, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2456 Plasma::SvgWidget::trUtf8(const char*, const char*, int)
    {96, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2457 Plasma::SvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {96, 491, 718, 2, Smoke::mf_ctor, 152, 8},	//2458 Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 491, 809, 4, Smoke::mf_ctor, 152, 9},	//2459 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*, QFlags<Qt::WindowType>)
    {96, 1993, 814, 1, 0, 0, 10},	//2460 Plasma::SvgWidget::setSvg(Plasma::Svg*)
    {96, 2172, 0, 0, Smoke::mf_const, 151, 11},	//2461 Plasma::SvgWidget::svg() const
    {96, 1756, 89, 1, Smoke::mf_property, 0, 12},	//2462 Plasma::SvgWidget::setElementID(const QString&)
    {96, 932, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 13},	//2463 Plasma::SvgWidget::elementID() const
    {96, 1350, 265, 1, Smoke::mf_virtual, 0, 14},	//2464 Plasma::SvgWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {96, 740, 816, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2465 Plasma::SvgWidget::clicked(Qt::MouseButton)
    {96, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//2466 Plasma::SvgWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {96, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 17},	//2467 Plasma::SvgWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {96, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2468 Plasma::SvgWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {96, 2227, 1, 1, Smoke::mf_static, 288, 19},	//2469 Plasma::SvgWidget::tr(const char*)
    {96, 2231, 1, 1, Smoke::mf_static, 288, 20},	//2470 Plasma::SvgWidget::trUtf8(const char*)
    {96, 491, 0, 0, Smoke::mf_ctor, 152, 21},	//2471 Plasma::SvgWidget::SvgWidget()
    {96, 491, 161, 1, Smoke::mf_ctor, 152, 22},	//2472 Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    {96, 491, 814, 1, Smoke::mf_ctor, 152, 23},	//2473 Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    {96, 491, 818, 2, Smoke::mf_ctor, 152, 24},	//2474 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    {96, 491, 821, 3, Smoke::mf_ctor, 152, 25},	//2475 Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&, QGraphicsItem*)
    {96, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 26},	//2476 Plasma::SvgWidget::staticMetaObject() const
    {96, 2391, 0, 0, Smoke::mf_dtor, 0, 27 },	//2477 Plasma::SvgWidget::~SvgWidget()
    {97, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2478 Plasma::TabBar::metaObject() const
    {97, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2479 Plasma::TabBar::qt_metacast(const char*)
    {97, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2480 Plasma::TabBar::tr(const char*, const char*)
    {97, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2481 Plasma::TabBar::trUtf8(const char*, const char*)
    {97, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2482 Plasma::TabBar::tr(const char*, const char*, int)
    {97, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2483 Plasma::TabBar::trUtf8(const char*, const char*, int)
    {97, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2484 Plasma::TabBar::qt_metacall(QMetaObject::Call, int, void**)
    {97, 497, 116, 1, Smoke::mf_ctor, 153, 8},	//2485 Plasma::TabBar::TabBar(QGraphicsWidget*)
    {97, 1102, 825, 4, 0, 470, 9},	//2486 Plasma::TabBar::insertTab(int, const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 1102, 830, 3, 0, 470, 10},	//2487 Plasma::TabBar::insertTab(int, const QString&, QGraphicsLayoutItem*)
    {97, 648, 834, 3, 0, 470, 11},	//2488 Plasma::TabBar::addTab(const QIcon&, const QString&, QGraphicsLayoutItem*)
    {97, 648, 838, 2, 0, 470, 12},	//2489 Plasma::TabBar::addTab(const QString&, QGraphicsLayoutItem*)
    {97, 1521, 120, 1, 0, 0, 13},	//2490 Plasma::TabBar::removeTab(int)
    {97, 2188, 120, 1, 0, 215, 14},	//2491 Plasma::TabBar::takeTab(int)
    {97, 2181, 120, 1, 0, 215, 15},	//2492 Plasma::TabBar::tabAt(int)
    {97, 833, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 16},	//2493 Plasma::TabBar::currentIndex() const
    {97, 809, 0, 0, Smoke::mf_const|Smoke::mf_property, 470, 17},	//2494 Plasma::TabBar::count() const
    {97, 2005, 622, 2, 0, 0, 18},	//2495 Plasma::TabBar::setTabText(int, const QString&)
    {97, 2185, 120, 1, Smoke::mf_const, 288, 19},	//2496 Plasma::TabBar::tabText(int) const
    {97, 2003, 841, 2, 0, 0, 20},	//2497 Plasma::TabBar::setTabIcon(int, const QIcon&)
    {97, 2183, 120, 1, Smoke::mf_const, 232, 21},	//2498 Plasma::TabBar::tabIcon(int) const
    {97, 2001, 7, 1, Smoke::mf_property, 0, 22},	//2499 Plasma::TabBar::setTabBarShown(bool)
    {97, 1147, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 23},	//2500 Plasma::TabBar::isTabBarShown() const
    {97, 1987, 89, 1, Smoke::mf_property, 0, 24},	//2501 Plasma::TabBar::setStyleSheet(const QString&)
    {97, 2166, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 25},	//2502 Plasma::TabBar::styleSheet() const
    {97, 1366, 0, 0, Smoke::mf_const, 25, 26},	//2503 Plasma::TabBar::nativeWidget() const
    {97, 1715, 120, 1, Smoke::mf_property|Smoke::mf_slot, 0, 27},	//2504 Plasma::TabBar::setCurrentIndex(int)
    {97, 831, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2505 Plasma::TabBar::currentChanged(int)
    {97, 2310, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2506 Plasma::TabBar::wheelEvent(QGraphicsSceneWheelEvent*)
    {97, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2507 Plasma::TabBar::resizeEvent(QGraphicsSceneResizeEvent*)
    {97, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2508 Plasma::TabBar::changeEvent(QEvent*)
    {97, 2227, 1, 1, Smoke::mf_static, 288, 32},	//2509 Plasma::TabBar::tr(const char*)
    {97, 2231, 1, 1, Smoke::mf_static, 288, 33},	//2510 Plasma::TabBar::trUtf8(const char*)
    {97, 497, 0, 0, Smoke::mf_ctor, 153, 34},	//2511 Plasma::TabBar::TabBar()
    {97, 1102, 844, 3, 0, 470, 35},	//2512 Plasma::TabBar::insertTab(int, const QIcon&, const QString&)
    {97, 1102, 622, 2, 0, 470, 36},	//2513 Plasma::TabBar::insertTab(int, const QString&)
    {97, 648, 607, 2, 0, 470, 37},	//2514 Plasma::TabBar::addTab(const QIcon&, const QString&)
    {97, 648, 89, 1, 0, 470, 38},	//2515 Plasma::TabBar::addTab(const QString&)
    {97, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 39},	//2516 Plasma::TabBar::staticMetaObject() const
    {97, 2392, 0, 0, Smoke::mf_dtor, 0, 40 },	//2517 Plasma::TabBar::~TabBar()
    {98, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2518 Plasma::TextBrowser::metaObject() const
    {98, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2519 Plasma::TextBrowser::qt_metacast(const char*)
    {98, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2520 Plasma::TextBrowser::tr(const char*, const char*)
    {98, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2521 Plasma::TextBrowser::trUtf8(const char*, const char*)
    {98, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2522 Plasma::TextBrowser::tr(const char*, const char*, int)
    {98, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2523 Plasma::TextBrowser::trUtf8(const char*, const char*, int)
    {98, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2524 Plasma::TextBrowser::qt_metacall(QMetaObject::Call, int, void**)
    {98, 499, 116, 1, Smoke::mf_ctor, 154, 8},	//2525 Plasma::TextBrowser::TextBrowser(QGraphicsWidget*)
    {98, 2017, 89, 1, Smoke::mf_property, 0, 9},	//2526 Plasma::TextBrowser::setText(const QString&)
    {98, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 10},	//2527 Plasma::TextBrowser::text() const
    {98, 1807, 848, 1, 0, 0, 11},	//2528 Plasma::TextBrowser::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 2067, 848, 1, 0, 0, 12},	//2529 Plasma::TextBrowser::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)
    {98, 1987, 89, 1, Smoke::mf_property, 0, 13},	//2530 Plasma::TextBrowser::setStyleSheet(const QString&)
    {98, 2166, 0, 0, Smoke::mf_property, 288, 14},	//2531 Plasma::TextBrowser::styleSheet()
    {98, 1366, 0, 0, Smoke::mf_const, 26, 15},	//2532 Plasma::TextBrowser::nativeWidget() const
    {98, 680, 89, 1, Smoke::mf_slot, 0, 16},	//2533 Plasma::TextBrowser::append(const QString&)
    {98, 849, 458, 2, Smoke::mf_slot, 0, 17},	//2534 Plasma::TextBrowser::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {98, 2201, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2535 Plasma::TextBrowser::textChanged()
    {98, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//2536 Plasma::TextBrowser::resizeEvent(QGraphicsSceneResizeEvent*)
    {98, 2310, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2537 Plasma::TextBrowser::wheelEvent(QGraphicsSceneWheelEvent*)
    {98, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2538 Plasma::TextBrowser::changeEvent(QEvent*)
    {98, 804, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2539 Plasma::TextBrowser::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {98, 2227, 1, 1, Smoke::mf_static, 288, 23},	//2540 Plasma::TextBrowser::tr(const char*)
    {98, 2231, 1, 1, Smoke::mf_static, 288, 24},	//2541 Plasma::TextBrowser::trUtf8(const char*)
    {98, 499, 0, 0, Smoke::mf_ctor, 154, 25},	//2542 Plasma::TextBrowser::TextBrowser()
    {98, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 26},	//2543 Plasma::TextBrowser::staticMetaObject() const
    {98, 2393, 0, 0, Smoke::mf_dtor, 0, 27 },	//2544 Plasma::TextBrowser::~TextBrowser()
    {99, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2545 Plasma::TextEdit::metaObject() const
    {99, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2546 Plasma::TextEdit::qt_metacast(const char*)
    {99, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2547 Plasma::TextEdit::tr(const char*, const char*)
    {99, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2548 Plasma::TextEdit::trUtf8(const char*, const char*)
    {99, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2549 Plasma::TextEdit::tr(const char*, const char*, int)
    {99, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2550 Plasma::TextEdit::trUtf8(const char*, const char*, int)
    {99, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2551 Plasma::TextEdit::qt_metacall(QMetaObject::Call, int, void**)
    {99, 502, 116, 1, Smoke::mf_ctor, 155, 8},	//2552 Plasma::TextEdit::TextEdit(QGraphicsWidget*)
    {99, 2017, 89, 1, Smoke::mf_property, 0, 9},	//2553 Plasma::TextEdit::setText(const QString&)
    {99, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 10},	//2554 Plasma::TextEdit::text() const
    {99, 1920, 7, 1, Smoke::mf_property, 0, 11},	//2555 Plasma::TextEdit::setReadOnly(bool)
    {99, 1140, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 12},	//2556 Plasma::TextEdit::isReadOnly() const
    {99, 1987, 89, 1, Smoke::mf_property, 0, 13},	//2557 Plasma::TextEdit::setStyleSheet(const QString&)
    {99, 2166, 0, 0, Smoke::mf_property, 288, 14},	//2558 Plasma::TextEdit::styleSheet()
    {99, 1873, 850, 1, 0, 0, 15},	//2559 Plasma::TextEdit::setNativeWidget(KTextEdit*)
    {99, 1366, 0, 0, Smoke::mf_const, 27, 16},	//2560 Plasma::TextEdit::nativeWidget() const
    {99, 680, 89, 1, Smoke::mf_slot, 0, 17},	//2561 Plasma::TextEdit::append(const QString&)
    {99, 849, 458, 2, Smoke::mf_slot, 0, 18},	//2562 Plasma::TextEdit::dataUpdated(const QString&, const Plasma::DataEngine::Data&)
    {99, 2201, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2563 Plasma::TextEdit::textChanged()
    {99, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//2564 Plasma::TextEdit::resizeEvent(QGraphicsSceneResizeEvent*)
    {99, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//2565 Plasma::TextEdit::changeEvent(QEvent*)
    {99, 804, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//2566 Plasma::TextEdit::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {99, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//2567 Plasma::TextEdit::mousePressEvent(QGraphicsSceneMouseEvent*)
    {99, 1002, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//2568 Plasma::TextEdit::focusOutEvent(QFocusEvent*)
    {99, 2227, 1, 1, Smoke::mf_static, 288, 25},	//2569 Plasma::TextEdit::tr(const char*)
    {99, 2231, 1, 1, Smoke::mf_static, 288, 26},	//2570 Plasma::TextEdit::trUtf8(const char*)
    {99, 502, 0, 0, Smoke::mf_ctor, 155, 27},	//2571 Plasma::TextEdit::TextEdit()
    {99, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 28},	//2572 Plasma::TextEdit::staticMetaObject() const
    {99, 2394, 0, 0, Smoke::mf_dtor, 0, 29 },	//2573 Plasma::TextEdit::~TextEdit()
    {100, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2574 Plasma::Theme::metaObject() const
    {100, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2575 Plasma::Theme::qt_metacast(const char*)
    {100, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2576 Plasma::Theme::tr(const char*, const char*)
    {100, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2577 Plasma::Theme::trUtf8(const char*, const char*)
    {100, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2578 Plasma::Theme::tr(const char*, const char*, int)
    {100, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2579 Plasma::Theme::trUtf8(const char*, const char*, int)
    {100, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2580 Plasma::Theme::qt_metacall(QMetaObject::Call, int, void**)
    {100, 853, 0, 0, Smoke::mf_static, 156, 8},	//2581 Plasma::Theme::defaultTheme()
    {100, 504, 97, 1, Smoke::mf_ctor, 156, 9},	//2582 Plasma::Theme::Theme(QObject*)
    {100, 504, 140, 2, Smoke::mf_ctor, 156, 10},	//2583 Plasma::Theme::Theme(const QString&, QObject*)
    {100, 1389, 0, 0, Smoke::mf_static, 20, 11},	//2584 Plasma::Theme::packageStructure()
    {100, 1255, 0, 0, Smoke::mf_static, 237, 12},	//2585 Plasma::Theme::listThemeInfo()
    {100, 2025, 89, 1, 0, 0, 13},	//2586 Plasma::Theme::setThemeName(const QString&)
    {100, 2208, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 14},	//2587 Plasma::Theme::themeName() const
    {100, 1075, 89, 1, Smoke::mf_const, 288, 15},	//2588 Plasma::Theme::imagePath(const QString&) const
    {100, 674, 89, 1, Smoke::mf_const, 288, 16},	//2589 Plasma::Theme::animationPath(const QString&) const
    {100, 2307, 177, 1, Smoke::mf_const, 288, 17},	//2590 Plasma::Theme::wallpaperPath(const QSize&) const
    {100, 836, 89, 1, Smoke::mf_const, 381, 18},	//2591 Plasma::Theme::currentThemeHasImage(const QString&) const
    {100, 751, 0, 0, Smoke::mf_const, 19, 19},	//2592 Plasma::Theme::colorScheme() const
    {100, 749, 852, 1, Smoke::mf_const, 186, 20},	//2593 Plasma::Theme::color(Plasma::Theme::ColorRole) const
    {100, 1775, 854, 2, 0, 0, 21},	//2594 Plasma::Theme::setFont(const QFont&, Plasma::Theme::FontRole)
    {100, 1005, 857, 1, Smoke::mf_const, 208, 22},	//2595 Plasma::Theme::font(Plasma::Theme::FontRole) const
    {100, 1009, 0, 0, Smoke::mf_const, 209, 23},	//2596 Plasma::Theme::fontMetrics() const
    {100, 2319, 0, 0, Smoke::mf_const, 381, 24},	//2597 Plasma::Theme::windowTranslucencyEnabled() const
    {100, 2047, 7, 1, 0, 0, 25},	//2598 Plasma::Theme::setUseGlobalSettings(bool)
    {100, 2274, 0, 0, Smoke::mf_const, 381, 26},	//2599 Plasma::Theme::useGlobalSettings() const
    {100, 2275, 0, 0, Smoke::mf_const, 381, 27},	//2600 Plasma::Theme::useNativeWidgetStyle() const
    {100, 2166, 89, 1, Smoke::mf_const, 288, 28},	//2601 Plasma::Theme::styleSheet(const QString&) const
    {100, 979, 859, 2, 0, 381, 29},	//2602 Plasma::Theme::findInCache(const QString&, QPixmap&)
    {100, 979, 862, 3, 0, 381, 30},	//2603 Plasma::Theme::findInCache(const QString&, QPixmap&, unsigned int)
    {100, 1097, 866, 2, 0, 0, 31},	//2604 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&)
    {100, 1097, 869, 3, 0, 0, 32},	//2605 Plasma::Theme::insertIntoCache(const QString&, const QPixmap&, const QString&)
    {100, 1670, 120, 1, 0, 0, 33},	//2606 Plasma::Theme::setCacheLimit(int)
    {100, 982, 873, 3, Smoke::mf_const, 381, 34},	//2607 Plasma::Theme::findInRectsCache(const QString&, const QString&, QRectF&) const
    {100, 1100, 877, 3, 0, 0, 35},	//2608 Plasma::Theme::insertIntoRectsCache(const QString&, const QString&, const QRectF&)
    {100, 1110, 89, 1, 0, 0, 36},	//2609 Plasma::Theme::invalidateRectsCache(const QString&)
    {100, 1485, 89, 1, 0, 0, 37},	//2610 Plasma::Theme::releaseRectsCache(const QString&)
    {100, 2207, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//2611 Plasma::Theme::themeChanged()
    {100, 2090, 0, 0, Smoke::mf_slot, 0, 39},	//2612 Plasma::Theme::settingsChanged()
    {100, 2227, 1, 1, Smoke::mf_static, 288, 40},	//2613 Plasma::Theme::tr(const char*)
    {100, 2231, 1, 1, Smoke::mf_static, 288, 41},	//2614 Plasma::Theme::trUtf8(const char*)
    {100, 504, 0, 0, Smoke::mf_ctor, 156, 42},	//2615 Plasma::Theme::Theme()
    {100, 504, 89, 1, Smoke::mf_ctor, 156, 43},	//2616 Plasma::Theme::Theme(const QString&)
    {100, 2307, 0, 0, Smoke::mf_const, 288, 44},	//2617 Plasma::Theme::wallpaperPath() const
    {100, 1775, 538, 1, 0, 0, 45},	//2618 Plasma::Theme::setFont(const QFont&)
    {100, 2166, 0, 0, Smoke::mf_const, 288, 46},	//2619 Plasma::Theme::styleSheet() const
    {100, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 47},	//2620 Plasma::Theme::staticMetaObject() const
    {100, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 48},	//2621 Plasma::Theme::TextColor (enum)
    {100, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 49},	//2622 Plasma::Theme::HighlightColor (enum)
    {100, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 50},	//2623 Plasma::Theme::BackgroundColor (enum)
    {100, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 51},	//2624 Plasma::Theme::ButtonTextColor (enum)
    {100, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 52},	//2625 Plasma::Theme::ButtonBackgroundColor (enum)
    {100, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 53},	//2626 Plasma::Theme::LinkColor (enum)
    {100, 551, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 54},	//2627 Plasma::Theme::VisitedLinkColor (enum)
    {100, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 55},	//2628 Plasma::Theme::DefaultFont (enum)
    {100, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 158, 56},	//2629 Plasma::Theme::DesktopFont (enum)
    {100, 2395, 0, 0, Smoke::mf_dtor, 0, 57 },	//2630 Plasma::Theme::~Theme()
    {101, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2631 Plasma::ToolButton::metaObject() const
    {101, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2632 Plasma::ToolButton::qt_metacast(const char*)
    {101, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2633 Plasma::ToolButton::tr(const char*, const char*)
    {101, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2634 Plasma::ToolButton::trUtf8(const char*, const char*)
    {101, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2635 Plasma::ToolButton::tr(const char*, const char*, int)
    {101, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2636 Plasma::ToolButton::trUtf8(const char*, const char*, int)
    {101, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2637 Plasma::ToolButton::qt_metacall(QMetaObject::Call, int, void**)
    {101, 509, 116, 1, Smoke::mf_ctor, 159, 8},	//2638 Plasma::ToolButton::ToolButton(QGraphicsWidget*)
    {101, 1656, 7, 1, Smoke::mf_property, 0, 9},	//2639 Plasma::ToolButton::setAutoRaise(bool)
    {101, 706, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 10},	//2640 Plasma::ToolButton::autoRaise() const
    {101, 2017, 89, 1, Smoke::mf_property, 0, 11},	//2641 Plasma::ToolButton::setText(const QString&)
    {101, 2199, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 12},	//2642 Plasma::ToolButton::text() const
    {101, 1821, 89, 1, Smoke::mf_property, 0, 13},	//2643 Plasma::ToolButton::setImage(const QString&)
    {101, 1821, 77, 2, 0, 0, 14},	//2644 Plasma::ToolButton::setImage(const QString&, const QString&)
    {101, 1074, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 15},	//2645 Plasma::ToolButton::image() const
    {101, 1743, 7, 1, Smoke::mf_property, 0, 16},	//2646 Plasma::ToolButton::setDown(bool)
    {101, 1125, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 17},	//2647 Plasma::ToolButton::isDown() const
    {101, 1987, 89, 1, Smoke::mf_property, 0, 18},	//2648 Plasma::ToolButton::setStyleSheet(const QString&)
    {101, 2166, 0, 0, Smoke::mf_property, 288, 19},	//2649 Plasma::ToolButton::styleSheet()
    {101, 1620, 103, 1, 0, 0, 20},	//2650 Plasma::ToolButton::setAction(QAction*)
    {101, 577, 0, 0, Smoke::mf_const, 180, 21},	//2651 Plasma::ToolButton::action() const
    {101, 1814, 526, 1, 0, 0, 22},	//2652 Plasma::ToolButton::setIcon(const QIcon&)
    {101, 1070, 0, 0, Smoke::mf_const, 232, 23},	//2653 Plasma::ToolButton::icon() const
    {101, 1366, 0, 0, Smoke::mf_const, 296, 24},	//2654 Plasma::ToolButton::nativeWidget() const
    {101, 740, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2655 Plasma::ToolButton::clicked()
    {101, 1448, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2656 Plasma::ToolButton::pressed()
    {101, 1488, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2657 Plasma::ToolButton::released()
    {101, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 28},	//2658 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {101, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2659 Plasma::ToolButton::resizeEvent(QGraphicsSceneResizeEvent*)
    {101, 1063, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2660 Plasma::ToolButton::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {101, 1065, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2661 Plasma::ToolButton::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {101, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2662 Plasma::ToolButton::changeEvent(QEvent*)
    {101, 1166, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 298, 33},	//2663 Plasma::ToolButton::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {101, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 34},	//2664 Plasma::ToolButton::sizeHint(Qt::SizeHint, const QSizeF&) const
    {101, 2227, 1, 1, Smoke::mf_static, 288, 35},	//2665 Plasma::ToolButton::tr(const char*)
    {101, 2231, 1, 1, Smoke::mf_static, 288, 36},	//2666 Plasma::ToolButton::trUtf8(const char*)
    {101, 509, 0, 0, Smoke::mf_ctor, 159, 37},	//2667 Plasma::ToolButton::ToolButton()
    {101, 1394, 310, 2, Smoke::mf_protected, 0, 38},	//2668 Plasma::ToolButton::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {101, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 39},	//2669 Plasma::ToolButton::staticMetaObject() const
    {101, 2396, 0, 0, Smoke::mf_dtor, 0, 40 },	//2670 Plasma::ToolButton::~ToolButton()
    {102, 511, 0, 0, Smoke::mf_ctor, 161, 1},	//2671 Plasma::ToolTipContent::ToolTipContent()
    {102, 511, 881, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 2},	//2672 Plasma::ToolTipContent::ToolTipContent(const Plasma::ToolTipContent&)
    {102, 511, 883, 3, Smoke::mf_ctor, 161, 3},	//2673 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    {102, 511, 887, 3, Smoke::mf_ctor, 161, 4},	//2674 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    {102, 1383, 881, 1, 0, 160, 5},	//2675 Plasma::ToolTipContent::operator=(const Plasma::ToolTipContent&)
    {102, 1126, 0, 0, Smoke::mf_const, 381, 6},	//2676 Plasma::ToolTipContent::isEmpty() const
    {102, 1850, 89, 1, 0, 0, 7},	//2677 Plasma::ToolTipContent::setMainText(const QString&)
    {102, 1305, 0, 0, Smoke::mf_const, 288, 8},	//2678 Plasma::ToolTipContent::mainText() const
    {102, 1989, 89, 1, 0, 0, 9},	//2679 Plasma::ToolTipContent::setSubText(const QString&)
    {102, 2168, 0, 0, Smoke::mf_const, 288, 10},	//2680 Plasma::ToolTipContent::subText() const
    {102, 1821, 553, 1, 0, 0, 11},	//2681 Plasma::ToolTipContent::setImage(const QPixmap&)
    {102, 1821, 526, 1, 0, 0, 12},	//2682 Plasma::ToolTipContent::setImage(const QIcon&)
    {102, 1074, 0, 0, Smoke::mf_const, 272, 13},	//2683 Plasma::ToolTipContent::image() const
    {102, 2082, 891, 1, 0, 0, 14},	//2684 Plasma::ToolTipContent::setWindowToPreview(unsigned long)
    {102, 2318, 0, 0, Smoke::mf_const, 477, 15},	//2685 Plasma::ToolTipContent::windowToPreview() const
    {102, 2084, 893, 1, 0, 0, 16},	//2686 Plasma::ToolTipContent::setWindowsToPreview(const QList<unsigned long>&)
    {102, 2320, 0, 0, Smoke::mf_const, 256, 17},	//2687 Plasma::ToolTipContent::windowsToPreview() const
    {102, 1799, 7, 1, 0, 0, 18},	//2688 Plasma::ToolTipContent::setHighlightWindows(bool)
    {102, 1058, 0, 0, Smoke::mf_const, 381, 19},	//2689 Plasma::ToolTipContent::highlightWindows() const
    {102, 1658, 7, 1, 0, 0, 20},	//2690 Plasma::ToolTipContent::setAutohide(bool)
    {102, 707, 0, 0, Smoke::mf_const, 381, 21},	//2691 Plasma::ToolTipContent::autohide() const
    {102, 634, 895, 3, 0, 0, 22},	//2692 Plasma::ToolTipContent::addResource(Plasma::ToolTipContent::ResourceType, const QUrl&, const QVariant&)
    {102, 1479, 899, 1, Smoke::mf_const, 0, 23},	//2693 Plasma::ToolTipContent::registerResources(QTextDocument*) const
    {102, 1682, 7, 1, 0, 0, 24},	//2694 Plasma::ToolTipContent::setClickable(bool)
    {102, 1121, 0, 0, Smoke::mf_const, 381, 25},	//2695 Plasma::ToolTipContent::isClickable() const
    {102, 511, 77, 2, Smoke::mf_ctor, 161, 26},	//2696 Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&)
    {102, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 27},	//2697 Plasma::ToolTipContent::ImageResource (enum)
    {102, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 28},	//2698 Plasma::ToolTipContent::HtmlResource (enum)
    {102, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 29},	//2699 Plasma::ToolTipContent::CssResource (enum)
    {102, 2397, 0, 0, Smoke::mf_dtor, 0, 30 },	//2700 Plasma::ToolTipContent::~ToolTipContent()
    {103, 1329, 0, 0, Smoke::mf_const, 436, 1},	//2701 Plasma::ToolTipManager::metaObject() const
    {103, 1459, 1, 1, 0, 478, 2},	//2702 Plasma::ToolTipManager::qt_metacast(const char*)
    {103, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2703 Plasma::ToolTipManager::tr(const char*, const char*)
    {103, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2704 Plasma::ToolTipManager::trUtf8(const char*, const char*)
    {103, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2705 Plasma::ToolTipManager::tr(const char*, const char*, int)
    {103, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2706 Plasma::ToolTipManager::trUtf8(const char*, const char*, int)
    {103, 1457, 3, 3, 0, 470, 7},	//2707 Plasma::ToolTipManager::qt_metacall(QMetaObject::Call, int, void**)
    {103, 1608, 0, 0, Smoke::mf_static, 163, 8},	//2708 Plasma::ToolTipManager::self()
    {103, 2095, 116, 1, 0, 0, 9},	//2709 Plasma::ToolTipManager::show(QGraphicsWidget*)
    {103, 1152, 116, 1, Smoke::mf_const, 381, 10},	//2710 Plasma::ToolTipManager::isVisible(QGraphicsWidget*) const
    {103, 1052, 116, 1, 0, 0, 11},	//2711 Plasma::ToolTipManager::hide(QGraphicsWidget*)
    {103, 1483, 116, 1, 0, 0, 12},	//2712 Plasma::ToolTipManager::registerWidget(QGraphicsWidget*)
    {103, 2250, 116, 1, 0, 0, 13},	//2713 Plasma::ToolTipManager::unregisterWidget(QGraphicsWidget*)
    {103, 1701, 901, 2, 0, 0, 14},	//2714 Plasma::ToolTipManager::setContent(QGraphicsWidget*, const Plasma::ToolTipContent&)
    {103, 737, 116, 1, 0, 0, 15},	//2715 Plasma::ToolTipManager::clearContent(QGraphicsWidget*)
    {103, 1983, 904, 1, 0, 0, 16},	//2716 Plasma::ToolTipManager::setState(Plasma::ToolTipManager::State)
    {103, 2152, 0, 0, Smoke::mf_const, 164, 17},	//2717 Plasma::ToolTipManager::state() const
    {103, 2316, 906, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//2718 Plasma::ToolTipManager::windowPreviewActivated(WId, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 1216, 911, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//2719 Plasma::ToolTipManager::linkActivated(const QString&, Qt::MouseButtons, Qt::KeyboardModifiers, const QPoint&)
    {103, 2227, 1, 1, Smoke::mf_static, 288, 20},	//2720 Plasma::ToolTipManager::tr(const char*)
    {103, 2231, 1, 1, Smoke::mf_static, 288, 21},	//2721 Plasma::ToolTipManager::trUtf8(const char*)
    {103, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 22},	//2722 Plasma::ToolTipManager::staticMetaObject() const
    {103, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 23},	//2723 Plasma::ToolTipManager::Activated (enum)
    {103, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 24},	//2724 Plasma::ToolTipManager::Inhibited (enum)
    {103, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 25},	//2725 Plasma::ToolTipManager::Deactivated (enum)
    {104, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2726 Plasma::TreeView::metaObject() const
    {104, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2727 Plasma::TreeView::qt_metacast(const char*)
    {104, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2728 Plasma::TreeView::tr(const char*, const char*)
    {104, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2729 Plasma::TreeView::trUtf8(const char*, const char*)
    {104, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2730 Plasma::TreeView::tr(const char*, const char*, int)
    {104, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2731 Plasma::TreeView::trUtf8(const char*, const char*, int)
    {104, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2732 Plasma::TreeView::qt_metacall(QMetaObject::Call, int, void**)
    {104, 524, 116, 1, Smoke::mf_ctor, 165, 8},	//2733 Plasma::TreeView::TreeView(QGraphicsWidget*)
    {104, 1868, 916, 1, 0, 0, 9},	//2734 Plasma::TreeView::setModel(QAbstractItemModel*)
    {104, 1343, 0, 0, 0, 179, 10},	//2735 Plasma::TreeView::model()
    {104, 1987, 89, 1, Smoke::mf_property, 0, 11},	//2736 Plasma::TreeView::setStyleSheet(const QString&)
    {104, 2166, 0, 0, Smoke::mf_property, 288, 12},	//2737 Plasma::TreeView::styleSheet()
    {104, 1366, 0, 0, Smoke::mf_const, 297, 13},	//2738 Plasma::TreeView::nativeWidget() const
    {104, 2227, 1, 1, Smoke::mf_static, 288, 14},	//2739 Plasma::TreeView::tr(const char*)
    {104, 2231, 1, 1, Smoke::mf_static, 288, 15},	//2740 Plasma::TreeView::trUtf8(const char*)
    {104, 524, 0, 0, Smoke::mf_ctor, 165, 16},	//2741 Plasma::TreeView::TreeView()
    {104, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 17},	//2742 Plasma::TreeView::staticMetaObject() const
    {104, 2398, 0, 0, Smoke::mf_dtor, 0, 18 },	//2743 Plasma::TreeView::~TreeView()
    {105, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2744 Plasma::VideoWidget::metaObject() const
    {105, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2745 Plasma::VideoWidget::qt_metacast(const char*)
    {105, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2746 Plasma::VideoWidget::tr(const char*, const char*)
    {105, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2747 Plasma::VideoWidget::trUtf8(const char*, const char*)
    {105, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2748 Plasma::VideoWidget::tr(const char*, const char*, int)
    {105, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2749 Plasma::VideoWidget::trUtf8(const char*, const char*, int)
    {105, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2750 Plasma::VideoWidget::qt_metacall(QMetaObject::Call, int, void**)
    {105, 544, 116, 1, Smoke::mf_ctor, 167, 8},	//2751 Plasma::VideoWidget::VideoWidget(QGraphicsWidget*)
    {105, 2042, 89, 1, Smoke::mf_property, 0, 9},	//2752 Plasma::VideoWidget::setUrl(const QString&)
    {105, 2269, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 10},	//2753 Plasma::VideoWidget::url() const
    {105, 1326, 0, 0, Smoke::mf_const, 31, 11},	//2754 Plasma::VideoWidget::mediaObject() const
    {105, 700, 0, 0, Smoke::mf_const, 30, 12},	//2755 Plasma::VideoWidget::audioOutput() const
    {105, 838, 0, 0, Smoke::mf_const, 472, 13},	//2756 Plasma::VideoWidget::currentTime() const
    {105, 2226, 0, 0, Smoke::mf_const, 472, 14},	//2757 Plasma::VideoWidget::totalTime() const
    {105, 1491, 0, 0, Smoke::mf_const, 472, 15},	//2758 Plasma::VideoWidget::remainingTime() const
    {105, 2049, 918, 1, 0, 0, 16},	//2759 Plasma::VideoWidget::setUsedControls(const QFlags<Plasma::VideoWidget::Control>)
    {105, 2276, 0, 0, Smoke::mf_const, 203, 17},	//2760 Plasma::VideoWidget::usedControls() const
    {105, 1709, 7, 1, Smoke::mf_property, 0, 18},	//2761 Plasma::VideoWidget::setControlsVisible(bool)
    {105, 807, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 19},	//2762 Plasma::VideoWidget::controlsVisible() const
    {105, 1987, 89, 1, Smoke::mf_property, 0, 20},	//2763 Plasma::VideoWidget::setStyleSheet(const QString&)
    {105, 2166, 0, 0, Smoke::mf_property, 288, 21},	//2764 Plasma::VideoWidget::styleSheet()
    {105, 1366, 0, 0, Smoke::mf_const, 32, 22},	//2765 Plasma::VideoWidget::nativeWidget() const
    {105, 1431, 0, 0, Smoke::mf_slot, 0, 23},	//2766 Plasma::VideoWidget::play()
    {105, 1424, 0, 0, Smoke::mf_slot, 0, 24},	//2767 Plasma::VideoWidget::pause()
    {105, 2155, 0, 0, Smoke::mf_slot, 0, 25},	//2768 Plasma::VideoWidget::stop()
    {105, 1605, 920, 1, Smoke::mf_slot, 0, 26},	//2769 Plasma::VideoWidget::seek(qint64)
    {105, 2210, 920, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2770 Plasma::VideoWidget::tick(qint64)
    {105, 571, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2771 Plasma::VideoWidget::aboutToFinish()
    {105, 1370, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//2772 Plasma::VideoWidget::nextRequested()
    {105, 1450, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//2773 Plasma::VideoWidget::previousRequested()
    {105, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2774 Plasma::VideoWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {105, 1063, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2775 Plasma::VideoWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {105, 1065, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2776 Plasma::VideoWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {105, 1067, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//2777 Plasma::VideoWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {105, 2227, 1, 1, Smoke::mf_static, 288, 35},	//2778 Plasma::VideoWidget::tr(const char*)
    {105, 2231, 1, 1, Smoke::mf_static, 288, 36},	//2779 Plasma::VideoWidget::trUtf8(const char*)
    {105, 544, 0, 0, Smoke::mf_ctor, 167, 37},	//2780 Plasma::VideoWidget::VideoWidget()
    {105, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 38},	//2781 Plasma::VideoWidget::staticMetaObject() const
    {105, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 39},	//2782 Plasma::VideoWidget::NoControls (enum)
    {105, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 40},	//2783 Plasma::VideoWidget::Play (enum)
    {105, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 41},	//2784 Plasma::VideoWidget::Pause (enum)
    {105, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 42},	//2785 Plasma::VideoWidget::Stop (enum)
    {105, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 43},	//2786 Plasma::VideoWidget::PlayPause (enum)
    {105, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 44},	//2787 Plasma::VideoWidget::Previous (enum)
    {105, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 45},	//2788 Plasma::VideoWidget::Next (enum)
    {105, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 46},	//2789 Plasma::VideoWidget::Progress (enum)
    {105, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 47},	//2790 Plasma::VideoWidget::Volume (enum)
    {105, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 48},	//2791 Plasma::VideoWidget::OpenFile (enum)
    {105, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 49},	//2792 Plasma::VideoWidget::DefaultControls (enum)
    {105, 2399, 0, 0, Smoke::mf_dtor, 0, 50 },	//2793 Plasma::VideoWidget::~VideoWidget()
    {106, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2794 Plasma::View::metaObject() const
    {106, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2795 Plasma::View::qt_metacast(const char*)
    {106, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2796 Plasma::View::tr(const char*, const char*)
    {106, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2797 Plasma::View::trUtf8(const char*, const char*)
    {106, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2798 Plasma::View::tr(const char*, const char*, int)
    {106, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2799 Plasma::View::trUtf8(const char*, const char*, int)
    {106, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2800 Plasma::View::qt_metacall(QMetaObject::Call, int, void**)
    {106, 546, 922, 2, Smoke::mf_ctor, 169, 8},	//2801 Plasma::View::View(Plasma::Containment*, QWidget*)
    {106, 546, 925, 3, Smoke::mf_ctor, 169, 9},	//2802 Plasma::View::View(Plasma::Containment*, int, QWidget*)
    {106, 2076, 7, 1, 0, 0, 10},	//2803 Plasma::View::setWallpaperEnabled(bool)
    {106, 1154, 0, 0, Smoke::mf_const, 381, 11},	//2804 Plasma::View::isWallpaperEnabled() const
    {106, 1946, 352, 2, 0, 0, 12},	//2805 Plasma::View::setScreen(int, int)
    {106, 1590, 0, 0, Smoke::mf_const, 470, 13},	//2806 Plasma::View::screen() const
    {106, 857, 0, 0, Smoke::mf_const, 470, 14},	//2807 Plasma::View::desktop() const
    {106, 917, 0, 0, Smoke::mf_const, 470, 15},	//2808 Plasma::View::effectiveDesktop() const
    {106, 779, 0, 0, Smoke::mf_const, 71, 16},	//2809 Plasma::View::containment() const
    {106, 2174, 397, 3, 0, 71, 17},	//2810 Plasma::View::swapContainment(Plasma::Containment*, const QString&, const QList<QVariant>&)
    {106, 2174, 388, 2, 0, 71, 18},	//2811 Plasma::View::swapContainment(const QString&, const QList<QVariant>&)
    {106, 2035, 7, 1, 0, 0, 19},	//2812 Plasma::View::setTrackContainmentChanges(bool)
    {106, 2235, 0, 0, 0, 381, 20},	//2813 Plasma::View::trackContainmentChanges()
    {106, 2224, 514, 1, Smoke::mf_static, 169, 21},	//2814 Plasma::View::topLevelViewAt(const QPoint&)
    {106, 1072, 0, 0, Smoke::mf_const, 470, 22},	//2815 Plasma::View::id() const
    {106, 1587, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//2816 Plasma::View::sceneRectAboutToChange()
    {106, 1588, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//2817 Plasma::View::sceneRectChanged()
    {106, 1301, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2818 Plasma::View::lostContainment()
    {106, 1691, 101, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//2819 Plasma::View::setContainment(Plasma::Containment*)
    {106, 752, 0, 0, Smoke::mf_const|Smoke::mf_protected, 8, 27},	//2820 Plasma::View::config() const
    {106, 755, 0, 0, Smoke::mf_const|Smoke::mf_protected, 0, 28},	//2821 Plasma::View::configNeedsSaving() const
    {106, 2227, 1, 1, Smoke::mf_static, 288, 29},	//2822 Plasma::View::tr(const char*)
    {106, 2231, 1, 1, Smoke::mf_static, 288, 30},	//2823 Plasma::View::trUtf8(const char*)
    {106, 546, 101, 1, Smoke::mf_ctor, 169, 31},	//2824 Plasma::View::View(Plasma::Containment*)
    {106, 546, 929, 2, Smoke::mf_ctor, 169, 32},	//2825 Plasma::View::View(Plasma::Containment*, int)
    {106, 1946, 120, 1, 0, 0, 33},	//2826 Plasma::View::setScreen(int)
    {106, 2174, 410, 2, 0, 71, 34},	//2827 Plasma::View::swapContainment(Plasma::Containment*, const QString&)
    {106, 2174, 89, 1, 0, 71, 35},	//2828 Plasma::View::swapContainment(const QString&)
    {106, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 36},	//2829 Plasma::View::staticMetaObject() const
    {106, 2400, 0, 0, Smoke::mf_dtor, 0, 37 },	//2830 Plasma::View::~View()
    {107, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2831 Plasma::Wallpaper::metaObject() const
    {107, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2832 Plasma::Wallpaper::qt_metacast(const char*)
    {107, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2833 Plasma::Wallpaper::tr(const char*, const char*)
    {107, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2834 Plasma::Wallpaper::trUtf8(const char*, const char*)
    {107, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2835 Plasma::Wallpaper::tr(const char*, const char*, int)
    {107, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2836 Plasma::Wallpaper::trUtf8(const char*, const char*, int)
    {107, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2837 Plasma::Wallpaper::qt_metacall(QMetaObject::Call, int, void**)
    {107, 553, 97, 1, Smoke::mf_ctor, 170, 8},	//2838 Plasma::Wallpaper::Wallpaper(QObject*)
    {107, 1256, 89, 1, Smoke::mf_static, 237, 9},	//2839 Plasma::Wallpaper::listWallpaperInfo(const QString&)
    {107, 1258, 77, 2, Smoke::mf_static, 237, 10},	//2840 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&, const QString&)
    {107, 1261, 388, 2, Smoke::mf_static, 170, 11},	//2841 Plasma::Wallpaper::load(const QString&, const QList<QVariant>&)
    {107, 1261, 932, 2, Smoke::mf_static, 170, 12},	//2842 Plasma::Wallpaper::load(const KPluginInfo&, const QList<QVariant>&)
    {107, 1389, 935, 1, Smoke::mf_static, 20, 13},	//2843 Plasma::Wallpaper::packageStructure(Plasma::Wallpaper*)
    {107, 1364, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 14},	//2844 Plasma::Wallpaper::name() const
    {107, 1388, 0, 0, Smoke::mf_const, 402, 15},	//2845 Plasma::Wallpaper::package() const
    {107, 1433, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 16},	//2846 Plasma::Wallpaper::pluginName() const
    {107, 1070, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 17},	//2847 Plasma::Wallpaper::icon() const
    {107, 1534, 0, 0, Smoke::mf_const|Smoke::mf_property, 17, 18},	//2848 Plasma::Wallpaper::renderingMode() const
    {107, 1926, 89, 1, 0, 0, 19},	//2849 Plasma::Wallpaper::setRenderingMode(const QString&)
    {107, 1254, 0, 0, Smoke::mf_const|Smoke::mf_property, 238, 20},	//2850 Plasma::Wallpaper::listRenderingModes() const
    {107, 1130, 0, 0, Smoke::mf_const, 381, 21},	//2851 Plasma::Wallpaper::isInitialized() const
    {107, 719, 0, 0, Smoke::mf_const|Smoke::mf_property, 278, 22},	//2852 Plasma::Wallpaper::boundingRect() const
    {107, 1664, 610, 1, Smoke::mf_property, 0, 23},	//2853 Plasma::Wallpaper::setBoundingRect(const QRectF&)
    {107, 1394, 578, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 24},	//2854 Plasma::Wallpaper::paint(QPainter*, const QRectF&) [pure virtual]
    {107, 1552, 405, 1, 0, 0, 25},	//2855 Plasma::Wallpaper::restore(const KConfigGroup&)
    {107, 1571, 169, 1, Smoke::mf_virtual, 0, 26},	//2856 Plasma::Wallpaper::save(KConfigGroup&)
    {107, 815, 57, 1, Smoke::mf_virtual, 303, 27},	//2857 Plasma::Wallpaper::createConfigurationInterface(QWidget*)
    {107, 1346, 265, 1, Smoke::mf_virtual, 0, 28},	//2858 Plasma::Wallpaper::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {107, 1348, 265, 1, Smoke::mf_virtual, 0, 29},	//2859 Plasma::Wallpaper::mousePressEvent(QGraphicsSceneMouseEvent*)
    {107, 1350, 265, 1, Smoke::mf_virtual, 0, 30},	//2860 Plasma::Wallpaper::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {107, 2310, 382, 1, Smoke::mf_virtual, 0, 31},	//2861 Plasma::Wallpaper::wheelEvent(QGraphicsSceneWheelEvent*)
    {107, 847, 89, 1, Smoke::mf_const, 83, 32},	//2862 Plasma::Wallpaper::dataEngine(const QString&) const
    {107, 759, 0, 0, Smoke::mf_const, 381, 33},	//2863 Plasma::Wallpaper::configurationRequired() const
    {107, 1150, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 34},	//2864 Plasma::Wallpaper::isUsingRenderingCache() const
    {107, 1934, 937, 1, 0, 0, 35},	//2865 Plasma::Wallpaper::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {107, 2011, 562, 1, 0, 0, 36},	//2866 Plasma::Wallpaper::setTargetSizeHint(const QSizeF&)
    {107, 806, 0, 0, Smoke::mf_const, 250, 37},	//2867 Plasma::Wallpaper::contextualActions() const
    {107, 1138, 0, 0, Smoke::mf_const|Smoke::mf_property, 381, 38},	//2868 Plasma::Wallpaper::isPreviewing() const
    {107, 1912, 7, 1, Smoke::mf_property, 0, 39},	//2869 Plasma::Wallpaper::setPreviewing(bool)
    {107, 2252, 610, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//2870 Plasma::Wallpaper::update(const QRectF&)
    {107, 761, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//2871 Plasma::Wallpaper::configureRequested()
    {107, 759, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//2872 Plasma::Wallpaper::configurationRequired(bool)
    {107, 755, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//2873 Plasma::Wallpaper::configNeedsSaving()
    {107, 1531, 590, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//2874 Plasma::Wallpaper::renderCompleted(const QImage&)
    {107, 2270, 110, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//2875 Plasma::Wallpaper::urlDropped(const KUrl&)
    {107, 1533, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//2876 Plasma::Wallpaper::renderHintsChanged()
    {107, 553, 70, 2, Smoke::mf_ctor|Smoke::mf_protected, 170, 47},	//2877 Plasma::Wallpaper::Wallpaper(QObject*, const QList<QVariant>&)
    {107, 1086, 405, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//2878 Plasma::Wallpaper::init(const KConfigGroup&)
    {107, 1688, 252, 2, Smoke::mf_protected, 0, 49},	//2879 Plasma::Wallpaper::setConfigurationRequired(bool, const QString&)
    {107, 1527, 939, 4, Smoke::mf_protected, 0, 50},	//2880 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {107, 2051, 7, 1, Smoke::mf_protected|Smoke::mf_property, 0, 51},	//2881 Plasma::Wallpaper::setUsingRenderingCache(bool)
    {107, 979, 944, 3, Smoke::mf_protected, 381, 52},	//2882 Plasma::Wallpaper::findInCache(const QString&, QImage&, unsigned int)
    {107, 1097, 948, 2, Smoke::mf_protected, 0, 53},	//2883 Plasma::Wallpaper::insertIntoCache(const QString&, const QImage&)
    {107, 1707, 951, 1, Smoke::mf_protected, 0, 54},	//2884 Plasma::Wallpaper::setContextualActions(const QList<QAction*>&)
    {107, 2227, 1, 1, Smoke::mf_static, 288, 55},	//2885 Plasma::Wallpaper::tr(const char*)
    {107, 2231, 1, 1, Smoke::mf_static, 288, 56},	//2886 Plasma::Wallpaper::trUtf8(const char*)
    {107, 553, 0, 0, Smoke::mf_ctor, 170, 57},	//2887 Plasma::Wallpaper::Wallpaper()
    {107, 1256, 0, 0, Smoke::mf_static, 237, 58},	//2888 Plasma::Wallpaper::listWallpaperInfo()
    {107, 1258, 89, 1, Smoke::mf_static, 237, 59},	//2889 Plasma::Wallpaper::listWallpaperInfoForMimetype(const QString&)
    {107, 1261, 89, 1, Smoke::mf_static, 170, 60},	//2890 Plasma::Wallpaper::load(const QString&)
    {107, 1261, 201, 1, Smoke::mf_static, 170, 61},	//2891 Plasma::Wallpaper::load(const KPluginInfo&)
    {107, 1389, 0, 0, Smoke::mf_static, 20, 62},	//2892 Plasma::Wallpaper::packageStructure()
    {107, 1688, 7, 1, Smoke::mf_protected, 0, 63},	//2893 Plasma::Wallpaper::setConfigurationRequired(bool)
    {107, 1527, 953, 2, Smoke::mf_protected, 0, 64},	//2894 Plasma::Wallpaper::render(const QString&, const QSize&)
    {107, 1527, 956, 3, Smoke::mf_protected, 0, 65},	//2895 Plasma::Wallpaper::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {107, 979, 960, 2, Smoke::mf_protected, 381, 66},	//2896 Plasma::Wallpaper::findInCache(const QString&, QImage&)
    {107, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 67},	//2897 Plasma::Wallpaper::staticMetaObject() const
    {107, 799, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 251, 68},	//2898 Plasma::Wallpaper::contextActions() const
    {107, 1705, 951, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 69},	//2899 Plasma::Wallpaper::setContextActions(const QList<QAction*>&)
    {107, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 70},	//2900 Plasma::Wallpaper::ScaledResize (enum)
    {107, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 71},	//2901 Plasma::Wallpaper::CenteredResize (enum)
    {107, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 72},	//2902 Plasma::Wallpaper::ScaledAndCroppedResize (enum)
    {107, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 73},	//2903 Plasma::Wallpaper::TiledResize (enum)
    {107, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 74},	//2904 Plasma::Wallpaper::CenterTiledResize (enum)
    {107, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 75},	//2905 Plasma::Wallpaper::MaxpectResize (enum)
    {107, 2401, 0, 0, Smoke::mf_dtor, 0, 76 },	//2906 Plasma::Wallpaper::~Wallpaper()
    {108, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2907 Plasma::WallpaperScript::metaObject() const
    {108, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2908 Plasma::WallpaperScript::qt_metacast(const char*)
    {108, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2909 Plasma::WallpaperScript::tr(const char*, const char*)
    {108, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2910 Plasma::WallpaperScript::trUtf8(const char*, const char*)
    {108, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2911 Plasma::WallpaperScript::tr(const char*, const char*, int)
    {108, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2912 Plasma::WallpaperScript::trUtf8(const char*, const char*, int)
    {108, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2913 Plasma::WallpaperScript::qt_metacall(QMetaObject::Call, int, void**)
    {108, 557, 97, 1, Smoke::mf_ctor, 172, 8},	//2914 Plasma::WallpaperScript::WallpaperScript(QObject*)
    {108, 2072, 935, 1, 0, 0, 9},	//2915 Plasma::WallpaperScript::setWallpaper(Plasma::Wallpaper*)
    {108, 2306, 0, 0, Smoke::mf_const, 170, 10},	//2916 Plasma::WallpaperScript::wallpaper() const
    {108, 1091, 405, 1, Smoke::mf_virtual, 0, 11},	//2917 Plasma::WallpaperScript::initWallpaper(const KConfigGroup&)
    {108, 1394, 578, 2, Smoke::mf_virtual, 0, 12},	//2918 Plasma::WallpaperScript::paint(QPainter*, const QRectF&)
    {108, 1571, 169, 1, Smoke::mf_virtual, 0, 13},	//2919 Plasma::WallpaperScript::save(KConfigGroup&)
    {108, 815, 57, 1, Smoke::mf_virtual, 303, 14},	//2920 Plasma::WallpaperScript::createConfigurationInterface(QWidget*)
    {108, 1346, 265, 1, Smoke::mf_virtual, 0, 15},	//2921 Plasma::WallpaperScript::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {108, 1348, 265, 1, Smoke::mf_virtual, 0, 16},	//2922 Plasma::WallpaperScript::mousePressEvent(QGraphicsSceneMouseEvent*)
    {108, 1350, 265, 1, Smoke::mf_virtual, 0, 17},	//2923 Plasma::WallpaperScript::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {108, 2310, 382, 1, Smoke::mf_virtual, 0, 18},	//2924 Plasma::WallpaperScript::wheelEvent(QGraphicsSceneWheelEvent*)
    {108, 1304, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 288, 19},	//2925 Plasma::WallpaperScript::mainScript() const
    {108, 1388, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 402, 20},	//2926 Plasma::WallpaperScript::package() const
    {108, 856, 0, 0, Smoke::mf_const|Smoke::mf_protected, 15, 21},	//2927 Plasma::WallpaperScript::description() const
    {108, 1130, 0, 0, Smoke::mf_const|Smoke::mf_protected, 381, 22},	//2928 Plasma::WallpaperScript::isInitialized() const
    {108, 719, 0, 0, Smoke::mf_const|Smoke::mf_protected, 278, 23},	//2929 Plasma::WallpaperScript::boundingRect() const
    {108, 847, 89, 1, Smoke::mf_const|Smoke::mf_protected, 83, 24},	//2930 Plasma::WallpaperScript::dataEngine(const QString&) const
    {108, 1934, 937, 1, Smoke::mf_protected, 0, 25},	//2931 Plasma::WallpaperScript::setResizeMethodHint(Plasma::Wallpaper::ResizeMethod)
    {108, 2011, 562, 1, Smoke::mf_protected, 0, 26},	//2932 Plasma::WallpaperScript::setTargetSizeHint(const QSizeF&)
    {108, 1688, 252, 2, Smoke::mf_protected, 0, 27},	//2933 Plasma::WallpaperScript::setConfigurationRequired(bool, const QString&)
    {108, 1527, 939, 4, Smoke::mf_protected, 0, 28},	//2934 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod, const QColor&)
    {108, 2051, 7, 1, Smoke::mf_protected, 0, 29},	//2935 Plasma::WallpaperScript::setUsingRenderingCache(bool)
    {108, 979, 944, 3, Smoke::mf_protected, 381, 30},	//2936 Plasma::WallpaperScript::findInCache(const QString&, QImage&, unsigned int)
    {108, 1097, 948, 2, Smoke::mf_protected, 0, 31},	//2937 Plasma::WallpaperScript::insertIntoCache(const QString&, const QImage&)
    {108, 1707, 951, 1, Smoke::mf_protected, 0, 32},	//2938 Plasma::WallpaperScript::setContextualActions(const QList<QAction*>&)
    {108, 2252, 610, 1, Smoke::mf_protected, 0, 33},	//2939 Plasma::WallpaperScript::update(const QRectF&)
    {108, 755, 0, 0, Smoke::mf_protected, 0, 34},	//2940 Plasma::WallpaperScript::configNeedsSaving()
    {108, 1531, 590, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//2941 Plasma::WallpaperScript::renderCompleted(const QImage&)
    {108, 2270, 110, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 36},	//2942 Plasma::WallpaperScript::urlDropped(const KUrl&)
    {108, 2227, 1, 1, Smoke::mf_static, 288, 37},	//2943 Plasma::WallpaperScript::tr(const char*)
    {108, 2231, 1, 1, Smoke::mf_static, 288, 38},	//2944 Plasma::WallpaperScript::trUtf8(const char*)
    {108, 557, 0, 0, Smoke::mf_ctor, 172, 39},	//2945 Plasma::WallpaperScript::WallpaperScript()
    {108, 1688, 7, 1, Smoke::mf_protected, 0, 40},	//2946 Plasma::WallpaperScript::setConfigurationRequired(bool)
    {108, 1527, 953, 2, Smoke::mf_protected, 0, 41},	//2947 Plasma::WallpaperScript::render(const QString&, const QSize&)
    {108, 1527, 956, 3, Smoke::mf_protected, 0, 42},	//2948 Plasma::WallpaperScript::render(const QString&, const QSize&, Plasma::Wallpaper::ResizeMethod)
    {108, 979, 960, 2, Smoke::mf_protected, 381, 43},	//2949 Plasma::WallpaperScript::findInCache(const QString&, QImage&)
    {108, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 44},	//2950 Plasma::WallpaperScript::staticMetaObject() const
    {108, 2402, 0, 0, Smoke::mf_dtor, 0, 45 },	//2951 Plasma::WallpaperScript::~WallpaperScript()
    {109, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 436, 1},	//2952 Plasma::WebView::metaObject() const
    {109, 1459, 1, 1, Smoke::mf_virtual, 478, 2},	//2953 Plasma::WebView::qt_metacast(const char*)
    {109, 2227, 43, 2, Smoke::mf_static, 288, 3},	//2954 Plasma::WebView::tr(const char*, const char*)
    {109, 2231, 43, 2, Smoke::mf_static, 288, 4},	//2955 Plasma::WebView::trUtf8(const char*, const char*)
    {109, 2227, 46, 3, Smoke::mf_static, 288, 5},	//2956 Plasma::WebView::tr(const char*, const char*, int)
    {109, 2231, 46, 3, Smoke::mf_static, 288, 6},	//2957 Plasma::WebView::trUtf8(const char*, const char*, int)
    {109, 1457, 3, 3, Smoke::mf_virtual, 470, 7},	//2958 Plasma::WebView::qt_metacall(QMetaObject::Call, int, void**)
    {109, 560, 161, 1, Smoke::mf_ctor, 173, 8},	//2959 Plasma::WebView::WebView(QGraphicsItem*)
    {109, 2042, 110, 1, Smoke::mf_property, 0, 9},	//2960 Plasma::WebView::setUrl(const KUrl&)
    {109, 2269, 0, 0, Smoke::mf_const|Smoke::mf_property, 28, 10},	//2961 Plasma::WebView::url() const
    {109, 1809, 963, 2, 0, 0, 11},	//2962 Plasma::WebView::setHtml(const QByteArray&, const KUrl&)
    {109, 1069, 0, 0, Smoke::mf_const|Smoke::mf_property, 288, 12},	//2963 Plasma::WebView::html() const
    {109, 1809, 966, 2, 0, 0, 13},	//2964 Plasma::WebView::setHtml(const QString&, const KUrl&)
    {109, 1018, 0, 0, Smoke::mf_const, 278, 14},	//2965 Plasma::WebView::geometry() const
    {109, 797, 0, 0, Smoke::mf_const|Smoke::mf_property, 286, 15},	//2966 Plasma::WebView::contentsSize() const
    {109, 1949, 366, 1, Smoke::mf_property, 0, 16},	//2967 Plasma::WebView::setScrollPosition(const QPointF&)
    {109, 1599, 0, 0, Smoke::mf_const|Smoke::mf_property, 275, 17},	//2968 Plasma::WebView::scrollPosition() const
    {109, 2299, 0, 0, Smoke::mf_const|Smoke::mf_property, 278, 18},	//2969 Plasma::WebView::viewportGeometry() const
    {109, 2327, 0, 0, Smoke::mf_const, 467, 19},	//2970 Plasma::WebView::zoomFactor() const
    {109, 2088, 601, 1, 0, 0, 20},	//2971 Plasma::WebView::setZoomFactor(const double)
    {109, 1887, 969, 1, 0, 0, 21},	//2972 Plasma::WebView::setPage(QWebPage*)
    {109, 1392, 0, 0, Smoke::mf_const, 301, 22},	//2973 Plasma::WebView::page() const
    {109, 1303, 0, 0, Smoke::mf_const, 300, 23},	//2974 Plasma::WebView::mainFrame() const
    {109, 1745, 7, 1, Smoke::mf_property, 0, 24},	//2975 Plasma::WebView::setDragToScroll(bool)
    {109, 887, 0, 0, Smoke::mf_property, 381, 25},	//2976 Plasma::WebView::dragToScroll()
    {109, 1784, 610, 1, Smoke::mf_virtual, 0, 26},	//2977 Plasma::WebView::setGeometry(const QRectF&)
    {109, 1287, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//2978 Plasma::WebView::loadProgress(int)
    {109, 1279, 7, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//2979 Plasma::WebView::loadFinished(bool)
    {109, 1394, 207, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 29},	//2980 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {109, 1346, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//2981 Plasma::WebView::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {109, 1067, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//2982 Plasma::WebView::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {109, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//2983 Plasma::WebView::mousePressEvent(QGraphicsSceneMouseEvent*)
    {109, 1344, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 33},	//2984 Plasma::WebView::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {109, 1350, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//2985 Plasma::WebView::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {109, 804, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//2986 Plasma::WebView::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {109, 2310, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//2987 Plasma::WebView::wheelEvent(QGraphicsSceneWheelEvent*)
    {109, 1185, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//2988 Plasma::WebView::keyPressEvent(QKeyEvent*)
    {109, 1187, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 38},	//2989 Plasma::WebView::keyReleaseEvent(QKeyEvent*)
    {109, 998, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 39},	//2990 Plasma::WebView::focusInEvent(QFocusEvent*)
    {109, 1002, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//2991 Plasma::WebView::focusOutEvent(QFocusEvent*)
    {109, 881, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 41},	//2992 Plasma::WebView::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {109, 883, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 42},	//2993 Plasma::WebView::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {109, 885, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 43},	//2994 Plasma::WebView::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {109, 911, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 44},	//2995 Plasma::WebView::dropEvent(QGraphicsSceneDragDropEvent*)
    {109, 1166, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 298, 45},	//2996 Plasma::WebView::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {109, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 46},	//2997 Plasma::WebView::sizeHint(Qt::SizeHint, const QSizeF&) const
    {109, 2227, 1, 1, Smoke::mf_static, 288, 47},	//2998 Plasma::WebView::tr(const char*)
    {109, 2231, 1, 1, Smoke::mf_static, 288, 48},	//2999 Plasma::WebView::trUtf8(const char*)
    {109, 560, 0, 0, Smoke::mf_ctor, 173, 49},	//3000 Plasma::WebView::WebView()
    {109, 1809, 971, 1, 0, 0, 50},	//3001 Plasma::WebView::setHtml(const QByteArray&)
    {109, 1809, 89, 1, 0, 0, 51},	//3002 Plasma::WebView::setHtml(const QString&)
    {109, 1394, 310, 2, Smoke::mf_protected, 0, 52},	//3003 Plasma::WebView::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {109, 2153, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 435, 53},	//3004 Plasma::WebView::staticMetaObject() const
    {109, 2403, 0, 0, Smoke::mf_dtor, 0, 54 },	//3005 Plasma::WebView::~WebView()
    {110, 957, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3006 QAbstractAnimation::event(QEvent*)
    {110, 2268, 715, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3007 QAbstractAnimation::updateState(QAbstractAnimation::State, QAbstractAnimation::State)
    {110, 2260, 973, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3008 QAbstractAnimation::updateDirection(QAbstractAnimation::Direction)
    {110, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 4},	//3009 QAbstractAnimation::Forward (enum)
    {110, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 5},	//3010 QAbstractAnimation::Backward (enum)
    {110, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 6},	//3011 QAbstractAnimation::Stopped (enum)
    {110, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 7},	//3012 QAbstractAnimation::Paused (enum)
    {110, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 8},	//3013 QAbstractAnimation::Running (enum)
    {111, 819, 975, 3, Smoke::mf_const|Smoke::mf_virtual, 303, 0},	//3014 QAbstractItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 1755, 979, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3015 QAbstractItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {111, 1870, 982, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3016 QAbstractItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {111, 2261, 975, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3017 QAbstractItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {111, 916, 986, 4, Smoke::mf_virtual, 381, 0},	//3018 QAbstractItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {113, 1342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 0},	//3019 QAbstractScrollArea::minimumSizeHint() const
    {132, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3020 QFrame::changeEvent(QEvent*)
    {133, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 1},	//3021 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {133, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 2},	//3022 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {133, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 3},	//3023 QGlobalSpace::Q_STATIC_TYPE (enum)
    {133, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 4},	//3024 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {133, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 5},	//3025 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {133, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 6},	//3026 QGlobalSpace::QtDebugMsg (enum)
    {133, 404, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 7},	//3027 QGlobalSpace::QtWarningMsg (enum)
    {133, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 8},	//3028 QGlobalSpace::QtCriticalMsg (enum)
    {133, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 9},	//3029 QGlobalSpace::QtFatalMsg (enum)
    {133, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 377, 10},	//3030 QGlobalSpace::QtSystemMsg (enum)
    {133, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 11},	//3031 QGlobalSpace::KST_KSycocaEntry (enum)
    {133, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 12},	//3032 QGlobalSpace::KST_KService (enum)
    {133, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 13},	//3033 QGlobalSpace::KST_KServiceType (enum)
    {133, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 14},	//3034 QGlobalSpace::KST_KMimeType (enum)
    {133, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 15},	//3035 QGlobalSpace::KST_KFolderMimeType (enum)
    {133, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 16},	//3036 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {133, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 17},	//3037 QGlobalSpace::KST_KServiceGroup (enum)
    {133, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 18},	//3038 QGlobalSpace::KST_KImageIOFormat (enum)
    {133, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 19},	//3039 QGlobalSpace::KST_KProtocolInfo (enum)
    {133, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 20},	//3040 QGlobalSpace::KST_KServiceSeparator (enum)
    {133, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 21},	//3041 QGlobalSpace::KST_KCustom (enum)
    {133, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 22},	//3042 QGlobalSpace::KST_KServiceFactory (enum)
    {133, 292, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 23},	//3043 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {133, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 24},	//3044 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {133, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 25},	//3045 QGlobalSpace::KST_KImageIO (enum)
    {133, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 26},	//3046 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {133, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 27},	//3047 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {133, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 28},	//3048 QGlobalSpace::KST_CTimeInfo (enum)
    {133, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 29},	//3049 QGlobalSpace::__codecvt_ok (enum)
    {133, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 30},	//3050 QGlobalSpace::__codecvt_partial (enum)
    {133, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 31},	//3051 QGlobalSpace::__codecvt_error (enum)
    {133, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 380, 32},	//3052 QGlobalSpace::__codecvt_noconv (enum)
    {134, 657, 120, 1, Smoke::mf_virtual, 0, 0},	//3053 QGraphicsItem::advance(int)
    {134, 792, 366, 1, Smoke::mf_const|Smoke::mf_virtual, 381, 0},	//3054 QGraphicsItem::contains(const QPointF&) const
    {134, 747, 991, 2, Smoke::mf_const|Smoke::mf_virtual, 381, 0},	//3055 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {134, 748, 994, 2, Smoke::mf_const|Smoke::mf_virtual, 381, 0},	//3056 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {134, 1131, 11, 1, Smoke::mf_const|Smoke::mf_virtual, 381, 0},	//3057 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {134, 1374, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 0},	//3058 QGraphicsItem::opaqueArea() const
    {134, 1585, 262, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3059 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {134, 804, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3060 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {134, 881, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3061 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {134, 883, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3062 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {134, 885, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3063 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {134, 911, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3064 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {134, 1063, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3065 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {134, 1185, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3066 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {134, 1187, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3067 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {134, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3068 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {134, 1346, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3069 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {134, 1350, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3070 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {134, 1344, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3071 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {134, 2310, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3072 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {134, 1095, 997, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3073 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {134, 1096, 999, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 298, 0},	//3074 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {134, 2171, 1001, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3075 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {134, 1771, 1003, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3076 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {134, 972, 690, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 298, 0},	//3077 QGraphicsItem::extension(const QVariant&) const
    {134, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 26},	//3078 QGraphicsItem::ItemPositionChange (enum)
    {134, 244, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 27},	//3079 QGraphicsItem::ItemMatrixChange (enum)
    {134, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 28},	//3080 QGraphicsItem::ItemVisibleChange (enum)
    {134, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 29},	//3081 QGraphicsItem::ItemEnabledChange (enum)
    {134, 259, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 30},	//3082 QGraphicsItem::ItemSelectedChange (enum)
    {134, 248, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 31},	//3083 QGraphicsItem::ItemParentChange (enum)
    {134, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 32},	//3084 QGraphicsItem::ItemChildAddedChange (enum)
    {134, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 33},	//3085 QGraphicsItem::ItemChildRemovedChange (enum)
    {134, 267, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 34},	//3086 QGraphicsItem::ItemTransformChange (enum)
    {134, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 35},	//3087 QGraphicsItem::ItemPositionHasChanged (enum)
    {134, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 36},	//3088 QGraphicsItem::ItemTransformHasChanged (enum)
    {134, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 37},	//3089 QGraphicsItem::ItemSceneChange (enum)
    {134, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 38},	//3090 QGraphicsItem::ItemVisibleHasChanged (enum)
    {134, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 39},	//3091 QGraphicsItem::ItemEnabledHasChanged (enum)
    {134, 260, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 40},	//3092 QGraphicsItem::ItemSelectedHasChanged (enum)
    {134, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 41},	//3093 QGraphicsItem::ItemParentHasChanged (enum)
    {134, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 42},	//3094 QGraphicsItem::ItemSceneHasChanged (enum)
    {134, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 43},	//3095 QGraphicsItem::ItemCursorChange (enum)
    {134, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 44},	//3096 QGraphicsItem::ItemCursorHasChanged (enum)
    {134, 265, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 45},	//3097 QGraphicsItem::ItemToolTipChange (enum)
    {134, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 46},	//3098 QGraphicsItem::ItemToolTipHasChanged (enum)
    {134, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 47},	//3099 QGraphicsItem::ItemFlagsChange (enum)
    {134, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 48},	//3100 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {134, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 49},	//3101 QGraphicsItem::ItemZValueChange (enum)
    {134, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 50},	//3102 QGraphicsItem::ItemZValueHasChanged (enum)
    {134, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 51},	//3103 QGraphicsItem::ItemOpacityChange (enum)
    {134, 247, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 52},	//3104 QGraphicsItem::ItemOpacityHasChanged (enum)
    {134, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 53},	//3105 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {134, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 54},	//3106 QGraphicsItem::ItemRotationChange (enum)
    {134, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 55},	//3107 QGraphicsItem::ItemRotationHasChanged (enum)
    {134, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 56},	//3108 QGraphicsItem::ItemScaleChange (enum)
    {134, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 57},	//3109 QGraphicsItem::ItemScaleHasChanged (enum)
    {134, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 58},	//3110 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {134, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 214, 59},	//3111 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {134, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 60},	//3112 QGraphicsItem::Type (enum)
    {134, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 61},	//3113 QGraphicsItem::UserType (enum)
    {134, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 213, 62},	//3114 QGraphicsItem::UserExtension (enum)
    {136, 1784, 610, 1, Smoke::mf_virtual, 0, 0},	//3115 QGraphicsProxyWidget::setGeometry(const QRectF&)
    {136, 1394, 207, 3, Smoke::mf_virtual, 0, 0},	//3116 QGraphicsProxyWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {136, 2236, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 470, 0},	//3117 QGraphicsProxyWidget::type() const
    {136, 1166, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 298, 0},	//3118 QGraphicsProxyWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {136, 957, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3119 QGraphicsProxyWidget::event(QEvent*)
    {136, 959, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3120 QGraphicsProxyWidget::eventFilter(QObject*, QEvent*)
    {136, 2108, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3121 QGraphicsProxyWidget::showEvent(QShowEvent*)
    {136, 1055, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3122 QGraphicsProxyWidget::hideEvent(QHideEvent*)
    {136, 804, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3123 QGraphicsProxyWidget::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {136, 881, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3124 QGraphicsProxyWidget::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {136, 883, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3125 QGraphicsProxyWidget::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {136, 885, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3126 QGraphicsProxyWidget::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {136, 911, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3127 QGraphicsProxyWidget::dropEvent(QGraphicsSceneDragDropEvent*)
    {136, 1063, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3128 QGraphicsProxyWidget::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {136, 1065, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3129 QGraphicsProxyWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {136, 1067, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3130 QGraphicsProxyWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {136, 1028, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3131 QGraphicsProxyWidget::grabMouseEvent(QEvent*)
    {136, 2238, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3132 QGraphicsProxyWidget::ungrabMouseEvent(QEvent*)
    {136, 1346, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3133 QGraphicsProxyWidget::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {136, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3134 QGraphicsProxyWidget::mousePressEvent(QGraphicsSceneMouseEvent*)
    {136, 1350, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3135 QGraphicsProxyWidget::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {136, 1344, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3136 QGraphicsProxyWidget::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {136, 2310, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3137 QGraphicsProxyWidget::wheelEvent(QGraphicsSceneWheelEvent*)
    {136, 1185, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3138 QGraphicsProxyWidget::keyPressEvent(QKeyEvent*)
    {136, 1187, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3139 QGraphicsProxyWidget::keyReleaseEvent(QKeyEvent*)
    {136, 998, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3140 QGraphicsProxyWidget::focusInEvent(QFocusEvent*)
    {136, 1002, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3141 QGraphicsProxyWidget::focusOutEvent(QFocusEvent*)
    {136, 1001, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3142 QGraphicsProxyWidget::focusNextPrevChild(bool)
    {136, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 0},	//3143 QGraphicsProxyWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {136, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3144 QGraphicsProxyWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {136, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 31},	//3145 QGraphicsProxyWidget::Type (enum)
    {137, 1096, 999, 1, Smoke::mf_const|Smoke::mf_virtual, 298, 0},	//3146 QGraphicsScene::inputMethodQuery(Qt::InputMethodQuery) const
    {137, 957, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3147 QGraphicsScene::event(QEvent*)
    {137, 959, 259, 2, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3148 QGraphicsScene::eventFilter(QObject*, QEvent*)
    {137, 804, 378, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3149 QGraphicsScene::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {137, 911, 384, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3150 QGraphicsScene::dropEvent(QGraphicsSceneDragDropEvent*)
    {137, 998, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3151 QGraphicsScene::focusInEvent(QFocusEvent*)
    {137, 1002, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3152 QGraphicsScene::focusOutEvent(QFocusEvent*)
    {137, 1051, 1006, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3153 QGraphicsScene::helpEvent(QGraphicsSceneHelpEvent*)
    {137, 1185, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3154 QGraphicsScene::keyPressEvent(QKeyEvent*)
    {137, 1187, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3155 QGraphicsScene::keyReleaseEvent(QKeyEvent*)
    {137, 1348, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3156 QGraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent*)
    {137, 1346, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3157 QGraphicsScene::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {137, 1350, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3158 QGraphicsScene::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {137, 1344, 265, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3159 QGraphicsScene::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {137, 2310, 382, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3160 QGraphicsScene::wheelEvent(QGraphicsSceneWheelEvent*)
    {137, 1095, 997, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3161 QGraphicsScene::inputMethodEvent(QInputMethodEvent*)
    {137, 892, 578, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3162 QGraphicsScene::drawBackground(QPainter*, const QRectF&)
    {137, 894, 578, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3163 QGraphicsScene::drawForeground(QPainter*, const QRectF&)
    {137, 897, 1008, 5, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3164 QGraphicsScene::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*, QWidget*)
    {146, 2128, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 285, 0},	//3165 QGraphicsView::sizeHint() const
    {146, 1096, 999, 1, Smoke::mf_const|Smoke::mf_virtual, 298, 0},	//3166 QGraphicsView::inputMethodQuery(Qt::InputMethodQuery) const
    {146, 957, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3167 QGraphicsView::event(QEvent*)
    {146, 2298, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3168 QGraphicsView::viewportEvent(QEvent*)
    {146, 804, 1014, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3169 QGraphicsView::contextMenuEvent(QContextMenuEvent*)
    {146, 881, 1016, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3170 QGraphicsView::dragEnterEvent(QDragEnterEvent*)
    {146, 883, 1018, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3171 QGraphicsView::dragLeaveEvent(QDragLeaveEvent*)
    {146, 885, 1020, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3172 QGraphicsView::dragMoveEvent(QDragMoveEvent*)
    {146, 911, 1022, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3173 QGraphicsView::dropEvent(QDropEvent*)
    {146, 998, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3174 QGraphicsView::focusInEvent(QFocusEvent*)
    {146, 1001, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3175 QGraphicsView::focusNextPrevChild(bool)
    {146, 1002, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3176 QGraphicsView::focusOutEvent(QFocusEvent*)
    {146, 1185, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3177 QGraphicsView::keyPressEvent(QKeyEvent*)
    {146, 1187, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3178 QGraphicsView::keyReleaseEvent(QKeyEvent*)
    {146, 1344, 510, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3179 QGraphicsView::mouseDoubleClickEvent(QMouseEvent*)
    {146, 1348, 510, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3180 QGraphicsView::mousePressEvent(QMouseEvent*)
    {146, 1346, 510, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3181 QGraphicsView::mouseMoveEvent(QMouseEvent*)
    {146, 1350, 510, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3182 QGraphicsView::mouseReleaseEvent(QMouseEvent*)
    {146, 2310, 1024, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3183 QGraphicsView::wheelEvent(QWheelEvent*)
    {146, 1403, 506, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3184 QGraphicsView::paintEvent(QPaintEvent*)
    {146, 1548, 508, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3185 QGraphicsView::resizeEvent(QResizeEvent*)
    {146, 1598, 352, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3186 QGraphicsView::scrollContentsBy(int, int)
    {146, 2108, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3187 QGraphicsView::showEvent(QShowEvent*)
    {146, 1095, 997, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3188 QGraphicsView::inputMethodEvent(QInputMethodEvent*)
    {146, 892, 578, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3189 QGraphicsView::drawBackground(QPainter*, const QRectF&)
    {146, 894, 578, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3190 QGraphicsView::drawForeground(QPainter*, const QRectF&)
    {146, 897, 1026, 4, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3191 QGraphicsView::drawItems(QPainter*, int, QGraphicsItem**, const QStyleOptionGraphicsItem*)
    {147, 1784, 610, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//3192 QGraphicsWidget::setGeometry(const QRectF&)
    {147, 1020, 1031, 4, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//3193 QGraphicsWidget::getContentsMargins(double*, double*, double*, double*) const
    {147, 2236, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 470, 0},	//3194 QGraphicsWidget::type() const
    {147, 1394, 207, 3, Smoke::mf_virtual, 0, 0},	//3195 QGraphicsWidget::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {147, 1413, 207, 3, Smoke::mf_virtual, 0, 0},	//3196 QGraphicsWidget::paintWindowFrame(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {147, 719, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//3197 QGraphicsWidget::boundingRect() const
    {147, 2092, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 0},	//3198 QGraphicsWidget::shape() const
    {147, 1090, 1036, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3199 QGraphicsWidget::initStyleOption(QStyleOption*) const
    {147, 2128, 274, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 286, 0},	//3200 QGraphicsWidget::sizeHint(Qt::SizeHint, const QSizeF&) const
    {147, 2262, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3201 QGraphicsWidget::updateGeometry()
    {147, 1166, 271, 2, Smoke::mf_protected|Smoke::mf_virtual, 298, 0},	//3202 QGraphicsWidget::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {147, 1454, 451, 2, Smoke::mf_protected|Smoke::mf_virtual, 298, 0},	//3203 QGraphicsWidget::propertyChange(const QString&, const QVariant&)
    {147, 1584, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3204 QGraphicsWidget::sceneEvent(QEvent*)
    {147, 2314, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3205 QGraphicsWidget::windowFrameEvent(QEvent*)
    {147, 2315, 366, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 373, 0},	//3206 QGraphicsWidget::windowFrameSectionAt(const QPointF&) const
    {147, 957, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3207 QGraphicsWidget::event(QEvent*)
    {147, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3208 QGraphicsWidget::changeEvent(QEvent*)
    {147, 744, 1038, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3209 QGraphicsWidget::closeEvent(QCloseEvent*)
    {147, 998, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3210 QGraphicsWidget::focusInEvent(QFocusEvent*)
    {147, 1001, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3211 QGraphicsWidget::focusNextPrevChild(bool)
    {147, 1002, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3212 QGraphicsWidget::focusOutEvent(QFocusEvent*)
    {147, 1055, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3213 QGraphicsWidget::hideEvent(QHideEvent*)
    {147, 1352, 536, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3214 QGraphicsWidget::moveEvent(QGraphicsSceneMoveEvent*)
    {147, 1435, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3215 QGraphicsWidget::polishEvent()
    {147, 1548, 269, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3216 QGraphicsWidget::resizeEvent(QGraphicsSceneResizeEvent*)
    {147, 2108, 306, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3217 QGraphicsWidget::showEvent(QShowEvent*)
    {147, 1067, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3218 QGraphicsWidget::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {147, 1065, 277, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3219 QGraphicsWidget::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {147, 1028, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3220 QGraphicsWidget::grabMouseEvent(QEvent*)
    {147, 2238, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3221 QGraphicsWidget::ungrabMouseEvent(QEvent*)
    {147, 1027, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3222 QGraphicsWidget::grabKeyboardEvent(QEvent*)
    {147, 2237, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3223 QGraphicsWidget::ungrabKeyboardEvent(QEvent*)
    {147, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 471, 33},	//3224 QGraphicsWidget::Type (enum)
    {163, 957, 313, 1, Smoke::mf_virtual, 381, 0},	//3225 QObject::event(QEvent*)
    {163, 959, 259, 2, Smoke::mf_virtual, 381, 0},	//3226 QObject::eventFilter(QObject*, QEvent*)
    {163, 2213, 167, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3227 QObject::timerEvent(QTimerEvent*)
    {163, 731, 1040, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3228 QObject::childEvent(QChildEvent*)
    {163, 844, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3229 QObject::customEvent(QEvent*)
    {163, 767, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3230 QObject::connectNotify(const char*)
    {163, 872, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3231 QObject::disconnectNotify(const char*)
    {199, 864, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 470, 0},	//3232 QWidget::devType() const
    {199, 2071, 7, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//3233 QWidget::setVisible(bool)
    {199, 2128, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 285, 0},	//3234 QWidget::sizeHint() const
    {199, 1342, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 285, 0},	//3235 QWidget::minimumSizeHint() const
    {199, 1050, 120, 1, Smoke::mf_const|Smoke::mf_virtual, 470, 0},	//3236 QWidget::heightForWidth(int) const
    {199, 1402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 267, 0},	//3237 QWidget::paintEngine() const
    {199, 1344, 510, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3238 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {199, 2310, 1024, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3239 QWidget::wheelEvent(QWheelEvent*)
    {199, 1187, 380, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3240 QWidget::keyReleaseEvent(QKeyEvent*)
    {199, 1002, 267, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3241 QWidget::focusOutEvent(QFocusEvent*)
    {199, 953, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3242 QWidget::enterEvent(QEvent*)
    {199, 1214, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3243 QWidget::leaveEvent(QEvent*)
    {199, 1352, 512, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3244 QWidget::moveEvent(QMoveEvent*)
    {199, 744, 1038, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3245 QWidget::closeEvent(QCloseEvent*)
    {199, 804, 1014, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3246 QWidget::contextMenuEvent(QContextMenuEvent*)
    {199, 2187, 1042, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3247 QWidget::tabletEvent(QTabletEvent*)
    {199, 579, 1044, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3248 QWidget::actionEvent(QActionEvent*)
    {199, 881, 1016, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3249 QWidget::dragEnterEvent(QDragEnterEvent*)
    {199, 885, 1020, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3250 QWidget::dragMoveEvent(QDragMoveEvent*)
    {199, 883, 1018, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3251 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {199, 911, 1022, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3252 QWidget::dropEvent(QDropEvent*)
    {199, 1055, 308, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3253 QWidget::hideEvent(QHideEvent*)
    {199, 2326, 1046, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3254 QWidget::x11Event(_XEvent*)
    {199, 725, 313, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3255 QWidget::changeEvent(QEvent*)
    {199, 1332, 1048, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 470, 0},	//3256 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {199, 1095, 997, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3257 QWidget::inputMethodEvent(QInputMethodEvent*)
    {199, 1096, 999, 1, Smoke::mf_const|Smoke::mf_virtual, 298, 0},	//3258 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {199, 1001, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 381, 0},	//3259 QWidget::focusNextPrevChild(bool)
    {199, 2165, 1050, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3260 QWidget::styleChange(QStyle&)
    {199, 946, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3261 QWidget::enabledChange(bool)
    {199, 1415, 1052, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3262 QWidget::paletteChange(const QPalette&)
    {199, 1007, 538, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3263 QWidget::fontChange(const QFont&)
    {199, 2313, 7, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3264 QWidget::windowActivationChange(bool)
    {199, 1203, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3265 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1884,  // Plasma::QueryMatch::QueryMatch(Plasma::AbstractRunner*)
    1885,  // Plasma::QueryMatch::QueryMatch(const Plasma::QueryMatch&)
    0,
    2673,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QPixmap&)
    2674,  // Plasma::ToolTipContent::ToolTipContent(const QString&, const QString&, const QIcon&)
    0,
    2681,  // Plasma::ToolTipContent::setImage(const QPixmap&)
    2682,  // Plasma::ToolTipContent::setImage(const QIcon&)
    0,
    2213,  // Plasma::Service::associateWidget(QWidget*, const QString&)
    2215,  // Plasma::Service::associateWidget(QGraphicsWidget*, const QString&)
    0,
    2214,  // Plasma::Service::disassociateWidget(QWidget*)
    2216,  // Plasma::Service::disassociateWidget(QGraphicsWidget*)
    0,
    840,  // Plasma::Containment::StyleOption::StyleOption(const Plasma::Containment::StyleOption&)
    841,  // Plasma::Containment::StyleOption::StyleOption(const QStyleOptionGraphicsItem&)
    0,
    1415,  // Plasma::FrameSvg::hasElementPrefix(const QString&) const
    1416,  // Plasma::FrameSvg::hasElementPrefix(Plasma::Location) const
    0,
    1425,  // Plasma::FrameSvg::paintFrame(QPainter*, const QPointF&)
    1429,  // Plasma::FrameSvg::paintFrame(QPainter*, const QRectF&)
    0,
    1413,  // Plasma::FrameSvg::setElementPrefix(Plasma::Location)
    1414,  // Plasma::FrameSvg::setElementPrefix(const QString&)
    0,
    1859,  // Plasma::PushButton::setIcon(const QIcon&)
    1860,  // Plasma::PushButton::setIcon(const KIcon&)
    0,
    2472,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*)
    2473,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*)
    0,
    2458,  // Plasma::SvgWidget::SvgWidget(QGraphicsItem*, QFlags<Qt::WindowType>)
    2474,  // Plasma::SvgWidget::SvgWidget(Plasma::Svg*, const QString&)
    0,
    2136,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsWidget*)
    2137,  // Plasma::ScrollWidget::ScrollWidget(QGraphicsItem*)
    0,
    2445,  // Plasma::Svg::paint(QPainter*, const QPointF&)
    2447,  // Plasma::Svg::paint(QPainter*, const QRectF&)
    0,
    2419,  // Plasma::Svg::paint(QPainter*, const QPointF&, const QString&)
    2421,  // Plasma::Svg::paint(QPainter*, const QRectF&, const QString&)
    0,
    1021,  // Plasma::DataEngine::DataEngine(QObject*, KSharedPtr<KService>)
    1022,  // Plasma::DataEngine::DataEngine(QObject*, const QList<QVariant>&)
    0,
    970,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, Plasma::Animator::Animation)
    971,  // Plasma::Corona::mapAnimation(Plasma::Animator::Animation, const QString&)
    0,
    1994,  // Plasma::RunnerManager::RunnerManager(QObject*)
    2030,  // Plasma::RunnerManager::RunnerManager(KConfigGroup&)
    0,
    24,  // Plasma::loadScriptEngine(const QString&, Plasma::AbstractRunner*)
    28,  // Plasma::loadScriptEngine(const QString&, Plasma::Wallpaper*)
    32,  // Plasma::loadScriptEngine(const QString&, Plasma::DataEngine*)
    35,  // Plasma::loadScriptEngine(const QString&, Plasma::Applet*)
    0,
    329,  // Plasma::Animator::create(Plasma::Animator::CurveShape)
    349,  // Plasma::Animator::create(Plasma::Animator::Animation)
    350,  // Plasma::Animator::create(const QString&)
    0,
    327,  // Plasma::Animator::create(Plasma::Animator::Animation, QObject*)
    328,  // Plasma::Animator::create(const QString&, QObject*)
    0,
    1951,  // Plasma::RunnerContext::RunnerContext(QObject*)
    1975,  // Plasma::RunnerContext::RunnerContext(Plasma::RunnerContext&)
    0,
    892,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::MouseButton, const QString&)
    893,  // Plasma::ContainmentActionsPluginsConfig::addPlugin(QFlags<Qt::KeyboardModifier>, Qt::Orientation, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {29, 11, 108},	// Plasma::AcceptingInputStatus
    {29, 17, 106},	// Plasma::ActiveStatus
    {29, 19, 50},	// Plasma::AlignToHour
    {29, 20, 49},	// Plasma::AlignToMinute
    {29, 23, 100},	// Plasma::AllConstraints
    {29, 35, 115},	// Plasma::AnimatorComponent
    {29, 43, 112},	// Plasma::AppletComponent
    {29, 46, 89},	// Plasma::AppletType
    {29, 55, 122},	// Plasma::BottomEdge
    {29, 56, 52},	// Plasma::BottomMargin
    {29, 57, 85},	// Plasma::BottomPosedLeftAlignedPopup
    {29, 58, 86},	// Plasma::BottomPosedRightAlignedPopup
    {29, 59, 64},	// Plasma::BottomPositioned
    {29, 67, 47},	// Plasma::ButtonCancel
    {29, 68, 46},	// Plasma::ButtonNo
    {29, 69, 43},	// Plasma::ButtonNone
    {29, 70, 44},	// Plasma::ButtonOk
    {29, 72, 45},	// Plasma::ButtonYes
    {29, 77, 65},	// Plasma::CenterPositioned
    {29, 94, 59},	// Plasma::ConstrainedSquare
    {29, 105, 116},	// Plasma::ContainmentComponent
    {29, 108, 98},	// Plasma::ContextConstraint
    {29, 121, 113},	// Plasma::DataEngineComponent
    {29, 134, 119},	// Plasma::Desktop
    {29, 137, 109},	// Plasma::DesktopZoom
    {29, 149, 66},	// Plasma::Down
    {29, 174, 60},	// Plasma::FixedSize
    {29, 177, 118},	// Plasma::Floating
    {29, 178, 80},	// Plasma::FloatingPopup
    {29, 180, 92},	// Plasma::FormFactorConstraint
    {29, 186, 120},	// Plasma::FullScreen
    {29, 194, 110},	// Plasma::GroupZoom
    {29, 202, 41},	// Plasma::Horizontal
    {29, 203, 102},	// Plasma::HorizontalFlip
    {29, 211, 56},	// Plasma::IgnoreAspectRatio
    {29, 214, 96},	// Plasma::ImmutableConstraint
    {29, 218, 55},	// Plasma::InvalidAspectRatioMode
    {29, 219, 72},	// Plasma::InvalidCredentials
    {29, 294, 57},	// Plasma::KeepAspectRatio
    {29, 301, 68},	// Plasma::Left
    {29, 303, 123},	// Plasma::LeftEdge
    {29, 304, 53},	// Plasma::LeftMargin
    {29, 305, 84},	// Plasma::LeftPosedBottomAlignedPopup
    {29, 306, 83},	// Plasma::LeftPosedTopAlignedPopup
    {29, 307, 61},	// Plasma::LeftPositioned
    {29, 310, 90},	// Plasma::LineEditType
    {29, 313, 93},	// Plasma::LocationConstraint
    {29, 318, 40},	// Plasma::MediaCenter
    {29, 328, 77},	// Plasma::Mutable
    {29, 329, 107},	// Plasma::NeedsAttentionStatus
    {29, 332, 48},	// Plasma::NoAlignment
    {29, 334, 70},	// Plasma::NoAnnouncement
    {29, 340, 91},	// Plasma::NoConstraint
    {29, 346, 101},	// Plasma::NoFlip
    {29, 359, 111},	// Plasma::OverviewZoom
    {29, 372, 105},	// Plasma::PassiveStatus
    {29, 381, 39},	// Plasma::Planar
    {29, 388, 99},	// Plasma::PopupConstraint
    {29, 412, 69},	// Plasma::Right
    {29, 414, 124},	// Plasma::RightEdge
    {29, 415, 54},	// Plasma::RightMargin
    {29, 416, 88},	// Plasma::RightPosedBottomAlignedPopup
    {29, 417, 87},	// Plasma::RightPosedTopAlignedPopup
    {29, 418, 62},	// Plasma::RightPositioned
    {29, 422, 114},	// Plasma::RunnerComponent
    {29, 438, 94},	// Plasma::ScreenConstraint
    {29, 464, 95},	// Plasma::SizeConstraint
    {29, 476, 58},	// Plasma::Square
    {29, 478, 97},	// Plasma::StartupCompletedConstraint
    {29, 496, 79},	// Plasma::SystemImmutable
    {29, 517, 121},	// Plasma::TopEdge
    {29, 518, 51},	// Plasma::TopMargin
    {29, 519, 81},	// Plasma::TopPosedLeftAlignedPopup
    {29, 520, 82},	// Plasma::TopPosedRightAlignedPopup
    {29, 521, 63},	// Plasma::TopPositioned
    {29, 526, 75},	// Plasma::TrustedCredentials
    {29, 529, 76},	// Plasma::UltimateCredentials
    {29, 530, 73},	// Plasma::UnknownCredentials
    {29, 531, 104},	// Plasma::UnknownStatus
    {29, 533, 67},	// Plasma::Up
    {29, 536, 78},	// Plasma::UserImmutable
    {29, 540, 74},	// Plasma::ValidCredentials
    {29, 542, 42},	// Plasma::Vertical
    {29, 543, 103},	// Plasma::VerticalFlip
    {29, 556, 117},	// Plasma::WallpaperComponent
    {29, 563, 71},	// Plasma::ZeroconfAnnouncement
    {29, 565, 37},	// Plasma::ZoomIn
    {29, 566, 38},	// Plasma::ZoomOut
    {29, 585, 30},	// Plasma::actionsFromMenu#
    {29, 586, 31},	// Plasma::actionsFromMenu#$
    {29, 587, 29},	// Plasma::actionsFromMenu#$#
    {29, 1136, 33},	// Plasma::isPluginVersionCompatible$
    {29, 1192, 34},	// Plasma::knownLanguages$
    {29, 1293, -55},	// Plasma::loadScriptEngine$#
    {29, 1298, 18},	// Plasma::locationToDirection$
    {29, 1300, 23},	// Plasma::locationToInverseDirection$
    {29, 1391, 26},	// Plasma::packageStructure$$
    {29, 1583, 27},	// Plasma::scalingFactor$
    {29, 2284, 22},	// Plasma::version
    {29, 2285, 20},	// Plasma::versionMajor
    {29, 2286, 25},	// Plasma::versionMinor
    {29, 2287, 36},	// Plasma::versionRelease
    {29, 2288, 19},	// Plasma::versionString
    {29, 2297, 21},	// Plasma::viewFor#
    {30, 1, 136},	// Plasma::AbstractDialogManager::AbstractDialogManager
    {30, 2, 132},	// Plasma::AbstractDialogManager::AbstractDialogManager#
    {30, 1329, 125},	// Plasma::AbstractDialogManager::metaObject
    {30, 1458, 131},	// Plasma::AbstractDialogManager::qt_metacall$$?
    {30, 1460, 126},	// Plasma::AbstractDialogManager::qt_metacast$
    {30, 2105, 133},	// Plasma::AbstractDialogManager::showDialog##
    {30, 2153, 137},	// Plasma::AbstractDialogManager::staticMetaObject
    {30, 2228, 134},	// Plasma::AbstractDialogManager::tr$
    {30, 2229, 127},	// Plasma::AbstractDialogManager::tr$$
    {30, 2230, 129},	// Plasma::AbstractDialogManager::tr$$$
    {30, 2232, 135},	// Plasma::AbstractDialogManager::trUtf8$
    {30, 2233, 128},	// Plasma::AbstractDialogManager::trUtf8$$
    {30, 2234, 130},	// Plasma::AbstractDialogManager::trUtf8$$$
    {30, 2330, 138},	// Plasma::AbstractDialogManager::~AbstractDialogManager
    {31, 3, 189},	// Plasma::AbstractRunner::AbstractRunner
    {31, 4, 190},	// Plasma::AbstractRunner::AbstractRunner#
    {31, 5, 166},	// Plasma::AbstractRunner::AbstractRunner#$
    {31, 6, 168},	// Plasma::AbstractRunner::AbstractRunner#?
    {31, 7, 191},	// Plasma::AbstractRunner::AbstractRunner?
    {31, 8, 167},	// Plasma::AbstractRunner::AbstractRunner?#
    {31, 199, 199},	// Plasma::AbstractRunner::HighPriority
    {31, 200, 200},	// Plasma::AbstractRunner::HighestPriority
    {31, 314, 197},	// Plasma::AbstractRunner::LowPriority
    {31, 315, 196},	// Plasma::AbstractRunner::LowestPriority
    {31, 354, 198},	// Plasma::AbstractRunner::NormalPriority
    {31, 355, 195},	// Plasma::AbstractRunner::NormalSpeed
    {31, 470, 194},	// Plasma::AbstractRunner::SlowSpeed
    {31, 578, 178},	// Plasma::AbstractRunner::action$
    {31, 580, 179},	// Plasma::AbstractRunner::actions
    {31, 582, 174},	// Plasma::AbstractRunner::actionsForMatch#
    {31, 596, 176},	// Plasma::AbstractRunner::addAction$#
    {31, 597, 175},	// Plasma::AbstractRunner::addAction$#$
    {31, 647, 181},	// Plasma::AbstractRunner::addSyntax#
    {31, 715, 162},	// Plasma::AbstractRunner::bigLock
    {31, 733, 180},	// Plasma::AbstractRunner::clearActions
    {31, 752, 169},	// Plasma::AbstractRunner::config
    {31, 828, 149},	// Plasma::AbstractRunner::createRunOptions#
    {31, 848, 184},	// Plasma::AbstractRunner::dataEngine$
    {31, 852, 163},	// Plasma::AbstractRunner::defaultSyntax
    {31, 856, 157},	// Plasma::AbstractRunner::description
    {31, 1047, 148},	// Plasma::AbstractRunner::hasRunOptions
    {31, 1070, 158},	// Plasma::AbstractRunner::icon
    {31, 1072, 156},	// Plasma::AbstractRunner::id
    {31, 1073, 153},	// Plasma::AbstractRunner::ignoredTypes
    {31, 1086, 185},	// Plasma::AbstractRunner::init
    {31, 1317, 146},	// Plasma::AbstractRunner::match#
    {31, 1329, 139},	// Plasma::AbstractRunner::metaObject
    {31, 1334, 186},	// Plasma::AbstractRunner::mimeDataForMatch#
    {31, 1364, 155},	// Plasma::AbstractRunner::name
    {31, 1388, 159},	// Plasma::AbstractRunner::package
    {31, 1426, 147},	// Plasma::AbstractRunner::performMatch#
    {31, 1447, 164},	// Plasma::AbstractRunner::prepare
    {31, 1451, 152},	// Plasma::AbstractRunner::priority
    {31, 1458, 145},	// Plasma::AbstractRunner::qt_metacall$$?
    {31, 1460, 140},	// Plasma::AbstractRunner::qt_metacast$
    {31, 1490, 160},	// Plasma::AbstractRunner::reloadConfiguration
    {31, 1501, 177},	// Plasma::AbstractRunner::removeAction$
    {31, 1563, 150},	// Plasma::AbstractRunner::run##
    {31, 1615, 192},	// Plasma::AbstractRunner::serviceQuery$
    {31, 1616, 173},	// Plasma::AbstractRunner::serviceQuery$$
    {31, 1735, 182},	// Plasma::AbstractRunner::setDefaultSyntax#
    {31, 1798, 170},	// Plasma::AbstractRunner::setHasRunOptions$
    {31, 1820, 154},	// Plasma::AbstractRunner::setIgnoredTypes$
    {31, 1915, 172},	// Plasma::AbstractRunner::setPriority$
    {31, 1980, 171},	// Plasma::AbstractRunner::setSpeed$
    {31, 2000, 183},	// Plasma::AbstractRunner::setSyntaxes?
    {31, 2144, 151},	// Plasma::AbstractRunner::speed
    {31, 2153, 193},	// Plasma::AbstractRunner::staticMetaObject
    {31, 2180, 161},	// Plasma::AbstractRunner::syntaxes
    {31, 2198, 165},	// Plasma::AbstractRunner::teardown
    {31, 2228, 187},	// Plasma::AbstractRunner::tr$
    {31, 2229, 141},	// Plasma::AbstractRunner::tr$$
    {31, 2230, 143},	// Plasma::AbstractRunner::tr$$$
    {31, 2232, 188},	// Plasma::AbstractRunner::trUtf8$
    {31, 2233, 142},	// Plasma::AbstractRunner::trUtf8$$
    {31, 2234, 144},	// Plasma::AbstractRunner::trUtf8$$$
    {31, 2331, 201},	// Plasma::AbstractRunner::~AbstractRunner
    {32, 10, 209},	// Plasma::AbstractToolBox::AbstractToolBox#
    {32, 18, 220},	// Plasma::AbstractToolBox::AddTool
    {32, 93, 221},	// Plasma::AbstractToolBox::ConfigureTool
    {32, 109, 222},	// Plasma::AbstractToolBox::ControlTool
    {32, 138, 224},	// Plasma::AbstractToolBox::DestructiveTool
    {32, 322, 223},	// Plasma::AbstractToolBox::MiscTool
    {32, 537, 225},	// Plasma::AbstractToolBox::UserToolType
    {32, 654, 210},	// Plasma::AbstractToolBox::addTool#
    {32, 779, 216},	// Plasma::AbstractToolBox::containment
    {32, 1146, 212},	// Plasma::AbstractToolBox::isShowing
    {32, 1329, 202},	// Plasma::AbstractToolBox::metaObject
    {32, 1458, 208},	// Plasma::AbstractToolBox::qt_metacall$$?
    {32, 1460, 203},	// Plasma::AbstractToolBox::qt_metacast$
    {32, 1524, 211},	// Plasma::AbstractToolBox::removeTool#
    {32, 1968, 213},	// Plasma::AbstractToolBox::setShowing$
    {32, 2153, 219},	// Plasma::AbstractToolBox::staticMetaObject
    {32, 2217, 214},	// Plasma::AbstractToolBox::toggled
    {32, 2228, 217},	// Plasma::AbstractToolBox::tr$
    {32, 2229, 204},	// Plasma::AbstractToolBox::tr$$
    {32, 2230, 206},	// Plasma::AbstractToolBox::tr$$$
    {32, 2232, 218},	// Plasma::AbstractToolBox::trUtf8$
    {32, 2233, 205},	// Plasma::AbstractToolBox::trUtf8$$
    {32, 2234, 207},	// Plasma::AbstractToolBox::trUtf8$$$
    {32, 2303, 215},	// Plasma::AbstractToolBox::visibilityChanged$
    {32, 2332, 226},	// Plasma::AbstractToolBox::~AbstractToolBox
    {33, 13, 239},	// Plasma::AccessAppletJob::AccessAppletJob#
    {33, 14, 235},	// Plasma::AccessAppletJob::AccessAppletJob##
    {33, 682, 234},	// Plasma::AccessAppletJob::applet
    {33, 1329, 227},	// Plasma::AccessAppletJob::metaObject
    {33, 1458, 233},	// Plasma::AccessAppletJob::qt_metacall$$?
    {33, 1460, 228},	// Plasma::AccessAppletJob::qt_metacast$
    {33, 2147, 236},	// Plasma::AccessAppletJob::start
    {33, 2153, 240},	// Plasma::AccessAppletJob::staticMetaObject
    {33, 2228, 237},	// Plasma::AccessAppletJob::tr$
    {33, 2229, 229},	// Plasma::AccessAppletJob::tr$$
    {33, 2230, 231},	// Plasma::AccessAppletJob::tr$$$
    {33, 2232, 238},	// Plasma::AccessAppletJob::trUtf8$
    {33, 2233, 230},	// Plasma::AccessAppletJob::trUtf8$$
    {33, 2234, 232},	// Plasma::AccessAppletJob::trUtf8$$$
    {33, 2333, 241},	// Plasma::AccessAppletJob::~AccessAppletJob
    {34, 576, 250},	// Plasma::AccessManager::accessRemoteApplet#
    {34, 989, 253},	// Plasma::AccessManager::finished#
    {34, 1329, 242},	// Plasma::AccessManager::metaObject
    {34, 1458, 248},	// Plasma::AccessManager::qt_metacall$$?
    {34, 1460, 243},	// Plasma::AccessManager::qt_metacast$
    {34, 1493, 254},	// Plasma::AccessManager::remoteAppletAnnounced#
    {34, 1495, 255},	// Plasma::AccessManager::remoteAppletUnannounced#
    {34, 1496, 251},	// Plasma::AccessManager::remoteApplets
    {34, 1608, 249},	// Plasma::AccessManager::self
    {34, 2153, 258},	// Plasma::AccessManager::staticMetaObject
    {34, 2170, 252},	// Plasma::AccessManager::supportedProtocols
    {34, 2228, 256},	// Plasma::AccessManager::tr$
    {34, 2229, 244},	// Plasma::AccessManager::tr$$
    {34, 2230, 246},	// Plasma::AccessManager::tr$$$
    {34, 2232, 257},	// Plasma::AccessManager::trUtf8$
    {34, 2233, 245},	// Plasma::AccessManager::trUtf8$$
    {34, 2234, 247},	// Plasma::AccessManager::trUtf8$$$
    {35, 31, 276},	// Plasma::Animation::Animation
    {35, 32, 267},	// Plasma::Animation::Animation#
    {35, 76, 279},	// Plasma::Animation::Center
    {35, 149, 281},	// Plasma::Animation::Down
    {35, 301, 282},	// Plasma::Animation::Left
    {35, 323, 284},	// Plasma::Animation::MoveAny
    {35, 324, 287},	// Plasma::Animation::MoveDown
    {35, 325, 288},	// Plasma::Animation::MoveLeft
    {35, 326, 286},	// Plasma::Animation::MoveRight
    {35, 327, 285},	// Plasma::Animation::MoveUp
    {35, 412, 283},	// Plasma::Animation::Right
    {35, 533, 280},	// Plasma::Animation::Up
    {35, 913, 266},	// Plasma::Animation::duration
    {35, 914, 271},	// Plasma::Animation::easingCurve
    {35, 1329, 259},	// Plasma::Animation::metaObject
    {35, 1458, 265},	// Plasma::Animation::qt_metacall$$?
    {35, 1460, 260},	// Plasma::Animation::qt_metacast$
    {35, 1751, 277},	// Plasma::Animation::setDuration
    {35, 1752, 272},	// Plasma::Animation::setDuration$
    {35, 1754, 270},	// Plasma::Animation::setEasingCurve#
    {35, 2014, 268},	// Plasma::Animation::setTargetWidget#
    {35, 2153, 278},	// Plasma::Animation::staticMetaObject
    {35, 2196, 269},	// Plasma::Animation::targetWidget
    {35, 2228, 274},	// Plasma::Animation::tr$
    {35, 2229, 261},	// Plasma::Animation::tr$$
    {35, 2230, 263},	// Plasma::Animation::tr$$$
    {35, 2232, 275},	// Plasma::Animation::trUtf8$
    {35, 2233, 262},	// Plasma::Animation::trUtf8$$
    {35, 2234, 264},	// Plasma::Animation::trUtf8$$$
    {35, 2258, 273},	// Plasma::Animation::updateCurrentTime$
    {35, 2334, 289},	// Plasma::Animation::~Animation
    {36, 33, 316},	// Plasma::AnimationDriver::AnimationDriver
    {36, 34, 297},	// Plasma::AnimationDriver::AnimationDriver#
    {36, 667, 304},	// Plasma::AnimationDriver::animationCurve$
    {36, 669, 301},	// Plasma::AnimationDriver::animationDuration$
    {36, 673, 298},	// Plasma::AnimationDriver::animationFps$
    {36, 919, 306},	// Plasma::AnimationDriver::elementAnimationCurve$
    {36, 921, 303},	// Plasma::AnimationDriver::elementAnimationDuration$
    {36, 925, 300},	// Plasma::AnimationDriver::elementAnimationFps$
    {36, 927, 307},	// Plasma::AnimationDriver::elementAppear$#
    {36, 931, 308},	// Plasma::AnimationDriver::elementDisappear$#
    {36, 1158, 311},	// Plasma::AnimationDriver::itemActivated$#
    {36, 1163, 309},	// Plasma::AnimationDriver::itemAppear$#
    {36, 1171, 310},	// Plasma::AnimationDriver::itemDisappear$#
    {36, 1181, 312},	// Plasma::AnimationDriver::itemSlideIn$###
    {36, 1183, 313},	// Plasma::AnimationDriver::itemSlideOut$###
    {36, 1329, 290},	// Plasma::AnimationDriver::metaObject
    {36, 1357, 305},	// Plasma::AnimationDriver::movementAnimationCurve$
    {36, 1359, 302},	// Plasma::AnimationDriver::movementAnimationDuration$
    {36, 1361, 299},	// Plasma::AnimationDriver::movementAnimationFps$
    {36, 1458, 296},	// Plasma::AnimationDriver::qt_metacall$$?
    {36, 1460, 291},	// Plasma::AnimationDriver::qt_metacast$
    {36, 2153, 317},	// Plasma::AnimationDriver::staticMetaObject
    {36, 2228, 314},	// Plasma::AnimationDriver::tr$
    {36, 2229, 292},	// Plasma::AnimationDriver::tr$$
    {36, 2230, 294},	// Plasma::AnimationDriver::tr$$$
    {36, 2232, 315},	// Plasma::AnimationDriver::trUtf8$
    {36, 2233, 293},	// Plasma::AnimationDriver::trUtf8$$
    {36, 2234, 295},	// Plasma::AnimationDriver::trUtf8$$$
    {36, 2335, 318},	// Plasma::AnimationDriver::~AnimationDriver
    {37, 15, 354},	// Plasma::Animator::ActivateAnimation
    {37, 36, 352},	// Plasma::Animator::AppearAnimation
    {37, 145, 353},	// Plasma::Animator::DisappearAnimation
    {37, 152, 366},	// Plasma::Animator::EaseInCurve
    {37, 153, 368},	// Plasma::Animator::EaseInOutCurve
    {37, 154, 367},	// Plasma::Animator::EaseOutCurve
    {37, 168, 355},	// Plasma::Animator::FadeAnimation
    {37, 169, 373},	// Plasma::Animator::FastSlideInMovement
    {37, 170, 374},	// Plasma::Animator::FastSlideOutMovement
    {37, 191, 361},	// Plasma::Animator::GeometryAnimation
    {37, 195, 356},	// Plasma::Animator::GrowAnimation
    {37, 300, 365},	// Plasma::Animator::LastAnimation
    {37, 311, 369},	// Plasma::Animator::LinearCurve
    {37, 375, 370},	// Plasma::Animator::PendularCurve
    {37, 379, 363},	// Plasma::Animator::PixmapTransitionAnimation
    {37, 392, 357},	// Plasma::Animator::PulseAnimation
    {37, 419, 358},	// Plasma::Animator::RotationAnimation
    {37, 420, 359},	// Plasma::Animator::RotationStackedAnimation
    {37, 465, 360},	// Plasma::Animator::SlideAnimation
    {37, 466, 371},	// Plasma::Animator::SlideInMovement
    {37, 467, 372},	// Plasma::Animator::SlideOutMovement
    {37, 559, 364},	// Plasma::Animator::WaterAnimation
    {37, 564, 362},	// Plasma::Animator::ZoomAnimation
    {37, 671, 341},	// Plasma::Animator::animationFinished#$
    {37, 811, -60},	// Plasma::Animator::create$
    {37, 812, -64},	// Plasma::Animator::create$#
    {37, 835, 337},	// Plasma::Animator::currentPixmap$
    {37, 840, 333},	// Plasma::Animator::customAnimation$$$#$
    {37, 842, 344},	// Plasma::Animator::customAnimationFinished$
    {37, 923, 343},	// Plasma::Animator::elementAnimationFinished$
    {37, 1115, 338},	// Plasma::Animator::isAnimating
    {37, 1329, 319},	// Plasma::Animator::metaObject
    {37, 1355, 331},	// Plasma::Animator::moveItem#$#
    {37, 1363, 342},	// Plasma::Animator::movementFinished#
    {37, 1458, 325},	// Plasma::Animator::qt_metacall$$?
    {37, 1460, 320},	// Plasma::Animator::qt_metacast$
    {37, 1482, 339},	// Plasma::Animator::registerScrollingManager#
    {37, 1601, 345},	// Plasma::Animator::scrollStateChanged#$$
    {37, 1608, 326},	// Plasma::Animator::self
    {37, 1834, 336},	// Plasma::Animator::setInitialPixmap$#
    {37, 2153, 351},	// Plasma::Animator::staticMetaObject
    {37, 2157, 334},	// Plasma::Animator::stopCustomAnimation$
    {37, 2159, 335},	// Plasma::Animator::stopElementAnimation$
    {37, 2161, 330},	// Plasma::Animator::stopItemAnimation$
    {37, 2163, 332},	// Plasma::Animator::stopItemMovement$
    {37, 2214, 346},	// Plasma::Animator::timerEvent#
    {37, 2228, 347},	// Plasma::Animator::tr$
    {37, 2229, 321},	// Plasma::Animator::tr$$
    {37, 2230, 323},	// Plasma::Animator::tr$$$
    {37, 2232, 348},	// Plasma::Animator::trUtf8$
    {37, 2233, 322},	// Plasma::Animator::trUtf8$$
    {37, 2234, 324},	// Plasma::Animator::trUtf8$$$
    {37, 2249, 340},	// Plasma::Animator::unregisterScrollingManager#
    {38, 37, 517},	// Plasma::Applet::Applet
    {38, 38, 518},	// Plasma::Applet::Applet#
    {38, 39, 519},	// Plasma::Applet::Applet#$
    {38, 40, 442},	// Plasma::Applet::Applet#$$
    {38, 41, 443},	// Plasma::Applet::Applet#$$?
    {38, 42, 482},	// Plasma::Applet::Applet#?
    {38, 126, 527},	// Plasma::Applet::DefaultBackground
    {38, 335, 524},	// Plasma::Applet::NoBackground
    {38, 477, 525},	// Plasma::Applet::StandardBackground
    {38, 523, 526},	// Plasma::Applet::TranslucentBackground
    {38, 528, 528},	// Plasma::Applet::Type
    {38, 578, 428},	// Plasma::Applet::action$
    {38, 588, 458},	// Plasma::Applet::activate
    {38, 596, 429},	// Plasma::Applet::addAction$#
    {38, 606, 439},	// Plasma::Applet::addAssociatedWidget#
    {38, 686, 460},	// Plasma::Applet::appletDestroyed#
    {38, 690, 454},	// Plasma::Applet::appletTransformedByUser
    {38, 691, 455},	// Plasma::Applet::appletTransformedItself
    {38, 694, 401},	// Plasma::Applet::aspectRatioMode
    {38, 697, 449},	// Plasma::Applet::associatedApplication
    {38, 698, 450},	// Plasma::Applet::associatedApplicationUrls
    {38, 712, 431},	// Plasma::Applet::backgroundHints
    {38, 722, 420},	// Plasma::Applet::category
    {38, 723, 412},	// Plasma::Applet::category#
    {38, 724, 413},	// Plasma::Applet::category$
    {38, 752, 384},	// Plasma::Applet::config
    {38, 753, 385},	// Plasma::Applet::config$
    {38, 754, 473},	// Plasma::Applet::configChanged
    {38, 755, 457},	// Plasma::Applet::configNeedsSaving
    {38, 756, 389},	// Plasma::Applet::configScheme
    {38, 759, 425},	// Plasma::Applet::configurationRequired
    {38, 775, 488},	// Plasma::Applet::constraintsEvent$
    {38, 779, 435},	// Plasma::Applet::containment
    {38, 798, 400},	// Plasma::Applet::context
    {38, 806, 427},	// Plasma::Applet::contextualActions
    {38, 816, 445},	// Plasma::Applet::createConfigurationInterface#
    {38, 843, 408},	// Plasma::Applet::customCategories
    {38, 848, 390},	// Plasma::Applet::dataEngine$
    {38, 859, 465},	// Plasma::Applet::destroy
    {38, 861, 444},	// Plasma::Applet::destroyed
    {38, 960, 493},	// Plasma::Applet::eventFilter##
    {38, 969, 492},	// Plasma::Applet::extender
    {38, 971, 462},	// Plasma::Applet::extenderItemRestored#
    {38, 997, 471},	// Plasma::Applet::flushPendingConstraintsEvents
    {38, 999, 496},	// Plasma::Applet::focusInEvent#
    {38, 1005, 416},	// Plasma::Applet::font
    {38, 1012, 398},	// Plasma::Applet::formFactor
    {38, 1019, 453},	// Plasma::Applet::geometryChanged
    {38, 1025, 388},	// Plasma::Applet::globalConfig
    {38, 1026, 437},	// Plasma::Applet::globalShortcut
    {38, 1035, 446},	// Plasma::Applet::hasAuthorization$
    {38, 1036, 426},	// Plasma::Applet::hasConfigurationInterface
    {38, 1041, 423},	// Plasma::Applet::hasFailedToLaunch
    {38, 1049, 451},	// Plasma::Applet::hasValidAssociatedApplication
    {38, 1064, 501},	// Plasma::Applet::hoverEnterEvent#
    {38, 1066, 502},	// Plasma::Applet::hoverLeaveEvent#
    {38, 1070, 419},	// Plasma::Applet::icon
    {38, 1072, 383},	// Plasma::Applet::id
    {38, 1077, 421},	// Plasma::Applet::immutability
    {38, 1079, 463},	// Plasma::Applet::immutabilityChanged$
    {38, 1086, 472},	// Plasma::Applet::init
    {38, 1089, 441},	// Plasma::Applet::initExtenderItem#
    {38, 1117, 424},	// Plasma::Applet::isBusy
    {38, 1123, 432},	// Plasma::Applet::isContainment
    {38, 1137, 438},	// Plasma::Applet::isPopupShowing
    {38, 1139, 480},	// Plasma::Applet::isPublished
    {38, 1142, 491},	// Plasma::Applet::isRegisteredAsDragHandle#
    {38, 1149, 468},	// Plasma::Applet::isUserConfiguring
    {38, 1167, 498},	// Plasma::Applet::itemChange$#
    {38, 1224, 507},	// Plasma::Applet::listAppletInfo
    {38, 1225, 508},	// Plasma::Applet::listAppletInfo$
    {38, 1226, 403},	// Plasma::Applet::listAppletInfo$$
    {38, 1228, 404},	// Plasma::Applet::listAppletInfoForMimetype$
    {38, 1230, 405},	// Plasma::Applet::listAppletInfoForUrl#
    {38, 1231, 509},	// Plasma::Applet::listCategories
    {38, 1232, 510},	// Plasma::Applet::listCategories$
    {38, 1233, 406},	// Plasma::Applet::listCategories$$
    {38, 1262, 515},	// Plasma::Applet::load#
    {38, 1265, 516},	// Plasma::Applet::load#$
    {38, 1266, 411},	// Plasma::Applet::load#$?
    {38, 1268, 513},	// Plasma::Applet::load$
    {38, 1270, 514},	// Plasma::Applet::load$$
    {38, 1271, 410},	// Plasma::Applet::load$$?
    {38, 1284, 511},	// Plasma::Applet::loadPlasmoid$
    {38, 1285, 512},	// Plasma::Applet::loadPlasmoid$$
    {38, 1286, 409},	// Plasma::Applet::loadPlasmoid$$?
    {38, 1294, 399},	// Plasma::Applet::location
    {38, 1302, 470},	// Plasma::Applet::lower
    {38, 1310, 393},	// Plasma::Applet::mapFromView##
    {38, 1312, 394},	// Plasma::Applet::mapToView##
    {38, 1328, 459},	// Plasma::Applet::messageButtonPressed$
    {38, 1329, 375},	// Plasma::Applet::metaObject
    {38, 1347, 495},	// Plasma::Applet::mouseMoveEvent#
    {38, 1364, 415},	// Plasma::Applet::name
    {38, 1368, 461},	// Plasma::Applet::newStatus$
    {38, 1388, 391},	// Plasma::Applet::package
    {38, 1389, 382},	// Plasma::Applet::packageStructure
    {38, 1412, 414},	// Plasma::Applet::paintInterface###
    {38, 1414, 422},	// Plasma::Applet::paintWindowFrame###
    {38, 1433, 417},	// Plasma::Applet::pluginName
    {38, 1441, 395},	// Plasma::Applet::popupPosition#
    {38, 1444, 396},	// Plasma::Applet::popupPosition#$
    {38, 1456, 478},	// Plasma::Applet::publish$$
    {38, 1458, 381},	// Plasma::Applet::qt_metacall$$?
    {38, 1460, 376},	// Plasma::Applet::qt_metacast$
    {38, 1464, 469},	// Plasma::Applet::raise
    {38, 1475, 489},	// Plasma::Applet::registerAsDragHandle#
    {38, 1487, 452},	// Plasma::Applet::releaseVisualFocus
    {38, 1506, 440},	// Plasma::Applet::removeAssociatedWidget#
    {38, 1549, 497},	// Plasma::Applet::resizeEvent#
    {38, 1553, 387},	// Plasma::Applet::restore#
    {38, 1565, 481},	// Plasma::Applet::runAssociatedApplication
    {38, 1572, 386},	// Plasma::Applet::save#
    {38, 1578, 484},	// Plasma::Applet::saveState#
    {38, 1586, 494},	// Plasma::Applet::sceneEventFilter##
    {38, 1597, 433},	// Plasma::Applet::screenRect
    {38, 1639, 402},	// Plasma::Applet::setAspectRatioMode$
    {38, 1641, 447},	// Plasma::Applet::setAssociatedApplication$
    {38, 1643, 448},	// Plasma::Applet::setAssociatedApplicationUrls?
    {38, 1663, 430},	// Plasma::Applet::setBackgroundHints$
    {38, 1667, 474},	// Plasma::Applet::setBusy$
    {38, 1689, 521},	// Plasma::Applet::setConfigurationRequired$
    {38, 1690, 486},	// Plasma::Applet::setConfigurationRequired$$
    {38, 1718, 407},	// Plasma::Applet::setCustomCategories?
    {38, 1773, 520},	// Plasma::Applet::setFailedToLaunch$
    {38, 1774, 483},	// Plasma::Applet::setFailedToLaunch$$
    {38, 1787, 436},	// Plasma::Applet::setGlobalShortcut#
    {38, 1796, 485},	// Plasma::Applet::setHasConfigurationInterface$
    {38, 1828, 464},	// Plasma::Applet::setImmutability$
    {38, 1986, 477},	// Plasma::Applet::setStatus$
    {38, 2092, 499},	// Plasma::Applet::shape
    {38, 2094, 418},	// Plasma::Applet::shouldConserveResources
    {38, 2100, 466},	// Plasma::Applet::showConfigurationInterface
    {38, 2101, 467},	// Plasma::Applet::showConfigurationInterface#
    {38, 2113, 487},	// Plasma::Applet::showMessage#$$
    {38, 2130, 522},	// Plasma::Applet::sizeHint$
    {38, 2131, 500},	// Plasma::Applet::sizeHint$#
    {38, 2133, 456},	// Plasma::Applet::sizeHintChanged$
    {38, 2151, 475},	// Plasma::Applet::startupArguments
    {38, 2153, 523},	// Plasma::Applet::staticMetaObject
    {38, 2154, 476},	// Plasma::Applet::status
    {38, 2214, 503},	// Plasma::Applet::timerEvent#
    {38, 2228, 504},	// Plasma::Applet::tr$
    {38, 2229, 377},	// Plasma::Applet::tr$$
    {38, 2230, 379},	// Plasma::Applet::tr$$$
    {38, 2232, 505},	// Plasma::Applet::trUtf8$
    {38, 2233, 378},	// Plasma::Applet::trUtf8$$
    {38, 2234, 380},	// Plasma::Applet::trUtf8$$$
    {38, 2236, 434},	// Plasma::Applet::type
    {38, 2245, 479},	// Plasma::Applet::unpublish
    {38, 2247, 490},	// Plasma::Applet::unregisterAsDragHandle#
    {38, 2255, 506},	// Plasma::Applet::updateConstraints
    {38, 2256, 397},	// Plasma::Applet::updateConstraints$
    {38, 2295, 392},	// Plasma::Applet::view
    {38, 2336, 529},	// Plasma::Applet::~Applet
    {39, 44, 567},	// Plasma::AppletScript::AppletScript
    {39, 45, 537},	// Plasma::AppletScript::AppletScript#
    {39, 645, 559},	// Plasma::AppletScript::addStandardConfigurationPages#
    {39, 682, 539},	// Plasma::AppletScript::applet
    {39, 754, 553},	// Plasma::AppletScript::configChanged
    {39, 755, 548},	// Plasma::AppletScript::configNeedsSaving
    {39, 775, 542},	// Plasma::AppletScript::constraintsEvent$
    {39, 806, 543},	// Plasma::AppletScript::contextualActions
    {39, 848, 554},	// Plasma::AppletScript::dataEngine$
    {39, 856, 557},	// Plasma::AppletScript::description
    {39, 969, 549},	// Plasma::AppletScript::extender
    {39, 1142, 563},	// Plasma::AppletScript::isRegisteredAsDragHandle#
    {39, 1275, 564},	// Plasma::AppletScript::loadAnimationFromPackage$#
    {39, 1304, 555},	// Plasma::AppletScript::mainScript
    {39, 1329, 530},	// Plasma::AppletScript::metaObject
    {39, 1388, 556},	// Plasma::AppletScript::package
    {39, 1412, 540},	// Plasma::AppletScript::paintInterface###
    {39, 1437, 551},	// Plasma::AppletScript::popupEvent$
    {39, 1458, 536},	// Plasma::AppletScript::qt_metacall$$?
    {39, 1460, 531},	// Plasma::AppletScript::qt_metacast$
    {39, 1475, 561},	// Plasma::AppletScript::registerAsDragHandle#
    {39, 1578, 550},	// Plasma::AppletScript::saveState#
    {39, 1633, 538},	// Plasma::AppletScript::setApplet#
    {39, 1689, 568},	// Plasma::AppletScript::setConfigurationRequired$
    {39, 1690, 546},	// Plasma::AppletScript::setConfigurationRequired$$
    {39, 1773, 569},	// Plasma::AppletScript::setFailedToLaunch$
    {39, 1774, 547},	// Plasma::AppletScript::setFailedToLaunch$$
    {39, 1796, 545},	// Plasma::AppletScript::setHasConfigurationInterface$
    {39, 2092, 544},	// Plasma::AppletScript::shape
    {39, 2100, 552},	// Plasma::AppletScript::showConfigurationInterface
    {39, 2113, 560},	// Plasma::AppletScript::showMessage#$$
    {39, 2125, 541},	// Plasma::AppletScript::size
    {39, 2146, 558},	// Plasma::AppletScript::standardConfigurationDialog
    {39, 2153, 570},	// Plasma::AppletScript::staticMetaObject
    {39, 2228, 565},	// Plasma::AppletScript::tr$
    {39, 2229, 532},	// Plasma::AppletScript::tr$$
    {39, 2230, 534},	// Plasma::AppletScript::tr$$$
    {39, 2232, 566},	// Plasma::AppletScript::trUtf8$
    {39, 2233, 533},	// Plasma::AppletScript::trUtf8$$
    {39, 2234, 535},	// Plasma::AppletScript::trUtf8$$$
    {39, 2247, 562},	// Plasma::AppletScript::unregisterAsDragHandle#
    {39, 2337, 571},	// Plasma::AppletScript::~AppletScript
    {40, 47, 574},	// Plasma::AuthorizationInterface::AuthorizationInterface
    {40, 48, 575},	// Plasma::AuthorizationInterface::AuthorizationInterface#
    {40, 703, 572},	// Plasma::AuthorizationInterface::authorizationRequest#
    {40, 743, 573},	// Plasma::AuthorizationInterface::clientPinRequest#
    {40, 2338, 576},	// Plasma::AuthorizationInterface::~AuthorizationInterface
    {41, 113, 594},	// Plasma::AuthorizationManager::Custom
    {41, 133, 591},	// Plasma::AuthorizationManager::DenyAll
    {41, 377, 593},	// Plasma::AuthorizationManager::PinPairing
    {41, 527, 592},	// Plasma::AuthorizationManager::TrustedOnly
    {41, 1329, 577},	// Plasma::AuthorizationManager::metaObject
    {41, 1458, 583},	// Plasma::AuthorizationManager::qt_metacall$$?
    {41, 1460, 578},	// Plasma::AuthorizationManager::qt_metacast$
    {41, 1469, 587},	// Plasma::AuthorizationManager::readyForRemoteAccess
    {41, 1608, 584},	// Plasma::AuthorizationManager::self
    {41, 1647, 586},	// Plasma::AuthorizationManager::setAuthorizationInterface#
    {41, 1649, 585},	// Plasma::AuthorizationManager::setAuthorizationPolicy$
    {41, 2153, 590},	// Plasma::AuthorizationManager::staticMetaObject
    {41, 2228, 588},	// Plasma::AuthorizationManager::tr$
    {41, 2229, 579},	// Plasma::AuthorizationManager::tr$$
    {41, 2230, 581},	// Plasma::AuthorizationManager::tr$$$
    {41, 2232, 589},	// Plasma::AuthorizationManager::trUtf8$
    {41, 2233, 580},	// Plasma::AuthorizationManager::trUtf8$$
    {41, 2234, 582},	// Plasma::AuthorizationManager::trUtf8$$$
    {42, 25, 623},	// Plasma::AuthorizationRule::AllServices
    {42, 26, 622},	// Plasma::AuthorizationRule::AllUsers
    {42, 27, 617},	// Plasma::AuthorizationRule::Allow
    {42, 125, 621},	// Plasma::AuthorizationRule::Default
    {42, 132, 616},	// Plasma::AuthorizationRule::Deny
    {42, 376, 620},	// Plasma::AuthorizationRule::Persistent
    {42, 378, 618},	// Plasma::AuthorizationRule::PinRequired
    {42, 522, 619},	// Plasma::AuthorizationRule::Transient
    {42, 728, 612},	// Plasma::AuthorizationRule::changed#
    {42, 856, 602},	// Plasma::AuthorizationRule::description
    {42, 1329, 595},	// Plasma::AuthorizationRule::metaObject
    {42, 1427, 606},	// Plasma::AuthorizationRule::persistence
    {42, 1428, 610},	// Plasma::AuthorizationRule::pin
    {42, 1434, 604},	// Plasma::AuthorizationRule::policy
    {42, 1458, 601},	// Plasma::AuthorizationRule::qt_metacall$$?
    {42, 1460, 596},	// Plasma::AuthorizationRule::qt_metacast$
    {42, 1612, 611},	// Plasma::AuthorizationRule::serviceName
    {42, 1896, 605},	// Plasma::AuthorizationRule::setPersistence$
    {42, 1898, 609},	// Plasma::AuthorizationRule::setPin$
    {42, 1902, 603},	// Plasma::AuthorizationRule::setPolicy$
    {42, 2016, 607},	// Plasma::AuthorizationRule::setTargets$
    {42, 2153, 615},	// Plasma::AuthorizationRule::staticMetaObject
    {42, 2197, 608},	// Plasma::AuthorizationRule::targets
    {42, 2228, 613},	// Plasma::AuthorizationRule::tr$
    {42, 2229, 597},	// Plasma::AuthorizationRule::tr$$
    {42, 2230, 599},	// Plasma::AuthorizationRule::tr$$$
    {42, 2232, 614},	// Plasma::AuthorizationRule::trUtf8$
    {42, 2233, 598},	// Plasma::AuthorizationRule::trUtf8$$
    {42, 2234, 600},	// Plasma::AuthorizationRule::trUtf8$$$
    {42, 2339, 624},	// Plasma::AuthorizationRule::~AuthorizationRule
    {43, 64, 646},	// Plasma::BusyWidget::BusyWidget
    {43, 65, 632},	// Plasma::BusyWidget::BusyWidget#
    {43, 740, 637},	// Plasma::BusyWidget::clicked
    {43, 1056, 640},	// Plasma::BusyWidget::hideEvent#
    {43, 1145, 634},	// Plasma::BusyWidget::isRunning
    {43, 1193, 636},	// Plasma::BusyWidget::label
    {43, 1329, 625},	// Plasma::BusyWidget::metaObject
    {43, 1349, 642},	// Plasma::BusyWidget::mousePressEvent#
    {43, 1395, 647},	// Plasma::BusyWidget::paint##
    {43, 1396, 638},	// Plasma::BusyWidget::paint###
    {43, 1458, 631},	// Plasma::BusyWidget::qt_metacall$$?
    {43, 1460, 626},	// Plasma::BusyWidget::qt_metacast$
    {43, 1549, 641},	// Plasma::BusyWidget::resizeEvent#
    {43, 1838, 635},	// Plasma::BusyWidget::setLabel$
    {43, 1943, 633},	// Plasma::BusyWidget::setRunning$
    {43, 2109, 639},	// Plasma::BusyWidget::showEvent#
    {43, 2153, 648},	// Plasma::BusyWidget::staticMetaObject
    {43, 2214, 643},	// Plasma::BusyWidget::timerEvent#
    {43, 2228, 644},	// Plasma::BusyWidget::tr$
    {43, 2229, 627},	// Plasma::BusyWidget::tr$$
    {43, 2230, 629},	// Plasma::BusyWidget::tr$$$
    {43, 2232, 645},	// Plasma::BusyWidget::trUtf8$
    {43, 2233, 628},	// Plasma::BusyWidget::trUtf8$$
    {43, 2234, 630},	// Plasma::BusyWidget::trUtf8$$$
    {43, 2340, 649},	// Plasma::BusyWidget::~BusyWidget
    {44, 80, 672},	// Plasma::CheckBox::CheckBox
    {44, 81, 657},	// Plasma::CheckBox::CheckBox#
    {44, 726, 669},	// Plasma::CheckBox::changeEvent#
    {44, 1074, 661},	// Plasma::CheckBox::image
    {44, 1119, 666},	// Plasma::CheckBox::isChecked
    {44, 1329, 650},	// Plasma::CheckBox::metaObject
    {44, 1366, 664},	// Plasma::CheckBox::nativeWidget
    {44, 1458, 656},	// Plasma::CheckBox::qt_metacall$$?
    {44, 1460, 651},	// Plasma::CheckBox::qt_metacast$
    {44, 1549, 668},	// Plasma::CheckBox::resizeEvent#
    {44, 1677, 665},	// Plasma::CheckBox::setChecked$
    {44, 1823, 660},	// Plasma::CheckBox::setImage$
    {44, 1988, 662},	// Plasma::CheckBox::setStyleSheet$
    {44, 2018, 658},	// Plasma::CheckBox::setText$
    {44, 2153, 673},	// Plasma::CheckBox::staticMetaObject
    {44, 2166, 663},	// Plasma::CheckBox::styleSheet
    {44, 2199, 659},	// Plasma::CheckBox::text
    {44, 2218, 667},	// Plasma::CheckBox::toggled$
    {44, 2228, 670},	// Plasma::CheckBox::tr$
    {44, 2229, 652},	// Plasma::CheckBox::tr$$
    {44, 2230, 654},	// Plasma::CheckBox::tr$$$
    {44, 2232, 671},	// Plasma::CheckBox::trUtf8$
    {44, 2233, 653},	// Plasma::CheckBox::trUtf8$$
    {44, 2234, 655},	// Plasma::CheckBox::trUtf8$$$
    {44, 2341, 674},	// Plasma::CheckBox::~CheckBox
    {45, 728, 685},	// Plasma::ClientPinRequest::changed#
    {45, 856, 682},	// Plasma::ClientPinRequest::description
    {45, 1329, 675},	// Plasma::ClientPinRequest::metaObject
    {45, 1428, 684},	// Plasma::ClientPinRequest::pin
    {45, 1458, 681},	// Plasma::ClientPinRequest::qt_metacall$$?
    {45, 1460, 676},	// Plasma::ClientPinRequest::qt_metacast$
    {45, 1898, 683},	// Plasma::ClientPinRequest::setPin$
    {45, 2153, 688},	// Plasma::ClientPinRequest::staticMetaObject
    {45, 2228, 686},	// Plasma::ClientPinRequest::tr$
    {45, 2229, 677},	// Plasma::ClientPinRequest::tr$$
    {45, 2230, 679},	// Plasma::ClientPinRequest::tr$$$
    {45, 2232, 687},	// Plasma::ClientPinRequest::trUtf8$
    {45, 2233, 678},	// Plasma::ClientPinRequest::trUtf8$$
    {45, 2234, 680},	// Plasma::ClientPinRequest::trUtf8$$$
    {46, 83, 716},	// Plasma::ComboBox::ComboBox
    {46, 84, 696},	// Plasma::ComboBox::ComboBox#
    {46, 590, 704},	// Plasma::ComboBox::activated$
    {46, 622, 702},	// Plasma::ComboBox::addItem$
    {46, 726, 712},	// Plasma::ComboBox::changeEvent#
    {46, 732, 703},	// Plasma::ComboBox::clear
    {46, 999, 708},	// Plasma::ComboBox::focusInEvent#
    {46, 1003, 709},	// Plasma::ComboBox::focusOutEvent#
    {46, 1064, 710},	// Plasma::ComboBox::hoverEnterEvent#
    {46, 1066, 711},	// Plasma::ComboBox::hoverLeaveEvent#
    {46, 1329, 689},	// Plasma::ComboBox::metaObject
    {46, 1349, 713},	// Plasma::ComboBox::mousePressEvent#
    {46, 1366, 701},	// Plasma::ComboBox::nativeWidget
    {46, 1396, 707},	// Plasma::ComboBox::paint###
    {46, 1458, 695},	// Plasma::ComboBox::qt_metacall$$?
    {46, 1460, 690},	// Plasma::ComboBox::qt_metacast$
    {46, 1549, 706},	// Plasma::ComboBox::resizeEvent#
    {46, 1874, 700},	// Plasma::ComboBox::setNativeWidget#
    {46, 1988, 698},	// Plasma::ComboBox::setStyleSheet$
    {46, 2153, 717},	// Plasma::ComboBox::staticMetaObject
    {46, 2166, 699},	// Plasma::ComboBox::styleSheet
    {46, 2199, 697},	// Plasma::ComboBox::text
    {46, 2202, 705},	// Plasma::ComboBox::textChanged$
    {46, 2228, 714},	// Plasma::ComboBox::tr$
    {46, 2229, 691},	// Plasma::ComboBox::tr$$
    {46, 2230, 693},	// Plasma::ComboBox::tr$$$
    {46, 2232, 715},	// Plasma::ComboBox::trUtf8$
    {46, 2233, 692},	// Plasma::ComboBox::trUtf8$$
    {46, 2234, 694},	// Plasma::ComboBox::trUtf8$$$
    {46, 2342, 718},	// Plasma::ComboBox::~ComboBox
    {47, 87, 730},	// Plasma::ConfigLoader::ConfigLoader##
    {47, 88, 721},	// Plasma::ConfigLoader::ConfigLoader###
    {47, 89, 728},	// Plasma::ConfigLoader::ConfigLoader$#
    {47, 90, 719},	// Plasma::ConfigLoader::ConfigLoader$##
    {47, 91, 729},	// Plasma::ConfigLoader::ConfigLoader?#
    {47, 92, 720},	// Plasma::ConfigLoader::ConfigLoader?##
    {47, 985, 722},	// Plasma::ConfigLoader::findItem$$
    {47, 987, 723},	// Plasma::ConfigLoader::findItemByName$
    {47, 1032, 726},	// Plasma::ConfigLoader::groupList
    {47, 1043, 725},	// Plasma::ConfigLoader::hasGroup$
    {47, 1453, 724},	// Plasma::ConfigLoader::property$
    {47, 2280, 727},	// Plasma::ConfigLoader::usrWriteConfig
    {47, 2343, 731},	// Plasma::ConfigLoader::~ConfigLoader
    {48, 95, 819},	// Plasma::Containment::Containment
    {48, 96, 820},	// Plasma::Containment::Containment#
    {48, 97, 821},	// Plasma::Containment::Containment#$
    {48, 98, 739},	// Plasma::Containment::Containment#$$
    {48, 99, 740},	// Plasma::Containment::Containment#?
    {48, 114, 836},	// Plasma::Containment::CustomContainment
    {48, 115, 837},	// Plasma::Containment::CustomPanelContainment
    {48, 135, 834},	// Plasma::Containment::DesktopContainment
    {48, 341, 833},	// Plasma::Containment::NoContainmentType
    {48, 370, 835},	// Plasma::Containment::PanelContainment
    {48, 591, 772},	// Plasma::Containment::activity
    {48, 599, 828},	// Plasma::Containment::addApplet#
    {48, 600, 829},	// Plasma::Containment::addApplet##
    {48, 601, 749},	// Plasma::Containment::addApplet##$
    {48, 602, 826},	// Plasma::Containment::addApplet$
    {48, 603, 827},	// Plasma::Containment::addApplet$?
    {48, 604, 748},	// Plasma::Containment::addApplet$?#
    {48, 606, 766},	// Plasma::Containment::addAssociatedWidget#
    {48, 640, 791},	// Plasma::Containment::addSiblingContainment
    {48, 641, 784},	// Plasma::Containment::addSiblingContainment#
    {48, 656, 760},	// Plasma::Containment::addToolBoxAction#
    {48, 684, 779},	// Plasma::Containment::appletAdded##
    {48, 689, 780},	// Plasma::Containment::appletRemoved#
    {48, 692, 750},	// Plasma::Containment::applets
    {48, 734, 751},	// Plasma::Containment::clearApplets
    {48, 745, 765},	// Plasma::Containment::closeToolBox
    {48, 762, 787},	// Plasma::Containment::configureRequested#
    {48, 781, 778},	// Plasma::Containment::containmentActions$
    {48, 784, 777},	// Plasma::Containment::containmentActionsTriggers
    {48, 790, 742},	// Plasma::Containment::containmentType
    {48, 798, 773},	// Plasma::Containment::context
    {48, 801, 788},	// Plasma::Containment::contextChanged#
    {48, 805, 804},	// Plasma::Containment::contextMenuEvent#
    {48, 808, 743},	// Plasma::Containment::corona
    {48, 857, 755},	// Plasma::Containment::desktop
    {48, 859, 794},	// Plasma::Containment::destroy
    {48, 860, 795},	// Plasma::Containment::destroy$
    {48, 882, 809},	// Plasma::Containment::dragEnterEvent#
    {48, 884, 810},	// Plasma::Containment::dragLeaveEvent#
    {48, 886, 811},	// Plasma::Containment::dragMoveEvent#
    {48, 908, 768},	// Plasma::Containment::drawWallpaper
    {48, 912, 812},	// Plasma::Containment::dropEvent#
    {48, 942, 759},	// Plasma::Containment::enableAction$$
    {48, 1000, 792},	// Plasma::Containment::focusNextApplet
    {48, 1004, 793},	// Plasma::Containment::focusPreviousApplet
    {48, 1086, 741},	// Plasma::Containment::init
    {48, 1148, 763},	// Plasma::Containment::isToolBoxOpen
    {48, 1167, 808},	// Plasma::Containment::itemChange$#
    {48, 1186, 805},	// Plasma::Containment::keyPressEvent#
    {48, 1204, 756},	// Plasma::Containment::lastDesktop
    {48, 1205, 754},	// Plasma::Containment::lastScreen
    {48, 1235, 746},	// Plasma::Containment::listContainmentTypes
    {48, 1236, 822},	// Plasma::Containment::listContainments
    {48, 1237, 823},	// Plasma::Containment::listContainments$
    {48, 1238, 744},	// Plasma::Containment::listContainments$$
    {48, 1240, 747},	// Plasma::Containment::listContainmentsForMimetype$
    {48, 1242, 824},	// Plasma::Containment::listContainmentsOfType$
    {48, 1243, 825},	// Plasma::Containment::listContainmentsOfType$$
    {48, 1244, 745},	// Plasma::Containment::listContainmentsOfType$$$
    {48, 1329, 732},	// Plasma::Containment::metaObject
    {48, 1347, 801},	// Plasma::Containment::mouseMoveEvent#
    {48, 1349, 802},	// Plasma::Containment::mousePressEvent#
    {48, 1351, 803},	// Plasma::Containment::mouseReleaseEvent#
    {48, 1375, 764},	// Plasma::Containment::openToolBox
    {48, 1458, 738},	// Plasma::Containment::qt_metacall$$?
    {48, 1460, 733},	// Plasma::Containment::qt_metacast$
    {48, 1506, 767},	// Plasma::Containment::removeAssociatedWidget#
    {48, 1526, 761},	// Plasma::Containment::removeToolBoxAction#
    {48, 1549, 813},	// Plasma::Containment::resizeEvent#
    {48, 1553, 758},	// Plasma::Containment::restore#
    {48, 1555, 800},	// Plasma::Containment::restoreContents#
    {48, 1572, 757},	// Plasma::Containment::save#
    {48, 1574, 799},	// Plasma::Containment::saveContents#
    {48, 1586, 807},	// Plasma::Containment::sceneEventFilter##
    {48, 1590, 753},	// Plasma::Containment::screen
    {48, 1592, 786},	// Plasma::Containment::screenChanged$$#
    {48, 1623, 771},	// Plasma::Containment::setActivity$
    {48, 1694, 776},	// Plasma::Containment::setContainmentActions$$
    {48, 1698, 797},	// Plasma::Containment::setContainmentType$
    {48, 1750, 798},	// Plasma::Containment::setDrawWallpaper$
    {48, 1781, 790},	// Plasma::Containment::setFormFactor$
    {48, 1849, 789},	// Plasma::Containment::setLocation$
    {48, 1947, 830},	// Plasma::Containment::setScreen$
    {48, 1948, 752},	// Plasma::Containment::setScreen$$
    {48, 2032, 815},	// Plasma::Containment::setToolBox#
    {48, 2034, 762},	// Plasma::Containment::setToolBoxOpen$
    {48, 2074, 831},	// Plasma::Containment::setWallpaper$
    {48, 2075, 769},	// Plasma::Containment::setWallpaper$$
    {48, 2098, 785},	// Plasma::Containment::showAddWidgetsInterface#
    {48, 2100, 796},	// Plasma::Containment::showConfigurationInterface
    {48, 2103, 774},	// Plasma::Containment::showContextMenu##
    {48, 2107, 775},	// Plasma::Containment::showDropZone#
    {48, 2153, 832},	// Plasma::Containment::staticMetaObject
    {48, 2219, 816},	// Plasma::Containment::toolBox
    {48, 2220, 814},	// Plasma::Containment::toolBoxItem
    {48, 2221, 782},	// Plasma::Containment::toolBoxToggled
    {48, 2223, 783},	// Plasma::Containment::toolBoxVisibilityChanged$
    {48, 2228, 817},	// Plasma::Containment::tr$
    {48, 2229, 734},	// Plasma::Containment::tr$$
    {48, 2230, 736},	// Plasma::Containment::tr$$$
    {48, 2232, 818},	// Plasma::Containment::trUtf8$
    {48, 2233, 735},	// Plasma::Containment::trUtf8$$
    {48, 2234, 737},	// Plasma::Containment::trUtf8$$$
    {48, 2306, 770},	// Plasma::Containment::wallpaper
    {48, 2311, 806},	// Plasma::Containment::wheelEvent#
    {48, 2329, 781},	// Plasma::Containment::zoomRequested#$
    {48, 2344, 838},	// Plasma::Containment::~Containment
    {49, 481, 839},	// Plasma::Containment::StyleOption::StyleOption
    {49, 482, -16},	// Plasma::Containment::StyleOption::StyleOption#
    {49, 528, 844},	// Plasma::Containment::StyleOption::Type
    {49, 541, 845},	// Plasma::Containment::StyleOption::Version
    {49, 2070, 843},	// Plasma::Containment::StyleOption::setView#
    {49, 2295, 842},	// Plasma::Containment::StyleOption::view
    {49, 2389, 846},	// Plasma::Containment::StyleOption::~StyleOption
    {50, 100, 880},	// Plasma::ContainmentActions::ContainmentActions
    {50, 101, 854},	// Plasma::ContainmentActions::ContainmentActions#
    {50, 102, 873},	// Plasma::ContainmentActions::ContainmentActions#?
    {50, 758, 866},	// Plasma::ContainmentActions::configurationAccepted
    {50, 759, 870},	// Plasma::ContainmentActions::configurationRequired
    {50, 779, 876},	// Plasma::ContainmentActions::containment
    {50, 803, 867},	// Plasma::ContainmentActions::contextEvent#
    {50, 806, 868},	// Plasma::ContainmentActions::contextualActions
    {50, 816, 865},	// Plasma::ContainmentActions::createConfigurationInterface#
    {50, 848, 869},	// Plasma::ContainmentActions::dataEngine$
    {50, 958, 872},	// Plasma::ContainmentActions::event#
    {50, 962, 871},	// Plasma::ContainmentActions::eventToString#
    {50, 1070, 861},	// Plasma::ContainmentActions::icon
    {50, 1087, 874},	// Plasma::ContainmentActions::init#
    {50, 1130, 862},	// Plasma::ContainmentActions::isInitialized
    {50, 1234, 855},	// Plasma::ContainmentActions::listContainmentActionsInfo
    {50, 1263, 882},	// Plasma::ContainmentActions::load##
    {50, 1264, 857},	// Plasma::ContainmentActions::load##?
    {50, 1265, 881},	// Plasma::ContainmentActions::load#$
    {50, 1266, 856},	// Plasma::ContainmentActions::load#$?
    {50, 1329, 847},	// Plasma::ContainmentActions::metaObject
    {50, 1364, 859},	// Plasma::ContainmentActions::name
    {50, 1389, 858},	// Plasma::ContainmentActions::packageStructure
    {50, 1420, 877},	// Plasma::ContainmentActions::paste##
    {50, 1433, 860},	// Plasma::ContainmentActions::pluginName
    {50, 1458, 853},	// Plasma::ContainmentActions::qt_metacall$$?
    {50, 1460, 848},	// Plasma::ContainmentActions::qt_metacast$
    {50, 1553, 863},	// Plasma::ContainmentActions::restore#
    {50, 1572, 864},	// Plasma::ContainmentActions::save#
    {50, 1688, 883},	// Plasma::ContainmentActions::setConfigurationRequired
    {50, 1689, 875},	// Plasma::ContainmentActions::setConfigurationRequired$
    {50, 2153, 884},	// Plasma::ContainmentActions::staticMetaObject
    {50, 2228, 878},	// Plasma::ContainmentActions::tr$
    {50, 2229, 849},	// Plasma::ContainmentActions::tr$$
    {50, 2230, 851},	// Plasma::ContainmentActions::tr$$$
    {50, 2232, 879},	// Plasma::ContainmentActions::trUtf8$
    {50, 2233, 850},	// Plasma::ContainmentActions::trUtf8$$
    {50, 2234, 852},	// Plasma::ContainmentActions::trUtf8$$$
    {50, 2345, 885},	// Plasma::ContainmentActions::~ContainmentActions
    {51, 103, 886},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig
    {51, 104, 887},	// Plasma::ContainmentActionsPluginsConfig::ContainmentActionsPluginsConfig#
    {51, 632, 891},	// Plasma::ContainmentActionsPluginsConfig::addPlugin#$
    {51, 633, -70},	// Plasma::ContainmentActionsPluginsConfig::addPlugin$$$
    {51, 732, 889},	// Plasma::ContainmentActionsPluginsConfig::clear
    {51, 1384, 888},	// Plasma::ContainmentActionsPluginsConfig::operator=#
    {51, 1499, 890},	// Plasma::ContainmentActionsPluginsConfig::remove#
    {51, 2346, 894},	// Plasma::ContainmentActionsPluginsConfig::~ContainmentActionsPluginsConfig
    {52, 106, 914},	// Plasma::Context::Context
    {52, 107, 902},	// Plasma::Context::Context#
    {52, 593, 910},	// Plasma::Context::activityChanged#
    {52, 728, 909},	// Plasma::Context::changed#
    {52, 814, 903},	// Plasma::Context::createActivity$
    {52, 829, 906},	// Plasma::Context::currentActivity
    {52, 830, 908},	// Plasma::Context::currentActivityId
    {52, 1221, 904},	// Plasma::Context::listActivities
    {52, 1296, 911},	// Plasma::Context::locationChanged#
    {52, 1329, 895},	// Plasma::Context::metaObject
    {52, 1458, 901},	// Plasma::Context::qt_metacall$$?
    {52, 1460, 896},	// Plasma::Context::qt_metacast$
    {52, 1712, 905},	// Plasma::Context::setCurrentActivity$
    {52, 1714, 907},	// Plasma::Context::setCurrentActivityId$
    {52, 2153, 915},	// Plasma::Context::staticMetaObject
    {52, 2228, 912},	// Plasma::Context::tr$
    {52, 2229, 897},	// Plasma::Context::tr$$
    {52, 2230, 899},	// Plasma::Context::tr$$$
    {52, 2232, 913},	// Plasma::Context::trUtf8$
    {52, 2233, 898},	// Plasma::Context::trUtf8$$
    {52, 2234, 900},	// Plasma::Context::trUtf8$$$
    {52, 2347, 916},	// Plasma::Context::~Context
    {53, 110, 977},	// Plasma::Corona::Corona
    {53, 111, 924},	// Plasma::Corona::Corona#
    {53, 578, 941},	// Plasma::Corona::action$
    {53, 580, 943},	// Plasma::Corona::actions
    {53, 595, 947},	// Plasma::Corona::addAction$
    {53, 596, 942},	// Plasma::Corona::addAction$#
    {53, 608, 978},	// Plasma::Corona::addContainment$
    {53, 609, 930},	// Plasma::Corona::addContainment$?
    {53, 611, 983},	// Plasma::Corona::addContainmentDelayed$
    {53, 612, 969},	// Plasma::Corona::addContainmentDelayed$?
    {53, 628, 932},	// Plasma::Corona::addOffscreenWidget#
    {53, 639, 946},	// Plasma::Corona::addShortcuts#
    {53, 687, 926},	// Plasma::Corona::appletMimeType
    {53, 709, 937},	// Plasma::Corona::availableScreenRegion$
    {53, 710, 965},	// Plasma::Corona::availableScreenRegionChanged
    {53, 736, 928},	// Plasma::Corona::clearContainments
    {53, 752, 929},	// Plasma::Corona::config
    {53, 757, 964},	// Plasma::Corona::configSynced
    {53, 783, 949},	// Plasma::Corona::containmentActionsDefaults$
    {53, 786, 961},	// Plasma::Corona::containmentAdded#
    {53, 788, 979},	// Plasma::Corona::containmentForScreen$
    {53, 789, 931},	// Plasma::Corona::containmentForScreen$$
    {53, 791, 927},	// Plasma::Corona::containments
    {53, 865, 951},	// Plasma::Corona::dialogManager
    {53, 882, 972},	// Plasma::Corona::dragEnterEvent#
    {53, 884, 973},	// Plasma::Corona::dragLeaveEvent#
    {53, 886, 974},	// Plasma::Corona::dragMoveEvent#
    {53, 942, 944},	// Plasma::Corona::enableAction$$
    {53, 1017, 940},	// Plasma::Corona::freeEdges$
    {53, 1077, 956},	// Plasma::Corona::immutability
    {53, 1079, 966},	// Plasma::Corona::immutabilityChanged$
    {53, 1082, 952},	// Plasma::Corona::importLayout#
    {53, 1093, 980},	// Plasma::Corona::initializeLayout
    {53, 1094, 953},	// Plasma::Corona::initializeLayout$
    {53, 1213, 960},	// Plasma::Corona::layoutContainments
    {53, 1276, 968},	// Plasma::Corona::loadDefaultLayout
    {53, 1281, 981},	// Plasma::Corona::loadLayout
    {53, 1282, 954},	// Plasma::Corona::loadLayout$
    {53, 1308, -49},	// Plasma::Corona::mapAnimation$$
    {53, 1329, 917},	// Plasma::Corona::metaObject
    {53, 1372, 935},	// Plasma::Corona::numScreens
    {53, 1373, 934},	// Plasma::Corona::offscreenWidgets
    {53, 1442, 938},	// Plasma::Corona::popupPosition##
    {53, 1443, 939},	// Plasma::Corona::popupPosition##$
    {53, 1458, 923},	// Plasma::Corona::qt_metacall$$?
    {53, 1460, 918},	// Plasma::Corona::qt_metacast$
    {53, 1487, 963},	// Plasma::Corona::releaseVisualFocus
    {53, 1516, 933},	// Plasma::Corona::removeOffscreenWidget#
    {53, 1538, 958},	// Plasma::Corona::requestConfigSync
    {53, 1539, 959},	// Plasma::Corona::requireConfigSync
    {53, 1575, 982},	// Plasma::Corona::saveLayout
    {53, 1576, 955},	// Plasma::Corona::saveLayout$
    {53, 1594, 936},	// Plasma::Corona::screenGeometry$
    {53, 1596, 962},	// Plasma::Corona::screenOwnerChanged$$#
    {53, 1635, 925},	// Plasma::Corona::setAppletMimeType$
    {53, 1696, 948},	// Plasma::Corona::setContainmentActionsDefaults$#
    {53, 1742, 950},	// Plasma::Corona::setDialogManager#
    {53, 1828, 957},	// Plasma::Corona::setImmutability$
    {53, 2093, 967},	// Plasma::Corona::shortcutsChanged
    {53, 2153, 984},	// Plasma::Corona::staticMetaObject
    {53, 2228, 975},	// Plasma::Corona::tr$
    {53, 2229, 919},	// Plasma::Corona::tr$$
    {53, 2230, 921},	// Plasma::Corona::tr$$$
    {53, 2232, 976},	// Plasma::Corona::trUtf8$
    {53, 2233, 920},	// Plasma::Corona::trUtf8$$
    {53, 2234, 922},	// Plasma::Corona::trUtf8$$$
    {53, 2265, 945},	// Plasma::Corona::updateShortcuts
    {53, 2348, 985},	// Plasma::Corona::~Corona
    {54, 116, 1010},	// Plasma::DataContainer::DataContainer
    {54, 117, 993},	// Plasma::DataContainer::DataContainer#
    {54, 714, 1002},	// Plasma::DataContainer::becameUnused$
    {54, 729, 1004},	// Plasma::DataContainer::checkForUpdate
    {54, 730, 1007},	// Plasma::DataContainer::checkUsage
    {54, 773, 998},	// Plasma::DataContainer::connectVisualization#$$
    {54, 846, 994},	// Plasma::DataContainer::data
    {54, 850, 1001},	// Plasma::DataContainer::dataUpdated$?
    {54, 876, 999},	// Plasma::DataContainer::disconnectVisualization#
    {54, 1010, 1000},	// Plasma::DataContainer::forceImmediateUpdate
    {54, 1329, 986},	// Plasma::DataContainer::metaObject
    {54, 1458, 992},	// Plasma::DataContainer::qt_metacall$$?
    {54, 1460, 987},	// Plasma::DataContainer::qt_metacast$
    {54, 1502, 996},	// Plasma::DataContainer::removeAllData
    {54, 1723, 995},	// Plasma::DataContainer::setData$#
    {54, 1875, 1011},	// Plasma::DataContainer::setNeedsUpdate
    {54, 1876, 1006},	// Plasma::DataContainer::setNeedsUpdate$
    {54, 2153, 1012},	// Plasma::DataContainer::staticMetaObject
    {54, 2212, 1005},	// Plasma::DataContainer::timeSinceLastUpdate
    {54, 2228, 1008},	// Plasma::DataContainer::tr$
    {54, 2229, 988},	// Plasma::DataContainer::tr$$
    {54, 2230, 990},	// Plasma::DataContainer::tr$$$
    {54, 2232, 1009},	// Plasma::DataContainer::trUtf8$
    {54, 2233, 989},	// Plasma::DataContainer::trUtf8$$
    {54, 2234, 991},	// Plasma::DataContainer::trUtf8$$$
    {54, 2264, 1003},	// Plasma::DataContainer::updateRequested#
    {54, 2305, 997},	// Plasma::DataContainer::visualizationIsConnected#
    {54, 2349, 1013},	// Plasma::DataContainer::~DataContainer
    {55, 118, 1066},	// Plasma::DataEngine::DataEngine
    {55, 119, 1067},	// Plasma::DataEngine::DataEngine#
    {55, 120, -46},	// Plasma::DataEngine::DataEngine#?
    {55, 643, 1048},	// Plasma::DataEngine::addSource#
    {55, 764, 1070},	// Plasma::DataEngine::connectAllSources#
    {55, 765, 1071},	// Plasma::DataEngine::connectAllSources#$
    {55, 766, 1028},	// Plasma::DataEngine::connectAllSources#$$
    {55, 769, 1068},	// Plasma::DataEngine::connectSource$#
    {55, 770, 1069},	// Plasma::DataEngine::connectSource$#$
    {55, 771, 1027},	// Plasma::DataEngine::connectSource$#$$
    {55, 776, 1055},	// Plasma::DataEngine::containerDict
    {55, 778, 1030},	// Plasma::DataEngine::containerForSource$
    {55, 817, 1072},	// Plasma::DataEngine::createDefaultService
    {55, 818, 1038},	// Plasma::DataEngine::createDefaultService#
    {55, 874, 1029},	// Plasma::DataEngine::disconnectSource$#
    {55, 1011, 1063},	// Plasma::DataEngine::forceImmediateUpdateOfAllVisualizations
    {55, 1070, 1035},	// Plasma::DataEngine::icon
    {55, 1086, 1023},	// Plasma::DataEngine::init
    {55, 1126, 1033},	// Plasma::DataEngine::isEmpty
    {55, 1151, 1032},	// Plasma::DataEngine::isValid
    {55, 1323, 1034},	// Plasma::DataEngine::maxSourceCount
    {55, 1329, 1014},	// Plasma::DataEngine::metaObject
    {55, 1341, 1051},	// Plasma::DataEngine::minimumPollingInterval
    {55, 1364, 1026},	// Plasma::DataEngine::name
    {55, 1388, 1036},	// Plasma::DataEngine::package
    {55, 1433, 1037},	// Plasma::DataEngine::pluginName
    {55, 1458, 1020},	// Plasma::DataEngine::qt_metacall$$?
    {55, 1460, 1015},	// Plasma::DataEngine::qt_metacast$
    {55, 1462, 1031},	// Plasma::DataEngine::query$
    {55, 1503, 1046},	// Plasma::DataEngine::removeAllData$
    {55, 1504, 1053},	// Plasma::DataEngine::removeAllSources
    {55, 1508, 1047},	// Plasma::DataEngine::removeData$$
    {55, 1520, 1061},	// Plasma::DataEngine::removeSource$
    {55, 1589, 1060},	// Plasma::DataEngine::scheduleSourcesUpdated
    {55, 1611, 1025},	// Plasma::DataEngine::serviceForSource$
    {55, 1723, 1043},	// Plasma::DataEngine::setData$#
    {55, 1724, 1044},	// Plasma::DataEngine::setData$$#
    {55, 1725, 1045},	// Plasma::DataEngine::setData$?
    {55, 1733, 1059},	// Plasma::DataEngine::setDefaultService$
    {55, 1816, 1058},	// Plasma::DataEngine::setIcon$
    {55, 1853, 1049},	// Plasma::DataEngine::setMaxSourceCount$
    {55, 1867, 1050},	// Plasma::DataEngine::setMinimumPollingInterval$
    {55, 1872, 1057},	// Plasma::DataEngine::setName$
    {55, 1904, 1052},	// Plasma::DataEngine::setPollingInterval$
    {55, 2054, 1054},	// Plasma::DataEngine::setValid$
    {55, 2138, 1039},	// Plasma::DataEngine::sourceAdded$
    {55, 2140, 1040},	// Plasma::DataEngine::sourceRemoved$
    {55, 2142, 1041},	// Plasma::DataEngine::sourceRequestEvent$
    {55, 2143, 1024},	// Plasma::DataEngine::sources
    {55, 2153, 1073},	// Plasma::DataEngine::staticMetaObject
    {55, 2214, 1056},	// Plasma::DataEngine::timerEvent#
    {55, 2228, 1064},	// Plasma::DataEngine::tr$
    {55, 2229, 1016},	// Plasma::DataEngine::tr$$
    {55, 2230, 1018},	// Plasma::DataEngine::tr$$$
    {55, 2232, 1065},	// Plasma::DataEngine::trUtf8$
    {55, 2233, 1017},	// Plasma::DataEngine::trUtf8$$
    {55, 2234, 1019},	// Plasma::DataEngine::trUtf8$$$
    {55, 2254, 1062},	// Plasma::DataEngine::updateAllSources
    {55, 2267, 1042},	// Plasma::DataEngine::updateSourceEvent$
    {55, 2350, 1074},	// Plasma::DataEngine::~DataEngine
    {56, 948, 1083},	// Plasma::DataEngineManager::engine$
    {56, 1222, 1091},	// Plasma::DataEngineManager::listAllEngines
    {56, 1223, 1086},	// Plasma::DataEngineManager::listAllEngines$
    {56, 1245, 1092},	// Plasma::DataEngineManager::listEngineInfo
    {56, 1246, 1087},	// Plasma::DataEngineManager::listEngineInfo$
    {56, 1248, 1093},	// Plasma::DataEngineManager::listEngineInfoByCategory$
    {56, 1249, 1088},	// Plasma::DataEngineManager::listEngineInfoByCategory$$
    {56, 1278, 1084},	// Plasma::DataEngineManager::loadEngine$
    {56, 1329, 1075},	// Plasma::DataEngineManager::metaObject
    {56, 1458, 1081},	// Plasma::DataEngineManager::qt_metacall$$?
    {56, 1460, 1076},	// Plasma::DataEngineManager::qt_metacast$
    {56, 1608, 1082},	// Plasma::DataEngineManager::self
    {56, 2153, 1094},	// Plasma::DataEngineManager::staticMetaObject
    {56, 2228, 1089},	// Plasma::DataEngineManager::tr$
    {56, 2229, 1077},	// Plasma::DataEngineManager::tr$$
    {56, 2230, 1079},	// Plasma::DataEngineManager::tr$$$
    {56, 2232, 1090},	// Plasma::DataEngineManager::trUtf8$
    {56, 2233, 1078},	// Plasma::DataEngineManager::trUtf8$$
    {56, 2234, 1080},	// Plasma::DataEngineManager::trUtf8$$$
    {56, 2244, 1085},	// Plasma::DataEngineManager::unloadEngine$
    {57, 122, 1132},	// Plasma::DataEngineScript::DataEngineScript
    {57, 123, 1102},	// Plasma::DataEngineScript::DataEngineScript#
    {57, 643, 1122},	// Plasma::DataEngineScript::addSource#
    {57, 776, 1123},	// Plasma::DataEngineScript::containerDict
    {57, 847, 1104},	// Plasma::DataEngineScript::dataEngine
    {57, 856, 1111},	// Plasma::DataEngineScript::description
    {57, 1011, 1129},	// Plasma::DataEngineScript::forceImmediateUpdateOfAllVisualizations
    {57, 1304, 1109},	// Plasma::DataEngineScript::mainScript
    {57, 1329, 1095},	// Plasma::DataEngineScript::metaObject
    {57, 1341, 1119},	// Plasma::DataEngineScript::minimumPollingInterval
    {57, 1388, 1110},	// Plasma::DataEngineScript::package
    {57, 1458, 1101},	// Plasma::DataEngineScript::qt_metacall$$?
    {57, 1460, 1096},	// Plasma::DataEngineScript::qt_metacast$
    {57, 1503, 1115},	// Plasma::DataEngineScript::removeAllData$
    {57, 1504, 1121},	// Plasma::DataEngineScript::removeAllSources
    {57, 1508, 1116},	// Plasma::DataEngineScript::removeData$$
    {57, 1520, 1127},	// Plasma::DataEngineScript::removeSource$
    {57, 1589, 1126},	// Plasma::DataEngineScript::scheduleSourcesUpdated
    {57, 1611, 1108},	// Plasma::DataEngineScript::serviceForSource$
    {57, 1723, 1113},	// Plasma::DataEngineScript::setData$#
    {57, 1724, 1112},	// Plasma::DataEngineScript::setData$$#
    {57, 1725, 1114},	// Plasma::DataEngineScript::setData$?
    {57, 1727, 1103},	// Plasma::DataEngineScript::setDataEngine#
    {57, 1816, 1125},	// Plasma::DataEngineScript::setIcon$
    {57, 1853, 1117},	// Plasma::DataEngineScript::setMaxSourceCount$
    {57, 1867, 1118},	// Plasma::DataEngineScript::setMinimumPollingInterval$
    {57, 1872, 1124},	// Plasma::DataEngineScript::setName$
    {57, 1904, 1120},	// Plasma::DataEngineScript::setPollingInterval$
    {57, 2142, 1106},	// Plasma::DataEngineScript::sourceRequestEvent$
    {57, 2143, 1105},	// Plasma::DataEngineScript::sources
    {57, 2153, 1133},	// Plasma::DataEngineScript::staticMetaObject
    {57, 2228, 1130},	// Plasma::DataEngineScript::tr$
    {57, 2229, 1097},	// Plasma::DataEngineScript::tr$$
    {57, 2230, 1099},	// Plasma::DataEngineScript::tr$$$
    {57, 2232, 1131},	// Plasma::DataEngineScript::trUtf8$
    {57, 2233, 1098},	// Plasma::DataEngineScript::trUtf8$$
    {57, 2234, 1100},	// Plasma::DataEngineScript::trUtf8$$$
    {57, 2254, 1128},	// Plasma::DataEngineScript::updateAllSources
    {57, 2267, 1107},	// Plasma::DataEngineScript::updateSourceEvent$
    {57, 2351, 1134},	// Plasma::DataEngineScript::~DataEngineScript
    {58, 82, 1157},	// Plasma::Delegate::ColumnTypeRole
    {58, 129, 1153},	// Plasma::Delegate::Delegate
    {58, 130, 1142},	// Plasma::Delegate::Delegate#
    {58, 316, 1158},	// Plasma::Delegate::MainColumn
    {58, 446, 1159},	// Plasma::Delegate::SecondaryActionColumn
    {58, 484, 1156},	// Plasma::Delegate::SubTitleMandatoryRole
    {58, 485, 1155},	// Plasma::Delegate::SubTitleRole
    {58, 940, 1149},	// Plasma::Delegate::emptyRect##
    {58, 1329, 1135},	// Plasma::Delegate::metaObject
    {58, 1396, 1145},	// Plasma::Delegate::paint###
    {58, 1458, 1141},	// Plasma::Delegate::qt_metacall$$?
    {58, 1460, 1136},	// Plasma::Delegate::qt_metacast$
    {58, 1471, 1148},	// Plasma::Delegate::rectAfterSubTitle##
    {58, 1473, 1147},	// Plasma::Delegate::rectAfterTitle##
    {58, 1560, 1144},	// Plasma::Delegate::roleMapping$
    {58, 1939, 1143},	// Plasma::Delegate::setRoleMapping$$
    {58, 2116, 1146},	// Plasma::Delegate::showToolTip
    {58, 2129, 1150},	// Plasma::Delegate::sizeHint##
    {58, 2153, 1154},	// Plasma::Delegate::staticMetaObject
    {58, 2228, 1151},	// Plasma::Delegate::tr$
    {58, 2229, 1137},	// Plasma::Delegate::tr$$
    {58, 2230, 1139},	// Plasma::Delegate::tr$$$
    {58, 2232, 1152},	// Plasma::Delegate::trUtf8$
    {58, 2233, 1138},	// Plasma::Delegate::trUtf8$$
    {58, 2234, 1140},	// Plasma::Delegate::trUtf8$$$
    {58, 2352, 1160},	// Plasma::Delegate::~Delegate
    {59, 21, 1203},	// Plasma::Dialog::All
    {59, 140, 1195},	// Plasma::Dialog::Dialog
    {59, 141, 1196},	// Plasma::Dialog::Dialog#
    {59, 142, 1168},	// Plasma::Dialog::Dialog#$
    {59, 343, 1198},	// Plasma::Dialog::NoCorner
    {59, 356, 1199},	// Plasma::Dialog::NorthEast
    {59, 357, 1201},	// Plasma::Dialog::NorthWest
    {59, 472, 1200},	// Plasma::Dialog::SouthEast
    {59, 473, 1202},	// Plasma::Dialog::SouthWest
    {59, 663, 1173},	// Plasma::Dialog::animatedHide$
    {59, 665, 1174},	// Plasma::Dialog::animatedShow$
    {59, 694, 1175},	// Plasma::Dialog::aspectRatioMode
    {59, 866, 1177},	// Plasma::Dialog::dialogResized
    {59, 868, 1178},	// Plasma::Dialog::dialogVisible$
    {59, 958, 1181},	// Plasma::Dialog::event#
    {59, 960, 1183},	// Plasma::Dialog::eventFilter##
    {59, 999, 1186},	// Plasma::Dialog::focusInEvent#
    {59, 1029, 1170},	// Plasma::Dialog::graphicsWidget
    {59, 1056, 1184},	// Plasma::Dialog::hideEvent#
    {59, 1084, 1192},	// Plasma::Dialog::inControlArea#
    {59, 1186, 1190},	// Plasma::Dialog::keyPressEvent#
    {59, 1329, 1161},	// Plasma::Dialog::metaObject
    {59, 1347, 1187},	// Plasma::Dialog::mouseMoveEvent#
    {59, 1349, 1188},	// Plasma::Dialog::mousePressEvent#
    {59, 1351, 1189},	// Plasma::Dialog::mouseReleaseEvent#
    {59, 1353, 1191},	// Plasma::Dialog::moveEvent#
    {59, 1404, 1180},	// Plasma::Dialog::paintEvent#
    {59, 1458, 1167},	// Plasma::Dialog::qt_metacall$$?
    {59, 1460, 1162},	// Plasma::Dialog::qt_metacast$
    {59, 1547, 1172},	// Plasma::Dialog::resizeCorners
    {59, 1549, 1182},	// Plasma::Dialog::resizeEvent#
    {59, 1639, 1176},	// Plasma::Dialog::setAspectRatioMode$
    {59, 1789, 1169},	// Plasma::Dialog::setGraphicsWidget#
    {59, 1933, 1171},	// Plasma::Dialog::setResizeHandleCorners$
    {59, 2109, 1185},	// Plasma::Dialog::showEvent#
    {59, 2153, 1197},	// Plasma::Dialog::staticMetaObject
    {59, 2179, 1179},	// Plasma::Dialog::syncToGraphicsWidget
    {59, 2228, 1193},	// Plasma::Dialog::tr$
    {59, 2229, 1163},	// Plasma::Dialog::tr$$
    {59, 2230, 1165},	// Plasma::Dialog::tr$$$
    {59, 2232, 1194},	// Plasma::Dialog::trUtf8$
    {59, 2233, 1164},	// Plasma::Dialog::trUtf8$$
    {59, 2234, 1166},	// Plasma::Dialog::trUtf8$$$
    {59, 2353, 1204},	// Plasma::Dialog::~Dialog
    {60, 60, 1248},	// Plasma::Extender::BottomUpStacked
    {60, 161, 1212},	// Plasma::Extender::Extender#
    {60, 337, 1247},	// Plasma::Extender::NoBorders
    {60, 516, 1249},	// Plasma::Extender::TopDownStacked
    {60, 678, 1223},	// Plasma::Extender::appearance
    {60, 682, 1225},	// Plasma::Extender::applet
    {60, 699, 1216},	// Plasma::Extender::attachedItems
    {60, 863, 1217},	// Plasma::Extender::detachedItems
    {60, 882, 1236},	// Plasma::Extender::dragEnterEvent#
    {60, 884, 1238},	// Plasma::Extender::dragLeaveEvent#
    {60, 886, 1237},	// Plasma::Extender::dragMoveEvent#
    {60, 912, 1239},	// Plasma::Extender::dropEvent#
    {60, 938, 1214},	// Plasma::Extender::emptyExtenderMessage
    {60, 945, 1232},	// Plasma::Extender::enabledBordersForItem#
    {60, 1019, 1242},	// Plasma::Extender::geometryChanged
    {60, 1031, 1219},	// Plasma::Extender::group$
    {60, 1033, 1224},	// Plasma::Extender::groups
    {60, 1045, 1220},	// Plasma::Extender::hasItem$
    {60, 1126, 1221},	// Plasma::Extender::isEmpty
    {60, 1156, 1218},	// Plasma::Extender::item$
    {60, 1160, 1245},	// Plasma::Extender::itemAddedEvent#
    {60, 1161, 1226},	// Plasma::Extender::itemAddedEvent##
    {60, 1165, 1240},	// Plasma::Extender::itemAttached#
    {60, 1167, 1233},	// Plasma::Extender::itemChange$#
    {60, 1169, 1241},	// Plasma::Extender::itemDetached#
    {60, 1173, 1228},	// Plasma::Extender::itemHoverEnterEvent#
    {60, 1175, 1230},	// Plasma::Extender::itemHoverLeaveEvent#
    {60, 1177, 1229},	// Plasma::Extender::itemHoverMoveEvent##
    {60, 1179, 1227},	// Plasma::Extender::itemRemovedEvent#
    {60, 1184, 1215},	// Plasma::Extender::items
    {60, 1329, 1205},	// Plasma::Extender::metaObject
    {60, 1349, 1235},	// Plasma::Extender::mousePressEvent#
    {60, 1458, 1211},	// Plasma::Extender::qt_metacall$$?
    {60, 1460, 1206},	// Plasma::Extender::qt_metacast$
    {60, 1549, 1234},	// Plasma::Extender::resizeEvent#
    {60, 1577, 1231},	// Plasma::Extender::saveState
    {60, 1631, 1222},	// Plasma::Extender::setAppearance$
    {60, 1763, 1213},	// Plasma::Extender::setEmptyExtenderMessage$
    {60, 2153, 1246},	// Plasma::Extender::staticMetaObject
    {60, 2228, 1243},	// Plasma::Extender::tr$
    {60, 2229, 1207},	// Plasma::Extender::tr$$
    {60, 2230, 1209},	// Plasma::Extender::tr$$$
    {60, 2232, 1244},	// Plasma::Extender::trUtf8$
    {60, 2233, 1208},	// Plasma::Extender::trUtf8$$
    {60, 2234, 1210},	// Plasma::Extender::trUtf8$$$
    {60, 2354, 1250},	// Plasma::Extender::~Extender
    {61, 163, 1276},	// Plasma::ExtenderGroup::ExtenderGroup#
    {61, 164, 1258},	// Plasma::ExtenderGroup::ExtenderGroup#$
    {61, 705, 1260},	// Plasma::ExtenderGroup::autoHide
    {61, 746, 1267},	// Plasma::ExtenderGroup::collapseGroup
    {61, 882, 1270},	// Plasma::ExtenderGroup::dragEnterEvent#
    {61, 884, 1272},	// Plasma::ExtenderGroup::dragLeaveEvent#
    {61, 886, 1271},	// Plasma::ExtenderGroup::dragMoveEvent#
    {61, 912, 1273},	// Plasma::ExtenderGroup::dropEvent#
    {61, 960, 1269},	// Plasma::ExtenderGroup::eventFilter##
    {61, 968, 1266},	// Plasma::ExtenderGroup::expandGroup
    {61, 1116, 1263},	// Plasma::ExtenderGroup::isAutoCollapse
    {61, 1129, 1262},	// Plasma::ExtenderGroup::isGroupCollapsed
    {61, 1184, 1259},	// Plasma::ExtenderGroup::items
    {61, 1329, 1251},	// Plasma::ExtenderGroup::metaObject
    {61, 1458, 1257},	// Plasma::ExtenderGroup::qt_metacall$$?
    {61, 1460, 1252},	// Plasma::ExtenderGroup::qt_metacast$
    {61, 1549, 1268},	// Plasma::ExtenderGroup::resizeEvent#
    {61, 1651, 1264},	// Plasma::ExtenderGroup::setAutoCollapse$
    {61, 1655, 1261},	// Plasma::ExtenderGroup::setAutoHide$
    {61, 1794, 1265},	// Plasma::ExtenderGroup::setGroupCollapsed$
    {61, 2153, 1277},	// Plasma::ExtenderGroup::staticMetaObject
    {61, 2228, 1274},	// Plasma::ExtenderGroup::tr$
    {61, 2229, 1253},	// Plasma::ExtenderGroup::tr$$
    {61, 2230, 1255},	// Plasma::ExtenderGroup::tr$$$
    {61, 2232, 1275},	// Plasma::ExtenderGroup::trUtf8$
    {61, 2233, 1254},	// Plasma::ExtenderGroup::trUtf8$$
    {61, 2234, 1256},	// Plasma::ExtenderGroup::trUtf8$$$
    {61, 2355, 1278},	// Plasma::ExtenderGroup::~ExtenderGroup
    {62, 166, 1328},	// Plasma::ExtenderItem::ExtenderItem#
    {62, 167, 1286},	// Plasma::ExtenderItem::ExtenderItem#$
    {62, 578, 1308},	// Plasma::ExtenderItem::action$
    {62, 596, 1307},	// Plasma::ExtenderItem::addAction$#
    {62, 704, 1304},	// Plasma::ExtenderItem::autoExpireDelay
    {62, 752, 1287},	// Plasma::ExtenderItem::config
    {62, 859, 1309},	// Plasma::ExtenderItem::destroy
    {62, 862, 1314},	// Plasma::ExtenderItem::destroyed#
    {62, 969, 1298},	// Plasma::ExtenderItem::extender
    {62, 1030, 1301},	// Plasma::ExtenderItem::group
    {62, 1054, 1313},	// Plasma::ExtenderItem::hideCloseButton
    {62, 1066, 1323},	// Plasma::ExtenderItem::hoverLeaveEvent#
    {62, 1068, 1322},	// Plasma::ExtenderItem::hoverMoveEvent#
    {62, 1070, 1296},	// Plasma::ExtenderItem::icon
    {62, 1122, 1306},	// Plasma::ExtenderItem::isCollapsed
    {62, 1124, 1305},	// Plasma::ExtenderItem::isDetached
    {62, 1128, 1302},	// Plasma::ExtenderItem::isGroup
    {62, 1329, 1279},	// Plasma::ExtenderItem::metaObject
    {62, 1345, 1319},	// Plasma::ExtenderItem::mouseDoubleClickEvent#
    {62, 1347, 1320},	// Plasma::ExtenderItem::mouseMoveEvent#
    {62, 1349, 1318},	// Plasma::ExtenderItem::mousePressEvent#
    {62, 1351, 1321},	// Plasma::ExtenderItem::mouseReleaseEvent#
    {62, 1353, 1316},	// Plasma::ExtenderItem::moveEvent#
    {62, 1364, 1293},	// Plasma::ExtenderItem::name
    {62, 1396, 1315},	// Plasma::ExtenderItem::paint###
    {62, 1458, 1285},	// Plasma::ExtenderItem::qt_metacall$$?
    {62, 1460, 1280},	// Plasma::ExtenderItem::qt_metacast$
    {62, 1549, 1317},	// Plasma::ExtenderItem::resizeEvent#
    {62, 1558, 1311},	// Plasma::ExtenderItem::returnToSource
    {62, 1586, 1324},	// Plasma::ExtenderItem::sceneEventFilter##
    {62, 1653, 1303},	// Plasma::ExtenderItem::setAutoExpireDelay$
    {62, 1685, 1310},	// Plasma::ExtenderItem::setCollapsed$
    {62, 1769, 1329},	// Plasma::ExtenderItem::setExtender#
    {62, 1770, 1297},	// Plasma::ExtenderItem::setExtender##
    {62, 1791, 1299},	// Plasma::ExtenderItem::setGroup#
    {62, 1792, 1300},	// Plasma::ExtenderItem::setGroup##
    {62, 1815, 1295},	// Plasma::ExtenderItem::setIcon#
    {62, 1816, 1294},	// Plasma::ExtenderItem::setIcon$
    {62, 1872, 1292},	// Plasma::ExtenderItem::setName$
    {62, 2030, 1290},	// Plasma::ExtenderItem::setTitle$
    {62, 2081, 1288},	// Plasma::ExtenderItem::setWidget#
    {62, 2099, 1312},	// Plasma::ExtenderItem::showCloseButton
    {62, 2131, 1325},	// Plasma::ExtenderItem::sizeHint$#
    {62, 2153, 1330},	// Plasma::ExtenderItem::staticMetaObject
    {62, 2215, 1291},	// Plasma::ExtenderItem::title
    {62, 2228, 1326},	// Plasma::ExtenderItem::tr$
    {62, 2229, 1281},	// Plasma::ExtenderItem::tr$$
    {62, 2230, 1283},	// Plasma::ExtenderItem::tr$$$
    {62, 2232, 1327},	// Plasma::ExtenderItem::trUtf8$
    {62, 2233, 1282},	// Plasma::ExtenderItem::trUtf8$$
    {62, 2234, 1284},	// Plasma::ExtenderItem::trUtf8$$$
    {62, 2312, 1289},	// Plasma::ExtenderItem::widget
    {62, 2356, 1331},	// Plasma::ExtenderItem::~ExtenderItem
    {63, 175, 1357},	// Plasma::FlashingLabel::FlashingLabel
    {63, 176, 1339},	// Plasma::FlashingLabel::FlashingLabel#
    {63, 707, 1350},	// Plasma::FlashingLabel::autohide
    {63, 749, 1343},	// Plasma::FlashingLabel::color
    {63, 913, 1345},	// Plasma::FlashingLabel::duration
    {63, 973, 1353},	// Plasma::FlashingLabel::fadeIn
    {63, 974, 1354},	// Plasma::FlashingLabel::fadeOut
    {63, 991, 1361},	// Plasma::FlashingLabel::flash#
    {63, 992, 1362},	// Plasma::FlashingLabel::flash#$
    {63, 993, 1348},	// Plasma::FlashingLabel::flash#$$
    {63, 994, 1359},	// Plasma::FlashingLabel::flash$
    {63, 995, 1360},	// Plasma::FlashingLabel::flash$$
    {63, 996, 1347},	// Plasma::FlashingLabel::flash$$#
    {63, 1005, 1341},	// Plasma::FlashingLabel::font
    {63, 1190, 1352},	// Plasma::FlashingLabel::kill
    {63, 1329, 1332},	// Plasma::FlashingLabel::metaObject
    {63, 1395, 1358},	// Plasma::FlashingLabel::paint##
    {63, 1396, 1340},	// Plasma::FlashingLabel::paint###
    {63, 1458, 1338},	// Plasma::FlashingLabel::qt_metacall$$?
    {63, 1460, 1333},	// Plasma::FlashingLabel::qt_metacast$
    {63, 1659, 1349},	// Plasma::FlashingLabel::setAutohide$
    {63, 1687, 1344},	// Plasma::FlashingLabel::setColor#
    {63, 1752, 1346},	// Plasma::FlashingLabel::setDuration$
    {63, 1776, 1342},	// Plasma::FlashingLabel::setFont#
    {63, 2131, 1351},	// Plasma::FlashingLabel::sizeHint$#
    {63, 2153, 1363},	// Plasma::FlashingLabel::staticMetaObject
    {63, 2228, 1355},	// Plasma::FlashingLabel::tr$
    {63, 2229, 1334},	// Plasma::FlashingLabel::tr$$
    {63, 2230, 1336},	// Plasma::FlashingLabel::tr$$$
    {63, 2232, 1356},	// Plasma::FlashingLabel::trUtf8$
    {63, 2233, 1335},	// Plasma::FlashingLabel::trUtf8$$
    {63, 2234, 1337},	// Plasma::FlashingLabel::trUtf8$$$
    {63, 2357, 1364},	// Plasma::FlashingLabel::~FlashingLabel
    {64, 182, 1390},	// Plasma::Frame::Frame
    {64, 183, 1372},	// Plasma::Frame::Frame#
    {64, 380, 1393},	// Plasma::Frame::Plain
    {64, 410, 1394},	// Plasma::Frame::Raised
    {64, 487, 1395},	// Plasma::Frame::Sunken
    {64, 726, 1387},	// Plasma::Frame::changeEvent#
    {64, 943, 1376},	// Plasma::Frame::enabledBorders
    {64, 1014, 1374},	// Plasma::Frame::frameShadow
    {64, 1074, 1380},	// Plasma::Frame::image
    {64, 1329, 1365},	// Plasma::Frame::metaObject
    {64, 1366, 1383},	// Plasma::Frame::nativeWidget
    {64, 1395, 1391},	// Plasma::Frame::paint##
    {64, 1396, 1384},	// Plasma::Frame::paint###
    {64, 1458, 1371},	// Plasma::Frame::qt_metacall$$?
    {64, 1460, 1366},	// Plasma::Frame::qt_metacast$
    {64, 1549, 1385},	// Plasma::Frame::resizeEvent#
    {64, 1767, 1375},	// Plasma::Frame::setEnabledBorders$
    {64, 1783, 1373},	// Plasma::Frame::setFrameShadow$
    {64, 1823, 1379},	// Plasma::Frame::setImage$
    {64, 1988, 1381},	// Plasma::Frame::setStyleSheet$
    {64, 2018, 1377},	// Plasma::Frame::setText$
    {64, 2131, 1386},	// Plasma::Frame::sizeHint$#
    {64, 2153, 1392},	// Plasma::Frame::staticMetaObject
    {64, 2166, 1382},	// Plasma::Frame::styleSheet
    {64, 2199, 1378},	// Plasma::Frame::text
    {64, 2228, 1388},	// Plasma::Frame::tr$
    {64, 2229, 1367},	// Plasma::Frame::tr$$
    {64, 2230, 1369},	// Plasma::Frame::tr$$$
    {64, 2232, 1389},	// Plasma::Frame::trUtf8$
    {64, 2233, 1368},	// Plasma::Frame::trUtf8$$
    {64, 2234, 1370},	// Plasma::Frame::trUtf8$$$
    {64, 2358, 1396},	// Plasma::Frame::~Frame
    {65, 22, 1437},	// Plasma::FrameSvg::AllBorders
    {65, 54, 1434},	// Plasma::FrameSvg::BottomBorder
    {65, 184, 1428},	// Plasma::FrameSvg::FrameSvg
    {65, 185, 1404},	// Plasma::FrameSvg::FrameSvg#
    {65, 302, 1435},	// Plasma::FrameSvg::LeftBorder
    {65, 336, 1432},	// Plasma::FrameSvg::NoBorder
    {65, 413, 1436},	// Plasma::FrameSvg::RightBorder
    {65, 515, 1433},	// Plasma::FrameSvg::TopBorder
    {65, 661, 1419},	// Plasma::FrameSvg::alphaMask
    {65, 720, 1421},	// Plasma::FrameSvg::cacheAllRenderedFrames
    {65, 735, 1422},	// Plasma::FrameSvg::clearCache
    {65, 796, 1412},	// Plasma::FrameSvg::contentsRect
    {65, 943, 1407},	// Plasma::FrameSvg::enabledBorders
    {65, 1013, 1423},	// Plasma::FrameSvg::framePixmap
    {65, 1015, 1409},	// Plasma::FrameSvg::frameSize
    {65, 1022, 1411},	// Plasma::FrameSvg::getMargins$$$$
    {65, 1040, -19},	// Plasma::FrameSvg::hasElementPrefix$
    {65, 1314, 1410},	// Plasma::FrameSvg::marginSize$
    {65, 1315, 1418},	// Plasma::FrameSvg::mask
    {65, 1329, 1397},	// Plasma::FrameSvg::metaObject
    {65, 1406, 1430},	// Plasma::FrameSvg::paintFrame#
    {65, 1407, -22},	// Plasma::FrameSvg::paintFrame##
    {65, 1408, 1424},	// Plasma::FrameSvg::paintFrame###
    {65, 1446, 1417},	// Plasma::FrameSvg::prefix
    {65, 1458, 1403},	// Plasma::FrameSvg::qt_metacall$$?
    {65, 1460, 1398},	// Plasma::FrameSvg::qt_metacast$
    {65, 1551, 1408},	// Plasma::FrameSvg::resizeFrame#
    {65, 1669, 1420},	// Plasma::FrameSvg::setCacheAllRenderedFrames$
    {65, 1759, -25},	// Plasma::FrameSvg::setElementPrefix$
    {65, 1767, 1406},	// Plasma::FrameSvg::setEnabledBorders$
    {65, 1826, 1405},	// Plasma::FrameSvg::setImagePath$
    {65, 2153, 1431},	// Plasma::FrameSvg::staticMetaObject
    {65, 2228, 1426},	// Plasma::FrameSvg::tr$
    {65, 2229, 1399},	// Plasma::FrameSvg::tr$$
    {65, 2230, 1401},	// Plasma::FrameSvg::tr$$$
    {65, 2232, 1427},	// Plasma::FrameSvg::trUtf8$
    {65, 2233, 1400},	// Plasma::FrameSvg::trUtf8$$
    {65, 2234, 1402},	// Plasma::FrameSvg::trUtf8$$$
    {65, 2359, 1438},	// Plasma::FrameSvg::~FrameSvg
    {66, 189, 1446},	// Plasma::GLApplet::GLApplet#$$
    {66, 190, 1447},	// Plasma::GLApplet::GLApplet#?
    {66, 717, 1454},	// Plasma::GLApplet::bindTexture#
    {66, 718, 1448},	// Plasma::GLApplet::bindTexture#$
    {66, 855, 1449},	// Plasma::GLApplet::deleteTexture$
    {66, 1306, 1451},	// Plasma::GLApplet::makeCurrent
    {66, 1329, 1439},	// Plasma::GLApplet::metaObject
    {66, 1410, 1450},	// Plasma::GLApplet::paintGLInterface##
    {66, 1458, 1445},	// Plasma::GLApplet::qt_metacall$$?
    {66, 1460, 1440},	// Plasma::GLApplet::qt_metacast$
    {66, 2153, 1455},	// Plasma::GLApplet::staticMetaObject
    {66, 2228, 1452},	// Plasma::GLApplet::tr$
    {66, 2229, 1441},	// Plasma::GLApplet::tr$$
    {66, 2230, 1443},	// Plasma::GLApplet::tr$$$
    {66, 2232, 1453},	// Plasma::GLApplet::trUtf8$
    {66, 2233, 1442},	// Plasma::GLApplet::trUtf8$$
    {66, 2234, 1444},	// Plasma::GLApplet::trUtf8$$$
    {66, 2360, 1456},	// Plasma::GLApplet::~GLApplet
    {67, 192, 1474},	// Plasma::GroupBox::GroupBox
    {67, 193, 1464},	// Plasma::GroupBox::GroupBox#
    {67, 726, 1471},	// Plasma::GroupBox::changeEvent#
    {67, 1329, 1457},	// Plasma::GroupBox::metaObject
    {67, 1366, 1469},	// Plasma::GroupBox::nativeWidget
    {67, 1458, 1463},	// Plasma::GroupBox::qt_metacall$$?
    {67, 1460, 1458},	// Plasma::GroupBox::qt_metacast$
    {67, 1549, 1470},	// Plasma::GroupBox::resizeEvent#
    {67, 1988, 1467},	// Plasma::GroupBox::setStyleSheet$
    {67, 2018, 1465},	// Plasma::GroupBox::setText$
    {67, 2153, 1475},	// Plasma::GroupBox::staticMetaObject
    {67, 2166, 1468},	// Plasma::GroupBox::styleSheet
    {67, 2199, 1466},	// Plasma::GroupBox::text
    {67, 2228, 1472},	// Plasma::GroupBox::tr$
    {67, 2229, 1459},	// Plasma::GroupBox::tr$$
    {67, 2230, 1461},	// Plasma::GroupBox::tr$$$
    {67, 2232, 1473},	// Plasma::GroupBox::trUtf8$
    {67, 2233, 1460},	// Plasma::GroupBox::trUtf8$$
    {67, 2234, 1462},	// Plasma::GroupBox::trUtf8$$$
    {67, 2361, 1476},	// Plasma::GroupBox::~GroupBox
    {68, 205, 1540},	// Plasma::IconWidget::IconWidget
    {68, 206, 1484},	// Plasma::IconWidget::IconWidget#
    {68, 207, 1542},	// Plasma::IconWidget::IconWidget#$
    {68, 208, 1486},	// Plasma::IconWidget::IconWidget#$#
    {68, 209, 1541},	// Plasma::IconWidget::IconWidget$
    {68, 210, 1485},	// Plasma::IconWidget::IconWidget$#
    {68, 577, 1508},	// Plasma::IconWidget::action
    {68, 589, 1526},	// Plasma::IconWidget::activated
    {68, 620, 1505},	// Plasma::IconWidget::addIconAction#
    {68, 726, 1536},	// Plasma::IconWidget::changeEvent#
    {68, 727, 1527},	// Plasma::IconWidget::changed
    {68, 740, 1524},	// Plasma::IconWidget::clicked
    {68, 880, 1525},	// Plasma::IconWidget::doubleClicked
    {68, 889, 1537},	// Plasma::IconWidget::drawActionButtonBase##$
    {68, 892, 1517},	// Plasma::IconWidget::drawBackground
    {68, 1064, 1533},	// Plasma::IconWidget::hoverEnterEvent#
    {68, 1066, 1534},	// Plasma::IconWidget::hoverLeaveEvent#
    {68, 1070, 1493},	// Plasma::IconWidget::icon
    {68, 1071, 1498},	// Plasma::IconWidget::iconSize
    {68, 1085, 1491},	// Plasma::IconWidget::infoText
    {68, 1113, 1511},	// Plasma::IconWidget::invertLayout$
    {68, 1114, 1512},	// Plasma::IconWidget::invertedLayout
    {68, 1125, 1528},	// Plasma::IconWidget::isDown
    {68, 1325, 1504},	// Plasma::IconWidget::maximumIconSize
    {68, 1329, 1477},	// Plasma::IconWidget::metaObject
    {68, 1340, 1502},	// Plasma::IconWidget::minimumIconSize
    {68, 1345, 1532},	// Plasma::IconWidget::mouseDoubleClickEvent#
    {68, 1347, 1530},	// Plasma::IconWidget::mouseMoveEvent#
    {68, 1349, 1529},	// Plasma::IconWidget::mousePressEvent#
    {68, 1351, 1531},	// Plasma::IconWidget::mouseReleaseEvent#
    {68, 1371, 1514},	// Plasma::IconWidget::numDisplayLines
    {68, 1387, 1510},	// Plasma::IconWidget::orientation
    {68, 1395, 1545},	// Plasma::IconWidget::paint##
    {68, 1396, 1521},	// Plasma::IconWidget::paint###
    {68, 1445, 1500},	// Plasma::IconWidget::preferredIconSize
    {68, 1449, 1523},	// Plasma::IconWidget::pressed$
    {68, 1458, 1483},	// Plasma::IconWidget::qt_metacall$$?
    {68, 1460, 1478},	// Plasma::IconWidget::qt_metacast$
    {68, 1510, 1506},	// Plasma::IconWidget::removeIconAction#
    {68, 1586, 1535},	// Plasma::IconWidget::sceneEventFilter##
    {68, 1621, 1507},	// Plasma::IconWidget::setAction#
    {68, 1748, 1516},	// Plasma::IconWidget::setDrawBackground$
    {68, 1815, 1494},	// Plasma::IconWidget::setIcon#
    {68, 1816, 1497},	// Plasma::IconWidget::setIcon$
    {68, 1832, 1492},	// Plasma::IconWidget::setInfoText$
    {68, 1857, 1503},	// Plasma::IconWidget::setMaximumIconSize#
    {68, 1865, 1501},	// Plasma::IconWidget::setMinimumIconSize#
    {68, 1878, 1515},	// Plasma::IconWidget::setNumDisplayLines$
    {68, 1884, 1509},	// Plasma::IconWidget::setOrientation$
    {68, 1909, 1499},	// Plasma::IconWidget::setPreferredIconSize#
    {68, 1910, 1544},	// Plasma::IconWidget::setPressed
    {68, 1911, 1519},	// Plasma::IconWidget::setPressed$
    {68, 1995, 1543},	// Plasma::IconWidget::setSvg$
    {68, 1996, 1489},	// Plasma::IconWidget::setSvg$$
    {68, 2018, 1488},	// Plasma::IconWidget::setText$
    {68, 2020, 1496},	// Plasma::IconWidget::setTextBackgroundColor#
    {68, 2041, 1520},	// Plasma::IconWidget::setUnpressed
    {68, 2092, 1518},	// Plasma::IconWidget::shape
    {68, 2127, 1513},	// Plasma::IconWidget::sizeFromIconSize$
    {68, 2130, 1546},	// Plasma::IconWidget::sizeHint$
    {68, 2131, 1522},	// Plasma::IconWidget::sizeHint$#
    {68, 2153, 1547},	// Plasma::IconWidget::staticMetaObject
    {68, 2172, 1490},	// Plasma::IconWidget::svg
    {68, 2199, 1487},	// Plasma::IconWidget::text
    {68, 2200, 1495},	// Plasma::IconWidget::textBackgroundColor
    {68, 2228, 1538},	// Plasma::IconWidget::tr$
    {68, 2229, 1479},	// Plasma::IconWidget::tr$$
    {68, 2230, 1481},	// Plasma::IconWidget::tr$$$
    {68, 2232, 1539},	// Plasma::IconWidget::trUtf8$
    {68, 2233, 1480},	// Plasma::IconWidget::trUtf8$$
    {68, 2234, 1482},	// Plasma::IconWidget::trUtf8$$$
    {68, 2362, 1548},	// Plasma::IconWidget::~IconWidget
    {69, 221, 1572},	// Plasma::ItemBackground::ItemBackground
    {69, 222, 1556},	// Plasma::ItemBackground::ItemBackground#
    {69, 677, 1563},	// Plasma::ItemBackground::animationStep$
    {69, 679, 1562},	// Plasma::ItemBackground::appearanceChanged
    {69, 960, 1567},	// Plasma::ItemBackground::eventFilter##
    {69, 1167, 1566},	// Plasma::ItemBackground::itemChange$#
    {69, 1329, 1549},	// Plasma::ItemBackground::metaObject
    {69, 1396, 1561},	// Plasma::ItemBackground::paint###
    {69, 1458, 1555},	// Plasma::ItemBackground::qt_metacall$$?
    {69, 1460, 1550},	// Plasma::ItemBackground::qt_metacast$
    {69, 1549, 1569},	// Plasma::ItemBackground::resizeEvent#
    {69, 1586, 1568},	// Plasma::ItemBackground::sceneEventFilter##
    {69, 2008, 1557},	// Plasma::ItemBackground::setTarget#
    {69, 2010, 1559},	// Plasma::ItemBackground::setTargetItem#
    {69, 2153, 1573},	// Plasma::ItemBackground::staticMetaObject
    {69, 2190, 1558},	// Plasma::ItemBackground::target
    {69, 2191, 1560},	// Plasma::ItemBackground::targetItem
    {69, 2193, 1565},	// Plasma::ItemBackground::targetItemReached#
    {69, 2195, 1564},	// Plasma::ItemBackground::targetReached#
    {69, 2228, 1570},	// Plasma::ItemBackground::tr$
    {69, 2229, 1551},	// Plasma::ItemBackground::tr$$
    {69, 2230, 1553},	// Plasma::ItemBackground::tr$$$
    {69, 2232, 1571},	// Plasma::ItemBackground::trUtf8$
    {69, 2233, 1552},	// Plasma::ItemBackground::trUtf8$$
    {69, 2234, 1554},	// Plasma::ItemBackground::trUtf8$$$
    {69, 2363, 1574},	// Plasma::ItemBackground::~ItemBackground
    {70, 298, 1612},	// Plasma::Label::Label
    {70, 299, 1582},	// Plasma::Label::Label#
    {70, 658, 1588},	// Plasma::Label::alignment
    {70, 726, 1605},	// Plasma::Label::changeEvent#
    {70, 805, 1608},	// Plasma::Label::contextMenuEvent#
    {70, 850, 1600},	// Plasma::Label::dataUpdated$?
    {70, 958, 1606},	// Plasma::Label::event#
    {70, 1048, 1590},	// Plasma::Label::hasScaledContents
    {70, 1074, 1586},	// Plasma::Label::image
    {70, 1167, 1607},	// Plasma::Label::itemChange$#
    {70, 1217, 1598},	// Plasma::Label::linkActivated$
    {70, 1220, 1599},	// Plasma::Label::linkHovered$
    {70, 1329, 1575},	// Plasma::Label::metaObject
    {70, 1347, 1603},	// Plasma::Label::mouseMoveEvent#
    {70, 1349, 1602},	// Plasma::Label::mousePressEvent#
    {70, 1366, 1597},	// Plasma::Label::nativeWidget
    {70, 1396, 1604},	// Plasma::Label::paint###
    {70, 1458, 1581},	// Plasma::Label::qt_metacall$$?
    {70, 1460, 1576},	// Plasma::Label::qt_metacast$
    {70, 1549, 1601},	// Plasma::Label::resizeEvent#
    {70, 1625, 1587},	// Plasma::Label::setAlignment$
    {70, 1823, 1585},	// Plasma::Label::setImage$
    {70, 1945, 1589},	// Plasma::Label::setScaledContents$
    {70, 1988, 1595},	// Plasma::Label::setStyleSheet$
    {70, 2018, 1583},	// Plasma::Label::setText$
    {70, 2022, 1591},	// Plasma::Label::setTextSelectable$
    {70, 2087, 1593},	// Plasma::Label::setWordWrap$
    {70, 2131, 1609},	// Plasma::Label::sizeHint$#
    {70, 2153, 1613},	// Plasma::Label::staticMetaObject
    {70, 2166, 1596},	// Plasma::Label::styleSheet
    {70, 2199, 1584},	// Plasma::Label::text
    {70, 2205, 1592},	// Plasma::Label::textSelectable
    {70, 2228, 1610},	// Plasma::Label::tr$
    {70, 2229, 1577},	// Plasma::Label::tr$$
    {70, 2230, 1579},	// Plasma::Label::tr$$$
    {70, 2232, 1611},	// Plasma::Label::trUtf8$
    {70, 2233, 1578},	// Plasma::Label::trUtf8$$
    {70, 2234, 1580},	// Plasma::Label::trUtf8$$$
    {70, 2321, 1594},	// Plasma::Label::wordWrap
    {70, 2364, 1614},	// Plasma::Label::~Label
    {71, 308, 1645},	// Plasma::LineEdit::LineEdit
    {71, 309, 1622},	// Plasma::LineEdit::LineEdit#
    {71, 726, 1635},	// Plasma::LineEdit::changeEvent#
    {71, 739, 1628},	// Plasma::LineEdit::clickMessage
    {71, 915, 1639},	// Plasma::LineEdit::editingFinished
    {71, 1003, 1638},	// Plasma::LineEdit::focusOutEvent#
    {71, 1064, 1633},	// Plasma::LineEdit::hoverEnterEvent#
    {71, 1066, 1634},	// Plasma::LineEdit::hoverLeaveEvent#
    {71, 1120, 1626},	// Plasma::LineEdit::isClearButtonShown
    {71, 1329, 1615},	// Plasma::LineEdit::metaObject
    {71, 1349, 1637},	// Plasma::LineEdit::mousePressEvent#
    {71, 1366, 1632},	// Plasma::LineEdit::nativeWidget
    {71, 1396, 1636},	// Plasma::LineEdit::paint###
    {71, 1458, 1621},	// Plasma::LineEdit::qt_metacall$$?
    {71, 1460, 1616},	// Plasma::LineEdit::qt_metacast$
    {71, 1557, 1640},	// Plasma::LineEdit::returnPressed
    {71, 1679, 1625},	// Plasma::LineEdit::setClearButtonShown$
    {71, 1681, 1627},	// Plasma::LineEdit::setClickMessage$
    {71, 1874, 1631},	// Plasma::LineEdit::setNativeWidget#
    {71, 1988, 1629},	// Plasma::LineEdit::setStyleSheet$
    {71, 2018, 1623},	// Plasma::LineEdit::setText$
    {71, 2153, 1646},	// Plasma::LineEdit::staticMetaObject
    {71, 2166, 1630},	// Plasma::LineEdit::styleSheet
    {71, 2199, 1624},	// Plasma::LineEdit::text
    {71, 2202, 1642},	// Plasma::LineEdit::textChanged$
    {71, 2204, 1641},	// Plasma::LineEdit::textEdited$
    {71, 2228, 1643},	// Plasma::LineEdit::tr$
    {71, 2229, 1617},	// Plasma::LineEdit::tr$$
    {71, 2230, 1619},	// Plasma::LineEdit::tr$$$
    {71, 2232, 1644},	// Plasma::LineEdit::trUtf8$
    {71, 2233, 1618},	// Plasma::LineEdit::trUtf8$$
    {71, 2234, 1620},	// Plasma::LineEdit::trUtf8$$$
    {71, 2365, 1647},	// Plasma::LineEdit::~LineEdit
    {72, 28, 1686},	// Plasma::Meter::AnalogMeter
    {72, 52, 1684},	// Plasma::Meter::BarMeterHorizontal
    {72, 53, 1685},	// Plasma::Meter::BarMeterVertical
    {72, 319, 1680},	// Plasma::Meter::Meter
    {72, 320, 1655},	// Plasma::Meter::Meter#
    {72, 850, 1672},	// Plasma::Meter::dataUpdated$?
    {72, 1194, 1664},	// Plasma::Meter::label$
    {72, 1196, 1670},	// Plasma::Meter::labelAlignment$
    {72, 1198, 1666},	// Plasma::Meter::labelColor$
    {72, 1200, 1668},	// Plasma::Meter::labelFont$
    {72, 1202, 1671},	// Plasma::Meter::labelRect$
    {72, 1324, 1656},	// Plasma::Meter::maximum
    {72, 1329, 1648},	// Plasma::Meter::metaObject
    {72, 1331, 1662},	// Plasma::Meter::meterType
    {72, 1339, 1657},	// Plasma::Meter::minimum
    {72, 1395, 1681},	// Plasma::Meter::paint##
    {72, 1396, 1676},	// Plasma::Meter::paint###
    {72, 1458, 1654},	// Plasma::Meter::qt_metacall$$?
    {72, 1460, 1649},	// Plasma::Meter::qt_metacast$
    {72, 1839, 1663},	// Plasma::Meter::setLabel$$
    {72, 1841, 1669},	// Plasma::Meter::setLabelAlignment$$
    {72, 1843, 1665},	// Plasma::Meter::setLabelColor$#
    {72, 1845, 1667},	// Plasma::Meter::setLabelFont$#
    {72, 1855, 1673},	// Plasma::Meter::setMaximum$
    {72, 1859, 1661},	// Plasma::Meter::setMeterType$
    {72, 1863, 1674},	// Plasma::Meter::setMinimum$
    {72, 1995, 1659},	// Plasma::Meter::setSvg$
    {72, 2056, 1675},	// Plasma::Meter::setValue$
    {72, 2130, 1682},	// Plasma::Meter::sizeHint$
    {72, 2131, 1677},	// Plasma::Meter::sizeHint$#
    {72, 2153, 1683},	// Plasma::Meter::staticMetaObject
    {72, 2172, 1660},	// Plasma::Meter::svg
    {72, 2228, 1678},	// Plasma::Meter::tr$
    {72, 2229, 1650},	// Plasma::Meter::tr$$
    {72, 2230, 1652},	// Plasma::Meter::tr$$$
    {72, 2232, 1679},	// Plasma::Meter::trUtf8$
    {72, 2233, 1651},	// Plasma::Meter::trUtf8$$
    {72, 2234, 1653},	// Plasma::Meter::trUtf8$$$
    {72, 2281, 1658},	// Plasma::Meter::value
    {72, 2366, 1687},	// Plasma::Meter::~Meter
    {73, 361, 1688},	// Plasma::Package::Package$$?
    {73, 362, 1689},	// Plasma::Package::Package$?
    {73, 794, 1698},	// Plasma::Package::contentsHash
    {73, 825, 1705},	// Plasma::Package::createPackage#$$
    {73, 826, 1704},	// Plasma::Package::createPackage#$$$
    {73, 955, 1693},	// Plasma::Package::entryList$
    {73, 976, 1692},	// Plasma::Package::filePath$
    {73, 977, 1691},	// Plasma::Package::filePath$$
    {73, 1109, 1701},	// Plasma::Package::installPackage$$$
    {73, 1151, 1690},	// Plasma::Package::isValid
    {73, 1251, 1699},	// Plasma::Package::listInstalled$
    {73, 1253, 1700},	// Plasma::Package::listInstalledPaths$
    {73, 1330, 1694},	// Plasma::Package::metadata
    {73, 1421, 1696},	// Plasma::Package::path
    {73, 1478, 1703},	// Plasma::Package::registerPackage#$
    {73, 1894, 1695},	// Plasma::Package::setPath$
    {73, 2164, 1697},	// Plasma::Package::structure
    {73, 2241, 1702},	// Plasma::Package::uninstallPackage$$$
    {73, 2367, 1706},	// Plasma::Package::~Package
    {74, 363, 1747},	// Plasma::PackageMetadata::PackageMetadata
    {74, 364, 1708},	// Plasma::PackageMetadata::PackageMetadata#
    {74, 365, 1707},	// Plasma::PackageMetadata::PackageMetadata$
    {74, 693, 1722},	// Plasma::PackageMetadata::application
    {74, 701, 1717},	// Plasma::PackageMetadata::author
    {74, 722, 1723},	// Plasma::PackageMetadata::category
    {74, 856, 1714},	// Plasma::PackageMetadata::description
    {74, 937, 1718},	// Plasma::PackageMetadata::email
    {74, 1070, 1731},	// Plasma::PackageMetadata::icon
    {74, 1080, 1726},	// Plasma::PackageMetadata::implementationApi
    {74, 1151, 1710},	// Plasma::PackageMetadata::isValid
    {74, 1189, 1715},	// Plasma::PackageMetadata::keywords
    {74, 1215, 1721},	// Plasma::PackageMetadata::license
    {74, 1364, 1713},	// Plasma::PackageMetadata::name
    {74, 1384, 1709},	// Plasma::PackageMetadata::operator=#
    {74, 1433, 1725},	// Plasma::PackageMetadata::pluginName
    {74, 1467, 1712},	// Plasma::PackageMetadata::read$
    {74, 1497, 1727},	// Plasma::PackageMetadata::remoteLocation
    {74, 1542, 1724},	// Plasma::PackageMetadata::requiredVersion
    {74, 1619, 1716},	// Plasma::PackageMetadata::serviceType
    {74, 1637, 1740},	// Plasma::PackageMetadata::setApplication$
    {74, 1645, 1735},	// Plasma::PackageMetadata::setAuthor$
    {74, 1673, 1741},	// Plasma::PackageMetadata::setCategory$
    {74, 1738, 1730},	// Plasma::PackageMetadata::setDescription$
    {74, 1761, 1736},	// Plasma::PackageMetadata::setEmail$
    {74, 1816, 1732},	// Plasma::PackageMetadata::setIcon$
    {74, 1830, 1746},	// Plasma::PackageMetadata::setImplementationApi$
    {74, 1836, 1733},	// Plasma::PackageMetadata::setKeywords?
    {74, 1847, 1739},	// Plasma::PackageMetadata::setLicense$
    {74, 1872, 1729},	// Plasma::PackageMetadata::setName$
    {74, 1900, 1745},	// Plasma::PackageMetadata::setPluginName$
    {74, 1925, 1743},	// Plasma::PackageMetadata::setRemoteLocation#
    {74, 1931, 1742},	// Plasma::PackageMetadata::setRequiredVersion$
    {74, 1958, 1734},	// Plasma::PackageMetadata::setServiceType$
    {74, 2038, 1744},	// Plasma::PackageMetadata::setType$
    {74, 2058, 1737},	// Plasma::PackageMetadata::setVersion$
    {74, 2079, 1738},	// Plasma::PackageMetadata::setWebsite$
    {74, 2236, 1728},	// Plasma::PackageMetadata::type
    {74, 2284, 1719},	// Plasma::PackageMetadata::version
    {74, 2309, 1720},	// Plasma::PackageMetadata::website
    {74, 2324, 1711},	// Plasma::PackageMetadata::write$
    {74, 2368, 1748},	// Plasma::PackageMetadata::~PackageMetadata
    {75, 366, 1794},	// Plasma::PackageStructure::PackageStructure
    {75, 367, 1795},	// Plasma::PackageStructure::PackageStructure#
    {75, 368, 1756},	// Plasma::PackageStructure::PackageStructure#$
    {75, 614, 1764},	// Plasma::PackageStructure::addDirectoryDefinition$$$
    {75, 618, 1765},	// Plasma::PackageStructure::addFileDefinition$$$
    {75, 659, 1786},	// Plasma::PackageStructure::allowExternalPaths
    {75, 795, 1781},	// Plasma::PackageStructure::contentsPrefix
    {75, 822, 1796},	// Plasma::PackageStructure::createNewWidgetBrowser
    {75, 823, 1780},	// Plasma::PackageStructure::createNewWidgetBrowser#
    {75, 851, 1782},	// Plasma::PackageStructure::defaultPackageRoot
    {75, 869, 1760},	// Plasma::PackageStructure::directories
    {75, 955, 1767},	// Plasma::PackageStructure::entryList$
    {75, 978, 1762},	// Plasma::PackageStructure::files
    {75, 1108, 1778},	// Plasma::PackageStructure::installPackage$$
    {75, 1144, 1770},	// Plasma::PackageStructure::isRequired$
    {75, 1268, 1758},	// Plasma::PackageStructure::load$
    {75, 1329, 1749},	// Plasma::PackageStructure::metaObject
    {75, 1330, 1785},	// Plasma::PackageStructure::metadata
    {75, 1338, 1773},	// Plasma::PackageStructure::mimetypes$
    {75, 1365, 1768},	// Plasma::PackageStructure::name$
    {75, 1369, 1787},	// Plasma::PackageStructure::newWidgetBrowserFinished
    {75, 1384, 1757},	// Plasma::PackageStructure::operator=#
    {75, 1421, 1775},	// Plasma::PackageStructure::path
    {75, 1422, 1766},	// Plasma::PackageStructure::path$
    {75, 1423, 1791},	// Plasma::PackageStructure::pathChanged
    {75, 1458, 1755},	// Plasma::PackageStructure::qt_metacall$$?
    {75, 1460, 1750},	// Plasma::PackageStructure::qt_metacast$
    {75, 1466, 1776},	// Plasma::PackageStructure::read#
    {75, 1540, 1761},	// Plasma::PackageStructure::requiredDirectories
    {75, 1541, 1763},	// Plasma::PackageStructure::requiredFiles
    {75, 1613, 1783},	// Plasma::PackageStructure::servicePrefix
    {75, 1627, 1788},	// Plasma::PackageStructure::setAllowExternalPaths$
    {75, 1704, 1789},	// Plasma::PackageStructure::setContentsPrefix$
    {75, 1729, 1771},	// Plasma::PackageStructure::setDefaultMimetypes?
    {75, 1731, 1790},	// Plasma::PackageStructure::setDefaultPackageRoot$
    {75, 1861, 1772},	// Plasma::PackageStructure::setMimetypes$?
    {75, 1894, 1774},	// Plasma::PackageStructure::setPath$
    {75, 1929, 1769},	// Plasma::PackageStructure::setRequired$$
    {75, 1956, 1784},	// Plasma::PackageStructure::setServicePrefix$
    {75, 2153, 1797},	// Plasma::PackageStructure::staticMetaObject
    {75, 2228, 1792},	// Plasma::PackageStructure::tr$
    {75, 2229, 1751},	// Plasma::PackageStructure::tr$$
    {75, 2230, 1753},	// Plasma::PackageStructure::tr$$$
    {75, 2232, 1793},	// Plasma::PackageStructure::trUtf8$
    {75, 2233, 1752},	// Plasma::PackageStructure::trUtf8$$
    {75, 2234, 1754},	// Plasma::PackageStructure::trUtf8$$$
    {75, 2236, 1759},	// Plasma::PackageStructure::type
    {75, 2240, 1779},	// Plasma::PackageStructure::uninstallPackage$$
    {75, 2323, 1777},	// Plasma::PackageStructure::write#
    {75, 2369, 1798},	// Plasma::PackageStructure::~PackageStructure
    {76, 384, 1799},	// Plasma::PlotColor::PlotColor
    {76, 385, 1800},	// Plasma::PlotColor::PlotColor#
    {76, 749, 1801},	// Plasma::PlotColor::color
    {76, 845, 1803},	// Plasma::PlotColor::darkColor
    {76, 1687, 1802},	// Plasma::PlotColor::setColor#
    {76, 1720, 1804},	// Plasma::PlotColor::setDarkColor#
    {76, 2370, 1805},	// Plasma::PlotColor::~PlotColor
    {77, 387, 1813},	// Plasma::PopupApplet::PopupApplet#?
    {77, 882, 1833},	// Plasma::PopupApplet::dragEnterEvent#
    {77, 884, 1834},	// Plasma::PopupApplet::dragLeaveEvent#
    {77, 912, 1835},	// Plasma::PopupApplet::dropEvent#
    {77, 960, 1832},	// Plasma::PopupApplet::eventFilter##
    {77, 1029, 1819},	// Plasma::PopupApplet::graphicsWidget
    {77, 1057, 1825},	// Plasma::PopupApplet::hidePopup
    {77, 1134, 1823},	// Plasma::PopupApplet::isPassivePopup
    {77, 1137, 1824},	// Plasma::PopupApplet::isPopupShowing
    {77, 1329, 1806},	// Plasma::PopupApplet::metaObject
    {77, 1349, 1830},	// Plasma::PopupApplet::mousePressEvent#
    {77, 1351, 1831},	// Plasma::PopupApplet::mouseReleaseEvent#
    {77, 1437, 1828},	// Plasma::PopupApplet::popupEvent$
    {77, 1438, 1816},	// Plasma::PopupApplet::popupIcon
    {77, 1439, 1821},	// Plasma::PopupApplet::popupPlacement
    {77, 1458, 1812},	// Plasma::PopupApplet::qt_metacall$$?
    {77, 1460, 1807},	// Plasma::PopupApplet::qt_metacast$
    {77, 1789, 1820},	// Plasma::PopupApplet::setGraphicsWidget#
    {77, 1892, 1822},	// Plasma::PopupApplet::setPassivePopup$
    {77, 1906, 1814},	// Plasma::PopupApplet::setPopupIcon#
    {77, 1907, 1815},	// Plasma::PopupApplet::setPopupIcon$
    {77, 2081, 1818},	// Plasma::PopupApplet::setWidget#
    {77, 2114, 1838},	// Plasma::PopupApplet::showPopup
    {77, 2115, 1826},	// Plasma::PopupApplet::showPopup$
    {77, 2130, 1839},	// Plasma::PopupApplet::sizeHint$
    {77, 2131, 1829},	// Plasma::PopupApplet::sizeHint$#
    {77, 2153, 1840},	// Plasma::PopupApplet::staticMetaObject
    {77, 2216, 1827},	// Plasma::PopupApplet::togglePopup
    {77, 2228, 1836},	// Plasma::PopupApplet::tr$
    {77, 2229, 1808},	// Plasma::PopupApplet::tr$$
    {77, 2230, 1810},	// Plasma::PopupApplet::tr$$$
    {77, 2232, 1837},	// Plasma::PopupApplet::trUtf8$
    {77, 2233, 1809},	// Plasma::PopupApplet::trUtf8$$
    {77, 2234, 1811},	// Plasma::PopupApplet::trUtf8$$$
    {77, 2312, 1817},	// Plasma::PopupApplet::widget
    {77, 2371, 1841},	// Plasma::PopupApplet::~PopupApplet
    {78, 393, 1880},	// Plasma::PushButton::PushButton
    {78, 394, 1849},	// Plasma::PushButton::PushButton#
    {78, 577, 1858},	// Plasma::PushButton::action
    {78, 726, 1876},	// Plasma::PushButton::changeEvent#
    {78, 740, 1870},	// Plasma::PushButton::clicked
    {78, 1064, 1874},	// Plasma::PushButton::hoverEnterEvent#
    {78, 1066, 1875},	// Plasma::PushButton::hoverLeaveEvent#
    {78, 1070, 1861},	// Plasma::PushButton::icon
    {78, 1074, 1854},	// Plasma::PushButton::image
    {78, 1118, 1863},	// Plasma::PushButton::isCheckable
    {78, 1119, 1865},	// Plasma::PushButton::isChecked
    {78, 1125, 1866},	// Plasma::PushButton::isDown
    {78, 1329, 1842},	// Plasma::PushButton::metaObject
    {78, 1366, 1867},	// Plasma::PushButton::nativeWidget
    {78, 1395, 1881},	// Plasma::PushButton::paint##
    {78, 1396, 1872},	// Plasma::PushButton::paint###
    {78, 1448, 1868},	// Plasma::PushButton::pressed
    {78, 1458, 1848},	// Plasma::PushButton::qt_metacall$$?
    {78, 1460, 1843},	// Plasma::PushButton::qt_metacast$
    {78, 1488, 1869},	// Plasma::PushButton::released
    {78, 1549, 1873},	// Plasma::PushButton::resizeEvent#
    {78, 1621, 1857},	// Plasma::PushButton::setAction#
    {78, 1675, 1862},	// Plasma::PushButton::setCheckable$
    {78, 1677, 1864},	// Plasma::PushButton::setChecked$
    {78, 1815, -28},	// Plasma::PushButton::setIcon#
    {78, 1823, 1852},	// Plasma::PushButton::setImage$
    {78, 1824, 1853},	// Plasma::PushButton::setImage$$
    {78, 1988, 1855},	// Plasma::PushButton::setStyleSheet$
    {78, 2018, 1850},	// Plasma::PushButton::setText$
    {78, 2131, 1877},	// Plasma::PushButton::sizeHint$#
    {78, 2153, 1882},	// Plasma::PushButton::staticMetaObject
    {78, 2166, 1856},	// Plasma::PushButton::styleSheet
    {78, 2199, 1851},	// Plasma::PushButton::text
    {78, 2218, 1871},	// Plasma::PushButton::toggled$
    {78, 2228, 1878},	// Plasma::PushButton::tr$
    {78, 2229, 1844},	// Plasma::PushButton::tr$$
    {78, 2230, 1846},	// Plasma::PushButton::tr$$$
    {78, 2232, 1879},	// Plasma::PushButton::trUtf8$
    {78, 2233, 1845},	// Plasma::PushButton::trUtf8$$
    {78, 2234, 1847},	// Plasma::PushButton::trUtf8$$$
    {78, 2372, 1883},	// Plasma::PushButton::~PushButton
    {79, 85, 1913},	// Plasma::QueryMatch::CompletionMatch
    {79, 158, 1917},	// Plasma::QueryMatch::ExactMatch
    {79, 198, 1916},	// Plasma::QueryMatch::HelperMatch
    {79, 216, 1915},	// Plasma::QueryMatch::InformationalMatch
    {79, 350, 1912},	// Plasma::QueryMatch::NoMatch
    {79, 389, 1914},	// Plasma::QueryMatch::PossibleMatch
    {79, 406, -1},	// Plasma::QueryMatch::QueryMatch#
    {79, 816, 1911},	// Plasma::QueryMatch::createConfigurationInterface#
    {79, 846, 1897},	// Plasma::QueryMatch::data
    {79, 1036, 1910},	// Plasma::QueryMatch::hasConfigurationInterface
    {79, 1070, 1905},	// Plasma::QueryMatch::icon
    {79, 1072, 1899},	// Plasma::QueryMatch::id
    {79, 1127, 1907},	// Plasma::QueryMatch::isEnabled
    {79, 1151, 1890},	// Plasma::QueryMatch::isValid
    {79, 1382, 1888},	// Plasma::QueryMatch::operator<#
    {79, 1384, 1886},	// Plasma::QueryMatch::operator=#
    {79, 1386, 1887},	// Plasma::QueryMatch::operator==#
    {79, 1489, 1894},	// Plasma::QueryMatch::relevance
    {79, 1562, 1895},	// Plasma::QueryMatch::run#
    {79, 1566, 1889},	// Plasma::QueryMatch::runner
    {79, 1607, 1908},	// Plasma::QueryMatch::selectedAction
    {79, 1722, 1896},	// Plasma::QueryMatch::setData#
    {79, 1765, 1906},	// Plasma::QueryMatch::setEnabled$
    {79, 1815, 1904},	// Plasma::QueryMatch::setIcon#
    {79, 1818, 1898},	// Plasma::QueryMatch::setId$
    {79, 1923, 1893},	// Plasma::QueryMatch::setRelevance$
    {79, 1954, 1909},	// Plasma::QueryMatch::setSelectedAction#
    {79, 1992, 1902},	// Plasma::QueryMatch::setSubtext$
    {79, 2018, 1900},	// Plasma::QueryMatch::setText$
    {79, 2038, 1891},	// Plasma::QueryMatch::setType$
    {79, 2169, 1903},	// Plasma::QueryMatch::subtext
    {79, 2199, 1901},	// Plasma::QueryMatch::text
    {79, 2236, 1892},	// Plasma::QueryMatch::type
    {79, 2373, 1918},	// Plasma::QueryMatch::~QueryMatch
    {80, 408, 1941},	// Plasma::RadioButton::RadioButton
    {80, 409, 1926},	// Plasma::RadioButton::RadioButton#
    {80, 726, 1938},	// Plasma::RadioButton::changeEvent#
    {80, 1074, 1930},	// Plasma::RadioButton::image
    {80, 1119, 1935},	// Plasma::RadioButton::isChecked
    {80, 1329, 1919},	// Plasma::RadioButton::metaObject
    {80, 1366, 1933},	// Plasma::RadioButton::nativeWidget
    {80, 1458, 1925},	// Plasma::RadioButton::qt_metacall$$?
    {80, 1460, 1920},	// Plasma::RadioButton::qt_metacast$
    {80, 1549, 1937},	// Plasma::RadioButton::resizeEvent#
    {80, 1677, 1934},	// Plasma::RadioButton::setChecked$
    {80, 1823, 1929},	// Plasma::RadioButton::setImage$
    {80, 1988, 1931},	// Plasma::RadioButton::setStyleSheet$
    {80, 2018, 1927},	// Plasma::RadioButton::setText$
    {80, 2153, 1942},	// Plasma::RadioButton::staticMetaObject
    {80, 2166, 1932},	// Plasma::RadioButton::styleSheet
    {80, 2199, 1928},	// Plasma::RadioButton::text
    {80, 2218, 1936},	// Plasma::RadioButton::toggled$
    {80, 2228, 1939},	// Plasma::RadioButton::tr$
    {80, 2229, 1921},	// Plasma::RadioButton::tr$$
    {80, 2230, 1923},	// Plasma::RadioButton::tr$$$
    {80, 2232, 1940},	// Plasma::RadioButton::trUtf8$
    {80, 2233, 1922},	// Plasma::RadioButton::trUtf8$$
    {80, 2234, 1924},	// Plasma::RadioButton::trUtf8$$$
    {80, 2374, 1943},	// Plasma::RadioButton::~RadioButton
    {81, 144, 1979},	// Plasma::RunnerContext::Directory
    {81, 159, 1982},	// Plasma::RunnerContext::Executable
    {81, 171, 1980},	// Plasma::RunnerContext::File
    {81, 172, 1985},	// Plasma::RunnerContext::FileSystem
    {81, 197, 1984},	// Plasma::RunnerContext::Help
    {81, 330, 1981},	// Plasma::RunnerContext::NetworkLocation
    {81, 353, 1977},	// Plasma::RunnerContext::None
    {81, 423, 1974},	// Plasma::RunnerContext::RunnerContext
    {81, 424, -67},	// Plasma::RunnerContext::RunnerContext#
    {81, 425, 1952},	// Plasma::RunnerContext::RunnerContext##
    {81, 461, 1983},	// Plasma::RunnerContext::ShellCommand
    {81, 532, 1978},	// Plasma::RunnerContext::UnknownType
    {81, 624, 1961},	// Plasma::RunnerContext::addMatch$#
    {81, 626, 1960},	// Plasma::RunnerContext::addMatches$?
    {81, 1151, 1959},	// Plasma::RunnerContext::isValid
    {81, 1318, 1965},	// Plasma::RunnerContext::match$
    {81, 1320, 1964},	// Plasma::RunnerContext::matches
    {81, 1321, 1971},	// Plasma::RunnerContext::matchesChanged
    {81, 1329, 1944},	// Plasma::RunnerContext::metaObject
    {81, 1336, 1958},	// Plasma::RunnerContext::mimeType
    {81, 1384, 1953},	// Plasma::RunnerContext::operator=#
    {81, 1458, 1950},	// Plasma::RunnerContext::qt_metacall$$?
    {81, 1460, 1945},	// Plasma::RunnerContext::qt_metacast$
    {81, 1461, 1956},	// Plasma::RunnerContext::query
    {81, 1512, 1962},	// Plasma::RunnerContext::removeMatch$
    {81, 1514, 1963},	// Plasma::RunnerContext::removeMatches?
    {81, 1543, 1954},	// Plasma::RunnerContext::reset
    {81, 1553, 1968},	// Plasma::RunnerContext::restore#
    {81, 1562, 1970},	// Plasma::RunnerContext::run#
    {81, 1572, 1969},	// Plasma::RunnerContext::save#
    {81, 1917, 1955},	// Plasma::RunnerContext::setQuery$
    {81, 1974, 1966},	// Plasma::RunnerContext::setSingleRunnerQueryMode$
    {81, 2123, 1967},	// Plasma::RunnerContext::singleRunnerQueryMode
    {81, 2153, 1976},	// Plasma::RunnerContext::staticMetaObject
    {81, 2228, 1972},	// Plasma::RunnerContext::tr$
    {81, 2229, 1946},	// Plasma::RunnerContext::tr$$
    {81, 2230, 1948},	// Plasma::RunnerContext::tr$$$
    {81, 2232, 1973},	// Plasma::RunnerContext::trUtf8$
    {81, 2233, 1947},	// Plasma::RunnerContext::trUtf8$$
    {81, 2234, 1949},	// Plasma::RunnerContext::trUtf8$$$
    {81, 2236, 1957},	// Plasma::RunnerContext::type
    {81, 2375, 1986},	// Plasma::RunnerContext::~RunnerContext
    {82, 426, 2029},	// Plasma::RunnerManager::RunnerManager
    {82, 427, -52},	// Plasma::RunnerManager::RunnerManager#
    {82, 428, 1995},	// Plasma::RunnerManager::RunnerManager##
    {82, 582, 2009},	// Plasma::RunnerManager::actionsForMatch#
    {82, 660, 2015},	// Plasma::RunnerManager::allowedRunners
    {82, 966, 2023},	// Plasma::RunnerManager::execQuery$
    {82, 967, 2022},	// Plasma::RunnerManager::execQuery$$
    {82, 1211, 2021},	// Plasma::RunnerManager::launchQuery$
    {82, 1212, 2020},	// Plasma::RunnerManager::launchQuery$$
    {82, 1290, 2014},	// Plasma::RunnerManager::loadRunner$
    {82, 1291, 2013},	// Plasma::RunnerManager::loadRunner?
    {82, 1319, 2019},	// Plasma::RunnerManager::matchSessionComplete
    {82, 1320, 2006},	// Plasma::RunnerManager::matches
    {82, 1322, 2025},	// Plasma::RunnerManager::matchesChanged?
    {82, 1329, 1987},	// Plasma::RunnerManager::metaObject
    {82, 1334, 2016},	// Plasma::RunnerManager::mimeDataForMatch#
    {82, 1335, 2017},	// Plasma::RunnerManager::mimeDataForMatch$
    {82, 1458, 1993},	// Plasma::RunnerManager::qt_metacall$$?
    {82, 1460, 1988},	// Plasma::RunnerManager::qt_metacast$
    {82, 1461, 2010},	// Plasma::RunnerManager::query
    {82, 1463, 2026},	// Plasma::RunnerManager::queryFinished
    {82, 1490, 2011},	// Plasma::RunnerManager::reloadConfiguration
    {82, 1543, 2024},	// Plasma::RunnerManager::reset
    {82, 1562, 2007},	// Plasma::RunnerManager::run#
    {82, 1564, 2008},	// Plasma::RunnerManager::run$
    {82, 1567, 1996},	// Plasma::RunnerManager::runner$
    {82, 1569, 2002},	// Plasma::RunnerManager::runnerName$
    {82, 1570, 2003},	// Plasma::RunnerManager::runners
    {82, 1603, 2005},	// Plasma::RunnerManager::searchContext
    {82, 1629, 2012},	// Plasma::RunnerManager::setAllowedRunners?
    {82, 1970, 2001},	// Plasma::RunnerManager::setSingleMode$
    {82, 1972, 1998},	// Plasma::RunnerManager::setSingleModeRunnerId$
    {82, 2091, 2018},	// Plasma::RunnerManager::setupMatchSession
    {82, 2119, 2000},	// Plasma::RunnerManager::singleMode
    {82, 2120, 2004},	// Plasma::RunnerManager::singleModeAdvertisedRunnerIds
    {82, 2121, 1997},	// Plasma::RunnerManager::singleModeRunner
    {82, 2122, 1999},	// Plasma::RunnerManager::singleModeRunnerId
    {82, 2153, 2031},	// Plasma::RunnerManager::staticMetaObject
    {82, 2228, 2027},	// Plasma::RunnerManager::tr$
    {82, 2229, 1989},	// Plasma::RunnerManager::tr$$
    {82, 2230, 1991},	// Plasma::RunnerManager::tr$$$
    {82, 2232, 2028},	// Plasma::RunnerManager::trUtf8$
    {82, 2233, 1990},	// Plasma::RunnerManager::trUtf8$$
    {82, 2234, 1992},	// Plasma::RunnerManager::trUtf8$$$
    {82, 2376, 2032},	// Plasma::RunnerManager::~RunnerManager
    {83, 429, 2070},	// Plasma::RunnerScript::RunnerScript
    {83, 430, 2040},	// Plasma::RunnerScript::RunnerScript#
    {83, 578, 2063},	// Plasma::RunnerScript::action$
    {83, 580, 2064},	// Plasma::RunnerScript::actions
    {83, 583, 2049},	// Plasma::RunnerScript::actionsForMatch#?
    {83, 596, 2061},	// Plasma::RunnerScript::addAction$#
    {83, 597, 2060},	// Plasma::RunnerScript::addAction$#$
    {83, 647, 2066},	// Plasma::RunnerScript::addSyntax#
    {83, 733, 2065},	// Plasma::RunnerScript::clearActions
    {83, 752, 2054},	// Plasma::RunnerScript::config
    {83, 828, 2047},	// Plasma::RunnerScript::createRunOptions#
    {83, 848, 2053},	// Plasma::RunnerScript::dataEngine$
    {83, 856, 2052},	// Plasma::RunnerScript::description
    {83, 1304, 2050},	// Plasma::RunnerScript::mainScript
    {83, 1317, 2043},	// Plasma::RunnerScript::match#
    {83, 1329, 2033},	// Plasma::RunnerScript::metaObject
    {83, 1388, 2051},	// Plasma::RunnerScript::package
    {83, 1447, 2045},	// Plasma::RunnerScript::prepare
    {83, 1458, 2039},	// Plasma::RunnerScript::qt_metacall$$?
    {83, 1460, 2034},	// Plasma::RunnerScript::qt_metacast$
    {83, 1490, 2048},	// Plasma::RunnerScript::reloadConfiguration
    {83, 1501, 2062},	// Plasma::RunnerScript::removeAction$
    {83, 1563, 2044},	// Plasma::RunnerScript::run##
    {83, 1566, 2042},	// Plasma::RunnerScript::runner
    {83, 1615, 2071},	// Plasma::RunnerScript::serviceQuery$
    {83, 1616, 2059},	// Plasma::RunnerScript::serviceQuery$$
    {83, 1798, 2056},	// Plasma::RunnerScript::setHasRunOptions$
    {83, 1820, 2055},	// Plasma::RunnerScript::setIgnoredTypes$
    {83, 1915, 2058},	// Plasma::RunnerScript::setPriority$
    {83, 1941, 2041},	// Plasma::RunnerScript::setRunner#
    {83, 1980, 2057},	// Plasma::RunnerScript::setSpeed$
    {83, 2000, 2067},	// Plasma::RunnerScript::setSyntaxes?
    {83, 2153, 2072},	// Plasma::RunnerScript::staticMetaObject
    {83, 2198, 2046},	// Plasma::RunnerScript::teardown
    {83, 2228, 2068},	// Plasma::RunnerScript::tr$
    {83, 2229, 2035},	// Plasma::RunnerScript::tr$$
    {83, 2230, 2037},	// Plasma::RunnerScript::tr$$$
    {83, 2232, 2069},	// Plasma::RunnerScript::trUtf8$
    {83, 2233, 2036},	// Plasma::RunnerScript::trUtf8$$
    {83, 2234, 2038},	// Plasma::RunnerScript::trUtf8$$$
    {83, 2377, 2073},	// Plasma::RunnerScript::~RunnerScript
    {84, 432, 2075},	// Plasma::RunnerSyntax::RunnerSyntax#
    {84, 433, 2074},	// Plasma::RunnerSyntax::RunnerSyntax$$
    {84, 616, 2077},	// Plasma::RunnerSyntax::addExampleQuery$
    {84, 856, 2081},	// Plasma::RunnerSyntax::description
    {84, 963, 2078},	// Plasma::RunnerSyntax::exampleQueries
    {84, 964, 2079},	// Plasma::RunnerSyntax::exampleQueriesWithTermDescription
    {84, 1384, 2076},	// Plasma::RunnerSyntax::operator=#
    {84, 1604, 2083},	// Plasma::RunnerSyntax::searchTermDescription
    {84, 1738, 2080},	// Plasma::RunnerSyntax::setDescription$
    {84, 1952, 2082},	// Plasma::RunnerSyntax::setSearchTermDescription$
    {84, 2378, 2084},	// Plasma::RunnerSyntax::~RunnerSyntax
    {85, 439, 2098},	// Plasma::ScriptEngine::ScriptEngine
    {85, 440, 2093},	// Plasma::ScriptEngine::ScriptEngine#
    {85, 1086, 2092},	// Plasma::ScriptEngine::init
    {85, 1304, 2094},	// Plasma::ScriptEngine::mainScript
    {85, 1329, 2085},	// Plasma::ScriptEngine::metaObject
    {85, 1388, 2095},	// Plasma::ScriptEngine::package
    {85, 1458, 2091},	// Plasma::ScriptEngine::qt_metacall$$?
    {85, 1460, 2086},	// Plasma::ScriptEngine::qt_metacast$
    {85, 2153, 2099},	// Plasma::ScriptEngine::staticMetaObject
    {85, 2228, 2096},	// Plasma::ScriptEngine::tr$
    {85, 2229, 2087},	// Plasma::ScriptEngine::tr$$
    {85, 2230, 2089},	// Plasma::ScriptEngine::tr$$$
    {85, 2232, 2097},	// Plasma::ScriptEngine::trUtf8$
    {85, 2233, 2088},	// Plasma::ScriptEngine::trUtf8$$
    {85, 2234, 2090},	// Plasma::ScriptEngine::trUtf8$$$
    {85, 2379, 2100},	// Plasma::ScriptEngine::~ScriptEngine
    {86, 442, 2108},	// Plasma::ScrollBar::ScrollBar#
    {86, 805, 2121},	// Plasma::ScrollBar::contextMenuEvent#
    {86, 1324, 2116},	// Plasma::ScrollBar::maximum
    {86, 1329, 2101},	// Plasma::ScrollBar::metaObject
    {86, 1339, 2115},	// Plasma::ScrollBar::minimum
    {86, 1366, 2119},	// Plasma::ScrollBar::nativeWidget
    {86, 1387, 2120},	// Plasma::ScrollBar::orientation
    {86, 1393, 2113},	// Plasma::ScrollBar::pageStep
    {86, 1458, 2107},	// Plasma::ScrollBar::qt_metacall$$?
    {86, 1460, 2102},	// Plasma::ScrollBar::qt_metacast$
    {86, 1884, 2123},	// Plasma::ScrollBar::setOrientation$
    {86, 1890, 2112},	// Plasma::ScrollBar::setPageStep$
    {86, 1919, 2109},	// Plasma::ScrollBar::setRange$$
    {86, 1976, 2110},	// Plasma::ScrollBar::setSingleStep$
    {86, 1988, 2117},	// Plasma::ScrollBar::setStyleSheet$
    {86, 2056, 2122},	// Plasma::ScrollBar::setValue$
    {86, 2124, 2111},	// Plasma::ScrollBar::singleStep
    {86, 2153, 2127},	// Plasma::ScrollBar::staticMetaObject
    {86, 2166, 2118},	// Plasma::ScrollBar::styleSheet
    {86, 2228, 2125},	// Plasma::ScrollBar::tr$
    {86, 2229, 2103},	// Plasma::ScrollBar::tr$$
    {86, 2230, 2105},	// Plasma::ScrollBar::tr$$$
    {86, 2232, 2126},	// Plasma::ScrollBar::trUtf8$
    {86, 2233, 2104},	// Plasma::ScrollBar::trUtf8$$
    {86, 2234, 2106},	// Plasma::ScrollBar::trUtf8$$$
    {86, 2281, 2114},	// Plasma::ScrollBar::value
    {86, 2283, 2124},	// Plasma::ScrollBar::valueChanged$
    {86, 2380, 2128},	// Plasma::ScrollBar::~ScrollBar
    {87, 444, 2175},	// Plasma::ScrollWidget::ScrollWidget
    {87, 445, -37},	// Plasma::ScrollWidget::ScrollWidget#
    {87, 658, 2141},	// Plasma::ScrollWidget::alignment
    {87, 797, 2153},	// Plasma::ScrollWidget::contentsSize
    {87, 950, 2149},	// Plasma::ScrollWidget::ensureItemVisible#
    {87, 952, 2148},	// Plasma::ScrollWidget::ensureRectVisible#
    {87, 960, 2169},	// Plasma::ScrollWidget::eventFilter##
    {87, 999, 2170},	// Plasma::ScrollWidget::focusInEvent#
    {87, 1046, 2143},	// Plasma::ScrollWidget::hasOverShoot
    {87, 1062, 2145},	// Plasma::ScrollWidget::horizontalScrollBarPolicy
    {87, 1186, 2167},	// Plasma::ScrollWidget::keyPressEvent#
    {87, 1329, 2129},	// Plasma::ScrollWidget::metaObject
    {87, 1347, 2164},	// Plasma::ScrollWidget::mouseMoveEvent#
    {87, 1349, 2165},	// Plasma::ScrollWidget::mousePressEvent#
    {87, 1351, 2166},	// Plasma::ScrollWidget::mouseReleaseEvent#
    {87, 1366, 2160},	// Plasma::ScrollWidget::nativeWidget
    {87, 1458, 2135},	// Plasma::ScrollWidget::qt_metacall$$?
    {87, 1460, 2130},	// Plasma::ScrollWidget::qt_metacast$
    {87, 1475, 2150},	// Plasma::ScrollWidget::registerAsDragHandle#
    {87, 1549, 2163},	// Plasma::ScrollWidget::resizeEvent#
    {87, 1586, 2172},	// Plasma::ScrollWidget::sceneEventFilter##
    {87, 1599, 2155},	// Plasma::ScrollWidget::scrollPosition
    {87, 1602, 2161},	// Plasma::ScrollWidget::scrollStateChanged$$
    {87, 1625, 2140},	// Plasma::ScrollWidget::setAlignment$
    {87, 1808, 2144},	// Plasma::ScrollWidget::setHorizontalScrollBarPolicy$
    {87, 1886, 2142},	// Plasma::ScrollWidget::setOverShoot$
    {87, 1950, 2154},	// Plasma::ScrollWidget::setScrollPosition#
    {87, 1978, 2156},	// Plasma::ScrollWidget::setSnapSize#
    {87, 1988, 2158},	// Plasma::ScrollWidget::setStyleSheet$
    {87, 2068, 2146},	// Plasma::ScrollWidget::setVerticalScrollBarPolicy$
    {87, 2081, 2138},	// Plasma::ScrollWidget::setWidget#
    {87, 2131, 2171},	// Plasma::ScrollWidget::sizeHint$#
    {87, 2136, 2157},	// Plasma::ScrollWidget::snapSize
    {87, 2153, 2176},	// Plasma::ScrollWidget::staticMetaObject
    {87, 2166, 2159},	// Plasma::ScrollWidget::styleSheet
    {87, 2228, 2173},	// Plasma::ScrollWidget::tr$
    {87, 2229, 2131},	// Plasma::ScrollWidget::tr$$
    {87, 2230, 2133},	// Plasma::ScrollWidget::tr$$$
    {87, 2232, 2174},	// Plasma::ScrollWidget::trUtf8$
    {87, 2233, 2132},	// Plasma::ScrollWidget::trUtf8$$
    {87, 2234, 2134},	// Plasma::ScrollWidget::trUtf8$$$
    {87, 2247, 2151},	// Plasma::ScrollWidget::unregisterAsDragHandle#
    {87, 2294, 2147},	// Plasma::ScrollWidget::verticalScrollBarPolicy
    {87, 2299, 2152},	// Plasma::ScrollWidget::viewportGeometry
    {87, 2301, 2162},	// Plasma::ScrollWidget::viewportGeometryChanged#
    {87, 2311, 2168},	// Plasma::ScrollWidget::wheelEvent#
    {87, 2312, 2139},	// Plasma::ScrollWidget::widget
    {87, 2381, 2177},	// Plasma::ScrollWidget::~ScrollWidget
    {88, 447, 2192},	// Plasma::Separator::Separator
    {88, 448, 2193},	// Plasma::Separator::Separator#
    {88, 449, 2185},	// Plasma::Separator::Separator#$
    {88, 1329, 2178},	// Plasma::Separator::metaObject
    {88, 1387, 2187},	// Plasma::Separator::orientation
    {88, 1396, 2188},	// Plasma::Separator::paint###
    {88, 1458, 2184},	// Plasma::Separator::qt_metacall$$?
    {88, 1460, 2179},	// Plasma::Separator::qt_metacast$
    {88, 1884, 2186},	// Plasma::Separator::setOrientation$
    {88, 2131, 2189},	// Plasma::Separator::sizeHint$#
    {88, 2153, 2194},	// Plasma::Separator::staticMetaObject
    {88, 2228, 2190},	// Plasma::Separator::tr$
    {88, 2229, 2180},	// Plasma::Separator::tr$$
    {88, 2230, 2182},	// Plasma::Separator::tr$$$
    {88, 2232, 2191},	// Plasma::Separator::trUtf8$
    {88, 2233, 2181},	// Plasma::Separator::trUtf8$$
    {88, 2234, 2183},	// Plasma::Separator::trUtf8$$$
    {88, 2382, 2195},	// Plasma::Separator::~Separator
    {89, 450, 2234},	// Plasma::Service::Service
    {89, 451, 2221},	// Plasma::Service::Service#
    {89, 452, 2222},	// Plasma::Service::Service#?
    {89, 573, 2232},	// Plasma::Service::access#
    {89, 574, 2205},	// Plasma::Service::access##
    {89, 696, -10},	// Plasma::Service::associateWidget#$
    {89, 821, 2223},	// Plasma::Service::createJob$?
    {89, 858, 2207},	// Plasma::Service::destination
    {89, 871, -13},	// Plasma::Service::disassociateWidget#
    {89, 989, 2218},	// Plasma::Service::finished#
    {89, 1133, 2211},	// Plasma::Service::isOperationEnabled$
    {89, 1268, 2231},	// Plasma::Service::load$
    {89, 1269, 2204},	// Plasma::Service::load$#
    {89, 1272, 2230},	// Plasma::Service::load$?
    {89, 1273, 2203},	// Plasma::Service::load$?#
    {89, 1329, 2196},	// Plasma::Service::metaObject
    {89, 1364, 2212},	// Plasma::Service::name
    {89, 1377, 2209},	// Plasma::Service::operationDescription$
    {89, 1379, 2208},	// Plasma::Service::operationNames
    {89, 1380, 2219},	// Plasma::Service::operationsChanged
    {89, 1418, 2217},	// Plasma::Service::parametersFromDescription#
    {89, 1458, 2202},	// Plasma::Service::qt_metacall$$?
    {89, 1460, 2197},	// Plasma::Service::qt_metacast$
    {89, 1476, 2224},	// Plasma::Service::registerOperationsScheme
    {89, 1618, 2220},	// Plasma::Service::serviceReady#
    {89, 1740, 2206},	// Plasma::Service::setDestination$
    {89, 1872, 2226},	// Plasma::Service::setName$
    {89, 1880, 2227},	// Plasma::Service::setOperationEnabled$$
    {89, 1882, 2225},	// Plasma::Service::setOperationsScheme#
    {89, 2149, 2233},	// Plasma::Service::startOperationCall#
    {89, 2150, 2210},	// Plasma::Service::startOperationCall##
    {89, 2153, 2235},	// Plasma::Service::staticMetaObject
    {89, 2228, 2228},	// Plasma::Service::tr$
    {89, 2229, 2198},	// Plasma::Service::tr$$
    {89, 2230, 2200},	// Plasma::Service::tr$$$
    {89, 2232, 2229},	// Plasma::Service::trUtf8$
    {89, 2233, 2199},	// Plasma::Service::trUtf8$$
    {89, 2234, 2201},	// Plasma::Service::trUtf8$$$
    {89, 2383, 2236},	// Plasma::Service::~Service
    {90, 454, 2249},	// Plasma::ServiceAccessJob::ServiceAccessJob#
    {90, 455, 2245},	// Plasma::ServiceAccessJob::ServiceAccessJob##
    {90, 1329, 2237},	// Plasma::ServiceAccessJob::metaObject
    {90, 1458, 2243},	// Plasma::ServiceAccessJob::qt_metacall$$?
    {90, 1460, 2238},	// Plasma::ServiceAccessJob::qt_metacast$
    {90, 1609, 2244},	// Plasma::ServiceAccessJob::service
    {90, 2147, 2246},	// Plasma::ServiceAccessJob::start
    {90, 2153, 2250},	// Plasma::ServiceAccessJob::staticMetaObject
    {90, 2228, 2247},	// Plasma::ServiceAccessJob::tr$
    {90, 2229, 2239},	// Plasma::ServiceAccessJob::tr$$
    {90, 2230, 2241},	// Plasma::ServiceAccessJob::tr$$$
    {90, 2232, 2248},	// Plasma::ServiceAccessJob::trUtf8$
    {90, 2233, 2240},	// Plasma::ServiceAccessJob::trUtf8$$
    {90, 2234, 2242},	// Plasma::ServiceAccessJob::trUtf8$$$
    {90, 2384, 2251},	// Plasma::ServiceAccessJob::~ServiceAccessJob
    {91, 457, 2268},	// Plasma::ServiceJob::ServiceJob$$?
    {91, 458, 2259},	// Plasma::ServiceJob::ServiceJob$$?#
    {91, 858, 2260},	// Plasma::ServiceJob::destination
    {91, 1329, 2252},	// Plasma::ServiceJob::metaObject
    {91, 1378, 2261},	// Plasma::ServiceJob::operationName
    {91, 1416, 2262},	// Plasma::ServiceJob::parameters
    {91, 1458, 2258},	// Plasma::ServiceJob::qt_metacall$$?
    {91, 1460, 2253},	// Plasma::ServiceJob::qt_metacast$
    {91, 1556, 2263},	// Plasma::ServiceJob::result
    {91, 1937, 2265},	// Plasma::ServiceJob::setResult#
    {91, 2147, 2264},	// Plasma::ServiceJob::start
    {91, 2153, 2269},	// Plasma::ServiceJob::staticMetaObject
    {91, 2228, 2266},	// Plasma::ServiceJob::tr$
    {91, 2229, 2254},	// Plasma::ServiceJob::tr$$
    {91, 2230, 2256},	// Plasma::ServiceJob::tr$$$
    {91, 2232, 2267},	// Plasma::ServiceJob::trUtf8$
    {91, 2233, 2255},	// Plasma::ServiceJob::trUtf8$$
    {91, 2234, 2257},	// Plasma::ServiceJob::trUtf8$$$
    {91, 2385, 2270},	// Plasma::ServiceJob::~ServiceJob
    {92, 462, 2345},	// Plasma::SignalPlotter::SignalPlotter
    {92, 463, 2278},	// Plasma::SignalPlotter::SignalPlotter#
    {92, 630, 2279},	// Plasma::SignalPlotter::addPlot#
    {92, 637, 2280},	// Plasma::SignalPlotter::addSample?
    {92, 711, 2320},	// Plasma::SignalPlotter::backgroundColor
    {92, 721, 2332},	// Plasma::SignalPlotter::calculateNiceRange
    {92, 891, 2341},	// Plasma::SignalPlotter::drawAxisText#$$
    {92, 893, 2335},	// Plasma::SignalPlotter::drawBackground#$$
    {92, 896, 2342},	// Plasma::SignalPlotter::drawHorizontalLines#$$$
    {92, 899, 2340},	// Plasma::SignalPlotter::drawPlots#$$$$
    {92, 901, 2336},	// Plasma::SignalPlotter::drawThinFrame#$$
    {92, 903, 2338},	// Plasma::SignalPlotter::drawTopBarContents#$$$
    {92, 905, 2337},	// Plasma::SignalPlotter::drawTopBarFrame#$$
    {92, 907, 2339},	// Plasma::SignalPlotter::drawVerticalLines#$$$
    {92, 910, 2334},	// Plasma::SignalPlotter::drawWidget#$$$
    {92, 1005, 2312},	// Plasma::SignalPlotter::font
    {92, 1008, 2310},	// Plasma::SignalPlotter::fontColor
    {92, 1024, 2329},	// Plasma::SignalPlotter::getSnapshotImage$$
    {92, 1059, 2308},	// Plasma::SignalPlotter::horizontalLinesColor
    {92, 1060, 2314},	// Plasma::SignalPlotter::horizontalLinesCount
    {92, 1061, 2296},	// Plasma::SignalPlotter::horizontalScale
    {92, 1207, 2323},	// Plasma::SignalPlotter::lastValue$
    {92, 1209, 2324},	// Plasma::SignalPlotter::lastValueAsString$
    {92, 1329, 2271},	// Plasma::SignalPlotter::metaObject
    {92, 1396, 2333},	// Plasma::SignalPlotter::paint###
    {92, 1432, 2283},	// Plasma::SignalPlotter::plotColors
    {92, 1458, 2277},	// Plasma::SignalPlotter::qt_metacall$$?
    {92, 1460, 2272},	// Plasma::SignalPlotter::qt_metacast$
    {92, 1518, 2282},	// Plasma::SignalPlotter::removePlot$
    {92, 1536, 2281},	// Plasma::SignalPlotter::reorderPlots?
    {92, 1580, 2288},	// Plasma::SignalPlotter::scale$
    {92, 1581, 2289},	// Plasma::SignalPlotter::scaledBy
    {92, 1661, 2319},	// Plasma::SignalPlotter::setBackgroundColor#
    {92, 1776, 2311},	// Plasma::SignalPlotter::setFont#
    {92, 1779, 2309},	// Plasma::SignalPlotter::setFontColor#
    {92, 1785, 2330},	// Plasma::SignalPlotter::setGeometry#
    {92, 1802, 2307},	// Plasma::SignalPlotter::setHorizontalLinesColor#
    {92, 1804, 2313},	// Plasma::SignalPlotter::setHorizontalLinesCount$
    {92, 1806, 2295},	// Plasma::SignalPlotter::setHorizontalScale$
    {92, 1960, 2305},	// Plasma::SignalPlotter::setShowHorizontalLines$
    {92, 1962, 2315},	// Plasma::SignalPlotter::setShowLabels$
    {92, 1964, 2317},	// Plasma::SignalPlotter::setShowTopBar$
    {92, 1966, 2297},	// Plasma::SignalPlotter::setShowVerticalLines$
    {92, 1982, 2327},	// Plasma::SignalPlotter::setStackPlots$
    {92, 1998, 2321},	// Plasma::SignalPlotter::setSvgBackground$
    {92, 2028, 2325},	// Plasma::SignalPlotter::setThinFrame$
    {92, 2030, 2284},	// Plasma::SignalPlotter::setTitle$
    {92, 2040, 2286},	// Plasma::SignalPlotter::setUnit$
    {92, 2046, 2290},	// Plasma::SignalPlotter::setUseAutoRange$
    {92, 2060, 2299},	// Plasma::SignalPlotter::setVerticalLinesColor#
    {92, 2062, 2301},	// Plasma::SignalPlotter::setVerticalLinesDistance$
    {92, 2064, 2303},	// Plasma::SignalPlotter::setVerticalLinesScroll$
    {92, 2066, 2292},	// Plasma::SignalPlotter::setVerticalRange$$
    {92, 2110, 2306},	// Plasma::SignalPlotter::showHorizontalLines
    {92, 2111, 2316},	// Plasma::SignalPlotter::showLabels
    {92, 2117, 2318},	// Plasma::SignalPlotter::showTopBar
    {92, 2118, 2298},	// Plasma::SignalPlotter::showVerticalLines
    {92, 2145, 2328},	// Plasma::SignalPlotter::stackPlots
    {92, 2153, 2346},	// Plasma::SignalPlotter::staticMetaObject
    {92, 2173, 2322},	// Plasma::SignalPlotter::svgBackground
    {92, 2209, 2326},	// Plasma::SignalPlotter::thinFrame
    {92, 2215, 2285},	// Plasma::SignalPlotter::title
    {92, 2228, 2343},	// Plasma::SignalPlotter::tr$
    {92, 2229, 2273},	// Plasma::SignalPlotter::tr$$
    {92, 2230, 2275},	// Plasma::SignalPlotter::tr$$$
    {92, 2232, 2344},	// Plasma::SignalPlotter::trUtf8$
    {92, 2233, 2274},	// Plasma::SignalPlotter::trUtf8$$
    {92, 2234, 2276},	// Plasma::SignalPlotter::trUtf8$$$
    {92, 2242, 2287},	// Plasma::SignalPlotter::unit
    {92, 2259, 2331},	// Plasma::SignalPlotter::updateDataBuffers
    {92, 2272, 2291},	// Plasma::SignalPlotter::useAutoRange
    {92, 2289, 2300},	// Plasma::SignalPlotter::verticalLinesColor
    {92, 2290, 2302},	// Plasma::SignalPlotter::verticalLinesDistance
    {92, 2291, 2304},	// Plasma::SignalPlotter::verticalLinesScroll
    {92, 2292, 2294},	// Plasma::SignalPlotter::verticalMaxValue
    {92, 2293, 2293},	// Plasma::SignalPlotter::verticalMinValue
    {92, 2386, 2347},	// Plasma::SignalPlotter::~SignalPlotter
    {93, 468, 2374},	// Plasma::Slider::Slider
    {93, 469, 2355},	// Plasma::Slider::Slider#
    {93, 1324, 2356},	// Plasma::Slider::maximum
    {93, 1329, 2348},	// Plasma::Slider::metaObject
    {93, 1339, 2357},	// Plasma::Slider::minimum
    {93, 1366, 2362},	// Plasma::Slider::nativeWidget
    {93, 1387, 2359},	// Plasma::Slider::orientation
    {93, 1396, 2363},	// Plasma::Slider::paint###
    {93, 1458, 2354},	// Plasma::Slider::qt_metacall$$?
    {93, 1460, 2349},	// Plasma::Slider::qt_metacast$
    {93, 1855, 2365},	// Plasma::Slider::setMaximum$
    {93, 1863, 2366},	// Plasma::Slider::setMinimum$
    {93, 1884, 2369},	// Plasma::Slider::setOrientation$
    {93, 1919, 2367},	// Plasma::Slider::setRange$$
    {93, 1988, 2360},	// Plasma::Slider::setStyleSheet$
    {93, 2056, 2368},	// Plasma::Slider::setValue$
    {93, 2135, 2370},	// Plasma::Slider::sliderMoved$
    {93, 2153, 2375},	// Plasma::Slider::staticMetaObject
    {93, 2166, 2361},	// Plasma::Slider::styleSheet
    {93, 2228, 2372},	// Plasma::Slider::tr$
    {93, 2229, 2350},	// Plasma::Slider::tr$$
    {93, 2230, 2352},	// Plasma::Slider::tr$$$
    {93, 2232, 2373},	// Plasma::Slider::trUtf8$
    {93, 2233, 2351},	// Plasma::Slider::trUtf8$$
    {93, 2234, 2353},	// Plasma::Slider::trUtf8$$$
    {93, 2281, 2358},	// Plasma::Slider::value
    {93, 2283, 2371},	// Plasma::Slider::valueChanged$
    {93, 2311, 2364},	// Plasma::Slider::wheelEvent#
    {93, 2387, 2376},	// Plasma::Slider::~Slider
    {94, 474, 2407},	// Plasma::SpinBox::SpinBox
    {94, 475, 2384},	// Plasma::SpinBox::SpinBox#
    {94, 726, 2391},	// Plasma::SpinBox::changeEvent#
    {94, 915, 2404},	// Plasma::SpinBox::editingFinished
    {94, 1003, 2397},	// Plasma::SpinBox::focusOutEvent#
    {94, 1064, 2392},	// Plasma::SpinBox::hoverEnterEvent#
    {94, 1066, 2393},	// Plasma::SpinBox::hoverLeaveEvent#
    {94, 1324, 2385},	// Plasma::SpinBox::maximum
    {94, 1329, 2377},	// Plasma::SpinBox::metaObject
    {94, 1339, 2386},	// Plasma::SpinBox::minimum
    {94, 1349, 2396},	// Plasma::SpinBox::mousePressEvent#
    {94, 1366, 2390},	// Plasma::SpinBox::nativeWidget
    {94, 1396, 2395},	// Plasma::SpinBox::paint###
    {94, 1458, 2383},	// Plasma::SpinBox::qt_metacall$$?
    {94, 1460, 2378},	// Plasma::SpinBox::qt_metacast$
    {94, 1549, 2394},	// Plasma::SpinBox::resizeEvent#
    {94, 1855, 2398},	// Plasma::SpinBox::setMaximum$
    {94, 1863, 2399},	// Plasma::SpinBox::setMinimum$
    {94, 1919, 2400},	// Plasma::SpinBox::setRange$$
    {94, 1988, 2388},	// Plasma::SpinBox::setStyleSheet$
    {94, 2056, 2401},	// Plasma::SpinBox::setValue$
    {94, 2135, 2402},	// Plasma::SpinBox::sliderMoved$
    {94, 2153, 2408},	// Plasma::SpinBox::staticMetaObject
    {94, 2166, 2389},	// Plasma::SpinBox::styleSheet
    {94, 2228, 2405},	// Plasma::SpinBox::tr$
    {94, 2229, 2379},	// Plasma::SpinBox::tr$$
    {94, 2230, 2381},	// Plasma::SpinBox::tr$$$
    {94, 2232, 2406},	// Plasma::SpinBox::trUtf8$
    {94, 2233, 2380},	// Plasma::SpinBox::trUtf8$$
    {94, 2234, 2382},	// Plasma::SpinBox::trUtf8$$$
    {94, 2281, 2387},	// Plasma::SpinBox::value
    {94, 2283, 2403},	// Plasma::SpinBox::valueChanged$
    {94, 2388, 2409},	// Plasma::SpinBox::~SpinBox
    {95, 489, 2443},	// Plasma::Svg::Svg
    {95, 490, 2417},	// Plasma::Svg::Svg#
    {95, 793, 2433},	// Plasma::Svg::containsMultipleImages
    {95, 929, 2430},	// Plasma::Svg::elementAtPoint#
    {95, 934, 2428},	// Plasma::Svg::elementRect$
    {95, 936, 2427},	// Plasma::Svg::elementSize$
    {95, 1038, 2429},	// Plasma::Svg::hasElement$
    {95, 1075, 2435},	// Plasma::Svg::imagePath
    {95, 1150, 2437},	// Plasma::Svg::isUsingRenderingCache
    {95, 1151, 2431},	// Plasma::Svg::isValid
    {95, 1329, 2410},	// Plasma::Svg::metaObject
    {95, 1395, -40},	// Plasma::Svg::paint##
    {95, 1397, -43},	// Plasma::Svg::paint##$
    {95, 1398, 2446},	// Plasma::Svg::paint#$$
    {95, 1399, 2420},	// Plasma::Svg::paint#$$$
    {95, 1400, 2448},	// Plasma::Svg::paint#$$$$
    {95, 1401, 2422},	// Plasma::Svg::paint#$$$$$
    {95, 1429, 2444},	// Plasma::Svg::pixmap
    {95, 1430, 2418},	// Plasma::Svg::pixmap$
    {95, 1458, 2416},	// Plasma::Svg::qt_metacall$$?
    {95, 1460, 2411},	// Plasma::Svg::qt_metacast$
    {95, 1537, 2440},	// Plasma::Svg::repaintNeeded
    {95, 1544, 2426},	// Plasma::Svg::resize
    {95, 1545, 2425},	// Plasma::Svg::resize#
    {95, 1546, 2424},	// Plasma::Svg::resize$$
    {95, 1700, 2432},	// Plasma::Svg::setContainsMultipleImages$
    {95, 1826, 2434},	// Plasma::Svg::setImagePath$
    {95, 2024, 2438},	// Plasma::Svg::setTheme#
    {95, 2052, 2436},	// Plasma::Svg::setUsingRenderingCache$
    {95, 2125, 2423},	// Plasma::Svg::size
    {95, 2153, 2449},	// Plasma::Svg::staticMetaObject
    {95, 2206, 2439},	// Plasma::Svg::theme
    {95, 2228, 2441},	// Plasma::Svg::tr$
    {95, 2229, 2412},	// Plasma::Svg::tr$$
    {95, 2230, 2414},	// Plasma::Svg::tr$$$
    {95, 2232, 2442},	// Plasma::Svg::trUtf8$
    {95, 2233, 2413},	// Plasma::Svg::trUtf8$$
    {95, 2234, 2415},	// Plasma::Svg::trUtf8$$$
    {95, 2390, 2450},	// Plasma::Svg::~Svg
    {96, 491, 2471},	// Plasma::SvgWidget::SvgWidget
    {96, 492, -31},	// Plasma::SvgWidget::SvgWidget#
    {96, 493, -34},	// Plasma::SvgWidget::SvgWidget#$
    {96, 494, 2475},	// Plasma::SvgWidget::SvgWidget#$#
    {96, 495, 2459},	// Plasma::SvgWidget::SvgWidget#$#$
    {96, 741, 2465},	// Plasma::SvgWidget::clicked$
    {96, 932, 2463},	// Plasma::SvgWidget::elementID
    {96, 1329, 2451},	// Plasma::SvgWidget::metaObject
    {96, 1349, 2468},	// Plasma::SvgWidget::mousePressEvent#
    {96, 1351, 2464},	// Plasma::SvgWidget::mouseReleaseEvent#
    {96, 1396, 2466},	// Plasma::SvgWidget::paint###
    {96, 1458, 2457},	// Plasma::SvgWidget::qt_metacall$$?
    {96, 1460, 2452},	// Plasma::SvgWidget::qt_metacast$
    {96, 1757, 2462},	// Plasma::SvgWidget::setElementID$
    {96, 1994, 2460},	// Plasma::SvgWidget::setSvg#
    {96, 2131, 2467},	// Plasma::SvgWidget::sizeHint$#
    {96, 2153, 2476},	// Plasma::SvgWidget::staticMetaObject
    {96, 2172, 2461},	// Plasma::SvgWidget::svg
    {96, 2228, 2469},	// Plasma::SvgWidget::tr$
    {96, 2229, 2453},	// Plasma::SvgWidget::tr$$
    {96, 2230, 2455},	// Plasma::SvgWidget::tr$$$
    {96, 2232, 2470},	// Plasma::SvgWidget::trUtf8$
    {96, 2233, 2454},	// Plasma::SvgWidget::trUtf8$$
    {96, 2234, 2456},	// Plasma::SvgWidget::trUtf8$$$
    {96, 2391, 2477},	// Plasma::SvgWidget::~SvgWidget
    {97, 497, 2511},	// Plasma::TabBar::TabBar
    {97, 498, 2485},	// Plasma::TabBar::TabBar#
    {97, 649, 2514},	// Plasma::TabBar::addTab#$
    {97, 650, 2488},	// Plasma::TabBar::addTab#$#
    {97, 651, 2515},	// Plasma::TabBar::addTab$
    {97, 652, 2489},	// Plasma::TabBar::addTab$#
    {97, 726, 2508},	// Plasma::TabBar::changeEvent#
    {97, 809, 2494},	// Plasma::TabBar::count
    {97, 832, 2505},	// Plasma::TabBar::currentChanged$
    {97, 833, 2493},	// Plasma::TabBar::currentIndex
    {97, 1103, 2512},	// Plasma::TabBar::insertTab$#$
    {97, 1104, 2486},	// Plasma::TabBar::insertTab$#$#
    {97, 1105, 2513},	// Plasma::TabBar::insertTab$$
    {97, 1106, 2487},	// Plasma::TabBar::insertTab$$#
    {97, 1147, 2500},	// Plasma::TabBar::isTabBarShown
    {97, 1329, 2478},	// Plasma::TabBar::metaObject
    {97, 1366, 2503},	// Plasma::TabBar::nativeWidget
    {97, 1458, 2484},	// Plasma::TabBar::qt_metacall$$?
    {97, 1460, 2479},	// Plasma::TabBar::qt_metacast$
    {97, 1522, 2490},	// Plasma::TabBar::removeTab$
    {97, 1549, 2507},	// Plasma::TabBar::resizeEvent#
    {97, 1716, 2504},	// Plasma::TabBar::setCurrentIndex$
    {97, 1988, 2501},	// Plasma::TabBar::setStyleSheet$
    {97, 2002, 2499},	// Plasma::TabBar::setTabBarShown$
    {97, 2004, 2497},	// Plasma::TabBar::setTabIcon$#
    {97, 2006, 2495},	// Plasma::TabBar::setTabText$$
    {97, 2153, 2516},	// Plasma::TabBar::staticMetaObject
    {97, 2166, 2502},	// Plasma::TabBar::styleSheet
    {97, 2182, 2492},	// Plasma::TabBar::tabAt$
    {97, 2184, 2498},	// Plasma::TabBar::tabIcon$
    {97, 2186, 2496},	// Plasma::TabBar::tabText$
    {97, 2189, 2491},	// Plasma::TabBar::takeTab$
    {97, 2228, 2509},	// Plasma::TabBar::tr$
    {97, 2229, 2480},	// Plasma::TabBar::tr$$
    {97, 2230, 2482},	// Plasma::TabBar::tr$$$
    {97, 2232, 2510},	// Plasma::TabBar::trUtf8$
    {97, 2233, 2481},	// Plasma::TabBar::trUtf8$$
    {97, 2234, 2483},	// Plasma::TabBar::trUtf8$$$
    {97, 2311, 2506},	// Plasma::TabBar::wheelEvent#
    {97, 2392, 2517},	// Plasma::TabBar::~TabBar
    {98, 499, 2542},	// Plasma::TextBrowser::TextBrowser
    {98, 500, 2525},	// Plasma::TextBrowser::TextBrowser#
    {98, 681, 2533},	// Plasma::TextBrowser::append$
    {98, 726, 2538},	// Plasma::TextBrowser::changeEvent#
    {98, 805, 2539},	// Plasma::TextBrowser::contextMenuEvent#
    {98, 850, 2534},	// Plasma::TextBrowser::dataUpdated$?
    {98, 1329, 2518},	// Plasma::TextBrowser::metaObject
    {98, 1366, 2532},	// Plasma::TextBrowser::nativeWidget
    {98, 1458, 2524},	// Plasma::TextBrowser::qt_metacall$$?
    {98, 1460, 2519},	// Plasma::TextBrowser::qt_metacast$
    {98, 1549, 2536},	// Plasma::TextBrowser::resizeEvent#
    {98, 1808, 2528},	// Plasma::TextBrowser::setHorizontalScrollBarPolicy$
    {98, 1988, 2530},	// Plasma::TextBrowser::setStyleSheet$
    {98, 2018, 2526},	// Plasma::TextBrowser::setText$
    {98, 2068, 2529},	// Plasma::TextBrowser::setVerticalScrollBarPolicy$
    {98, 2153, 2543},	// Plasma::TextBrowser::staticMetaObject
    {98, 2166, 2531},	// Plasma::TextBrowser::styleSheet
    {98, 2199, 2527},	// Plasma::TextBrowser::text
    {98, 2201, 2535},	// Plasma::TextBrowser::textChanged
    {98, 2228, 2540},	// Plasma::TextBrowser::tr$
    {98, 2229, 2520},	// Plasma::TextBrowser::tr$$
    {98, 2230, 2522},	// Plasma::TextBrowser::tr$$$
    {98, 2232, 2541},	// Plasma::TextBrowser::trUtf8$
    {98, 2233, 2521},	// Plasma::TextBrowser::trUtf8$$
    {98, 2234, 2523},	// Plasma::TextBrowser::trUtf8$$$
    {98, 2311, 2537},	// Plasma::TextBrowser::wheelEvent#
    {98, 2393, 2544},	// Plasma::TextBrowser::~TextBrowser
    {99, 502, 2571},	// Plasma::TextEdit::TextEdit
    {99, 503, 2552},	// Plasma::TextEdit::TextEdit#
    {99, 681, 2561},	// Plasma::TextEdit::append$
    {99, 726, 2565},	// Plasma::TextEdit::changeEvent#
    {99, 805, 2566},	// Plasma::TextEdit::contextMenuEvent#
    {99, 850, 2562},	// Plasma::TextEdit::dataUpdated$?
    {99, 1003, 2568},	// Plasma::TextEdit::focusOutEvent#
    {99, 1140, 2556},	// Plasma::TextEdit::isReadOnly
    {99, 1329, 2545},	// Plasma::TextEdit::metaObject
    {99, 1349, 2567},	// Plasma::TextEdit::mousePressEvent#
    {99, 1366, 2560},	// Plasma::TextEdit::nativeWidget
    {99, 1458, 2551},	// Plasma::TextEdit::qt_metacall$$?
    {99, 1460, 2546},	// Plasma::TextEdit::qt_metacast$
    {99, 1549, 2564},	// Plasma::TextEdit::resizeEvent#
    {99, 1874, 2559},	// Plasma::TextEdit::setNativeWidget#
    {99, 1921, 2555},	// Plasma::TextEdit::setReadOnly$
    {99, 1988, 2557},	// Plasma::TextEdit::setStyleSheet$
    {99, 2018, 2553},	// Plasma::TextEdit::setText$
    {99, 2153, 2572},	// Plasma::TextEdit::staticMetaObject
    {99, 2166, 2558},	// Plasma::TextEdit::styleSheet
    {99, 2199, 2554},	// Plasma::TextEdit::text
    {99, 2201, 2563},	// Plasma::TextEdit::textChanged
    {99, 2228, 2569},	// Plasma::TextEdit::tr$
    {99, 2229, 2547},	// Plasma::TextEdit::tr$$
    {99, 2230, 2549},	// Plasma::TextEdit::tr$$$
    {99, 2232, 2570},	// Plasma::TextEdit::trUtf8$
    {99, 2233, 2548},	// Plasma::TextEdit::trUtf8$$
    {99, 2234, 2550},	// Plasma::TextEdit::trUtf8$$$
    {99, 2394, 2573},	// Plasma::TextEdit::~TextEdit
    {100, 49, 2623},	// Plasma::Theme::BackgroundColor
    {100, 66, 2625},	// Plasma::Theme::ButtonBackgroundColor
    {100, 71, 2624},	// Plasma::Theme::ButtonTextColor
    {100, 128, 2628},	// Plasma::Theme::DefaultFont
    {100, 136, 2629},	// Plasma::Theme::DesktopFont
    {100, 201, 2622},	// Plasma::Theme::HighlightColor
    {100, 312, 2626},	// Plasma::Theme::LinkColor
    {100, 501, 2621},	// Plasma::Theme::TextColor
    {100, 504, 2615},	// Plasma::Theme::Theme
    {100, 505, 2582},	// Plasma::Theme::Theme#
    {100, 506, 2616},	// Plasma::Theme::Theme$
    {100, 507, 2583},	// Plasma::Theme::Theme$#
    {100, 551, 2627},	// Plasma::Theme::VisitedLinkColor
    {100, 675, 2589},	// Plasma::Theme::animationPath$
    {100, 750, 2593},	// Plasma::Theme::color$
    {100, 751, 2592},	// Plasma::Theme::colorScheme
    {100, 837, 2591},	// Plasma::Theme::currentThemeHasImage$
    {100, 853, 2581},	// Plasma::Theme::defaultTheme
    {100, 980, 2602},	// Plasma::Theme::findInCache$#
    {100, 981, 2603},	// Plasma::Theme::findInCache$#$
    {100, 983, 2607},	// Plasma::Theme::findInRectsCache$$#
    {100, 1006, 2595},	// Plasma::Theme::font$
    {100, 1009, 2596},	// Plasma::Theme::fontMetrics
    {100, 1076, 2588},	// Plasma::Theme::imagePath$
    {100, 1098, 2604},	// Plasma::Theme::insertIntoCache$#
    {100, 1099, 2605},	// Plasma::Theme::insertIntoCache$#$
    {100, 1101, 2608},	// Plasma::Theme::insertIntoRectsCache$$#
    {100, 1111, 2609},	// Plasma::Theme::invalidateRectsCache$
    {100, 1255, 2585},	// Plasma::Theme::listThemeInfo
    {100, 1329, 2574},	// Plasma::Theme::metaObject
    {100, 1389, 2584},	// Plasma::Theme::packageStructure
    {100, 1458, 2580},	// Plasma::Theme::qt_metacall$$?
    {100, 1460, 2575},	// Plasma::Theme::qt_metacast$
    {100, 1486, 2610},	// Plasma::Theme::releaseRectsCache$
    {100, 1671, 2606},	// Plasma::Theme::setCacheLimit$
    {100, 1776, 2618},	// Plasma::Theme::setFont#
    {100, 1777, 2594},	// Plasma::Theme::setFont#$
    {100, 2026, 2586},	// Plasma::Theme::setThemeName$
    {100, 2048, 2598},	// Plasma::Theme::setUseGlobalSettings$
    {100, 2090, 2612},	// Plasma::Theme::settingsChanged
    {100, 2153, 2620},	// Plasma::Theme::staticMetaObject
    {100, 2166, 2619},	// Plasma::Theme::styleSheet
    {100, 2167, 2601},	// Plasma::Theme::styleSheet$
    {100, 2207, 2611},	// Plasma::Theme::themeChanged
    {100, 2208, 2587},	// Plasma::Theme::themeName
    {100, 2228, 2613},	// Plasma::Theme::tr$
    {100, 2229, 2576},	// Plasma::Theme::tr$$
    {100, 2230, 2578},	// Plasma::Theme::tr$$$
    {100, 2232, 2614},	// Plasma::Theme::trUtf8$
    {100, 2233, 2577},	// Plasma::Theme::trUtf8$$
    {100, 2234, 2579},	// Plasma::Theme::trUtf8$$$
    {100, 2274, 2599},	// Plasma::Theme::useGlobalSettings
    {100, 2275, 2600},	// Plasma::Theme::useNativeWidgetStyle
    {100, 2307, 2617},	// Plasma::Theme::wallpaperPath
    {100, 2308, 2590},	// Plasma::Theme::wallpaperPath#
    {100, 2319, 2597},	// Plasma::Theme::windowTranslucencyEnabled
    {100, 2395, 2630},	// Plasma::Theme::~Theme
    {101, 509, 2667},	// Plasma::ToolButton::ToolButton
    {101, 510, 2638},	// Plasma::ToolButton::ToolButton#
    {101, 577, 2651},	// Plasma::ToolButton::action
    {101, 706, 2640},	// Plasma::ToolButton::autoRaise
    {101, 726, 2662},	// Plasma::ToolButton::changeEvent#
    {101, 740, 2655},	// Plasma::ToolButton::clicked
    {101, 1064, 2660},	// Plasma::ToolButton::hoverEnterEvent#
    {101, 1066, 2661},	// Plasma::ToolButton::hoverLeaveEvent#
    {101, 1070, 2653},	// Plasma::ToolButton::icon
    {101, 1074, 2645},	// Plasma::ToolButton::image
    {101, 1125, 2647},	// Plasma::ToolButton::isDown
    {101, 1167, 2663},	// Plasma::ToolButton::itemChange$#
    {101, 1329, 2631},	// Plasma::ToolButton::metaObject
    {101, 1366, 2654},	// Plasma::ToolButton::nativeWidget
    {101, 1395, 2668},	// Plasma::ToolButton::paint##
    {101, 1396, 2658},	// Plasma::ToolButton::paint###
    {101, 1448, 2656},	// Plasma::ToolButton::pressed
    {101, 1458, 2637},	// Plasma::ToolButton::qt_metacall$$?
    {101, 1460, 2632},	// Plasma::ToolButton::qt_metacast$
    {101, 1488, 2657},	// Plasma::ToolButton::released
    {101, 1549, 2659},	// Plasma::ToolButton::resizeEvent#
    {101, 1621, 2650},	// Plasma::ToolButton::setAction#
    {101, 1657, 2639},	// Plasma::ToolButton::setAutoRaise$
    {101, 1744, 2646},	// Plasma::ToolButton::setDown$
    {101, 1815, 2652},	// Plasma::ToolButton::setIcon#
    {101, 1823, 2643},	// Plasma::ToolButton::setImage$
    {101, 1824, 2644},	// Plasma::ToolButton::setImage$$
    {101, 1988, 2648},	// Plasma::ToolButton::setStyleSheet$
    {101, 2018, 2641},	// Plasma::ToolButton::setText$
    {101, 2131, 2664},	// Plasma::ToolButton::sizeHint$#
    {101, 2153, 2669},	// Plasma::ToolButton::staticMetaObject
    {101, 2166, 2649},	// Plasma::ToolButton::styleSheet
    {101, 2199, 2642},	// Plasma::ToolButton::text
    {101, 2228, 2665},	// Plasma::ToolButton::tr$
    {101, 2229, 2633},	// Plasma::ToolButton::tr$$
    {101, 2230, 2635},	// Plasma::ToolButton::tr$$$
    {101, 2232, 2666},	// Plasma::ToolButton::trUtf8$
    {101, 2233, 2634},	// Plasma::ToolButton::trUtf8$$
    {101, 2234, 2636},	// Plasma::ToolButton::trUtf8$$$
    {101, 2396, 2670},	// Plasma::ToolButton::~ToolButton
    {102, 112, 2699},	// Plasma::ToolTipContent::CssResource
    {102, 204, 2698},	// Plasma::ToolTipContent::HtmlResource
    {102, 213, 2697},	// Plasma::ToolTipContent::ImageResource
    {102, 511, 2671},	// Plasma::ToolTipContent::ToolTipContent
    {102, 512, 2672},	// Plasma::ToolTipContent::ToolTipContent#
    {102, 513, 2696},	// Plasma::ToolTipContent::ToolTipContent$$
    {102, 514, -4},	// Plasma::ToolTipContent::ToolTipContent$$#
    {102, 635, 2692},	// Plasma::ToolTipContent::addResource$##
    {102, 707, 2691},	// Plasma::ToolTipContent::autohide
    {102, 1058, 2689},	// Plasma::ToolTipContent::highlightWindows
    {102, 1074, 2683},	// Plasma::ToolTipContent::image
    {102, 1121, 2695},	// Plasma::ToolTipContent::isClickable
    {102, 1126, 2676},	// Plasma::ToolTipContent::isEmpty
    {102, 1305, 2678},	// Plasma::ToolTipContent::mainText
    {102, 1384, 2675},	// Plasma::ToolTipContent::operator=#
    {102, 1480, 2693},	// Plasma::ToolTipContent::registerResources#
    {102, 1659, 2690},	// Plasma::ToolTipContent::setAutohide$
    {102, 1683, 2694},	// Plasma::ToolTipContent::setClickable$
    {102, 1800, 2688},	// Plasma::ToolTipContent::setHighlightWindows$
    {102, 1822, -7},	// Plasma::ToolTipContent::setImage#
    {102, 1851, 2677},	// Plasma::ToolTipContent::setMainText$
    {102, 1990, 2679},	// Plasma::ToolTipContent::setSubText$
    {102, 2083, 2684},	// Plasma::ToolTipContent::setWindowToPreview$
    {102, 2085, 2686},	// Plasma::ToolTipContent::setWindowsToPreview?
    {102, 2168, 2680},	// Plasma::ToolTipContent::subText
    {102, 2318, 2685},	// Plasma::ToolTipContent::windowToPreview
    {102, 2320, 2687},	// Plasma::ToolTipContent::windowsToPreview
    {102, 2397, 2700},	// Plasma::ToolTipContent::~ToolTipContent
    {103, 16, 2723},	// Plasma::ToolTipManager::Activated
    {103, 124, 2725},	// Plasma::ToolTipManager::Deactivated
    {103, 217, 2724},	// Plasma::ToolTipManager::Inhibited
    {103, 738, 2715},	// Plasma::ToolTipManager::clearContent#
    {103, 1053, 2711},	// Plasma::ToolTipManager::hide#
    {103, 1153, 2710},	// Plasma::ToolTipManager::isVisible#
    {103, 1218, 2719},	// Plasma::ToolTipManager::linkActivated$$$#
    {103, 1329, 2701},	// Plasma::ToolTipManager::metaObject
    {103, 1458, 2707},	// Plasma::ToolTipManager::qt_metacall$$?
    {103, 1460, 2702},	// Plasma::ToolTipManager::qt_metacast$
    {103, 1484, 2712},	// Plasma::ToolTipManager::registerWidget#
    {103, 1608, 2708},	// Plasma::ToolTipManager::self
    {103, 1702, 2714},	// Plasma::ToolTipManager::setContent##
    {103, 1984, 2716},	// Plasma::ToolTipManager::setState$
    {103, 2096, 2709},	// Plasma::ToolTipManager::show#
    {103, 2152, 2717},	// Plasma::ToolTipManager::state
    {103, 2153, 2722},	// Plasma::ToolTipManager::staticMetaObject
    {103, 2228, 2720},	// Plasma::ToolTipManager::tr$
    {103, 2229, 2703},	// Plasma::ToolTipManager::tr$$
    {103, 2230, 2705},	// Plasma::ToolTipManager::tr$$$
    {103, 2232, 2721},	// Plasma::ToolTipManager::trUtf8$
    {103, 2233, 2704},	// Plasma::ToolTipManager::trUtf8$$
    {103, 2234, 2706},	// Plasma::ToolTipManager::trUtf8$$$
    {103, 2251, 2713},	// Plasma::ToolTipManager::unregisterWidget#
    {103, 2317, 2718},	// Plasma::ToolTipManager::windowPreviewActivated$$$#
    {104, 524, 2741},	// Plasma::TreeView::TreeView
    {104, 525, 2733},	// Plasma::TreeView::TreeView#
    {104, 1329, 2726},	// Plasma::TreeView::metaObject
    {104, 1343, 2735},	// Plasma::TreeView::model
    {104, 1366, 2738},	// Plasma::TreeView::nativeWidget
    {104, 1458, 2732},	// Plasma::TreeView::qt_metacall$$?
    {104, 1460, 2727},	// Plasma::TreeView::qt_metacast$
    {104, 1869, 2734},	// Plasma::TreeView::setModel#
    {104, 1988, 2736},	// Plasma::TreeView::setStyleSheet$
    {104, 2153, 2742},	// Plasma::TreeView::staticMetaObject
    {104, 2166, 2737},	// Plasma::TreeView::styleSheet
    {104, 2228, 2739},	// Plasma::TreeView::tr$
    {104, 2229, 2728},	// Plasma::TreeView::tr$$
    {104, 2230, 2730},	// Plasma::TreeView::tr$$$
    {104, 2232, 2740},	// Plasma::TreeView::trUtf8$
    {104, 2233, 2729},	// Plasma::TreeView::trUtf8$$
    {104, 2234, 2731},	// Plasma::TreeView::trUtf8$$$
    {104, 2398, 2743},	// Plasma::TreeView::~TreeView
    {105, 127, 2792},	// Plasma::VideoWidget::DefaultControls
    {105, 331, 2788},	// Plasma::VideoWidget::Next
    {105, 342, 2782},	// Plasma::VideoWidget::NoControls
    {105, 358, 2791},	// Plasma::VideoWidget::OpenFile
    {105, 373, 2784},	// Plasma::VideoWidget::Pause
    {105, 382, 2783},	// Plasma::VideoWidget::Play
    {105, 383, 2786},	// Plasma::VideoWidget::PlayPause
    {105, 390, 2787},	// Plasma::VideoWidget::Previous
    {105, 391, 2789},	// Plasma::VideoWidget::Progress
    {105, 479, 2785},	// Plasma::VideoWidget::Stop
    {105, 544, 2780},	// Plasma::VideoWidget::VideoWidget
    {105, 545, 2751},	// Plasma::VideoWidget::VideoWidget#
    {105, 552, 2790},	// Plasma::VideoWidget::Volume
    {105, 571, 2771},	// Plasma::VideoWidget::aboutToFinish
    {105, 700, 2755},	// Plasma::VideoWidget::audioOutput
    {105, 807, 2762},	// Plasma::VideoWidget::controlsVisible
    {105, 838, 2756},	// Plasma::VideoWidget::currentTime
    {105, 1064, 2775},	// Plasma::VideoWidget::hoverEnterEvent#
    {105, 1066, 2776},	// Plasma::VideoWidget::hoverLeaveEvent#
    {105, 1068, 2777},	// Plasma::VideoWidget::hoverMoveEvent#
    {105, 1326, 2754},	// Plasma::VideoWidget::mediaObject
    {105, 1329, 2744},	// Plasma::VideoWidget::metaObject
    {105, 1366, 2765},	// Plasma::VideoWidget::nativeWidget
    {105, 1370, 2772},	// Plasma::VideoWidget::nextRequested
    {105, 1424, 2767},	// Plasma::VideoWidget::pause
    {105, 1431, 2766},	// Plasma::VideoWidget::play
    {105, 1450, 2773},	// Plasma::VideoWidget::previousRequested
    {105, 1458, 2750},	// Plasma::VideoWidget::qt_metacall$$?
    {105, 1460, 2745},	// Plasma::VideoWidget::qt_metacast$
    {105, 1491, 2758},	// Plasma::VideoWidget::remainingTime
    {105, 1549, 2774},	// Plasma::VideoWidget::resizeEvent#
    {105, 1606, 2769},	// Plasma::VideoWidget::seek?
    {105, 1710, 2761},	// Plasma::VideoWidget::setControlsVisible$
    {105, 1988, 2763},	// Plasma::VideoWidget::setStyleSheet$
    {105, 2044, 2752},	// Plasma::VideoWidget::setUrl$
    {105, 2050, 2759},	// Plasma::VideoWidget::setUsedControls$
    {105, 2153, 2781},	// Plasma::VideoWidget::staticMetaObject
    {105, 2155, 2768},	// Plasma::VideoWidget::stop
    {105, 2166, 2764},	// Plasma::VideoWidget::styleSheet
    {105, 2211, 2770},	// Plasma::VideoWidget::tick?
    {105, 2226, 2757},	// Plasma::VideoWidget::totalTime
    {105, 2228, 2778},	// Plasma::VideoWidget::tr$
    {105, 2229, 2746},	// Plasma::VideoWidget::tr$$
    {105, 2230, 2748},	// Plasma::VideoWidget::tr$$$
    {105, 2232, 2779},	// Plasma::VideoWidget::trUtf8$
    {105, 2233, 2747},	// Plasma::VideoWidget::trUtf8$$
    {105, 2234, 2749},	// Plasma::VideoWidget::trUtf8$$$
    {105, 2269, 2753},	// Plasma::VideoWidget::url
    {105, 2276, 2760},	// Plasma::VideoWidget::usedControls
    {105, 2399, 2793},	// Plasma::VideoWidget::~VideoWidget
    {106, 547, 2824},	// Plasma::View::View#
    {106, 548, 2801},	// Plasma::View::View##
    {106, 549, 2825},	// Plasma::View::View#$
    {106, 550, 2802},	// Plasma::View::View#$#
    {106, 752, 2820},	// Plasma::View::config
    {106, 755, 2821},	// Plasma::View::configNeedsSaving
    {106, 779, 2809},	// Plasma::View::containment
    {106, 857, 2807},	// Plasma::View::desktop
    {106, 917, 2808},	// Plasma::View::effectiveDesktop
    {106, 1072, 2815},	// Plasma::View::id
    {106, 1154, 2804},	// Plasma::View::isWallpaperEnabled
    {106, 1301, 2818},	// Plasma::View::lostContainment
    {106, 1329, 2794},	// Plasma::View::metaObject
    {106, 1458, 2800},	// Plasma::View::qt_metacall$$?
    {106, 1460, 2795},	// Plasma::View::qt_metacast$
    {106, 1587, 2816},	// Plasma::View::sceneRectAboutToChange
    {106, 1588, 2817},	// Plasma::View::sceneRectChanged
    {106, 1590, 2806},	// Plasma::View::screen
    {106, 1692, 2819},	// Plasma::View::setContainment#
    {106, 1947, 2826},	// Plasma::View::setScreen$
    {106, 1948, 2805},	// Plasma::View::setScreen$$
    {106, 2036, 2812},	// Plasma::View::setTrackContainmentChanges$
    {106, 2077, 2803},	// Plasma::View::setWallpaperEnabled$
    {106, 2153, 2829},	// Plasma::View::staticMetaObject
    {106, 2175, 2827},	// Plasma::View::swapContainment#$
    {106, 2176, 2810},	// Plasma::View::swapContainment#$?
    {106, 2177, 2828},	// Plasma::View::swapContainment$
    {106, 2178, 2811},	// Plasma::View::swapContainment$?
    {106, 2225, 2814},	// Plasma::View::topLevelViewAt#
    {106, 2228, 2822},	// Plasma::View::tr$
    {106, 2229, 2796},	// Plasma::View::tr$$
    {106, 2230, 2798},	// Plasma::View::tr$$$
    {106, 2232, 2823},	// Plasma::View::trUtf8$
    {106, 2233, 2797},	// Plasma::View::trUtf8$$
    {106, 2234, 2799},	// Plasma::View::trUtf8$$$
    {106, 2235, 2813},	// Plasma::View::trackContainmentChanges
    {106, 2400, 2830},	// Plasma::View::~View
    {107, 78, 2904},	// Plasma::Wallpaper::CenterTiledResize
    {107, 79, 2901},	// Plasma::Wallpaper::CenteredResize
    {107, 317, 2905},	// Plasma::Wallpaper::MaxpectResize
    {107, 435, 2902},	// Plasma::Wallpaper::ScaledAndCroppedResize
    {107, 436, 2900},	// Plasma::Wallpaper::ScaledResize
    {107, 508, 2903},	// Plasma::Wallpaper::TiledResize
    {107, 553, 2887},	// Plasma::Wallpaper::Wallpaper
    {107, 554, 2838},	// Plasma::Wallpaper::Wallpaper#
    {107, 555, 2877},	// Plasma::Wallpaper::Wallpaper#?
    {107, 719, 2852},	// Plasma::Wallpaper::boundingRect
    {107, 755, 2873},	// Plasma::Wallpaper::configNeedsSaving
    {107, 759, 2863},	// Plasma::Wallpaper::configurationRequired
    {107, 760, 2872},	// Plasma::Wallpaper::configurationRequired$
    {107, 761, 2871},	// Plasma::Wallpaper::configureRequested
    {107, 799, 2898},	// Plasma::Wallpaper::contextActions
    {107, 806, 2867},	// Plasma::Wallpaper::contextualActions
    {107, 816, 2857},	// Plasma::Wallpaper::createConfigurationInterface#
    {107, 848, 2862},	// Plasma::Wallpaper::dataEngine$
    {107, 980, 2896},	// Plasma::Wallpaper::findInCache$#
    {107, 981, 2882},	// Plasma::Wallpaper::findInCache$#$
    {107, 1070, 2847},	// Plasma::Wallpaper::icon
    {107, 1087, 2878},	// Plasma::Wallpaper::init#
    {107, 1098, 2883},	// Plasma::Wallpaper::insertIntoCache$#
    {107, 1130, 2851},	// Plasma::Wallpaper::isInitialized
    {107, 1138, 2868},	// Plasma::Wallpaper::isPreviewing
    {107, 1150, 2864},	// Plasma::Wallpaper::isUsingRenderingCache
    {107, 1254, 2850},	// Plasma::Wallpaper::listRenderingModes
    {107, 1256, 2888},	// Plasma::Wallpaper::listWallpaperInfo
    {107, 1257, 2839},	// Plasma::Wallpaper::listWallpaperInfo$
    {107, 1259, 2889},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$
    {107, 1260, 2840},	// Plasma::Wallpaper::listWallpaperInfoForMimetype$$
    {107, 1262, 2891},	// Plasma::Wallpaper::load#
    {107, 1267, 2842},	// Plasma::Wallpaper::load#?
    {107, 1268, 2890},	// Plasma::Wallpaper::load$
    {107, 1272, 2841},	// Plasma::Wallpaper::load$?
    {107, 1329, 2831},	// Plasma::Wallpaper::metaObject
    {107, 1347, 2858},	// Plasma::Wallpaper::mouseMoveEvent#
    {107, 1349, 2859},	// Plasma::Wallpaper::mousePressEvent#
    {107, 1351, 2860},	// Plasma::Wallpaper::mouseReleaseEvent#
    {107, 1364, 2844},	// Plasma::Wallpaper::name
    {107, 1388, 2845},	// Plasma::Wallpaper::package
    {107, 1389, 2892},	// Plasma::Wallpaper::packageStructure
    {107, 1390, 2843},	// Plasma::Wallpaper::packageStructure#
    {107, 1395, 2854},	// Plasma::Wallpaper::paint##
    {107, 1433, 2846},	// Plasma::Wallpaper::pluginName
    {107, 1458, 2837},	// Plasma::Wallpaper::qt_metacall$$?
    {107, 1460, 2832},	// Plasma::Wallpaper::qt_metacast$
    {107, 1528, 2894},	// Plasma::Wallpaper::render$#
    {107, 1529, 2895},	// Plasma::Wallpaper::render$#$
    {107, 1530, 2880},	// Plasma::Wallpaper::render$#$#
    {107, 1532, 2874},	// Plasma::Wallpaper::renderCompleted#
    {107, 1533, 2876},	// Plasma::Wallpaper::renderHintsChanged
    {107, 1534, 2848},	// Plasma::Wallpaper::renderingMode
    {107, 1553, 2855},	// Plasma::Wallpaper::restore#
    {107, 1572, 2856},	// Plasma::Wallpaper::save#
    {107, 1665, 2853},	// Plasma::Wallpaper::setBoundingRect#
    {107, 1689, 2893},	// Plasma::Wallpaper::setConfigurationRequired$
    {107, 1690, 2879},	// Plasma::Wallpaper::setConfigurationRequired$$
    {107, 1706, 2899},	// Plasma::Wallpaper::setContextActions?
    {107, 1708, 2884},	// Plasma::Wallpaper::setContextualActions?
    {107, 1913, 2869},	// Plasma::Wallpaper::setPreviewing$
    {107, 1927, 2849},	// Plasma::Wallpaper::setRenderingMode$
    {107, 1935, 2865},	// Plasma::Wallpaper::setResizeMethodHint$
    {107, 2012, 2866},	// Plasma::Wallpaper::setTargetSizeHint#
    {107, 2052, 2881},	// Plasma::Wallpaper::setUsingRenderingCache$
    {107, 2153, 2897},	// Plasma::Wallpaper::staticMetaObject
    {107, 2228, 2885},	// Plasma::Wallpaper::tr$
    {107, 2229, 2833},	// Plasma::Wallpaper::tr$$
    {107, 2230, 2835},	// Plasma::Wallpaper::tr$$$
    {107, 2232, 2886},	// Plasma::Wallpaper::trUtf8$
    {107, 2233, 2834},	// Plasma::Wallpaper::trUtf8$$
    {107, 2234, 2836},	// Plasma::Wallpaper::trUtf8$$$
    {107, 2253, 2870},	// Plasma::Wallpaper::update#
    {107, 2271, 2875},	// Plasma::Wallpaper::urlDropped#
    {107, 2311, 2861},	// Plasma::Wallpaper::wheelEvent#
    {107, 2401, 2906},	// Plasma::Wallpaper::~Wallpaper
    {108, 557, 2945},	// Plasma::WallpaperScript::WallpaperScript
    {108, 558, 2914},	// Plasma::WallpaperScript::WallpaperScript#
    {108, 719, 2929},	// Plasma::WallpaperScript::boundingRect
    {108, 755, 2940},	// Plasma::WallpaperScript::configNeedsSaving
    {108, 816, 2920},	// Plasma::WallpaperScript::createConfigurationInterface#
    {108, 848, 2930},	// Plasma::WallpaperScript::dataEngine$
    {108, 856, 2927},	// Plasma::WallpaperScript::description
    {108, 980, 2949},	// Plasma::WallpaperScript::findInCache$#
    {108, 981, 2936},	// Plasma::WallpaperScript::findInCache$#$
    {108, 1092, 2917},	// Plasma::WallpaperScript::initWallpaper#
    {108, 1098, 2937},	// Plasma::WallpaperScript::insertIntoCache$#
    {108, 1130, 2928},	// Plasma::WallpaperScript::isInitialized
    {108, 1304, 2925},	// Plasma::WallpaperScript::mainScript
    {108, 1329, 2907},	// Plasma::WallpaperScript::metaObject
    {108, 1347, 2921},	// Plasma::WallpaperScript::mouseMoveEvent#
    {108, 1349, 2922},	// Plasma::WallpaperScript::mousePressEvent#
    {108, 1351, 2923},	// Plasma::WallpaperScript::mouseReleaseEvent#
    {108, 1388, 2926},	// Plasma::WallpaperScript::package
    {108, 1395, 2918},	// Plasma::WallpaperScript::paint##
    {108, 1458, 2913},	// Plasma::WallpaperScript::qt_metacall$$?
    {108, 1460, 2908},	// Plasma::WallpaperScript::qt_metacast$
    {108, 1528, 2947},	// Plasma::WallpaperScript::render$#
    {108, 1529, 2948},	// Plasma::WallpaperScript::render$#$
    {108, 1530, 2934},	// Plasma::WallpaperScript::render$#$#
    {108, 1532, 2941},	// Plasma::WallpaperScript::renderCompleted#
    {108, 1572, 2919},	// Plasma::WallpaperScript::save#
    {108, 1689, 2946},	// Plasma::WallpaperScript::setConfigurationRequired$
    {108, 1690, 2933},	// Plasma::WallpaperScript::setConfigurationRequired$$
    {108, 1708, 2938},	// Plasma::WallpaperScript::setContextualActions?
    {108, 1935, 2931},	// Plasma::WallpaperScript::setResizeMethodHint$
    {108, 2012, 2932},	// Plasma::WallpaperScript::setTargetSizeHint#
    {108, 2052, 2935},	// Plasma::WallpaperScript::setUsingRenderingCache$
    {108, 2073, 2915},	// Plasma::WallpaperScript::setWallpaper#
    {108, 2153, 2950},	// Plasma::WallpaperScript::staticMetaObject
    {108, 2228, 2943},	// Plasma::WallpaperScript::tr$
    {108, 2229, 2909},	// Plasma::WallpaperScript::tr$$
    {108, 2230, 2911},	// Plasma::WallpaperScript::tr$$$
    {108, 2232, 2944},	// Plasma::WallpaperScript::trUtf8$
    {108, 2233, 2910},	// Plasma::WallpaperScript::trUtf8$$
    {108, 2234, 2912},	// Plasma::WallpaperScript::trUtf8$$$
    {108, 2253, 2939},	// Plasma::WallpaperScript::update#
    {108, 2271, 2942},	// Plasma::WallpaperScript::urlDropped#
    {108, 2306, 2916},	// Plasma::WallpaperScript::wallpaper
    {108, 2311, 2924},	// Plasma::WallpaperScript::wheelEvent#
    {108, 2402, 2951},	// Plasma::WallpaperScript::~WallpaperScript
    {109, 560, 3000},	// Plasma::WebView::WebView
    {109, 561, 2959},	// Plasma::WebView::WebView#
    {109, 797, 2966},	// Plasma::WebView::contentsSize
    {109, 805, 2986},	// Plasma::WebView::contextMenuEvent#
    {109, 882, 2992},	// Plasma::WebView::dragEnterEvent#
    {109, 884, 2993},	// Plasma::WebView::dragLeaveEvent#
    {109, 886, 2994},	// Plasma::WebView::dragMoveEvent#
    {109, 887, 2976},	// Plasma::WebView::dragToScroll
    {109, 912, 2995},	// Plasma::WebView::dropEvent#
    {109, 999, 2990},	// Plasma::WebView::focusInEvent#
    {109, 1003, 2991},	// Plasma::WebView::focusOutEvent#
    {109, 1018, 2965},	// Plasma::WebView::geometry
    {109, 1068, 2982},	// Plasma::WebView::hoverMoveEvent#
    {109, 1069, 2963},	// Plasma::WebView::html
    {109, 1167, 2996},	// Plasma::WebView::itemChange$#
    {109, 1186, 2988},	// Plasma::WebView::keyPressEvent#
    {109, 1188, 2989},	// Plasma::WebView::keyReleaseEvent#
    {109, 1280, 2979},	// Plasma::WebView::loadFinished$
    {109, 1288, 2978},	// Plasma::WebView::loadProgress$
    {109, 1303, 2974},	// Plasma::WebView::mainFrame
    {109, 1329, 2952},	// Plasma::WebView::metaObject
    {109, 1345, 2984},	// Plasma::WebView::mouseDoubleClickEvent#
    {109, 1347, 2981},	// Plasma::WebView::mouseMoveEvent#
    {109, 1349, 2983},	// Plasma::WebView::mousePressEvent#
    {109, 1351, 2985},	// Plasma::WebView::mouseReleaseEvent#
    {109, 1392, 2973},	// Plasma::WebView::page
    {109, 1395, 3003},	// Plasma::WebView::paint##
    {109, 1396, 2980},	// Plasma::WebView::paint###
    {109, 1458, 2958},	// Plasma::WebView::qt_metacall$$?
    {109, 1460, 2953},	// Plasma::WebView::qt_metacast$
    {109, 1599, 2968},	// Plasma::WebView::scrollPosition
    {109, 1746, 2975},	// Plasma::WebView::setDragToScroll$
    {109, 1785, 2977},	// Plasma::WebView::setGeometry#
    {109, 1810, 3001},	// Plasma::WebView::setHtml#
    {109, 1811, 2962},	// Plasma::WebView::setHtml##
    {109, 1812, 3002},	// Plasma::WebView::setHtml$
    {109, 1813, 2964},	// Plasma::WebView::setHtml$#
    {109, 1888, 2972},	// Plasma::WebView::setPage#
    {109, 1950, 2967},	// Plasma::WebView::setScrollPosition#
    {109, 2043, 2960},	// Plasma::WebView::setUrl#
    {109, 2089, 2971},	// Plasma::WebView::setZoomFactor$
    {109, 2131, 2997},	// Plasma::WebView::sizeHint$#
    {109, 2153, 3004},	// Plasma::WebView::staticMetaObject
    {109, 2228, 2998},	// Plasma::WebView::tr$
    {109, 2229, 2954},	// Plasma::WebView::tr$$
    {109, 2230, 2956},	// Plasma::WebView::tr$$$
    {109, 2232, 2999},	// Plasma::WebView::trUtf8$
    {109, 2233, 2955},	// Plasma::WebView::trUtf8$$
    {109, 2234, 2957},	// Plasma::WebView::trUtf8$$$
    {109, 2269, 2961},	// Plasma::WebView::url
    {109, 2299, 2969},	// Plasma::WebView::viewportGeometry
    {109, 2311, 2987},	// Plasma::WebView::wheelEvent#
    {109, 2327, 2970},	// Plasma::WebView::zoomFactor
    {109, 2403, 3005},	// Plasma::WebView::~WebView
    {133, 276, 3048},	// QGlobalSpace::KST_CTimeInfo
    {133, 277, 3041},	// QGlobalSpace::KST_KCustom
    {133, 278, 3036},	// QGlobalSpace::KST_KDEDesktopMimeType
    {133, 279, 3035},	// QGlobalSpace::KST_KFolderMimeType
    {133, 280, 3045},	// QGlobalSpace::KST_KImageIO
    {133, 281, 3038},	// QGlobalSpace::KST_KImageIOFormat
    {133, 282, 3034},	// QGlobalSpace::KST_KMimeType
    {133, 283, 3047},	// QGlobalSpace::KST_KMimeTypeFactory
    {133, 284, 3039},	// QGlobalSpace::KST_KProtocolInfo
    {133, 285, 3046},	// QGlobalSpace::KST_KProtocolInfoFactory
    {133, 286, 3032},	// QGlobalSpace::KST_KService
    {133, 287, 3042},	// QGlobalSpace::KST_KServiceFactory
    {133, 288, 3037},	// QGlobalSpace::KST_KServiceGroup
    {133, 289, 3044},	// QGlobalSpace::KST_KServiceGroupFactory
    {133, 290, 3040},	// QGlobalSpace::KST_KServiceSeparator
    {133, 291, 3033},	// QGlobalSpace::KST_KServiceType
    {133, 292, 3043},	// QGlobalSpace::KST_KServiceTypeFactory
    {133, 293, 3031},	// QGlobalSpace::KST_KSycocaEntry
    {133, 395, 3021},	// QGlobalSpace::Q_COMPLEX_TYPE
    {133, 396, 3025},	// QGlobalSpace::Q_DUMMY_TYPE
    {133, 397, 3024},	// QGlobalSpace::Q_MOVABLE_TYPE
    {133, 398, 3022},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {133, 399, 3023},	// QGlobalSpace::Q_STATIC_TYPE
    {133, 400, 3028},	// QGlobalSpace::QtCriticalMsg
    {133, 401, 3026},	// QGlobalSpace::QtDebugMsg
    {133, 402, 3029},	// QGlobalSpace::QtFatalMsg
    {133, 403, 3030},	// QGlobalSpace::QtSystemMsg
    {133, 404, 3027},	// QGlobalSpace::QtWarningMsg
    {133, 567, 3051},	// QGlobalSpace::__codecvt_error
    {133, 568, 3052},	// QGlobalSpace::__codecvt_noconv
    {133, 569, 3049},	// QGlobalSpace::__codecvt_ok
    {133, 570, 3050},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *plasma_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_plasma_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    plasma_Smoke = new Smoke(
        "plasma",
        __smokeplasma::classes, 199,
        __smokeplasma::methods, 3266,
        __smokeplasma::methodMaps, 2995,
        __smokeplasma::methodNames, 2403,
        __smokeplasma::types, 480,
        __smokeplasma::inheritanceList,
        __smokeplasma::argumentList,
        __smokeplasma::ambiguousMethodList,
        __smokeplasma::cast );
    initialized = true;
}

void delete_plasma_Smoke() { delete plasma_Smoke; }

}
