#include <qscintilla2_includes.h>

#include <smoke.h>
#include <qsci_smoke.h>

namespace __smokeqsci {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractScrollArea
      switch(to) {
        case 15: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 44: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 25: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QAbstractScrollArea*)xptr;
        case 83: return (void*)(QsciScintilla*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QCloseEvent
      switch(to) {
        case 5: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QColor
      switch(to) {
        case 6: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDragEnterEvent
      switch(to) {
        case 8: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDragLeaveEvent
      switch(to) {
        case 9: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragMoveEvent
      switch(to) {
        case 10: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDropEvent
      switch(to) {
        case 11: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QEvent
      switch(to) {
        case 12: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFont
      switch(to) {
        case 14: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 15:   //QFrame
      switch(to) {
        case 44: return (void*)(QWidget*)(QFrame*)xptr;
        case 25: return (void*)(QObject*)(QFrame*)xptr;
        case 15: return (void*)(QFrame*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QFrame*)xptr;
        case 83: return (void*)(QsciScintilla*)(QFrame*)xptr;
        default: return xptr;
      }
    case 17:   //QHideEvent
      switch(to) {
        case 17: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 18:   //QIODevice
      switch(to) {
        case 25: return (void*)(QObject*)(QIODevice*)xptr;
        case 18: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 19:   //QInputMethodEvent
      switch(to) {
        case 19: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QKeyEvent
      switch(to) {
        case 20: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QMetaObject
      switch(to) {
        case 21: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 22:   //QMimeData
      switch(to) {
        case 22: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 23:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QMoveEvent
      switch(to) {
        case 24: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QObject
      switch(to) {
        case 25: return (void*)(QObject*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QObject*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QObject*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QObject*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)(QObject*)xptr;
        case 80: return (void*)(QsciLexerYAML*)(QObject*)xptr;
        case 66: return (void*)(QsciLexerLua*)(QObject*)xptr;
        case 73: return (void*)(QsciLexerPython*)(QObject*)xptr;
        case 51: return (void*)(QsciLexerBash*)(QObject*)xptr;
        case 46: return (void*)(QsciAbstractAPIs*)(QObject*)xptr;
        case 54: return (void*)(QsciLexerCPP*)(QObject*)xptr;
        case 59: return (void*)(QsciLexerDiff*)(QObject*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)(QObject*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QObject*)xptr;
        case 62: return (void*)(QsciLexerHTML*)(QObject*)xptr;
        case 75: return (void*)(QsciLexerSQL*)(QObject*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QObject*)xptr;
        case 76: return (void*)(QsciLexerTCL*)(QObject*)xptr;
        case 72: return (void*)(QsciLexerProperties*)(QObject*)xptr;
        case 57: return (void*)(QsciLexerCustom*)(QObject*)xptr;
        case 45: return (void*)(QsciAPIs*)(QObject*)xptr;
        case 55: return (void*)(QsciLexerCSS*)(QObject*)xptr;
        case 70: return (void*)(QsciLexerPerl*)(QObject*)xptr;
        case 58: return (void*)(QsciLexerD*)(QObject*)xptr;
        case 52: return (void*)(QsciLexerBatch*)(QObject*)xptr;
        case 74: return (void*)(QsciLexerRuby*)(QObject*)xptr;
        case 77: return (void*)(QsciLexerTeX*)(QObject*)xptr;
        case 50: return (void*)(QsciLexer*)(QObject*)xptr;
        case 68: return (void*)(QsciLexerPOV*)(QObject*)xptr;
        case 83: return (void*)(QsciScintilla*)(QObject*)xptr;
        case 81: return (void*)(QsciMacro*)(QObject*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)(QObject*)xptr;
        case 53: return (void*)(QsciLexerCMake*)(QObject*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QObject*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)(QObject*)xptr;
        case 69: return (void*)(QsciLexerPascal*)(QObject*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QObject*)xptr;
        default: return xptr;
      }
    case 26:   //QPaintEngine
      switch(to) {
        case 26: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 27:   //QPaintEvent
      switch(to) {
        case 27: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 28:   //QPainter
      switch(to) {
        case 28: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 29:   //QPalette
      switch(to) {
        case 29: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 30:   //QPixmap
      switch(to) {
        case 30: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 31:   //QPoint
      switch(to) {
        case 31: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 32:   //QPrinter
      switch(to) {
        case 32: return (void*)(QPrinter*)xptr;
        case 82: return (void*)(QsciPrinter*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 33:   //QRect
      switch(to) {
        case 33: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 34:   //QRegExp
      switch(to) {
        case 34: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 35:   //QResizeEvent
      switch(to) {
        case 35: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QSettings
      switch(to) {
        case 36: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 37:   //QShowEvent
      switch(to) {
        case 37: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 38:   //QSize
      switch(to) {
        case 38: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 39:   //QStyle
      switch(to) {
        case 39: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 40:   //QTabletEvent
      switch(to) {
        case 40: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QTimerEvent
      switch(to) {
        case 41: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QVariant
      switch(to) {
        case 42: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 43:   //QWheelEvent
      switch(to) {
        case 43: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QWidget
      switch(to) {
        case 25: return (void*)(QObject*)(QWidget*)xptr;
        case 44: return (void*)(QWidget*)xptr;
        case 84: return (void*)(QsciScintillaBase*)(QWidget*)xptr;
        case 83: return (void*)(QsciScintilla*)(QWidget*)xptr;
        default: return xptr;
      }
    case 45:   //QsciAPIs
      switch(to) {
        case 46: return (void*)(QsciAbstractAPIs*)(QsciAPIs*)xptr;
        case 25: return (void*)(QObject*)(QsciAPIs*)xptr;
        case 45: return (void*)(QsciAPIs*)xptr;
        default: return xptr;
      }
    case 46:   //QsciAbstractAPIs
      switch(to) {
        case 25: return (void*)(QObject*)(QsciAbstractAPIs*)xptr;
        case 46: return (void*)(QsciAbstractAPIs*)xptr;
        case 45: return (void*)(QsciAPIs*)(QsciAbstractAPIs*)xptr;
        default: return xptr;
      }
    case 47:   //QsciCommand
      switch(to) {
        case 47: return (void*)(QsciCommand*)xptr;
        default: return xptr;
      }
    case 48:   //QsciCommandSet
      switch(to) {
        case 48: return (void*)(QsciCommandSet*)xptr;
        default: return xptr;
      }
    case 49:   //QsciDocument
      switch(to) {
        case 49: return (void*)(QsciDocument*)xptr;
        default: return xptr;
      }
    case 50:   //QsciLexer
      switch(to) {
        case 25: return (void*)(QObject*)(QsciLexer*)xptr;
        case 50: return (void*)(QsciLexer*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QsciLexer*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QsciLexer*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QsciLexer*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)(QsciLexer*)xptr;
        case 80: return (void*)(QsciLexerYAML*)(QsciLexer*)xptr;
        case 66: return (void*)(QsciLexerLua*)(QsciLexer*)xptr;
        case 73: return (void*)(QsciLexerPython*)(QsciLexer*)xptr;
        case 51: return (void*)(QsciLexerBash*)(QsciLexer*)xptr;
        case 54: return (void*)(QsciLexerCPP*)(QsciLexer*)xptr;
        case 59: return (void*)(QsciLexerDiff*)(QsciLexer*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)(QsciLexer*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QsciLexer*)xptr;
        case 62: return (void*)(QsciLexerHTML*)(QsciLexer*)xptr;
        case 75: return (void*)(QsciLexerSQL*)(QsciLexer*)xptr;
        case 76: return (void*)(QsciLexerTCL*)(QsciLexer*)xptr;
        case 72: return (void*)(QsciLexerProperties*)(QsciLexer*)xptr;
        case 57: return (void*)(QsciLexerCustom*)(QsciLexer*)xptr;
        case 55: return (void*)(QsciLexerCSS*)(QsciLexer*)xptr;
        case 70: return (void*)(QsciLexerPerl*)(QsciLexer*)xptr;
        case 58: return (void*)(QsciLexerD*)(QsciLexer*)xptr;
        case 52: return (void*)(QsciLexerBatch*)(QsciLexer*)xptr;
        case 74: return (void*)(QsciLexerRuby*)(QsciLexer*)xptr;
        case 77: return (void*)(QsciLexerTeX*)(QsciLexer*)xptr;
        case 68: return (void*)(QsciLexerPOV*)(QsciLexer*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)(QsciLexer*)xptr;
        case 53: return (void*)(QsciLexerCMake*)(QsciLexer*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QsciLexer*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)(QsciLexer*)xptr;
        case 69: return (void*)(QsciLexerPascal*)(QsciLexer*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QsciLexer*)xptr;
        default: return xptr;
      }
    case 51:   //QsciLexerBash
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerBash*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerBash*)xptr;
        case 51: return (void*)(QsciLexerBash*)xptr;
        default: return xptr;
      }
    case 52:   //QsciLexerBatch
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerBatch*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerBatch*)xptr;
        case 52: return (void*)(QsciLexerBatch*)xptr;
        default: return xptr;
      }
    case 53:   //QsciLexerCMake
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCMake*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCMake*)xptr;
        case 53: return (void*)(QsciLexerCMake*)xptr;
        default: return xptr;
      }
    case 54:   //QsciLexerCPP
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCPP*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCPP*)xptr;
        case 54: return (void*)(QsciLexerCPP*)xptr;
        case 63: return (void*)(QsciLexerIDL*)(QsciLexerCPP*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)(QsciLexerCPP*)xptr;
        case 64: return (void*)(QsciLexerJava*)(QsciLexerCPP*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)(QsciLexerCPP*)xptr;
        default: return xptr;
      }
    case 55:   //QsciLexerCSS
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCSS*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCSS*)xptr;
        case 55: return (void*)(QsciLexerCSS*)xptr;
        default: return xptr;
      }
    case 56:   //QsciLexerCSharp
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerCSharp*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerCSharp*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCSharp*)xptr;
        case 56: return (void*)(QsciLexerCSharp*)xptr;
        default: return xptr;
      }
    case 57:   //QsciLexerCustom
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerCustom*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerCustom*)xptr;
        case 57: return (void*)(QsciLexerCustom*)xptr;
        default: return xptr;
      }
    case 58:   //QsciLexerD
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerD*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerD*)xptr;
        case 58: return (void*)(QsciLexerD*)xptr;
        default: return xptr;
      }
    case 59:   //QsciLexerDiff
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerDiff*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerDiff*)xptr;
        case 59: return (void*)(QsciLexerDiff*)xptr;
        default: return xptr;
      }
    case 60:   //QsciLexerFortran
      switch(to) {
        case 61: return (void*)(QsciLexerFortran77*)(QsciLexerFortran*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerFortran*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerFortran*)xptr;
        case 60: return (void*)(QsciLexerFortran*)xptr;
        default: return xptr;
      }
    case 61:   //QsciLexerFortran77
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerFortran77*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerFortran77*)xptr;
        case 61: return (void*)(QsciLexerFortran77*)xptr;
        case 60: return (void*)(QsciLexerFortran*)(QsciLexerFortran77*)xptr;
        default: return xptr;
      }
    case 62:   //QsciLexerHTML
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerHTML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerHTML*)xptr;
        case 62: return (void*)(QsciLexerHTML*)xptr;
        case 79: return (void*)(QsciLexerXML*)(QsciLexerHTML*)xptr;
        default: return xptr;
      }
    case 63:   //QsciLexerIDL
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerIDL*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerIDL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerIDL*)xptr;
        case 63: return (void*)(QsciLexerIDL*)xptr;
        default: return xptr;
      }
    case 64:   //QsciLexerJava
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerJava*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerJava*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerJava*)xptr;
        case 64: return (void*)(QsciLexerJava*)xptr;
        default: return xptr;
      }
    case 65:   //QsciLexerJavaScript
      switch(to) {
        case 54: return (void*)(QsciLexerCPP*)(QsciLexerJavaScript*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerJavaScript*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerJavaScript*)xptr;
        case 65: return (void*)(QsciLexerJavaScript*)xptr;
        default: return xptr;
      }
    case 66:   //QsciLexerLua
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerLua*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerLua*)xptr;
        case 66: return (void*)(QsciLexerLua*)xptr;
        default: return xptr;
      }
    case 67:   //QsciLexerMakefile
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerMakefile*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerMakefile*)xptr;
        case 67: return (void*)(QsciLexerMakefile*)xptr;
        default: return xptr;
      }
    case 68:   //QsciLexerPOV
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPOV*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPOV*)xptr;
        case 68: return (void*)(QsciLexerPOV*)xptr;
        default: return xptr;
      }
    case 69:   //QsciLexerPascal
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPascal*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPascal*)xptr;
        case 69: return (void*)(QsciLexerPascal*)xptr;
        default: return xptr;
      }
    case 70:   //QsciLexerPerl
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPerl*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPerl*)xptr;
        case 70: return (void*)(QsciLexerPerl*)xptr;
        default: return xptr;
      }
    case 71:   //QsciLexerPostScript
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPostScript*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPostScript*)xptr;
        case 71: return (void*)(QsciLexerPostScript*)xptr;
        default: return xptr;
      }
    case 72:   //QsciLexerProperties
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerProperties*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerProperties*)xptr;
        case 72: return (void*)(QsciLexerProperties*)xptr;
        default: return xptr;
      }
    case 73:   //QsciLexerPython
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerPython*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerPython*)xptr;
        case 73: return (void*)(QsciLexerPython*)xptr;
        default: return xptr;
      }
    case 74:   //QsciLexerRuby
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerRuby*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerRuby*)xptr;
        case 74: return (void*)(QsciLexerRuby*)xptr;
        default: return xptr;
      }
    case 75:   //QsciLexerSQL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerSQL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerSQL*)xptr;
        case 75: return (void*)(QsciLexerSQL*)xptr;
        default: return xptr;
      }
    case 76:   //QsciLexerTCL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerTCL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerTCL*)xptr;
        case 76: return (void*)(QsciLexerTCL*)xptr;
        default: return xptr;
      }
    case 77:   //QsciLexerTeX
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerTeX*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerTeX*)xptr;
        case 77: return (void*)(QsciLexerTeX*)xptr;
        default: return xptr;
      }
    case 78:   //QsciLexerVHDL
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerVHDL*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerVHDL*)xptr;
        case 78: return (void*)(QsciLexerVHDL*)xptr;
        default: return xptr;
      }
    case 79:   //QsciLexerXML
      switch(to) {
        case 62: return (void*)(QsciLexerHTML*)(QsciLexerXML*)xptr;
        case 50: return (void*)(QsciLexer*)(QsciLexerXML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerXML*)xptr;
        case 79: return (void*)(QsciLexerXML*)xptr;
        default: return xptr;
      }
    case 80:   //QsciLexerYAML
      switch(to) {
        case 50: return (void*)(QsciLexer*)(QsciLexerYAML*)xptr;
        case 25: return (void*)(QObject*)(QsciLexerYAML*)xptr;
        case 80: return (void*)(QsciLexerYAML*)xptr;
        default: return xptr;
      }
    case 81:   //QsciMacro
      switch(to) {
        case 25: return (void*)(QObject*)(QsciMacro*)xptr;
        case 81: return (void*)(QsciMacro*)xptr;
        default: return xptr;
      }
    case 82:   //QsciPrinter
      switch(to) {
        case 32: return (void*)(QPrinter*)(QsciPrinter*)xptr;
        case 82: return (void*)(QsciPrinter*)xptr;
        default: return xptr;
      }
    case 83:   //QsciScintilla
      switch(to) {
        case 84: return (void*)(QsciScintillaBase*)(QsciScintilla*)xptr;
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintilla*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintilla*)xptr;
        case 44: return (void*)(QWidget*)(QsciScintilla*)xptr;
        case 25: return (void*)(QObject*)(QsciScintilla*)xptr;
        case 83: return (void*)(QsciScintilla*)xptr;
        default: return xptr;
      }
    case 84:   //QsciScintillaBase
      switch(to) {
        case 1: return (void*)(QAbstractScrollArea*)(QsciScintillaBase*)xptr;
        case 15: return (void*)(QFrame*)(QsciScintillaBase*)xptr;
        case 44: return (void*)(QWidget*)(QsciScintillaBase*)xptr;
        case 25: return (void*)(QObject*)(QsciScintillaBase*)xptr;
        case 84: return (void*)(QsciScintillaBase*)xptr;
        case 83: return (void*)(QsciScintilla*)(QsciScintillaBase*)xptr;
        default: return xptr;
      }
    case 85:   //QsciStyle
      switch(to) {
        case 85: return (void*)(QsciStyle*)xptr;
        default: return xptr;
      }
    case 86:   //QsciStyledText
      switch(to) {
        case 86: return (void*)(QsciStyledText*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    46, 0,	// 1: QsciAbstractAPIs
    25, 0,	// 3: QObject
    50, 0,	// 5: QsciLexer
    54, 0,	// 7: QsciLexerCPP
    61, 0,	// 9: QsciLexerFortran77
    62, 0,	// 11: QsciLexerHTML
    32, 0,	// 13: QPrinter
    84, 0,	// 15: QsciScintillaBase
    1, 0,	// 17: QAbstractScrollArea
};

// These are the xenum functions for manipulating enum pointers
void xenum_QsciScintilla(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciLexerPython(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QsciStyle(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciAbstractAPIs(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommand(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciCommandSet(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexer(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBash(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerBatch(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCMake(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCPP(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSS(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCSharp(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerCustom(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerD(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerDiff(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerFortran77(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerHTML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerIDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJava(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerJavaScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerLua(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerMakefile(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPOV(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPascal(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPerl(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPostScript(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerProperties(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerPython(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerRuby(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerSQL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTCL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerTeX(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerVHDL(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerXML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciLexerYAML(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciMacro(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciPrinter(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintilla(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciScintillaBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_QsciStyledText(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QColor", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFont", true, 0, 0, 0, 0, 0 },	//14
    { "QFrame", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//17
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//18
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//21
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//22
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QObject", true, 0, 0, 0, 0, 0 },	//25
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//26
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//27
    { "QPainter", true, 0, 0, 0, 0, 0 },	//28
    { "QPalette", true, 0, 0, 0, 0, 0 },	//29
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//30
    { "QPoint", true, 0, 0, 0, 0, 0 },	//31
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//32
    { "QRect", true, 0, 0, 0, 0, 0 },	//33
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//34
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QSettings", true, 0, 0, 0, 0, 0 },	//36
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//37
    { "QSize", true, 0, 0, 0, 0, 0 },	//38
    { "QStyle", true, 0, 0, 0, 0, 0 },	//39
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QVariant", true, 0, 0, 0, 0, 0 },	//42
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QWidget", true, 0, 0, 0, 0, 0 },	//44
    { "QsciAPIs", false, 1, xcall_QsciAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAPIs) },	//45
    { "QsciAbstractAPIs", false, 3, xcall_QsciAbstractAPIs, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciAbstractAPIs) },	//46
    { "QsciCommand", false, 0, xcall_QsciCommand, 0, 0, sizeof(QsciCommand) },	//47
    { "QsciCommandSet", false, 0, xcall_QsciCommandSet, 0, 0, sizeof(QsciCommandSet) },	//48
    { "QsciDocument", false, 0, xcall_QsciDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QsciDocument) },	//49
    { "QsciLexer", false, 3, xcall_QsciLexer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexer) },	//50
    { "QsciLexerBash", false, 5, xcall_QsciLexerBash, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBash) },	//51
    { "QsciLexerBatch", false, 5, xcall_QsciLexerBatch, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerBatch) },	//52
    { "QsciLexerCMake", false, 5, xcall_QsciLexerCMake, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCMake) },	//53
    { "QsciLexerCPP", false, 5, xcall_QsciLexerCPP, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCPP) },	//54
    { "QsciLexerCSS", false, 5, xcall_QsciLexerCSS, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSS) },	//55
    { "QsciLexerCSharp", false, 7, xcall_QsciLexerCSharp, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCSharp) },	//56
    { "QsciLexerCustom", false, 5, xcall_QsciLexerCustom, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerCustom) },	//57
    { "QsciLexerD", false, 5, xcall_QsciLexerD, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerD) },	//58
    { "QsciLexerDiff", false, 5, xcall_QsciLexerDiff, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerDiff) },	//59
    { "QsciLexerFortran", false, 9, xcall_QsciLexerFortran, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran) },	//60
    { "QsciLexerFortran77", false, 5, xcall_QsciLexerFortran77, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerFortran77) },	//61
    { "QsciLexerHTML", false, 5, xcall_QsciLexerHTML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerHTML) },	//62
    { "QsciLexerIDL", false, 7, xcall_QsciLexerIDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerIDL) },	//63
    { "QsciLexerJava", false, 7, xcall_QsciLexerJava, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJava) },	//64
    { "QsciLexerJavaScript", false, 7, xcall_QsciLexerJavaScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerJavaScript) },	//65
    { "QsciLexerLua", false, 5, xcall_QsciLexerLua, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerLua) },	//66
    { "QsciLexerMakefile", false, 5, xcall_QsciLexerMakefile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerMakefile) },	//67
    { "QsciLexerPOV", false, 5, xcall_QsciLexerPOV, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPOV) },	//68
    { "QsciLexerPascal", false, 5, xcall_QsciLexerPascal, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPascal) },	//69
    { "QsciLexerPerl", false, 5, xcall_QsciLexerPerl, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPerl) },	//70
    { "QsciLexerPostScript", false, 5, xcall_QsciLexerPostScript, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPostScript) },	//71
    { "QsciLexerProperties", false, 5, xcall_QsciLexerProperties, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerProperties) },	//72
    { "QsciLexerPython", false, 5, xcall_QsciLexerPython, xenum_QsciLexerPython, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerPython) },	//73
    { "QsciLexerRuby", false, 5, xcall_QsciLexerRuby, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerRuby) },	//74
    { "QsciLexerSQL", false, 5, xcall_QsciLexerSQL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerSQL) },	//75
    { "QsciLexerTCL", false, 5, xcall_QsciLexerTCL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTCL) },	//76
    { "QsciLexerTeX", false, 5, xcall_QsciLexerTeX, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerTeX) },	//77
    { "QsciLexerVHDL", false, 5, xcall_QsciLexerVHDL, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerVHDL) },	//78
    { "QsciLexerXML", false, 11, xcall_QsciLexerXML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerXML) },	//79
    { "QsciLexerYAML", false, 5, xcall_QsciLexerYAML, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciLexerYAML) },	//80
    { "QsciMacro", false, 3, xcall_QsciMacro, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciMacro) },	//81
    { "QsciPrinter", false, 13, xcall_QsciPrinter, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciPrinter) },	//82
    { "QsciScintilla", false, 15, xcall_QsciScintilla, xenum_QsciScintilla, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintilla) },	//83
    { "QsciScintillaBase", false, 17, xcall_QsciScintillaBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QsciScintillaBase) },	//84
    { "QsciStyle", false, 0, xcall_QsciStyle, xenum_QsciStyle, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyle) },	//85
    { "QsciStyledText", false, 0, xcall_QsciStyledText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QsciStyledText) },	//86
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//1
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QChildEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QCloseEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QColor", 6, Smoke::t_class|Smoke::tf_stack },	//5
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//6
    { "QDragEnterEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QDragLeaveEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QDragMoveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDropEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QFocusEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QFont", 14, Smoke::t_class|Smoke::tf_stack },	//13
    { "QHideEvent*", 17, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QIODevice*", 18, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QInputMethodEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QList<QsciCommand*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//18
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//19
    { "QMetaObject::Call", 21, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QMimeData*", 22, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QMouseEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QMoveEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//23
    { "QObject*", 25, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QPaintEngine*", 26, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QPaintEvent*", 27, Smoke::t_class|Smoke::tf_ptr },	//27
    { "QPainter&", 28, Smoke::t_class|Smoke::tf_ref },	//28
    { "QPainter*", 28, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QPrinter::PrinterMode", 32, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QRect&", 33, Smoke::t_class|Smoke::tf_ref },	//31
    { "QRegExp&", 34, Smoke::t_class|Smoke::tf_ref },	//32
    { "QResizeEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QSettings&", 36, Smoke::t_class|Smoke::tf_ref },	//34
    { "QShowEvent*", 37, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QSize", 38, Smoke::t_class|Smoke::tf_stack },	//36
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//38
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//39
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//40
    { "QStyle&", 39, Smoke::t_class|Smoke::tf_ref },	//41
    { "QTabletEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QTimerEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QVariant", 42, Smoke::t_class|Smoke::tf_stack },	//44
    { "QWheelEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QWidget*", 44, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QsciAPIs*", 45, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QsciAbstractAPIs*", 46, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QsciCommandSet*", 48, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QsciDocument", 49, Smoke::t_class|Smoke::tf_stack },	//50
    { "QsciDocument&", 49, Smoke::t_class|Smoke::tf_ref },	//51
    { "QsciDocument*", 49, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QsciLexer*", 50, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QsciLexerBash*", 51, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QsciLexerBatch*", 52, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QsciLexerCMake*", 53, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QsciLexerCPP*", 54, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QsciLexerCSS*", 55, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QsciLexerCSharp*", 56, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QsciLexerCustom*", 57, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QsciLexerD*", 58, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QsciLexerDiff*", 59, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QsciLexerFortran*", 60, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QsciLexerFortran77*", 61, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QsciLexerHTML*", 62, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QsciLexerIDL*", 63, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QsciLexerJava*", 64, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QsciLexerJavaScript*", 65, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QsciLexerLua*", 66, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QsciLexerMakefile*", 67, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QsciLexerPOV*", 68, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QsciLexerPascal*", 69, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QsciLexerPerl*", 70, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QsciLexerPostScript*", 71, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QsciLexerProperties*", 72, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QsciLexerPython*", 73, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QsciLexerPython::IndentationWarning", 73, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QsciLexerRuby*", 74, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QsciLexerSQL*", 75, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QsciLexerTCL*", 76, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QsciLexerTeX*", 77, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QsciLexerVHDL*", 78, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QsciLexerXML*", 79, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QsciLexerYAML*", 80, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QsciMacro*", 81, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QsciPrinter*", 82, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QsciScintilla*", 83, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QsciScintilla::AnnotationDisplay", 83, Smoke::t_enum|Smoke::tf_stack },	//88
    { "QsciScintilla::AutoCompletionSource", 83, Smoke::t_enum|Smoke::tf_stack },	//89
    { "QsciScintilla::BraceMatch", 83, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QsciScintilla::CallTipsStyle", 83, Smoke::t_enum|Smoke::tf_stack },	//91
    { "QsciScintilla::EdgeMode", 83, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QsciScintilla::EolMode", 83, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QsciScintilla::FoldStyle", 83, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QsciScintilla::IndentState", 83, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QsciScintilla::MarginType", 83, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QsciScintilla::MarkerSymbol", 83, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QsciScintilla::WhitespaceVisibility", 83, Smoke::t_enum|Smoke::tf_stack },	//98
    { "QsciScintilla::WrapMode", 83, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QsciScintilla::WrapVisualFlag", 83, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QsciScintillaBase*", 84, Smoke::t_class|Smoke::tf_ptr },	//101
    { "QsciStyle*", 85, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QsciStyle::TextCase", 85, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QsciStyledText*", 86, Smoke::t_class|Smoke::tf_ptr },	//104
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::KeyboardModifiers", 0, Smoke::t_uint|Smoke::tf_stack },	//144
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//177
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//178
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//179
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//180
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//181
    { "const QColor&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const QFont&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const QList<QsciStyledText>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const QMetaObject&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const QMetaObject*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//186
    { "const QMimeData*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//187
    { "const QPalette&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const QPixmap&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const QPoint&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const QRect&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QRegExp&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//195
    { "const QsciDocument&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QsciStyle&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QsciStyledText&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//199
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//200
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//201
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//202
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//203
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//204
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//205
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//206
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//207
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//208
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//209
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    11, 0,	//1  QEvent*
    45, 0,	//3  QWheelEvent*
    24, 11, 0,	//5  QObject*, QEvent*
    43, 0,	//8  QTimerEvent*
    3, 0,	//10  QChildEvent*
    199, 0,	//12  const char*
    25, 0,	//14  QPaintDevice::PaintDeviceMetric
    179, 0,	//16  bool
    201, 0,	//18  int
    17, 0,	//20  QKeyEvent*
    23, 0,	//22  QMoveEvent*
    4, 0,	//24  QCloseEvent*
    42, 0,	//26  QTabletEvent*
    1, 0,	//28  QActionEvent*
    35, 0,	//30  QShowEvent*
    14, 0,	//32  QHideEvent*
    178, 0,	//34  _XEvent*
    138, 0,	//36  Qt::InputMethodQuery
    41, 0,	//38  QStyle&
    188, 0,	//40  const QPalette&
    183, 0,	//42  const QFont&
    199, 199, 0,	//44  const char*, const char*
    199, 199, 201, 0,	//47  const char*, const char*, int
    20, 201, 208, 0,	//51  QMetaObject::Call, int, void**
    53, 0,	//55  QsciLexer*
    193, 0,	//57  const QString&
    194, 39, 0,	//59  const QStringList&, QStringList&
    194, 201, 91, 19, 0,	//62  const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&
    34, 199, 0,	//67  QSettings&, const char*
    34, 0,	//70  QSettings&
    196, 0,	//72  const QsciDocument&
    24, 0,	//74  QObject*
    203, 0,	//76  int*
    48, 0,	//78  QsciAbstractAPIs*
    182, 0,	//80  const QColor&
    87, 0,	//82  QsciScintilla*
    182, 201, 0,	//84  const QColor&, int
    179, 201, 0,	//87  bool, int
    183, 201, 0,	//90  const QFont&, int
    34, 193, 0,	//93  QSettings&, const QString&
    24, 179, 0,	//96  QObject*, bool
    201, 201, 0,	//99  int, int
    201, 197, 0,	//102  int, const QsciStyle&
    77, 0,	//105  QsciLexerPython::IndentationWarning
    193, 87, 0,	//107  const QString&, QsciScintilla*
    30, 0,	//110  QPrinter::PrinterMode
    28, 179, 31, 201, 0,	//112  QPainter&, bool, QRect&, int
    101, 201, 201, 0,	//117  QsciScintillaBase*, int, int
    99, 0,	//121  QsciScintilla::WrapMode
    101, 0,	//123  QsciScintillaBase*
    101, 201, 0,	//125  QsciScintillaBase*, int
    46, 0,	//128  QWidget*
    201, 202, 202, 0,	//130  int, int&, int&
    201, 193, 201, 0,	//134  int, const QString&, int
    201, 193, 197, 0,	//138  int, const QString&, const QsciStyle&
    201, 198, 0,	//142  int, const QsciStyledText&
    201, 184, 0,	//145  int, const QList<QsciStyledText>&
    93, 0,	//148  QsciScintilla::EolMode
    193, 179, 179, 179, 179, 179, 201, 201, 179, 0,	//150  const QString&, bool, bool, bool, bool, bool, int, int, bool
    203, 203, 0,	//160  int*, int*
    203, 203, 203, 203, 0,	//163  int*, int*, int*, int*
    180, 0,	//168  char
    190, 0,	//170  const QPoint&
    201, 203, 203, 0,	//172  int, int*, int*
    97, 201, 0,	//176  QsciScintilla::MarkerSymbol, int
    180, 201, 0,	//179  char, int
    189, 201, 0,	//182  const QPixmap&, int
    201, 205, 0,	//185  int, unsigned int
    15, 0,	//188  QIODevice*
    201, 189, 0,	//190  int, const QPixmap&
    182, 182, 0,	//193  const QColor&, const QColor&
    88, 0,	//196  QsciScintilla::AnnotationDisplay
    194, 0,	//198  const QStringList&
    91, 0,	//200  QsciScintilla::CallTipsStyle
    92, 0,	//202  QsciScintilla::EdgeMode
    201, 96, 0,	//204  int, QsciScintilla::MarginType
    100, 100, 201, 0,	//207  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int
    201, 194, 0,	//211  int, const QStringList&
    193, 201, 201, 0,	//214  const QString&, int, int
    89, 0,	//218  QsciScintilla::AutoCompletionSource
    90, 0,	//220  QsciScintilla::BraceMatch
    94, 201, 0,	//222  QsciScintilla::FoldStyle, int
    201, 179, 0,	//225  int, bool
    201, 193, 0,	//228  int, const QString&
    201, 201, 201, 201, 0,	//231  int, int, int, int
    98, 0,	//236  QsciScintilla::WhitespaceVisibility
    201, 201, 144, 0,	//238  int, int, Qt::KeyboardModifiers
    193, 179, 179, 179, 179, 0,	//242  const QString&, bool, bool, bool, bool
    193, 179, 179, 179, 179, 179, 0,	//248  const QString&, bool, bool, bool, bool, bool
    193, 179, 179, 179, 179, 179, 201, 0,	//255  const QString&, bool, bool, bool, bool, bool, int
    193, 179, 179, 179, 179, 179, 201, 201, 0,	//263  const QString&, bool, bool, bool, bool, bool, int, int
    97, 0,	//272  QsciScintilla::MarkerSymbol
    189, 0,	//274  const QPixmap&
    100, 0,	//276  QsciScintilla::WrapVisualFlag
    100, 100, 0,	//278  QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag
    94, 0,	//281  QsciScintilla::FoldStyle
    205, 206, 204, 0,	//283  unsigned int, unsigned long, long
    205, 206, 207, 0,	//287  unsigned int, unsigned long, void*
    205, 206, 199, 0,	//291  unsigned int, unsigned long, const char*
    205, 199, 0,	//295  unsigned int, const char*
    205, 199, 199, 0,	//298  unsigned int, const char*, const char*
    205, 204, 0,	//302  unsigned int, long
    205, 201, 0,	//305  unsigned int, int
    205, 204, 204, 181, 0,	//308  unsigned int, long, long, char*
    205, 206, 182, 0,	//313  unsigned int, unsigned long, const QColor&
    205, 182, 0,	//317  unsigned int, const QColor&
    205, 206, 29, 191, 204, 204, 0,	//320  unsigned int, unsigned long, QPainter*, const QRect&, long, long
    205, 206, 189, 0,	//327  unsigned int, unsigned long, const QPixmap&
    205, 0,	//331  unsigned int
    199, 201, 0,	//333  const char*, int
    201, 201, 201, 0,	//336  int, int, int
    201, 201, 199, 201, 201, 201, 201, 201, 201, 201, 0,	//340  int, int, const char*, int, int, int, int, int, int, int
    187, 0,	//351  const QMimeData*
    6, 0,	//353  QContextMenuEvent*
    7, 0,	//355  QDragEnterEvent*
    8, 0,	//357  QDragLeaveEvent*
    9, 0,	//359  QDragMoveEvent*
    10, 0,	//361  QDropEvent*
    12, 0,	//363  QFocusEvent*
    16, 0,	//365  QInputMethodEvent*
    22, 0,	//367  QMouseEvent*
    27, 0,	//369  QPaintEvent*
    33, 0,	//371  QResizeEvent*
    205, 206, 0,	//373  unsigned int, unsigned long
    201, 193, 182, 182, 183, 179, 0,	//376  int, const QString&, const QColor&, const QColor&, const QFont&, bool
    103, 0,	//383  QsciStyle::TextCase
    197, 0,	//385  const QsciStyle&
    201, 193, 182, 182, 183, 0,	//387  int, const QString&, const QColor&, const QColor&, const QFont&
    193, 201, 0,	//393  const QString&, int
    193, 197, 0,	//396  const QString&, const QsciStyle&
    198, 0,	//399  const QsciStyledText&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "A0",	//1
    "A1",	//2
    "A2",	//3
    "A3",	//4
    "A4",	//5
    "A5",	//6
    "A6",	//7
    "A7",	//8
    "A8",	//9
    "A9",	//10
    "ASPAtStart",	//11
    "ASPJavaScriptComment",	//12
    "ASPJavaScriptCommentDoc",	//13
    "ASPJavaScriptCommentLine",	//14
    "ASPJavaScriptDefault",	//15
    "ASPJavaScriptDoubleQuotedString",	//16
    "ASPJavaScriptKeyword",	//17
    "ASPJavaScriptNumber",	//18
    "ASPJavaScriptRegex",	//19
    "ASPJavaScriptSingleQuotedString",	//20
    "ASPJavaScriptStart",	//21
    "ASPJavaScriptSymbol",	//22
    "ASPJavaScriptUnclosedString",	//23
    "ASPJavaScriptWord",	//24
    "ASPPythonClassName",	//25
    "ASPPythonComment",	//26
    "ASPPythonDefault",	//27
    "ASPPythonDoubleQuotedString",	//28
    "ASPPythonFunctionMethodName",	//29
    "ASPPythonIdentifier",	//30
    "ASPPythonKeyword",	//31
    "ASPPythonNumber",	//32
    "ASPPythonOperator",	//33
    "ASPPythonSingleQuotedString",	//34
    "ASPPythonStart",	//35
    "ASPPythonTripleDoubleQuotedString",	//36
    "ASPPythonTripleSingleQuotedString",	//37
    "ASPStart",	//38
    "ASPVBScriptComment",	//39
    "ASPVBScriptDefault",	//40
    "ASPVBScriptIdentifier",	//41
    "ASPVBScriptKeyword",	//42
    "ASPVBScriptNumber",	//43
    "ASPVBScriptStart",	//44
    "ASPVBScriptString",	//45
    "ASPVBScriptUnclosedString",	//46
    "ASPXCComment",	//47
    "Aborted",	//48
    "AcsAPIs",	//49
    "AcsAll",	//50
    "AcsDocument",	//51
    "AcsNone",	//52
    "Active",	//53
    "AiClosing",	//54
    "AiMaintain",	//55
    "AiOpening",	//56
    "AllPages",	//57
    "AnnotationBoxed",	//58
    "AnnotationHidden",	//59
    "AnnotationStandard",	//60
    "Array",	//61
    "ArrayParenthesis",	//62
    "Asm",	//63
    "Assignment",	//64
    "AtRule",	//65
    "Attribute",	//66
    "Auto",	//67
    "B0",	//68
    "B1",	//69
    "B10",	//70
    "B2",	//71
    "B3",	//72
    "B4",	//73
    "B5",	//74
    "B6",	//75
    "B7",	//76
    "B8",	//77
    "B9",	//78
    "Background",	//79
    "BacktickHereDocument",	//80
    "Backticks",	//81
    "BadDirective",	//82
    "BadStringCharacter",	//83
    "Base85String",	//84
    "BasicFunctions",	//85
    "BlockForeach",	//86
    "BlockIf",	//87
    "BlockMacro",	//88
    "BlockWhile",	//89
    "BottomLeftCorner",	//90
    "Box",	//91
    "BoxedFoldStyle",	//92
    "BoxedMinus",	//93
    "BoxedMinusConnected",	//94
    "BoxedPlus",	//95
    "BoxedPlusConnected",	//96
    "BoxedTreeFoldStyle",	//97
    "C5E",	//98
    "CDATA",	//99
    "CSS1Property",	//100
    "CSS2Property",	//101
    "CSS3Property",	//102
    "CallTipsContext",	//103
    "CallTipsNoAutoCompletionContext",	//104
    "CallTipsNoContext",	//105
    "CallTipsNone",	//106
    "Cassette",	//107
    "Character",	//108
    "Cicero",	//109
    "Circle",	//110
    "CircledFoldStyle",	//111
    "CircledMinus",	//112
    "CircledMinusConnected",	//113
    "CircledPlus",	//114
    "CircledPlusConnected",	//115
    "CircledTreeFoldStyle",	//116
    "ClassName",	//117
    "ClassSelector",	//118
    "ClassVariable",	//119
    "Color",	//120
    "Comm10E",	//121
    "Command",	//122
    "Comment",	//123
    "CommentBlock",	//124
    "CommentBox",	//125
    "CommentDoc",	//126
    "CommentDocKeyword",	//127
    "CommentDocKeywordError",	//128
    "CommentLine",	//129
    "CommentLineDoc",	//130
    "CommentLineHash",	//131
    "CommentNested",	//132
    "CommentParenthesis",	//133
    "Continuation",	//134
    "CoroutinesIOSystemFacilities",	//135
    "CurrentPage",	//136
    "Custom",	//137
    "DLE",	//138
    "DSCComment",	//139
    "DSCCommentValue",	//140
    "DataSection",	//141
    "Decorator",	//142
    "Default",	//143
    "DefaultValue",	//144
    "DemotedKeyword",	//145
    "DevicePixel",	//146
    "DictionaryParenthesis",	//147
    "Didot",	//148
    "Directive",	//149
    "DocumentDelimiter",	//150
    "DottedOperator",	//151
    "DoubleQuotedHereDocument",	//152
    "DoubleQuotedString",	//153
    "DownTriangle",	//154
    "DrawChildren",	//155
    "DrawWindowBackground",	//156
    "DuplexAuto",	//157
    "DuplexLongSide",	//158
    "DuplexNone",	//159
    "DuplexShortSide",	//160
    "EdgeBackground",	//161
    "EdgeLine",	//162
    "EdgeNone",	//163
    "Entity",	//164
    "Envelope",	//165
    "EnvelopeManual",	//166
    "EolMac",	//167
    "EolUnix",	//168
    "EolWindows",	//169
    "Error",	//170
    "Executive",	//171
    "ExpandKeyword",	//172
    "ExtendedCSSProperty",	//173
    "ExtendedFunction",	//174
    "ExtendedPseudoClass",	//175
    "ExtendedPseudoElement",	//176
    "ExternalCommand",	//177
    "FirstPageFirst",	//178
    "Folio",	//179
    "FormSource",	//180
    "FormatBody",	//181
    "FormatIdentifier",	//182
    "Function",	//183
    "FunctionMethodName",	//184
    "Global",	//185
    "GlobalClass",	//186
    "GrayScale",	//187
    "Group",	//188
    "HLine",	//189
    "HTMLComment",	//190
    "HTMLDoubleQuotedString",	//191
    "HTMLNumber",	//192
    "HTMLSingleQuotedString",	//193
    "HTMLValue",	//194
    "Hash",	//195
    "Header",	//196
    "HereDocument",	//197
    "HereDocumentDelimiter",	//198
    "HexNumber",	//199
    "HexString",	//200
    "HideCommandChar",	//201
    "HighResolution",	//202
    "HighlightedIdentifier",	//203
    "IDSelector",	//204
    "ITCLKeyword",	//205
    "Identifier",	//206
    "Idle",	//207
    "IgnoreMask",	//208
    "ImmediateEvalLiteral",	//209
    "Important",	//210
    "Inch",	//211
    "Inconsistent",	//212
    "InstanceVariable",	//213
    "IntrinsicFunction",	//214
    "Invisible",	//215
    "JavaScriptComment",	//216
    "JavaScriptCommentDoc",	//217
    "JavaScriptCommentLine",	//218
    "JavaScriptDefault",	//219
    "JavaScriptDoubleQuotedString",	//220
    "JavaScriptKeyword",	//221
    "JavaScriptNumber",	//222
    "JavaScriptRegex",	//223
    "JavaScriptSingleQuotedString",	//224
    "JavaScriptStart",	//225
    "JavaScriptSymbol",	//226
    "JavaScriptUnclosedString",	//227
    "JavaScriptWord",	//228
    "Keyword",	//229
    "KeywordDoc",	//230
    "KeywordSecondary",	//231
    "KeywordSet2",	//232
    "KeywordSet3",	//233
    "KeywordSet5",	//234
    "KeywordSet6",	//235
    "KeywordSet7",	//236
    "KeywordSet8",	//237
    "KeywordSet9",	//238
    "Label",	//239
    "Landscape",	//240
    "LargeCapacity",	//241
    "LargeFormat",	//242
    "LastPageFirst",	//243
    "Ledger",	//244
    "LeftSideRoundedSplitter",	//245
    "LeftSideSplitter",	//246
    "Legal",	//247
    "Letter",	//248
    "LineAdded",	//249
    "LineChanged",	//250
    "LineComment",	//251
    "LineRemoved",	//252
    "Literal",	//253
    "LiteralString",	//254
    "Lower",	//255
    "LowerCase",	//256
    "Manual",	//257
    "MaxPageSource",	//258
    "Middle",	//259
    "Millimeter",	//260
    "Minus",	//261
    "Modifier",	//262
    "ModuleName",	//263
    "NPageSize",	//264
    "NPaperSize",	//265
    "Name",	//266
    "NativeFormat",	//267
    "NoBraceMatch",	//268
    "NoFoldStyle",	//269
    "NoFrame",	//270
    "NoWarning",	//271
    "Number",	//272
    "NumberMargin",	//273
    "ObjectsCSGAppearance",	//274
    "OnlyOne",	//275
    "Operator",	//276
    "OriginalCase",	//277
    "OtherInTag",	//278
    "PHPComment",	//279
    "PHPCommentLine",	//280
    "PHPDefault",	//281
    "PHPDoubleQuotedString",	//282
    "PHPDoubleQuotedVariable",	//283
    "PHPKeyword",	//284
    "PHPNumber",	//285
    "PHPOperator",	//286
    "PHPSingleQuotedString",	//287
    "PHPStart",	//288
    "PHPVariable",	//289
    "POD",	//290
    "PODVerbatim",	//291
    "PageRange",	//292
    "Panel",	//293
    "ParameterExpansion",	//294
    "PdfFormat",	//295
    "PercentStringQ",	//296
    "PercentStringq",	//297
    "PercentStringr",	//298
    "PercentStringw",	//299
    "PercentStringx",	//300
    "Pica",	//301
    "Plain",	//302
    "PlainFoldStyle",	//303
    "Plus",	//304
    "PlusComment",	//305
    "PlusKeyword",	//306
    "PlusPrompt",	//307
    "Point",	//308
    "Portrait",	//309
    "Position",	//310
    "PostScriptFormat",	//311
    "PreProcessor",	//312
    "PreProcessorParenthesis",	//313
    "PredefinedFunctions",	//314
    "PredefinedIdentifiers",	//315
    "Preprocessor",	//316
    "PrinterResolution",	//317
    "ProcedureParenthesis",	//318
    "PseudoClass",	//319
    "PseudoElement",	//320
    "PythonClassName",	//321
    "PythonComment",	//322
    "PythonDefault",	//323
    "PythonDoubleQuotedString",	//324
    "PythonFunctionMethodName",	//325
    "PythonIdentifier",	//326
    "PythonKeyword",	//327
    "PythonNumber",	//328
    "PythonOperator",	//329
    "PythonSingleQuotedString",	//330
    "PythonStart",	//331
    "PythonTripleDoubleQuotedString",	//332
    "PythonTripleSingleQuotedString",	//333
    "QSCN_SELCHANGED",	//334
    "QSCN_SELCHANGED$",	//335
    "Q_COMPLEX_TYPE",	//336
    "Q_DUMMY_TYPE",	//337
    "Q_MOVABLE_TYPE",	//338
    "Q_PRIMITIVE_TYPE",	//339
    "Q_STATIC_TYPE",	//340
    "QsciAPIs",	//341
    "QsciAPIs#",	//342
    "QsciAbstractAPIs",	//343
    "QsciAbstractAPIs#",	//344
    "QsciDocument",	//345
    "QsciDocument#",	//346
    "QsciLexer",	//347
    "QsciLexer#",	//348
    "QsciLexerBash",	//349
    "QsciLexerBash#",	//350
    "QsciLexerBatch",	//351
    "QsciLexerBatch#",	//352
    "QsciLexerCMake",	//353
    "QsciLexerCMake#",	//354
    "QsciLexerCPP",	//355
    "QsciLexerCPP#",	//356
    "QsciLexerCPP#$",	//357
    "QsciLexerCSS",	//358
    "QsciLexerCSS#",	//359
    "QsciLexerCSharp",	//360
    "QsciLexerCSharp#",	//361
    "QsciLexerCustom",	//362
    "QsciLexerCustom#",	//363
    "QsciLexerD",	//364
    "QsciLexerD#",	//365
    "QsciLexerDiff",	//366
    "QsciLexerDiff#",	//367
    "QsciLexerFortran",	//368
    "QsciLexerFortran#",	//369
    "QsciLexerFortran77",	//370
    "QsciLexerFortran77#",	//371
    "QsciLexerHTML",	//372
    "QsciLexerHTML#",	//373
    "QsciLexerIDL",	//374
    "QsciLexerIDL#",	//375
    "QsciLexerJava",	//376
    "QsciLexerJava#",	//377
    "QsciLexerJavaScript",	//378
    "QsciLexerJavaScript#",	//379
    "QsciLexerLua",	//380
    "QsciLexerLua#",	//381
    "QsciLexerMakefile",	//382
    "QsciLexerMakefile#",	//383
    "QsciLexerPOV",	//384
    "QsciLexerPOV#",	//385
    "QsciLexerPascal",	//386
    "QsciLexerPascal#",	//387
    "QsciLexerPerl",	//388
    "QsciLexerPerl#",	//389
    "QsciLexerPostScript",	//390
    "QsciLexerPostScript#",	//391
    "QsciLexerProperties",	//392
    "QsciLexerProperties#",	//393
    "QsciLexerPython",	//394
    "QsciLexerPython#",	//395
    "QsciLexerRuby",	//396
    "QsciLexerRuby#",	//397
    "QsciLexerSQL",	//398
    "QsciLexerSQL#",	//399
    "QsciLexerTCL",	//400
    "QsciLexerTCL#",	//401
    "QsciLexerTeX",	//402
    "QsciLexerTeX#",	//403
    "QsciLexerVHDL",	//404
    "QsciLexerVHDL#",	//405
    "QsciLexerXML",	//406
    "QsciLexerXML#",	//407
    "QsciLexerYAML",	//408
    "QsciLexerYAML#",	//409
    "QsciMacro",	//410
    "QsciMacro#",	//411
    "QsciMacro$#",	//412
    "QsciPrinter",	//413
    "QsciPrinter$",	//414
    "QsciScintilla",	//415
    "QsciScintilla#",	//416
    "QsciScintillaBase",	//417
    "QsciScintillaBase#",	//418
    "QsciStyle",	//419
    "QsciStyle#",	//420
    "QsciStyle$",	//421
    "QsciStyle$$###",	//422
    "QsciStyle$$###$",	//423
    "QsciStyledText",	//424
    "QsciStyledText#",	//425
    "QsciStyledText$#",	//426
    "QsciStyledText$$",	//427
    "QtCriticalMsg",	//428
    "QtDebugMsg",	//429
    "QtFatalMsg",	//430
    "QtSystemMsg",	//431
    "QtWarningMsg",	//432
    "QuotedKeyword",	//433
    "QuotedString",	//434
    "QuotedStringQ",	//435
    "QuotedStringQQ",	//436
    "QuotedStringQR",	//437
    "QuotedStringQW",	//438
    "QuotedStringQX",	//439
    "Raised",	//440
    "Rectangle",	//441
    "Reference",	//442
    "Regex",	//443
    "RightArrow",	//444
    "RightTriangle",	//445
    "RoundedBottomLeftCorner",	//446
    "SCEN_CHANGE",	//447
    "SCLEX_ABAQUS",	//448
    "SCLEX_ADA",	//449
    "SCLEX_APDL",	//450
    "SCLEX_ASM",	//451
    "SCLEX_ASN1",	//452
    "SCLEX_ASP",	//453
    "SCLEX_ASYMPTOTE",	//454
    "SCLEX_AU3",	//455
    "SCLEX_AVE",	//456
    "SCLEX_BAAN",	//457
    "SCLEX_BASH",	//458
    "SCLEX_BATCH",	//459
    "SCLEX_BLITZBASIC",	//460
    "SCLEX_BULLANT",	//461
    "SCLEX_CAML",	//462
    "SCLEX_CLW",	//463
    "SCLEX_CLWNOCASE",	//464
    "SCLEX_CMAKE",	//465
    "SCLEX_COBOL",	//466
    "SCLEX_CONF",	//467
    "SCLEX_CONTAINER",	//468
    "SCLEX_CPP",	//469
    "SCLEX_CPPNOCASE",	//470
    "SCLEX_CSOUND",	//471
    "SCLEX_CSS",	//472
    "SCLEX_D",	//473
    "SCLEX_DIFF",	//474
    "SCLEX_EIFFEL",	//475
    "SCLEX_EIFFELKW",	//476
    "SCLEX_ERLANG",	//477
    "SCLEX_ERRORLIST",	//478
    "SCLEX_ESCRIPT",	//479
    "SCLEX_F77",	//480
    "SCLEX_FLAGSHIP",	//481
    "SCLEX_FORTH",	//482
    "SCLEX_FORTRAN",	//483
    "SCLEX_FREEBASIC",	//484
    "SCLEX_GAP",	//485
    "SCLEX_GUI4CLI",	//486
    "SCLEX_HASKELL",	//487
    "SCLEX_HTML",	//488
    "SCLEX_INNOSETUP",	//489
    "SCLEX_KIX",	//490
    "SCLEX_LATEX",	//491
    "SCLEX_LISP",	//492
    "SCLEX_LOT",	//493
    "SCLEX_LOUT",	//494
    "SCLEX_LUA",	//495
    "SCLEX_MAGIK",	//496
    "SCLEX_MAKEFILE",	//497
    "SCLEX_MATLAB",	//498
    "SCLEX_METAPOST",	//499
    "SCLEX_MMIXAL",	//500
    "SCLEX_MSSQL",	//501
    "SCLEX_MYSQL",	//502
    "SCLEX_NIMROD",	//503
    "SCLEX_NNCRONTAB",	//504
    "SCLEX_NSIS",	//505
    "SCLEX_NULL",	//506
    "SCLEX_OCTAVE",	//507
    "SCLEX_OPAL",	//508
    "SCLEX_PASCAL",	//509
    "SCLEX_PERL",	//510
    "SCLEX_PHP",	//511
    "SCLEX_PHPSCRIPT",	//512
    "SCLEX_PLM",	//513
    "SCLEX_PO",	//514
    "SCLEX_POV",	//515
    "SCLEX_POWERBASIC",	//516
    "SCLEX_POWERPRO",	//517
    "SCLEX_POWERSHELL",	//518
    "SCLEX_PROGRESS",	//519
    "SCLEX_PROPERTIES",	//520
    "SCLEX_PS",	//521
    "SCLEX_PUREBASIC",	//522
    "SCLEX_PYTHON",	//523
    "SCLEX_R",	//524
    "SCLEX_REBOL",	//525
    "SCLEX_RUBY",	//526
    "SCLEX_SCRIPTOL",	//527
    "SCLEX_SMALLTALK",	//528
    "SCLEX_SML",	//529
    "SCLEX_SORCUS",	//530
    "SCLEX_SPECMAN",	//531
    "SCLEX_SPICE",	//532
    "SCLEX_SQL",	//533
    "SCLEX_TACL",	//534
    "SCLEX_TADS3",	//535
    "SCLEX_TAL",	//536
    "SCLEX_TCL",	//537
    "SCLEX_TEX",	//538
    "SCLEX_VB",	//539
    "SCLEX_VBSCRIPT",	//540
    "SCLEX_VERILOG",	//541
    "SCLEX_VHDL",	//542
    "SCLEX_XML",	//543
    "SCLEX_YAML",	//544
    "SCN_AUTOCCANCELLED",	//545
    "SCN_AUTOCCHARDELETED",	//546
    "SCN_AUTOCSELECTION",	//547
    "SCN_AUTOCSELECTION$$",	//548
    "SCN_CALLTIPCLICK",	//549
    "SCN_CALLTIPCLICK$",	//550
    "SCN_CHARADDED",	//551
    "SCN_CHARADDED$",	//552
    "SCN_DOUBLECLICK",	//553
    "SCN_DOUBLECLICK$$$",	//554
    "SCN_DWELLEND",	//555
    "SCN_DWELLEND$$$",	//556
    "SCN_DWELLSTART",	//557
    "SCN_DWELLSTART$$$",	//558
    "SCN_HOTSPOTCLICK",	//559
    "SCN_HOTSPOTCLICK$$",	//560
    "SCN_HOTSPOTDOUBLECLICK",	//561
    "SCN_HOTSPOTDOUBLECLICK$$",	//562
    "SCN_INDICATORCLICK",	//563
    "SCN_INDICATORCLICK$$",	//564
    "SCN_INDICATORRELEASE",	//565
    "SCN_INDICATORRELEASE$$",	//566
    "SCN_MACRORECORD",	//567
    "SCN_MACRORECORD$$$",	//568
    "SCN_MARGINCLICK",	//569
    "SCN_MARGINCLICK$$$",	//570
    "SCN_MODIFIED",	//571
    "SCN_MODIFIED$$$$$$$$$$",	//572
    "SCN_MODIFYATTEMPTRO",	//573
    "SCN_NEEDSHOWN",	//574
    "SCN_NEEDSHOWN$$",	//575
    "SCN_PAINTED",	//576
    "SCN_SAVEPOINTLEFT",	//577
    "SCN_SAVEPOINTREACHED",	//578
    "SCN_STYLENEEDED",	//579
    "SCN_STYLENEEDED$",	//580
    "SCN_UPDATEUI",	//581
    "SCN_USERLISTSELECTION",	//582
    "SCN_USERLISTSELECTION$$",	//583
    "SCN_ZOOM",	//584
    "SGMLBlockDefault",	//585
    "SGMLCommand",	//586
    "SGMLComment",	//587
    "SGMLDefault",	//588
    "SGMLDoubleQuotedString",	//589
    "SGMLEntity",	//590
    "SGMLError",	//591
    "SGMLParameter",	//592
    "SGMLParameterComment",	//593
    "SGMLSingleQuotedString",	//594
    "SGMLSpecial",	//595
    "Scalar",	//596
    "ScreenResolution",	//597
    "Script",	//598
    "Section",	//599
    "Selection",	//600
    "SendScintilla",	//601
    "SendScintilla$",	//602
    "SendScintilla$#",	//603
    "SendScintilla$$",	//604
    "SendScintilla$$#",	//605
    "SendScintilla$$##$$",	//606
    "SendScintilla$$$",	//607
    "SendScintilla$$$$",	//608
    "SendScintillaPtrResult",	//609
    "SendScintillaPtrResult$",	//610
    "Shadow_Mask",	//611
    "Shape_Mask",	//612
    "SingleQuotedHereDocument",	//613
    "SingleQuotedString",	//614
    "SloppyBraceMatch",	//615
    "SmallFormat",	//616
    "SmallRectangle",	//617
    "Spaces",	//618
    "Special",	//619
    "StandardFunction",	//620
    "StandardOperator",	//621
    "StandardPackage",	//622
    "StandardType",	//623
    "Stderr",	//624
    "Stdin",	//625
    "Stdout",	//626
    "StrictBraceMatch",	//627
    "String",	//628
    "StringLeftQuote",	//629
    "StringRightQuote",	//630
    "StringTableMathsFunctions",	//631
    "StringVariable",	//632
    "StyledPanel",	//633
    "SubroutinePrototype",	//634
    "Substitution",	//635
    "SubstitutionBrace",	//636
    "Sunken",	//637
    "Symbol",	//638
    "SymbolMargin",	//639
    "SymbolMarginDefaultBackgroundColor",	//640
    "SymbolMarginDefaultForegroundColor",	//641
    "SymbolTable",	//642
    "SyntaxErrorMarker",	//643
    "TCLKeyword",	//644
    "Tabloid",	//645
    "Tabs",	//646
    "TabsAfterSpaces",	//647
    "Tag",	//648
    "Target",	//649
    "Text",	//650
    "TextBlockMarker",	//651
    "TextMargin",	//652
    "TextMarginRightJustified",	//653
    "ThreeDots",	//654
    "ThreeRightArrows",	//655
    "TkCommand",	//656
    "TkKeyword",	//657
    "Tractor",	//658
    "TripleDoubleQuotedString",	//659
    "TripleSingleQuotedString",	//660
    "Typedefs",	//661
    "TypesModifiersItems",	//662
    "UUID",	//663
    "UnclosedString",	//664
    "UnknownAttribute",	//665
    "UnknownProperty",	//666
    "UnknownPseudoClass",	//667
    "UnknownTag",	//668
    "UpperCase",	//669
    "VBScriptComment",	//670
    "VBScriptDefault",	//671
    "VBScriptIdentifier",	//672
    "VBScriptKeyword",	//673
    "VBScriptNumber",	//674
    "VBScriptStart",	//675
    "VBScriptString",	//676
    "VBScriptUnclosedString",	//677
    "VLine",	//678
    "Value",	//679
    "Variable",	//680
    "VerbatimString",	//681
    "VerticalLine",	//682
    "WinPanel",	//683
    "WrapCharacter",	//684
    "WrapFlagByBorder",	//685
    "WrapFlagByText",	//686
    "WrapFlagNone",	//687
    "WrapNone",	//688
    "WrapWord",	//689
    "WsInvisible",	//690
    "WsVisible",	//691
    "WsVisibleAfterIndent",	//692
    "XMLEnd",	//693
    "XMLStart",	//694
    "XMLTagEnd",	//695
    "actionEvent",	//696
    "add",	//697
    "add$",	//698
    "alternateKey",	//699
    "annotate",	//700
    "annotate$#",	//701
    "annotate$$#",	//702
    "annotate$$$",	//703
    "annotate$?",	//704
    "annotation",	//705
    "annotation$",	//706
    "annotationDisplay",	//707
    "apiContext",	//708
    "apiContext$$$",	//709
    "apiPreparationCancelled",	//710
    "apiPreparationFinished",	//711
    "apiPreparationStarted",	//712
    "apis",	//713
    "append",	//714
    "append$",	//715
    "autoCompleteFromAPIs",	//716
    "autoCompleteFromAll",	//717
    "autoCompleteFromDocument",	//718
    "autoCompletionCaseSensitivity",	//719
    "autoCompletionFillups",	//720
    "autoCompletionFillupsEnabled",	//721
    "autoCompletionReplaceWord",	//722
    "autoCompletionSelected",	//723
    "autoCompletionSelected$",	//724
    "autoCompletionShowSingle",	//725
    "autoCompletionSource",	//726
    "autoCompletionThreshold",	//727
    "autoCompletionWordSeparators",	//728
    "autoIndent",	//729
    "autoIndentStyle",	//730
    "backslashEscapes",	//731
    "backspaceUnindents",	//732
    "beginUndoAction",	//733
    "blockEnd",	//734
    "blockEnd$",	//735
    "blockLookback",	//736
    "blockStart",	//737
    "blockStart$",	//738
    "blockStartKeyword",	//739
    "blockStartKeyword$",	//740
    "braceMatching",	//741
    "braceStyle",	//742
    "callTip",	//743
    "callTips",	//744
    "callTips?$$?",	//745
    "callTipsStyle",	//746
    "callTipsVisible",	//747
    "canInsertFromMimeData",	//748
    "canInsertFromMimeData#",	//749
    "cancelList",	//750
    "cancelPreparation",	//751
    "caseSensitive",	//752
    "caseSensitiveTags",	//753
    "changeEvent",	//754
    "changeable",	//755
    "childEvent",	//756
    "clear",	//757
    "clearAlternateKeys",	//758
    "clearAnnotations",	//759
    "clearAnnotations$",	//760
    "clearFolds",	//761
    "clearKeys",	//762
    "clearMarginText",	//763
    "clearMarginText$",	//764
    "clearRegisteredImages",	//765
    "closeEvent",	//766
    "color",	//767
    "color$",	//768
    "colorChanged",	//769
    "colorChanged#$",	//770
    "commands",	//771
    "connectNotify",	//772
    "contextMenuEvent",	//773
    "contextMenuEvent#",	//774
    "convertEols",	//775
    "convertEols$",	//776
    "copy",	//777
    "copyAvailable",	//778
    "copyAvailable$",	//779
    "cursorPositionChanged",	//780
    "cursorPositionChanged$$",	//781
    "customEvent",	//782
    "cut",	//783
    "defaultColor",	//784
    "defaultColor$",	//785
    "defaultEolFill",	//786
    "defaultEolFill$",	//787
    "defaultFont",	//788
    "defaultFont$",	//789
    "defaultPaper",	//790
    "defaultPaper$",	//791
    "defaultPreparedName",	//792
    "defaultStyle",	//793
    "description",	//794
    "description$",	//795
    "devType",	//796
    "disconnectNotify",	//797
    "document",	//798
    "dollarsAllowed",	//799
    "dragEnterEvent",	//800
    "dragEnterEvent#",	//801
    "dragLeaveEvent",	//802
    "dragLeaveEvent#",	//803
    "dragMoveEvent",	//804
    "dragMoveEvent#",	//805
    "dropEvent",	//806
    "dropEvent#",	//807
    "edgeColor",	//808
    "edgeColumn",	//809
    "edgeMode",	//810
    "editor",	//811
    "enabledChange",	//812
    "endRecording",	//813
    "endUndoAction",	//814
    "ensureCursorVisible",	//815
    "ensureLineVisible",	//816
    "ensureLineVisible$",	//817
    "enterEvent",	//818
    "eolFill",	//819
    "eolFill$",	//820
    "eolFillChanged",	//821
    "eolFillChanged$$",	//822
    "eolMode",	//823
    "eolVisibility",	//824
    "event",	//825
    "event#",	//826
    "eventFilter",	//827
    "findFirst",	//828
    "findFirst$$$$$",	//829
    "findFirst$$$$$$",	//830
    "findFirst$$$$$$$",	//831
    "findFirst$$$$$$$$",	//832
    "findFirst$$$$$$$$$",	//833
    "findNext",	//834
    "firstVisibleLine",	//835
    "focusInEvent",	//836
    "focusInEvent#",	//837
    "focusNextPrevChild",	//838
    "focusNextPrevChild$",	//839
    "focusOutEvent",	//840
    "focusOutEvent#",	//841
    "foldAll",	//842
    "foldAll$",	//843
    "foldAtBegin",	//844
    "foldAtElse",	//845
    "foldAtParenthesis",	//846
    "foldComments",	//847
    "foldCompact",	//848
    "foldDirectives",	//849
    "foldLine",	//850
    "foldLine$",	//851
    "foldPODBlocks",	//852
    "foldPackages",	//853
    "foldPreprocessor",	//854
    "foldQuotes",	//855
    "foldScriptComments",	//856
    "foldScriptHeredocs",	//857
    "folding",	//858
    "font",	//859
    "font$",	//860
    "fontChange",	//861
    "fontChanged",	//862
    "fontChanged#$",	//863
    "formatPage",	//864
    "formatPage#$#$",	//865
    "fromMimeData",	//866
    "fromMimeData#",	//867
    "getCursorPosition",	//868
    "getCursorPosition$$",	//869
    "getSelection",	//870
    "getSelection$$$$",	//871
    "hasSelectedText",	//872
    "heightForWidth",	//873
    "hideEvent",	//874
    "hotspot",	//875
    "indent",	//876
    "indent$",	//877
    "indentation",	//878
    "indentation$",	//879
    "indentationGuideView",	//880
    "indentationGuides",	//881
    "indentationWarning",	//882
    "indentationWidth",	//883
    "indentationsUseTabs",	//884
    "inputMethodEvent",	//885
    "inputMethodEvent#",	//886
    "inputMethodQuery",	//887
    "insert",	//888
    "insert$",	//889
    "insertAt",	//890
    "insertAt$$$",	//891
    "installedAPIFiles",	//892
    "isCallTipActive",	//893
    "isListActive",	//894
    "isModified",	//895
    "isPrepared",	//896
    "isPrepared$",	//897
    "isReadOnly",	//898
    "isRedoAvailable",	//899
    "isUndoAvailable",	//900
    "isUtf8",	//901
    "isWordCharacter",	//902
    "isWordCharacter$",	//903
    "key",	//904
    "keyPressEvent",	//905
    "keyPressEvent#",	//906
    "keyReleaseEvent",	//907
    "keywords",	//908
    "keywords$",	//909
    "language",	//910
    "languageChange",	//911
    "leaveEvent",	//912
    "length",	//913
    "level",	//914
    "lexer",	//915
    "lexerId",	//916
    "lineAt",	//917
    "lineAt#",	//918
    "lineIndexFromPosition",	//919
    "lineIndexFromPosition$$$",	//920
    "lineLength",	//921
    "lineLength$",	//922
    "lines",	//923
    "linesChanged",	//924
    "load",	//925
    "load$",	//926
    "loadPrepared",	//927
    "loadPrepared$",	//928
    "magnification",	//929
    "marginClicked",	//930
    "marginClicked$$$",	//931
    "marginLineNumbers",	//932
    "marginLineNumbers$",	//933
    "marginMarkerMask",	//934
    "marginMarkerMask$",	//935
    "marginSensitivity",	//936
    "marginSensitivity$",	//937
    "marginType",	//938
    "marginType$",	//939
    "marginWidth",	//940
    "marginWidth$",	//941
    "markerAdd",	//942
    "markerAdd$$",	//943
    "markerDefine",	//944
    "markerDefine#",	//945
    "markerDefine#$",	//946
    "markerDefine$",	//947
    "markerDefine$$",	//948
    "markerDelete",	//949
    "markerDelete$",	//950
    "markerDelete$$",	//951
    "markerDeleteAll",	//952
    "markerDeleteAll$",	//953
    "markerDeleteHandle",	//954
    "markerDeleteHandle$",	//955
    "markerFindNext",	//956
    "markerFindNext$$",	//957
    "markerFindPrevious",	//958
    "markerFindPrevious$$",	//959
    "markerLine",	//960
    "markerLine$",	//961
    "markersAtLine",	//962
    "markersAtLine$",	//963
    "metaObject",	//964
    "metric",	//965
    "minimumSizeHint",	//966
    "modificationAttempted",	//967
    "modificationChanged",	//968
    "modificationChanged$",	//969
    "mouseDoubleClickEvent",	//970
    "mouseDoubleClickEvent#",	//971
    "mouseMoveEvent",	//972
    "mouseMoveEvent#",	//973
    "mousePressEvent",	//974
    "mousePressEvent#",	//975
    "mouseReleaseEvent",	//976
    "mouseReleaseEvent#",	//977
    "moveEvent",	//978
    "moveToMatchingBrace",	//979
    "operator=",	//980
    "operator=#",	//981
    "paintEngine",	//982
    "paintEvent",	//983
    "paintEvent#",	//984
    "paletteChange",	//985
    "paper",	//986
    "paper$",	//987
    "paperChanged",	//988
    "paperChanged#$",	//989
    "paste",	//990
    "play",	//991
    "pool",	//992
    "positionFromLineIndex",	//993
    "positionFromLineIndex$$",	//994
    "prepare",	//995
    "printRange",	//996
    "printRange#",	//997
    "printRange#$",	//998
    "printRange#$$",	//999
    "propertyChanged",	//1000
    "propertyChanged$$",	//1001
    "qt_metacall",	//1002
    "qt_metacall$$?",	//1003
    "qt_metacast",	//1004
    "qt_metacast$",	//1005
    "read",	//1006
    "read#",	//1007
    "readProperties",	//1008
    "readProperties#$",	//1009
    "readSettings",	//1010
    "readSettings#",	//1011
    "readSettings#$",	//1012
    "recolor",	//1013
    "recolor$",	//1014
    "recolor$$",	//1015
    "redo",	//1016
    "refresh",	//1017
    "refreshProperties",	//1018
    "registerImage",	//1019
    "registerImage$#",	//1020
    "remove",	//1021
    "remove$",	//1022
    "removeSelectedText",	//1023
    "replace",	//1024
    "replace$",	//1025
    "resetFoldMarginColors",	//1026
    "resetSelectionBackgroundColor",	//1027
    "resetSelectionForegroundColor",	//1028
    "resizeEvent",	//1029
    "resizeEvent#",	//1030
    "save",	//1031
    "savePrepared",	//1032
    "savePrepared$",	//1033
    "scriptsStyled",	//1034
    "scrollContentsBy",	//1035
    "scrollContentsBy$$",	//1036
    "selectAll",	//1037
    "selectAll$",	//1038
    "selectToMatchingBrace",	//1039
    "selectedText",	//1040
    "selectionChanged",	//1041
    "selectionToEol",	//1042
    "setAPIs",	//1043
    "setAPIs#",	//1044
    "setAlternateKey",	//1045
    "setAlternateKey$",	//1046
    "setAnnotationDisplay",	//1047
    "setAnnotationDisplay$",	//1048
    "setAutoCompletionCaseSensitivity",	//1049
    "setAutoCompletionCaseSensitivity$",	//1050
    "setAutoCompletionFillups",	//1051
    "setAutoCompletionFillups$",	//1052
    "setAutoCompletionFillupsEnabled",	//1053
    "setAutoCompletionFillupsEnabled$",	//1054
    "setAutoCompletionReplaceWord",	//1055
    "setAutoCompletionReplaceWord$",	//1056
    "setAutoCompletionShowSingle",	//1057
    "setAutoCompletionShowSingle$",	//1058
    "setAutoCompletionSource",	//1059
    "setAutoCompletionSource$",	//1060
    "setAutoCompletionThreshold",	//1061
    "setAutoCompletionThreshold$",	//1062
    "setAutoCompletionWordSeparators",	//1063
    "setAutoCompletionWordSeparators?",	//1064
    "setAutoIndent",	//1065
    "setAutoIndent$",	//1066
    "setAutoIndentStyle",	//1067
    "setAutoIndentStyle$",	//1068
    "setBackslashEscapes",	//1069
    "setBackslashEscapes$",	//1070
    "setBackspaceUnindents",	//1071
    "setBackspaceUnindents$",	//1072
    "setBraceMatching",	//1073
    "setBraceMatching$",	//1074
    "setCallTipsBackgroundColor",	//1075
    "setCallTipsBackgroundColor#",	//1076
    "setCallTipsForegroundColor",	//1077
    "setCallTipsForegroundColor#",	//1078
    "setCallTipsHighlightColor",	//1079
    "setCallTipsHighlightColor#",	//1080
    "setCallTipsStyle",	//1081
    "setCallTipsStyle$",	//1082
    "setCallTipsVisible",	//1083
    "setCallTipsVisible$",	//1084
    "setCaretForegroundColor",	//1085
    "setCaretForegroundColor#",	//1086
    "setCaretLineBackgroundColor",	//1087
    "setCaretLineBackgroundColor#",	//1088
    "setCaretLineVisible",	//1089
    "setCaretLineVisible$",	//1090
    "setCaretWidth",	//1091
    "setCaretWidth$",	//1092
    "setCaseSensitiveTags",	//1093
    "setCaseSensitiveTags$",	//1094
    "setChangeable",	//1095
    "setChangeable$",	//1096
    "setColor",	//1097
    "setColor#",	//1098
    "setColor#$",	//1099
    "setCursorPosition",	//1100
    "setCursorPosition$$",	//1101
    "setDefaultColor",	//1102
    "setDefaultColor#",	//1103
    "setDefaultFont",	//1104
    "setDefaultFont#",	//1105
    "setDefaultPaper",	//1106
    "setDefaultPaper#",	//1107
    "setDescription",	//1108
    "setDescription$",	//1109
    "setDocument",	//1110
    "setDocument#",	//1111
    "setDollarsAllowed",	//1112
    "setDollarsAllowed$",	//1113
    "setEdgeColor",	//1114
    "setEdgeColor#",	//1115
    "setEdgeColumn",	//1116
    "setEdgeColumn$",	//1117
    "setEdgeMode",	//1118
    "setEdgeMode$",	//1119
    "setEditor",	//1120
    "setEditor#",	//1121
    "setEolFill",	//1122
    "setEolFill$",	//1123
    "setEolFill$$",	//1124
    "setEolMode",	//1125
    "setEolMode$",	//1126
    "setEolVisibility",	//1127
    "setEolVisibility$",	//1128
    "setFoldAtBegin",	//1129
    "setFoldAtBegin$",	//1130
    "setFoldAtElse",	//1131
    "setFoldAtElse$",	//1132
    "setFoldAtParenthesis",	//1133
    "setFoldAtParenthesis$",	//1134
    "setFoldComments",	//1135
    "setFoldComments$",	//1136
    "setFoldCompact",	//1137
    "setFoldCompact$",	//1138
    "setFoldDirectives",	//1139
    "setFoldDirectives$",	//1140
    "setFoldMarginColors",	//1141
    "setFoldMarginColors##",	//1142
    "setFoldPODBlocks",	//1143
    "setFoldPODBlocks$",	//1144
    "setFoldPackages",	//1145
    "setFoldPackages$",	//1146
    "setFoldPreprocessor",	//1147
    "setFoldPreprocessor$",	//1148
    "setFoldQuotes",	//1149
    "setFoldQuotes$",	//1150
    "setFoldScriptComments",	//1151
    "setFoldScriptComments$",	//1152
    "setFoldScriptHeredocs",	//1153
    "setFoldScriptHeredocs$",	//1154
    "setFolding",	//1155
    "setFolding$",	//1156
    "setFolding$$",	//1157
    "setFont",	//1158
    "setFont#",	//1159
    "setFont#$",	//1160
    "setHotspot",	//1161
    "setHotspot$",	//1162
    "setIndentation",	//1163
    "setIndentation$$",	//1164
    "setIndentationGuides",	//1165
    "setIndentationGuides$",	//1166
    "setIndentationGuidesBackgroundColor",	//1167
    "setIndentationGuidesBackgroundColor#",	//1168
    "setIndentationGuidesForegroundColor",	//1169
    "setIndentationGuidesForegroundColor#",	//1170
    "setIndentationWarning",	//1171
    "setIndentationWarning$",	//1172
    "setIndentationWidth",	//1173
    "setIndentationWidth$",	//1174
    "setIndentationsUseTabs",	//1175
    "setIndentationsUseTabs$",	//1176
    "setKey",	//1177
    "setKey$",	//1178
    "setLevel",	//1179
    "setLevel$",	//1180
    "setLexer",	//1181
    "setLexer#",	//1182
    "setMagnification",	//1183
    "setMagnification$",	//1184
    "setMarginLineNumbers",	//1185
    "setMarginLineNumbers$$",	//1186
    "setMarginMarkerMask",	//1187
    "setMarginMarkerMask$$",	//1188
    "setMarginSensitivity",	//1189
    "setMarginSensitivity$$",	//1190
    "setMarginText",	//1191
    "setMarginText$#",	//1192
    "setMarginText$$#",	//1193
    "setMarginText$$$",	//1194
    "setMarginText$?",	//1195
    "setMarginType",	//1196
    "setMarginType$$",	//1197
    "setMarginWidth",	//1198
    "setMarginWidth$$",	//1199
    "setMarginsBackgroundColor",	//1200
    "setMarginsBackgroundColor#",	//1201
    "setMarginsFont",	//1202
    "setMarginsFont#",	//1203
    "setMarginsForegroundColor",	//1204
    "setMarginsForegroundColor#",	//1205
    "setMarkerBackgroundColor",	//1206
    "setMarkerBackgroundColor#",	//1207
    "setMarkerBackgroundColor#$",	//1208
    "setMarkerForegroundColor",	//1209
    "setMarkerForegroundColor#",	//1210
    "setMarkerForegroundColor#$",	//1211
    "setMatchedBraceBackgroundColor",	//1212
    "setMatchedBraceBackgroundColor#",	//1213
    "setMatchedBraceForegroundColor",	//1214
    "setMatchedBraceForegroundColor#",	//1215
    "setModified",	//1216
    "setModified$",	//1217
    "setPaper",	//1218
    "setPaper#",	//1219
    "setPaper#$",	//1220
    "setReadOnly",	//1221
    "setReadOnly$",	//1222
    "setScriptsStyled",	//1223
    "setScriptsStyled$",	//1224
    "setSelection",	//1225
    "setSelection$$$$",	//1226
    "setSelectionBackgroundColor",	//1227
    "setSelectionBackgroundColor#",	//1228
    "setSelectionForegroundColor",	//1229
    "setSelectionForegroundColor#",	//1230
    "setSelectionToEol",	//1231
    "setSelectionToEol$",	//1232
    "setSmartHighlighting",	//1233
    "setSmartHighlighting$",	//1234
    "setStylePreprocessor",	//1235
    "setStylePreprocessor$",	//1236
    "setStyling",	//1237
    "setStyling$#",	//1238
    "setStyling$$",	//1239
    "setTabIndents",	//1240
    "setTabIndents$",	//1241
    "setTabWidth",	//1242
    "setTabWidth$",	//1243
    "setText",	//1244
    "setText$",	//1245
    "setTextCase",	//1246
    "setTextCase$",	//1247
    "setTokenize",	//1248
    "setTokenize$",	//1249
    "setUnmatchedBraceBackgroundColor",	//1250
    "setUnmatchedBraceBackgroundColor#",	//1251
    "setUnmatchedBraceForegroundColor",	//1252
    "setUnmatchedBraceForegroundColor#",	//1253
    "setUtf8",	//1254
    "setUtf8$",	//1255
    "setV2UnicodeAllowed",	//1256
    "setV2UnicodeAllowed$",	//1257
    "setV3BinaryOctalAllowed",	//1258
    "setV3BinaryOctalAllowed$",	//1259
    "setV3BytesAllowed",	//1260
    "setV3BytesAllowed$",	//1261
    "setVisible",	//1262
    "setVisible$",	//1263
    "setWhitespaceVisibility",	//1264
    "setWhitespaceVisibility$",	//1265
    "setWrapMode",	//1266
    "setWrapMode$",	//1267
    "setWrapVisualFlags",	//1268
    "setWrapVisualFlags$",	//1269
    "setWrapVisualFlags$$",	//1270
    "setWrapVisualFlags$$$",	//1271
    "showEvent",	//1272
    "showUserList",	//1273
    "showUserList$?",	//1274
    "sizeHint",	//1275
    "smartHighlighting",	//1276
    "standardCommands",	//1277
    "startRecording",	//1278
    "startStyling",	//1279
    "startStyling$",	//1280
    "startStyling$$",	//1281
    "staticMetaObject",	//1282
    "style",	//1283
    "styleBitsNeeded",	//1284
    "styleChange",	//1285
    "stylePreprocessor",	//1286
    "styleText",	//1287
    "styleText$$",	//1288
    "tabIndents",	//1289
    "tabWidth",	//1290
    "tabletEvent",	//1291
    "text",	//1292
    "text$",	//1293
    "textCase",	//1294
    "textChanged",	//1295
    "textHeight",	//1296
    "textHeight$",	//1297
    "timerEvent",	//1298
    "toMimeData",	//1299
    "toMimeData$",	//1300
    "tokenize",	//1301
    "tr",	//1302
    "tr$",	//1303
    "tr$$",	//1304
    "tr$$$",	//1305
    "trUtf8",	//1306
    "trUtf8$",	//1307
    "trUtf8$$",	//1308
    "trUtf8$$$",	//1309
    "undo",	//1310
    "unindent",	//1311
    "unindent$",	//1312
    "updateAutoCompletionList",	//1313
    "updateAutoCompletionList??",	//1314
    "userListActivated",	//1315
    "userListActivated$$",	//1316
    "v2UnicodeAllowed",	//1317
    "v3BinaryOctalAllowed",	//1318
    "v3BytesAllowed",	//1319
    "validKey",	//1320
    "validKey$",	//1321
    "viewportEvent",	//1322
    "visible",	//1323
    "wheelEvent",	//1324
    "whitespaceVisibility",	//1325
    "windowActivationChange",	//1326
    "wordAtPoint",	//1327
    "wordAtPoint#",	//1328
    "wordCharacters",	//1329
    "wrapMode",	//1330
    "write",	//1331
    "write#",	//1332
    "writeProperties",	//1333
    "writeProperties#$",	//1334
    "writeSettings",	//1335
    "writeSettings#",	//1336
    "writeSettings#$",	//1337
    "x11Event",	//1338
    "zoomIn",	//1339
    "zoomIn$",	//1340
    "zoomOut",	//1341
    "zoomOut$",	//1342
    "zoomTo",	//1343
    "zoomTo$",	//1344
    "~QsciAPIs",	//1345
    "~QsciAbstractAPIs",	//1346
    "~QsciCommand",	//1347
    "~QsciDocument",	//1348
    "~QsciLexer",	//1349
    "~QsciLexerBash",	//1350
    "~QsciLexerBatch",	//1351
    "~QsciLexerCMake",	//1352
    "~QsciLexerCPP",	//1353
    "~QsciLexerCSS",	//1354
    "~QsciLexerCSharp",	//1355
    "~QsciLexerCustom",	//1356
    "~QsciLexerD",	//1357
    "~QsciLexerDiff",	//1358
    "~QsciLexerFortran",	//1359
    "~QsciLexerFortran77",	//1360
    "~QsciLexerHTML",	//1361
    "~QsciLexerIDL",	//1362
    "~QsciLexerJava",	//1363
    "~QsciLexerJavaScript",	//1364
    "~QsciLexerLua",	//1365
    "~QsciLexerMakefile",	//1366
    "~QsciLexerPOV",	//1367
    "~QsciLexerPascal",	//1368
    "~QsciLexerPerl",	//1369
    "~QsciLexerPostScript",	//1370
    "~QsciLexerProperties",	//1371
    "~QsciLexerPython",	//1372
    "~QsciLexerRuby",	//1373
    "~QsciLexerSQL",	//1374
    "~QsciLexerTCL",	//1375
    "~QsciLexerTeX",	//1376
    "~QsciLexerVHDL",	//1377
    "~QsciLexerXML",	//1378
    "~QsciLexerYAML",	//1379
    "~QsciMacro",	//1380
    "~QsciPrinter",	//1381
    "~QsciScintilla",	//1382
    "~QsciScintillaBase",	//1383
    "~QsciStyle",	//1384
    "~QsciStyledText",	//1385
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 966, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 36, 0},	//1 QAbstractScrollArea::minimumSizeHint() const
    {1, 1275, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 36, 0},	//2 QAbstractScrollArea::sizeHint() const
    {1, 825, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 179, 0},	//3 QAbstractScrollArea::event(QEvent*)
    {1, 1322, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 179, 0},	//4 QAbstractScrollArea::viewportEvent(QEvent*)
    {1, 1324, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {15, 754, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QFrame::changeEvent(QEvent*)
    {16, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1},	//7 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {16, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2},	//8 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {16, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3},	//9 QGlobalSpace::Q_STATIC_TYPE (enum)
    {16, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 4},	//10 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {16, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 5},	//11 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {16, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 6},	//12 QGlobalSpace::QtDebugMsg (enum)
    {16, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 7},	//13 QGlobalSpace::QtWarningMsg (enum)
    {16, 428, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 8},	//14 QGlobalSpace::QtCriticalMsg (enum)
    {16, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 9},	//15 QGlobalSpace::QtFatalMsg (enum)
    {16, 431, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 10},	//16 QGlobalSpace::QtSystemMsg (enum)
    {25, 825, 1, 1, Smoke::mf_virtual, 179, 0},	//17 QObject::event(QEvent*)
    {25, 827, 5, 2, Smoke::mf_virtual, 179, 0},	//18 QObject::eventFilter(QObject*, QEvent*)
    {25, 1298, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::timerEvent(QTimerEvent*)
    {25, 756, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//20 QObject::childEvent(QChildEvent*)
    {25, 782, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//21 QObject::customEvent(QEvent*)
    {25, 772, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//22 QObject::connectNotify(const char*)
    {25, 797, 12, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//23 QObject::disconnectNotify(const char*)
    {32, 796, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 0},	//24 QPrinter::devType() const
    {32, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 0},	//25 QPrinter::paintEngine() const
    {32, 965, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 201, 0},	//26 QPrinter::metric(QPaintDevice::PaintDeviceMetric) const
    {32, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 4},	//27 QPrinter::ScreenResolution (enum)
    {32, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 5},	//28 QPrinter::PrinterResolution (enum)
    {32, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 6},	//29 QPrinter::HighResolution (enum)
    {44, 796, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 0},	//30 QWidget::devType() const
    {44, 1262, 16, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//31 QWidget::setVisible(bool)
    {44, 873, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 201, 0},	//32 QWidget::heightForWidth(int) const
    {44, 982, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 26, 0},	//33 QWidget::paintEngine() const
    {44, 907, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//34 QWidget::keyReleaseEvent(QKeyEvent*)
    {44, 818, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//35 QWidget::enterEvent(QEvent*)
    {44, 912, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//36 QWidget::leaveEvent(QEvent*)
    {44, 978, 22, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//37 QWidget::moveEvent(QMoveEvent*)
    {44, 766, 24, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//38 QWidget::closeEvent(QCloseEvent*)
    {44, 1291, 26, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//39 QWidget::tabletEvent(QTabletEvent*)
    {44, 696, 28, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//40 QWidget::actionEvent(QActionEvent*)
    {44, 1272, 30, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//41 QWidget::showEvent(QShowEvent*)
    {44, 874, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//42 QWidget::hideEvent(QHideEvent*)
    {44, 1338, 34, 1, Smoke::mf_protected|Smoke::mf_virtual, 179, 0},	//43 QWidget::x11Event(_XEvent*)
    {44, 965, 14, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 201, 0},	//44 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {44, 887, 36, 1, Smoke::mf_const|Smoke::mf_virtual, 44, 0},	//45 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {44, 1285, 38, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//46 QWidget::styleChange(QStyle&)
    {44, 812, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//47 QWidget::enabledChange(bool)
    {44, 985, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//48 QWidget::paletteChange(const QPalette&)
    {44, 861, 42, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//49 QWidget::fontChange(const QFont&)
    {44, 1326, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//50 QWidget::windowActivationChange(bool)
    {44, 911, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//51 QWidget::languageChange()
    {45, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//52 QsciAPIs::metaObject() const
    {45, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//53 QsciAPIs::qt_metacast(const char*)
    {45, 1302, 44, 2, Smoke::mf_static, 37, 3},	//54 QsciAPIs::tr(const char*, const char*)
    {45, 1306, 44, 2, Smoke::mf_static, 37, 4},	//55 QsciAPIs::trUtf8(const char*, const char*)
    {45, 1302, 47, 3, Smoke::mf_static, 37, 5},	//56 QsciAPIs::tr(const char*, const char*, int)
    {45, 1306, 47, 3, Smoke::mf_static, 37, 6},	//57 QsciAPIs::trUtf8(const char*, const char*, int)
    {45, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//58 QsciAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {45, 341, 55, 1, Smoke::mf_ctor, 47, 8},	//59 QsciAPIs::QsciAPIs(QsciLexer*)
    {45, 697, 57, 1, 0, 0, 9},	//60 QsciAPIs::add(const QString&)
    {45, 757, 0, 0, 0, 0, 10},	//61 QsciAPIs::clear()
    {45, 925, 57, 1, 0, 179, 11},	//62 QsciAPIs::load(const QString&)
    {45, 1021, 57, 1, 0, 0, 12},	//63 QsciAPIs::remove(const QString&)
    {45, 995, 0, 0, 0, 0, 13},	//64 QsciAPIs::prepare()
    {45, 751, 0, 0, 0, 0, 14},	//65 QsciAPIs::cancelPreparation()
    {45, 792, 0, 0, Smoke::mf_const, 37, 15},	//66 QsciAPIs::defaultPreparedName() const
    {45, 896, 57, 1, Smoke::mf_const, 179, 16},	//67 QsciAPIs::isPrepared(const QString&) const
    {45, 927, 57, 1, 0, 179, 17},	//68 QsciAPIs::loadPrepared(const QString&)
    {45, 1032, 57, 1, Smoke::mf_const, 179, 18},	//69 QsciAPIs::savePrepared(const QString&) const
    {45, 1313, 59, 2, Smoke::mf_virtual, 0, 19},	//70 QsciAPIs::updateAutoCompletionList(const QStringList&, QStringList&)
    {45, 723, 57, 1, Smoke::mf_virtual, 0, 20},	//71 QsciAPIs::autoCompletionSelected(const QString&)
    {45, 744, 62, 4, Smoke::mf_virtual, 38, 21},	//72 QsciAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&)
    {45, 825, 1, 1, Smoke::mf_virtual, 179, 22},	//73 QsciAPIs::event(QEvent*)
    {45, 892, 0, 0, Smoke::mf_const, 38, 23},	//74 QsciAPIs::installedAPIFiles() const
    {45, 710, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//75 QsciAPIs::apiPreparationCancelled()
    {45, 712, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//76 QsciAPIs::apiPreparationStarted()
    {45, 711, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//77 QsciAPIs::apiPreparationFinished()
    {45, 1302, 12, 1, Smoke::mf_static, 37, 27},	//78 QsciAPIs::tr(const char*)
    {45, 1306, 12, 1, Smoke::mf_static, 37, 28},	//79 QsciAPIs::trUtf8(const char*)
    {45, 896, 0, 0, Smoke::mf_const, 179, 29},	//80 QsciAPIs::isPrepared() const
    {45, 927, 0, 0, 0, 179, 30},	//81 QsciAPIs::loadPrepared()
    {45, 1032, 0, 0, Smoke::mf_const, 179, 31},	//82 QsciAPIs::savePrepared() const
    {45, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 32},	//83 QsciAPIs::staticMetaObject() const
    {45, 1345, 0, 0, Smoke::mf_dtor, 0, 33 },	//84 QsciAPIs::~QsciAPIs()
    {46, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//85 QsciAbstractAPIs::metaObject() const
    {46, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//86 QsciAbstractAPIs::qt_metacast(const char*)
    {46, 1302, 44, 2, Smoke::mf_static, 37, 3},	//87 QsciAbstractAPIs::tr(const char*, const char*)
    {46, 1306, 44, 2, Smoke::mf_static, 37, 4},	//88 QsciAbstractAPIs::trUtf8(const char*, const char*)
    {46, 1302, 47, 3, Smoke::mf_static, 37, 5},	//89 QsciAbstractAPIs::tr(const char*, const char*, int)
    {46, 1306, 47, 3, Smoke::mf_static, 37, 6},	//90 QsciAbstractAPIs::trUtf8(const char*, const char*, int)
    {46, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//91 QsciAbstractAPIs::qt_metacall(QMetaObject::Call, int, void**)
    {46, 343, 55, 1, Smoke::mf_ctor, 48, 8},	//92 QsciAbstractAPIs::QsciAbstractAPIs(QsciLexer*)
    {46, 915, 0, 0, Smoke::mf_const, 53, 9},	//93 QsciAbstractAPIs::lexer() const
    {46, 1313, 59, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//94 QsciAbstractAPIs::updateAutoCompletionList(const QStringList&, QStringList&) [pure virtual]
    {46, 723, 57, 1, Smoke::mf_virtual, 0, 11},	//95 QsciAbstractAPIs::autoCompletionSelected(const QString&)
    {46, 744, 62, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 38, 12},	//96 QsciAbstractAPIs::callTips(const QStringList&, int, QsciScintilla::CallTipsStyle, QList<int>&) [pure virtual]
    {46, 1302, 12, 1, Smoke::mf_static, 37, 13},	//97 QsciAbstractAPIs::tr(const char*)
    {46, 1306, 12, 1, Smoke::mf_static, 37, 14},	//98 QsciAbstractAPIs::trUtf8(const char*)
    {46, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 15},	//99 QsciAbstractAPIs::staticMetaObject() const
    {46, 1346, 0, 0, Smoke::mf_dtor, 0, 16 },	//100 QsciAbstractAPIs::~QsciAbstractAPIs()
    {47, 1177, 18, 1, 0, 0, 1},	//101 QsciCommand::setKey(int)
    {47, 1045, 18, 1, 0, 0, 2},	//102 QsciCommand::setAlternateKey(int)
    {47, 904, 0, 0, Smoke::mf_const, 201, 3},	//103 QsciCommand::key() const
    {47, 699, 0, 0, Smoke::mf_const, 201, 4},	//104 QsciCommand::alternateKey() const
    {47, 1320, 18, 1, Smoke::mf_static, 179, 5},	//105 QsciCommand::validKey(int)
    {47, 794, 0, 0, Smoke::mf_const, 37, 6},	//106 QsciCommand::description() const
    {47, 1347, 0, 0, Smoke::mf_dtor, 0, 7 },	//107 QsciCommand::~QsciCommand()
    {48, 1010, 67, 2, 0, 179, 1},	//108 QsciCommandSet::readSettings(QSettings&, const char*)
    {48, 1335, 67, 2, 0, 179, 2},	//109 QsciCommandSet::writeSettings(QSettings&, const char*)
    {48, 771, 0, 0, 0, 18, 3},	//110 QsciCommandSet::commands()
    {48, 762, 0, 0, 0, 0, 4},	//111 QsciCommandSet::clearKeys()
    {48, 758, 0, 0, 0, 0, 5},	//112 QsciCommandSet::clearAlternateKeys()
    {48, 1010, 70, 1, 0, 179, 6},	//113 QsciCommandSet::readSettings(QSettings&)
    {48, 1335, 70, 1, 0, 179, 7},	//114 QsciCommandSet::writeSettings(QSettings&)
    {49, 345, 0, 0, Smoke::mf_ctor, 52, 1},	//115 QsciDocument::QsciDocument()
    {49, 345, 72, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 52, 2},	//116 QsciDocument::QsciDocument(const QsciDocument&)
    {49, 980, 72, 1, 0, 51, 3},	//117 QsciDocument::operator=(const QsciDocument&)
    {49, 1348, 0, 0, Smoke::mf_dtor, 0, 4 },	//118 QsciDocument::~QsciDocument()
    {50, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//119 QsciLexer::metaObject() const
    {50, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//120 QsciLexer::qt_metacast(const char*)
    {50, 1302, 44, 2, Smoke::mf_static, 37, 3},	//121 QsciLexer::tr(const char*, const char*)
    {50, 1306, 44, 2, Smoke::mf_static, 37, 4},	//122 QsciLexer::trUtf8(const char*, const char*)
    {50, 1302, 47, 3, Smoke::mf_static, 37, 5},	//123 QsciLexer::tr(const char*, const char*, int)
    {50, 1306, 47, 3, Smoke::mf_static, 37, 6},	//124 QsciLexer::trUtf8(const char*, const char*, int)
    {50, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//125 QsciLexer::qt_metacall(QMetaObject::Call, int, void**)
    {50, 347, 74, 1, Smoke::mf_ctor, 53, 8},	//126 QsciLexer::QsciLexer(QObject*)
    {50, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 199, 9},	//127 QsciLexer::language() const [pure virtual]
    {50, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//128 QsciLexer::lexer() const
    {50, 916, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 11},	//129 QsciLexer::lexerId() const
    {50, 713, 0, 0, Smoke::mf_const, 48, 12},	//130 QsciLexer::apis() const
    {50, 720, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//131 QsciLexer::autoCompletionFillups() const
    {50, 728, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 14},	//132 QsciLexer::autoCompletionWordSeparators() const
    {50, 730, 0, 0, 0, 201, 15},	//133 QsciLexer::autoIndentStyle()
    {50, 734, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//134 QsciLexer::blockEnd(int*) const
    {50, 736, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 17},	//135 QsciLexer::blockLookback() const
    {50, 737, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 18},	//136 QsciLexer::blockStart(int*) const
    {50, 739, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 19},	//137 QsciLexer::blockStartKeyword(int*) const
    {50, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 20},	//138 QsciLexer::braceStyle() const
    {50, 752, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 179, 21},	//139 QsciLexer::caseSensitive() const
    {50, 767, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 22},	//140 QsciLexer::color(int) const
    {50, 819, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 23},	//141 QsciLexer::eolFill(int) const
    {50, 859, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 24},	//142 QsciLexer::font(int) const
    {50, 880, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 25},	//143 QsciLexer::indentationGuideView() const
    {50, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 26},	//144 QsciLexer::keywords(int) const
    {50, 793, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 27},	//145 QsciLexer::defaultStyle() const
    {50, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 37, 28},	//146 QsciLexer::description(int) const [pure virtual]
    {50, 986, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 29},	//147 QsciLexer::paper(int) const
    {50, 784, 0, 0, Smoke::mf_const, 5, 30},	//148 QsciLexer::defaultColor() const
    {50, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 31},	//149 QsciLexer::defaultColor(int) const
    {50, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 32},	//150 QsciLexer::defaultEolFill(int) const
    {50, 788, 0, 0, Smoke::mf_const, 13, 33},	//151 QsciLexer::defaultFont() const
    {50, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 34},	//152 QsciLexer::defaultFont(int) const
    {50, 790, 0, 0, Smoke::mf_const, 5, 35},	//153 QsciLexer::defaultPaper() const
    {50, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 36},	//154 QsciLexer::defaultPaper(int) const
    {50, 811, 0, 0, Smoke::mf_const, 87, 37},	//155 QsciLexer::editor() const
    {50, 1043, 78, 1, 0, 0, 38},	//156 QsciLexer::setAPIs(QsciAbstractAPIs*)
    {50, 1102, 80, 1, 0, 0, 39},	//157 QsciLexer::setDefaultColor(const QColor&)
    {50, 1104, 42, 1, 0, 0, 40},	//158 QsciLexer::setDefaultFont(const QFont&)
    {50, 1106, 80, 1, 0, 0, 41},	//159 QsciLexer::setDefaultPaper(const QColor&)
    {50, 1120, 82, 1, Smoke::mf_virtual, 0, 42},	//160 QsciLexer::setEditor(QsciScintilla*)
    {50, 1010, 67, 2, 0, 179, 43},	//161 QsciLexer::readSettings(QSettings&, const char*)
    {50, 1018, 0, 0, Smoke::mf_virtual, 0, 44},	//162 QsciLexer::refreshProperties()
    {50, 1284, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 45},	//163 QsciLexer::styleBitsNeeded() const
    {50, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 46},	//164 QsciLexer::wordCharacters() const
    {50, 1335, 67, 2, Smoke::mf_const, 179, 47},	//165 QsciLexer::writeSettings(QSettings&, const char*) const
    {50, 1067, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 48},	//166 QsciLexer::setAutoIndentStyle(int)
    {50, 1097, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 49},	//167 QsciLexer::setColor(const QColor&, int)
    {50, 1122, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 50},	//168 QsciLexer::setEolFill(bool, int)
    {50, 1158, 90, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 51},	//169 QsciLexer::setFont(const QFont&, int)
    {50, 1218, 84, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 52},	//170 QsciLexer::setPaper(const QColor&, int)
    {50, 769, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//171 QsciLexer::colorChanged(const QColor&, int)
    {50, 821, 87, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//172 QsciLexer::eolFillChanged(bool, int)
    {50, 862, 90, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 55},	//173 QsciLexer::fontChanged(const QFont&, int)
    {50, 988, 84, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 56},	//174 QsciLexer::paperChanged(const QColor&, int)
    {50, 1000, 44, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 57},	//175 QsciLexer::propertyChanged(const char*, const char*)
    {50, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 58},	//176 QsciLexer::readProperties(QSettings&, const QString&)
    {50, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 59},	//177 QsciLexer::writeProperties(QSettings&, const QString&) const
    {50, 1302, 12, 1, Smoke::mf_static, 37, 60},	//178 QsciLexer::tr(const char*)
    {50, 1306, 12, 1, Smoke::mf_static, 37, 61},	//179 QsciLexer::trUtf8(const char*)
    {50, 347, 0, 0, Smoke::mf_ctor, 53, 62},	//180 QsciLexer::QsciLexer()
    {50, 734, 0, 0, Smoke::mf_const, 199, 63},	//181 QsciLexer::blockEnd() const
    {50, 737, 0, 0, Smoke::mf_const, 199, 64},	//182 QsciLexer::blockStart() const
    {50, 739, 0, 0, Smoke::mf_const, 199, 65},	//183 QsciLexer::blockStartKeyword() const
    {50, 1010, 70, 1, 0, 179, 66},	//184 QsciLexer::readSettings(QSettings&)
    {50, 1335, 70, 1, Smoke::mf_const, 179, 67},	//185 QsciLexer::writeSettings(QSettings&) const
    {50, 1097, 80, 1, Smoke::mf_slot, 0, 68},	//186 QsciLexer::setColor(const QColor&)
    {50, 1122, 16, 1, Smoke::mf_slot, 0, 69},	//187 QsciLexer::setEolFill(bool)
    {50, 1158, 42, 1, Smoke::mf_slot, 0, 70},	//188 QsciLexer::setFont(const QFont&)
    {50, 1218, 80, 1, Smoke::mf_slot, 0, 71},	//189 QsciLexer::setPaper(const QColor&)
    {50, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 72},	//190 QsciLexer::staticMetaObject() const
    {50, 1349, 0, 0, Smoke::mf_dtor, 0, 73 },	//191 QsciLexer::~QsciLexer()
    {51, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//192 QsciLexerBash::metaObject() const
    {51, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//193 QsciLexerBash::qt_metacast(const char*)
    {51, 1302, 44, 2, Smoke::mf_static, 37, 3},	//194 QsciLexerBash::tr(const char*, const char*)
    {51, 1306, 44, 2, Smoke::mf_static, 37, 4},	//195 QsciLexerBash::trUtf8(const char*, const char*)
    {51, 1302, 47, 3, Smoke::mf_static, 37, 5},	//196 QsciLexerBash::tr(const char*, const char*, int)
    {51, 1306, 47, 3, Smoke::mf_static, 37, 6},	//197 QsciLexerBash::trUtf8(const char*, const char*, int)
    {51, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//198 QsciLexerBash::qt_metacall(QMetaObject::Call, int, void**)
    {51, 349, 74, 1, Smoke::mf_ctor, 54, 8},	//199 QsciLexerBash::QsciLexerBash(QObject*)
    {51, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//200 QsciLexerBash::language() const
    {51, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//201 QsciLexerBash::lexer() const
    {51, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 11},	//202 QsciLexerBash::braceStyle() const
    {51, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//203 QsciLexerBash::wordCharacters() const
    {51, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//204 QsciLexerBash::defaultColor(int) const
    {51, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 14},	//205 QsciLexerBash::defaultEolFill(int) const
    {51, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//206 QsciLexerBash::defaultFont(int) const
    {51, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//207 QsciLexerBash::defaultPaper(int) const
    {51, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 17},	//208 QsciLexerBash::keywords(int) const
    {51, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//209 QsciLexerBash::description(int) const
    {51, 1018, 0, 0, Smoke::mf_virtual, 0, 19},	//210 QsciLexerBash::refreshProperties()
    {51, 847, 0, 0, Smoke::mf_const, 179, 20},	//211 QsciLexerBash::foldComments() const
    {51, 848, 0, 0, Smoke::mf_const, 179, 21},	//212 QsciLexerBash::foldCompact() const
    {51, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//213 QsciLexerBash::setFoldComments(bool)
    {51, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//214 QsciLexerBash::setFoldCompact(bool)
    {51, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 24},	//215 QsciLexerBash::readProperties(QSettings&, const QString&)
    {51, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 25},	//216 QsciLexerBash::writeProperties(QSettings&, const QString&) const
    {51, 1302, 12, 1, Smoke::mf_static, 37, 26},	//217 QsciLexerBash::tr(const char*)
    {51, 1306, 12, 1, Smoke::mf_static, 37, 27},	//218 QsciLexerBash::trUtf8(const char*)
    {51, 349, 0, 0, Smoke::mf_ctor, 54, 28},	//219 QsciLexerBash::QsciLexerBash()
    {51, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 29},	//220 QsciLexerBash::staticMetaObject() const
    {51, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 30},	//221 QsciLexerBash::Default (enum)
    {51, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 31},	//222 QsciLexerBash::Error (enum)
    {51, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 32},	//223 QsciLexerBash::Comment (enum)
    {51, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 33},	//224 QsciLexerBash::Number (enum)
    {51, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 34},	//225 QsciLexerBash::Keyword (enum)
    {51, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//226 QsciLexerBash::DoubleQuotedString (enum)
    {51, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//227 QsciLexerBash::SingleQuotedString (enum)
    {51, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//228 QsciLexerBash::Operator (enum)
    {51, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//229 QsciLexerBash::Identifier (enum)
    {51, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//230 QsciLexerBash::Scalar (enum)
    {51, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//231 QsciLexerBash::ParameterExpansion (enum)
    {51, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//232 QsciLexerBash::Backticks (enum)
    {51, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//233 QsciLexerBash::HereDocumentDelimiter (enum)
    {51, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//234 QsciLexerBash::SingleQuotedHereDocument (enum)
    {51, 1350, 0, 0, Smoke::mf_dtor, 0, 44 },	//235 QsciLexerBash::~QsciLexerBash()
    {52, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//236 QsciLexerBatch::metaObject() const
    {52, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//237 QsciLexerBatch::qt_metacast(const char*)
    {52, 1302, 44, 2, Smoke::mf_static, 37, 3},	//238 QsciLexerBatch::tr(const char*, const char*)
    {52, 1306, 44, 2, Smoke::mf_static, 37, 4},	//239 QsciLexerBatch::trUtf8(const char*, const char*)
    {52, 1302, 47, 3, Smoke::mf_static, 37, 5},	//240 QsciLexerBatch::tr(const char*, const char*, int)
    {52, 1306, 47, 3, Smoke::mf_static, 37, 6},	//241 QsciLexerBatch::trUtf8(const char*, const char*, int)
    {52, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//242 QsciLexerBatch::qt_metacall(QMetaObject::Call, int, void**)
    {52, 351, 74, 1, Smoke::mf_ctor, 55, 8},	//243 QsciLexerBatch::QsciLexerBatch(QObject*)
    {52, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//244 QsciLexerBatch::language() const
    {52, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//245 QsciLexerBatch::lexer() const
    {52, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//246 QsciLexerBatch::wordCharacters() const
    {52, 752, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 179, 12},	//247 QsciLexerBatch::caseSensitive() const
    {52, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//248 QsciLexerBatch::defaultColor(int) const
    {52, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 14},	//249 QsciLexerBatch::defaultEolFill(int) const
    {52, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//250 QsciLexerBatch::defaultFont(int) const
    {52, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//251 QsciLexerBatch::defaultPaper(int) const
    {52, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 17},	//252 QsciLexerBatch::keywords(int) const
    {52, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//253 QsciLexerBatch::description(int) const
    {52, 1302, 12, 1, Smoke::mf_static, 37, 19},	//254 QsciLexerBatch::tr(const char*)
    {52, 1306, 12, 1, Smoke::mf_static, 37, 20},	//255 QsciLexerBatch::trUtf8(const char*)
    {52, 351, 0, 0, Smoke::mf_ctor, 55, 21},	//256 QsciLexerBatch::QsciLexerBatch()
    {52, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 22},	//257 QsciLexerBatch::staticMetaObject() const
    {52, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 23},	//258 QsciLexerBatch::Default (enum)
    {52, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 24},	//259 QsciLexerBatch::Comment (enum)
    {52, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 25},	//260 QsciLexerBatch::Keyword (enum)
    {52, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 26},	//261 QsciLexerBatch::Label (enum)
    {52, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 27},	//262 QsciLexerBatch::HideCommandChar (enum)
    {52, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 28},	//263 QsciLexerBatch::ExternalCommand (enum)
    {52, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 29},	//264 QsciLexerBatch::Variable (enum)
    {52, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 30},	//265 QsciLexerBatch::Operator (enum)
    {52, 1351, 0, 0, Smoke::mf_dtor, 0, 31 },	//266 QsciLexerBatch::~QsciLexerBatch()
    {53, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//267 QsciLexerCMake::metaObject() const
    {53, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//268 QsciLexerCMake::qt_metacast(const char*)
    {53, 1302, 44, 2, Smoke::mf_static, 37, 3},	//269 QsciLexerCMake::tr(const char*, const char*)
    {53, 1306, 44, 2, Smoke::mf_static, 37, 4},	//270 QsciLexerCMake::trUtf8(const char*, const char*)
    {53, 1302, 47, 3, Smoke::mf_static, 37, 5},	//271 QsciLexerCMake::tr(const char*, const char*, int)
    {53, 1306, 47, 3, Smoke::mf_static, 37, 6},	//272 QsciLexerCMake::trUtf8(const char*, const char*, int)
    {53, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//273 QsciLexerCMake::qt_metacall(QMetaObject::Call, int, void**)
    {53, 353, 74, 1, Smoke::mf_ctor, 56, 8},	//274 QsciLexerCMake::QsciLexerCMake(QObject*)
    {53, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//275 QsciLexerCMake::language() const
    {53, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//276 QsciLexerCMake::lexer() const
    {53, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//277 QsciLexerCMake::defaultColor(int) const
    {53, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//278 QsciLexerCMake::defaultFont(int) const
    {53, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//279 QsciLexerCMake::defaultPaper(int) const
    {53, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//280 QsciLexerCMake::keywords(int) const
    {53, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//281 QsciLexerCMake::description(int) const
    {53, 1018, 0, 0, Smoke::mf_virtual, 0, 16},	//282 QsciLexerCMake::refreshProperties()
    {53, 845, 0, 0, Smoke::mf_const, 179, 17},	//283 QsciLexerCMake::foldAtElse() const
    {53, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//284 QsciLexerCMake::setFoldAtElse(bool)
    {53, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 19},	//285 QsciLexerCMake::readProperties(QSettings&, const QString&)
    {53, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 20},	//286 QsciLexerCMake::writeProperties(QSettings&, const QString&) const
    {53, 1302, 12, 1, Smoke::mf_static, 37, 21},	//287 QsciLexerCMake::tr(const char*)
    {53, 1306, 12, 1, Smoke::mf_static, 37, 22},	//288 QsciLexerCMake::trUtf8(const char*)
    {53, 353, 0, 0, Smoke::mf_ctor, 56, 23},	//289 QsciLexerCMake::QsciLexerCMake()
    {53, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 24},	//290 QsciLexerCMake::staticMetaObject() const
    {53, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 25},	//291 QsciLexerCMake::Default (enum)
    {53, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 26},	//292 QsciLexerCMake::Comment (enum)
    {53, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 27},	//293 QsciLexerCMake::String (enum)
    {53, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 28},	//294 QsciLexerCMake::StringLeftQuote (enum)
    {53, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 29},	//295 QsciLexerCMake::StringRightQuote (enum)
    {53, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 30},	//296 QsciLexerCMake::Function (enum)
    {53, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 31},	//297 QsciLexerCMake::Variable (enum)
    {53, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 32},	//298 QsciLexerCMake::Label (enum)
    {53, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 33},	//299 QsciLexerCMake::KeywordSet3 (enum)
    {53, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 34},	//300 QsciLexerCMake::BlockWhile (enum)
    {53, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//301 QsciLexerCMake::BlockForeach (enum)
    {53, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//302 QsciLexerCMake::BlockIf (enum)
    {53, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//303 QsciLexerCMake::BlockMacro (enum)
    {53, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//304 QsciLexerCMake::StringVariable (enum)
    {53, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//305 QsciLexerCMake::Number (enum)
    {53, 1352, 0, 0, Smoke::mf_dtor, 0, 40 },	//306 QsciLexerCMake::~QsciLexerCMake()
    {54, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//307 QsciLexerCPP::metaObject() const
    {54, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//308 QsciLexerCPP::qt_metacast(const char*)
    {54, 1302, 44, 2, Smoke::mf_static, 37, 3},	//309 QsciLexerCPP::tr(const char*, const char*)
    {54, 1306, 44, 2, Smoke::mf_static, 37, 4},	//310 QsciLexerCPP::trUtf8(const char*, const char*)
    {54, 1302, 47, 3, Smoke::mf_static, 37, 5},	//311 QsciLexerCPP::tr(const char*, const char*, int)
    {54, 1306, 47, 3, Smoke::mf_static, 37, 6},	//312 QsciLexerCPP::trUtf8(const char*, const char*, int)
    {54, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//313 QsciLexerCPP::qt_metacall(QMetaObject::Call, int, void**)
    {54, 355, 96, 2, Smoke::mf_ctor, 57, 8},	//314 QsciLexerCPP::QsciLexerCPP(QObject*, bool)
    {54, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//315 QsciLexerCPP::language() const
    {54, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//316 QsciLexerCPP::lexer() const
    {54, 728, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//317 QsciLexerCPP::autoCompletionWordSeparators() const
    {54, 734, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//318 QsciLexerCPP::blockEnd(int*) const
    {54, 737, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//319 QsciLexerCPP::blockStart(int*) const
    {54, 739, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//320 QsciLexerCPP::blockStartKeyword(int*) const
    {54, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 15},	//321 QsciLexerCPP::braceStyle() const
    {54, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//322 QsciLexerCPP::wordCharacters() const
    {54, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//323 QsciLexerCPP::defaultColor(int) const
    {54, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 18},	//324 QsciLexerCPP::defaultEolFill(int) const
    {54, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//325 QsciLexerCPP::defaultFont(int) const
    {54, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//326 QsciLexerCPP::defaultPaper(int) const
    {54, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 21},	//327 QsciLexerCPP::keywords(int) const
    {54, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 22},	//328 QsciLexerCPP::description(int) const
    {54, 1018, 0, 0, Smoke::mf_virtual, 0, 23},	//329 QsciLexerCPP::refreshProperties()
    {54, 845, 0, 0, Smoke::mf_const, 179, 24},	//330 QsciLexerCPP::foldAtElse() const
    {54, 847, 0, 0, Smoke::mf_const, 179, 25},	//331 QsciLexerCPP::foldComments() const
    {54, 848, 0, 0, Smoke::mf_const, 179, 26},	//332 QsciLexerCPP::foldCompact() const
    {54, 854, 0, 0, Smoke::mf_const, 179, 27},	//333 QsciLexerCPP::foldPreprocessor() const
    {54, 1286, 0, 0, Smoke::mf_const, 179, 28},	//334 QsciLexerCPP::stylePreprocessor() const
    {54, 1112, 16, 1, 0, 0, 29},	//335 QsciLexerCPP::setDollarsAllowed(bool)
    {54, 799, 0, 0, Smoke::mf_const, 179, 30},	//336 QsciLexerCPP::dollarsAllowed() const
    {54, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 31},	//337 QsciLexerCPP::setFoldAtElse(bool)
    {54, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//338 QsciLexerCPP::setFoldComments(bool)
    {54, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//339 QsciLexerCPP::setFoldCompact(bool)
    {54, 1147, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//340 QsciLexerCPP::setFoldPreprocessor(bool)
    {54, 1235, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//341 QsciLexerCPP::setStylePreprocessor(bool)
    {54, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 36},	//342 QsciLexerCPP::readProperties(QSettings&, const QString&)
    {54, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 37},	//343 QsciLexerCPP::writeProperties(QSettings&, const QString&) const
    {54, 1302, 12, 1, Smoke::mf_static, 37, 38},	//344 QsciLexerCPP::tr(const char*)
    {54, 1306, 12, 1, Smoke::mf_static, 37, 39},	//345 QsciLexerCPP::trUtf8(const char*)
    {54, 355, 0, 0, Smoke::mf_ctor, 57, 40},	//346 QsciLexerCPP::QsciLexerCPP()
    {54, 355, 74, 1, Smoke::mf_ctor, 57, 41},	//347 QsciLexerCPP::QsciLexerCPP(QObject*)
    {54, 734, 0, 0, Smoke::mf_const, 199, 42},	//348 QsciLexerCPP::blockEnd() const
    {54, 737, 0, 0, Smoke::mf_const, 199, 43},	//349 QsciLexerCPP::blockStart() const
    {54, 739, 0, 0, Smoke::mf_const, 199, 44},	//350 QsciLexerCPP::blockStartKeyword() const
    {54, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 45},	//351 QsciLexerCPP::staticMetaObject() const
    {54, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//352 QsciLexerCPP::Default (enum)
    {54, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//353 QsciLexerCPP::Comment (enum)
    {54, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//354 QsciLexerCPP::CommentLine (enum)
    {54, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 49},	//355 QsciLexerCPP::CommentDoc (enum)
    {54, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 50},	//356 QsciLexerCPP::Number (enum)
    {54, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 51},	//357 QsciLexerCPP::Keyword (enum)
    {54, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 52},	//358 QsciLexerCPP::DoubleQuotedString (enum)
    {54, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 53},	//359 QsciLexerCPP::SingleQuotedString (enum)
    {54, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 54},	//360 QsciLexerCPP::UUID (enum)
    {54, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 55},	//361 QsciLexerCPP::PreProcessor (enum)
    {54, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 56},	//362 QsciLexerCPP::Operator (enum)
    {54, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 57},	//363 QsciLexerCPP::Identifier (enum)
    {54, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 58},	//364 QsciLexerCPP::UnclosedString (enum)
    {54, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 59},	//365 QsciLexerCPP::VerbatimString (enum)
    {54, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 60},	//366 QsciLexerCPP::Regex (enum)
    {54, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 61},	//367 QsciLexerCPP::CommentLineDoc (enum)
    {54, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 62},	//368 QsciLexerCPP::KeywordSet2 (enum)
    {54, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 63},	//369 QsciLexerCPP::CommentDocKeyword (enum)
    {54, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 64},	//370 QsciLexerCPP::CommentDocKeywordError (enum)
    {54, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 65},	//371 QsciLexerCPP::GlobalClass (enum)
    {54, 1353, 0, 0, Smoke::mf_dtor, 0, 66 },	//372 QsciLexerCPP::~QsciLexerCPP()
    {55, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//373 QsciLexerCSS::metaObject() const
    {55, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//374 QsciLexerCSS::qt_metacast(const char*)
    {55, 1302, 44, 2, Smoke::mf_static, 37, 3},	//375 QsciLexerCSS::tr(const char*, const char*)
    {55, 1306, 44, 2, Smoke::mf_static, 37, 4},	//376 QsciLexerCSS::trUtf8(const char*, const char*)
    {55, 1302, 47, 3, Smoke::mf_static, 37, 5},	//377 QsciLexerCSS::tr(const char*, const char*, int)
    {55, 1306, 47, 3, Smoke::mf_static, 37, 6},	//378 QsciLexerCSS::trUtf8(const char*, const char*, int)
    {55, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//379 QsciLexerCSS::qt_metacall(QMetaObject::Call, int, void**)
    {55, 358, 74, 1, Smoke::mf_ctor, 58, 8},	//380 QsciLexerCSS::QsciLexerCSS(QObject*)
    {55, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//381 QsciLexerCSS::language() const
    {55, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//382 QsciLexerCSS::lexer() const
    {55, 734, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//383 QsciLexerCSS::blockEnd(int*) const
    {55, 737, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//384 QsciLexerCSS::blockStart(int*) const
    {55, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//385 QsciLexerCSS::wordCharacters() const
    {55, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//386 QsciLexerCSS::defaultColor(int) const
    {55, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//387 QsciLexerCSS::defaultFont(int) const
    {55, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//388 QsciLexerCSS::keywords(int) const
    {55, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//389 QsciLexerCSS::description(int) const
    {55, 1018, 0, 0, Smoke::mf_virtual, 0, 18},	//390 QsciLexerCSS::refreshProperties()
    {55, 847, 0, 0, Smoke::mf_const, 179, 19},	//391 QsciLexerCSS::foldComments() const
    {55, 848, 0, 0, Smoke::mf_const, 179, 20},	//392 QsciLexerCSS::foldCompact() const
    {55, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//393 QsciLexerCSS::setFoldComments(bool)
    {55, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//394 QsciLexerCSS::setFoldCompact(bool)
    {55, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 23},	//395 QsciLexerCSS::readProperties(QSettings&, const QString&)
    {55, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 24},	//396 QsciLexerCSS::writeProperties(QSettings&, const QString&) const
    {55, 1302, 12, 1, Smoke::mf_static, 37, 25},	//397 QsciLexerCSS::tr(const char*)
    {55, 1306, 12, 1, Smoke::mf_static, 37, 26},	//398 QsciLexerCSS::trUtf8(const char*)
    {55, 358, 0, 0, Smoke::mf_ctor, 58, 27},	//399 QsciLexerCSS::QsciLexerCSS()
    {55, 734, 0, 0, Smoke::mf_const, 199, 28},	//400 QsciLexerCSS::blockEnd() const
    {55, 737, 0, 0, Smoke::mf_const, 199, 29},	//401 QsciLexerCSS::blockStart() const
    {55, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 30},	//402 QsciLexerCSS::staticMetaObject() const
    {55, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 31},	//403 QsciLexerCSS::Default (enum)
    {55, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 32},	//404 QsciLexerCSS::Tag (enum)
    {55, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 33},	//405 QsciLexerCSS::ClassSelector (enum)
    {55, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 34},	//406 QsciLexerCSS::PseudoClass (enum)
    {55, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//407 QsciLexerCSS::UnknownPseudoClass (enum)
    {55, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//408 QsciLexerCSS::Operator (enum)
    {55, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//409 QsciLexerCSS::CSS1Property (enum)
    {55, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//410 QsciLexerCSS::UnknownProperty (enum)
    {55, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//411 QsciLexerCSS::Value (enum)
    {55, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//412 QsciLexerCSS::Comment (enum)
    {55, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//413 QsciLexerCSS::IDSelector (enum)
    {55, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//414 QsciLexerCSS::Important (enum)
    {55, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//415 QsciLexerCSS::AtRule (enum)
    {55, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//416 QsciLexerCSS::DoubleQuotedString (enum)
    {55, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//417 QsciLexerCSS::SingleQuotedString (enum)
    {55, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//418 QsciLexerCSS::CSS2Property (enum)
    {55, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//419 QsciLexerCSS::Attribute (enum)
    {55, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//420 QsciLexerCSS::CSS3Property (enum)
    {55, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 49},	//421 QsciLexerCSS::PseudoElement (enum)
    {55, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 50},	//422 QsciLexerCSS::ExtendedCSSProperty (enum)
    {55, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 51},	//423 QsciLexerCSS::ExtendedPseudoClass (enum)
    {55, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 52},	//424 QsciLexerCSS::ExtendedPseudoElement (enum)
    {55, 1354, 0, 0, Smoke::mf_dtor, 0, 53 },	//425 QsciLexerCSS::~QsciLexerCSS()
    {56, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//426 QsciLexerCSharp::metaObject() const
    {56, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//427 QsciLexerCSharp::qt_metacast(const char*)
    {56, 1302, 44, 2, Smoke::mf_static, 37, 3},	//428 QsciLexerCSharp::tr(const char*, const char*)
    {56, 1306, 44, 2, Smoke::mf_static, 37, 4},	//429 QsciLexerCSharp::trUtf8(const char*, const char*)
    {56, 1302, 47, 3, Smoke::mf_static, 37, 5},	//430 QsciLexerCSharp::tr(const char*, const char*, int)
    {56, 1306, 47, 3, Smoke::mf_static, 37, 6},	//431 QsciLexerCSharp::trUtf8(const char*, const char*, int)
    {56, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//432 QsciLexerCSharp::qt_metacall(QMetaObject::Call, int, void**)
    {56, 360, 74, 1, Smoke::mf_ctor, 59, 8},	//433 QsciLexerCSharp::QsciLexerCSharp(QObject*)
    {56, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//434 QsciLexerCSharp::language() const
    {56, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//435 QsciLexerCSharp::defaultColor(int) const
    {56, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 11},	//436 QsciLexerCSharp::defaultEolFill(int) const
    {56, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//437 QsciLexerCSharp::defaultFont(int) const
    {56, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//438 QsciLexerCSharp::defaultPaper(int) const
    {56, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//439 QsciLexerCSharp::keywords(int) const
    {56, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//440 QsciLexerCSharp::description(int) const
    {56, 1302, 12, 1, Smoke::mf_static, 37, 16},	//441 QsciLexerCSharp::tr(const char*)
    {56, 1306, 12, 1, Smoke::mf_static, 37, 17},	//442 QsciLexerCSharp::trUtf8(const char*)
    {56, 360, 0, 0, Smoke::mf_ctor, 59, 18},	//443 QsciLexerCSharp::QsciLexerCSharp()
    {56, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 19},	//444 QsciLexerCSharp::staticMetaObject() const
    {56, 1355, 0, 0, Smoke::mf_dtor, 0, 20 },	//445 QsciLexerCSharp::~QsciLexerCSharp()
    {57, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//446 QsciLexerCustom::metaObject() const
    {57, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//447 QsciLexerCustom::qt_metacast(const char*)
    {57, 1302, 44, 2, Smoke::mf_static, 37, 3},	//448 QsciLexerCustom::tr(const char*, const char*)
    {57, 1306, 44, 2, Smoke::mf_static, 37, 4},	//449 QsciLexerCustom::trUtf8(const char*, const char*)
    {57, 1302, 47, 3, Smoke::mf_static, 37, 5},	//450 QsciLexerCustom::tr(const char*, const char*, int)
    {57, 1306, 47, 3, Smoke::mf_static, 37, 6},	//451 QsciLexerCustom::trUtf8(const char*, const char*, int)
    {57, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//452 QsciLexerCustom::qt_metacall(QMetaObject::Call, int, void**)
    {57, 362, 74, 1, Smoke::mf_ctor, 60, 8},	//453 QsciLexerCustom::QsciLexerCustom(QObject*)
    {57, 1237, 99, 2, 0, 0, 9},	//454 QsciLexerCustom::setStyling(int, int)
    {57, 1237, 102, 2, 0, 0, 10},	//455 QsciLexerCustom::setStyling(int, const QsciStyle&)
    {57, 1279, 99, 2, 0, 0, 11},	//456 QsciLexerCustom::startStyling(int, int)
    {57, 1287, 99, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//457 QsciLexerCustom::styleText(int, int) [pure virtual]
    {57, 1120, 82, 1, Smoke::mf_virtual, 0, 13},	//458 QsciLexerCustom::setEditor(QsciScintilla*)
    {57, 1284, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 14},	//459 QsciLexerCustom::styleBitsNeeded() const
    {57, 1302, 12, 1, Smoke::mf_static, 37, 15},	//460 QsciLexerCustom::tr(const char*)
    {57, 1306, 12, 1, Smoke::mf_static, 37, 16},	//461 QsciLexerCustom::trUtf8(const char*)
    {57, 362, 0, 0, Smoke::mf_ctor, 60, 17},	//462 QsciLexerCustom::QsciLexerCustom()
    {57, 1279, 18, 1, 0, 0, 18},	//463 QsciLexerCustom::startStyling(int)
    {57, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 19},	//464 QsciLexerCustom::staticMetaObject() const
    {57, 1356, 0, 0, Smoke::mf_dtor, 0, 20 },	//465 QsciLexerCustom::~QsciLexerCustom()
    {58, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//466 QsciLexerD::metaObject() const
    {58, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//467 QsciLexerD::qt_metacast(const char*)
    {58, 1302, 44, 2, Smoke::mf_static, 37, 3},	//468 QsciLexerD::tr(const char*, const char*)
    {58, 1306, 44, 2, Smoke::mf_static, 37, 4},	//469 QsciLexerD::trUtf8(const char*, const char*)
    {58, 1302, 47, 3, Smoke::mf_static, 37, 5},	//470 QsciLexerD::tr(const char*, const char*, int)
    {58, 1306, 47, 3, Smoke::mf_static, 37, 6},	//471 QsciLexerD::trUtf8(const char*, const char*, int)
    {58, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//472 QsciLexerD::qt_metacall(QMetaObject::Call, int, void**)
    {58, 364, 74, 1, Smoke::mf_ctor, 61, 8},	//473 QsciLexerD::QsciLexerD(QObject*)
    {58, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//474 QsciLexerD::language() const
    {58, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//475 QsciLexerD::lexer() const
    {58, 728, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//476 QsciLexerD::autoCompletionWordSeparators() const
    {58, 734, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//477 QsciLexerD::blockEnd(int*) const
    {58, 737, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//478 QsciLexerD::blockStart(int*) const
    {58, 739, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//479 QsciLexerD::blockStartKeyword(int*) const
    {58, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 15},	//480 QsciLexerD::braceStyle() const
    {58, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//481 QsciLexerD::wordCharacters() const
    {58, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//482 QsciLexerD::defaultColor(int) const
    {58, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 18},	//483 QsciLexerD::defaultEolFill(int) const
    {58, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 19},	//484 QsciLexerD::defaultFont(int) const
    {58, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 20},	//485 QsciLexerD::defaultPaper(int) const
    {58, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 21},	//486 QsciLexerD::keywords(int) const
    {58, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 22},	//487 QsciLexerD::description(int) const
    {58, 1018, 0, 0, Smoke::mf_virtual, 0, 23},	//488 QsciLexerD::refreshProperties()
    {58, 845, 0, 0, Smoke::mf_const, 179, 24},	//489 QsciLexerD::foldAtElse() const
    {58, 847, 0, 0, Smoke::mf_const, 179, 25},	//490 QsciLexerD::foldComments() const
    {58, 848, 0, 0, Smoke::mf_const, 179, 26},	//491 QsciLexerD::foldCompact() const
    {58, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//492 QsciLexerD::setFoldAtElse(bool)
    {58, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//493 QsciLexerD::setFoldComments(bool)
    {58, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//494 QsciLexerD::setFoldCompact(bool)
    {58, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 30},	//495 QsciLexerD::readProperties(QSettings&, const QString&)
    {58, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 31},	//496 QsciLexerD::writeProperties(QSettings&, const QString&) const
    {58, 1302, 12, 1, Smoke::mf_static, 37, 32},	//497 QsciLexerD::tr(const char*)
    {58, 1306, 12, 1, Smoke::mf_static, 37, 33},	//498 QsciLexerD::trUtf8(const char*)
    {58, 364, 0, 0, Smoke::mf_ctor, 61, 34},	//499 QsciLexerD::QsciLexerD()
    {58, 734, 0, 0, Smoke::mf_const, 199, 35},	//500 QsciLexerD::blockEnd() const
    {58, 737, 0, 0, Smoke::mf_const, 199, 36},	//501 QsciLexerD::blockStart() const
    {58, 739, 0, 0, Smoke::mf_const, 199, 37},	//502 QsciLexerD::blockStartKeyword() const
    {58, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 38},	//503 QsciLexerD::staticMetaObject() const
    {58, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//504 QsciLexerD::Default (enum)
    {58, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//505 QsciLexerD::Comment (enum)
    {58, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//506 QsciLexerD::CommentLine (enum)
    {58, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//507 QsciLexerD::CommentDoc (enum)
    {58, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//508 QsciLexerD::CommentNested (enum)
    {58, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//509 QsciLexerD::Number (enum)
    {58, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//510 QsciLexerD::Keyword (enum)
    {58, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//511 QsciLexerD::KeywordSecondary (enum)
    {58, 230, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//512 QsciLexerD::KeywordDoc (enum)
    {58, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//513 QsciLexerD::Typedefs (enum)
    {58, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 49},	//514 QsciLexerD::String (enum)
    {58, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 50},	//515 QsciLexerD::UnclosedString (enum)
    {58, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 51},	//516 QsciLexerD::Character (enum)
    {58, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 52},	//517 QsciLexerD::Operator (enum)
    {58, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 53},	//518 QsciLexerD::Identifier (enum)
    {58, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 54},	//519 QsciLexerD::CommentLineDoc (enum)
    {58, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 55},	//520 QsciLexerD::CommentDocKeyword (enum)
    {58, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 56},	//521 QsciLexerD::CommentDocKeywordError (enum)
    {58, 1357, 0, 0, Smoke::mf_dtor, 0, 57 },	//522 QsciLexerD::~QsciLexerD()
    {59, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//523 QsciLexerDiff::metaObject() const
    {59, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//524 QsciLexerDiff::qt_metacast(const char*)
    {59, 1302, 44, 2, Smoke::mf_static, 37, 3},	//525 QsciLexerDiff::tr(const char*, const char*)
    {59, 1306, 44, 2, Smoke::mf_static, 37, 4},	//526 QsciLexerDiff::trUtf8(const char*, const char*)
    {59, 1302, 47, 3, Smoke::mf_static, 37, 5},	//527 QsciLexerDiff::tr(const char*, const char*, int)
    {59, 1306, 47, 3, Smoke::mf_static, 37, 6},	//528 QsciLexerDiff::trUtf8(const char*, const char*, int)
    {59, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//529 QsciLexerDiff::qt_metacall(QMetaObject::Call, int, void**)
    {59, 366, 74, 1, Smoke::mf_ctor, 62, 8},	//530 QsciLexerDiff::QsciLexerDiff(QObject*)
    {59, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//531 QsciLexerDiff::language() const
    {59, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//532 QsciLexerDiff::lexer() const
    {59, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//533 QsciLexerDiff::wordCharacters() const
    {59, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//534 QsciLexerDiff::defaultColor(int) const
    {59, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 13},	//535 QsciLexerDiff::description(int) const
    {59, 1302, 12, 1, Smoke::mf_static, 37, 14},	//536 QsciLexerDiff::tr(const char*)
    {59, 1306, 12, 1, Smoke::mf_static, 37, 15},	//537 QsciLexerDiff::trUtf8(const char*)
    {59, 366, 0, 0, Smoke::mf_ctor, 62, 16},	//538 QsciLexerDiff::QsciLexerDiff()
    {59, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 17},	//539 QsciLexerDiff::staticMetaObject() const
    {59, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 18},	//540 QsciLexerDiff::Default (enum)
    {59, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 19},	//541 QsciLexerDiff::Comment (enum)
    {59, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 20},	//542 QsciLexerDiff::Command (enum)
    {59, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 21},	//543 QsciLexerDiff::Header (enum)
    {59, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 22},	//544 QsciLexerDiff::Position (enum)
    {59, 252, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 23},	//545 QsciLexerDiff::LineRemoved (enum)
    {59, 249, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 24},	//546 QsciLexerDiff::LineAdded (enum)
    {59, 250, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 25},	//547 QsciLexerDiff::LineChanged (enum)
    {59, 1358, 0, 0, Smoke::mf_dtor, 0, 26 },	//548 QsciLexerDiff::~QsciLexerDiff()
    {60, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//549 QsciLexerFortran::metaObject() const
    {60, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//550 QsciLexerFortran::qt_metacast(const char*)
    {60, 1302, 44, 2, Smoke::mf_static, 37, 3},	//551 QsciLexerFortran::tr(const char*, const char*)
    {60, 1306, 44, 2, Smoke::mf_static, 37, 4},	//552 QsciLexerFortran::trUtf8(const char*, const char*)
    {60, 1302, 47, 3, Smoke::mf_static, 37, 5},	//553 QsciLexerFortran::tr(const char*, const char*, int)
    {60, 1306, 47, 3, Smoke::mf_static, 37, 6},	//554 QsciLexerFortran::trUtf8(const char*, const char*, int)
    {60, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//555 QsciLexerFortran::qt_metacall(QMetaObject::Call, int, void**)
    {60, 368, 74, 1, Smoke::mf_ctor, 63, 8},	//556 QsciLexerFortran::QsciLexerFortran(QObject*)
    {60, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//557 QsciLexerFortran::language() const
    {60, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//558 QsciLexerFortran::lexer() const
    {60, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//559 QsciLexerFortran::keywords(int) const
    {60, 1302, 12, 1, Smoke::mf_static, 37, 12},	//560 QsciLexerFortran::tr(const char*)
    {60, 1306, 12, 1, Smoke::mf_static, 37, 13},	//561 QsciLexerFortran::trUtf8(const char*)
    {60, 368, 0, 0, Smoke::mf_ctor, 63, 14},	//562 QsciLexerFortran::QsciLexerFortran()
    {60, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 15},	//563 QsciLexerFortran::staticMetaObject() const
    {60, 1359, 0, 0, Smoke::mf_dtor, 0, 16 },	//564 QsciLexerFortran::~QsciLexerFortran()
    {61, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//565 QsciLexerFortran77::metaObject() const
    {61, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//566 QsciLexerFortran77::qt_metacast(const char*)
    {61, 1302, 44, 2, Smoke::mf_static, 37, 3},	//567 QsciLexerFortran77::tr(const char*, const char*)
    {61, 1306, 44, 2, Smoke::mf_static, 37, 4},	//568 QsciLexerFortran77::trUtf8(const char*, const char*)
    {61, 1302, 47, 3, Smoke::mf_static, 37, 5},	//569 QsciLexerFortran77::tr(const char*, const char*, int)
    {61, 1306, 47, 3, Smoke::mf_static, 37, 6},	//570 QsciLexerFortran77::trUtf8(const char*, const char*, int)
    {61, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//571 QsciLexerFortran77::qt_metacall(QMetaObject::Call, int, void**)
    {61, 370, 74, 1, Smoke::mf_ctor, 64, 8},	//572 QsciLexerFortran77::QsciLexerFortran77(QObject*)
    {61, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//573 QsciLexerFortran77::language() const
    {61, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//574 QsciLexerFortran77::lexer() const
    {61, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 11},	//575 QsciLexerFortran77::braceStyle() const
    {61, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//576 QsciLexerFortran77::defaultColor(int) const
    {61, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 13},	//577 QsciLexerFortran77::defaultEolFill(int) const
    {61, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//578 QsciLexerFortran77::defaultFont(int) const
    {61, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//579 QsciLexerFortran77::defaultPaper(int) const
    {61, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//580 QsciLexerFortran77::keywords(int) const
    {61, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//581 QsciLexerFortran77::description(int) const
    {61, 1018, 0, 0, Smoke::mf_virtual, 0, 18},	//582 QsciLexerFortran77::refreshProperties()
    {61, 848, 0, 0, Smoke::mf_const, 179, 19},	//583 QsciLexerFortran77::foldCompact() const
    {61, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//584 QsciLexerFortran77::setFoldCompact(bool)
    {61, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 21},	//585 QsciLexerFortran77::readProperties(QSettings&, const QString&)
    {61, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 22},	//586 QsciLexerFortran77::writeProperties(QSettings&, const QString&) const
    {61, 1302, 12, 1, Smoke::mf_static, 37, 23},	//587 QsciLexerFortran77::tr(const char*)
    {61, 1306, 12, 1, Smoke::mf_static, 37, 24},	//588 QsciLexerFortran77::trUtf8(const char*)
    {61, 370, 0, 0, Smoke::mf_ctor, 64, 25},	//589 QsciLexerFortran77::QsciLexerFortran77()
    {61, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 26},	//590 QsciLexerFortran77::staticMetaObject() const
    {61, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 27},	//591 QsciLexerFortran77::Default (enum)
    {61, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 28},	//592 QsciLexerFortran77::Comment (enum)
    {61, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 29},	//593 QsciLexerFortran77::Number (enum)
    {61, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 30},	//594 QsciLexerFortran77::SingleQuotedString (enum)
    {61, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 31},	//595 QsciLexerFortran77::DoubleQuotedString (enum)
    {61, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 32},	//596 QsciLexerFortran77::UnclosedString (enum)
    {61, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 33},	//597 QsciLexerFortran77::Operator (enum)
    {61, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 34},	//598 QsciLexerFortran77::Identifier (enum)
    {61, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//599 QsciLexerFortran77::Keyword (enum)
    {61, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//600 QsciLexerFortran77::IntrinsicFunction (enum)
    {61, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//601 QsciLexerFortran77::ExtendedFunction (enum)
    {61, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//602 QsciLexerFortran77::PreProcessor (enum)
    {61, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//603 QsciLexerFortran77::DottedOperator (enum)
    {61, 239, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//604 QsciLexerFortran77::Label (enum)
    {61, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//605 QsciLexerFortran77::Continuation (enum)
    {61, 1360, 0, 0, Smoke::mf_dtor, 0, 42 },	//606 QsciLexerFortran77::~QsciLexerFortran77()
    {62, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//607 QsciLexerHTML::metaObject() const
    {62, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//608 QsciLexerHTML::qt_metacast(const char*)
    {62, 1302, 44, 2, Smoke::mf_static, 37, 3},	//609 QsciLexerHTML::tr(const char*, const char*)
    {62, 1306, 44, 2, Smoke::mf_static, 37, 4},	//610 QsciLexerHTML::trUtf8(const char*, const char*)
    {62, 1302, 47, 3, Smoke::mf_static, 37, 5},	//611 QsciLexerHTML::tr(const char*, const char*, int)
    {62, 1306, 47, 3, Smoke::mf_static, 37, 6},	//612 QsciLexerHTML::trUtf8(const char*, const char*, int)
    {62, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//613 QsciLexerHTML::qt_metacall(QMetaObject::Call, int, void**)
    {62, 372, 74, 1, Smoke::mf_ctor, 65, 8},	//614 QsciLexerHTML::QsciLexerHTML(QObject*)
    {62, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//615 QsciLexerHTML::language() const
    {62, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//616 QsciLexerHTML::lexer() const
    {62, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//617 QsciLexerHTML::wordCharacters() const
    {62, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//618 QsciLexerHTML::defaultColor(int) const
    {62, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 13},	//619 QsciLexerHTML::defaultEolFill(int) const
    {62, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//620 QsciLexerHTML::defaultFont(int) const
    {62, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//621 QsciLexerHTML::defaultPaper(int) const
    {62, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//622 QsciLexerHTML::keywords(int) const
    {62, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//623 QsciLexerHTML::description(int) const
    {62, 1018, 0, 0, Smoke::mf_virtual, 0, 18},	//624 QsciLexerHTML::refreshProperties()
    {62, 848, 0, 0, Smoke::mf_const, 179, 19},	//625 QsciLexerHTML::foldCompact() const
    {62, 854, 0, 0, Smoke::mf_const, 179, 20},	//626 QsciLexerHTML::foldPreprocessor() const
    {62, 753, 0, 0, Smoke::mf_const, 179, 21},	//627 QsciLexerHTML::caseSensitiveTags() const
    {62, 1151, 16, 1, 0, 0, 22},	//628 QsciLexerHTML::setFoldScriptComments(bool)
    {62, 856, 0, 0, Smoke::mf_const, 179, 23},	//629 QsciLexerHTML::foldScriptComments() const
    {62, 1153, 16, 1, 0, 0, 24},	//630 QsciLexerHTML::setFoldScriptHeredocs(bool)
    {62, 857, 0, 0, Smoke::mf_const, 179, 25},	//631 QsciLexerHTML::foldScriptHeredocs() const
    {62, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//632 QsciLexerHTML::setFoldCompact(bool)
    {62, 1147, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//633 QsciLexerHTML::setFoldPreprocessor(bool)
    {62, 1093, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//634 QsciLexerHTML::setCaseSensitiveTags(bool)
    {62, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 29},	//635 QsciLexerHTML::readProperties(QSettings&, const QString&)
    {62, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 30},	//636 QsciLexerHTML::writeProperties(QSettings&, const QString&) const
    {62, 1302, 12, 1, Smoke::mf_static, 37, 31},	//637 QsciLexerHTML::tr(const char*)
    {62, 1306, 12, 1, Smoke::mf_static, 37, 32},	//638 QsciLexerHTML::trUtf8(const char*)
    {62, 372, 0, 0, Smoke::mf_ctor, 65, 33},	//639 QsciLexerHTML::QsciLexerHTML()
    {62, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 34},	//640 QsciLexerHTML::staticMetaObject() const
    {62, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//641 QsciLexerHTML::Default (enum)
    {62, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//642 QsciLexerHTML::Tag (enum)
    {62, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//643 QsciLexerHTML::UnknownTag (enum)
    {62, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//644 QsciLexerHTML::Attribute (enum)
    {62, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//645 QsciLexerHTML::UnknownAttribute (enum)
    {62, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//646 QsciLexerHTML::HTMLNumber (enum)
    {62, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//647 QsciLexerHTML::HTMLDoubleQuotedString (enum)
    {62, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//648 QsciLexerHTML::HTMLSingleQuotedString (enum)
    {62, 278, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//649 QsciLexerHTML::OtherInTag (enum)
    {62, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//650 QsciLexerHTML::HTMLComment (enum)
    {62, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//651 QsciLexerHTML::Entity (enum)
    {62, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//652 QsciLexerHTML::XMLTagEnd (enum)
    {62, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//653 QsciLexerHTML::XMLStart (enum)
    {62, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//654 QsciLexerHTML::XMLEnd (enum)
    {62, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 49},	//655 QsciLexerHTML::Script (enum)
    {62, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 50},	//656 QsciLexerHTML::ASPAtStart (enum)
    {62, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 51},	//657 QsciLexerHTML::ASPStart (enum)
    {62, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 52},	//658 QsciLexerHTML::CDATA (enum)
    {62, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 53},	//659 QsciLexerHTML::PHPStart (enum)
    {62, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 54},	//660 QsciLexerHTML::HTMLValue (enum)
    {62, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 55},	//661 QsciLexerHTML::ASPXCComment (enum)
    {62, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 56},	//662 QsciLexerHTML::SGMLDefault (enum)
    {62, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 57},	//663 QsciLexerHTML::SGMLCommand (enum)
    {62, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 58},	//664 QsciLexerHTML::SGMLParameter (enum)
    {62, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 59},	//665 QsciLexerHTML::SGMLDoubleQuotedString (enum)
    {62, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 60},	//666 QsciLexerHTML::SGMLSingleQuotedString (enum)
    {62, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 61},	//667 QsciLexerHTML::SGMLError (enum)
    {62, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 62},	//668 QsciLexerHTML::SGMLSpecial (enum)
    {62, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 63},	//669 QsciLexerHTML::SGMLEntity (enum)
    {62, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 64},	//670 QsciLexerHTML::SGMLComment (enum)
    {62, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 65},	//671 QsciLexerHTML::SGMLParameterComment (enum)
    {62, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 66},	//672 QsciLexerHTML::SGMLBlockDefault (enum)
    {62, 225, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 67},	//673 QsciLexerHTML::JavaScriptStart (enum)
    {62, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 68},	//674 QsciLexerHTML::JavaScriptDefault (enum)
    {62, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 69},	//675 QsciLexerHTML::JavaScriptComment (enum)
    {62, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 70},	//676 QsciLexerHTML::JavaScriptCommentLine (enum)
    {62, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 71},	//677 QsciLexerHTML::JavaScriptCommentDoc (enum)
    {62, 222, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 72},	//678 QsciLexerHTML::JavaScriptNumber (enum)
    {62, 228, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 73},	//679 QsciLexerHTML::JavaScriptWord (enum)
    {62, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 74},	//680 QsciLexerHTML::JavaScriptKeyword (enum)
    {62, 220, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 75},	//681 QsciLexerHTML::JavaScriptDoubleQuotedString (enum)
    {62, 224, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 76},	//682 QsciLexerHTML::JavaScriptSingleQuotedString (enum)
    {62, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 77},	//683 QsciLexerHTML::JavaScriptSymbol (enum)
    {62, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 78},	//684 QsciLexerHTML::JavaScriptUnclosedString (enum)
    {62, 223, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 79},	//685 QsciLexerHTML::JavaScriptRegex (enum)
    {62, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 80},	//686 QsciLexerHTML::ASPJavaScriptStart (enum)
    {62, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 81},	//687 QsciLexerHTML::ASPJavaScriptDefault (enum)
    {62, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 82},	//688 QsciLexerHTML::ASPJavaScriptComment (enum)
    {62, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 83},	//689 QsciLexerHTML::ASPJavaScriptCommentLine (enum)
    {62, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 84},	//690 QsciLexerHTML::ASPJavaScriptCommentDoc (enum)
    {62, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 85},	//691 QsciLexerHTML::ASPJavaScriptNumber (enum)
    {62, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 86},	//692 QsciLexerHTML::ASPJavaScriptWord (enum)
    {62, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 87},	//693 QsciLexerHTML::ASPJavaScriptKeyword (enum)
    {62, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 88},	//694 QsciLexerHTML::ASPJavaScriptDoubleQuotedString (enum)
    {62, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 89},	//695 QsciLexerHTML::ASPJavaScriptSingleQuotedString (enum)
    {62, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 90},	//696 QsciLexerHTML::ASPJavaScriptSymbol (enum)
    {62, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 91},	//697 QsciLexerHTML::ASPJavaScriptUnclosedString (enum)
    {62, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 92},	//698 QsciLexerHTML::ASPJavaScriptRegex (enum)
    {62, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 93},	//699 QsciLexerHTML::VBScriptStart (enum)
    {62, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 94},	//700 QsciLexerHTML::VBScriptDefault (enum)
    {62, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 95},	//701 QsciLexerHTML::VBScriptComment (enum)
    {62, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 96},	//702 QsciLexerHTML::VBScriptNumber (enum)
    {62, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 97},	//703 QsciLexerHTML::VBScriptKeyword (enum)
    {62, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 98},	//704 QsciLexerHTML::VBScriptString (enum)
    {62, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 99},	//705 QsciLexerHTML::VBScriptIdentifier (enum)
    {62, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 100},	//706 QsciLexerHTML::VBScriptUnclosedString (enum)
    {62, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 101},	//707 QsciLexerHTML::ASPVBScriptStart (enum)
    {62, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 102},	//708 QsciLexerHTML::ASPVBScriptDefault (enum)
    {62, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 103},	//709 QsciLexerHTML::ASPVBScriptComment (enum)
    {62, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 104},	//710 QsciLexerHTML::ASPVBScriptNumber (enum)
    {62, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 105},	//711 QsciLexerHTML::ASPVBScriptKeyword (enum)
    {62, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 106},	//712 QsciLexerHTML::ASPVBScriptString (enum)
    {62, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 107},	//713 QsciLexerHTML::ASPVBScriptIdentifier (enum)
    {62, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 108},	//714 QsciLexerHTML::ASPVBScriptUnclosedString (enum)
    {62, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 109},	//715 QsciLexerHTML::PythonStart (enum)
    {62, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 110},	//716 QsciLexerHTML::PythonDefault (enum)
    {62, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 111},	//717 QsciLexerHTML::PythonComment (enum)
    {62, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 112},	//718 QsciLexerHTML::PythonNumber (enum)
    {62, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 113},	//719 QsciLexerHTML::PythonDoubleQuotedString (enum)
    {62, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 114},	//720 QsciLexerHTML::PythonSingleQuotedString (enum)
    {62, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 115},	//721 QsciLexerHTML::PythonKeyword (enum)
    {62, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 116},	//722 QsciLexerHTML::PythonTripleSingleQuotedString (enum)
    {62, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 117},	//723 QsciLexerHTML::PythonTripleDoubleQuotedString (enum)
    {62, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 118},	//724 QsciLexerHTML::PythonClassName (enum)
    {62, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 119},	//725 QsciLexerHTML::PythonFunctionMethodName (enum)
    {62, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 120},	//726 QsciLexerHTML::PythonOperator (enum)
    {62, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 121},	//727 QsciLexerHTML::PythonIdentifier (enum)
    {62, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 122},	//728 QsciLexerHTML::ASPPythonStart (enum)
    {62, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 123},	//729 QsciLexerHTML::ASPPythonDefault (enum)
    {62, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 124},	//730 QsciLexerHTML::ASPPythonComment (enum)
    {62, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 125},	//731 QsciLexerHTML::ASPPythonNumber (enum)
    {62, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 126},	//732 QsciLexerHTML::ASPPythonDoubleQuotedString (enum)
    {62, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 127},	//733 QsciLexerHTML::ASPPythonSingleQuotedString (enum)
    {62, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 128},	//734 QsciLexerHTML::ASPPythonKeyword (enum)
    {62, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 129},	//735 QsciLexerHTML::ASPPythonTripleSingleQuotedString (enum)
    {62, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 130},	//736 QsciLexerHTML::ASPPythonTripleDoubleQuotedString (enum)
    {62, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 131},	//737 QsciLexerHTML::ASPPythonClassName (enum)
    {62, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 132},	//738 QsciLexerHTML::ASPPythonFunctionMethodName (enum)
    {62, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 133},	//739 QsciLexerHTML::ASPPythonOperator (enum)
    {62, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 134},	//740 QsciLexerHTML::ASPPythonIdentifier (enum)
    {62, 281, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 135},	//741 QsciLexerHTML::PHPDefault (enum)
    {62, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 136},	//742 QsciLexerHTML::PHPDoubleQuotedString (enum)
    {62, 287, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 137},	//743 QsciLexerHTML::PHPSingleQuotedString (enum)
    {62, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 138},	//744 QsciLexerHTML::PHPKeyword (enum)
    {62, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 139},	//745 QsciLexerHTML::PHPNumber (enum)
    {62, 289, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 140},	//746 QsciLexerHTML::PHPVariable (enum)
    {62, 279, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 141},	//747 QsciLexerHTML::PHPComment (enum)
    {62, 280, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 142},	//748 QsciLexerHTML::PHPCommentLine (enum)
    {62, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 143},	//749 QsciLexerHTML::PHPDoubleQuotedVariable (enum)
    {62, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 144},	//750 QsciLexerHTML::PHPOperator (enum)
    {62, 1361, 0, 0, Smoke::mf_dtor, 0, 145 },	//751 QsciLexerHTML::~QsciLexerHTML()
    {63, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//752 QsciLexerIDL::metaObject() const
    {63, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//753 QsciLexerIDL::qt_metacast(const char*)
    {63, 1302, 44, 2, Smoke::mf_static, 37, 3},	//754 QsciLexerIDL::tr(const char*, const char*)
    {63, 1306, 44, 2, Smoke::mf_static, 37, 4},	//755 QsciLexerIDL::trUtf8(const char*, const char*)
    {63, 1302, 47, 3, Smoke::mf_static, 37, 5},	//756 QsciLexerIDL::tr(const char*, const char*, int)
    {63, 1306, 47, 3, Smoke::mf_static, 37, 6},	//757 QsciLexerIDL::trUtf8(const char*, const char*, int)
    {63, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//758 QsciLexerIDL::qt_metacall(QMetaObject::Call, int, void**)
    {63, 374, 74, 1, Smoke::mf_ctor, 66, 8},	//759 QsciLexerIDL::QsciLexerIDL(QObject*)
    {63, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//760 QsciLexerIDL::language() const
    {63, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//761 QsciLexerIDL::defaultColor(int) const
    {63, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//762 QsciLexerIDL::keywords(int) const
    {63, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 12},	//763 QsciLexerIDL::description(int) const
    {63, 1302, 12, 1, Smoke::mf_static, 37, 13},	//764 QsciLexerIDL::tr(const char*)
    {63, 1306, 12, 1, Smoke::mf_static, 37, 14},	//765 QsciLexerIDL::trUtf8(const char*)
    {63, 374, 0, 0, Smoke::mf_ctor, 66, 15},	//766 QsciLexerIDL::QsciLexerIDL()
    {63, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 16},	//767 QsciLexerIDL::staticMetaObject() const
    {63, 1362, 0, 0, Smoke::mf_dtor, 0, 17 },	//768 QsciLexerIDL::~QsciLexerIDL()
    {64, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//769 QsciLexerJava::metaObject() const
    {64, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//770 QsciLexerJava::qt_metacast(const char*)
    {64, 1302, 44, 2, Smoke::mf_static, 37, 3},	//771 QsciLexerJava::tr(const char*, const char*)
    {64, 1306, 44, 2, Smoke::mf_static, 37, 4},	//772 QsciLexerJava::trUtf8(const char*, const char*)
    {64, 1302, 47, 3, Smoke::mf_static, 37, 5},	//773 QsciLexerJava::tr(const char*, const char*, int)
    {64, 1306, 47, 3, Smoke::mf_static, 37, 6},	//774 QsciLexerJava::trUtf8(const char*, const char*, int)
    {64, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//775 QsciLexerJava::qt_metacall(QMetaObject::Call, int, void**)
    {64, 376, 74, 1, Smoke::mf_ctor, 67, 8},	//776 QsciLexerJava::QsciLexerJava(QObject*)
    {64, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//777 QsciLexerJava::language() const
    {64, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//778 QsciLexerJava::keywords(int) const
    {64, 1302, 12, 1, Smoke::mf_static, 37, 11},	//779 QsciLexerJava::tr(const char*)
    {64, 1306, 12, 1, Smoke::mf_static, 37, 12},	//780 QsciLexerJava::trUtf8(const char*)
    {64, 376, 0, 0, Smoke::mf_ctor, 67, 13},	//781 QsciLexerJava::QsciLexerJava()
    {64, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 14},	//782 QsciLexerJava::staticMetaObject() const
    {64, 1363, 0, 0, Smoke::mf_dtor, 0, 15 },	//783 QsciLexerJava::~QsciLexerJava()
    {65, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//784 QsciLexerJavaScript::metaObject() const
    {65, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//785 QsciLexerJavaScript::qt_metacast(const char*)
    {65, 1302, 44, 2, Smoke::mf_static, 37, 3},	//786 QsciLexerJavaScript::tr(const char*, const char*)
    {65, 1306, 44, 2, Smoke::mf_static, 37, 4},	//787 QsciLexerJavaScript::trUtf8(const char*, const char*)
    {65, 1302, 47, 3, Smoke::mf_static, 37, 5},	//788 QsciLexerJavaScript::tr(const char*, const char*, int)
    {65, 1306, 47, 3, Smoke::mf_static, 37, 6},	//789 QsciLexerJavaScript::trUtf8(const char*, const char*, int)
    {65, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//790 QsciLexerJavaScript::qt_metacall(QMetaObject::Call, int, void**)
    {65, 378, 74, 1, Smoke::mf_ctor, 68, 8},	//791 QsciLexerJavaScript::QsciLexerJavaScript(QObject*)
    {65, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//792 QsciLexerJavaScript::language() const
    {65, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 10},	//793 QsciLexerJavaScript::defaultColor(int) const
    {65, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 11},	//794 QsciLexerJavaScript::defaultEolFill(int) const
    {65, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 12},	//795 QsciLexerJavaScript::defaultFont(int) const
    {65, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//796 QsciLexerJavaScript::defaultPaper(int) const
    {65, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//797 QsciLexerJavaScript::keywords(int) const
    {65, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 15},	//798 QsciLexerJavaScript::description(int) const
    {65, 1302, 12, 1, Smoke::mf_static, 37, 16},	//799 QsciLexerJavaScript::tr(const char*)
    {65, 1306, 12, 1, Smoke::mf_static, 37, 17},	//800 QsciLexerJavaScript::trUtf8(const char*)
    {65, 378, 0, 0, Smoke::mf_ctor, 68, 18},	//801 QsciLexerJavaScript::QsciLexerJavaScript()
    {65, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 19},	//802 QsciLexerJavaScript::staticMetaObject() const
    {65, 1364, 0, 0, Smoke::mf_dtor, 0, 20 },	//803 QsciLexerJavaScript::~QsciLexerJavaScript()
    {66, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//804 QsciLexerLua::metaObject() const
    {66, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//805 QsciLexerLua::qt_metacast(const char*)
    {66, 1302, 44, 2, Smoke::mf_static, 37, 3},	//806 QsciLexerLua::tr(const char*, const char*)
    {66, 1306, 44, 2, Smoke::mf_static, 37, 4},	//807 QsciLexerLua::trUtf8(const char*, const char*)
    {66, 1302, 47, 3, Smoke::mf_static, 37, 5},	//808 QsciLexerLua::tr(const char*, const char*, int)
    {66, 1306, 47, 3, Smoke::mf_static, 37, 6},	//809 QsciLexerLua::trUtf8(const char*, const char*, int)
    {66, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//810 QsciLexerLua::qt_metacall(QMetaObject::Call, int, void**)
    {66, 380, 74, 1, Smoke::mf_ctor, 69, 8},	//811 QsciLexerLua::QsciLexerLua(QObject*)
    {66, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//812 QsciLexerLua::language() const
    {66, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//813 QsciLexerLua::lexer() const
    {66, 728, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//814 QsciLexerLua::autoCompletionWordSeparators() const
    {66, 737, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//815 QsciLexerLua::blockStart(int*) const
    {66, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 13},	//816 QsciLexerLua::braceStyle() const
    {66, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//817 QsciLexerLua::defaultColor(int) const
    {66, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 15},	//818 QsciLexerLua::defaultEolFill(int) const
    {66, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//819 QsciLexerLua::defaultFont(int) const
    {66, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//820 QsciLexerLua::defaultPaper(int) const
    {66, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 18},	//821 QsciLexerLua::keywords(int) const
    {66, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 19},	//822 QsciLexerLua::description(int) const
    {66, 1018, 0, 0, Smoke::mf_virtual, 0, 20},	//823 QsciLexerLua::refreshProperties()
    {66, 848, 0, 0, Smoke::mf_const, 179, 21},	//824 QsciLexerLua::foldCompact() const
    {66, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//825 QsciLexerLua::setFoldCompact(bool)
    {66, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 23},	//826 QsciLexerLua::readProperties(QSettings&, const QString&)
    {66, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 24},	//827 QsciLexerLua::writeProperties(QSettings&, const QString&) const
    {66, 1302, 12, 1, Smoke::mf_static, 37, 25},	//828 QsciLexerLua::tr(const char*)
    {66, 1306, 12, 1, Smoke::mf_static, 37, 26},	//829 QsciLexerLua::trUtf8(const char*)
    {66, 380, 0, 0, Smoke::mf_ctor, 69, 27},	//830 QsciLexerLua::QsciLexerLua()
    {66, 737, 0, 0, Smoke::mf_const, 199, 28},	//831 QsciLexerLua::blockStart() const
    {66, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 29},	//832 QsciLexerLua::staticMetaObject() const
    {66, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 30},	//833 QsciLexerLua::Default (enum)
    {66, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 31},	//834 QsciLexerLua::Comment (enum)
    {66, 251, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 32},	//835 QsciLexerLua::LineComment (enum)
    {66, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 33},	//836 QsciLexerLua::Number (enum)
    {66, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 34},	//837 QsciLexerLua::Keyword (enum)
    {66, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//838 QsciLexerLua::String (enum)
    {66, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//839 QsciLexerLua::Character (enum)
    {66, 254, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//840 QsciLexerLua::LiteralString (enum)
    {66, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//841 QsciLexerLua::Preprocessor (enum)
    {66, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//842 QsciLexerLua::Operator (enum)
    {66, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//843 QsciLexerLua::Identifier (enum)
    {66, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//844 QsciLexerLua::UnclosedString (enum)
    {66, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//845 QsciLexerLua::BasicFunctions (enum)
    {66, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//846 QsciLexerLua::StringTableMathsFunctions (enum)
    {66, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//847 QsciLexerLua::CoroutinesIOSystemFacilities (enum)
    {66, 1365, 0, 0, Smoke::mf_dtor, 0, 45 },	//848 QsciLexerLua::~QsciLexerLua()
    {67, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//849 QsciLexerMakefile::metaObject() const
    {67, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//850 QsciLexerMakefile::qt_metacast(const char*)
    {67, 1302, 44, 2, Smoke::mf_static, 37, 3},	//851 QsciLexerMakefile::tr(const char*, const char*)
    {67, 1306, 44, 2, Smoke::mf_static, 37, 4},	//852 QsciLexerMakefile::trUtf8(const char*, const char*)
    {67, 1302, 47, 3, Smoke::mf_static, 37, 5},	//853 QsciLexerMakefile::tr(const char*, const char*, int)
    {67, 1306, 47, 3, Smoke::mf_static, 37, 6},	//854 QsciLexerMakefile::trUtf8(const char*, const char*, int)
    {67, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//855 QsciLexerMakefile::qt_metacall(QMetaObject::Call, int, void**)
    {67, 382, 74, 1, Smoke::mf_ctor, 70, 8},	//856 QsciLexerMakefile::QsciLexerMakefile(QObject*)
    {67, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//857 QsciLexerMakefile::language() const
    {67, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//858 QsciLexerMakefile::lexer() const
    {67, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//859 QsciLexerMakefile::wordCharacters() const
    {67, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//860 QsciLexerMakefile::defaultColor(int) const
    {67, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 13},	//861 QsciLexerMakefile::defaultEolFill(int) const
    {67, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//862 QsciLexerMakefile::defaultFont(int) const
    {67, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//863 QsciLexerMakefile::defaultPaper(int) const
    {67, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//864 QsciLexerMakefile::description(int) const
    {67, 1302, 12, 1, Smoke::mf_static, 37, 17},	//865 QsciLexerMakefile::tr(const char*)
    {67, 1306, 12, 1, Smoke::mf_static, 37, 18},	//866 QsciLexerMakefile::trUtf8(const char*)
    {67, 382, 0, 0, Smoke::mf_ctor, 70, 19},	//867 QsciLexerMakefile::QsciLexerMakefile()
    {67, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 20},	//868 QsciLexerMakefile::staticMetaObject() const
    {67, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 21},	//869 QsciLexerMakefile::Default (enum)
    {67, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 22},	//870 QsciLexerMakefile::Comment (enum)
    {67, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 23},	//871 QsciLexerMakefile::Preprocessor (enum)
    {67, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 24},	//872 QsciLexerMakefile::Variable (enum)
    {67, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 25},	//873 QsciLexerMakefile::Operator (enum)
    {67, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 26},	//874 QsciLexerMakefile::Target (enum)
    {67, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 27},	//875 QsciLexerMakefile::Error (enum)
    {67, 1366, 0, 0, Smoke::mf_dtor, 0, 28 },	//876 QsciLexerMakefile::~QsciLexerMakefile()
    {68, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//877 QsciLexerPOV::metaObject() const
    {68, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//878 QsciLexerPOV::qt_metacast(const char*)
    {68, 1302, 44, 2, Smoke::mf_static, 37, 3},	//879 QsciLexerPOV::tr(const char*, const char*)
    {68, 1306, 44, 2, Smoke::mf_static, 37, 4},	//880 QsciLexerPOV::trUtf8(const char*, const char*)
    {68, 1302, 47, 3, Smoke::mf_static, 37, 5},	//881 QsciLexerPOV::tr(const char*, const char*, int)
    {68, 1306, 47, 3, Smoke::mf_static, 37, 6},	//882 QsciLexerPOV::trUtf8(const char*, const char*, int)
    {68, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//883 QsciLexerPOV::qt_metacall(QMetaObject::Call, int, void**)
    {68, 384, 74, 1, Smoke::mf_ctor, 71, 8},	//884 QsciLexerPOV::QsciLexerPOV(QObject*)
    {68, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//885 QsciLexerPOV::language() const
    {68, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//886 QsciLexerPOV::lexer() const
    {68, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 11},	//887 QsciLexerPOV::braceStyle() const
    {68, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//888 QsciLexerPOV::wordCharacters() const
    {68, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 13},	//889 QsciLexerPOV::defaultColor(int) const
    {68, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 14},	//890 QsciLexerPOV::defaultEolFill(int) const
    {68, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 15},	//891 QsciLexerPOV::defaultFont(int) const
    {68, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//892 QsciLexerPOV::defaultPaper(int) const
    {68, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 17},	//893 QsciLexerPOV::keywords(int) const
    {68, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 18},	//894 QsciLexerPOV::description(int) const
    {68, 1018, 0, 0, Smoke::mf_virtual, 0, 19},	//895 QsciLexerPOV::refreshProperties()
    {68, 847, 0, 0, Smoke::mf_const, 179, 20},	//896 QsciLexerPOV::foldComments() const
    {68, 848, 0, 0, Smoke::mf_const, 179, 21},	//897 QsciLexerPOV::foldCompact() const
    {68, 849, 0, 0, Smoke::mf_const, 179, 22},	//898 QsciLexerPOV::foldDirectives() const
    {68, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//899 QsciLexerPOV::setFoldComments(bool)
    {68, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//900 QsciLexerPOV::setFoldCompact(bool)
    {68, 1139, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//901 QsciLexerPOV::setFoldDirectives(bool)
    {68, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 26},	//902 QsciLexerPOV::readProperties(QSettings&, const QString&)
    {68, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 27},	//903 QsciLexerPOV::writeProperties(QSettings&, const QString&) const
    {68, 1302, 12, 1, Smoke::mf_static, 37, 28},	//904 QsciLexerPOV::tr(const char*)
    {68, 1306, 12, 1, Smoke::mf_static, 37, 29},	//905 QsciLexerPOV::trUtf8(const char*)
    {68, 384, 0, 0, Smoke::mf_ctor, 71, 30},	//906 QsciLexerPOV::QsciLexerPOV()
    {68, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 31},	//907 QsciLexerPOV::staticMetaObject() const
    {68, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 32},	//908 QsciLexerPOV::Default (enum)
    {68, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 33},	//909 QsciLexerPOV::Comment (enum)
    {68, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 34},	//910 QsciLexerPOV::CommentLine (enum)
    {68, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//911 QsciLexerPOV::Number (enum)
    {68, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//912 QsciLexerPOV::Operator (enum)
    {68, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//913 QsciLexerPOV::Identifier (enum)
    {68, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//914 QsciLexerPOV::String (enum)
    {68, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//915 QsciLexerPOV::UnclosedString (enum)
    {68, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//916 QsciLexerPOV::Directive (enum)
    {68, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//917 QsciLexerPOV::BadDirective (enum)
    {68, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//918 QsciLexerPOV::ObjectsCSGAppearance (enum)
    {68, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//919 QsciLexerPOV::TypesModifiersItems (enum)
    {68, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//920 QsciLexerPOV::PredefinedIdentifiers (enum)
    {68, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//921 QsciLexerPOV::PredefinedFunctions (enum)
    {68, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//922 QsciLexerPOV::KeywordSet6 (enum)
    {68, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//923 QsciLexerPOV::KeywordSet7 (enum)
    {68, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//924 QsciLexerPOV::KeywordSet8 (enum)
    {68, 1367, 0, 0, Smoke::mf_dtor, 0, 49 },	//925 QsciLexerPOV::~QsciLexerPOV()
    {69, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//926 QsciLexerPascal::metaObject() const
    {69, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//927 QsciLexerPascal::qt_metacast(const char*)
    {69, 1302, 44, 2, Smoke::mf_static, 37, 3},	//928 QsciLexerPascal::tr(const char*, const char*)
    {69, 1306, 44, 2, Smoke::mf_static, 37, 4},	//929 QsciLexerPascal::trUtf8(const char*, const char*)
    {69, 1302, 47, 3, Smoke::mf_static, 37, 5},	//930 QsciLexerPascal::tr(const char*, const char*, int)
    {69, 1306, 47, 3, Smoke::mf_static, 37, 6},	//931 QsciLexerPascal::trUtf8(const char*, const char*, int)
    {69, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//932 QsciLexerPascal::qt_metacall(QMetaObject::Call, int, void**)
    {69, 386, 74, 1, Smoke::mf_ctor, 72, 8},	//933 QsciLexerPascal::QsciLexerPascal(QObject*)
    {69, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//934 QsciLexerPascal::language() const
    {69, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//935 QsciLexerPascal::lexer() const
    {69, 728, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//936 QsciLexerPascal::autoCompletionWordSeparators() const
    {69, 734, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//937 QsciLexerPascal::blockEnd(int*) const
    {69, 737, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//938 QsciLexerPascal::blockStart(int*) const
    {69, 739, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 14},	//939 QsciLexerPascal::blockStartKeyword(int*) const
    {69, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 15},	//940 QsciLexerPascal::braceStyle() const
    {69, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 16},	//941 QsciLexerPascal::defaultColor(int) const
    {69, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 17},	//942 QsciLexerPascal::defaultEolFill(int) const
    {69, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 18},	//943 QsciLexerPascal::defaultFont(int) const
    {69, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 19},	//944 QsciLexerPascal::defaultPaper(int) const
    {69, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 20},	//945 QsciLexerPascal::keywords(int) const
    {69, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 21},	//946 QsciLexerPascal::description(int) const
    {69, 1018, 0, 0, Smoke::mf_virtual, 0, 22},	//947 QsciLexerPascal::refreshProperties()
    {69, 847, 0, 0, Smoke::mf_const, 179, 23},	//948 QsciLexerPascal::foldComments() const
    {69, 848, 0, 0, Smoke::mf_const, 179, 24},	//949 QsciLexerPascal::foldCompact() const
    {69, 854, 0, 0, Smoke::mf_const, 179, 25},	//950 QsciLexerPascal::foldPreprocessor() const
    {69, 1233, 16, 1, 0, 0, 26},	//951 QsciLexerPascal::setSmartHighlighting(bool)
    {69, 1276, 0, 0, Smoke::mf_const, 179, 27},	//952 QsciLexerPascal::smartHighlighting() const
    {69, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//953 QsciLexerPascal::setFoldComments(bool)
    {69, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//954 QsciLexerPascal::setFoldCompact(bool)
    {69, 1147, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 30},	//955 QsciLexerPascal::setFoldPreprocessor(bool)
    {69, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 31},	//956 QsciLexerPascal::readProperties(QSettings&, const QString&)
    {69, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 32},	//957 QsciLexerPascal::writeProperties(QSettings&, const QString&) const
    {69, 1302, 12, 1, Smoke::mf_static, 37, 33},	//958 QsciLexerPascal::tr(const char*)
    {69, 1306, 12, 1, Smoke::mf_static, 37, 34},	//959 QsciLexerPascal::trUtf8(const char*)
    {69, 386, 0, 0, Smoke::mf_ctor, 72, 35},	//960 QsciLexerPascal::QsciLexerPascal()
    {69, 734, 0, 0, Smoke::mf_const, 199, 36},	//961 QsciLexerPascal::blockEnd() const
    {69, 737, 0, 0, Smoke::mf_const, 199, 37},	//962 QsciLexerPascal::blockStart() const
    {69, 739, 0, 0, Smoke::mf_const, 199, 38},	//963 QsciLexerPascal::blockStartKeyword() const
    {69, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 39},	//964 QsciLexerPascal::staticMetaObject() const
    {69, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//965 QsciLexerPascal::Default (enum)
    {69, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//966 QsciLexerPascal::Identifier (enum)
    {69, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//967 QsciLexerPascal::Comment (enum)
    {69, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//968 QsciLexerPascal::CommentParenthesis (enum)
    {69, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//969 QsciLexerPascal::CommentLine (enum)
    {69, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//970 QsciLexerPascal::PreProcessor (enum)
    {69, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//971 QsciLexerPascal::PreProcessorParenthesis (enum)
    {69, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//972 QsciLexerPascal::Number (enum)
    {69, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//973 QsciLexerPascal::HexNumber (enum)
    {69, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 49},	//974 QsciLexerPascal::Keyword (enum)
    {69, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 50},	//975 QsciLexerPascal::SingleQuotedString (enum)
    {69, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 51},	//976 QsciLexerPascal::UnclosedString (enum)
    {69, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 52},	//977 QsciLexerPascal::Character (enum)
    {69, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 53},	//978 QsciLexerPascal::Operator (enum)
    {69, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 54},	//979 QsciLexerPascal::Asm (enum)
    {69, 1368, 0, 0, Smoke::mf_dtor, 0, 55 },	//980 QsciLexerPascal::~QsciLexerPascal()
    {70, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//981 QsciLexerPerl::metaObject() const
    {70, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//982 QsciLexerPerl::qt_metacast(const char*)
    {70, 1302, 44, 2, Smoke::mf_static, 37, 3},	//983 QsciLexerPerl::tr(const char*, const char*)
    {70, 1306, 44, 2, Smoke::mf_static, 37, 4},	//984 QsciLexerPerl::trUtf8(const char*, const char*)
    {70, 1302, 47, 3, Smoke::mf_static, 37, 5},	//985 QsciLexerPerl::tr(const char*, const char*, int)
    {70, 1306, 47, 3, Smoke::mf_static, 37, 6},	//986 QsciLexerPerl::trUtf8(const char*, const char*, int)
    {70, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//987 QsciLexerPerl::qt_metacall(QMetaObject::Call, int, void**)
    {70, 388, 74, 1, Smoke::mf_ctor, 73, 8},	//988 QsciLexerPerl::QsciLexerPerl(QObject*)
    {70, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//989 QsciLexerPerl::language() const
    {70, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//990 QsciLexerPerl::lexer() const
    {70, 728, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//991 QsciLexerPerl::autoCompletionWordSeparators() const
    {70, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 12},	//992 QsciLexerPerl::braceStyle() const
    {70, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//993 QsciLexerPerl::wordCharacters() const
    {70, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//994 QsciLexerPerl::defaultColor(int) const
    {70, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 15},	//995 QsciLexerPerl::defaultEolFill(int) const
    {70, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 16},	//996 QsciLexerPerl::defaultFont(int) const
    {70, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 17},	//997 QsciLexerPerl::defaultPaper(int) const
    {70, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 18},	//998 QsciLexerPerl::keywords(int) const
    {70, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 19},	//999 QsciLexerPerl::description(int) const
    {70, 1018, 0, 0, Smoke::mf_virtual, 0, 20},	//1000 QsciLexerPerl::refreshProperties()
    {70, 847, 0, 0, Smoke::mf_const, 179, 21},	//1001 QsciLexerPerl::foldComments() const
    {70, 848, 0, 0, Smoke::mf_const, 179, 22},	//1002 QsciLexerPerl::foldCompact() const
    {70, 1145, 16, 1, 0, 0, 23},	//1003 QsciLexerPerl::setFoldPackages(bool)
    {70, 853, 0, 0, Smoke::mf_const, 179, 24},	//1004 QsciLexerPerl::foldPackages() const
    {70, 1143, 16, 1, 0, 0, 25},	//1005 QsciLexerPerl::setFoldPODBlocks(bool)
    {70, 852, 0, 0, Smoke::mf_const, 179, 26},	//1006 QsciLexerPerl::foldPODBlocks() const
    {70, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1007 QsciLexerPerl::setFoldComments(bool)
    {70, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1008 QsciLexerPerl::setFoldCompact(bool)
    {70, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 29},	//1009 QsciLexerPerl::readProperties(QSettings&, const QString&)
    {70, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 30},	//1010 QsciLexerPerl::writeProperties(QSettings&, const QString&) const
    {70, 1302, 12, 1, Smoke::mf_static, 37, 31},	//1011 QsciLexerPerl::tr(const char*)
    {70, 1306, 12, 1, Smoke::mf_static, 37, 32},	//1012 QsciLexerPerl::trUtf8(const char*)
    {70, 388, 0, 0, Smoke::mf_ctor, 73, 33},	//1013 QsciLexerPerl::QsciLexerPerl()
    {70, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 34},	//1014 QsciLexerPerl::staticMetaObject() const
    {70, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//1015 QsciLexerPerl::Default (enum)
    {70, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//1016 QsciLexerPerl::Error (enum)
    {70, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//1017 QsciLexerPerl::Comment (enum)
    {70, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//1018 QsciLexerPerl::POD (enum)
    {70, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//1019 QsciLexerPerl::Number (enum)
    {70, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//1020 QsciLexerPerl::Keyword (enum)
    {70, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//1021 QsciLexerPerl::DoubleQuotedString (enum)
    {70, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//1022 QsciLexerPerl::SingleQuotedString (enum)
    {70, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//1023 QsciLexerPerl::Operator (enum)
    {70, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//1024 QsciLexerPerl::Identifier (enum)
    {70, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//1025 QsciLexerPerl::Scalar (enum)
    {70, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//1026 QsciLexerPerl::Array (enum)
    {70, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//1027 QsciLexerPerl::Hash (enum)
    {70, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//1028 QsciLexerPerl::SymbolTable (enum)
    {70, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 49},	//1029 QsciLexerPerl::Regex (enum)
    {70, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 50},	//1030 QsciLexerPerl::Substitution (enum)
    {70, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 51},	//1031 QsciLexerPerl::Backticks (enum)
    {70, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 52},	//1032 QsciLexerPerl::DataSection (enum)
    {70, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 53},	//1033 QsciLexerPerl::HereDocumentDelimiter (enum)
    {70, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 54},	//1034 QsciLexerPerl::SingleQuotedHereDocument (enum)
    {70, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 55},	//1035 QsciLexerPerl::DoubleQuotedHereDocument (enum)
    {70, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 56},	//1036 QsciLexerPerl::BacktickHereDocument (enum)
    {70, 435, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 57},	//1037 QsciLexerPerl::QuotedStringQ (enum)
    {70, 436, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 58},	//1038 QsciLexerPerl::QuotedStringQQ (enum)
    {70, 439, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 59},	//1039 QsciLexerPerl::QuotedStringQX (enum)
    {70, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 60},	//1040 QsciLexerPerl::QuotedStringQR (enum)
    {70, 438, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 61},	//1041 QsciLexerPerl::QuotedStringQW (enum)
    {70, 291, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 62},	//1042 QsciLexerPerl::PODVerbatim (enum)
    {70, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 63},	//1043 QsciLexerPerl::SubroutinePrototype (enum)
    {70, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 64},	//1044 QsciLexerPerl::FormatIdentifier (enum)
    {70, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 65},	//1045 QsciLexerPerl::FormatBody (enum)
    {70, 1369, 0, 0, Smoke::mf_dtor, 0, 66 },	//1046 QsciLexerPerl::~QsciLexerPerl()
    {71, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1047 QsciLexerPostScript::metaObject() const
    {71, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1048 QsciLexerPostScript::qt_metacast(const char*)
    {71, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1049 QsciLexerPostScript::tr(const char*, const char*)
    {71, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1050 QsciLexerPostScript::trUtf8(const char*, const char*)
    {71, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1051 QsciLexerPostScript::tr(const char*, const char*, int)
    {71, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1052 QsciLexerPostScript::trUtf8(const char*, const char*, int)
    {71, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1053 QsciLexerPostScript::qt_metacall(QMetaObject::Call, int, void**)
    {71, 390, 74, 1, Smoke::mf_ctor, 74, 8},	//1054 QsciLexerPostScript::QsciLexerPostScript(QObject*)
    {71, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//1055 QsciLexerPostScript::language() const
    {71, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//1056 QsciLexerPostScript::lexer() const
    {71, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 11},	//1057 QsciLexerPostScript::braceStyle() const
    {71, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1058 QsciLexerPostScript::defaultColor(int) const
    {71, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1059 QsciLexerPostScript::defaultFont(int) const
    {71, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1060 QsciLexerPostScript::defaultPaper(int) const
    {71, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 15},	//1061 QsciLexerPostScript::keywords(int) const
    {71, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1062 QsciLexerPostScript::description(int) const
    {71, 1018, 0, 0, Smoke::mf_virtual, 0, 17},	//1063 QsciLexerPostScript::refreshProperties()
    {71, 1301, 0, 0, Smoke::mf_const, 179, 18},	//1064 QsciLexerPostScript::tokenize() const
    {71, 914, 0, 0, Smoke::mf_const, 201, 19},	//1065 QsciLexerPostScript::level() const
    {71, 848, 0, 0, Smoke::mf_const, 179, 20},	//1066 QsciLexerPostScript::foldCompact() const
    {71, 845, 0, 0, Smoke::mf_const, 179, 21},	//1067 QsciLexerPostScript::foldAtElse() const
    {71, 1248, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1068 QsciLexerPostScript::setTokenize(bool)
    {71, 1179, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1069 QsciLexerPostScript::setLevel(int)
    {71, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1070 QsciLexerPostScript::setFoldCompact(bool)
    {71, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1071 QsciLexerPostScript::setFoldAtElse(bool)
    {71, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 26},	//1072 QsciLexerPostScript::readProperties(QSettings&, const QString&)
    {71, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 27},	//1073 QsciLexerPostScript::writeProperties(QSettings&, const QString&) const
    {71, 1302, 12, 1, Smoke::mf_static, 37, 28},	//1074 QsciLexerPostScript::tr(const char*)
    {71, 1306, 12, 1, Smoke::mf_static, 37, 29},	//1075 QsciLexerPostScript::trUtf8(const char*)
    {71, 390, 0, 0, Smoke::mf_ctor, 74, 30},	//1076 QsciLexerPostScript::QsciLexerPostScript()
    {71, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 31},	//1077 QsciLexerPostScript::staticMetaObject() const
    {71, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 32},	//1078 QsciLexerPostScript::Default (enum)
    {71, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 33},	//1079 QsciLexerPostScript::Comment (enum)
    {71, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 34},	//1080 QsciLexerPostScript::DSCComment (enum)
    {71, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//1081 QsciLexerPostScript::DSCCommentValue (enum)
    {71, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//1082 QsciLexerPostScript::Number (enum)
    {71, 266, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//1083 QsciLexerPostScript::Name (enum)
    {71, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//1084 QsciLexerPostScript::Keyword (enum)
    {71, 253, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//1085 QsciLexerPostScript::Literal (enum)
    {71, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//1086 QsciLexerPostScript::ImmediateEvalLiteral (enum)
    {71, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//1087 QsciLexerPostScript::ArrayParenthesis (enum)
    {71, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//1088 QsciLexerPostScript::DictionaryParenthesis (enum)
    {71, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//1089 QsciLexerPostScript::ProcedureParenthesis (enum)
    {71, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//1090 QsciLexerPostScript::Text (enum)
    {71, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//1091 QsciLexerPostScript::HexString (enum)
    {71, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//1092 QsciLexerPostScript::Base85String (enum)
    {71, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//1093 QsciLexerPostScript::BadStringCharacter (enum)
    {71, 1370, 0, 0, Smoke::mf_dtor, 0, 48 },	//1094 QsciLexerPostScript::~QsciLexerPostScript()
    {72, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1095 QsciLexerProperties::metaObject() const
    {72, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1096 QsciLexerProperties::qt_metacast(const char*)
    {72, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1097 QsciLexerProperties::tr(const char*, const char*)
    {72, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1098 QsciLexerProperties::trUtf8(const char*, const char*)
    {72, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1099 QsciLexerProperties::tr(const char*, const char*, int)
    {72, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1100 QsciLexerProperties::trUtf8(const char*, const char*, int)
    {72, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1101 QsciLexerProperties::qt_metacall(QMetaObject::Call, int, void**)
    {72, 392, 74, 1, Smoke::mf_ctor, 75, 8},	//1102 QsciLexerProperties::QsciLexerProperties(QObject*)
    {72, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//1103 QsciLexerProperties::language() const
    {72, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//1104 QsciLexerProperties::lexer() const
    {72, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//1105 QsciLexerProperties::wordCharacters() const
    {72, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1106 QsciLexerProperties::defaultColor(int) const
    {72, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 13},	//1107 QsciLexerProperties::defaultEolFill(int) const
    {72, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1108 QsciLexerProperties::defaultFont(int) const
    {72, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1109 QsciLexerProperties::defaultPaper(int) const
    {72, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1110 QsciLexerProperties::description(int) const
    {72, 1018, 0, 0, Smoke::mf_virtual, 0, 17},	//1111 QsciLexerProperties::refreshProperties()
    {72, 848, 0, 0, Smoke::mf_const, 179, 18},	//1112 QsciLexerProperties::foldCompact() const
    {72, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1113 QsciLexerProperties::setFoldCompact(bool)
    {72, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 20},	//1114 QsciLexerProperties::readProperties(QSettings&, const QString&)
    {72, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 21},	//1115 QsciLexerProperties::writeProperties(QSettings&, const QString&) const
    {72, 1302, 12, 1, Smoke::mf_static, 37, 22},	//1116 QsciLexerProperties::tr(const char*)
    {72, 1306, 12, 1, Smoke::mf_static, 37, 23},	//1117 QsciLexerProperties::trUtf8(const char*)
    {72, 392, 0, 0, Smoke::mf_ctor, 75, 24},	//1118 QsciLexerProperties::QsciLexerProperties()
    {72, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 25},	//1119 QsciLexerProperties::staticMetaObject() const
    {72, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 26},	//1120 QsciLexerProperties::Default (enum)
    {72, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 27},	//1121 QsciLexerProperties::Comment (enum)
    {72, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 28},	//1122 QsciLexerProperties::Section (enum)
    {72, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 29},	//1123 QsciLexerProperties::Assignment (enum)
    {72, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 30},	//1124 QsciLexerProperties::DefaultValue (enum)
    {72, 1371, 0, 0, Smoke::mf_dtor, 0, 31 },	//1125 QsciLexerProperties::~QsciLexerProperties()
    {73, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1126 QsciLexerPython::metaObject() const
    {73, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1127 QsciLexerPython::qt_metacast(const char*)
    {73, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1128 QsciLexerPython::tr(const char*, const char*)
    {73, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1129 QsciLexerPython::trUtf8(const char*, const char*)
    {73, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1130 QsciLexerPython::tr(const char*, const char*, int)
    {73, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1131 QsciLexerPython::trUtf8(const char*, const char*, int)
    {73, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1132 QsciLexerPython::qt_metacall(QMetaObject::Call, int, void**)
    {73, 394, 74, 1, Smoke::mf_ctor, 76, 8},	//1133 QsciLexerPython::QsciLexerPython(QObject*)
    {73, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//1134 QsciLexerPython::language() const
    {73, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//1135 QsciLexerPython::lexer() const
    {73, 728, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 38, 11},	//1136 QsciLexerPython::autoCompletionWordSeparators() const
    {73, 736, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 12},	//1137 QsciLexerPython::blockLookback() const
    {73, 737, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//1138 QsciLexerPython::blockStart(int*) const
    {73, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 14},	//1139 QsciLexerPython::braceStyle() const
    {73, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1140 QsciLexerPython::defaultColor(int) const
    {73, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 16},	//1141 QsciLexerPython::defaultEolFill(int) const
    {73, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1142 QsciLexerPython::defaultFont(int) const
    {73, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1143 QsciLexerPython::defaultPaper(int) const
    {73, 880, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 19},	//1144 QsciLexerPython::indentationGuideView() const
    {73, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 20},	//1145 QsciLexerPython::keywords(int) const
    {73, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 21},	//1146 QsciLexerPython::description(int) const
    {73, 1018, 0, 0, Smoke::mf_virtual, 0, 22},	//1147 QsciLexerPython::refreshProperties()
    {73, 847, 0, 0, Smoke::mf_const, 179, 23},	//1148 QsciLexerPython::foldComments() const
    {73, 855, 0, 0, Smoke::mf_const, 179, 24},	//1149 QsciLexerPython::foldQuotes() const
    {73, 882, 0, 0, Smoke::mf_const, 77, 25},	//1150 QsciLexerPython::indentationWarning() const
    {73, 1256, 16, 1, 0, 0, 26},	//1151 QsciLexerPython::setV2UnicodeAllowed(bool)
    {73, 1317, 0, 0, Smoke::mf_const, 179, 27},	//1152 QsciLexerPython::v2UnicodeAllowed() const
    {73, 1258, 16, 1, 0, 0, 28},	//1153 QsciLexerPython::setV3BinaryOctalAllowed(bool)
    {73, 1318, 0, 0, Smoke::mf_const, 179, 29},	//1154 QsciLexerPython::v3BinaryOctalAllowed() const
    {73, 1260, 16, 1, 0, 0, 30},	//1155 QsciLexerPython::setV3BytesAllowed(bool)
    {73, 1319, 0, 0, Smoke::mf_const, 179, 31},	//1156 QsciLexerPython::v3BytesAllowed() const
    {73, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 32},	//1157 QsciLexerPython::setFoldComments(bool)
    {73, 1149, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 33},	//1158 QsciLexerPython::setFoldQuotes(bool)
    {73, 1171, 105, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 34},	//1159 QsciLexerPython::setIndentationWarning(QsciLexerPython::IndentationWarning)
    {73, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 35},	//1160 QsciLexerPython::readProperties(QSettings&, const QString&)
    {73, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 36},	//1161 QsciLexerPython::writeProperties(QSettings&, const QString&) const
    {73, 1302, 12, 1, Smoke::mf_static, 37, 37},	//1162 QsciLexerPython::tr(const char*)
    {73, 1306, 12, 1, Smoke::mf_static, 37, 38},	//1163 QsciLexerPython::trUtf8(const char*)
    {73, 394, 0, 0, Smoke::mf_ctor, 76, 39},	//1164 QsciLexerPython::QsciLexerPython()
    {73, 737, 0, 0, Smoke::mf_const, 199, 40},	//1165 QsciLexerPython::blockStart() const
    {73, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 41},	//1166 QsciLexerPython::staticMetaObject() const
    {73, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//1167 QsciLexerPython::Default (enum)
    {73, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//1168 QsciLexerPython::Comment (enum)
    {73, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//1169 QsciLexerPython::Number (enum)
    {73, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//1170 QsciLexerPython::DoubleQuotedString (enum)
    {73, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//1171 QsciLexerPython::SingleQuotedString (enum)
    {73, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//1172 QsciLexerPython::Keyword (enum)
    {73, 660, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//1173 QsciLexerPython::TripleSingleQuotedString (enum)
    {73, 659, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 49},	//1174 QsciLexerPython::TripleDoubleQuotedString (enum)
    {73, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 50},	//1175 QsciLexerPython::ClassName (enum)
    {73, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 51},	//1176 QsciLexerPython::FunctionMethodName (enum)
    {73, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 52},	//1177 QsciLexerPython::Operator (enum)
    {73, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 53},	//1178 QsciLexerPython::Identifier (enum)
    {73, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 54},	//1179 QsciLexerPython::CommentBlock (enum)
    {73, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 55},	//1180 QsciLexerPython::UnclosedString (enum)
    {73, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 56},	//1181 QsciLexerPython::HighlightedIdentifier (enum)
    {73, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 57},	//1182 QsciLexerPython::Decorator (enum)
    {73, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 58},	//1183 QsciLexerPython::NoWarning (enum)
    {73, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 59},	//1184 QsciLexerPython::Inconsistent (enum)
    {73, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 60},	//1185 QsciLexerPython::TabsAfterSpaces (enum)
    {73, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 61},	//1186 QsciLexerPython::Spaces (enum)
    {73, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 62},	//1187 QsciLexerPython::Tabs (enum)
    {73, 1372, 0, 0, Smoke::mf_dtor, 0, 63 },	//1188 QsciLexerPython::~QsciLexerPython()
    {74, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1189 QsciLexerRuby::metaObject() const
    {74, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1190 QsciLexerRuby::qt_metacast(const char*)
    {74, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1191 QsciLexerRuby::tr(const char*, const char*)
    {74, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1192 QsciLexerRuby::trUtf8(const char*, const char*)
    {74, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1193 QsciLexerRuby::tr(const char*, const char*, int)
    {74, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1194 QsciLexerRuby::trUtf8(const char*, const char*, int)
    {74, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1195 QsciLexerRuby::qt_metacall(QMetaObject::Call, int, void**)
    {74, 396, 74, 1, Smoke::mf_ctor, 78, 8},	//1196 QsciLexerRuby::QsciLexerRuby(QObject*)
    {74, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//1197 QsciLexerRuby::language() const
    {74, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//1198 QsciLexerRuby::lexer() const
    {74, 734, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//1199 QsciLexerRuby::blockEnd(int*) const
    {74, 737, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 12},	//1200 QsciLexerRuby::blockStart(int*) const
    {74, 739, 76, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//1201 QsciLexerRuby::blockStartKeyword(int*) const
    {74, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 14},	//1202 QsciLexerRuby::braceStyle() const
    {74, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1203 QsciLexerRuby::defaultColor(int) const
    {74, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 16},	//1204 QsciLexerRuby::defaultEolFill(int) const
    {74, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 17},	//1205 QsciLexerRuby::defaultFont(int) const
    {74, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 18},	//1206 QsciLexerRuby::defaultPaper(int) const
    {74, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 19},	//1207 QsciLexerRuby::keywords(int) const
    {74, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 20},	//1208 QsciLexerRuby::description(int) const
    {74, 1302, 12, 1, Smoke::mf_static, 37, 21},	//1209 QsciLexerRuby::tr(const char*)
    {74, 1306, 12, 1, Smoke::mf_static, 37, 22},	//1210 QsciLexerRuby::trUtf8(const char*)
    {74, 396, 0, 0, Smoke::mf_ctor, 78, 23},	//1211 QsciLexerRuby::QsciLexerRuby()
    {74, 734, 0, 0, Smoke::mf_const, 199, 24},	//1212 QsciLexerRuby::blockEnd() const
    {74, 737, 0, 0, Smoke::mf_const, 199, 25},	//1213 QsciLexerRuby::blockStart() const
    {74, 739, 0, 0, Smoke::mf_const, 199, 26},	//1214 QsciLexerRuby::blockStartKeyword() const
    {74, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 27},	//1215 QsciLexerRuby::staticMetaObject() const
    {74, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 28},	//1216 QsciLexerRuby::Default (enum)
    {74, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 29},	//1217 QsciLexerRuby::Error (enum)
    {74, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 30},	//1218 QsciLexerRuby::Comment (enum)
    {74, 290, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 31},	//1219 QsciLexerRuby::POD (enum)
    {74, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 32},	//1220 QsciLexerRuby::Number (enum)
    {74, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 33},	//1221 QsciLexerRuby::Keyword (enum)
    {74, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 34},	//1222 QsciLexerRuby::DoubleQuotedString (enum)
    {74, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//1223 QsciLexerRuby::SingleQuotedString (enum)
    {74, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//1224 QsciLexerRuby::ClassName (enum)
    {74, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//1225 QsciLexerRuby::FunctionMethodName (enum)
    {74, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//1226 QsciLexerRuby::Operator (enum)
    {74, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//1227 QsciLexerRuby::Identifier (enum)
    {74, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//1228 QsciLexerRuby::Regex (enum)
    {74, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//1229 QsciLexerRuby::Global (enum)
    {74, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//1230 QsciLexerRuby::Symbol (enum)
    {74, 263, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//1231 QsciLexerRuby::ModuleName (enum)
    {74, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//1232 QsciLexerRuby::InstanceVariable (enum)
    {74, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//1233 QsciLexerRuby::ClassVariable (enum)
    {74, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//1234 QsciLexerRuby::Backticks (enum)
    {74, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//1235 QsciLexerRuby::DataSection (enum)
    {74, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//1236 QsciLexerRuby::HereDocumentDelimiter (enum)
    {74, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 49},	//1237 QsciLexerRuby::HereDocument (enum)
    {74, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 50},	//1238 QsciLexerRuby::PercentStringq (enum)
    {74, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 51},	//1239 QsciLexerRuby::PercentStringQ (enum)
    {74, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 52},	//1240 QsciLexerRuby::PercentStringx (enum)
    {74, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 53},	//1241 QsciLexerRuby::PercentStringr (enum)
    {74, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 54},	//1242 QsciLexerRuby::PercentStringw (enum)
    {74, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 55},	//1243 QsciLexerRuby::DemotedKeyword (enum)
    {74, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 56},	//1244 QsciLexerRuby::Stdin (enum)
    {74, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 57},	//1245 QsciLexerRuby::Stdout (enum)
    {74, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 58},	//1246 QsciLexerRuby::Stderr (enum)
    {74, 1373, 0, 0, Smoke::mf_dtor, 0, 59 },	//1247 QsciLexerRuby::~QsciLexerRuby()
    {75, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1248 QsciLexerSQL::metaObject() const
    {75, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1249 QsciLexerSQL::qt_metacast(const char*)
    {75, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1250 QsciLexerSQL::tr(const char*, const char*)
    {75, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1251 QsciLexerSQL::trUtf8(const char*, const char*)
    {75, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1252 QsciLexerSQL::tr(const char*, const char*, int)
    {75, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1253 QsciLexerSQL::trUtf8(const char*, const char*, int)
    {75, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1254 QsciLexerSQL::qt_metacall(QMetaObject::Call, int, void**)
    {75, 398, 74, 1, Smoke::mf_ctor, 79, 8},	//1255 QsciLexerSQL::QsciLexerSQL(QObject*)
    {75, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//1256 QsciLexerSQL::language() const
    {75, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//1257 QsciLexerSQL::lexer() const
    {75, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 11},	//1258 QsciLexerSQL::braceStyle() const
    {75, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1259 QsciLexerSQL::defaultColor(int) const
    {75, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 13},	//1260 QsciLexerSQL::defaultEolFill(int) const
    {75, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1261 QsciLexerSQL::defaultFont(int) const
    {75, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1262 QsciLexerSQL::defaultPaper(int) const
    {75, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//1263 QsciLexerSQL::keywords(int) const
    {75, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1264 QsciLexerSQL::description(int) const
    {75, 1018, 0, 0, Smoke::mf_virtual, 0, 18},	//1265 QsciLexerSQL::refreshProperties()
    {75, 847, 0, 0, Smoke::mf_const, 179, 19},	//1266 QsciLexerSQL::foldComments() const
    {75, 848, 0, 0, Smoke::mf_const, 179, 20},	//1267 QsciLexerSQL::foldCompact() const
    {75, 731, 0, 0, Smoke::mf_const, 179, 21},	//1268 QsciLexerSQL::backslashEscapes() const
    {75, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 22},	//1269 QsciLexerSQL::setFoldComments(bool)
    {75, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//1270 QsciLexerSQL::setFoldCompact(bool)
    {75, 1069, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1271 QsciLexerSQL::setBackslashEscapes(bool)
    {75, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 25},	//1272 QsciLexerSQL::readProperties(QSettings&, const QString&)
    {75, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 26},	//1273 QsciLexerSQL::writeProperties(QSettings&, const QString&) const
    {75, 1302, 12, 1, Smoke::mf_static, 37, 27},	//1274 QsciLexerSQL::tr(const char*)
    {75, 1306, 12, 1, Smoke::mf_static, 37, 28},	//1275 QsciLexerSQL::trUtf8(const char*)
    {75, 398, 0, 0, Smoke::mf_ctor, 79, 29},	//1276 QsciLexerSQL::QsciLexerSQL()
    {75, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 30},	//1277 QsciLexerSQL::staticMetaObject() const
    {75, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 31},	//1278 QsciLexerSQL::Default (enum)
    {75, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 32},	//1279 QsciLexerSQL::Comment (enum)
    {75, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 33},	//1280 QsciLexerSQL::CommentLine (enum)
    {75, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 34},	//1281 QsciLexerSQL::CommentDoc (enum)
    {75, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//1282 QsciLexerSQL::Number (enum)
    {75, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//1283 QsciLexerSQL::Keyword (enum)
    {75, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//1284 QsciLexerSQL::DoubleQuotedString (enum)
    {75, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//1285 QsciLexerSQL::SingleQuotedString (enum)
    {75, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//1286 QsciLexerSQL::PlusKeyword (enum)
    {75, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//1287 QsciLexerSQL::PlusPrompt (enum)
    {75, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//1288 QsciLexerSQL::Operator (enum)
    {75, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//1289 QsciLexerSQL::Identifier (enum)
    {75, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//1290 QsciLexerSQL::PlusComment (enum)
    {75, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//1291 QsciLexerSQL::CommentLineHash (enum)
    {75, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//1292 QsciLexerSQL::CommentDocKeyword (enum)
    {75, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//1293 QsciLexerSQL::CommentDocKeywordError (enum)
    {75, 234, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//1294 QsciLexerSQL::KeywordSet5 (enum)
    {75, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//1295 QsciLexerSQL::KeywordSet6 (enum)
    {75, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 49},	//1296 QsciLexerSQL::KeywordSet7 (enum)
    {75, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 50},	//1297 QsciLexerSQL::KeywordSet8 (enum)
    {75, 1374, 0, 0, Smoke::mf_dtor, 0, 51 },	//1298 QsciLexerSQL::~QsciLexerSQL()
    {76, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1299 QsciLexerTCL::metaObject() const
    {76, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1300 QsciLexerTCL::qt_metacast(const char*)
    {76, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1301 QsciLexerTCL::tr(const char*, const char*)
    {76, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1302 QsciLexerTCL::trUtf8(const char*, const char*)
    {76, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1303 QsciLexerTCL::tr(const char*, const char*, int)
    {76, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1304 QsciLexerTCL::trUtf8(const char*, const char*, int)
    {76, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1305 QsciLexerTCL::qt_metacall(QMetaObject::Call, int, void**)
    {76, 400, 74, 1, Smoke::mf_ctor, 80, 8},	//1306 QsciLexerTCL::QsciLexerTCL(QObject*)
    {76, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//1307 QsciLexerTCL::language() const
    {76, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//1308 QsciLexerTCL::lexer() const
    {76, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 11},	//1309 QsciLexerTCL::braceStyle() const
    {76, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1310 QsciLexerTCL::defaultColor(int) const
    {76, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 13},	//1311 QsciLexerTCL::defaultEolFill(int) const
    {76, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1312 QsciLexerTCL::defaultFont(int) const
    {76, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1313 QsciLexerTCL::defaultPaper(int) const
    {76, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//1314 QsciLexerTCL::keywords(int) const
    {76, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1315 QsciLexerTCL::description(int) const
    {76, 1018, 0, 0, Smoke::mf_virtual, 0, 18},	//1316 QsciLexerTCL::refreshProperties()
    {76, 848, 0, 0, Smoke::mf_const, 179, 19},	//1317 QsciLexerTCL::foldCompact() const
    {76, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1318 QsciLexerTCL::setFoldCompact(bool)
    {76, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 21},	//1319 QsciLexerTCL::readProperties(QSettings&, const QString&)
    {76, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 22},	//1320 QsciLexerTCL::writeProperties(QSettings&, const QString&) const
    {76, 1302, 12, 1, Smoke::mf_static, 37, 23},	//1321 QsciLexerTCL::tr(const char*)
    {76, 1306, 12, 1, Smoke::mf_static, 37, 24},	//1322 QsciLexerTCL::trUtf8(const char*)
    {76, 400, 0, 0, Smoke::mf_ctor, 80, 25},	//1323 QsciLexerTCL::QsciLexerTCL()
    {76, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 26},	//1324 QsciLexerTCL::staticMetaObject() const
    {76, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 27},	//1325 QsciLexerTCL::Default (enum)
    {76, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 28},	//1326 QsciLexerTCL::Comment (enum)
    {76, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 29},	//1327 QsciLexerTCL::CommentLine (enum)
    {76, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 30},	//1328 QsciLexerTCL::Number (enum)
    {76, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 31},	//1329 QsciLexerTCL::QuotedKeyword (enum)
    {76, 434, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 32},	//1330 QsciLexerTCL::QuotedString (enum)
    {76, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 33},	//1331 QsciLexerTCL::Operator (enum)
    {76, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 34},	//1332 QsciLexerTCL::Identifier (enum)
    {76, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//1333 QsciLexerTCL::Substitution (enum)
    {76, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//1334 QsciLexerTCL::SubstitutionBrace (enum)
    {76, 262, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//1335 QsciLexerTCL::Modifier (enum)
    {76, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//1336 QsciLexerTCL::ExpandKeyword (enum)
    {76, 644, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//1337 QsciLexerTCL::TCLKeyword (enum)
    {76, 657, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//1338 QsciLexerTCL::TkKeyword (enum)
    {76, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//1339 QsciLexerTCL::ITCLKeyword (enum)
    {76, 656, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//1340 QsciLexerTCL::TkCommand (enum)
    {76, 235, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//1341 QsciLexerTCL::KeywordSet6 (enum)
    {76, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//1342 QsciLexerTCL::KeywordSet7 (enum)
    {76, 237, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//1343 QsciLexerTCL::KeywordSet8 (enum)
    {76, 238, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//1344 QsciLexerTCL::KeywordSet9 (enum)
    {76, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//1345 QsciLexerTCL::CommentBox (enum)
    {76, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//1346 QsciLexerTCL::CommentBlock (enum)
    {76, 1375, 0, 0, Smoke::mf_dtor, 0, 49 },	//1347 QsciLexerTCL::~QsciLexerTCL()
    {77, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1348 QsciLexerTeX::metaObject() const
    {77, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1349 QsciLexerTeX::qt_metacast(const char*)
    {77, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1350 QsciLexerTeX::tr(const char*, const char*)
    {77, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1351 QsciLexerTeX::trUtf8(const char*, const char*)
    {77, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1352 QsciLexerTeX::tr(const char*, const char*, int)
    {77, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1353 QsciLexerTeX::trUtf8(const char*, const char*, int)
    {77, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1354 QsciLexerTeX::qt_metacall(QMetaObject::Call, int, void**)
    {77, 402, 74, 1, Smoke::mf_ctor, 81, 8},	//1355 QsciLexerTeX::QsciLexerTeX(QObject*)
    {77, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//1356 QsciLexerTeX::language() const
    {77, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//1357 QsciLexerTeX::lexer() const
    {77, 1329, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 11},	//1358 QsciLexerTeX::wordCharacters() const
    {77, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1359 QsciLexerTeX::defaultColor(int) const
    {77, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 13},	//1360 QsciLexerTeX::keywords(int) const
    {77, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 14},	//1361 QsciLexerTeX::description(int) const
    {77, 1302, 12, 1, Smoke::mf_static, 37, 15},	//1362 QsciLexerTeX::tr(const char*)
    {77, 1306, 12, 1, Smoke::mf_static, 37, 16},	//1363 QsciLexerTeX::trUtf8(const char*)
    {77, 402, 0, 0, Smoke::mf_ctor, 81, 17},	//1364 QsciLexerTeX::QsciLexerTeX()
    {77, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 18},	//1365 QsciLexerTeX::staticMetaObject() const
    {77, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 19},	//1366 QsciLexerTeX::Default (enum)
    {77, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 20},	//1367 QsciLexerTeX::Special (enum)
    {77, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 21},	//1368 QsciLexerTeX::Group (enum)
    {77, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 22},	//1369 QsciLexerTeX::Symbol (enum)
    {77, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 23},	//1370 QsciLexerTeX::Command (enum)
    {77, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 24},	//1371 QsciLexerTeX::Text (enum)
    {77, 1376, 0, 0, Smoke::mf_dtor, 0, 25 },	//1372 QsciLexerTeX::~QsciLexerTeX()
    {78, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1373 QsciLexerVHDL::metaObject() const
    {78, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1374 QsciLexerVHDL::qt_metacast(const char*)
    {78, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1375 QsciLexerVHDL::tr(const char*, const char*)
    {78, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1376 QsciLexerVHDL::trUtf8(const char*, const char*)
    {78, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1377 QsciLexerVHDL::tr(const char*, const char*, int)
    {78, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1378 QsciLexerVHDL::trUtf8(const char*, const char*, int)
    {78, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1379 QsciLexerVHDL::qt_metacall(QMetaObject::Call, int, void**)
    {78, 404, 74, 1, Smoke::mf_ctor, 82, 8},	//1380 QsciLexerVHDL::QsciLexerVHDL(QObject*)
    {78, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//1381 QsciLexerVHDL::language() const
    {78, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//1382 QsciLexerVHDL::lexer() const
    {78, 742, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 201, 11},	//1383 QsciLexerVHDL::braceStyle() const
    {78, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 12},	//1384 QsciLexerVHDL::defaultColor(int) const
    {78, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 13},	//1385 QsciLexerVHDL::defaultEolFill(int) const
    {78, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 14},	//1386 QsciLexerVHDL::defaultFont(int) const
    {78, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 15},	//1387 QsciLexerVHDL::defaultPaper(int) const
    {78, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//1388 QsciLexerVHDL::keywords(int) const
    {78, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 17},	//1389 QsciLexerVHDL::description(int) const
    {78, 1018, 0, 0, Smoke::mf_virtual, 0, 18},	//1390 QsciLexerVHDL::refreshProperties()
    {78, 847, 0, 0, Smoke::mf_const, 179, 19},	//1391 QsciLexerVHDL::foldComments() const
    {78, 848, 0, 0, Smoke::mf_const, 179, 20},	//1392 QsciLexerVHDL::foldCompact() const
    {78, 845, 0, 0, Smoke::mf_const, 179, 21},	//1393 QsciLexerVHDL::foldAtElse() const
    {78, 844, 0, 0, Smoke::mf_const, 179, 22},	//1394 QsciLexerVHDL::foldAtBegin() const
    {78, 846, 0, 0, Smoke::mf_const, 179, 23},	//1395 QsciLexerVHDL::foldAtParenthesis() const
    {78, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 24},	//1396 QsciLexerVHDL::setFoldComments(bool)
    {78, 1137, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 25},	//1397 QsciLexerVHDL::setFoldCompact(bool)
    {78, 1131, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 26},	//1398 QsciLexerVHDL::setFoldAtElse(bool)
    {78, 1129, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//1399 QsciLexerVHDL::setFoldAtBegin(bool)
    {78, 1133, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//1400 QsciLexerVHDL::setFoldAtParenthesis(bool)
    {78, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 29},	//1401 QsciLexerVHDL::readProperties(QSettings&, const QString&)
    {78, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 30},	//1402 QsciLexerVHDL::writeProperties(QSettings&, const QString&) const
    {78, 1302, 12, 1, Smoke::mf_static, 37, 31},	//1403 QsciLexerVHDL::tr(const char*)
    {78, 1306, 12, 1, Smoke::mf_static, 37, 32},	//1404 QsciLexerVHDL::trUtf8(const char*)
    {78, 404, 0, 0, Smoke::mf_ctor, 82, 33},	//1405 QsciLexerVHDL::QsciLexerVHDL()
    {78, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 34},	//1406 QsciLexerVHDL::staticMetaObject() const
    {78, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//1407 QsciLexerVHDL::Default (enum)
    {78, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 36},	//1408 QsciLexerVHDL::Comment (enum)
    {78, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 37},	//1409 QsciLexerVHDL::CommentLine (enum)
    {78, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 38},	//1410 QsciLexerVHDL::Number (enum)
    {78, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 39},	//1411 QsciLexerVHDL::String (enum)
    {78, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 40},	//1412 QsciLexerVHDL::Operator (enum)
    {78, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 41},	//1413 QsciLexerVHDL::Identifier (enum)
    {78, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//1414 QsciLexerVHDL::UnclosedString (enum)
    {78, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//1415 QsciLexerVHDL::Keyword (enum)
    {78, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//1416 QsciLexerVHDL::StandardOperator (enum)
    {78, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//1417 QsciLexerVHDL::Attribute (enum)
    {78, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//1418 QsciLexerVHDL::StandardFunction (enum)
    {78, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//1419 QsciLexerVHDL::StandardPackage (enum)
    {78, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//1420 QsciLexerVHDL::StandardType (enum)
    {78, 236, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 49},	//1421 QsciLexerVHDL::KeywordSet7 (enum)
    {78, 1377, 0, 0, Smoke::mf_dtor, 0, 50 },	//1422 QsciLexerVHDL::~QsciLexerVHDL()
    {79, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1423 QsciLexerXML::metaObject() const
    {79, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1424 QsciLexerXML::qt_metacast(const char*)
    {79, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1425 QsciLexerXML::tr(const char*, const char*)
    {79, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1426 QsciLexerXML::trUtf8(const char*, const char*)
    {79, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1427 QsciLexerXML::tr(const char*, const char*, int)
    {79, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1428 QsciLexerXML::trUtf8(const char*, const char*, int)
    {79, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1429 QsciLexerXML::qt_metacall(QMetaObject::Call, int, void**)
    {79, 406, 74, 1, Smoke::mf_ctor, 83, 8},	//1430 QsciLexerXML::QsciLexerXML(QObject*)
    {79, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//1431 QsciLexerXML::language() const
    {79, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//1432 QsciLexerXML::lexer() const
    {79, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1433 QsciLexerXML::defaultColor(int) const
    {79, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 12},	//1434 QsciLexerXML::defaultEolFill(int) const
    {79, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1435 QsciLexerXML::defaultFont(int) const
    {79, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1436 QsciLexerXML::defaultPaper(int) const
    {79, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 15},	//1437 QsciLexerXML::keywords(int) const
    {79, 1018, 0, 0, Smoke::mf_virtual, 0, 16},	//1438 QsciLexerXML::refreshProperties()
    {79, 1223, 16, 1, 0, 0, 17},	//1439 QsciLexerXML::setScriptsStyled(bool)
    {79, 1034, 0, 0, Smoke::mf_const, 179, 18},	//1440 QsciLexerXML::scriptsStyled() const
    {79, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 19},	//1441 QsciLexerXML::readProperties(QSettings&, const QString&)
    {79, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 20},	//1442 QsciLexerXML::writeProperties(QSettings&, const QString&) const
    {79, 1302, 12, 1, Smoke::mf_static, 37, 21},	//1443 QsciLexerXML::tr(const char*)
    {79, 1306, 12, 1, Smoke::mf_static, 37, 22},	//1444 QsciLexerXML::trUtf8(const char*)
    {79, 406, 0, 0, Smoke::mf_ctor, 83, 23},	//1445 QsciLexerXML::QsciLexerXML()
    {79, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 24},	//1446 QsciLexerXML::staticMetaObject() const
    {79, 1378, 0, 0, Smoke::mf_dtor, 0, 25 },	//1447 QsciLexerXML::~QsciLexerXML()
    {80, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1448 QsciLexerYAML::metaObject() const
    {80, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1449 QsciLexerYAML::qt_metacast(const char*)
    {80, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1450 QsciLexerYAML::tr(const char*, const char*)
    {80, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1451 QsciLexerYAML::trUtf8(const char*, const char*)
    {80, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1452 QsciLexerYAML::tr(const char*, const char*, int)
    {80, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1453 QsciLexerYAML::trUtf8(const char*, const char*, int)
    {80, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1454 QsciLexerYAML::qt_metacall(QMetaObject::Call, int, void**)
    {80, 408, 74, 1, Smoke::mf_ctor, 84, 8},	//1455 QsciLexerYAML::QsciLexerYAML(QObject*)
    {80, 910, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 9},	//1456 QsciLexerYAML::language() const
    {80, 915, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 10},	//1457 QsciLexerYAML::lexer() const
    {80, 784, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 11},	//1458 QsciLexerYAML::defaultColor(int) const
    {80, 786, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 179, 12},	//1459 QsciLexerYAML::defaultEolFill(int) const
    {80, 788, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 13, 13},	//1460 QsciLexerYAML::defaultFont(int) const
    {80, 790, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 5, 14},	//1461 QsciLexerYAML::defaultPaper(int) const
    {80, 908, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 15},	//1462 QsciLexerYAML::keywords(int) const
    {80, 794, 18, 1, Smoke::mf_const|Smoke::mf_virtual, 37, 16},	//1463 QsciLexerYAML::description(int) const
    {80, 1018, 0, 0, Smoke::mf_virtual, 0, 17},	//1464 QsciLexerYAML::refreshProperties()
    {80, 847, 0, 0, Smoke::mf_const, 179, 18},	//1465 QsciLexerYAML::foldComments() const
    {80, 1135, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1466 QsciLexerYAML::setFoldComments(bool)
    {80, 1008, 93, 2, Smoke::mf_protected|Smoke::mf_virtual, 179, 20},	//1467 QsciLexerYAML::readProperties(QSettings&, const QString&)
    {80, 1333, 93, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 21},	//1468 QsciLexerYAML::writeProperties(QSettings&, const QString&) const
    {80, 1302, 12, 1, Smoke::mf_static, 37, 22},	//1469 QsciLexerYAML::tr(const char*)
    {80, 1306, 12, 1, Smoke::mf_static, 37, 23},	//1470 QsciLexerYAML::trUtf8(const char*)
    {80, 408, 0, 0, Smoke::mf_ctor, 84, 24},	//1471 QsciLexerYAML::QsciLexerYAML()
    {80, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 25},	//1472 QsciLexerYAML::staticMetaObject() const
    {80, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 26},	//1473 QsciLexerYAML::Default (enum)
    {80, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 27},	//1474 QsciLexerYAML::Comment (enum)
    {80, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 28},	//1475 QsciLexerYAML::Identifier (enum)
    {80, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 29},	//1476 QsciLexerYAML::Keyword (enum)
    {80, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 30},	//1477 QsciLexerYAML::Number (enum)
    {80, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 31},	//1478 QsciLexerYAML::Reference (enum)
    {80, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 32},	//1479 QsciLexerYAML::DocumentDelimiter (enum)
    {80, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 33},	//1480 QsciLexerYAML::TextBlockMarker (enum)
    {80, 643, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 34},	//1481 QsciLexerYAML::SyntaxErrorMarker (enum)
    {80, 276, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 35},	//1482 QsciLexerYAML::Operator (enum)
    {80, 1379, 0, 0, Smoke::mf_dtor, 0, 36 },	//1483 QsciLexerYAML::~QsciLexerYAML()
    {81, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1484 QsciMacro::metaObject() const
    {81, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1485 QsciMacro::qt_metacast(const char*)
    {81, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1486 QsciMacro::tr(const char*, const char*)
    {81, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1487 QsciMacro::trUtf8(const char*, const char*)
    {81, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1488 QsciMacro::tr(const char*, const char*, int)
    {81, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1489 QsciMacro::trUtf8(const char*, const char*, int)
    {81, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1490 QsciMacro::qt_metacall(QMetaObject::Call, int, void**)
    {81, 410, 82, 1, Smoke::mf_ctor, 85, 8},	//1491 QsciMacro::QsciMacro(QsciScintilla*)
    {81, 410, 107, 2, Smoke::mf_ctor, 85, 9},	//1492 QsciMacro::QsciMacro(const QString&, QsciScintilla*)
    {81, 757, 0, 0, 0, 0, 10},	//1493 QsciMacro::clear()
    {81, 925, 57, 1, 0, 179, 11},	//1494 QsciMacro::load(const QString&)
    {81, 1031, 0, 0, Smoke::mf_const, 37, 12},	//1495 QsciMacro::save() const
    {81, 991, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1496 QsciMacro::play()
    {81, 1278, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1497 QsciMacro::startRecording()
    {81, 813, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1498 QsciMacro::endRecording()
    {81, 1302, 12, 1, Smoke::mf_static, 37, 16},	//1499 QsciMacro::tr(const char*)
    {81, 1306, 12, 1, Smoke::mf_static, 37, 17},	//1500 QsciMacro::trUtf8(const char*)
    {81, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 18},	//1501 QsciMacro::staticMetaObject() const
    {81, 1380, 0, 0, Smoke::mf_dtor, 0, 19 },	//1502 QsciMacro::~QsciMacro()
    {82, 413, 110, 1, Smoke::mf_ctor, 86, 1},	//1503 QsciPrinter::QsciPrinter(QPrinter::PrinterMode)
    {82, 864, 112, 4, Smoke::mf_virtual, 0, 2},	//1504 QsciPrinter::formatPage(QPainter&, bool, QRect&, int)
    {82, 929, 0, 0, Smoke::mf_const, 201, 3},	//1505 QsciPrinter::magnification() const
    {82, 1183, 18, 1, Smoke::mf_virtual, 0, 4},	//1506 QsciPrinter::setMagnification(int)
    {82, 996, 117, 3, Smoke::mf_virtual, 201, 5},	//1507 QsciPrinter::printRange(QsciScintillaBase*, int, int)
    {82, 1330, 0, 0, Smoke::mf_const, 99, 6},	//1508 QsciPrinter::wrapMode() const
    {82, 1266, 121, 1, Smoke::mf_virtual, 0, 7},	//1509 QsciPrinter::setWrapMode(QsciScintilla::WrapMode)
    {82, 413, 0, 0, Smoke::mf_ctor, 86, 8},	//1510 QsciPrinter::QsciPrinter()
    {82, 996, 123, 1, 0, 201, 9},	//1511 QsciPrinter::printRange(QsciScintillaBase*)
    {82, 996, 125, 2, 0, 201, 10},	//1512 QsciPrinter::printRange(QsciScintillaBase*, int)
    {82, 1381, 0, 0, Smoke::mf_dtor, 0, 11 },	//1513 QsciPrinter::~QsciPrinter()
    {83, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1514 QsciScintilla::metaObject() const
    {83, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1515 QsciScintilla::qt_metacast(const char*)
    {83, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1516 QsciScintilla::tr(const char*, const char*)
    {83, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1517 QsciScintilla::trUtf8(const char*, const char*)
    {83, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1518 QsciScintilla::tr(const char*, const char*, int)
    {83, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1519 QsciScintilla::trUtf8(const char*, const char*, int)
    {83, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1520 QsciScintilla::qt_metacall(QMetaObject::Call, int, void**)
    {83, 415, 128, 1, Smoke::mf_ctor, 87, 8},	//1521 QsciScintilla::QsciScintilla(QWidget*)
    {83, 708, 130, 3, Smoke::mf_virtual, 38, 9},	//1522 QsciScintilla::apiContext(int, int&, int&)
    {83, 700, 134, 3, 0, 0, 10},	//1523 QsciScintilla::annotate(int, const QString&, int)
    {83, 700, 138, 3, 0, 0, 11},	//1524 QsciScintilla::annotate(int, const QString&, const QsciStyle&)
    {83, 700, 142, 2, 0, 0, 12},	//1525 QsciScintilla::annotate(int, const QsciStyledText&)
    {83, 700, 145, 2, 0, 0, 13},	//1526 QsciScintilla::annotate(int, const QList<QsciStyledText>&)
    {83, 705, 18, 1, Smoke::mf_const, 37, 14},	//1527 QsciScintilla::annotation(int) const
    {83, 707, 0, 0, Smoke::mf_const, 88, 15},	//1528 QsciScintilla::annotationDisplay() const
    {83, 759, 18, 1, 0, 0, 16},	//1529 QsciScintilla::clearAnnotations(int)
    {83, 719, 0, 0, Smoke::mf_const, 179, 17},	//1530 QsciScintilla::autoCompletionCaseSensitivity() const
    {83, 721, 0, 0, Smoke::mf_const, 179, 18},	//1531 QsciScintilla::autoCompletionFillupsEnabled() const
    {83, 722, 0, 0, Smoke::mf_const, 179, 19},	//1532 QsciScintilla::autoCompletionReplaceWord() const
    {83, 725, 0, 0, Smoke::mf_const, 179, 20},	//1533 QsciScintilla::autoCompletionShowSingle() const
    {83, 726, 0, 0, Smoke::mf_const, 89, 21},	//1534 QsciScintilla::autoCompletionSource() const
    {83, 727, 0, 0, Smoke::mf_const, 201, 22},	//1535 QsciScintilla::autoCompletionThreshold() const
    {83, 729, 0, 0, Smoke::mf_const, 179, 23},	//1536 QsciScintilla::autoIndent() const
    {83, 732, 0, 0, Smoke::mf_const, 179, 24},	//1537 QsciScintilla::backspaceUnindents() const
    {83, 733, 0, 0, 0, 0, 25},	//1538 QsciScintilla::beginUndoAction()
    {83, 741, 0, 0, Smoke::mf_const, 90, 26},	//1539 QsciScintilla::braceMatching() const
    {83, 746, 0, 0, Smoke::mf_const, 91, 27},	//1540 QsciScintilla::callTipsStyle() const
    {83, 747, 0, 0, Smoke::mf_const, 201, 28},	//1541 QsciScintilla::callTipsVisible() const
    {83, 750, 0, 0, 0, 0, 29},	//1542 QsciScintilla::cancelList()
    {83, 752, 0, 0, Smoke::mf_const, 179, 30},	//1543 QsciScintilla::caseSensitive() const
    {83, 761, 0, 0, 0, 0, 31},	//1544 QsciScintilla::clearFolds()
    {83, 765, 0, 0, 0, 0, 32},	//1545 QsciScintilla::clearRegisteredImages()
    {83, 767, 0, 0, Smoke::mf_const, 5, 33},	//1546 QsciScintilla::color() const
    {83, 775, 148, 1, 0, 0, 34},	//1547 QsciScintilla::convertEols(QsciScintilla::EolMode)
    {83, 798, 0, 0, Smoke::mf_const, 50, 35},	//1548 QsciScintilla::document() const
    {83, 814, 0, 0, 0, 0, 36},	//1549 QsciScintilla::endUndoAction()
    {83, 808, 0, 0, Smoke::mf_const, 5, 37},	//1550 QsciScintilla::edgeColor() const
    {83, 809, 0, 0, Smoke::mf_const, 201, 38},	//1551 QsciScintilla::edgeColumn() const
    {83, 810, 0, 0, Smoke::mf_const, 92, 39},	//1552 QsciScintilla::edgeMode() const
    {83, 1158, 42, 1, 0, 0, 40},	//1553 QsciScintilla::setFont(const QFont&)
    {83, 823, 0, 0, Smoke::mf_const, 93, 41},	//1554 QsciScintilla::eolMode() const
    {83, 824, 0, 0, Smoke::mf_const, 179, 42},	//1555 QsciScintilla::eolVisibility() const
    {83, 828, 150, 9, Smoke::mf_virtual, 179, 43},	//1556 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int, bool)
    {83, 834, 0, 0, Smoke::mf_virtual, 179, 44},	//1557 QsciScintilla::findNext()
    {83, 835, 0, 0, Smoke::mf_const, 201, 45},	//1558 QsciScintilla::firstVisibleLine() const
    {83, 858, 0, 0, Smoke::mf_const, 94, 46},	//1559 QsciScintilla::folding() const
    {83, 868, 160, 2, Smoke::mf_const, 0, 47},	//1560 QsciScintilla::getCursorPosition(int*, int*) const
    {83, 870, 163, 4, Smoke::mf_const, 0, 48},	//1561 QsciScintilla::getSelection(int*, int*, int*, int*) const
    {83, 872, 0, 0, Smoke::mf_const, 179, 49},	//1562 QsciScintilla::hasSelectedText() const
    {83, 878, 18, 1, Smoke::mf_const, 201, 50},	//1563 QsciScintilla::indentation(int) const
    {83, 881, 0, 0, Smoke::mf_const, 179, 51},	//1564 QsciScintilla::indentationGuides() const
    {83, 884, 0, 0, Smoke::mf_const, 179, 52},	//1565 QsciScintilla::indentationsUseTabs() const
    {83, 883, 0, 0, Smoke::mf_const, 201, 53},	//1566 QsciScintilla::indentationWidth() const
    {83, 893, 0, 0, Smoke::mf_const, 179, 54},	//1567 QsciScintilla::isCallTipActive() const
    {83, 894, 0, 0, Smoke::mf_const, 179, 55},	//1568 QsciScintilla::isListActive() const
    {83, 895, 0, 0, Smoke::mf_const, 179, 56},	//1569 QsciScintilla::isModified() const
    {83, 898, 0, 0, Smoke::mf_const, 179, 57},	//1570 QsciScintilla::isReadOnly() const
    {83, 899, 0, 0, Smoke::mf_const, 179, 58},	//1571 QsciScintilla::isRedoAvailable() const
    {83, 900, 0, 0, Smoke::mf_const, 179, 59},	//1572 QsciScintilla::isUndoAvailable() const
    {83, 901, 0, 0, Smoke::mf_const, 179, 60},	//1573 QsciScintilla::isUtf8() const
    {83, 902, 168, 1, Smoke::mf_const, 179, 61},	//1574 QsciScintilla::isWordCharacter(char) const
    {83, 917, 170, 1, Smoke::mf_const, 201, 62},	//1575 QsciScintilla::lineAt(const QPoint&) const
    {83, 919, 172, 3, Smoke::mf_const, 0, 63},	//1576 QsciScintilla::lineIndexFromPosition(int, int*, int*) const
    {83, 921, 18, 1, Smoke::mf_const, 201, 64},	//1577 QsciScintilla::lineLength(int) const
    {83, 923, 0, 0, Smoke::mf_const, 201, 65},	//1578 QsciScintilla::lines() const
    {83, 913, 0, 0, Smoke::mf_const, 201, 66},	//1579 QsciScintilla::length() const
    {83, 915, 0, 0, Smoke::mf_const, 53, 67},	//1580 QsciScintilla::lexer() const
    {83, 932, 18, 1, Smoke::mf_const, 179, 68},	//1581 QsciScintilla::marginLineNumbers(int) const
    {83, 934, 18, 1, Smoke::mf_const, 201, 69},	//1582 QsciScintilla::marginMarkerMask(int) const
    {83, 936, 18, 1, Smoke::mf_const, 179, 70},	//1583 QsciScintilla::marginSensitivity(int) const
    {83, 938, 18, 1, Smoke::mf_const, 96, 71},	//1584 QsciScintilla::marginType(int) const
    {83, 940, 18, 1, Smoke::mf_const, 201, 72},	//1585 QsciScintilla::marginWidth(int) const
    {83, 944, 176, 2, 0, 201, 73},	//1586 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    {83, 944, 179, 2, 0, 201, 74},	//1587 QsciScintilla::markerDefine(char, int)
    {83, 944, 182, 2, 0, 201, 75},	//1588 QsciScintilla::markerDefine(const QPixmap&, int)
    {83, 942, 99, 2, 0, 201, 76},	//1589 QsciScintilla::markerAdd(int, int)
    {83, 962, 18, 1, Smoke::mf_const, 205, 77},	//1590 QsciScintilla::markersAtLine(int) const
    {83, 949, 99, 2, 0, 0, 78},	//1591 QsciScintilla::markerDelete(int, int)
    {83, 952, 18, 1, 0, 0, 79},	//1592 QsciScintilla::markerDeleteAll(int)
    {83, 954, 18, 1, 0, 0, 80},	//1593 QsciScintilla::markerDeleteHandle(int)
    {83, 960, 18, 1, Smoke::mf_const, 201, 81},	//1594 QsciScintilla::markerLine(int) const
    {83, 956, 185, 2, Smoke::mf_const, 201, 82},	//1595 QsciScintilla::markerFindNext(int, unsigned int) const
    {83, 958, 185, 2, Smoke::mf_const, 201, 83},	//1596 QsciScintilla::markerFindPrevious(int, unsigned int) const
    {83, 986, 0, 0, Smoke::mf_const, 5, 84},	//1597 QsciScintilla::paper() const
    {83, 993, 99, 2, Smoke::mf_const, 201, 85},	//1598 QsciScintilla::positionFromLineIndex(int, int) const
    {83, 1006, 188, 1, 0, 179, 86},	//1599 QsciScintilla::read(QIODevice*)
    {83, 1013, 99, 2, Smoke::mf_virtual, 0, 87},	//1600 QsciScintilla::recolor(int, int)
    {83, 1019, 190, 2, 0, 0, 88},	//1601 QsciScintilla::registerImage(int, const QPixmap&)
    {83, 1024, 57, 1, Smoke::mf_virtual, 0, 89},	//1602 QsciScintilla::replace(const QString&)
    {83, 1026, 0, 0, 0, 0, 90},	//1603 QsciScintilla::resetFoldMarginColors()
    {83, 1141, 193, 2, 0, 0, 91},	//1604 QsciScintilla::setFoldMarginColors(const QColor&, const QColor&)
    {83, 1047, 196, 1, 0, 0, 92},	//1605 QsciScintilla::setAnnotationDisplay(QsciScintilla::AnnotationDisplay)
    {83, 1053, 16, 1, 0, 0, 93},	//1606 QsciScintilla::setAutoCompletionFillupsEnabled(bool)
    {83, 1051, 12, 1, 0, 0, 94},	//1607 QsciScintilla::setAutoCompletionFillups(const char*)
    {83, 1063, 198, 1, 0, 0, 95},	//1608 QsciScintilla::setAutoCompletionWordSeparators(const QStringList&)
    {83, 1075, 80, 1, 0, 0, 96},	//1609 QsciScintilla::setCallTipsBackgroundColor(const QColor&)
    {83, 1077, 80, 1, 0, 0, 97},	//1610 QsciScintilla::setCallTipsForegroundColor(const QColor&)
    {83, 1079, 80, 1, 0, 0, 98},	//1611 QsciScintilla::setCallTipsHighlightColor(const QColor&)
    {83, 1081, 200, 1, 0, 0, 99},	//1612 QsciScintilla::setCallTipsStyle(QsciScintilla::CallTipsStyle)
    {83, 1083, 18, 1, 0, 0, 100},	//1613 QsciScintilla::setCallTipsVisible(int)
    {83, 1110, 72, 1, 0, 0, 101},	//1614 QsciScintilla::setDocument(const QsciDocument&)
    {83, 1114, 80, 1, 0, 0, 102},	//1615 QsciScintilla::setEdgeColor(const QColor&)
    {83, 1116, 18, 1, 0, 0, 103},	//1616 QsciScintilla::setEdgeColumn(int)
    {83, 1118, 202, 1, 0, 0, 104},	//1617 QsciScintilla::setEdgeMode(QsciScintilla::EdgeMode)
    {83, 1191, 134, 3, 0, 0, 105},	//1618 QsciScintilla::setMarginText(int, const QString&, int)
    {83, 1191, 138, 3, 0, 0, 106},	//1619 QsciScintilla::setMarginText(int, const QString&, const QsciStyle&)
    {83, 1191, 142, 2, 0, 0, 107},	//1620 QsciScintilla::setMarginText(int, const QsciStyledText&)
    {83, 1191, 145, 2, 0, 0, 108},	//1621 QsciScintilla::setMarginText(int, const QList<QsciStyledText>&)
    {83, 1196, 204, 2, 0, 0, 109},	//1622 QsciScintilla::setMarginType(int, QsciScintilla::MarginType)
    {83, 763, 18, 1, 0, 0, 110},	//1623 QsciScintilla::clearMarginText(int)
    {83, 1206, 84, 2, 0, 0, 111},	//1624 QsciScintilla::setMarkerBackgroundColor(const QColor&, int)
    {83, 1209, 84, 2, 0, 0, 112},	//1625 QsciScintilla::setMarkerForegroundColor(const QColor&, int)
    {83, 1212, 80, 1, 0, 0, 113},	//1626 QsciScintilla::setMatchedBraceBackgroundColor(const QColor&)
    {83, 1214, 80, 1, 0, 0, 114},	//1627 QsciScintilla::setMatchedBraceForegroundColor(const QColor&)
    {83, 1250, 80, 1, 0, 0, 115},	//1628 QsciScintilla::setUnmatchedBraceBackgroundColor(const QColor&)
    {83, 1252, 80, 1, 0, 0, 116},	//1629 QsciScintilla::setUnmatchedBraceForegroundColor(const QColor&)
    {83, 1268, 207, 3, 0, 0, 117},	//1630 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag, int)
    {83, 1040, 0, 0, Smoke::mf_const, 37, 118},	//1631 QsciScintilla::selectedText() const
    {83, 1042, 0, 0, Smoke::mf_const, 179, 119},	//1632 QsciScintilla::selectionToEol() const
    {83, 1231, 16, 1, 0, 0, 120},	//1633 QsciScintilla::setSelectionToEol(bool)
    {83, 1273, 211, 2, 0, 0, 121},	//1634 QsciScintilla::showUserList(int, const QStringList&)
    {83, 1277, 0, 0, Smoke::mf_const, 49, 122},	//1635 QsciScintilla::standardCommands() const
    {83, 1289, 0, 0, Smoke::mf_const, 179, 123},	//1636 QsciScintilla::tabIndents() const
    {83, 1290, 0, 0, Smoke::mf_const, 201, 124},	//1637 QsciScintilla::tabWidth() const
    {83, 1292, 0, 0, Smoke::mf_const, 37, 125},	//1638 QsciScintilla::text() const
    {83, 1292, 18, 1, Smoke::mf_const, 37, 126},	//1639 QsciScintilla::text(int) const
    {83, 1296, 18, 1, Smoke::mf_const, 201, 127},	//1640 QsciScintilla::textHeight(int) const
    {83, 1325, 0, 0, Smoke::mf_const, 98, 128},	//1641 QsciScintilla::whitespaceVisibility() const
    {83, 1327, 170, 1, Smoke::mf_const, 37, 129},	//1642 QsciScintilla::wordAtPoint(const QPoint&) const
    {83, 1329, 0, 0, Smoke::mf_const, 199, 130},	//1643 QsciScintilla::wordCharacters() const
    {83, 1330, 0, 0, Smoke::mf_const, 99, 131},	//1644 QsciScintilla::wrapMode() const
    {83, 1331, 188, 1, Smoke::mf_const, 179, 132},	//1645 QsciScintilla::write(QIODevice*) const
    {83, 714, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 133},	//1646 QsciScintilla::append(const QString&)
    {83, 717, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 134},	//1647 QsciScintilla::autoCompleteFromAll()
    {83, 716, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 135},	//1648 QsciScintilla::autoCompleteFromAPIs()
    {83, 718, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 136},	//1649 QsciScintilla::autoCompleteFromDocument()
    {83, 743, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 137},	//1650 QsciScintilla::callTip()
    {83, 757, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 138},	//1651 QsciScintilla::clear()
    {83, 777, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 139},	//1652 QsciScintilla::copy()
    {83, 783, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 140},	//1653 QsciScintilla::cut()
    {83, 815, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 141},	//1654 QsciScintilla::ensureCursorVisible()
    {83, 816, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 142},	//1655 QsciScintilla::ensureLineVisible(int)
    {83, 842, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 143},	//1656 QsciScintilla::foldAll(bool)
    {83, 850, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 144},	//1657 QsciScintilla::foldLine(int)
    {83, 876, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 145},	//1658 QsciScintilla::indent(int)
    {83, 888, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 146},	//1659 QsciScintilla::insert(const QString&)
    {83, 890, 214, 3, Smoke::mf_virtual|Smoke::mf_slot, 0, 147},	//1660 QsciScintilla::insertAt(const QString&, int, int)
    {83, 979, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 148},	//1661 QsciScintilla::moveToMatchingBrace()
    {83, 990, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 149},	//1662 QsciScintilla::paste()
    {83, 1016, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 150},	//1663 QsciScintilla::redo()
    {83, 1023, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 151},	//1664 QsciScintilla::removeSelectedText()
    {83, 1027, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 152},	//1665 QsciScintilla::resetSelectionBackgroundColor()
    {83, 1028, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 153},	//1666 QsciScintilla::resetSelectionForegroundColor()
    {83, 1037, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 154},	//1667 QsciScintilla::selectAll(bool)
    {83, 1039, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 155},	//1668 QsciScintilla::selectToMatchingBrace()
    {83, 1049, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 156},	//1669 QsciScintilla::setAutoCompletionCaseSensitivity(bool)
    {83, 1055, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 157},	//1670 QsciScintilla::setAutoCompletionReplaceWord(bool)
    {83, 1057, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 158},	//1671 QsciScintilla::setAutoCompletionShowSingle(bool)
    {83, 1059, 218, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 159},	//1672 QsciScintilla::setAutoCompletionSource(QsciScintilla::AutoCompletionSource)
    {83, 1061, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 160},	//1673 QsciScintilla::setAutoCompletionThreshold(int)
    {83, 1065, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 161},	//1674 QsciScintilla::setAutoIndent(bool)
    {83, 1073, 220, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 162},	//1675 QsciScintilla::setBraceMatching(QsciScintilla::BraceMatch)
    {83, 1071, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 163},	//1676 QsciScintilla::setBackspaceUnindents(bool)
    {83, 1085, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 164},	//1677 QsciScintilla::setCaretForegroundColor(const QColor&)
    {83, 1087, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 165},	//1678 QsciScintilla::setCaretLineBackgroundColor(const QColor&)
    {83, 1089, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 166},	//1679 QsciScintilla::setCaretLineVisible(bool)
    {83, 1091, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 167},	//1680 QsciScintilla::setCaretWidth(int)
    {83, 1097, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 168},	//1681 QsciScintilla::setColor(const QColor&)
    {83, 1100, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 169},	//1682 QsciScintilla::setCursorPosition(int, int)
    {83, 1125, 148, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 170},	//1683 QsciScintilla::setEolMode(QsciScintilla::EolMode)
    {83, 1127, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 171},	//1684 QsciScintilla::setEolVisibility(bool)
    {83, 1155, 222, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 172},	//1685 QsciScintilla::setFolding(QsciScintilla::FoldStyle, int)
    {83, 1163, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 173},	//1686 QsciScintilla::setIndentation(int, int)
    {83, 1165, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 174},	//1687 QsciScintilla::setIndentationGuides(bool)
    {83, 1167, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 175},	//1688 QsciScintilla::setIndentationGuidesBackgroundColor(const QColor&)
    {83, 1169, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 176},	//1689 QsciScintilla::setIndentationGuidesForegroundColor(const QColor&)
    {83, 1175, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 177},	//1690 QsciScintilla::setIndentationsUseTabs(bool)
    {83, 1173, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 178},	//1691 QsciScintilla::setIndentationWidth(int)
    {83, 1181, 55, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 179},	//1692 QsciScintilla::setLexer(QsciLexer*)
    {83, 1200, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 180},	//1693 QsciScintilla::setMarginsBackgroundColor(const QColor&)
    {83, 1202, 42, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 181},	//1694 QsciScintilla::setMarginsFont(const QFont&)
    {83, 1204, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 182},	//1695 QsciScintilla::setMarginsForegroundColor(const QColor&)
    {83, 1185, 225, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 183},	//1696 QsciScintilla::setMarginLineNumbers(int, bool)
    {83, 1187, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 184},	//1697 QsciScintilla::setMarginMarkerMask(int, int)
    {83, 1189, 225, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 185},	//1698 QsciScintilla::setMarginSensitivity(int, bool)
    {83, 1198, 99, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 186},	//1699 QsciScintilla::setMarginWidth(int, int)
    {83, 1198, 228, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 187},	//1700 QsciScintilla::setMarginWidth(int, const QString&)
    {83, 1216, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 188},	//1701 QsciScintilla::setModified(bool)
    {83, 1218, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 189},	//1702 QsciScintilla::setPaper(const QColor&)
    {83, 1221, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 190},	//1703 QsciScintilla::setReadOnly(bool)
    {83, 1225, 231, 4, Smoke::mf_virtual|Smoke::mf_slot, 0, 191},	//1704 QsciScintilla::setSelection(int, int, int, int)
    {83, 1227, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 192},	//1705 QsciScintilla::setSelectionBackgroundColor(const QColor&)
    {83, 1229, 80, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 193},	//1706 QsciScintilla::setSelectionForegroundColor(const QColor&)
    {83, 1240, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 194},	//1707 QsciScintilla::setTabIndents(bool)
    {83, 1242, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 195},	//1708 QsciScintilla::setTabWidth(int)
    {83, 1244, 57, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 196},	//1709 QsciScintilla::setText(const QString&)
    {83, 1254, 16, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 197},	//1710 QsciScintilla::setUtf8(bool)
    {83, 1264, 236, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 198},	//1711 QsciScintilla::setWhitespaceVisibility(QsciScintilla::WhitespaceVisibility)
    {83, 1266, 121, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 199},	//1712 QsciScintilla::setWrapMode(QsciScintilla::WrapMode)
    {83, 1310, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 200},	//1713 QsciScintilla::undo()
    {83, 1311, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 201},	//1714 QsciScintilla::unindent(int)
    {83, 1339, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 202},	//1715 QsciScintilla::zoomIn(int)
    {83, 1339, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 203},	//1716 QsciScintilla::zoomIn()
    {83, 1341, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 204},	//1717 QsciScintilla::zoomOut(int)
    {83, 1341, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 205},	//1718 QsciScintilla::zoomOut()
    {83, 1343, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 206},	//1719 QsciScintilla::zoomTo(int)
    {83, 780, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 207},	//1720 QsciScintilla::cursorPositionChanged(int, int)
    {83, 778, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 208},	//1721 QsciScintilla::copyAvailable(bool)
    {83, 924, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 209},	//1722 QsciScintilla::linesChanged()
    {83, 930, 238, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 210},	//1723 QsciScintilla::marginClicked(int, int, Qt::KeyboardModifiers)
    {83, 967, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 211},	//1724 QsciScintilla::modificationAttempted()
    {83, 968, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 212},	//1725 QsciScintilla::modificationChanged(bool)
    {83, 1041, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 213},	//1726 QsciScintilla::selectionChanged()
    {83, 1295, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 214},	//1727 QsciScintilla::textChanged()
    {83, 1315, 228, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 215},	//1728 QsciScintilla::userListActivated(int, const QString&)
    {83, 1302, 12, 1, Smoke::mf_static, 37, 216},	//1729 QsciScintilla::tr(const char*)
    {83, 1306, 12, 1, Smoke::mf_static, 37, 217},	//1730 QsciScintilla::trUtf8(const char*)
    {83, 415, 0, 0, Smoke::mf_ctor, 87, 218},	//1731 QsciScintilla::QsciScintilla()
    {83, 759, 0, 0, 0, 0, 219},	//1732 QsciScintilla::clearAnnotations()
    {83, 828, 242, 5, 0, 179, 220},	//1733 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool)
    {83, 828, 248, 6, 0, 179, 221},	//1734 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool)
    {83, 828, 255, 7, 0, 179, 222},	//1735 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int)
    {83, 828, 263, 8, 0, 179, 223},	//1736 QsciScintilla::findFirst(const QString&, bool, bool, bool, bool, bool, int, int)
    {83, 944, 272, 1, 0, 201, 224},	//1737 QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    {83, 944, 168, 1, 0, 201, 225},	//1738 QsciScintilla::markerDefine(char)
    {83, 944, 274, 1, 0, 201, 226},	//1739 QsciScintilla::markerDefine(const QPixmap&)
    {83, 949, 18, 1, 0, 0, 227},	//1740 QsciScintilla::markerDelete(int)
    {83, 952, 0, 0, 0, 0, 228},	//1741 QsciScintilla::markerDeleteAll()
    {83, 1013, 0, 0, 0, 0, 229},	//1742 QsciScintilla::recolor()
    {83, 1013, 18, 1, 0, 0, 230},	//1743 QsciScintilla::recolor(int)
    {83, 763, 0, 0, 0, 0, 231},	//1744 QsciScintilla::clearMarginText()
    {83, 1206, 80, 1, 0, 0, 232},	//1745 QsciScintilla::setMarkerBackgroundColor(const QColor&)
    {83, 1209, 80, 1, 0, 0, 233},	//1746 QsciScintilla::setMarkerForegroundColor(const QColor&)
    {83, 1268, 276, 1, 0, 0, 234},	//1747 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag)
    {83, 1268, 278, 2, 0, 0, 235},	//1748 QsciScintilla::setWrapVisualFlags(QsciScintilla::WrapVisualFlag, QsciScintilla::WrapVisualFlag)
    {83, 842, 0, 0, Smoke::mf_slot, 0, 236},	//1749 QsciScintilla::foldAll()
    {83, 1037, 0, 0, Smoke::mf_slot, 0, 237},	//1750 QsciScintilla::selectAll()
    {83, 1155, 281, 1, Smoke::mf_slot, 0, 238},	//1751 QsciScintilla::setFolding(QsciScintilla::FoldStyle)
    {83, 1181, 0, 0, Smoke::mf_slot, 0, 239},	//1752 QsciScintilla::setLexer()
    {83, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 240},	//1753 QsciScintilla::staticMetaObject() const
    {83, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 241},	//1754 QsciScintilla::AiMaintain (enum)
    {83, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 242},	//1755 QsciScintilla::AiOpening (enum)
    {83, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 243},	//1756 QsciScintilla::AiClosing (enum)
    {83, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 244},	//1757 QsciScintilla::AnnotationHidden (enum)
    {83, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 245},	//1758 QsciScintilla::AnnotationStandard (enum)
    {83, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 246},	//1759 QsciScintilla::AnnotationBoxed (enum)
    {83, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 247},	//1760 QsciScintilla::AcsNone (enum)
    {83, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 248},	//1761 QsciScintilla::AcsAll (enum)
    {83, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 249},	//1762 QsciScintilla::AcsDocument (enum)
    {83, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 250},	//1763 QsciScintilla::AcsAPIs (enum)
    {83, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 251},	//1764 QsciScintilla::NoBraceMatch (enum)
    {83, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 252},	//1765 QsciScintilla::StrictBraceMatch (enum)
    {83, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 90, 253},	//1766 QsciScintilla::SloppyBraceMatch (enum)
    {83, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 254},	//1767 QsciScintilla::CallTipsNone (enum)
    {83, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 255},	//1768 QsciScintilla::CallTipsNoContext (enum)
    {83, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 256},	//1769 QsciScintilla::CallTipsNoAutoCompletionContext (enum)
    {83, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 257},	//1770 QsciScintilla::CallTipsContext (enum)
    {83, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 258},	//1771 QsciScintilla::EdgeNone (enum)
    {83, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 259},	//1772 QsciScintilla::EdgeLine (enum)
    {83, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 260},	//1773 QsciScintilla::EdgeBackground (enum)
    {83, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 261},	//1774 QsciScintilla::EolWindows (enum)
    {83, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 262},	//1775 QsciScintilla::EolUnix (enum)
    {83, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 263},	//1776 QsciScintilla::EolMac (enum)
    {83, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 264},	//1777 QsciScintilla::NoFoldStyle (enum)
    {83, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 265},	//1778 QsciScintilla::PlainFoldStyle (enum)
    {83, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 266},	//1779 QsciScintilla::CircledFoldStyle (enum)
    {83, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 267},	//1780 QsciScintilla::BoxedFoldStyle (enum)
    {83, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 268},	//1781 QsciScintilla::CircledTreeFoldStyle (enum)
    {83, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 269},	//1782 QsciScintilla::BoxedTreeFoldStyle (enum)
    {83, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 270},	//1783 QsciScintilla::SymbolMargin (enum)
    {83, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 271},	//1784 QsciScintilla::SymbolMarginDefaultForegroundColor (enum)
    {83, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 272},	//1785 QsciScintilla::SymbolMarginDefaultBackgroundColor (enum)
    {83, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 273},	//1786 QsciScintilla::NumberMargin (enum)
    {83, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 274},	//1787 QsciScintilla::TextMargin (enum)
    {83, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 275},	//1788 QsciScintilla::TextMarginRightJustified (enum)
    {83, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 276},	//1789 QsciScintilla::Circle (enum)
    {83, 441, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 277},	//1790 QsciScintilla::Rectangle (enum)
    {83, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 278},	//1791 QsciScintilla::RightTriangle (enum)
    {83, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 279},	//1792 QsciScintilla::SmallRectangle (enum)
    {83, 444, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 280},	//1793 QsciScintilla::RightArrow (enum)
    {83, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 281},	//1794 QsciScintilla::Invisible (enum)
    {83, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 282},	//1795 QsciScintilla::DownTriangle (enum)
    {83, 261, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 283},	//1796 QsciScintilla::Minus (enum)
    {83, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 284},	//1797 QsciScintilla::Plus (enum)
    {83, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 285},	//1798 QsciScintilla::VerticalLine (enum)
    {83, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 286},	//1799 QsciScintilla::BottomLeftCorner (enum)
    {83, 246, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 287},	//1800 QsciScintilla::LeftSideSplitter (enum)
    {83, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 288},	//1801 QsciScintilla::BoxedPlus (enum)
    {83, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 289},	//1802 QsciScintilla::BoxedPlusConnected (enum)
    {83, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 290},	//1803 QsciScintilla::BoxedMinus (enum)
    {83, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 291},	//1804 QsciScintilla::BoxedMinusConnected (enum)
    {83, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 292},	//1805 QsciScintilla::RoundedBottomLeftCorner (enum)
    {83, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 293},	//1806 QsciScintilla::LeftSideRoundedSplitter (enum)
    {83, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 294},	//1807 QsciScintilla::CircledPlus (enum)
    {83, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 295},	//1808 QsciScintilla::CircledPlusConnected (enum)
    {83, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 296},	//1809 QsciScintilla::CircledMinus (enum)
    {83, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 297},	//1810 QsciScintilla::CircledMinusConnected (enum)
    {83, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 298},	//1811 QsciScintilla::Background (enum)
    {83, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 299},	//1812 QsciScintilla::ThreeDots (enum)
    {83, 655, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 300},	//1813 QsciScintilla::ThreeRightArrows (enum)
    {83, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 301},	//1814 QsciScintilla::WsInvisible (enum)
    {83, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 302},	//1815 QsciScintilla::WsVisible (enum)
    {83, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 303},	//1816 QsciScintilla::WsVisibleAfterIndent (enum)
    {83, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 304},	//1817 QsciScintilla::WrapNone (enum)
    {83, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 305},	//1818 QsciScintilla::WrapWord (enum)
    {83, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 99, 306},	//1819 QsciScintilla::WrapCharacter (enum)
    {83, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 307},	//1820 QsciScintilla::WrapFlagNone (enum)
    {83, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 308},	//1821 QsciScintilla::WrapFlagByText (enum)
    {83, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 309},	//1822 QsciScintilla::WrapFlagByBorder (enum)
    {83, 1382, 0, 0, Smoke::mf_dtor, 0, 310 },	//1823 QsciScintilla::~QsciScintilla()
    {84, 964, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 1},	//1824 QsciScintillaBase::metaObject() const
    {84, 1004, 12, 1, Smoke::mf_virtual, 207, 2},	//1825 QsciScintillaBase::qt_metacast(const char*)
    {84, 1302, 44, 2, Smoke::mf_static, 37, 3},	//1826 QsciScintillaBase::tr(const char*, const char*)
    {84, 1306, 44, 2, Smoke::mf_static, 37, 4},	//1827 QsciScintillaBase::trUtf8(const char*, const char*)
    {84, 1302, 47, 3, Smoke::mf_static, 37, 5},	//1828 QsciScintillaBase::tr(const char*, const char*, int)
    {84, 1306, 47, 3, Smoke::mf_static, 37, 6},	//1829 QsciScintillaBase::trUtf8(const char*, const char*, int)
    {84, 1002, 51, 3, Smoke::mf_virtual, 201, 7},	//1830 QsciScintillaBase::qt_metacall(QMetaObject::Call, int, void**)
    {84, 417, 128, 1, Smoke::mf_ctor, 101, 8},	//1831 QsciScintillaBase::QsciScintillaBase(QWidget*)
    {84, 992, 0, 0, Smoke::mf_static, 101, 9},	//1832 QsciScintillaBase::pool()
    {84, 601, 283, 3, Smoke::mf_const, 204, 10},	//1833 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    {84, 601, 287, 3, Smoke::mf_const, 204, 11},	//1834 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    {84, 601, 291, 3, Smoke::mf_const, 204, 12},	//1835 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    {84, 601, 295, 2, Smoke::mf_const, 204, 13},	//1836 QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    {84, 601, 298, 3, Smoke::mf_const, 204, 14},	//1837 QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    {84, 601, 302, 2, Smoke::mf_const, 204, 15},	//1838 QsciScintillaBase::SendScintilla(unsigned int, long) const
    {84, 601, 305, 2, Smoke::mf_const, 204, 16},	//1839 QsciScintillaBase::SendScintilla(unsigned int, int) const
    {84, 601, 308, 4, Smoke::mf_const, 204, 17},	//1840 QsciScintillaBase::SendScintilla(unsigned int, long, long, char*) const
    {84, 601, 313, 3, Smoke::mf_const, 204, 18},	//1841 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    {84, 601, 317, 2, Smoke::mf_const, 204, 19},	//1842 QsciScintillaBase::SendScintilla(unsigned int, const QColor&) const
    {84, 601, 320, 6, Smoke::mf_const, 204, 20},	//1843 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, QPainter*, const QRect&, long, long) const
    {84, 601, 327, 3, Smoke::mf_const, 204, 21},	//1844 QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    {84, 609, 331, 1, Smoke::mf_const, 207, 22},	//1845 QsciScintillaBase::SendScintillaPtrResult(unsigned int) const
    {84, 334, 16, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//1846 QsciScintillaBase::QSCN_SELCHANGED(bool)
    {84, 545, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1847 QsciScintillaBase::SCN_AUTOCCANCELLED()
    {84, 546, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//1848 QsciScintillaBase::SCN_AUTOCCHARDELETED()
    {84, 547, 333, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//1849 QsciScintillaBase::SCN_AUTOCSELECTION(const char*, int)
    {84, 447, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1850 QsciScintillaBase::SCEN_CHANGE()
    {84, 549, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1851 QsciScintillaBase::SCN_CALLTIPCLICK(int)
    {84, 551, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1852 QsciScintillaBase::SCN_CHARADDED(int)
    {84, 553, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1853 QsciScintillaBase::SCN_DOUBLECLICK(int, int, int)
    {84, 555, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1854 QsciScintillaBase::SCN_DWELLEND(int, int, int)
    {84, 557, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1855 QsciScintillaBase::SCN_DWELLSTART(int, int, int)
    {84, 559, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1856 QsciScintillaBase::SCN_HOTSPOTCLICK(int, int)
    {84, 561, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1857 QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK(int, int)
    {84, 563, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1858 QsciScintillaBase::SCN_INDICATORCLICK(int, int)
    {84, 565, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1859 QsciScintillaBase::SCN_INDICATORRELEASE(int, int)
    {84, 567, 287, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1860 QsciScintillaBase::SCN_MACRORECORD(unsigned int, unsigned long, void*)
    {84, 569, 336, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1861 QsciScintillaBase::SCN_MARGINCLICK(int, int, int)
    {84, 571, 340, 10, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1862 QsciScintillaBase::SCN_MODIFIED(int, int, const char*, int, int, int, int, int, int, int)
    {84, 573, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1863 QsciScintillaBase::SCN_MODIFYATTEMPTRO()
    {84, 574, 99, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1864 QsciScintillaBase::SCN_NEEDSHOWN(int, int)
    {84, 576, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1865 QsciScintillaBase::SCN_PAINTED()
    {84, 577, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1866 QsciScintillaBase::SCN_SAVEPOINTLEFT()
    {84, 578, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1867 QsciScintillaBase::SCN_SAVEPOINTREACHED()
    {84, 579, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1868 QsciScintillaBase::SCN_STYLENEEDED(int)
    {84, 581, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1869 QsciScintillaBase::SCN_UPDATEUI()
    {84, 582, 333, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1870 QsciScintillaBase::SCN_USERLISTSELECTION(const char*, int)
    {84, 584, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1871 QsciScintillaBase::SCN_ZOOM()
    {84, 748, 351, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 179, 49},	//1872 QsciScintillaBase::canInsertFromMimeData(const QMimeData*) const
    {84, 866, 351, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 37, 50},	//1873 QsciScintillaBase::fromMimeData(const QMimeData*) const
    {84, 1299, 57, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 21, 51},	//1874 QsciScintillaBase::toMimeData(const QString&) const
    {84, 773, 353, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 52},	//1875 QsciScintillaBase::contextMenuEvent(QContextMenuEvent*)
    {84, 800, 355, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//1876 QsciScintillaBase::dragEnterEvent(QDragEnterEvent*)
    {84, 802, 357, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//1877 QsciScintillaBase::dragLeaveEvent(QDragLeaveEvent*)
    {84, 804, 359, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//1878 QsciScintillaBase::dragMoveEvent(QDragMoveEvent*)
    {84, 806, 361, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//1879 QsciScintillaBase::dropEvent(QDropEvent*)
    {84, 836, 363, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//1880 QsciScintillaBase::focusInEvent(QFocusEvent*)
    {84, 840, 363, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//1881 QsciScintillaBase::focusOutEvent(QFocusEvent*)
    {84, 838, 16, 1, Smoke::mf_protected|Smoke::mf_virtual, 179, 59},	//1882 QsciScintillaBase::focusNextPrevChild(bool)
    {84, 905, 20, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 60},	//1883 QsciScintillaBase::keyPressEvent(QKeyEvent*)
    {84, 885, 365, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 61},	//1884 QsciScintillaBase::inputMethodEvent(QInputMethodEvent*)
    {84, 970, 367, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 62},	//1885 QsciScintillaBase::mouseDoubleClickEvent(QMouseEvent*)
    {84, 972, 367, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 63},	//1886 QsciScintillaBase::mouseMoveEvent(QMouseEvent*)
    {84, 974, 367, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 64},	//1887 QsciScintillaBase::mousePressEvent(QMouseEvent*)
    {84, 976, 367, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 65},	//1888 QsciScintillaBase::mouseReleaseEvent(QMouseEvent*)
    {84, 983, 369, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 66},	//1889 QsciScintillaBase::paintEvent(QPaintEvent*)
    {84, 1029, 371, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 67},	//1890 QsciScintillaBase::resizeEvent(QResizeEvent*)
    {84, 1035, 99, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 68},	//1891 QsciScintillaBase::scrollContentsBy(int, int)
    {84, 1302, 12, 1, Smoke::mf_static, 37, 69},	//1892 QsciScintillaBase::tr(const char*)
    {84, 1306, 12, 1, Smoke::mf_static, 37, 70},	//1893 QsciScintillaBase::trUtf8(const char*)
    {84, 417, 0, 0, Smoke::mf_ctor, 101, 71},	//1894 QsciScintillaBase::QsciScintillaBase()
    {84, 601, 331, 1, Smoke::mf_const, 204, 72},	//1895 QsciScintillaBase::SendScintilla(unsigned int) const
    {84, 601, 373, 2, Smoke::mf_const, 204, 73},	//1896 QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    {84, 1282, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 185, 74},	//1897 QsciScintillaBase::staticMetaObject() const
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 75},	//1898 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 76},	//1899 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 77},	//1900 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 78},	//1901 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 79},	//1902 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 80},	//1903 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 81},	//1904 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 82},	//1905 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 83},	//1906 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 84},	//1907 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 85},	//1908 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 86},	//1909 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 87},	//1910 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 88},	//1911 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 89},	//1912 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 90},	//1913 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 91},	//1914 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 92},	//1915 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 93},	//1916 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 94},	//1917 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 95},	//1918 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 96},	//1919 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 97},	//1920 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 98},	//1921 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 99},	//1922 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 100},	//1923 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 101},	//1924 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 102},	//1925 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 103},	//1926 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 104},	//1927 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 105},	//1928 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 106},	//1929 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 107},	//1930 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 108},	//1931 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 109},	//1932 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 110},	//1933 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 111},	//1934 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 112},	//1935 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 113},	//1936 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 114},	//1937 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 115},	//1938 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 116},	//1939 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 117},	//1940 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 118},	//1941 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 119},	//1942 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 120},	//1943 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 121},	//1944 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 122},	//1945 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 123},	//1946 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 124},	//1947 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 125},	//1948 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 126},	//1949 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 127},	//1950 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 128},	//1951 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 129},	//1952 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 130},	//1953 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 131},	//1954 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 132},	//1955 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 133},	//1956 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 134},	//1957 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 135},	//1958 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 136},	//1959 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 137},	//1960 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 138},	//1961 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 139},	//1962 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 140},	//1963 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 141},	//1964 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 142},	//1965 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 143},	//1966 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 144},	//1967 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 145},	//1968 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 146},	//1969 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 147},	//1970 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 148},	//1971 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 149},	//1972 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 150},	//1973 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 151},	//1974 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 152},	//1975 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 153},	//1976 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 154},	//1977 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 155},	//1978 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 156},	//1979 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 157},	//1980 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 158},	//1981 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 159},	//1982 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 160},	//1983 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 161},	//1984 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 162},	//1985 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 163},	//1986 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 164},	//1987 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 165},	//1988 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 166},	//1989 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 167},	//1990 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 168},	//1991 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 169},	//1992 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 170},	//1993 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 171},	//1994 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 172},	//1995 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 173},	//1996 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 174},	//1997 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 175},	//1998 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 176},	//1999 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 177},	//2000 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 178},	//2001 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 179},	//2002 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 180},	//2003 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 181},	//2004 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 182},	//2005 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 183},	//2006 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 184},	//2007 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 185},	//2008 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 186},	//2009 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 187},	//2010 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 188},	//2011 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 189},	//2012 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 190},	//2013 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 191},	//2014 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 192},	//2015 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 193},	//2016 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 194},	//2017 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 195},	//2018 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 196},	//2019 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 197},	//2020 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 198},	//2021 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 199},	//2022 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 200},	//2023 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 201},	//2024 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 202},	//2025 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 203},	//2026 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 204},	//2027 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 205},	//2028 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 206},	//2029 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 207},	//2030 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 208},	//2031 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 209},	//2032 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 210},	//2033 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 211},	//2034 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 212},	//2035 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 213},	//2036 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 214},	//2037 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 215},	//2038 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 216},	//2039 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 217},	//2040 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 218},	//2041 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 219},	//2042 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 220},	//2043 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 221},	//2044 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 222},	//2045 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 223},	//2046 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 224},	//2047 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 225},	//2048 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 226},	//2049 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 227},	//2050 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 228},	//2051 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 229},	//2052 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 230},	//2053 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 231},	//2054 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 232},	//2055 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 233},	//2056 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 234},	//2057 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 235},	//2058 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 236},	//2059 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 237},	//2060 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 238},	//2061 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 239},	//2062 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 240},	//2063 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 241},	//2064 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 242},	//2065 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 243},	//2066 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 244},	//2067 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 245},	//2068 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 246},	//2069 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 247},	//2070 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 248},	//2071 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 249},	//2072 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 250},	//2073 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 251},	//2074 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 252},	//2075 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 253},	//2076 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 254},	//2077 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 255},	//2078 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 256},	//2079 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 257},	//2080 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 258},	//2081 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 259},	//2082 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 260},	//2083 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 261},	//2084 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 262},	//2085 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 263},	//2086 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 264},	//2087 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 265},	//2088 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 266},	//2089 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 267},	//2090 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 268},	//2091 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 269},	//2092 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 270},	//2093 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 271},	//2094 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 272},	//2095 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 273},	//2096 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 274},	//2097 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 275},	//2098 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 276},	//2099 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 277},	//2100 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 278},	//2101 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 279},	//2102 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 280},	//2103 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 281},	//2104 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 282},	//2105 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 283},	//2106 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 284},	//2107 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 285},	//2108 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 286},	//2109 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 287},	//2110 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 288},	//2111 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 289},	//2112 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 290},	//2113 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 291},	//2114 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 292},	//2115 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 293},	//2116 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 294},	//2117 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 295},	//2118 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 296},	//2119 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 297},	//2120 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 298},	//2121 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 299},	//2122 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 300},	//2123 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 301},	//2124 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 302},	//2125 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 303},	//2126 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 304},	//2127 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 305},	//2128 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 306},	//2129 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 307},	//2130 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 308},	//2131 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 309},	//2132 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 310},	//2133 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 311},	//2134 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 312},	//2135 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 313},	//2136 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 314},	//2137 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 315},	//2138 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 316},	//2139 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 317},	//2140 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 318},	//2141 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 319},	//2142 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 320},	//2143 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 321},	//2144 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 322},	//2145 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 323},	//2146 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 324},	//2147 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 325},	//2148 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 326},	//2149 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 327},	//2150 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 328},	//2151 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 329},	//2152 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 330},	//2153 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 331},	//2154 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 332},	//2155 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 333},	//2156 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 334},	//2157 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 335},	//2158 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 336},	//2159 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 337},	//2160 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 338},	//2161 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 339},	//2162 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 340},	//2163 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 341},	//2164 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 342},	//2165 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 343},	//2166 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 344},	//2167 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 345},	//2168 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 346},	//2169 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 347},	//2170 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 348},	//2171 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 349},	//2172 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 350},	//2173 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 351},	//2174 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 352},	//2175 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 353},	//2176 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 354},	//2177 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 355},	//2178 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 356},	//2179 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 357},	//2180 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 358},	//2181 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 359},	//2182 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 360},	//2183 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 361},	//2184 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 362},	//2185 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 363},	//2186 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 364},	//2187 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 365},	//2188 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 366},	//2189 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 367},	//2190 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 368},	//2191 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 369},	//2192 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 370},	//2193 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 371},	//2194 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 372},	//2195 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 373},	//2196 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 374},	//2197 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 375},	//2198 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 376},	//2199 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 377},	//2200 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 378},	//2201 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 379},	//2202 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 380},	//2203 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 381},	//2204 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 382},	//2205 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 383},	//2206 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 384},	//2207 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 385},	//2208 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 386},	//2209 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 387},	//2210 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 388},	//2211 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 389},	//2212 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 390},	//2213 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 391},	//2214 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 392},	//2215 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 393},	//2216 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 394},	//2217 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 395},	//2218 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 396},	//2219 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 397},	//2220 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 398},	//2221 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 399},	//2222 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 400},	//2223 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 401},	//2224 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 402},	//2225 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 403},	//2226 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 404},	//2227 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 405},	//2228 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 406},	//2229 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 407},	//2230 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 408},	//2231 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 409},	//2232 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 410},	//2233 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 411},	//2234 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 412},	//2235 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 413},	//2236 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 414},	//2237 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 415},	//2238 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 416},	//2239 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 417},	//2240 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 418},	//2241 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 419},	//2242 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 420},	//2243 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 421},	//2244 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 422},	//2245 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 423},	//2246 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 424},	//2247 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 425},	//2248 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 426},	//2249 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 427},	//2250 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 428},	//2251 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 429},	//2252 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 430},	//2253 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 431},	//2254 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 432},	//2255 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 433},	//2256 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 434},	//2257 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 435},	//2258 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 436},	//2259 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 437},	//2260 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 438},	//2261 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 439},	//2262 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 440},	//2263 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 441},	//2264 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 442},	//2265 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 443},	//2266 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 444},	//2267 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 445},	//2268 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 446},	//2269 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 447},	//2270 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 448},	//2271 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 449},	//2272 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 450},	//2273 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 451},	//2274 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 452},	//2275 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 453},	//2276 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 454},	//2277 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 455},	//2278 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 456},	//2279 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 457},	//2280 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 458},	//2281 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 459},	//2282 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 460},	//2283 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 461},	//2284 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 462},	//2285 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 463},	//2286 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 464},	//2287 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 465},	//2288 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 466},	//2289 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 467},	//2290 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 468},	//2291 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 469},	//2292 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 470},	//2293 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 471},	//2294 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 472},	//2295 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 473},	//2296 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 474},	//2297 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 475},	//2298 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 476},	//2299 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 477},	//2300 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 478},	//2301 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 479},	//2302 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 480},	//2303 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 481},	//2304 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 482},	//2305 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 483},	//2306 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 484},	//2307 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 485},	//2308 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 486},	//2309 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 487},	//2310 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 488},	//2311 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 489},	//2312 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 490},	//2313 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 491},	//2314 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 492},	//2315 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 493},	//2316 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 494},	//2317 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 495},	//2318 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 496},	//2319 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 497},	//2320 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 498},	//2321 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 499},	//2322 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 500},	//2323 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 501},	//2324 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 502},	//2325 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 503},	//2326 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 504},	//2327 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 505},	//2328 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 506},	//2329 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 507},	//2330 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 508},	//2331 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 509},	//2332 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 510},	//2333 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 511},	//2334 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 512},	//2335 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 513},	//2336 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 514},	//2337 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 515},	//2338 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 516},	//2339 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 517},	//2340 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 518},	//2341 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 519},	//2342 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 520},	//2343 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 521},	//2344 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 522},	//2345 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 523},	//2346 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 524},	//2347 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 525},	//2348 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 526},	//2349 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 527},	//2350 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 528},	//2351 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 529},	//2352 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 530},	//2353 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 531},	//2354 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 532},	//2355 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 533},	//2356 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 534},	//2357 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 535},	//2358 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 536},	//2359 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 537},	//2360 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 538},	//2361 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 539},	//2362 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 540},	//2363 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 541},	//2364 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 542},	//2365 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 543},	//2366 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 544},	//2367 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 545},	//2368 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 546},	//2369 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 547},	//2370 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 548},	//2371 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 549},	//2372 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 550},	//2373 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 551},	//2374 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 552},	//2375 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 553},	//2376 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 554},	//2377 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 555},	//2378 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 556},	//2379 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 557},	//2380 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 558},	//2381 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 559},	//2382 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 560},	//2383 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 561},	//2384 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 562},	//2385 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 563},	//2386 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 564},	//2387 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 565},	//2388 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 566},	//2389 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 567},	//2390 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 568},	//2391 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 569},	//2392 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 570},	//2393 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 571},	//2394 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 572},	//2395 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 573},	//2396 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 574},	//2397 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 575},	//2398 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 576},	//2399 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 577},	//2400 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 578},	//2401 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 579},	//2402 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 580},	//2403 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 581},	//2404 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 582},	//2405 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 583},	//2406 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 584},	//2407 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 585},	//2408 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 586},	//2409 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 587},	//2410 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 588},	//2411 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 589},	//2412 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 590},	//2413 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 591},	//2414 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 592},	//2415 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 593},	//2416 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 594},	//2417 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 595},	//2418 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 596},	//2419 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 597},	//2420 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 598},	//2421 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 599},	//2422 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 600},	//2423 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 601},	//2424 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 602},	//2425 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 603},	//2426 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 604},	//2427 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 605},	//2428 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 606},	//2429 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 607},	//2430 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 608},	//2431 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 609},	//2432 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 610},	//2433 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 611},	//2434 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 612},	//2435 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 613},	//2436 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 614},	//2437 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 615},	//2438 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 616},	//2439 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 617},	//2440 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 618},	//2441 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 619},	//2442 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 620},	//2443 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 621},	//2444 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 622},	//2445 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 623},	//2446 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 624},	//2447 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 625},	//2448 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 626},	//2449 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 627},	//2450 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 628},	//2451 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 629},	//2452 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 630},	//2453 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 631},	//2454 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 632},	//2455 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 633},	//2456 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 634},	//2457 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 635},	//2458 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 636},	//2459 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 637},	//2460 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 638},	//2461 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 639},	//2462 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 640},	//2463 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 641},	//2464 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 642},	//2465 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 643},	//2466 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 644},	//2467 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 645},	//2468 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 646},	//2469 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 647},	//2470 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 648},	//2471 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 649},	//2472 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 650},	//2473 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 651},	//2474 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 652},	//2475 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 653},	//2476 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 654},	//2477 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 655},	//2478 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 656},	//2479 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 657},	//2480 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 658},	//2481 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 659},	//2482 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 660},	//2483 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 661},	//2484 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 662},	//2485 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 663},	//2486 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 664},	//2487 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 665},	//2488 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 666},	//2489 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 667},	//2490 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 668},	//2491 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 669},	//2492 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 670},	//2493 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 671},	//2494 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 672},	//2495 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 673},	//2496 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 674},	//2497 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 675},	//2498 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 676},	//2499 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 677},	//2500 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 678},	//2501 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 679},	//2502 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 680},	//2503 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 681},	//2504 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 682},	//2505 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 683},	//2506 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 684},	//2507 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 685},	//2508 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 686},	//2509 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 687},	//2510 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 688},	//2511 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 689},	//2512 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 690},	//2513 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 691},	//2514 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 692},	//2515 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 693},	//2516 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 694},	//2517 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 695},	//2518 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 696},	//2519 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 697},	//2520 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 698},	//2521 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 699},	//2522 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 700},	//2523 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 701},	//2524 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 702},	//2525 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 703},	//2526 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 704},	//2527 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 705},	//2528 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 706},	//2529 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 707},	//2530 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 708},	//2531 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 709},	//2532 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 710},	//2533 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 711},	//2534 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 712},	//2535 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 713},	//2536 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 714},	//2537 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 715},	//2538 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 716},	//2539 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 717},	//2540 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 718},	//2541 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 719},	//2542 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 720},	//2543 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 721},	//2544 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 722},	//2545 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 723},	//2546 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 724},	//2547 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 725},	//2548 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 726},	//2549 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 727},	//2550 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 728},	//2551 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 729},	//2552 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 730},	//2553 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 731},	//2554 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 732},	//2555 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 733},	//2556 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 734},	//2557 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 735},	//2558 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 736},	//2559 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 737},	//2560 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 738},	//2561 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 739},	//2562 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 740},	//2563 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 741},	//2564 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 742},	//2565 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 743},	//2566 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 744},	//2567 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 745},	//2568 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 746},	//2569 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 747},	//2570 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 748},	//2571 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 749},	//2572 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 750},	//2573 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 751},	//2574 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 752},	//2575 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 753},	//2576 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 754},	//2577 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 755},	//2578 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 756},	//2579 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 757},	//2580 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 758},	//2581 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 759},	//2582 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 760},	//2583 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 761},	//2584 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 762},	//2585 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 763},	//2586 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 764},	//2587 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 765},	//2588 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 766},	//2589 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 767},	//2590 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 768},	//2591 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 769},	//2592 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 770},	//2593 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 771},	//2594 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 772},	//2595 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 773},	//2596 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 774},	//2597 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 775},	//2598 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 776},	//2599 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 777},	//2600 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 778},	//2601 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 779},	//2602 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 780},	//2603 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 781},	//2604 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 782},	//2605 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 783},	//2606 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 784},	//2607 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 785},	//2608 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 786},	//2609 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 787},	//2610 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 788},	//2611 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 789},	//2612 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 790},	//2613 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 791},	//2614 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 792},	//2615 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 793},	//2616 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 794},	//2617 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 795},	//2618 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 796},	//2619 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 797},	//2620 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 798},	//2621 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 799},	//2622 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 800},	//2623 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 801},	//2624 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 802},	//2625 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 803},	//2626 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 804},	//2627 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 805},	//2628 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 806},	//2629 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 807},	//2630 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 808},	//2631 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 809},	//2632 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 810},	//2633 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 811},	//2634 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 812},	//2635 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 813},	//2636 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 814},	//2637 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 815},	//2638 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 816},	//2639 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 817},	//2640 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 818},	//2641 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 819},	//2642 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 820},	//2643 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 821},	//2644 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 822},	//2645 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 823},	//2646 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 824},	//2647 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 825},	//2648 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 826},	//2649 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 827},	//2650 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 828},	//2651 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 829},	//2652 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 830},	//2653 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 831},	//2654 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 832},	//2655 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 833},	//2656 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 834},	//2657 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 835},	//2658 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 836},	//2659 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 837},	//2660 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 838},	//2661 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 839},	//2662 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 840},	//2663 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 841},	//2664 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 842},	//2665 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 843},	//2666 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 844},	//2667 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 845},	//2668 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 846},	//2669 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 847},	//2670 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 848},	//2671 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 849},	//2672 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 850},	//2673 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 851},	//2674 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 852},	//2675 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 853},	//2676 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 854},	//2677 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 855},	//2678 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 856},	//2679 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 857},	//2680 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 858},	//2681 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 859},	//2682 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 860},	//2683 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 861},	//2684 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 862},	//2685 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 863},	//2686 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 864},	//2687 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 865},	//2688 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 866},	//2689 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 867},	//2690 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 868},	//2691 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 869},	//2692 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 870},	//2693 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 871},	//2694 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 872},	//2695 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 873},	//2696 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 874},	//2697 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 875},	//2698 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 876},	//2699 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 877},	//2700 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 878},	//2701 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 879},	//2702 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 880},	//2703 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 881},	//2704 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 882},	//2705 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 883},	//2706 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 884},	//2707 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 885},	//2708 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 886},	//2709 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 887},	//2710 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 888},	//2711 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 889},	//2712 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 890},	//2713 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 891},	//2714 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 892},	//2715 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 893},	//2716 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 894},	//2717 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 895},	//2718 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 896},	//2719 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 897},	//2720 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 898},	//2721 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 899},	//2722 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 900},	//2723 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 901},	//2724 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 902},	//2725 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 903},	//2726 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 904},	//2727 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 905},	//2728 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 906},	//2729 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 907},	//2730 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 908},	//2731 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 909},	//2732 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 910},	//2733 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 911},	//2734 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 912},	//2735 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 913},	//2736 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 914},	//2737 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 915},	//2738 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 916},	//2739 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 917},	//2740 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 918},	//2741 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 919},	//2742 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 920},	//2743 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 921},	//2744 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 922},	//2745 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 923},	//2746 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 924},	//2747 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 925},	//2748 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 926},	//2749 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 927},	//2750 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 928},	//2751 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 929},	//2752 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 930},	//2753 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 931},	//2754 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 932},	//2755 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 933},	//2756 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 934},	//2757 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 935},	//2758 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 936},	//2759 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 937},	//2760 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 938},	//2761 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 939},	//2762 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 940},	//2763 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 941},	//2764 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 942},	//2765 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 943},	//2766 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 944},	//2767 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 945},	//2768 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 946},	//2769 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 947},	//2770 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 948},	//2771 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 949},	//2772 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 950},	//2773 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 951},	//2774 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 952},	//2775 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 953},	//2776 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 954},	//2777 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 955},	//2778 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 956},	//2779 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 957},	//2780 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 958},	//2781 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 959},	//2782 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 960},	//2783 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 961},	//2784 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 962},	//2785 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 963},	//2786 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 964},	//2787 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 965},	//2788 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 966},	//2789 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 967},	//2790 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 968},	//2791 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 969},	//2792 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 970},	//2793 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 971},	//2794 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 972},	//2795 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 973},	//2796 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 974},	//2797 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 975},	//2798 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 976},	//2799 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 977},	//2800 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 978},	//2801 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 979},	//2802 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 980},	//2803 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 981},	//2804 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 982},	//2805 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 983},	//2806 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 984},	//2807 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 985},	//2808 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 986},	//2809 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 987},	//2810 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 988},	//2811 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 989},	//2812 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 990},	//2813 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 991},	//2814 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 992},	//2815 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 993},	//2816 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 994},	//2817 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 995},	//2818 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 996},	//2819 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 997},	//2820 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 998},	//2821 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 999},	//2822 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1000},	//2823 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1001},	//2824 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1002},	//2825 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1003},	//2826 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1004},	//2827 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1005},	//2828 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1006},	//2829 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1007},	//2830 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1008},	//2831 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1009},	//2832 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1010},	//2833 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1011},	//2834 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1012},	//2835 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1013},	//2836 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1014},	//2837 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1015},	//2838 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1016},	//2839 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1017},	//2840 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1018},	//2841 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1019},	//2842 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1020},	//2843 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1021},	//2844 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1022},	//2845 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1023},	//2846 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1024},	//2847 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1025},	//2848 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1026},	//2849 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1027},	//2850 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1028},	//2851 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1029},	//2852 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1030},	//2853 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1031},	//2854 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1032},	//2855 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1033},	//2856 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1034},	//2857 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1035},	//2858 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1036},	//2859 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1037},	//2860 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1038},	//2861 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1039},	//2862 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1040},	//2863 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1041},	//2864 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1042},	//2865 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1043},	//2866 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1044},	//2867 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1045},	//2868 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1046},	//2869 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1047},	//2870 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1048},	//2871 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1049},	//2872 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1050},	//2873 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1051},	//2874 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1052},	//2875 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1053},	//2876 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1054},	//2877 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1055},	//2878 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1056},	//2879 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1057},	//2880 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1058},	//2881 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1059},	//2882 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1060},	//2883 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1061},	//2884 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1062},	//2885 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1063},	//2886 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1064},	//2887 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1065},	//2888 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1066},	//2889 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1067},	//2890 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1068},	//2891 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1069},	//2892 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1070},	//2893 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1071},	//2894 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1072},	//2895 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1073},	//2896 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1074},	//2897 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1075},	//2898 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1076},	//2899 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1077},	//2900 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1078},	//2901 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1079},	//2902 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1080},	//2903 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1081},	//2904 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1082},	//2905 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1083},	//2906 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1084},	//2907 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1085},	//2908 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1086},	//2909 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1087},	//2910 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1088},	//2911 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1089},	//2912 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1090},	//2913 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1091},	//2914 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1092},	//2915 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1093},	//2916 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1094},	//2917 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1095},	//2918 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1096},	//2919 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1097},	//2920 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1098},	//2921 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1099},	//2922 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1100},	//2923 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1101},	//2924 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1102},	//2925 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1103},	//2926 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1104},	//2927 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1105},	//2928 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1106},	//2929 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1107},	//2930 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1108},	//2931 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1109},	//2932 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1110},	//2933 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1111},	//2934 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1112},	//2935 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1113},	//2936 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1114},	//2937 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1115},	//2938 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1116},	//2939 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1117},	//2940 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1118},	//2941 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1119},	//2942 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1120},	//2943 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1121},	//2944 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1122},	//2945 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1123},	//2946 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1124},	//2947 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1125},	//2948 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1126},	//2949 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1127},	//2950 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1128},	//2951 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1129},	//2952 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1130},	//2953 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1131},	//2954 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1132},	//2955 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1133},	//2956 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1134},	//2957 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1135},	//2958 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1136},	//2959 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1137},	//2960 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1138},	//2961 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1139},	//2962 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1140},	//2963 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1141},	//2964 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1142},	//2965 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1143},	//2966 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1144},	//2967 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1145},	//2968 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1146},	//2969 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1147},	//2970 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1148},	//2971 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1149},	//2972 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1150},	//2973 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1151},	//2974 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1152},	//2975 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1153},	//2976 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1154},	//2977 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1155},	//2978 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1156},	//2979 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1157},	//2980 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1158},	//2981 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1159},	//2982 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1160},	//2983 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1161},	//2984 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1162},	//2985 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1163},	//2986 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1164},	//2987 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1165},	//2988 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1166},	//2989 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1167},	//2990 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1168},	//2991 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1169},	//2992 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1170},	//2993 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1171},	//2994 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1172},	//2995 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1173},	//2996 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1174},	//2997 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1175},	//2998 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1176},	//2999 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1177},	//3000 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1178},	//3001 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1179},	//3002 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1180},	//3003 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1181},	//3004 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1182},	//3005 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1183},	//3006 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1184},	//3007 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1185},	//3008 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1186},	//3009 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1187},	//3010 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1188},	//3011 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1189},	//3012 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1190},	//3013 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1191},	//3014 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1192},	//3015 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1193},	//3016 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1194},	//3017 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1195},	//3018 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1196},	//3019 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1197},	//3020 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1198},	//3021 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1199},	//3022 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1200},	//3023 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1201},	//3024 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1202},	//3025 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1203},	//3026 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1204},	//3027 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1205},	//3028 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1206},	//3029 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1207},	//3030 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1208},	//3031 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1209},	//3032 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1210},	//3033 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1211},	//3034 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1212},	//3035 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1213},	//3036 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1214},	//3037 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1215},	//3038 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1216},	//3039 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1217},	//3040 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1218},	//3041 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1219},	//3042 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1220},	//3043 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1221},	//3044 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1222},	//3045 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1223},	//3046 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1224},	//3047 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1225},	//3048 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1226},	//3049 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1227},	//3050 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1228},	//3051 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1229},	//3052 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1230},	//3053 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1231},	//3054 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1232},	//3055 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1233},	//3056 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1234},	//3057 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1235},	//3058 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1236},	//3059 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1237},	//3060 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1238},	//3061 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1239},	//3062 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1240},	//3063 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1241},	//3064 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1242},	//3065 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1243},	//3066 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1244},	//3067 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1245},	//3068 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1246},	//3069 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1247},	//3070 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1248},	//3071 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1249},	//3072 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1250},	//3073 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1251},	//3074 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1252},	//3075 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1253},	//3076 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1254},	//3077 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1255},	//3078 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1256},	//3079 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1257},	//3080 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1258},	//3081 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1259},	//3082 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1260},	//3083 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1261},	//3084 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1262},	//3085 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1263},	//3086 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1264},	//3087 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1265},	//3088 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1266},	//3089 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1267},	//3090 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1268},	//3091 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1269},	//3092 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1270},	//3093 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1271},	//3094 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1272},	//3095 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1273},	//3096 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1274},	//3097 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1275},	//3098 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1276},	//3099 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1277},	//3100 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1278},	//3101 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1279},	//3102 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1280},	//3103 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1281},	//3104 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1282},	//3105 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1283},	//3106 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1284},	//3107 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1285},	//3108 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1286},	//3109 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1287},	//3110 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1288},	//3111 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1289},	//3112 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1290},	//3113 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1291},	//3114 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1292},	//3115 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1293},	//3116 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1294},	//3117 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1295},	//3118 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1296},	//3119 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1297},	//3120 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1298},	//3121 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1299},	//3122 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1300},	//3123 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1301},	//3124 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1302},	//3125 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1303},	//3126 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1304},	//3127 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1305},	//3128 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1306},	//3129 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1307},	//3130 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1308},	//3131 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1309},	//3132 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1310},	//3133 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1311},	//3134 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1312},	//3135 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1313},	//3136 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1314},	//3137 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1315},	//3138 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1316},	//3139 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1317},	//3140 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1318},	//3141 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1319},	//3142 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1320},	//3143 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1321},	//3144 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1322},	//3145 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1323},	//3146 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1324},	//3147 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1325},	//3148 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1326},	//3149 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1327},	//3150 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1328},	//3151 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1329},	//3152 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1330},	//3153 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1331},	//3154 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1332},	//3155 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1333},	//3156 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1334},	//3157 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1335},	//3158 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1336},	//3159 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1337},	//3160 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1338},	//3161 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1339},	//3162 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1340},	//3163 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1341},	//3164 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1342},	//3165 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1343},	//3166 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1344},	//3167 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1345},	//3168 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1346},	//3169 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1347},	//3170 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1348},	//3171 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1349},	//3172 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1350},	//3173 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1351},	//3174 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1352},	//3175 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1353},	//3176 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1354},	//3177 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1355},	//3178 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1356},	//3179 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1357},	//3180 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1358},	//3181 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1359},	//3182 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1360},	//3183 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1361},	//3184 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1362},	//3185 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1363},	//3186 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1364},	//3187 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1365},	//3188 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1366},	//3189 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1367},	//3190 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1368},	//3191 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1369},	//3192 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1370},	//3193 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1371},	//3194 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1372},	//3195 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1373},	//3196 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1374},	//3197 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1375},	//3198 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1376},	//3199 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1377},	//3200 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1378},	//3201 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1379},	//3202 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1380},	//3203 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1381},	//3204 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1382},	//3205 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1383},	//3206 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1384},	//3207 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1385},	//3208 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1386},	//3209 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1387},	//3210 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1388},	//3211 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1389},	//3212 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1390},	//3213 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1391},	//3214 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1392},	//3215 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1393},	//3216 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1394},	//3217 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1395},	//3218 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1396},	//3219 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1397},	//3220 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1398},	//3221 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1399},	//3222 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1400},	//3223 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1401},	//3224 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1402},	//3225 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1403},	//3226 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1404},	//3227 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1405},	//3228 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1406},	//3229 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1407},	//3230 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1408},	//3231 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1409},	//3232 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1410},	//3233 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1411},	//3234 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1412},	//3235 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1413},	//3236 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1414},	//3237 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1415},	//3238 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1416},	//3239 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1417},	//3240 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1418},	//3241 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1419},	//3242 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1420},	//3243 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1421},	//3244 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1422},	//3245 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1423},	//3246 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1424},	//3247 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1425},	//3248 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1426},	//3249 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1427},	//3250 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1428},	//3251 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1429},	//3252 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1430},	//3253 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1431},	//3254 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1432},	//3255 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1433},	//3256 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1434},	//3257 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1435},	//3258 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1436},	//3259 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1437},	//3260 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1438},	//3261 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1439},	//3262 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1440},	//3263 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1441},	//3264 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1442},	//3265 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1443},	//3266 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1444},	//3267 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1445},	//3268 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1446},	//3269 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1447},	//3270 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1448},	//3271 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1449},	//3272 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1450},	//3273 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1451},	//3274 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1452},	//3275 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1453},	//3276 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1454},	//3277 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1455},	//3278 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1456},	//3279 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1457},	//3280 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1458},	//3281 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1459},	//3282 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1460},	//3283 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1461},	//3284 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1462},	//3285 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1463},	//3286 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1464},	//3287 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1465},	//3288 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1466},	//3289 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1467},	//3290 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1468},	//3291 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1469},	//3292 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1470},	//3293 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1471},	//3294 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1472},	//3295 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1473},	//3296 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1474},	//3297 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1475},	//3298 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1476},	//3299 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1477},	//3300 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1478},	//3301 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1479},	//3302 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1480},	//3303 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1481},	//3304 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1482},	//3305 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1483},	//3306 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1484},	//3307 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1485},	//3308 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1486},	//3309 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1487},	//3310 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1488},	//3311 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1489},	//3312 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1490},	//3313 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1491},	//3314 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1492},	//3315 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1493},	//3316 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1494},	//3317 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1495},	//3318 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1496},	//3319 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1497},	//3320 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1498},	//3321 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1499},	//3322 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1500},	//3323 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1501},	//3324 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1502},	//3325 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1503},	//3326 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1504},	//3327 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1505},	//3328 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1506},	//3329 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1507},	//3330 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1508},	//3331 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1509},	//3332 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1510},	//3333 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1511},	//3334 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1512},	//3335 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1513},	//3336 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1514},	//3337 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1515},	//3338 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1516},	//3339 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1517},	//3340 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1518},	//3341 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1519},	//3342 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1520},	//3343 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1521},	//3344 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1522},	//3345 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1523},	//3346 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1524},	//3347 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1525},	//3348 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1526},	//3349 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1527},	//3350 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1528},	//3351 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1529},	//3352 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1530},	//3353 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1531},	//3354 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1532},	//3355 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1533},	//3356 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1534},	//3357 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1535},	//3358 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1536},	//3359 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1537},	//3360 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1538},	//3361 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1539},	//3362 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1540},	//3363 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1541},	//3364 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1542},	//3365 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1543},	//3366 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1544},	//3367 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1545},	//3368 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1546},	//3369 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1547},	//3370 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1548},	//3371 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1549},	//3372 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1550},	//3373 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1551},	//3374 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1552},	//3375 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1553},	//3376 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1554},	//3377 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1555},	//3378 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1556},	//3379 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1557},	//3380 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1558},	//3381 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1559},	//3382 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1560},	//3383 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1561},	//3384 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1562},	//3385 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1563},	//3386 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1564},	//3387 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1565},	//3388 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1566},	//3389 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1567},	//3390 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1568},	//3391 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1569},	//3392 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1570},	//3393 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1571},	//3394 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1572},	//3395 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1573},	//3396 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1574},	//3397 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1575},	//3398 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1576},	//3399 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1577},	//3400 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1578},	//3401 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1579},	//3402 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1580},	//3403 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1581},	//3404 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1582},	//3405 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1583},	//3406 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1584},	//3407 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1585},	//3408 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1586},	//3409 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1587},	//3410 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1588},	//3411 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1589},	//3412 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1590},	//3413 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1591},	//3414 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1592},	//3415 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1593},	//3416 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1594},	//3417 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1595},	//3418 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1596},	//3419 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1597},	//3420 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1598},	//3421 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1599},	//3422 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1600},	//3423 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1601},	//3424 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1602},	//3425 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1603},	//3426 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1604},	//3427 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1605},	//3428 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1606},	//3429 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1607},	//3430 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1608},	//3431 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1609},	//3432 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1610},	//3433 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1611},	//3434 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1612},	//3435 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1613},	//3436 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1614},	//3437 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1615},	//3438 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1616},	//3439 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1617},	//3440 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1618},	//3441 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1619},	//3442 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1620},	//3443 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1621},	//3444 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1622},	//3445 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1623},	//3446 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1624},	//3447 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1625},	//3448 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1626},	//3449 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1627},	//3450 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1628},	//3451 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1629},	//3452 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1630},	//3453 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1631},	//3454 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1632},	//3455 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1633},	//3456 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1634},	//3457 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1635},	//3458 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1636},	//3459 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1637},	//3460 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1638},	//3461 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1639},	//3462 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1640},	//3463 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1641},	//3464 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1642},	//3465 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1643},	//3466 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1644},	//3467 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1645},	//3468 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1646},	//3469 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1647},	//3470 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1648},	//3471 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1649},	//3472 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1650},	//3473 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1651},	//3474 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1652},	//3475 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1653},	//3476 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1654},	//3477 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1655},	//3478 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1656},	//3479 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1657},	//3480 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1658},	//3481 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1659},	//3482 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1660},	//3483 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1661},	//3484 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1662},	//3485 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1663},	//3486 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1664},	//3487 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1665},	//3488 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1666},	//3489 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1667},	//3490 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1668},	//3491 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1669},	//3492 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1670},	//3493 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1671},	//3494 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1672},	//3495 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1673},	//3496 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1674},	//3497 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1675},	//3498 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1676},	//3499 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1677},	//3500 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1678},	//3501 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1679},	//3502 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1680},	//3503 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1681},	//3504 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1682},	//3505 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1683},	//3506 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1684},	//3507 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1685},	//3508 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1686},	//3509 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1687},	//3510 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1688},	//3511 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1689},	//3512 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1690},	//3513 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1691},	//3514 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1692},	//3515 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1693},	//3516 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1694},	//3517 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1695},	//3518 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1696},	//3519 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1697},	//3520 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1698},	//3521 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1699},	//3522 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1700},	//3523 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1701},	//3524 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1702},	//3525 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1703},	//3526 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1704},	//3527 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1705},	//3528 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1706},	//3529 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1707},	//3530 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1708},	//3531 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1709},	//3532 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1710},	//3533 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1711},	//3534 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1712},	//3535 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1713},	//3536 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1714},	//3537 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1715},	//3538 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1716},	//3539 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1717},	//3540 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1718},	//3541 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1719},	//3542 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1720},	//3543 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1721},	//3544 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1722},	//3545 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1723},	//3546 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1724},	//3547 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1725},	//3548 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1726},	//3549 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1727},	//3550 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1728},	//3551 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1729},	//3552 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1730},	//3553 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1731},	//3554 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1732},	//3555 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1733},	//3556 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1734},	//3557 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1735},	//3558 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1736},	//3559 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1737},	//3560 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1738},	//3561 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1739},	//3562 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1740},	//3563 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1741},	//3564 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1742},	//3565 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1743},	//3566 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1744},	//3567 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1745},	//3568 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1746},	//3569 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1747},	//3570 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1748},	//3571 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1749},	//3572 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1750},	//3573 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1751},	//3574 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1752},	//3575 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1753},	//3576 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1754},	//3577 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1755},	//3578 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1756},	//3579 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1757},	//3580 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1758},	//3581 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1759},	//3582 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1760},	//3583 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1761},	//3584 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1762},	//3585 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1763},	//3586 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1764},	//3587 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1765},	//3588 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1766},	//3589 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1767},	//3590 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1768},	//3591 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1769},	//3592 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1770},	//3593 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1771},	//3594 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1772},	//3595 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1773},	//3596 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1774},	//3597 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1775},	//3598 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1776},	//3599 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1777},	//3600 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1778},	//3601 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1779},	//3602 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1780},	//3603 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1781},	//3604 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1782},	//3605 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1783},	//3606 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1784},	//3607 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1785},	//3608 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1786},	//3609 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1787},	//3610 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1788},	//3611 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1789},	//3612 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1790},	//3613 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1791},	//3614 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1792},	//3615 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1793},	//3616 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1794},	//3617 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1795},	//3618 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1796},	//3619 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1797},	//3620 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1798},	//3621 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1799},	//3622 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1800},	//3623 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1801},	//3624 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1802},	//3625 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1803},	//3626 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1804},	//3627 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1805},	//3628 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1806},	//3629 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1807},	//3630 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1808},	//3631 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1809},	//3632 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1810},	//3633 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1811},	//3634 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1812},	//3635 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1813},	//3636 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1814},	//3637 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1815},	//3638 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1816},	//3639 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1817},	//3640 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1818},	//3641 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1819},	//3642 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1820},	//3643 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1821},	//3644 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1822},	//3645 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1823},	//3646 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1824},	//3647 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1825},	//3648 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1826},	//3649 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1827},	//3650 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1828},	//3651 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1829},	//3652 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1830},	//3653 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1831},	//3654 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1832},	//3655 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1833},	//3656 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1834},	//3657 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1835},	//3658 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1836},	//3659 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1837},	//3660 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1838},	//3661 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1839},	//3662 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1840},	//3663 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1841},	//3664 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1842},	//3665 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1843},	//3666 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1844},	//3667 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1845},	//3668 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1846},	//3669 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1847},	//3670 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1848},	//3671 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1849},	//3672 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1850},	//3673 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1851},	//3674 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1852},	//3675 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1853},	//3676 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1854},	//3677 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1855},	//3678 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1856},	//3679 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1857},	//3680 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1858},	//3681 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1859},	//3682 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1860},	//3683 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1861},	//3684 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1862},	//3685 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1863},	//3686 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1864},	//3687 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1865},	//3688 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1866},	//3689 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1867},	//3690 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1868},	//3691 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1869},	//3692 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1870},	//3693 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1871},	//3694 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1872},	//3695 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1873},	//3696 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1874},	//3697 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1875},	//3698 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1876},	//3699 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1877},	//3700 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1878},	//3701 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1879},	//3702 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1880},	//3703 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1881},	//3704 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1882},	//3705 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1883},	//3706 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1884},	//3707 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1885},	//3708 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1886},	//3709 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1887},	//3710 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1888},	//3711 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1889},	//3712 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1890},	//3713 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1891},	//3714 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1892},	//3715 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1893},	//3716 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1894},	//3717 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1895},	//3718 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1896},	//3719 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1897},	//3720 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1898},	//3721 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1899},	//3722 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1900},	//3723 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1901},	//3724 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1902},	//3725 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1903},	//3726 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1904},	//3727 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1905},	//3728 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1906},	//3729 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1907},	//3730 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1908},	//3731 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1909},	//3732 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1910},	//3733 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1911},	//3734 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1912},	//3735 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1913},	//3736 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1914},	//3737 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1915},	//3738 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1916},	//3739 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1917},	//3740 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1918},	//3741 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1919},	//3742 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1920},	//3743 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1921},	//3744 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1922},	//3745 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1923},	//3746 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1924},	//3747 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1925},	//3748 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1926},	//3749 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1927},	//3750 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1928},	//3751 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1929},	//3752 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1930},	//3753 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1931},	//3754 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1932},	//3755 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1933},	//3756 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1934},	//3757 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1935},	//3758 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1936},	//3759 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1937},	//3760 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1938},	//3761 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1939},	//3762 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1940},	//3763 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1941},	//3764 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1942},	//3765 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1943},	//3766 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1944},	//3767 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1945},	//3768 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1946},	//3769 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1947},	//3770 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1948},	//3771 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1949},	//3772 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1950},	//3773 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1951},	//3774 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1952},	//3775 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1953},	//3776 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1954},	//3777 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1955},	//3778 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1956},	//3779 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1957},	//3780 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1958},	//3781 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1959},	//3782 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1960},	//3783 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1961},	//3784 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1962},	//3785 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1963},	//3786 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1964},	//3787 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1965},	//3788 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1966},	//3789 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1967},	//3790 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1968},	//3791 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1969},	//3792 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1970},	//3793 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1971},	//3794 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1972},	//3795 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1973},	//3796 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1974},	//3797 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1975},	//3798 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1976},	//3799 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1977},	//3800 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1978},	//3801 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1979},	//3802 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1980},	//3803 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1981},	//3804 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1982},	//3805 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1983},	//3806 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1984},	//3807 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1985},	//3808 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1986},	//3809 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1987},	//3810 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1988},	//3811 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1989},	//3812 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1990},	//3813 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1991},	//3814 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1992},	//3815 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1993},	//3816 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1994},	//3817 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1995},	//3818 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1996},	//3819 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1997},	//3820 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1998},	//3821 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 1999},	//3822 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2000},	//3823 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2001},	//3824 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2002},	//3825 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2003},	//3826 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2004},	//3827 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2005},	//3828 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2006},	//3829 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2007},	//3830 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2008},	//3831 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2009},	//3832 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2010},	//3833 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2011},	//3834 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2012},	//3835 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2013},	//3836 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2014},	//3837 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2015},	//3838 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2016},	//3839 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2017},	//3840 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2018},	//3841 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2019},	//3842 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2020},	//3843 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2021},	//3844 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2022},	//3845 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2023},	//3846 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2024},	//3847 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2025},	//3848 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2026},	//3849 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2027},	//3850 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2028},	//3851 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2029},	//3852 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2030},	//3853 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2031},	//3854 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2032},	//3855 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2033},	//3856 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2034},	//3857 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2035},	//3858 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2036},	//3859 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2037},	//3860 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2038},	//3861 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2039},	//3862 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2040},	//3863 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2041},	//3864 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2042},	//3865 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2043},	//3866 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2044},	//3867 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2045},	//3868 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2046},	//3869 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2047},	//3870 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2048},	//3871 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2049},	//3872 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2050},	//3873 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2051},	//3874 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2052},	//3875 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2053},	//3876 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2054},	//3877 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2055},	//3878 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2056},	//3879 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2057},	//3880 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2058},	//3881 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2059},	//3882 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2060},	//3883 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2061},	//3884 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2062},	//3885 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2063},	//3886 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2064},	//3887 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2065},	//3888 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2066},	//3889 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2067},	//3890 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2068},	//3891 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2069},	//3892 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2070},	//3893 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2071},	//3894 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2072},	//3895 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2073},	//3896 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2074},	//3897 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2075},	//3898 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2076},	//3899 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2077},	//3900 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2078},	//3901 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2079},	//3902 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2080},	//3903 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2081},	//3904 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2082},	//3905 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2083},	//3906 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2084},	//3907 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2085},	//3908 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2086},	//3909 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2087},	//3910 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2088},	//3911 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2089},	//3912 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2090},	//3913 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2091},	//3914 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2092},	//3915 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2093},	//3916 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2094},	//3917 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2095},	//3918 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2096},	//3919 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2097},	//3920 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2098},	//3921 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2099},	//3922 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2100},	//3923 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2101},	//3924 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2102},	//3925 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2103},	//3926 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2104},	//3927 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2105},	//3928 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2106},	//3929 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2107},	//3930 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2108},	//3931 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2109},	//3932 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2110},	//3933 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2111},	//3934 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2112},	//3935 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2113},	//3936 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2114},	//3937 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2115},	//3938 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2116},	//3939 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2117},	//3940 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2118},	//3941 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2119},	//3942 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2120},	//3943 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2121},	//3944 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2122},	//3945 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2123},	//3946 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2124},	//3947 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2125},	//3948 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2126},	//3949 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2127},	//3950 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2128},	//3951 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2129},	//3952 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2130},	//3953 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2131},	//3954 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2132},	//3955 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2133},	//3956 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2134},	//3957 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2135},	//3958 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2136},	//3959 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2137},	//3960 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2138},	//3961 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2139},	//3962 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2140},	//3963 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2141},	//3964 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2142},	//3965 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2143},	//3966 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2144},	//3967 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2145},	//3968 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2146},	//3969 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2147},	//3970 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2148},	//3971 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2149},	//3972 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2150},	//3973 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2151},	//3974 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2152},	//3975 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2153},	//3976 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2154},	//3977 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2155},	//3978 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2156},	//3979 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2157},	//3980 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2158},	//3981 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2159},	//3982 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2160},	//3983 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2161},	//3984 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2162},	//3985 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2163},	//3986 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2164},	//3987 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2165},	//3988 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2166},	//3989 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2167},	//3990 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2168},	//3991 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2169},	//3992 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2170},	//3993 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2171},	//3994 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2172},	//3995 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2173},	//3996 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2174},	//3997 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2175},	//3998 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2176},	//3999 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2177},	//4000 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2178},	//4001 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2179},	//4002 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2180},	//4003 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2181},	//4004 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2182},	//4005 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2183},	//4006 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2184},	//4007 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2185},	//4008 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2186},	//4009 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2187},	//4010 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2188},	//4011 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2189},	//4012 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2190},	//4013 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2191},	//4014 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2192},	//4015 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2193},	//4016 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2194},	//4017 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2195},	//4018 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2196},	//4019 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2197},	//4020 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2198},	//4021 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2199},	//4022 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2200},	//4023 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2201},	//4024 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2202},	//4025 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2203},	//4026 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2204},	//4027 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2205},	//4028 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2206},	//4029 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2207},	//4030 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2208},	//4031 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2209},	//4032 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2210},	//4033 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2211},	//4034 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2212},	//4035 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2213},	//4036 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2214},	//4037 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2215},	//4038 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2216},	//4039 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2217},	//4040 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2218},	//4041 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2219},	//4042 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2220},	//4043 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2221},	//4044 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2222},	//4045 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2223},	//4046 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2224},	//4047 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2225},	//4048 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2226},	//4049 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2227},	//4050 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2228},	//4051 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2229},	//4052 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2230},	//4053 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2231},	//4054 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2232},	//4055 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2233},	//4056 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2234},	//4057 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2235},	//4058 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2236},	//4059 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2237},	//4060 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2238},	//4061 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2239},	//4062 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2240},	//4063 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2241},	//4064 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2242},	//4065 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2243},	//4066 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2244},	//4067 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2245},	//4068 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2246},	//4069 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2247},	//4070 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2248},	//4071 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2249},	//4072 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2250},	//4073 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2251},	//4074 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2252},	//4075 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2253},	//4076 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2254},	//4077 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2255},	//4078 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2256},	//4079 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2257},	//4080 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2258},	//4081 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2259},	//4082 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2260},	//4083 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2261},	//4084 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2262},	//4085 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2263},	//4086 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2264},	//4087 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2265},	//4088 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2266},	//4089 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2267},	//4090 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2268},	//4091 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2269},	//4092 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2270},	//4093 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2271},	//4094 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2272},	//4095 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2273},	//4096 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2274},	//4097 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2275},	//4098 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2276},	//4099 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2277},	//4100 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2278},	//4101 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2279},	//4102 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2280},	//4103 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2281},	//4104 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2282},	//4105 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2283},	//4106 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2284},	//4107 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2285},	//4108 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2286},	//4109 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2287},	//4110 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2288},	//4111 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2289},	//4112 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2290},	//4113 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2291},	//4114 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2292},	//4115 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2293},	//4116 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2294},	//4117 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2295},	//4118 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2296},	//4119 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2297},	//4120 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2298},	//4121 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2299},	//4122 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2300},	//4123 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2301},	//4124 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2302},	//4125 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2303},	//4126 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2304},	//4127 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2305},	//4128 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2306},	//4129 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2307},	//4130 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2308},	//4131 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2309},	//4132 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2310},	//4133 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2311},	//4134 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2312},	//4135 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2313},	//4136 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2314},	//4137 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2315},	//4138 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2316},	//4139 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2317},	//4140 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2318},	//4141 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2319},	//4142 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2320},	//4143 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2321},	//4144 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2322},	//4145 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2323},	//4146 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2324},	//4147 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2325},	//4148 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2326},	//4149 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2327},	//4150 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2328},	//4151 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2329},	//4152 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2330},	//4153 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2331},	//4154 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2332},	//4155 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2333},	//4156 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2334},	//4157 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2335},	//4158 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2336},	//4159 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2337},	//4160 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2338},	//4161 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2339},	//4162 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2340},	//4163 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2341},	//4164 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2342},	//4165 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2343},	//4166 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2344},	//4167 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2345},	//4168 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2346},	//4169 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2347},	//4170 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2348},	//4171 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2349},	//4172 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2350},	//4173 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2351},	//4174 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2352},	//4175 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2353},	//4176 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2354},	//4177 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2355},	//4178 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2356},	//4179 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2357},	//4180 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2358},	//4181 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2359},	//4182 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2360},	//4183 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2361},	//4184 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2362},	//4185 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2363},	//4186 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2364},	//4187 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2365},	//4188 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2366},	//4189 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2367},	//4190 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2368},	//4191 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2369},	//4192 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2370},	//4193 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2371},	//4194 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2372},	//4195 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2373},	//4196 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2374},	//4197 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2375},	//4198 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2376},	//4199 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2377},	//4200 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2378},	//4201 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2379},	//4202 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2380},	//4203 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2381},	//4204 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2382},	//4205 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2383},	//4206 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2384},	//4207 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2385},	//4208 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2386},	//4209 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2387},	//4210 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2388},	//4211 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2389},	//4212 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2390},	//4213 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2391},	//4214 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2392},	//4215 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2393},	//4216 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2394},	//4217 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2395},	//4218 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2396},	//4219 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2397},	//4220 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2398},	//4221 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2399},	//4222 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2400},	//4223 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2401},	//4224 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2402},	//4225 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2403},	//4226 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2404},	//4227 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2405},	//4228 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2406},	//4229 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2407},	//4230 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2408},	//4231 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2409},	//4232 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2410},	//4233 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2411},	//4234 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2412},	//4235 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2413},	//4236 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2414},	//4237 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2415},	//4238 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2416},	//4239 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2417},	//4240 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2418},	//4241 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2419},	//4242 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2420},	//4243 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2421},	//4244 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2422},	//4245 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2423},	//4246 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2424},	//4247 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2425},	//4248 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2426},	//4249 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2427},	//4250 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2428},	//4251 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2429},	//4252 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2430},	//4253 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2431},	//4254 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2432},	//4255 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2433},	//4256 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2434},	//4257 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2435},	//4258 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2436},	//4259 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2437},	//4260 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2438},	//4261 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2439},	//4262 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2440},	//4263 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2441},	//4264 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2442},	//4265 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2443},	//4266 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2444},	//4267 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2445},	//4268 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2446},	//4269 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2447},	//4270 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2448},	//4271 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2449},	//4272 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2450},	//4273 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2451},	//4274 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2452},	//4275 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2453},	//4276 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2454},	//4277 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2455},	//4278 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2456},	//4279 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2457},	//4280 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2458},	//4281 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2459},	//4282 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2460},	//4283 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2461},	//4284 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2462},	//4285 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2463},	//4286 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2464},	//4287 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2465},	//4288 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2466},	//4289 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2467},	//4290 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2468},	//4291 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2469},	//4292 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2470},	//4293 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2471},	//4294 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2472},	//4295 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2473},	//4296 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2474},	//4297 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2475},	//4298 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2476},	//4299 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2477},	//4300 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2478},	//4301 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2479},	//4302 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2480},	//4303 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2481},	//4304 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2482},	//4305 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2483},	//4306 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2484},	//4307 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2485},	//4308 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2486},	//4309 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2487},	//4310 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2488},	//4311 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2489},	//4312 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2490},	//4313 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2491},	//4314 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2492},	//4315 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2493},	//4316 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2494},	//4317 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2495},	//4318 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2496},	//4319 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2497},	//4320 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2498},	//4321 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2499},	//4322 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2500},	//4323 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2501},	//4324 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2502},	//4325 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2503},	//4326 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2504},	//4327 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2505},	//4328 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2506},	//4329 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2507},	//4330 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2508},	//4331 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2509},	//4332 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2510},	//4333 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2511},	//4334 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2512},	//4335 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2513},	//4336 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2514},	//4337 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2515},	//4338 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2516},	//4339 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2517},	//4340 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2518},	//4341 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2519},	//4342 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2520},	//4343 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2521},	//4344 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2522},	//4345 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2523},	//4346 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2524},	//4347 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2525},	//4348 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2526},	//4349 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2527},	//4350 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2528},	//4351 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2529},	//4352 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2530},	//4353 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2531},	//4354 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2532},	//4355 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2533},	//4356 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2534},	//4357 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2535},	//4358 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2536},	//4359 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2537},	//4360 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2538},	//4361 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2539},	//4362 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2540},	//4363 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2541},	//4364 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2542},	//4365 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2543},	//4366 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2544},	//4367 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2545},	//4368 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2546},	//4369 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2547},	//4370 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2548},	//4371 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2549},	//4372 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2550},	//4373 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2551},	//4374 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2552},	//4375 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2553},	//4376 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2554},	//4377 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2555},	//4378 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2556},	//4379 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2557},	//4380 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2558},	//4381 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2559},	//4382 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2560},	//4383 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2561},	//4384 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2562},	//4385 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2563},	//4386 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2564},	//4387 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2565},	//4388 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2566},	//4389 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2567},	//4390 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2568},	//4391 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2569},	//4392 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2570},	//4393 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2571},	//4394 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2572},	//4395 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2573},	//4396 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2574},	//4397 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2575},	//4398 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2576},	//4399 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2577},	//4400 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2578},	//4401 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2579},	//4402 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2580},	//4403 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2581},	//4404 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2582},	//4405 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2583},	//4406 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2584},	//4407 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2585},	//4408 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2586},	//4409 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2587},	//4410 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2588},	//4411 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2589},	//4412 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2590},	//4413 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2591},	//4414 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2592},	//4415 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2593},	//4416 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2594},	//4417 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2595},	//4418 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2596},	//4419 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2597},	//4420 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2598},	//4421 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2599},	//4422 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2600},	//4423 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2601},	//4424 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2602},	//4425 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2603},	//4426 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2604},	//4427 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2605},	//4428 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2606},	//4429 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2607},	//4430 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2608},	//4431 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2609},	//4432 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2610},	//4433 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2611},	//4434 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2612},	//4435 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2613},	//4436 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2614},	//4437 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2615},	//4438 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2616},	//4439 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2617},	//4440 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2618},	//4441 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2619},	//4442 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2620},	//4443 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2621},	//4444 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2622},	//4445 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2623},	//4446 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2624},	//4447 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2625},	//4448 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2626},	//4449 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2627},	//4450 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2628},	//4451 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2629},	//4452 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2630},	//4453 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2631},	//4454 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2632},	//4455 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2633},	//4456 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2634},	//4457 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2635},	//4458 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2636},	//4459 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2637},	//4460 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2638},	//4461 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2639},	//4462 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2640},	//4463 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2641},	//4464 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2642},	//4465 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2643},	//4466 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2644},	//4467 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2645},	//4468 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2646},	//4469 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2647},	//4470 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2648},	//4471 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2649},	//4472 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2650},	//4473 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2651},	//4474 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2652},	//4475 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2653},	//4476 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2654},	//4477 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2655},	//4478 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2656},	//4479 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2657},	//4480 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2658},	//4481 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2659},	//4482 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2660},	//4483 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2661},	//4484 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2662},	//4485 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2663},	//4486 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2664},	//4487 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2665},	//4488 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2666},	//4489 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2667},	//4490 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2668},	//4491 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2669},	//4492 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2670},	//4493 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2671},	//4494 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2672},	//4495 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2673},	//4496 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2674},	//4497 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2675},	//4498 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2676},	//4499 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2677},	//4500 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2678},	//4501 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2679},	//4502 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2680},	//4503 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2681},	//4504 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2682},	//4505 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2683},	//4506 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2684},	//4507 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2685},	//4508 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2686},	//4509 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2687},	//4510 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2688},	//4511 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2689},	//4512 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2690},	//4513 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2691},	//4514 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2692},	//4515 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2693},	//4516 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2694},	//4517 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2695},	//4518 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2696},	//4519 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2697},	//4520 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2698},	//4521 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2699},	//4522 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2700},	//4523 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2701},	//4524 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2702},	//4525 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2703},	//4526 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2704},	//4527 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2705},	//4528 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2706},	//4529 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2707},	//4530 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2708},	//4531 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2709},	//4532 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2710},	//4533 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2711},	//4534 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2712},	//4535 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2713},	//4536 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2714},	//4537 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2715},	//4538 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2716},	//4539 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2717},	//4540 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2718},	//4541 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2719},	//4542 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2720},	//4543 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2721},	//4544 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2722},	//4545 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2723},	//4546 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2724},	//4547 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2725},	//4548 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2726},	//4549 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2727},	//4550 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2728},	//4551 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2729},	//4552 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2730},	//4553 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2731},	//4554 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2732},	//4555 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2733},	//4556 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2734},	//4557 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2735},	//4558 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2736},	//4559 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2737},	//4560 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2738},	//4561 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2739},	//4562 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2740},	//4563 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2741},	//4564 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2742},	//4565 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2743},	//4566 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2744},	//4567 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2745},	//4568 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2746},	//4569 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2747},	//4570 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2748},	//4571 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2749},	//4572 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2750},	//4573 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2751},	//4574 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2752},	//4575 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2753},	//4576 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2754},	//4577 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2755},	//4578 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2756},	//4579 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2757},	//4580 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2758},	//4581 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2759},	//4582 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2760},	//4583 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2761},	//4584 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2762},	//4585 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2763},	//4586 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2764},	//4587 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2765},	//4588 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2766},	//4589 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2767},	//4590 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2768},	//4591 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2769},	//4592 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2770},	//4593 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2771},	//4594 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2772},	//4595 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2773},	//4596 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2774},	//4597 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2775},	//4598 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2776},	//4599 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2777},	//4600 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2778},	//4601 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2779},	//4602 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2780},	//4603 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2781},	//4604 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2782},	//4605 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2783},	//4606 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2784},	//4607 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2785},	//4608 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2786},	//4609 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2787},	//4610 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2788},	//4611 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2789},	//4612 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2790},	//4613 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2791},	//4614 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2792},	//4615 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2793},	//4616 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2794},	//4617 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2795},	//4618 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2796},	//4619 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2797},	//4620 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2798},	//4621 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2799},	//4622 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2800},	//4623 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2801},	//4624 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2802},	//4625 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2803},	//4626 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2804},	//4627 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2805},	//4628 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2806},	//4629 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2807},	//4630 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2808},	//4631 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2809},	//4632 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2810},	//4633 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2811},	//4634 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2812},	//4635 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2813},	//4636 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2814},	//4637 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2815},	//4638 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2816},	//4639 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2817},	//4640 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2818},	//4641 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2819},	//4642 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2820},	//4643 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2821},	//4644 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2822},	//4645 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2823},	//4646 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2824},	//4647 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2825},	//4648 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2826},	//4649 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2827},	//4650 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2828},	//4651 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2829},	//4652 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2830},	//4653 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2831},	//4654 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2832},	//4655 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2833},	//4656 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2834},	//4657 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2835},	//4658 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2836},	//4659 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2837},	//4660 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2838},	//4661 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2839},	//4662 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2840},	//4663 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2841},	//4664 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2842},	//4665 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2843},	//4666 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2844},	//4667 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2845},	//4668 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2846},	//4669 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2847},	//4670 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2848},	//4671 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2849},	//4672 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2850},	//4673 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2851},	//4674 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2852},	//4675 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2853},	//4676 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2854},	//4677 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2855},	//4678 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2856},	//4679 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2857},	//4680 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2858},	//4681 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2859},	//4682 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2860},	//4683 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2861},	//4684 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2862},	//4685 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2863},	//4686 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2864},	//4687 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2865},	//4688 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2866},	//4689 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2867},	//4690 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2868},	//4691 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2869},	//4692 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2870},	//4693 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2871},	//4694 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2872},	//4695 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2873},	//4696 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2874},	//4697 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2875},	//4698 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2876},	//4699 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2877},	//4700 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2878},	//4701 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2879},	//4702 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2880},	//4703 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2881},	//4704 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2882},	//4705 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2883},	//4706 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2884},	//4707 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2885},	//4708 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2886},	//4709 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2887},	//4710 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2888},	//4711 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2889},	//4712 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2890},	//4713 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2891},	//4714 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2892},	//4715 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2893},	//4716 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2894},	//4717 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2895},	//4718 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2896},	//4719 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2897},	//4720 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2898},	//4721 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2899},	//4722 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2900},	//4723 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2901},	//4724 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2902},	//4725 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2903},	//4726 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2904},	//4727 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2905},	//4728 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2906},	//4729 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2907},	//4730 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2908},	//4731 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2909},	//4732 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2910},	//4733 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2911},	//4734 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2912},	//4735 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2913},	//4736 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2914},	//4737 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2915},	//4738 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2916},	//4739 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2917},	//4740 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2918},	//4741 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2919},	//4742 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2920},	//4743 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2921},	//4744 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2922},	//4745 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2923},	//4746 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2924},	//4747 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2925},	//4748 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2926},	//4749 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2927},	//4750 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2928},	//4751 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2929},	//4752 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2930},	//4753 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2931},	//4754 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2932},	//4755 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2933},	//4756 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2934},	//4757 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2935},	//4758 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2936},	//4759 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2937},	//4760 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2938},	//4761 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2939},	//4762 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2940},	//4763 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2941},	//4764 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2942},	//4765 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2943},	//4766 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2944},	//4767 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2945},	//4768 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2946},	//4769 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2947},	//4770 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2948},	//4771 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2949},	//4772 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2950},	//4773 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2951},	//4774 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2952},	//4775 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2953},	//4776 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2954},	//4777 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2955},	//4778 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2956},	//4779 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2957},	//4780 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2958},	//4781 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2959},	//4782 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2960},	//4783 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2961},	//4784 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2962},	//4785 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2963},	//4786 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2964},	//4787 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2965},	//4788 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2966},	//4789 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2967},	//4790 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2968},	//4791 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2969},	//4792 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2970},	//4793 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2971},	//4794 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2972},	//4795 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2973},	//4796 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2974},	//4797 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2975},	//4798 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2976},	//4799 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2977},	//4800 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2978},	//4801 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2979},	//4802 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2980},	//4803 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2981},	//4804 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2982},	//4805 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2983},	//4806 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2984},	//4807 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2985},	//4808 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2986},	//4809 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2987},	//4810 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2988},	//4811 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2989},	//4812 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2990},	//4813 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2991},	//4814 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2992},	//4815 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2993},	//4816 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2994},	//4817 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2995},	//4818 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2996},	//4819 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2997},	//4820 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2998},	//4821 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 2999},	//4822 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3000},	//4823 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3001},	//4824 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3002},	//4825 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3003},	//4826 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3004},	//4827 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3005},	//4828 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3006},	//4829 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3007},	//4830 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3008},	//4831 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3009},	//4832 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3010},	//4833 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3011},	//4834 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3012},	//4835 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3013},	//4836 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3014},	//4837 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3015},	//4838 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3016},	//4839 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3017},	//4840 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3018},	//4841 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3019},	//4842 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3020},	//4843 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3021},	//4844 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3022},	//4845 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3023},	//4846 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3024},	//4847 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3025},	//4848 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3026},	//4849 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3027},	//4850 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3028},	//4851 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3029},	//4852 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3030},	//4853 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3031},	//4854 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3032},	//4855 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3033},	//4856 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3034},	//4857 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3035},	//4858 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3036},	//4859 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3037},	//4860 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3038},	//4861 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3039},	//4862 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3040},	//4863 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3041},	//4864 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3042},	//4865 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3043},	//4866 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3044},	//4867 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3045},	//4868 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3046},	//4869 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3047},	//4870 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3048},	//4871 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3049},	//4872 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3050},	//4873 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3051},	//4874 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3052},	//4875 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3053},	//4876 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3054},	//4877 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3055},	//4878 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3056},	//4879 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3057},	//4880 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3058},	//4881 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3059},	//4882 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3060},	//4883 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3061},	//4884 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3062},	//4885 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3063},	//4886 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3064},	//4887 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3065},	//4888 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3066},	//4889 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3067},	//4890 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3068},	//4891 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3069},	//4892 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3070},	//4893 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3071},	//4894 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3072},	//4895 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3073},	//4896 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3074},	//4897 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3075},	//4898 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3076},	//4899 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3077},	//4900 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3078},	//4901 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3079},	//4902 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3080},	//4903 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3081},	//4904 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3082},	//4905 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3083},	//4906 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3084},	//4907 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3085},	//4908 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3086},	//4909 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3087},	//4910 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3088},	//4911 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3089},	//4912 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3090},	//4913 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3091},	//4914 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3092},	//4915 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3093},	//4916 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3094},	//4917 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3095},	//4918 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3096},	//4919 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3097},	//4920 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3098},	//4921 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3099},	//4922 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3100},	//4923 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3101},	//4924 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3102},	//4925 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3103},	//4926 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3104},	//4927 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3105},	//4928 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3106},	//4929 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3107},	//4930 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3108},	//4931 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3109},	//4932 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3110},	//4933 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3111},	//4934 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3112},	//4935 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3113},	//4936 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3114},	//4937 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3115},	//4938 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3116},	//4939 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3117},	//4940 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3118},	//4941 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3119},	//4942 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3120},	//4943 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3121},	//4944 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3122},	//4945 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3123},	//4946 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3124},	//4947 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3125},	//4948 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3126},	//4949 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3127},	//4950 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3128},	//4951 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3129},	//4952 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3130},	//4953 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3131},	//4954 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3132},	//4955 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3133},	//4956 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3134},	//4957 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3135},	//4958 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3136},	//4959 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3137},	//4960 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3138},	//4961 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3139},	//4962 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3140},	//4963 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3141},	//4964 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3142},	//4965 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3143},	//4966 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3144},	//4967 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3145},	//4968 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3146},	//4969 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3147},	//4970 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3148},	//4971 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3149},	//4972 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3150},	//4973 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3151},	//4974 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3152},	//4975 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3153},	//4976 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3154},	//4977 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3155},	//4978 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3156},	//4979 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3157},	//4980 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3158},	//4981 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3159},	//4982 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3160},	//4983 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3161},	//4984 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3162},	//4985 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3163},	//4986 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3164},	//4987 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3165},	//4988 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3166},	//4989 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3167},	//4990 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3168},	//4991 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3169},	//4992 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3170},	//4993 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3171},	//4994 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3172},	//4995 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3173},	//4996 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3174},	//4997 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3175},	//4998 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3176},	//4999 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3177},	//5000 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3178},	//5001 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3179},	//5002 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3180},	//5003 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3181},	//5004 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3182},	//5005 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3183},	//5006 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3184},	//5007 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3185},	//5008 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3186},	//5009 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3187},	//5010 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3188},	//5011 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3189},	//5012 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3190},	//5013 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3191},	//5014 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3192},	//5015 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3193},	//5016 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3194},	//5017 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3195},	//5018 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3196},	//5019 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3197},	//5020 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3198},	//5021 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3199},	//5022 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3200},	//5023 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3201},	//5024 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3202},	//5025 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3203},	//5026 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3204},	//5027 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3205},	//5028 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3206},	//5029 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3207},	//5030 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3208},	//5031 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3209},	//5032 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3210},	//5033 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3211},	//5034 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3212},	//5035 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3213},	//5036 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3214},	//5037 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3215},	//5038 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3216},	//5039 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3217},	//5040 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3218},	//5041 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3219},	//5042 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3220},	//5043 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3221},	//5044 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3222},	//5045 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3223},	//5046 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3224},	//5047 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3225},	//5048 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3226},	//5049 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3227},	//5050 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3228},	//5051 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3229},	//5052 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3230},	//5053 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3231},	//5054 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3232},	//5055 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3233},	//5056 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3234},	//5057 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3235},	//5058 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3236},	//5059 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3237},	//5060 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3238},	//5061 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3239},	//5062 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3240},	//5063 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3241},	//5064 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3242},	//5065 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3243},	//5066 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3244},	//5067 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3245},	//5068 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3246},	//5069 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3247},	//5070 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3248},	//5071 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3249},	//5072 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3250},	//5073 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3251},	//5074 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3252},	//5075 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3253},	//5076 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3254},	//5077 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3255},	//5078 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3256},	//5079 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3257},	//5080 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3258},	//5081 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3259},	//5082 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3260},	//5083 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3261},	//5084 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3262},	//5085 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3263},	//5086 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3264},	//5087 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3265},	//5088 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3266},	//5089 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3267},	//5090 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3268},	//5091 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3269},	//5092 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3270},	//5093 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3271},	//5094 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3272},	//5095 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3273},	//5096 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3274},	//5097 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3275},	//5098 QsciScintillaBase::SCLEX_SML (enum)
    {84, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3276},	//5099 QsciScintillaBase::SCLEX_CONTAINER (enum)
    {84, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3277},	//5100 QsciScintillaBase::SCLEX_NULL (enum)
    {84, 523, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3278},	//5101 QsciScintillaBase::SCLEX_PYTHON (enum)
    {84, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3279},	//5102 QsciScintillaBase::SCLEX_CPP (enum)
    {84, 488, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3280},	//5103 QsciScintillaBase::SCLEX_HTML (enum)
    {84, 543, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3281},	//5104 QsciScintillaBase::SCLEX_XML (enum)
    {84, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3282},	//5105 QsciScintillaBase::SCLEX_PERL (enum)
    {84, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3283},	//5106 QsciScintillaBase::SCLEX_SQL (enum)
    {84, 539, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3284},	//5107 QsciScintillaBase::SCLEX_VB (enum)
    {84, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3285},	//5108 QsciScintillaBase::SCLEX_PROPERTIES (enum)
    {84, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3286},	//5109 QsciScintillaBase::SCLEX_ERRORLIST (enum)
    {84, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3287},	//5110 QsciScintillaBase::SCLEX_MAKEFILE (enum)
    {84, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3288},	//5111 QsciScintillaBase::SCLEX_BATCH (enum)
    {84, 491, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3289},	//5112 QsciScintillaBase::SCLEX_LATEX (enum)
    {84, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3290},	//5113 QsciScintillaBase::SCLEX_LUA (enum)
    {84, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3291},	//5114 QsciScintillaBase::SCLEX_DIFF (enum)
    {84, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3292},	//5115 QsciScintillaBase::SCLEX_CONF (enum)
    {84, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3293},	//5116 QsciScintillaBase::SCLEX_PASCAL (enum)
    {84, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3294},	//5117 QsciScintillaBase::SCLEX_AVE (enum)
    {84, 449, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3295},	//5118 QsciScintillaBase::SCLEX_ADA (enum)
    {84, 492, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3296},	//5119 QsciScintillaBase::SCLEX_LISP (enum)
    {84, 526, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3297},	//5120 QsciScintillaBase::SCLEX_RUBY (enum)
    {84, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3298},	//5121 QsciScintillaBase::SCLEX_EIFFEL (enum)
    {84, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3299},	//5122 QsciScintillaBase::SCLEX_EIFFELKW (enum)
    {84, 537, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3300},	//5123 QsciScintillaBase::SCLEX_TCL (enum)
    {84, 504, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3301},	//5124 QsciScintillaBase::SCLEX_NNCRONTAB (enum)
    {84, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3302},	//5125 QsciScintillaBase::SCLEX_BULLANT (enum)
    {84, 540, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3303},	//5126 QsciScintillaBase::SCLEX_VBSCRIPT (enum)
    {84, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3304},	//5127 QsciScintillaBase::SCLEX_ASP (enum)
    {84, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3305},	//5128 QsciScintillaBase::SCLEX_PHP (enum)
    {84, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3306},	//5129 QsciScintillaBase::SCLEX_BAAN (enum)
    {84, 498, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3307},	//5130 QsciScintillaBase::SCLEX_MATLAB (enum)
    {84, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3308},	//5131 QsciScintillaBase::SCLEX_SCRIPTOL (enum)
    {84, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3309},	//5132 QsciScintillaBase::SCLEX_ASM (enum)
    {84, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3310},	//5133 QsciScintillaBase::SCLEX_CPPNOCASE (enum)
    {84, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3311},	//5134 QsciScintillaBase::SCLEX_FORTRAN (enum)
    {84, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3312},	//5135 QsciScintillaBase::SCLEX_F77 (enum)
    {84, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3313},	//5136 QsciScintillaBase::SCLEX_CSS (enum)
    {84, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3314},	//5137 QsciScintillaBase::SCLEX_POV (enum)
    {84, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3315},	//5138 QsciScintillaBase::SCLEX_LOUT (enum)
    {84, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3316},	//5139 QsciScintillaBase::SCLEX_ESCRIPT (enum)
    {84, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3317},	//5140 QsciScintillaBase::SCLEX_PS (enum)
    {84, 505, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3318},	//5141 QsciScintillaBase::SCLEX_NSIS (enum)
    {84, 500, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3319},	//5142 QsciScintillaBase::SCLEX_MMIXAL (enum)
    {84, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3320},	//5143 QsciScintillaBase::SCLEX_CLW (enum)
    {84, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3321},	//5144 QsciScintillaBase::SCLEX_CLWNOCASE (enum)
    {84, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3322},	//5145 QsciScintillaBase::SCLEX_LOT (enum)
    {84, 544, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3323},	//5146 QsciScintillaBase::SCLEX_YAML (enum)
    {84, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3324},	//5147 QsciScintillaBase::SCLEX_TEX (enum)
    {84, 499, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3325},	//5148 QsciScintillaBase::SCLEX_METAPOST (enum)
    {84, 516, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3326},	//5149 QsciScintillaBase::SCLEX_POWERBASIC (enum)
    {84, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3327},	//5150 QsciScintillaBase::SCLEX_FORTH (enum)
    {84, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3328},	//5151 QsciScintillaBase::SCLEX_ERLANG (enum)
    {84, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3329},	//5152 QsciScintillaBase::SCLEX_OCTAVE (enum)
    {84, 501, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3330},	//5153 QsciScintillaBase::SCLEX_MSSQL (enum)
    {84, 541, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3331},	//5154 QsciScintillaBase::SCLEX_VERILOG (enum)
    {84, 490, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3332},	//5155 QsciScintillaBase::SCLEX_KIX (enum)
    {84, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3333},	//5156 QsciScintillaBase::SCLEX_GUI4CLI (enum)
    {84, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3334},	//5157 QsciScintillaBase::SCLEX_SPECMAN (enum)
    {84, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3335},	//5158 QsciScintillaBase::SCLEX_AU3 (enum)
    {84, 450, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3336},	//5159 QsciScintillaBase::SCLEX_APDL (enum)
    {84, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3337},	//5160 QsciScintillaBase::SCLEX_BASH (enum)
    {84, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3338},	//5161 QsciScintillaBase::SCLEX_ASN1 (enum)
    {84, 542, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3339},	//5162 QsciScintillaBase::SCLEX_VHDL (enum)
    {84, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3340},	//5163 QsciScintillaBase::SCLEX_CAML (enum)
    {84, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3341},	//5164 QsciScintillaBase::SCLEX_BLITZBASIC (enum)
    {84, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3342},	//5165 QsciScintillaBase::SCLEX_PUREBASIC (enum)
    {84, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3343},	//5166 QsciScintillaBase::SCLEX_HASKELL (enum)
    {84, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3344},	//5167 QsciScintillaBase::SCLEX_PHPSCRIPT (enum)
    {84, 535, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3345},	//5168 QsciScintillaBase::SCLEX_TADS3 (enum)
    {84, 525, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3346},	//5169 QsciScintillaBase::SCLEX_REBOL (enum)
    {84, 528, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3347},	//5170 QsciScintillaBase::SCLEX_SMALLTALK (enum)
    {84, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3348},	//5171 QsciScintillaBase::SCLEX_FLAGSHIP (enum)
    {84, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3349},	//5172 QsciScintillaBase::SCLEX_CSOUND (enum)
    {84, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3350},	//5173 QsciScintillaBase::SCLEX_FREEBASIC (enum)
    {84, 489, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3351},	//5174 QsciScintillaBase::SCLEX_INNOSETUP (enum)
    {84, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3352},	//5175 QsciScintillaBase::SCLEX_OPAL (enum)
    {84, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3353},	//5176 QsciScintillaBase::SCLEX_SPICE (enum)
    {84, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3354},	//5177 QsciScintillaBase::SCLEX_D (enum)
    {84, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3355},	//5178 QsciScintillaBase::SCLEX_CMAKE (enum)
    {84, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3356},	//5179 QsciScintillaBase::SCLEX_GAP (enum)
    {84, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3357},	//5180 QsciScintillaBase::SCLEX_PLM (enum)
    {84, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3358},	//5181 QsciScintillaBase::SCLEX_PROGRESS (enum)
    {84, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3359},	//5182 QsciScintillaBase::SCLEX_ABAQUS (enum)
    {84, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3360},	//5183 QsciScintillaBase::SCLEX_ASYMPTOTE (enum)
    {84, 524, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3361},	//5184 QsciScintillaBase::SCLEX_R (enum)
    {84, 496, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3362},	//5185 QsciScintillaBase::SCLEX_MAGIK (enum)
    {84, 518, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3363},	//5186 QsciScintillaBase::SCLEX_POWERSHELL (enum)
    {84, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3364},	//5187 QsciScintillaBase::SCLEX_MYSQL (enum)
    {84, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3365},	//5188 QsciScintillaBase::SCLEX_PO (enum)
    {84, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3366},	//5189 QsciScintillaBase::SCLEX_TAL (enum)
    {84, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3367},	//5190 QsciScintillaBase::SCLEX_COBOL (enum)
    {84, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3368},	//5191 QsciScintillaBase::SCLEX_TACL (enum)
    {84, 530, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3369},	//5192 QsciScintillaBase::SCLEX_SORCUS (enum)
    {84, 517, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3370},	//5193 QsciScintillaBase::SCLEX_POWERPRO (enum)
    {84, 503, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3371},	//5194 QsciScintillaBase::SCLEX_NIMROD (enum)
    {84, 529, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 3372},	//5195 QsciScintillaBase::SCLEX_SML (enum)
    {84, 1383, 0, 0, Smoke::mf_dtor, 0, 3373 },	//5196 QsciScintillaBase::~QsciScintillaBase()
    {85, 419, 18, 1, Smoke::mf_ctor, 102, 1},	//5197 QsciStyle::QsciStyle(int)
    {85, 419, 376, 6, Smoke::mf_ctor, 102, 2},	//5198 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&, bool)
    {85, 1283, 0, 0, Smoke::mf_const, 201, 3},	//5199 QsciStyle::style() const
    {85, 1108, 57, 1, 0, 0, 4},	//5200 QsciStyle::setDescription(const QString&)
    {85, 794, 0, 0, Smoke::mf_const, 37, 5},	//5201 QsciStyle::description() const
    {85, 1097, 80, 1, 0, 0, 6},	//5202 QsciStyle::setColor(const QColor&)
    {85, 767, 0, 0, Smoke::mf_const, 5, 7},	//5203 QsciStyle::color() const
    {85, 1218, 80, 1, 0, 0, 8},	//5204 QsciStyle::setPaper(const QColor&)
    {85, 986, 0, 0, Smoke::mf_const, 5, 9},	//5205 QsciStyle::paper() const
    {85, 1158, 42, 1, 0, 0, 10},	//5206 QsciStyle::setFont(const QFont&)
    {85, 859, 0, 0, Smoke::mf_const, 13, 11},	//5207 QsciStyle::font() const
    {85, 1122, 16, 1, 0, 0, 12},	//5208 QsciStyle::setEolFill(bool)
    {85, 819, 0, 0, Smoke::mf_const, 179, 13},	//5209 QsciStyle::eolFill() const
    {85, 1246, 383, 1, 0, 0, 14},	//5210 QsciStyle::setTextCase(QsciStyle::TextCase)
    {85, 1294, 0, 0, Smoke::mf_const, 103, 15},	//5211 QsciStyle::textCase() const
    {85, 1262, 16, 1, 0, 0, 16},	//5212 QsciStyle::setVisible(bool)
    {85, 1323, 0, 0, Smoke::mf_const, 179, 17},	//5213 QsciStyle::visible() const
    {85, 1095, 16, 1, 0, 0, 18},	//5214 QsciStyle::setChangeable(bool)
    {85, 755, 0, 0, Smoke::mf_const, 179, 19},	//5215 QsciStyle::changeable() const
    {85, 1161, 16, 1, 0, 0, 20},	//5216 QsciStyle::setHotspot(bool)
    {85, 875, 0, 0, Smoke::mf_const, 179, 21},	//5217 QsciStyle::hotspot() const
    {85, 1017, 0, 0, 0, 0, 22},	//5218 QsciStyle::refresh()
    {85, 419, 385, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 23},	//5219 QsciStyle::QsciStyle(const QsciStyle&)
    {85, 419, 0, 0, Smoke::mf_ctor, 102, 24},	//5220 QsciStyle::QsciStyle()
    {85, 419, 387, 5, Smoke::mf_ctor, 102, 25},	//5221 QsciStyle::QsciStyle(int, const QString&, const QColor&, const QColor&, const QFont&)
    {85, 277, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 26},	//5222 QsciStyle::OriginalCase (enum)
    {85, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 27},	//5223 QsciStyle::UpperCase (enum)
    {85, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 28},	//5224 QsciStyle::LowerCase (enum)
    {85, 1384, 0, 0, Smoke::mf_dtor, 0, 29 },	//5225 QsciStyle::~QsciStyle()
    {86, 424, 393, 2, Smoke::mf_ctor, 104, 1},	//5226 QsciStyledText::QsciStyledText(const QString&, int)
    {86, 424, 396, 2, Smoke::mf_ctor, 104, 2},	//5227 QsciStyledText::QsciStyledText(const QString&, const QsciStyle&)
    {86, 1292, 0, 0, Smoke::mf_const, 193, 3},	//5228 QsciStyledText::text() const
    {86, 1283, 0, 0, Smoke::mf_const, 201, 4},	//5229 QsciStyledText::style() const
    {86, 424, 399, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 104, 5},	//5230 QsciStyledText::QsciStyledText(const QsciStyledText&)
    {86, 1385, 0, 0, Smoke::mf_dtor, 0, 6 },	//5231 QsciStyledText::~QsciStyledText()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    5182,  // QsciScintillaBase::SCLEX_ABAQUS
    0,
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    5118,  // QsciScintillaBase::SCLEX_ADA
    0,
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    5159,  // QsciScintillaBase::SCLEX_APDL
    0,
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    5132,  // QsciScintillaBase::SCLEX_ASM
    0,
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    5161,  // QsciScintillaBase::SCLEX_ASN1
    0,
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    5127,  // QsciScintillaBase::SCLEX_ASP
    0,
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    5183,  // QsciScintillaBase::SCLEX_ASYMPTOTE
    0,
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    5158,  // QsciScintillaBase::SCLEX_AU3
    0,
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    5117,  // QsciScintillaBase::SCLEX_AVE
    0,
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    5129,  // QsciScintillaBase::SCLEX_BAAN
    0,
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    5160,  // QsciScintillaBase::SCLEX_BASH
    0,
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    5111,  // QsciScintillaBase::SCLEX_BATCH
    0,
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    5164,  // QsciScintillaBase::SCLEX_BLITZBASIC
    0,
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    5125,  // QsciScintillaBase::SCLEX_BULLANT
    0,
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    5163,  // QsciScintillaBase::SCLEX_CAML
    0,
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    5143,  // QsciScintillaBase::SCLEX_CLW
    0,
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    5144,  // QsciScintillaBase::SCLEX_CLWNOCASE
    0,
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    5178,  // QsciScintillaBase::SCLEX_CMAKE
    0,
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    5190,  // QsciScintillaBase::SCLEX_COBOL
    0,
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    5115,  // QsciScintillaBase::SCLEX_CONF
    0,
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    5099,  // QsciScintillaBase::SCLEX_CONTAINER
    0,
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    5102,  // QsciScintillaBase::SCLEX_CPP
    0,
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    5133,  // QsciScintillaBase::SCLEX_CPPNOCASE
    0,
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    5172,  // QsciScintillaBase::SCLEX_CSOUND
    0,
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    5136,  // QsciScintillaBase::SCLEX_CSS
    0,
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    5177,  // QsciScintillaBase::SCLEX_D
    0,
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    5114,  // QsciScintillaBase::SCLEX_DIFF
    0,
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    5121,  // QsciScintillaBase::SCLEX_EIFFEL
    0,
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    5122,  // QsciScintillaBase::SCLEX_EIFFELKW
    0,
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    5151,  // QsciScintillaBase::SCLEX_ERLANG
    0,
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    5109,  // QsciScintillaBase::SCLEX_ERRORLIST
    0,
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    5139,  // QsciScintillaBase::SCLEX_ESCRIPT
    0,
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    5135,  // QsciScintillaBase::SCLEX_F77
    0,
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    5171,  // QsciScintillaBase::SCLEX_FLAGSHIP
    0,
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    5150,  // QsciScintillaBase::SCLEX_FORTH
    0,
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    5134,  // QsciScintillaBase::SCLEX_FORTRAN
    0,
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    5173,  // QsciScintillaBase::SCLEX_FREEBASIC
    0,
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    5179,  // QsciScintillaBase::SCLEX_GAP
    0,
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    5156,  // QsciScintillaBase::SCLEX_GUI4CLI
    0,
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    5166,  // QsciScintillaBase::SCLEX_HASKELL
    0,
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    5103,  // QsciScintillaBase::SCLEX_HTML
    0,
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    5174,  // QsciScintillaBase::SCLEX_INNOSETUP
    0,
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    5155,  // QsciScintillaBase::SCLEX_KIX
    0,
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    5112,  // QsciScintillaBase::SCLEX_LATEX
    0,
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    5119,  // QsciScintillaBase::SCLEX_LISP
    0,
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    5145,  // QsciScintillaBase::SCLEX_LOT
    0,
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    5138,  // QsciScintillaBase::SCLEX_LOUT
    0,
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    5113,  // QsciScintillaBase::SCLEX_LUA
    0,
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    5185,  // QsciScintillaBase::SCLEX_MAGIK
    0,
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    5110,  // QsciScintillaBase::SCLEX_MAKEFILE
    0,
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    5130,  // QsciScintillaBase::SCLEX_MATLAB
    0,
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    5148,  // QsciScintillaBase::SCLEX_METAPOST
    0,
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    5142,  // QsciScintillaBase::SCLEX_MMIXAL
    0,
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    5153,  // QsciScintillaBase::SCLEX_MSSQL
    0,
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    5187,  // QsciScintillaBase::SCLEX_MYSQL
    0,
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    5194,  // QsciScintillaBase::SCLEX_NIMROD
    0,
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    5124,  // QsciScintillaBase::SCLEX_NNCRONTAB
    0,
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    5141,  // QsciScintillaBase::SCLEX_NSIS
    0,
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    5100,  // QsciScintillaBase::SCLEX_NULL
    0,
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    5152,  // QsciScintillaBase::SCLEX_OCTAVE
    0,
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    5175,  // QsciScintillaBase::SCLEX_OPAL
    0,
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    5116,  // QsciScintillaBase::SCLEX_PASCAL
    0,
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    5105,  // QsciScintillaBase::SCLEX_PERL
    0,
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    5128,  // QsciScintillaBase::SCLEX_PHP
    0,
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    5167,  // QsciScintillaBase::SCLEX_PHPSCRIPT
    0,
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    5180,  // QsciScintillaBase::SCLEX_PLM
    0,
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    5188,  // QsciScintillaBase::SCLEX_PO
    0,
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    5137,  // QsciScintillaBase::SCLEX_POV
    0,
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    5149,  // QsciScintillaBase::SCLEX_POWERBASIC
    0,
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    5193,  // QsciScintillaBase::SCLEX_POWERPRO
    0,
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    5186,  // QsciScintillaBase::SCLEX_POWERSHELL
    0,
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    5181,  // QsciScintillaBase::SCLEX_PROGRESS
    0,
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    5108,  // QsciScintillaBase::SCLEX_PROPERTIES
    0,
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    5140,  // QsciScintillaBase::SCLEX_PS
    0,
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    5165,  // QsciScintillaBase::SCLEX_PUREBASIC
    0,
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    5101,  // QsciScintillaBase::SCLEX_PYTHON
    0,
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    5184,  // QsciScintillaBase::SCLEX_R
    0,
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    5169,  // QsciScintillaBase::SCLEX_REBOL
    0,
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    5120,  // QsciScintillaBase::SCLEX_RUBY
    0,
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    5131,  // QsciScintillaBase::SCLEX_SCRIPTOL
    0,
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    5170,  // QsciScintillaBase::SCLEX_SMALLTALK
    0,
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    5195,  // QsciScintillaBase::SCLEX_SML
    0,
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    5192,  // QsciScintillaBase::SCLEX_SORCUS
    0,
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    5157,  // QsciScintillaBase::SCLEX_SPECMAN
    0,
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    5176,  // QsciScintillaBase::SCLEX_SPICE
    0,
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    5106,  // QsciScintillaBase::SCLEX_SQL
    0,
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    5191,  // QsciScintillaBase::SCLEX_TACL
    0,
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    5168,  // QsciScintillaBase::SCLEX_TADS3
    0,
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    5189,  // QsciScintillaBase::SCLEX_TAL
    0,
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    5123,  // QsciScintillaBase::SCLEX_TCL
    0,
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    5147,  // QsciScintillaBase::SCLEX_TEX
    0,
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    5107,  // QsciScintillaBase::SCLEX_VB
    0,
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    5126,  // QsciScintillaBase::SCLEX_VBSCRIPT
    0,
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    5154,  // QsciScintillaBase::SCLEX_VERILOG
    0,
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    5162,  // QsciScintillaBase::SCLEX_VHDL
    0,
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    5104,  // QsciScintillaBase::SCLEX_XML
    0,
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    5146,  // QsciScintillaBase::SCLEX_YAML
    0,
    1836,  // QsciScintillaBase::SendScintilla(unsigned int, const char*) const
    1838,  // QsciScintillaBase::SendScintilla(unsigned int, long) const
    1839,  // QsciScintillaBase::SendScintilla(unsigned int, int) const
    1896,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long) const
    0,
    1841,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QColor&) const
    1844,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const QPixmap&) const
    0,
    1833,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, long) const
    1834,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, void*) const
    1835,  // QsciScintillaBase::SendScintilla(unsigned int, unsigned long, const char*) const
    1837,  // QsciScintillaBase::SendScintilla(unsigned int, const char*, const char*) const
    0,
    1737,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol)
    1738,  // QsciScintilla::markerDefine(char)
    0,
    1586,  // QsciScintilla::markerDefine(QsciScintilla::MarkerSymbol, int)
    1587,  // QsciScintilla::markerDefine(char, int)
    0,
    1699,  // QsciScintilla::setMarginWidth(int, int)
    1700,  // QsciScintilla::setMarginWidth(int, const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 336, 7},	// QGlobalSpace::Q_COMPLEX_TYPE
    {16, 337, 11},	// QGlobalSpace::Q_DUMMY_TYPE
    {16, 338, 10},	// QGlobalSpace::Q_MOVABLE_TYPE
    {16, 339, 8},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {16, 340, 9},	// QGlobalSpace::Q_STATIC_TYPE
    {16, 428, 14},	// QGlobalSpace::QtCriticalMsg
    {16, 429, 12},	// QGlobalSpace::QtDebugMsg
    {16, 430, 15},	// QGlobalSpace::QtFatalMsg
    {16, 431, 16},	// QGlobalSpace::QtSystemMsg
    {16, 432, 13},	// QGlobalSpace::QtWarningMsg
    {45, 342, 59},	// QsciAPIs::QsciAPIs#
    {45, 698, 60},	// QsciAPIs::add$
    {45, 710, 75},	// QsciAPIs::apiPreparationCancelled
    {45, 711, 77},	// QsciAPIs::apiPreparationFinished
    {45, 712, 76},	// QsciAPIs::apiPreparationStarted
    {45, 724, 71},	// QsciAPIs::autoCompletionSelected$
    {45, 745, 72},	// QsciAPIs::callTips?$$?
    {45, 751, 65},	// QsciAPIs::cancelPreparation
    {45, 757, 61},	// QsciAPIs::clear
    {45, 792, 66},	// QsciAPIs::defaultPreparedName
    {45, 826, 73},	// QsciAPIs::event#
    {45, 892, 74},	// QsciAPIs::installedAPIFiles
    {45, 896, 80},	// QsciAPIs::isPrepared
    {45, 897, 67},	// QsciAPIs::isPrepared$
    {45, 926, 62},	// QsciAPIs::load$
    {45, 927, 81},	// QsciAPIs::loadPrepared
    {45, 928, 68},	// QsciAPIs::loadPrepared$
    {45, 964, 52},	// QsciAPIs::metaObject
    {45, 995, 64},	// QsciAPIs::prepare
    {45, 1003, 58},	// QsciAPIs::qt_metacall$$?
    {45, 1005, 53},	// QsciAPIs::qt_metacast$
    {45, 1022, 63},	// QsciAPIs::remove$
    {45, 1032, 82},	// QsciAPIs::savePrepared
    {45, 1033, 69},	// QsciAPIs::savePrepared$
    {45, 1282, 83},	// QsciAPIs::staticMetaObject
    {45, 1303, 78},	// QsciAPIs::tr$
    {45, 1304, 54},	// QsciAPIs::tr$$
    {45, 1305, 56},	// QsciAPIs::tr$$$
    {45, 1307, 79},	// QsciAPIs::trUtf8$
    {45, 1308, 55},	// QsciAPIs::trUtf8$$
    {45, 1309, 57},	// QsciAPIs::trUtf8$$$
    {45, 1314, 70},	// QsciAPIs::updateAutoCompletionList??
    {45, 1345, 84},	// QsciAPIs::~QsciAPIs
    {46, 344, 92},	// QsciAbstractAPIs::QsciAbstractAPIs#
    {46, 724, 95},	// QsciAbstractAPIs::autoCompletionSelected$
    {46, 745, 96},	// QsciAbstractAPIs::callTips?$$?
    {46, 915, 93},	// QsciAbstractAPIs::lexer
    {46, 964, 85},	// QsciAbstractAPIs::metaObject
    {46, 1003, 91},	// QsciAbstractAPIs::qt_metacall$$?
    {46, 1005, 86},	// QsciAbstractAPIs::qt_metacast$
    {46, 1282, 99},	// QsciAbstractAPIs::staticMetaObject
    {46, 1303, 97},	// QsciAbstractAPIs::tr$
    {46, 1304, 87},	// QsciAbstractAPIs::tr$$
    {46, 1305, 89},	// QsciAbstractAPIs::tr$$$
    {46, 1307, 98},	// QsciAbstractAPIs::trUtf8$
    {46, 1308, 88},	// QsciAbstractAPIs::trUtf8$$
    {46, 1309, 90},	// QsciAbstractAPIs::trUtf8$$$
    {46, 1314, 94},	// QsciAbstractAPIs::updateAutoCompletionList??
    {46, 1346, 100},	// QsciAbstractAPIs::~QsciAbstractAPIs
    {47, 699, 104},	// QsciCommand::alternateKey
    {47, 794, 106},	// QsciCommand::description
    {47, 904, 103},	// QsciCommand::key
    {47, 1046, 102},	// QsciCommand::setAlternateKey$
    {47, 1178, 101},	// QsciCommand::setKey$
    {47, 1321, 105},	// QsciCommand::validKey$
    {47, 1347, 107},	// QsciCommand::~QsciCommand
    {48, 758, 112},	// QsciCommandSet::clearAlternateKeys
    {48, 762, 111},	// QsciCommandSet::clearKeys
    {48, 771, 110},	// QsciCommandSet::commands
    {48, 1011, 113},	// QsciCommandSet::readSettings#
    {48, 1012, 108},	// QsciCommandSet::readSettings#$
    {48, 1336, 114},	// QsciCommandSet::writeSettings#
    {48, 1337, 109},	// QsciCommandSet::writeSettings#$
    {49, 345, 115},	// QsciDocument::QsciDocument
    {49, 346, 116},	// QsciDocument::QsciDocument#
    {49, 981, 117},	// QsciDocument::operator=#
    {49, 1348, 118},	// QsciDocument::~QsciDocument
    {50, 347, 180},	// QsciLexer::QsciLexer
    {50, 348, 126},	// QsciLexer::QsciLexer#
    {50, 713, 130},	// QsciLexer::apis
    {50, 720, 131},	// QsciLexer::autoCompletionFillups
    {50, 728, 132},	// QsciLexer::autoCompletionWordSeparators
    {50, 730, 133},	// QsciLexer::autoIndentStyle
    {50, 734, 181},	// QsciLexer::blockEnd
    {50, 735, 134},	// QsciLexer::blockEnd$
    {50, 736, 135},	// QsciLexer::blockLookback
    {50, 737, 182},	// QsciLexer::blockStart
    {50, 738, 136},	// QsciLexer::blockStart$
    {50, 739, 183},	// QsciLexer::blockStartKeyword
    {50, 740, 137},	// QsciLexer::blockStartKeyword$
    {50, 742, 138},	// QsciLexer::braceStyle
    {50, 752, 139},	// QsciLexer::caseSensitive
    {50, 768, 140},	// QsciLexer::color$
    {50, 770, 171},	// QsciLexer::colorChanged#$
    {50, 784, 148},	// QsciLexer::defaultColor
    {50, 785, 149},	// QsciLexer::defaultColor$
    {50, 787, 150},	// QsciLexer::defaultEolFill$
    {50, 788, 151},	// QsciLexer::defaultFont
    {50, 789, 152},	// QsciLexer::defaultFont$
    {50, 790, 153},	// QsciLexer::defaultPaper
    {50, 791, 154},	// QsciLexer::defaultPaper$
    {50, 793, 145},	// QsciLexer::defaultStyle
    {50, 795, 146},	// QsciLexer::description$
    {50, 811, 155},	// QsciLexer::editor
    {50, 820, 141},	// QsciLexer::eolFill$
    {50, 822, 172},	// QsciLexer::eolFillChanged$$
    {50, 860, 142},	// QsciLexer::font$
    {50, 863, 173},	// QsciLexer::fontChanged#$
    {50, 880, 143},	// QsciLexer::indentationGuideView
    {50, 909, 144},	// QsciLexer::keywords$
    {50, 910, 127},	// QsciLexer::language
    {50, 915, 128},	// QsciLexer::lexer
    {50, 916, 129},	// QsciLexer::lexerId
    {50, 964, 119},	// QsciLexer::metaObject
    {50, 987, 147},	// QsciLexer::paper$
    {50, 989, 174},	// QsciLexer::paperChanged#$
    {50, 1001, 175},	// QsciLexer::propertyChanged$$
    {50, 1003, 125},	// QsciLexer::qt_metacall$$?
    {50, 1005, 120},	// QsciLexer::qt_metacast$
    {50, 1009, 176},	// QsciLexer::readProperties#$
    {50, 1011, 184},	// QsciLexer::readSettings#
    {50, 1012, 161},	// QsciLexer::readSettings#$
    {50, 1018, 162},	// QsciLexer::refreshProperties
    {50, 1044, 156},	// QsciLexer::setAPIs#
    {50, 1068, 166},	// QsciLexer::setAutoIndentStyle$
    {50, 1098, 186},	// QsciLexer::setColor#
    {50, 1099, 167},	// QsciLexer::setColor#$
    {50, 1103, 157},	// QsciLexer::setDefaultColor#
    {50, 1105, 158},	// QsciLexer::setDefaultFont#
    {50, 1107, 159},	// QsciLexer::setDefaultPaper#
    {50, 1121, 160},	// QsciLexer::setEditor#
    {50, 1123, 187},	// QsciLexer::setEolFill$
    {50, 1124, 168},	// QsciLexer::setEolFill$$
    {50, 1159, 188},	// QsciLexer::setFont#
    {50, 1160, 169},	// QsciLexer::setFont#$
    {50, 1219, 189},	// QsciLexer::setPaper#
    {50, 1220, 170},	// QsciLexer::setPaper#$
    {50, 1282, 190},	// QsciLexer::staticMetaObject
    {50, 1284, 163},	// QsciLexer::styleBitsNeeded
    {50, 1303, 178},	// QsciLexer::tr$
    {50, 1304, 121},	// QsciLexer::tr$$
    {50, 1305, 123},	// QsciLexer::tr$$$
    {50, 1307, 179},	// QsciLexer::trUtf8$
    {50, 1308, 122},	// QsciLexer::trUtf8$$
    {50, 1309, 124},	// QsciLexer::trUtf8$$$
    {50, 1329, 164},	// QsciLexer::wordCharacters
    {50, 1334, 177},	// QsciLexer::writeProperties#$
    {50, 1336, 185},	// QsciLexer::writeSettings#
    {50, 1337, 165},	// QsciLexer::writeSettings#$
    {50, 1349, 191},	// QsciLexer::~QsciLexer
    {51, 81, 232},	// QsciLexerBash::Backticks
    {51, 123, 223},	// QsciLexerBash::Comment
    {51, 143, 221},	// QsciLexerBash::Default
    {51, 153, 226},	// QsciLexerBash::DoubleQuotedString
    {51, 170, 222},	// QsciLexerBash::Error
    {51, 198, 233},	// QsciLexerBash::HereDocumentDelimiter
    {51, 206, 229},	// QsciLexerBash::Identifier
    {51, 229, 225},	// QsciLexerBash::Keyword
    {51, 272, 224},	// QsciLexerBash::Number
    {51, 276, 228},	// QsciLexerBash::Operator
    {51, 294, 231},	// QsciLexerBash::ParameterExpansion
    {51, 349, 219},	// QsciLexerBash::QsciLexerBash
    {51, 350, 199},	// QsciLexerBash::QsciLexerBash#
    {51, 596, 230},	// QsciLexerBash::Scalar
    {51, 613, 234},	// QsciLexerBash::SingleQuotedHereDocument
    {51, 614, 227},	// QsciLexerBash::SingleQuotedString
    {51, 742, 202},	// QsciLexerBash::braceStyle
    {51, 785, 204},	// QsciLexerBash::defaultColor$
    {51, 787, 205},	// QsciLexerBash::defaultEolFill$
    {51, 789, 206},	// QsciLexerBash::defaultFont$
    {51, 791, 207},	// QsciLexerBash::defaultPaper$
    {51, 795, 209},	// QsciLexerBash::description$
    {51, 847, 211},	// QsciLexerBash::foldComments
    {51, 848, 212},	// QsciLexerBash::foldCompact
    {51, 909, 208},	// QsciLexerBash::keywords$
    {51, 910, 200},	// QsciLexerBash::language
    {51, 915, 201},	// QsciLexerBash::lexer
    {51, 964, 192},	// QsciLexerBash::metaObject
    {51, 1003, 198},	// QsciLexerBash::qt_metacall$$?
    {51, 1005, 193},	// QsciLexerBash::qt_metacast$
    {51, 1009, 215},	// QsciLexerBash::readProperties#$
    {51, 1018, 210},	// QsciLexerBash::refreshProperties
    {51, 1136, 213},	// QsciLexerBash::setFoldComments$
    {51, 1138, 214},	// QsciLexerBash::setFoldCompact$
    {51, 1282, 220},	// QsciLexerBash::staticMetaObject
    {51, 1303, 217},	// QsciLexerBash::tr$
    {51, 1304, 194},	// QsciLexerBash::tr$$
    {51, 1305, 196},	// QsciLexerBash::tr$$$
    {51, 1307, 218},	// QsciLexerBash::trUtf8$
    {51, 1308, 195},	// QsciLexerBash::trUtf8$$
    {51, 1309, 197},	// QsciLexerBash::trUtf8$$$
    {51, 1329, 203},	// QsciLexerBash::wordCharacters
    {51, 1334, 216},	// QsciLexerBash::writeProperties#$
    {51, 1350, 235},	// QsciLexerBash::~QsciLexerBash
    {52, 123, 259},	// QsciLexerBatch::Comment
    {52, 143, 258},	// QsciLexerBatch::Default
    {52, 177, 263},	// QsciLexerBatch::ExternalCommand
    {52, 201, 262},	// QsciLexerBatch::HideCommandChar
    {52, 229, 260},	// QsciLexerBatch::Keyword
    {52, 239, 261},	// QsciLexerBatch::Label
    {52, 276, 265},	// QsciLexerBatch::Operator
    {52, 351, 256},	// QsciLexerBatch::QsciLexerBatch
    {52, 352, 243},	// QsciLexerBatch::QsciLexerBatch#
    {52, 680, 264},	// QsciLexerBatch::Variable
    {52, 752, 247},	// QsciLexerBatch::caseSensitive
    {52, 785, 248},	// QsciLexerBatch::defaultColor$
    {52, 787, 249},	// QsciLexerBatch::defaultEolFill$
    {52, 789, 250},	// QsciLexerBatch::defaultFont$
    {52, 791, 251},	// QsciLexerBatch::defaultPaper$
    {52, 795, 253},	// QsciLexerBatch::description$
    {52, 909, 252},	// QsciLexerBatch::keywords$
    {52, 910, 244},	// QsciLexerBatch::language
    {52, 915, 245},	// QsciLexerBatch::lexer
    {52, 964, 236},	// QsciLexerBatch::metaObject
    {52, 1003, 242},	// QsciLexerBatch::qt_metacall$$?
    {52, 1005, 237},	// QsciLexerBatch::qt_metacast$
    {52, 1282, 257},	// QsciLexerBatch::staticMetaObject
    {52, 1303, 254},	// QsciLexerBatch::tr$
    {52, 1304, 238},	// QsciLexerBatch::tr$$
    {52, 1305, 240},	// QsciLexerBatch::tr$$$
    {52, 1307, 255},	// QsciLexerBatch::trUtf8$
    {52, 1308, 239},	// QsciLexerBatch::trUtf8$$
    {52, 1309, 241},	// QsciLexerBatch::trUtf8$$$
    {52, 1329, 246},	// QsciLexerBatch::wordCharacters
    {52, 1351, 266},	// QsciLexerBatch::~QsciLexerBatch
    {53, 86, 301},	// QsciLexerCMake::BlockForeach
    {53, 87, 302},	// QsciLexerCMake::BlockIf
    {53, 88, 303},	// QsciLexerCMake::BlockMacro
    {53, 89, 300},	// QsciLexerCMake::BlockWhile
    {53, 123, 292},	// QsciLexerCMake::Comment
    {53, 143, 291},	// QsciLexerCMake::Default
    {53, 183, 296},	// QsciLexerCMake::Function
    {53, 233, 299},	// QsciLexerCMake::KeywordSet3
    {53, 239, 298},	// QsciLexerCMake::Label
    {53, 272, 305},	// QsciLexerCMake::Number
    {53, 353, 289},	// QsciLexerCMake::QsciLexerCMake
    {53, 354, 274},	// QsciLexerCMake::QsciLexerCMake#
    {53, 628, 293},	// QsciLexerCMake::String
    {53, 629, 294},	// QsciLexerCMake::StringLeftQuote
    {53, 630, 295},	// QsciLexerCMake::StringRightQuote
    {53, 632, 304},	// QsciLexerCMake::StringVariable
    {53, 680, 297},	// QsciLexerCMake::Variable
    {53, 785, 277},	// QsciLexerCMake::defaultColor$
    {53, 789, 278},	// QsciLexerCMake::defaultFont$
    {53, 791, 279},	// QsciLexerCMake::defaultPaper$
    {53, 795, 281},	// QsciLexerCMake::description$
    {53, 845, 283},	// QsciLexerCMake::foldAtElse
    {53, 909, 280},	// QsciLexerCMake::keywords$
    {53, 910, 275},	// QsciLexerCMake::language
    {53, 915, 276},	// QsciLexerCMake::lexer
    {53, 964, 267},	// QsciLexerCMake::metaObject
    {53, 1003, 273},	// QsciLexerCMake::qt_metacall$$?
    {53, 1005, 268},	// QsciLexerCMake::qt_metacast$
    {53, 1009, 285},	// QsciLexerCMake::readProperties#$
    {53, 1018, 282},	// QsciLexerCMake::refreshProperties
    {53, 1132, 284},	// QsciLexerCMake::setFoldAtElse$
    {53, 1282, 290},	// QsciLexerCMake::staticMetaObject
    {53, 1303, 287},	// QsciLexerCMake::tr$
    {53, 1304, 269},	// QsciLexerCMake::tr$$
    {53, 1305, 271},	// QsciLexerCMake::tr$$$
    {53, 1307, 288},	// QsciLexerCMake::trUtf8$
    {53, 1308, 270},	// QsciLexerCMake::trUtf8$$
    {53, 1309, 272},	// QsciLexerCMake::trUtf8$$$
    {53, 1334, 286},	// QsciLexerCMake::writeProperties#$
    {53, 1352, 306},	// QsciLexerCMake::~QsciLexerCMake
    {54, 123, 353},	// QsciLexerCPP::Comment
    {54, 126, 355},	// QsciLexerCPP::CommentDoc
    {54, 127, 369},	// QsciLexerCPP::CommentDocKeyword
    {54, 128, 370},	// QsciLexerCPP::CommentDocKeywordError
    {54, 129, 354},	// QsciLexerCPP::CommentLine
    {54, 130, 367},	// QsciLexerCPP::CommentLineDoc
    {54, 143, 352},	// QsciLexerCPP::Default
    {54, 153, 358},	// QsciLexerCPP::DoubleQuotedString
    {54, 186, 371},	// QsciLexerCPP::GlobalClass
    {54, 206, 363},	// QsciLexerCPP::Identifier
    {54, 229, 357},	// QsciLexerCPP::Keyword
    {54, 232, 368},	// QsciLexerCPP::KeywordSet2
    {54, 272, 356},	// QsciLexerCPP::Number
    {54, 276, 362},	// QsciLexerCPP::Operator
    {54, 312, 361},	// QsciLexerCPP::PreProcessor
    {54, 355, 346},	// QsciLexerCPP::QsciLexerCPP
    {54, 356, 347},	// QsciLexerCPP::QsciLexerCPP#
    {54, 357, 314},	// QsciLexerCPP::QsciLexerCPP#$
    {54, 443, 366},	// QsciLexerCPP::Regex
    {54, 614, 359},	// QsciLexerCPP::SingleQuotedString
    {54, 663, 360},	// QsciLexerCPP::UUID
    {54, 664, 364},	// QsciLexerCPP::UnclosedString
    {54, 681, 365},	// QsciLexerCPP::VerbatimString
    {54, 728, 317},	// QsciLexerCPP::autoCompletionWordSeparators
    {54, 734, 348},	// QsciLexerCPP::blockEnd
    {54, 735, 318},	// QsciLexerCPP::blockEnd$
    {54, 737, 349},	// QsciLexerCPP::blockStart
    {54, 738, 319},	// QsciLexerCPP::blockStart$
    {54, 739, 350},	// QsciLexerCPP::blockStartKeyword
    {54, 740, 320},	// QsciLexerCPP::blockStartKeyword$
    {54, 742, 321},	// QsciLexerCPP::braceStyle
    {54, 785, 323},	// QsciLexerCPP::defaultColor$
    {54, 787, 324},	// QsciLexerCPP::defaultEolFill$
    {54, 789, 325},	// QsciLexerCPP::defaultFont$
    {54, 791, 326},	// QsciLexerCPP::defaultPaper$
    {54, 795, 328},	// QsciLexerCPP::description$
    {54, 799, 336},	// QsciLexerCPP::dollarsAllowed
    {54, 845, 330},	// QsciLexerCPP::foldAtElse
    {54, 847, 331},	// QsciLexerCPP::foldComments
    {54, 848, 332},	// QsciLexerCPP::foldCompact
    {54, 854, 333},	// QsciLexerCPP::foldPreprocessor
    {54, 909, 327},	// QsciLexerCPP::keywords$
    {54, 910, 315},	// QsciLexerCPP::language
    {54, 915, 316},	// QsciLexerCPP::lexer
    {54, 964, 307},	// QsciLexerCPP::metaObject
    {54, 1003, 313},	// QsciLexerCPP::qt_metacall$$?
    {54, 1005, 308},	// QsciLexerCPP::qt_metacast$
    {54, 1009, 342},	// QsciLexerCPP::readProperties#$
    {54, 1018, 329},	// QsciLexerCPP::refreshProperties
    {54, 1113, 335},	// QsciLexerCPP::setDollarsAllowed$
    {54, 1132, 337},	// QsciLexerCPP::setFoldAtElse$
    {54, 1136, 338},	// QsciLexerCPP::setFoldComments$
    {54, 1138, 339},	// QsciLexerCPP::setFoldCompact$
    {54, 1148, 340},	// QsciLexerCPP::setFoldPreprocessor$
    {54, 1236, 341},	// QsciLexerCPP::setStylePreprocessor$
    {54, 1282, 351},	// QsciLexerCPP::staticMetaObject
    {54, 1286, 334},	// QsciLexerCPP::stylePreprocessor
    {54, 1303, 344},	// QsciLexerCPP::tr$
    {54, 1304, 309},	// QsciLexerCPP::tr$$
    {54, 1305, 311},	// QsciLexerCPP::tr$$$
    {54, 1307, 345},	// QsciLexerCPP::trUtf8$
    {54, 1308, 310},	// QsciLexerCPP::trUtf8$$
    {54, 1309, 312},	// QsciLexerCPP::trUtf8$$$
    {54, 1329, 322},	// QsciLexerCPP::wordCharacters
    {54, 1334, 343},	// QsciLexerCPP::writeProperties#$
    {54, 1353, 372},	// QsciLexerCPP::~QsciLexerCPP
    {55, 65, 415},	// QsciLexerCSS::AtRule
    {55, 66, 419},	// QsciLexerCSS::Attribute
    {55, 100, 409},	// QsciLexerCSS::CSS1Property
    {55, 101, 418},	// QsciLexerCSS::CSS2Property
    {55, 102, 420},	// QsciLexerCSS::CSS3Property
    {55, 118, 405},	// QsciLexerCSS::ClassSelector
    {55, 123, 412},	// QsciLexerCSS::Comment
    {55, 143, 403},	// QsciLexerCSS::Default
    {55, 153, 416},	// QsciLexerCSS::DoubleQuotedString
    {55, 173, 422},	// QsciLexerCSS::ExtendedCSSProperty
    {55, 175, 423},	// QsciLexerCSS::ExtendedPseudoClass
    {55, 176, 424},	// QsciLexerCSS::ExtendedPseudoElement
    {55, 204, 413},	// QsciLexerCSS::IDSelector
    {55, 210, 414},	// QsciLexerCSS::Important
    {55, 276, 408},	// QsciLexerCSS::Operator
    {55, 319, 406},	// QsciLexerCSS::PseudoClass
    {55, 320, 421},	// QsciLexerCSS::PseudoElement
    {55, 358, 399},	// QsciLexerCSS::QsciLexerCSS
    {55, 359, 380},	// QsciLexerCSS::QsciLexerCSS#
    {55, 614, 417},	// QsciLexerCSS::SingleQuotedString
    {55, 648, 404},	// QsciLexerCSS::Tag
    {55, 666, 410},	// QsciLexerCSS::UnknownProperty
    {55, 667, 407},	// QsciLexerCSS::UnknownPseudoClass
    {55, 679, 411},	// QsciLexerCSS::Value
    {55, 734, 400},	// QsciLexerCSS::blockEnd
    {55, 735, 383},	// QsciLexerCSS::blockEnd$
    {55, 737, 401},	// QsciLexerCSS::blockStart
    {55, 738, 384},	// QsciLexerCSS::blockStart$
    {55, 785, 386},	// QsciLexerCSS::defaultColor$
    {55, 789, 387},	// QsciLexerCSS::defaultFont$
    {55, 795, 389},	// QsciLexerCSS::description$
    {55, 847, 391},	// QsciLexerCSS::foldComments
    {55, 848, 392},	// QsciLexerCSS::foldCompact
    {55, 909, 388},	// QsciLexerCSS::keywords$
    {55, 910, 381},	// QsciLexerCSS::language
    {55, 915, 382},	// QsciLexerCSS::lexer
    {55, 964, 373},	// QsciLexerCSS::metaObject
    {55, 1003, 379},	// QsciLexerCSS::qt_metacall$$?
    {55, 1005, 374},	// QsciLexerCSS::qt_metacast$
    {55, 1009, 395},	// QsciLexerCSS::readProperties#$
    {55, 1018, 390},	// QsciLexerCSS::refreshProperties
    {55, 1136, 393},	// QsciLexerCSS::setFoldComments$
    {55, 1138, 394},	// QsciLexerCSS::setFoldCompact$
    {55, 1282, 402},	// QsciLexerCSS::staticMetaObject
    {55, 1303, 397},	// QsciLexerCSS::tr$
    {55, 1304, 375},	// QsciLexerCSS::tr$$
    {55, 1305, 377},	// QsciLexerCSS::tr$$$
    {55, 1307, 398},	// QsciLexerCSS::trUtf8$
    {55, 1308, 376},	// QsciLexerCSS::trUtf8$$
    {55, 1309, 378},	// QsciLexerCSS::trUtf8$$$
    {55, 1329, 385},	// QsciLexerCSS::wordCharacters
    {55, 1334, 396},	// QsciLexerCSS::writeProperties#$
    {55, 1354, 425},	// QsciLexerCSS::~QsciLexerCSS
    {56, 360, 443},	// QsciLexerCSharp::QsciLexerCSharp
    {56, 361, 433},	// QsciLexerCSharp::QsciLexerCSharp#
    {56, 785, 435},	// QsciLexerCSharp::defaultColor$
    {56, 787, 436},	// QsciLexerCSharp::defaultEolFill$
    {56, 789, 437},	// QsciLexerCSharp::defaultFont$
    {56, 791, 438},	// QsciLexerCSharp::defaultPaper$
    {56, 795, 440},	// QsciLexerCSharp::description$
    {56, 909, 439},	// QsciLexerCSharp::keywords$
    {56, 910, 434},	// QsciLexerCSharp::language
    {56, 964, 426},	// QsciLexerCSharp::metaObject
    {56, 1003, 432},	// QsciLexerCSharp::qt_metacall$$?
    {56, 1005, 427},	// QsciLexerCSharp::qt_metacast$
    {56, 1282, 444},	// QsciLexerCSharp::staticMetaObject
    {56, 1303, 441},	// QsciLexerCSharp::tr$
    {56, 1304, 428},	// QsciLexerCSharp::tr$$
    {56, 1305, 430},	// QsciLexerCSharp::tr$$$
    {56, 1307, 442},	// QsciLexerCSharp::trUtf8$
    {56, 1308, 429},	// QsciLexerCSharp::trUtf8$$
    {56, 1309, 431},	// QsciLexerCSharp::trUtf8$$$
    {56, 1355, 445},	// QsciLexerCSharp::~QsciLexerCSharp
    {57, 362, 462},	// QsciLexerCustom::QsciLexerCustom
    {57, 363, 453},	// QsciLexerCustom::QsciLexerCustom#
    {57, 964, 446},	// QsciLexerCustom::metaObject
    {57, 1003, 452},	// QsciLexerCustom::qt_metacall$$?
    {57, 1005, 447},	// QsciLexerCustom::qt_metacast$
    {57, 1121, 458},	// QsciLexerCustom::setEditor#
    {57, 1238, 455},	// QsciLexerCustom::setStyling$#
    {57, 1239, 454},	// QsciLexerCustom::setStyling$$
    {57, 1280, 463},	// QsciLexerCustom::startStyling$
    {57, 1281, 456},	// QsciLexerCustom::startStyling$$
    {57, 1282, 464},	// QsciLexerCustom::staticMetaObject
    {57, 1284, 459},	// QsciLexerCustom::styleBitsNeeded
    {57, 1288, 457},	// QsciLexerCustom::styleText$$
    {57, 1303, 460},	// QsciLexerCustom::tr$
    {57, 1304, 448},	// QsciLexerCustom::tr$$
    {57, 1305, 450},	// QsciLexerCustom::tr$$$
    {57, 1307, 461},	// QsciLexerCustom::trUtf8$
    {57, 1308, 449},	// QsciLexerCustom::trUtf8$$
    {57, 1309, 451},	// QsciLexerCustom::trUtf8$$$
    {57, 1356, 465},	// QsciLexerCustom::~QsciLexerCustom
    {58, 108, 516},	// QsciLexerD::Character
    {58, 123, 505},	// QsciLexerD::Comment
    {58, 126, 507},	// QsciLexerD::CommentDoc
    {58, 127, 520},	// QsciLexerD::CommentDocKeyword
    {58, 128, 521},	// QsciLexerD::CommentDocKeywordError
    {58, 129, 506},	// QsciLexerD::CommentLine
    {58, 130, 519},	// QsciLexerD::CommentLineDoc
    {58, 132, 508},	// QsciLexerD::CommentNested
    {58, 143, 504},	// QsciLexerD::Default
    {58, 206, 518},	// QsciLexerD::Identifier
    {58, 229, 510},	// QsciLexerD::Keyword
    {58, 230, 512},	// QsciLexerD::KeywordDoc
    {58, 231, 511},	// QsciLexerD::KeywordSecondary
    {58, 272, 509},	// QsciLexerD::Number
    {58, 276, 517},	// QsciLexerD::Operator
    {58, 364, 499},	// QsciLexerD::QsciLexerD
    {58, 365, 473},	// QsciLexerD::QsciLexerD#
    {58, 628, 514},	// QsciLexerD::String
    {58, 661, 513},	// QsciLexerD::Typedefs
    {58, 664, 515},	// QsciLexerD::UnclosedString
    {58, 728, 476},	// QsciLexerD::autoCompletionWordSeparators
    {58, 734, 500},	// QsciLexerD::blockEnd
    {58, 735, 477},	// QsciLexerD::blockEnd$
    {58, 737, 501},	// QsciLexerD::blockStart
    {58, 738, 478},	// QsciLexerD::blockStart$
    {58, 739, 502},	// QsciLexerD::blockStartKeyword
    {58, 740, 479},	// QsciLexerD::blockStartKeyword$
    {58, 742, 480},	// QsciLexerD::braceStyle
    {58, 785, 482},	// QsciLexerD::defaultColor$
    {58, 787, 483},	// QsciLexerD::defaultEolFill$
    {58, 789, 484},	// QsciLexerD::defaultFont$
    {58, 791, 485},	// QsciLexerD::defaultPaper$
    {58, 795, 487},	// QsciLexerD::description$
    {58, 845, 489},	// QsciLexerD::foldAtElse
    {58, 847, 490},	// QsciLexerD::foldComments
    {58, 848, 491},	// QsciLexerD::foldCompact
    {58, 909, 486},	// QsciLexerD::keywords$
    {58, 910, 474},	// QsciLexerD::language
    {58, 915, 475},	// QsciLexerD::lexer
    {58, 964, 466},	// QsciLexerD::metaObject
    {58, 1003, 472},	// QsciLexerD::qt_metacall$$?
    {58, 1005, 467},	// QsciLexerD::qt_metacast$
    {58, 1009, 495},	// QsciLexerD::readProperties#$
    {58, 1018, 488},	// QsciLexerD::refreshProperties
    {58, 1132, 492},	// QsciLexerD::setFoldAtElse$
    {58, 1136, 493},	// QsciLexerD::setFoldComments$
    {58, 1138, 494},	// QsciLexerD::setFoldCompact$
    {58, 1282, 503},	// QsciLexerD::staticMetaObject
    {58, 1303, 497},	// QsciLexerD::tr$
    {58, 1304, 468},	// QsciLexerD::tr$$
    {58, 1305, 470},	// QsciLexerD::tr$$$
    {58, 1307, 498},	// QsciLexerD::trUtf8$
    {58, 1308, 469},	// QsciLexerD::trUtf8$$
    {58, 1309, 471},	// QsciLexerD::trUtf8$$$
    {58, 1329, 481},	// QsciLexerD::wordCharacters
    {58, 1334, 496},	// QsciLexerD::writeProperties#$
    {58, 1357, 522},	// QsciLexerD::~QsciLexerD
    {59, 122, 542},	// QsciLexerDiff::Command
    {59, 123, 541},	// QsciLexerDiff::Comment
    {59, 143, 540},	// QsciLexerDiff::Default
    {59, 196, 543},	// QsciLexerDiff::Header
    {59, 249, 546},	// QsciLexerDiff::LineAdded
    {59, 250, 547},	// QsciLexerDiff::LineChanged
    {59, 252, 545},	// QsciLexerDiff::LineRemoved
    {59, 310, 544},	// QsciLexerDiff::Position
    {59, 366, 538},	// QsciLexerDiff::QsciLexerDiff
    {59, 367, 530},	// QsciLexerDiff::QsciLexerDiff#
    {59, 785, 534},	// QsciLexerDiff::defaultColor$
    {59, 795, 535},	// QsciLexerDiff::description$
    {59, 910, 531},	// QsciLexerDiff::language
    {59, 915, 532},	// QsciLexerDiff::lexer
    {59, 964, 523},	// QsciLexerDiff::metaObject
    {59, 1003, 529},	// QsciLexerDiff::qt_metacall$$?
    {59, 1005, 524},	// QsciLexerDiff::qt_metacast$
    {59, 1282, 539},	// QsciLexerDiff::staticMetaObject
    {59, 1303, 536},	// QsciLexerDiff::tr$
    {59, 1304, 525},	// QsciLexerDiff::tr$$
    {59, 1305, 527},	// QsciLexerDiff::tr$$$
    {59, 1307, 537},	// QsciLexerDiff::trUtf8$
    {59, 1308, 526},	// QsciLexerDiff::trUtf8$$
    {59, 1309, 528},	// QsciLexerDiff::trUtf8$$$
    {59, 1329, 533},	// QsciLexerDiff::wordCharacters
    {59, 1358, 548},	// QsciLexerDiff::~QsciLexerDiff
    {60, 368, 562},	// QsciLexerFortran::QsciLexerFortran
    {60, 369, 556},	// QsciLexerFortran::QsciLexerFortran#
    {60, 909, 559},	// QsciLexerFortran::keywords$
    {60, 910, 557},	// QsciLexerFortran::language
    {60, 915, 558},	// QsciLexerFortran::lexer
    {60, 964, 549},	// QsciLexerFortran::metaObject
    {60, 1003, 555},	// QsciLexerFortran::qt_metacall$$?
    {60, 1005, 550},	// QsciLexerFortran::qt_metacast$
    {60, 1282, 563},	// QsciLexerFortran::staticMetaObject
    {60, 1303, 560},	// QsciLexerFortran::tr$
    {60, 1304, 551},	// QsciLexerFortran::tr$$
    {60, 1305, 553},	// QsciLexerFortran::tr$$$
    {60, 1307, 561},	// QsciLexerFortran::trUtf8$
    {60, 1308, 552},	// QsciLexerFortran::trUtf8$$
    {60, 1309, 554},	// QsciLexerFortran::trUtf8$$$
    {60, 1359, 564},	// QsciLexerFortran::~QsciLexerFortran
    {61, 123, 592},	// QsciLexerFortran77::Comment
    {61, 134, 605},	// QsciLexerFortran77::Continuation
    {61, 143, 591},	// QsciLexerFortran77::Default
    {61, 151, 603},	// QsciLexerFortran77::DottedOperator
    {61, 153, 595},	// QsciLexerFortran77::DoubleQuotedString
    {61, 174, 601},	// QsciLexerFortran77::ExtendedFunction
    {61, 206, 598},	// QsciLexerFortran77::Identifier
    {61, 214, 600},	// QsciLexerFortran77::IntrinsicFunction
    {61, 229, 599},	// QsciLexerFortran77::Keyword
    {61, 239, 604},	// QsciLexerFortran77::Label
    {61, 272, 593},	// QsciLexerFortran77::Number
    {61, 276, 597},	// QsciLexerFortran77::Operator
    {61, 312, 602},	// QsciLexerFortran77::PreProcessor
    {61, 370, 589},	// QsciLexerFortran77::QsciLexerFortran77
    {61, 371, 572},	// QsciLexerFortran77::QsciLexerFortran77#
    {61, 614, 594},	// QsciLexerFortran77::SingleQuotedString
    {61, 664, 596},	// QsciLexerFortran77::UnclosedString
    {61, 742, 575},	// QsciLexerFortran77::braceStyle
    {61, 785, 576},	// QsciLexerFortran77::defaultColor$
    {61, 787, 577},	// QsciLexerFortran77::defaultEolFill$
    {61, 789, 578},	// QsciLexerFortran77::defaultFont$
    {61, 791, 579},	// QsciLexerFortran77::defaultPaper$
    {61, 795, 581},	// QsciLexerFortran77::description$
    {61, 848, 583},	// QsciLexerFortran77::foldCompact
    {61, 909, 580},	// QsciLexerFortran77::keywords$
    {61, 910, 573},	// QsciLexerFortran77::language
    {61, 915, 574},	// QsciLexerFortran77::lexer
    {61, 964, 565},	// QsciLexerFortran77::metaObject
    {61, 1003, 571},	// QsciLexerFortran77::qt_metacall$$?
    {61, 1005, 566},	// QsciLexerFortran77::qt_metacast$
    {61, 1009, 585},	// QsciLexerFortran77::readProperties#$
    {61, 1018, 582},	// QsciLexerFortran77::refreshProperties
    {61, 1138, 584},	// QsciLexerFortran77::setFoldCompact$
    {61, 1282, 590},	// QsciLexerFortran77::staticMetaObject
    {61, 1303, 587},	// QsciLexerFortran77::tr$
    {61, 1304, 567},	// QsciLexerFortran77::tr$$
    {61, 1305, 569},	// QsciLexerFortran77::tr$$$
    {61, 1307, 588},	// QsciLexerFortran77::trUtf8$
    {61, 1308, 568},	// QsciLexerFortran77::trUtf8$$
    {61, 1309, 570},	// QsciLexerFortran77::trUtf8$$$
    {61, 1334, 586},	// QsciLexerFortran77::writeProperties#$
    {61, 1360, 606},	// QsciLexerFortran77::~QsciLexerFortran77
    {62, 11, 656},	// QsciLexerHTML::ASPAtStart
    {62, 12, 688},	// QsciLexerHTML::ASPJavaScriptComment
    {62, 13, 690},	// QsciLexerHTML::ASPJavaScriptCommentDoc
    {62, 14, 689},	// QsciLexerHTML::ASPJavaScriptCommentLine
    {62, 15, 687},	// QsciLexerHTML::ASPJavaScriptDefault
    {62, 16, 694},	// QsciLexerHTML::ASPJavaScriptDoubleQuotedString
    {62, 17, 693},	// QsciLexerHTML::ASPJavaScriptKeyword
    {62, 18, 691},	// QsciLexerHTML::ASPJavaScriptNumber
    {62, 19, 698},	// QsciLexerHTML::ASPJavaScriptRegex
    {62, 20, 695},	// QsciLexerHTML::ASPJavaScriptSingleQuotedString
    {62, 21, 686},	// QsciLexerHTML::ASPJavaScriptStart
    {62, 22, 696},	// QsciLexerHTML::ASPJavaScriptSymbol
    {62, 23, 697},	// QsciLexerHTML::ASPJavaScriptUnclosedString
    {62, 24, 692},	// QsciLexerHTML::ASPJavaScriptWord
    {62, 25, 737},	// QsciLexerHTML::ASPPythonClassName
    {62, 26, 730},	// QsciLexerHTML::ASPPythonComment
    {62, 27, 729},	// QsciLexerHTML::ASPPythonDefault
    {62, 28, 732},	// QsciLexerHTML::ASPPythonDoubleQuotedString
    {62, 29, 738},	// QsciLexerHTML::ASPPythonFunctionMethodName
    {62, 30, 740},	// QsciLexerHTML::ASPPythonIdentifier
    {62, 31, 734},	// QsciLexerHTML::ASPPythonKeyword
    {62, 32, 731},	// QsciLexerHTML::ASPPythonNumber
    {62, 33, 739},	// QsciLexerHTML::ASPPythonOperator
    {62, 34, 733},	// QsciLexerHTML::ASPPythonSingleQuotedString
    {62, 35, 728},	// QsciLexerHTML::ASPPythonStart
    {62, 36, 736},	// QsciLexerHTML::ASPPythonTripleDoubleQuotedString
    {62, 37, 735},	// QsciLexerHTML::ASPPythonTripleSingleQuotedString
    {62, 38, 657},	// QsciLexerHTML::ASPStart
    {62, 39, 709},	// QsciLexerHTML::ASPVBScriptComment
    {62, 40, 708},	// QsciLexerHTML::ASPVBScriptDefault
    {62, 41, 713},	// QsciLexerHTML::ASPVBScriptIdentifier
    {62, 42, 711},	// QsciLexerHTML::ASPVBScriptKeyword
    {62, 43, 710},	// QsciLexerHTML::ASPVBScriptNumber
    {62, 44, 707},	// QsciLexerHTML::ASPVBScriptStart
    {62, 45, 712},	// QsciLexerHTML::ASPVBScriptString
    {62, 46, 714},	// QsciLexerHTML::ASPVBScriptUnclosedString
    {62, 47, 661},	// QsciLexerHTML::ASPXCComment
    {62, 66, 644},	// QsciLexerHTML::Attribute
    {62, 99, 658},	// QsciLexerHTML::CDATA
    {62, 143, 641},	// QsciLexerHTML::Default
    {62, 164, 651},	// QsciLexerHTML::Entity
    {62, 190, 650},	// QsciLexerHTML::HTMLComment
    {62, 191, 647},	// QsciLexerHTML::HTMLDoubleQuotedString
    {62, 192, 646},	// QsciLexerHTML::HTMLNumber
    {62, 193, 648},	// QsciLexerHTML::HTMLSingleQuotedString
    {62, 194, 660},	// QsciLexerHTML::HTMLValue
    {62, 216, 675},	// QsciLexerHTML::JavaScriptComment
    {62, 217, 677},	// QsciLexerHTML::JavaScriptCommentDoc
    {62, 218, 676},	// QsciLexerHTML::JavaScriptCommentLine
    {62, 219, 674},	// QsciLexerHTML::JavaScriptDefault
    {62, 220, 681},	// QsciLexerHTML::JavaScriptDoubleQuotedString
    {62, 221, 680},	// QsciLexerHTML::JavaScriptKeyword
    {62, 222, 678},	// QsciLexerHTML::JavaScriptNumber
    {62, 223, 685},	// QsciLexerHTML::JavaScriptRegex
    {62, 224, 682},	// QsciLexerHTML::JavaScriptSingleQuotedString
    {62, 225, 673},	// QsciLexerHTML::JavaScriptStart
    {62, 226, 683},	// QsciLexerHTML::JavaScriptSymbol
    {62, 227, 684},	// QsciLexerHTML::JavaScriptUnclosedString
    {62, 228, 679},	// QsciLexerHTML::JavaScriptWord
    {62, 278, 649},	// QsciLexerHTML::OtherInTag
    {62, 279, 747},	// QsciLexerHTML::PHPComment
    {62, 280, 748},	// QsciLexerHTML::PHPCommentLine
    {62, 281, 741},	// QsciLexerHTML::PHPDefault
    {62, 282, 742},	// QsciLexerHTML::PHPDoubleQuotedString
    {62, 283, 749},	// QsciLexerHTML::PHPDoubleQuotedVariable
    {62, 284, 744},	// QsciLexerHTML::PHPKeyword
    {62, 285, 745},	// QsciLexerHTML::PHPNumber
    {62, 286, 750},	// QsciLexerHTML::PHPOperator
    {62, 287, 743},	// QsciLexerHTML::PHPSingleQuotedString
    {62, 288, 659},	// QsciLexerHTML::PHPStart
    {62, 289, 746},	// QsciLexerHTML::PHPVariable
    {62, 321, 724},	// QsciLexerHTML::PythonClassName
    {62, 322, 717},	// QsciLexerHTML::PythonComment
    {62, 323, 716},	// QsciLexerHTML::PythonDefault
    {62, 324, 719},	// QsciLexerHTML::PythonDoubleQuotedString
    {62, 325, 725},	// QsciLexerHTML::PythonFunctionMethodName
    {62, 326, 727},	// QsciLexerHTML::PythonIdentifier
    {62, 327, 721},	// QsciLexerHTML::PythonKeyword
    {62, 328, 718},	// QsciLexerHTML::PythonNumber
    {62, 329, 726},	// QsciLexerHTML::PythonOperator
    {62, 330, 720},	// QsciLexerHTML::PythonSingleQuotedString
    {62, 331, 715},	// QsciLexerHTML::PythonStart
    {62, 332, 723},	// QsciLexerHTML::PythonTripleDoubleQuotedString
    {62, 333, 722},	// QsciLexerHTML::PythonTripleSingleQuotedString
    {62, 372, 639},	// QsciLexerHTML::QsciLexerHTML
    {62, 373, 614},	// QsciLexerHTML::QsciLexerHTML#
    {62, 585, 672},	// QsciLexerHTML::SGMLBlockDefault
    {62, 586, 663},	// QsciLexerHTML::SGMLCommand
    {62, 587, 670},	// QsciLexerHTML::SGMLComment
    {62, 588, 662},	// QsciLexerHTML::SGMLDefault
    {62, 589, 665},	// QsciLexerHTML::SGMLDoubleQuotedString
    {62, 590, 669},	// QsciLexerHTML::SGMLEntity
    {62, 591, 667},	// QsciLexerHTML::SGMLError
    {62, 592, 664},	// QsciLexerHTML::SGMLParameter
    {62, 593, 671},	// QsciLexerHTML::SGMLParameterComment
    {62, 594, 666},	// QsciLexerHTML::SGMLSingleQuotedString
    {62, 595, 668},	// QsciLexerHTML::SGMLSpecial
    {62, 598, 655},	// QsciLexerHTML::Script
    {62, 648, 642},	// QsciLexerHTML::Tag
    {62, 665, 645},	// QsciLexerHTML::UnknownAttribute
    {62, 668, 643},	// QsciLexerHTML::UnknownTag
    {62, 670, 701},	// QsciLexerHTML::VBScriptComment
    {62, 671, 700},	// QsciLexerHTML::VBScriptDefault
    {62, 672, 705},	// QsciLexerHTML::VBScriptIdentifier
    {62, 673, 703},	// QsciLexerHTML::VBScriptKeyword
    {62, 674, 702},	// QsciLexerHTML::VBScriptNumber
    {62, 675, 699},	// QsciLexerHTML::VBScriptStart
    {62, 676, 704},	// QsciLexerHTML::VBScriptString
    {62, 677, 706},	// QsciLexerHTML::VBScriptUnclosedString
    {62, 693, 654},	// QsciLexerHTML::XMLEnd
    {62, 694, 653},	// QsciLexerHTML::XMLStart
    {62, 695, 652},	// QsciLexerHTML::XMLTagEnd
    {62, 753, 627},	// QsciLexerHTML::caseSensitiveTags
    {62, 785, 618},	// QsciLexerHTML::defaultColor$
    {62, 787, 619},	// QsciLexerHTML::defaultEolFill$
    {62, 789, 620},	// QsciLexerHTML::defaultFont$
    {62, 791, 621},	// QsciLexerHTML::defaultPaper$
    {62, 795, 623},	// QsciLexerHTML::description$
    {62, 848, 625},	// QsciLexerHTML::foldCompact
    {62, 854, 626},	// QsciLexerHTML::foldPreprocessor
    {62, 856, 629},	// QsciLexerHTML::foldScriptComments
    {62, 857, 631},	// QsciLexerHTML::foldScriptHeredocs
    {62, 909, 622},	// QsciLexerHTML::keywords$
    {62, 910, 615},	// QsciLexerHTML::language
    {62, 915, 616},	// QsciLexerHTML::lexer
    {62, 964, 607},	// QsciLexerHTML::metaObject
    {62, 1003, 613},	// QsciLexerHTML::qt_metacall$$?
    {62, 1005, 608},	// QsciLexerHTML::qt_metacast$
    {62, 1009, 635},	// QsciLexerHTML::readProperties#$
    {62, 1018, 624},	// QsciLexerHTML::refreshProperties
    {62, 1094, 634},	// QsciLexerHTML::setCaseSensitiveTags$
    {62, 1138, 632},	// QsciLexerHTML::setFoldCompact$
    {62, 1148, 633},	// QsciLexerHTML::setFoldPreprocessor$
    {62, 1152, 628},	// QsciLexerHTML::setFoldScriptComments$
    {62, 1154, 630},	// QsciLexerHTML::setFoldScriptHeredocs$
    {62, 1282, 640},	// QsciLexerHTML::staticMetaObject
    {62, 1303, 637},	// QsciLexerHTML::tr$
    {62, 1304, 609},	// QsciLexerHTML::tr$$
    {62, 1305, 611},	// QsciLexerHTML::tr$$$
    {62, 1307, 638},	// QsciLexerHTML::trUtf8$
    {62, 1308, 610},	// QsciLexerHTML::trUtf8$$
    {62, 1309, 612},	// QsciLexerHTML::trUtf8$$$
    {62, 1329, 617},	// QsciLexerHTML::wordCharacters
    {62, 1334, 636},	// QsciLexerHTML::writeProperties#$
    {62, 1361, 751},	// QsciLexerHTML::~QsciLexerHTML
    {63, 374, 766},	// QsciLexerIDL::QsciLexerIDL
    {63, 375, 759},	// QsciLexerIDL::QsciLexerIDL#
    {63, 785, 761},	// QsciLexerIDL::defaultColor$
    {63, 795, 763},	// QsciLexerIDL::description$
    {63, 909, 762},	// QsciLexerIDL::keywords$
    {63, 910, 760},	// QsciLexerIDL::language
    {63, 964, 752},	// QsciLexerIDL::metaObject
    {63, 1003, 758},	// QsciLexerIDL::qt_metacall$$?
    {63, 1005, 753},	// QsciLexerIDL::qt_metacast$
    {63, 1282, 767},	// QsciLexerIDL::staticMetaObject
    {63, 1303, 764},	// QsciLexerIDL::tr$
    {63, 1304, 754},	// QsciLexerIDL::tr$$
    {63, 1305, 756},	// QsciLexerIDL::tr$$$
    {63, 1307, 765},	// QsciLexerIDL::trUtf8$
    {63, 1308, 755},	// QsciLexerIDL::trUtf8$$
    {63, 1309, 757},	// QsciLexerIDL::trUtf8$$$
    {63, 1362, 768},	// QsciLexerIDL::~QsciLexerIDL
    {64, 376, 781},	// QsciLexerJava::QsciLexerJava
    {64, 377, 776},	// QsciLexerJava::QsciLexerJava#
    {64, 909, 778},	// QsciLexerJava::keywords$
    {64, 910, 777},	// QsciLexerJava::language
    {64, 964, 769},	// QsciLexerJava::metaObject
    {64, 1003, 775},	// QsciLexerJava::qt_metacall$$?
    {64, 1005, 770},	// QsciLexerJava::qt_metacast$
    {64, 1282, 782},	// QsciLexerJava::staticMetaObject
    {64, 1303, 779},	// QsciLexerJava::tr$
    {64, 1304, 771},	// QsciLexerJava::tr$$
    {64, 1305, 773},	// QsciLexerJava::tr$$$
    {64, 1307, 780},	// QsciLexerJava::trUtf8$
    {64, 1308, 772},	// QsciLexerJava::trUtf8$$
    {64, 1309, 774},	// QsciLexerJava::trUtf8$$$
    {64, 1363, 783},	// QsciLexerJava::~QsciLexerJava
    {65, 378, 801},	// QsciLexerJavaScript::QsciLexerJavaScript
    {65, 379, 791},	// QsciLexerJavaScript::QsciLexerJavaScript#
    {65, 785, 793},	// QsciLexerJavaScript::defaultColor$
    {65, 787, 794},	// QsciLexerJavaScript::defaultEolFill$
    {65, 789, 795},	// QsciLexerJavaScript::defaultFont$
    {65, 791, 796},	// QsciLexerJavaScript::defaultPaper$
    {65, 795, 798},	// QsciLexerJavaScript::description$
    {65, 909, 797},	// QsciLexerJavaScript::keywords$
    {65, 910, 792},	// QsciLexerJavaScript::language
    {65, 964, 784},	// QsciLexerJavaScript::metaObject
    {65, 1003, 790},	// QsciLexerJavaScript::qt_metacall$$?
    {65, 1005, 785},	// QsciLexerJavaScript::qt_metacast$
    {65, 1282, 802},	// QsciLexerJavaScript::staticMetaObject
    {65, 1303, 799},	// QsciLexerJavaScript::tr$
    {65, 1304, 786},	// QsciLexerJavaScript::tr$$
    {65, 1305, 788},	// QsciLexerJavaScript::tr$$$
    {65, 1307, 800},	// QsciLexerJavaScript::trUtf8$
    {65, 1308, 787},	// QsciLexerJavaScript::trUtf8$$
    {65, 1309, 789},	// QsciLexerJavaScript::trUtf8$$$
    {65, 1364, 803},	// QsciLexerJavaScript::~QsciLexerJavaScript
    {66, 85, 845},	// QsciLexerLua::BasicFunctions
    {66, 108, 839},	// QsciLexerLua::Character
    {66, 123, 834},	// QsciLexerLua::Comment
    {66, 135, 847},	// QsciLexerLua::CoroutinesIOSystemFacilities
    {66, 143, 833},	// QsciLexerLua::Default
    {66, 206, 843},	// QsciLexerLua::Identifier
    {66, 229, 837},	// QsciLexerLua::Keyword
    {66, 251, 835},	// QsciLexerLua::LineComment
    {66, 254, 840},	// QsciLexerLua::LiteralString
    {66, 272, 836},	// QsciLexerLua::Number
    {66, 276, 842},	// QsciLexerLua::Operator
    {66, 316, 841},	// QsciLexerLua::Preprocessor
    {66, 380, 830},	// QsciLexerLua::QsciLexerLua
    {66, 381, 811},	// QsciLexerLua::QsciLexerLua#
    {66, 628, 838},	// QsciLexerLua::String
    {66, 631, 846},	// QsciLexerLua::StringTableMathsFunctions
    {66, 664, 844},	// QsciLexerLua::UnclosedString
    {66, 728, 814},	// QsciLexerLua::autoCompletionWordSeparators
    {66, 737, 831},	// QsciLexerLua::blockStart
    {66, 738, 815},	// QsciLexerLua::blockStart$
    {66, 742, 816},	// QsciLexerLua::braceStyle
    {66, 785, 817},	// QsciLexerLua::defaultColor$
    {66, 787, 818},	// QsciLexerLua::defaultEolFill$
    {66, 789, 819},	// QsciLexerLua::defaultFont$
    {66, 791, 820},	// QsciLexerLua::defaultPaper$
    {66, 795, 822},	// QsciLexerLua::description$
    {66, 848, 824},	// QsciLexerLua::foldCompact
    {66, 909, 821},	// QsciLexerLua::keywords$
    {66, 910, 812},	// QsciLexerLua::language
    {66, 915, 813},	// QsciLexerLua::lexer
    {66, 964, 804},	// QsciLexerLua::metaObject
    {66, 1003, 810},	// QsciLexerLua::qt_metacall$$?
    {66, 1005, 805},	// QsciLexerLua::qt_metacast$
    {66, 1009, 826},	// QsciLexerLua::readProperties#$
    {66, 1018, 823},	// QsciLexerLua::refreshProperties
    {66, 1138, 825},	// QsciLexerLua::setFoldCompact$
    {66, 1282, 832},	// QsciLexerLua::staticMetaObject
    {66, 1303, 828},	// QsciLexerLua::tr$
    {66, 1304, 806},	// QsciLexerLua::tr$$
    {66, 1305, 808},	// QsciLexerLua::tr$$$
    {66, 1307, 829},	// QsciLexerLua::trUtf8$
    {66, 1308, 807},	// QsciLexerLua::trUtf8$$
    {66, 1309, 809},	// QsciLexerLua::trUtf8$$$
    {66, 1334, 827},	// QsciLexerLua::writeProperties#$
    {66, 1365, 848},	// QsciLexerLua::~QsciLexerLua
    {67, 123, 870},	// QsciLexerMakefile::Comment
    {67, 143, 869},	// QsciLexerMakefile::Default
    {67, 170, 875},	// QsciLexerMakefile::Error
    {67, 276, 873},	// QsciLexerMakefile::Operator
    {67, 316, 871},	// QsciLexerMakefile::Preprocessor
    {67, 382, 867},	// QsciLexerMakefile::QsciLexerMakefile
    {67, 383, 856},	// QsciLexerMakefile::QsciLexerMakefile#
    {67, 649, 874},	// QsciLexerMakefile::Target
    {67, 680, 872},	// QsciLexerMakefile::Variable
    {67, 785, 860},	// QsciLexerMakefile::defaultColor$
    {67, 787, 861},	// QsciLexerMakefile::defaultEolFill$
    {67, 789, 862},	// QsciLexerMakefile::defaultFont$
    {67, 791, 863},	// QsciLexerMakefile::defaultPaper$
    {67, 795, 864},	// QsciLexerMakefile::description$
    {67, 910, 857},	// QsciLexerMakefile::language
    {67, 915, 858},	// QsciLexerMakefile::lexer
    {67, 964, 849},	// QsciLexerMakefile::metaObject
    {67, 1003, 855},	// QsciLexerMakefile::qt_metacall$$?
    {67, 1005, 850},	// QsciLexerMakefile::qt_metacast$
    {67, 1282, 868},	// QsciLexerMakefile::staticMetaObject
    {67, 1303, 865},	// QsciLexerMakefile::tr$
    {67, 1304, 851},	// QsciLexerMakefile::tr$$
    {67, 1305, 853},	// QsciLexerMakefile::tr$$$
    {67, 1307, 866},	// QsciLexerMakefile::trUtf8$
    {67, 1308, 852},	// QsciLexerMakefile::trUtf8$$
    {67, 1309, 854},	// QsciLexerMakefile::trUtf8$$$
    {67, 1329, 859},	// QsciLexerMakefile::wordCharacters
    {67, 1366, 876},	// QsciLexerMakefile::~QsciLexerMakefile
    {68, 82, 917},	// QsciLexerPOV::BadDirective
    {68, 123, 909},	// QsciLexerPOV::Comment
    {68, 129, 910},	// QsciLexerPOV::CommentLine
    {68, 143, 908},	// QsciLexerPOV::Default
    {68, 149, 916},	// QsciLexerPOV::Directive
    {68, 206, 913},	// QsciLexerPOV::Identifier
    {68, 235, 922},	// QsciLexerPOV::KeywordSet6
    {68, 236, 923},	// QsciLexerPOV::KeywordSet7
    {68, 237, 924},	// QsciLexerPOV::KeywordSet8
    {68, 272, 911},	// QsciLexerPOV::Number
    {68, 274, 918},	// QsciLexerPOV::ObjectsCSGAppearance
    {68, 276, 912},	// QsciLexerPOV::Operator
    {68, 314, 921},	// QsciLexerPOV::PredefinedFunctions
    {68, 315, 920},	// QsciLexerPOV::PredefinedIdentifiers
    {68, 384, 906},	// QsciLexerPOV::QsciLexerPOV
    {68, 385, 884},	// QsciLexerPOV::QsciLexerPOV#
    {68, 628, 914},	// QsciLexerPOV::String
    {68, 662, 919},	// QsciLexerPOV::TypesModifiersItems
    {68, 664, 915},	// QsciLexerPOV::UnclosedString
    {68, 742, 887},	// QsciLexerPOV::braceStyle
    {68, 785, 889},	// QsciLexerPOV::defaultColor$
    {68, 787, 890},	// QsciLexerPOV::defaultEolFill$
    {68, 789, 891},	// QsciLexerPOV::defaultFont$
    {68, 791, 892},	// QsciLexerPOV::defaultPaper$
    {68, 795, 894},	// QsciLexerPOV::description$
    {68, 847, 896},	// QsciLexerPOV::foldComments
    {68, 848, 897},	// QsciLexerPOV::foldCompact
    {68, 849, 898},	// QsciLexerPOV::foldDirectives
    {68, 909, 893},	// QsciLexerPOV::keywords$
    {68, 910, 885},	// QsciLexerPOV::language
    {68, 915, 886},	// QsciLexerPOV::lexer
    {68, 964, 877},	// QsciLexerPOV::metaObject
    {68, 1003, 883},	// QsciLexerPOV::qt_metacall$$?
    {68, 1005, 878},	// QsciLexerPOV::qt_metacast$
    {68, 1009, 902},	// QsciLexerPOV::readProperties#$
    {68, 1018, 895},	// QsciLexerPOV::refreshProperties
    {68, 1136, 899},	// QsciLexerPOV::setFoldComments$
    {68, 1138, 900},	// QsciLexerPOV::setFoldCompact$
    {68, 1140, 901},	// QsciLexerPOV::setFoldDirectives$
    {68, 1282, 907},	// QsciLexerPOV::staticMetaObject
    {68, 1303, 904},	// QsciLexerPOV::tr$
    {68, 1304, 879},	// QsciLexerPOV::tr$$
    {68, 1305, 881},	// QsciLexerPOV::tr$$$
    {68, 1307, 905},	// QsciLexerPOV::trUtf8$
    {68, 1308, 880},	// QsciLexerPOV::trUtf8$$
    {68, 1309, 882},	// QsciLexerPOV::trUtf8$$$
    {68, 1329, 888},	// QsciLexerPOV::wordCharacters
    {68, 1334, 903},	// QsciLexerPOV::writeProperties#$
    {68, 1367, 925},	// QsciLexerPOV::~QsciLexerPOV
    {69, 63, 979},	// QsciLexerPascal::Asm
    {69, 108, 977},	// QsciLexerPascal::Character
    {69, 123, 967},	// QsciLexerPascal::Comment
    {69, 129, 969},	// QsciLexerPascal::CommentLine
    {69, 133, 968},	// QsciLexerPascal::CommentParenthesis
    {69, 143, 965},	// QsciLexerPascal::Default
    {69, 199, 973},	// QsciLexerPascal::HexNumber
    {69, 206, 966},	// QsciLexerPascal::Identifier
    {69, 229, 974},	// QsciLexerPascal::Keyword
    {69, 272, 972},	// QsciLexerPascal::Number
    {69, 276, 978},	// QsciLexerPascal::Operator
    {69, 312, 970},	// QsciLexerPascal::PreProcessor
    {69, 313, 971},	// QsciLexerPascal::PreProcessorParenthesis
    {69, 386, 960},	// QsciLexerPascal::QsciLexerPascal
    {69, 387, 933},	// QsciLexerPascal::QsciLexerPascal#
    {69, 614, 975},	// QsciLexerPascal::SingleQuotedString
    {69, 664, 976},	// QsciLexerPascal::UnclosedString
    {69, 728, 936},	// QsciLexerPascal::autoCompletionWordSeparators
    {69, 734, 961},	// QsciLexerPascal::blockEnd
    {69, 735, 937},	// QsciLexerPascal::blockEnd$
    {69, 737, 962},	// QsciLexerPascal::blockStart
    {69, 738, 938},	// QsciLexerPascal::blockStart$
    {69, 739, 963},	// QsciLexerPascal::blockStartKeyword
    {69, 740, 939},	// QsciLexerPascal::blockStartKeyword$
    {69, 742, 940},	// QsciLexerPascal::braceStyle
    {69, 785, 941},	// QsciLexerPascal::defaultColor$
    {69, 787, 942},	// QsciLexerPascal::defaultEolFill$
    {69, 789, 943},	// QsciLexerPascal::defaultFont$
    {69, 791, 944},	// QsciLexerPascal::defaultPaper$
    {69, 795, 946},	// QsciLexerPascal::description$
    {69, 847, 948},	// QsciLexerPascal::foldComments
    {69, 848, 949},	// QsciLexerPascal::foldCompact
    {69, 854, 950},	// QsciLexerPascal::foldPreprocessor
    {69, 909, 945},	// QsciLexerPascal::keywords$
    {69, 910, 934},	// QsciLexerPascal::language
    {69, 915, 935},	// QsciLexerPascal::lexer
    {69, 964, 926},	// QsciLexerPascal::metaObject
    {69, 1003, 932},	// QsciLexerPascal::qt_metacall$$?
    {69, 1005, 927},	// QsciLexerPascal::qt_metacast$
    {69, 1009, 956},	// QsciLexerPascal::readProperties#$
    {69, 1018, 947},	// QsciLexerPascal::refreshProperties
    {69, 1136, 953},	// QsciLexerPascal::setFoldComments$
    {69, 1138, 954},	// QsciLexerPascal::setFoldCompact$
    {69, 1148, 955},	// QsciLexerPascal::setFoldPreprocessor$
    {69, 1234, 951},	// QsciLexerPascal::setSmartHighlighting$
    {69, 1276, 952},	// QsciLexerPascal::smartHighlighting
    {69, 1282, 964},	// QsciLexerPascal::staticMetaObject
    {69, 1303, 958},	// QsciLexerPascal::tr$
    {69, 1304, 928},	// QsciLexerPascal::tr$$
    {69, 1305, 930},	// QsciLexerPascal::tr$$$
    {69, 1307, 959},	// QsciLexerPascal::trUtf8$
    {69, 1308, 929},	// QsciLexerPascal::trUtf8$$
    {69, 1309, 931},	// QsciLexerPascal::trUtf8$$$
    {69, 1334, 957},	// QsciLexerPascal::writeProperties#$
    {69, 1368, 980},	// QsciLexerPascal::~QsciLexerPascal
    {70, 61, 1026},	// QsciLexerPerl::Array
    {70, 80, 1036},	// QsciLexerPerl::BacktickHereDocument
    {70, 81, 1031},	// QsciLexerPerl::Backticks
    {70, 123, 1017},	// QsciLexerPerl::Comment
    {70, 141, 1032},	// QsciLexerPerl::DataSection
    {70, 143, 1015},	// QsciLexerPerl::Default
    {70, 152, 1035},	// QsciLexerPerl::DoubleQuotedHereDocument
    {70, 153, 1021},	// QsciLexerPerl::DoubleQuotedString
    {70, 170, 1016},	// QsciLexerPerl::Error
    {70, 181, 1045},	// QsciLexerPerl::FormatBody
    {70, 182, 1044},	// QsciLexerPerl::FormatIdentifier
    {70, 195, 1027},	// QsciLexerPerl::Hash
    {70, 198, 1033},	// QsciLexerPerl::HereDocumentDelimiter
    {70, 206, 1024},	// QsciLexerPerl::Identifier
    {70, 229, 1020},	// QsciLexerPerl::Keyword
    {70, 272, 1019},	// QsciLexerPerl::Number
    {70, 276, 1023},	// QsciLexerPerl::Operator
    {70, 290, 1018},	// QsciLexerPerl::POD
    {70, 291, 1042},	// QsciLexerPerl::PODVerbatim
    {70, 388, 1013},	// QsciLexerPerl::QsciLexerPerl
    {70, 389, 988},	// QsciLexerPerl::QsciLexerPerl#
    {70, 435, 1037},	// QsciLexerPerl::QuotedStringQ
    {70, 436, 1038},	// QsciLexerPerl::QuotedStringQQ
    {70, 437, 1040},	// QsciLexerPerl::QuotedStringQR
    {70, 438, 1041},	// QsciLexerPerl::QuotedStringQW
    {70, 439, 1039},	// QsciLexerPerl::QuotedStringQX
    {70, 443, 1029},	// QsciLexerPerl::Regex
    {70, 596, 1025},	// QsciLexerPerl::Scalar
    {70, 613, 1034},	// QsciLexerPerl::SingleQuotedHereDocument
    {70, 614, 1022},	// QsciLexerPerl::SingleQuotedString
    {70, 634, 1043},	// QsciLexerPerl::SubroutinePrototype
    {70, 635, 1030},	// QsciLexerPerl::Substitution
    {70, 642, 1028},	// QsciLexerPerl::SymbolTable
    {70, 728, 991},	// QsciLexerPerl::autoCompletionWordSeparators
    {70, 742, 992},	// QsciLexerPerl::braceStyle
    {70, 785, 994},	// QsciLexerPerl::defaultColor$
    {70, 787, 995},	// QsciLexerPerl::defaultEolFill$
    {70, 789, 996},	// QsciLexerPerl::defaultFont$
    {70, 791, 997},	// QsciLexerPerl::defaultPaper$
    {70, 795, 999},	// QsciLexerPerl::description$
    {70, 847, 1001},	// QsciLexerPerl::foldComments
    {70, 848, 1002},	// QsciLexerPerl::foldCompact
    {70, 852, 1006},	// QsciLexerPerl::foldPODBlocks
    {70, 853, 1004},	// QsciLexerPerl::foldPackages
    {70, 909, 998},	// QsciLexerPerl::keywords$
    {70, 910, 989},	// QsciLexerPerl::language
    {70, 915, 990},	// QsciLexerPerl::lexer
    {70, 964, 981},	// QsciLexerPerl::metaObject
    {70, 1003, 987},	// QsciLexerPerl::qt_metacall$$?
    {70, 1005, 982},	// QsciLexerPerl::qt_metacast$
    {70, 1009, 1009},	// QsciLexerPerl::readProperties#$
    {70, 1018, 1000},	// QsciLexerPerl::refreshProperties
    {70, 1136, 1007},	// QsciLexerPerl::setFoldComments$
    {70, 1138, 1008},	// QsciLexerPerl::setFoldCompact$
    {70, 1144, 1005},	// QsciLexerPerl::setFoldPODBlocks$
    {70, 1146, 1003},	// QsciLexerPerl::setFoldPackages$
    {70, 1282, 1014},	// QsciLexerPerl::staticMetaObject
    {70, 1303, 1011},	// QsciLexerPerl::tr$
    {70, 1304, 983},	// QsciLexerPerl::tr$$
    {70, 1305, 985},	// QsciLexerPerl::tr$$$
    {70, 1307, 1012},	// QsciLexerPerl::trUtf8$
    {70, 1308, 984},	// QsciLexerPerl::trUtf8$$
    {70, 1309, 986},	// QsciLexerPerl::trUtf8$$$
    {70, 1329, 993},	// QsciLexerPerl::wordCharacters
    {70, 1334, 1010},	// QsciLexerPerl::writeProperties#$
    {70, 1369, 1046},	// QsciLexerPerl::~QsciLexerPerl
    {71, 62, 1087},	// QsciLexerPostScript::ArrayParenthesis
    {71, 83, 1093},	// QsciLexerPostScript::BadStringCharacter
    {71, 84, 1092},	// QsciLexerPostScript::Base85String
    {71, 123, 1079},	// QsciLexerPostScript::Comment
    {71, 139, 1080},	// QsciLexerPostScript::DSCComment
    {71, 140, 1081},	// QsciLexerPostScript::DSCCommentValue
    {71, 143, 1078},	// QsciLexerPostScript::Default
    {71, 147, 1088},	// QsciLexerPostScript::DictionaryParenthesis
    {71, 200, 1091},	// QsciLexerPostScript::HexString
    {71, 209, 1086},	// QsciLexerPostScript::ImmediateEvalLiteral
    {71, 229, 1084},	// QsciLexerPostScript::Keyword
    {71, 253, 1085},	// QsciLexerPostScript::Literal
    {71, 266, 1083},	// QsciLexerPostScript::Name
    {71, 272, 1082},	// QsciLexerPostScript::Number
    {71, 318, 1089},	// QsciLexerPostScript::ProcedureParenthesis
    {71, 390, 1076},	// QsciLexerPostScript::QsciLexerPostScript
    {71, 391, 1054},	// QsciLexerPostScript::QsciLexerPostScript#
    {71, 650, 1090},	// QsciLexerPostScript::Text
    {71, 742, 1057},	// QsciLexerPostScript::braceStyle
    {71, 785, 1058},	// QsciLexerPostScript::defaultColor$
    {71, 789, 1059},	// QsciLexerPostScript::defaultFont$
    {71, 791, 1060},	// QsciLexerPostScript::defaultPaper$
    {71, 795, 1062},	// QsciLexerPostScript::description$
    {71, 845, 1067},	// QsciLexerPostScript::foldAtElse
    {71, 848, 1066},	// QsciLexerPostScript::foldCompact
    {71, 909, 1061},	// QsciLexerPostScript::keywords$
    {71, 910, 1055},	// QsciLexerPostScript::language
    {71, 914, 1065},	// QsciLexerPostScript::level
    {71, 915, 1056},	// QsciLexerPostScript::lexer
    {71, 964, 1047},	// QsciLexerPostScript::metaObject
    {71, 1003, 1053},	// QsciLexerPostScript::qt_metacall$$?
    {71, 1005, 1048},	// QsciLexerPostScript::qt_metacast$
    {71, 1009, 1072},	// QsciLexerPostScript::readProperties#$
    {71, 1018, 1063},	// QsciLexerPostScript::refreshProperties
    {71, 1132, 1071},	// QsciLexerPostScript::setFoldAtElse$
    {71, 1138, 1070},	// QsciLexerPostScript::setFoldCompact$
    {71, 1180, 1069},	// QsciLexerPostScript::setLevel$
    {71, 1249, 1068},	// QsciLexerPostScript::setTokenize$
    {71, 1282, 1077},	// QsciLexerPostScript::staticMetaObject
    {71, 1301, 1064},	// QsciLexerPostScript::tokenize
    {71, 1303, 1074},	// QsciLexerPostScript::tr$
    {71, 1304, 1049},	// QsciLexerPostScript::tr$$
    {71, 1305, 1051},	// QsciLexerPostScript::tr$$$
    {71, 1307, 1075},	// QsciLexerPostScript::trUtf8$
    {71, 1308, 1050},	// QsciLexerPostScript::trUtf8$$
    {71, 1309, 1052},	// QsciLexerPostScript::trUtf8$$$
    {71, 1334, 1073},	// QsciLexerPostScript::writeProperties#$
    {71, 1370, 1094},	// QsciLexerPostScript::~QsciLexerPostScript
    {72, 64, 1123},	// QsciLexerProperties::Assignment
    {72, 123, 1121},	// QsciLexerProperties::Comment
    {72, 143, 1120},	// QsciLexerProperties::Default
    {72, 144, 1124},	// QsciLexerProperties::DefaultValue
    {72, 392, 1118},	// QsciLexerProperties::QsciLexerProperties
    {72, 393, 1102},	// QsciLexerProperties::QsciLexerProperties#
    {72, 599, 1122},	// QsciLexerProperties::Section
    {72, 785, 1106},	// QsciLexerProperties::defaultColor$
    {72, 787, 1107},	// QsciLexerProperties::defaultEolFill$
    {72, 789, 1108},	// QsciLexerProperties::defaultFont$
    {72, 791, 1109},	// QsciLexerProperties::defaultPaper$
    {72, 795, 1110},	// QsciLexerProperties::description$
    {72, 848, 1112},	// QsciLexerProperties::foldCompact
    {72, 910, 1103},	// QsciLexerProperties::language
    {72, 915, 1104},	// QsciLexerProperties::lexer
    {72, 964, 1095},	// QsciLexerProperties::metaObject
    {72, 1003, 1101},	// QsciLexerProperties::qt_metacall$$?
    {72, 1005, 1096},	// QsciLexerProperties::qt_metacast$
    {72, 1009, 1114},	// QsciLexerProperties::readProperties#$
    {72, 1018, 1111},	// QsciLexerProperties::refreshProperties
    {72, 1138, 1113},	// QsciLexerProperties::setFoldCompact$
    {72, 1282, 1119},	// QsciLexerProperties::staticMetaObject
    {72, 1303, 1116},	// QsciLexerProperties::tr$
    {72, 1304, 1097},	// QsciLexerProperties::tr$$
    {72, 1305, 1099},	// QsciLexerProperties::tr$$$
    {72, 1307, 1117},	// QsciLexerProperties::trUtf8$
    {72, 1308, 1098},	// QsciLexerProperties::trUtf8$$
    {72, 1309, 1100},	// QsciLexerProperties::trUtf8$$$
    {72, 1329, 1105},	// QsciLexerProperties::wordCharacters
    {72, 1334, 1115},	// QsciLexerProperties::writeProperties#$
    {72, 1371, 1125},	// QsciLexerProperties::~QsciLexerProperties
    {73, 117, 1175},	// QsciLexerPython::ClassName
    {73, 123, 1168},	// QsciLexerPython::Comment
    {73, 124, 1179},	// QsciLexerPython::CommentBlock
    {73, 142, 1182},	// QsciLexerPython::Decorator
    {73, 143, 1167},	// QsciLexerPython::Default
    {73, 153, 1170},	// QsciLexerPython::DoubleQuotedString
    {73, 184, 1176},	// QsciLexerPython::FunctionMethodName
    {73, 203, 1181},	// QsciLexerPython::HighlightedIdentifier
    {73, 206, 1178},	// QsciLexerPython::Identifier
    {73, 212, 1184},	// QsciLexerPython::Inconsistent
    {73, 229, 1172},	// QsciLexerPython::Keyword
    {73, 271, 1183},	// QsciLexerPython::NoWarning
    {73, 272, 1169},	// QsciLexerPython::Number
    {73, 276, 1177},	// QsciLexerPython::Operator
    {73, 394, 1164},	// QsciLexerPython::QsciLexerPython
    {73, 395, 1133},	// QsciLexerPython::QsciLexerPython#
    {73, 614, 1171},	// QsciLexerPython::SingleQuotedString
    {73, 618, 1186},	// QsciLexerPython::Spaces
    {73, 646, 1187},	// QsciLexerPython::Tabs
    {73, 647, 1185},	// QsciLexerPython::TabsAfterSpaces
    {73, 659, 1174},	// QsciLexerPython::TripleDoubleQuotedString
    {73, 660, 1173},	// QsciLexerPython::TripleSingleQuotedString
    {73, 664, 1180},	// QsciLexerPython::UnclosedString
    {73, 728, 1136},	// QsciLexerPython::autoCompletionWordSeparators
    {73, 736, 1137},	// QsciLexerPython::blockLookback
    {73, 737, 1165},	// QsciLexerPython::blockStart
    {73, 738, 1138},	// QsciLexerPython::blockStart$
    {73, 742, 1139},	// QsciLexerPython::braceStyle
    {73, 785, 1140},	// QsciLexerPython::defaultColor$
    {73, 787, 1141},	// QsciLexerPython::defaultEolFill$
    {73, 789, 1142},	// QsciLexerPython::defaultFont$
    {73, 791, 1143},	// QsciLexerPython::defaultPaper$
    {73, 795, 1146},	// QsciLexerPython::description$
    {73, 847, 1148},	// QsciLexerPython::foldComments
    {73, 855, 1149},	// QsciLexerPython::foldQuotes
    {73, 880, 1144},	// QsciLexerPython::indentationGuideView
    {73, 882, 1150},	// QsciLexerPython::indentationWarning
    {73, 909, 1145},	// QsciLexerPython::keywords$
    {73, 910, 1134},	// QsciLexerPython::language
    {73, 915, 1135},	// QsciLexerPython::lexer
    {73, 964, 1126},	// QsciLexerPython::metaObject
    {73, 1003, 1132},	// QsciLexerPython::qt_metacall$$?
    {73, 1005, 1127},	// QsciLexerPython::qt_metacast$
    {73, 1009, 1160},	// QsciLexerPython::readProperties#$
    {73, 1018, 1147},	// QsciLexerPython::refreshProperties
    {73, 1136, 1157},	// QsciLexerPython::setFoldComments$
    {73, 1150, 1158},	// QsciLexerPython::setFoldQuotes$
    {73, 1172, 1159},	// QsciLexerPython::setIndentationWarning$
    {73, 1257, 1151},	// QsciLexerPython::setV2UnicodeAllowed$
    {73, 1259, 1153},	// QsciLexerPython::setV3BinaryOctalAllowed$
    {73, 1261, 1155},	// QsciLexerPython::setV3BytesAllowed$
    {73, 1282, 1166},	// QsciLexerPython::staticMetaObject
    {73, 1303, 1162},	// QsciLexerPython::tr$
    {73, 1304, 1128},	// QsciLexerPython::tr$$
    {73, 1305, 1130},	// QsciLexerPython::tr$$$
    {73, 1307, 1163},	// QsciLexerPython::trUtf8$
    {73, 1308, 1129},	// QsciLexerPython::trUtf8$$
    {73, 1309, 1131},	// QsciLexerPython::trUtf8$$$
    {73, 1317, 1152},	// QsciLexerPython::v2UnicodeAllowed
    {73, 1318, 1154},	// QsciLexerPython::v3BinaryOctalAllowed
    {73, 1319, 1156},	// QsciLexerPython::v3BytesAllowed
    {73, 1334, 1161},	// QsciLexerPython::writeProperties#$
    {73, 1372, 1188},	// QsciLexerPython::~QsciLexerPython
    {74, 81, 1234},	// QsciLexerRuby::Backticks
    {74, 117, 1224},	// QsciLexerRuby::ClassName
    {74, 119, 1233},	// QsciLexerRuby::ClassVariable
    {74, 123, 1218},	// QsciLexerRuby::Comment
    {74, 141, 1235},	// QsciLexerRuby::DataSection
    {74, 143, 1216},	// QsciLexerRuby::Default
    {74, 145, 1243},	// QsciLexerRuby::DemotedKeyword
    {74, 153, 1222},	// QsciLexerRuby::DoubleQuotedString
    {74, 170, 1217},	// QsciLexerRuby::Error
    {74, 184, 1225},	// QsciLexerRuby::FunctionMethodName
    {74, 185, 1229},	// QsciLexerRuby::Global
    {74, 197, 1237},	// QsciLexerRuby::HereDocument
    {74, 198, 1236},	// QsciLexerRuby::HereDocumentDelimiter
    {74, 206, 1227},	// QsciLexerRuby::Identifier
    {74, 213, 1232},	// QsciLexerRuby::InstanceVariable
    {74, 229, 1221},	// QsciLexerRuby::Keyword
    {74, 263, 1231},	// QsciLexerRuby::ModuleName
    {74, 272, 1220},	// QsciLexerRuby::Number
    {74, 276, 1226},	// QsciLexerRuby::Operator
    {74, 290, 1219},	// QsciLexerRuby::POD
    {74, 296, 1239},	// QsciLexerRuby::PercentStringQ
    {74, 297, 1238},	// QsciLexerRuby::PercentStringq
    {74, 298, 1241},	// QsciLexerRuby::PercentStringr
    {74, 299, 1242},	// QsciLexerRuby::PercentStringw
    {74, 300, 1240},	// QsciLexerRuby::PercentStringx
    {74, 396, 1211},	// QsciLexerRuby::QsciLexerRuby
    {74, 397, 1196},	// QsciLexerRuby::QsciLexerRuby#
    {74, 443, 1228},	// QsciLexerRuby::Regex
    {74, 614, 1223},	// QsciLexerRuby::SingleQuotedString
    {74, 624, 1246},	// QsciLexerRuby::Stderr
    {74, 625, 1244},	// QsciLexerRuby::Stdin
    {74, 626, 1245},	// QsciLexerRuby::Stdout
    {74, 638, 1230},	// QsciLexerRuby::Symbol
    {74, 734, 1212},	// QsciLexerRuby::blockEnd
    {74, 735, 1199},	// QsciLexerRuby::blockEnd$
    {74, 737, 1213},	// QsciLexerRuby::blockStart
    {74, 738, 1200},	// QsciLexerRuby::blockStart$
    {74, 739, 1214},	// QsciLexerRuby::blockStartKeyword
    {74, 740, 1201},	// QsciLexerRuby::blockStartKeyword$
    {74, 742, 1202},	// QsciLexerRuby::braceStyle
    {74, 785, 1203},	// QsciLexerRuby::defaultColor$
    {74, 787, 1204},	// QsciLexerRuby::defaultEolFill$
    {74, 789, 1205},	// QsciLexerRuby::defaultFont$
    {74, 791, 1206},	// QsciLexerRuby::defaultPaper$
    {74, 795, 1208},	// QsciLexerRuby::description$
    {74, 909, 1207},	// QsciLexerRuby::keywords$
    {74, 910, 1197},	// QsciLexerRuby::language
    {74, 915, 1198},	// QsciLexerRuby::lexer
    {74, 964, 1189},	// QsciLexerRuby::metaObject
    {74, 1003, 1195},	// QsciLexerRuby::qt_metacall$$?
    {74, 1005, 1190},	// QsciLexerRuby::qt_metacast$
    {74, 1282, 1215},	// QsciLexerRuby::staticMetaObject
    {74, 1303, 1209},	// QsciLexerRuby::tr$
    {74, 1304, 1191},	// QsciLexerRuby::tr$$
    {74, 1305, 1193},	// QsciLexerRuby::tr$$$
    {74, 1307, 1210},	// QsciLexerRuby::trUtf8$
    {74, 1308, 1192},	// QsciLexerRuby::trUtf8$$
    {74, 1309, 1194},	// QsciLexerRuby::trUtf8$$$
    {74, 1373, 1247},	// QsciLexerRuby::~QsciLexerRuby
    {75, 123, 1279},	// QsciLexerSQL::Comment
    {75, 126, 1281},	// QsciLexerSQL::CommentDoc
    {75, 127, 1292},	// QsciLexerSQL::CommentDocKeyword
    {75, 128, 1293},	// QsciLexerSQL::CommentDocKeywordError
    {75, 129, 1280},	// QsciLexerSQL::CommentLine
    {75, 131, 1291},	// QsciLexerSQL::CommentLineHash
    {75, 143, 1278},	// QsciLexerSQL::Default
    {75, 153, 1284},	// QsciLexerSQL::DoubleQuotedString
    {75, 206, 1289},	// QsciLexerSQL::Identifier
    {75, 229, 1283},	// QsciLexerSQL::Keyword
    {75, 234, 1294},	// QsciLexerSQL::KeywordSet5
    {75, 235, 1295},	// QsciLexerSQL::KeywordSet6
    {75, 236, 1296},	// QsciLexerSQL::KeywordSet7
    {75, 237, 1297},	// QsciLexerSQL::KeywordSet8
    {75, 272, 1282},	// QsciLexerSQL::Number
    {75, 276, 1288},	// QsciLexerSQL::Operator
    {75, 305, 1290},	// QsciLexerSQL::PlusComment
    {75, 306, 1286},	// QsciLexerSQL::PlusKeyword
    {75, 307, 1287},	// QsciLexerSQL::PlusPrompt
    {75, 398, 1276},	// QsciLexerSQL::QsciLexerSQL
    {75, 399, 1255},	// QsciLexerSQL::QsciLexerSQL#
    {75, 614, 1285},	// QsciLexerSQL::SingleQuotedString
    {75, 731, 1268},	// QsciLexerSQL::backslashEscapes
    {75, 742, 1258},	// QsciLexerSQL::braceStyle
    {75, 785, 1259},	// QsciLexerSQL::defaultColor$
    {75, 787, 1260},	// QsciLexerSQL::defaultEolFill$
    {75, 789, 1261},	// QsciLexerSQL::defaultFont$
    {75, 791, 1262},	// QsciLexerSQL::defaultPaper$
    {75, 795, 1264},	// QsciLexerSQL::description$
    {75, 847, 1266},	// QsciLexerSQL::foldComments
    {75, 848, 1267},	// QsciLexerSQL::foldCompact
    {75, 909, 1263},	// QsciLexerSQL::keywords$
    {75, 910, 1256},	// QsciLexerSQL::language
    {75, 915, 1257},	// QsciLexerSQL::lexer
    {75, 964, 1248},	// QsciLexerSQL::metaObject
    {75, 1003, 1254},	// QsciLexerSQL::qt_metacall$$?
    {75, 1005, 1249},	// QsciLexerSQL::qt_metacast$
    {75, 1009, 1272},	// QsciLexerSQL::readProperties#$
    {75, 1018, 1265},	// QsciLexerSQL::refreshProperties
    {75, 1070, 1271},	// QsciLexerSQL::setBackslashEscapes$
    {75, 1136, 1269},	// QsciLexerSQL::setFoldComments$
    {75, 1138, 1270},	// QsciLexerSQL::setFoldCompact$
    {75, 1282, 1277},	// QsciLexerSQL::staticMetaObject
    {75, 1303, 1274},	// QsciLexerSQL::tr$
    {75, 1304, 1250},	// QsciLexerSQL::tr$$
    {75, 1305, 1252},	// QsciLexerSQL::tr$$$
    {75, 1307, 1275},	// QsciLexerSQL::trUtf8$
    {75, 1308, 1251},	// QsciLexerSQL::trUtf8$$
    {75, 1309, 1253},	// QsciLexerSQL::trUtf8$$$
    {75, 1334, 1273},	// QsciLexerSQL::writeProperties#$
    {75, 1374, 1298},	// QsciLexerSQL::~QsciLexerSQL
    {76, 123, 1326},	// QsciLexerTCL::Comment
    {76, 124, 1346},	// QsciLexerTCL::CommentBlock
    {76, 125, 1345},	// QsciLexerTCL::CommentBox
    {76, 129, 1327},	// QsciLexerTCL::CommentLine
    {76, 143, 1325},	// QsciLexerTCL::Default
    {76, 172, 1336},	// QsciLexerTCL::ExpandKeyword
    {76, 205, 1339},	// QsciLexerTCL::ITCLKeyword
    {76, 206, 1332},	// QsciLexerTCL::Identifier
    {76, 235, 1341},	// QsciLexerTCL::KeywordSet6
    {76, 236, 1342},	// QsciLexerTCL::KeywordSet7
    {76, 237, 1343},	// QsciLexerTCL::KeywordSet8
    {76, 238, 1344},	// QsciLexerTCL::KeywordSet9
    {76, 262, 1335},	// QsciLexerTCL::Modifier
    {76, 272, 1328},	// QsciLexerTCL::Number
    {76, 276, 1331},	// QsciLexerTCL::Operator
    {76, 400, 1323},	// QsciLexerTCL::QsciLexerTCL
    {76, 401, 1306},	// QsciLexerTCL::QsciLexerTCL#
    {76, 433, 1329},	// QsciLexerTCL::QuotedKeyword
    {76, 434, 1330},	// QsciLexerTCL::QuotedString
    {76, 635, 1333},	// QsciLexerTCL::Substitution
    {76, 636, 1334},	// QsciLexerTCL::SubstitutionBrace
    {76, 644, 1337},	// QsciLexerTCL::TCLKeyword
    {76, 656, 1340},	// QsciLexerTCL::TkCommand
    {76, 657, 1338},	// QsciLexerTCL::TkKeyword
    {76, 742, 1309},	// QsciLexerTCL::braceStyle
    {76, 785, 1310},	// QsciLexerTCL::defaultColor$
    {76, 787, 1311},	// QsciLexerTCL::defaultEolFill$
    {76, 789, 1312},	// QsciLexerTCL::defaultFont$
    {76, 791, 1313},	// QsciLexerTCL::defaultPaper$
    {76, 795, 1315},	// QsciLexerTCL::description$
    {76, 848, 1317},	// QsciLexerTCL::foldCompact
    {76, 909, 1314},	// QsciLexerTCL::keywords$
    {76, 910, 1307},	// QsciLexerTCL::language
    {76, 915, 1308},	// QsciLexerTCL::lexer
    {76, 964, 1299},	// QsciLexerTCL::metaObject
    {76, 1003, 1305},	// QsciLexerTCL::qt_metacall$$?
    {76, 1005, 1300},	// QsciLexerTCL::qt_metacast$
    {76, 1009, 1319},	// QsciLexerTCL::readProperties#$
    {76, 1018, 1316},	// QsciLexerTCL::refreshProperties
    {76, 1138, 1318},	// QsciLexerTCL::setFoldCompact$
    {76, 1282, 1324},	// QsciLexerTCL::staticMetaObject
    {76, 1303, 1321},	// QsciLexerTCL::tr$
    {76, 1304, 1301},	// QsciLexerTCL::tr$$
    {76, 1305, 1303},	// QsciLexerTCL::tr$$$
    {76, 1307, 1322},	// QsciLexerTCL::trUtf8$
    {76, 1308, 1302},	// QsciLexerTCL::trUtf8$$
    {76, 1309, 1304},	// QsciLexerTCL::trUtf8$$$
    {76, 1334, 1320},	// QsciLexerTCL::writeProperties#$
    {76, 1375, 1347},	// QsciLexerTCL::~QsciLexerTCL
    {77, 122, 1370},	// QsciLexerTeX::Command
    {77, 143, 1366},	// QsciLexerTeX::Default
    {77, 188, 1368},	// QsciLexerTeX::Group
    {77, 402, 1364},	// QsciLexerTeX::QsciLexerTeX
    {77, 403, 1355},	// QsciLexerTeX::QsciLexerTeX#
    {77, 619, 1367},	// QsciLexerTeX::Special
    {77, 638, 1369},	// QsciLexerTeX::Symbol
    {77, 650, 1371},	// QsciLexerTeX::Text
    {77, 785, 1359},	// QsciLexerTeX::defaultColor$
    {77, 795, 1361},	// QsciLexerTeX::description$
    {77, 909, 1360},	// QsciLexerTeX::keywords$
    {77, 910, 1356},	// QsciLexerTeX::language
    {77, 915, 1357},	// QsciLexerTeX::lexer
    {77, 964, 1348},	// QsciLexerTeX::metaObject
    {77, 1003, 1354},	// QsciLexerTeX::qt_metacall$$?
    {77, 1005, 1349},	// QsciLexerTeX::qt_metacast$
    {77, 1282, 1365},	// QsciLexerTeX::staticMetaObject
    {77, 1303, 1362},	// QsciLexerTeX::tr$
    {77, 1304, 1350},	// QsciLexerTeX::tr$$
    {77, 1305, 1352},	// QsciLexerTeX::tr$$$
    {77, 1307, 1363},	// QsciLexerTeX::trUtf8$
    {77, 1308, 1351},	// QsciLexerTeX::trUtf8$$
    {77, 1309, 1353},	// QsciLexerTeX::trUtf8$$$
    {77, 1329, 1358},	// QsciLexerTeX::wordCharacters
    {77, 1376, 1372},	// QsciLexerTeX::~QsciLexerTeX
    {78, 66, 1417},	// QsciLexerVHDL::Attribute
    {78, 123, 1408},	// QsciLexerVHDL::Comment
    {78, 129, 1409},	// QsciLexerVHDL::CommentLine
    {78, 143, 1407},	// QsciLexerVHDL::Default
    {78, 206, 1413},	// QsciLexerVHDL::Identifier
    {78, 229, 1415},	// QsciLexerVHDL::Keyword
    {78, 236, 1421},	// QsciLexerVHDL::KeywordSet7
    {78, 272, 1410},	// QsciLexerVHDL::Number
    {78, 276, 1412},	// QsciLexerVHDL::Operator
    {78, 404, 1405},	// QsciLexerVHDL::QsciLexerVHDL
    {78, 405, 1380},	// QsciLexerVHDL::QsciLexerVHDL#
    {78, 620, 1418},	// QsciLexerVHDL::StandardFunction
    {78, 621, 1416},	// QsciLexerVHDL::StandardOperator
    {78, 622, 1419},	// QsciLexerVHDL::StandardPackage
    {78, 623, 1420},	// QsciLexerVHDL::StandardType
    {78, 628, 1411},	// QsciLexerVHDL::String
    {78, 664, 1414},	// QsciLexerVHDL::UnclosedString
    {78, 742, 1383},	// QsciLexerVHDL::braceStyle
    {78, 785, 1384},	// QsciLexerVHDL::defaultColor$
    {78, 787, 1385},	// QsciLexerVHDL::defaultEolFill$
    {78, 789, 1386},	// QsciLexerVHDL::defaultFont$
    {78, 791, 1387},	// QsciLexerVHDL::defaultPaper$
    {78, 795, 1389},	// QsciLexerVHDL::description$
    {78, 844, 1394},	// QsciLexerVHDL::foldAtBegin
    {78, 845, 1393},	// QsciLexerVHDL::foldAtElse
    {78, 846, 1395},	// QsciLexerVHDL::foldAtParenthesis
    {78, 847, 1391},	// QsciLexerVHDL::foldComments
    {78, 848, 1392},	// QsciLexerVHDL::foldCompact
    {78, 909, 1388},	// QsciLexerVHDL::keywords$
    {78, 910, 1381},	// QsciLexerVHDL::language
    {78, 915, 1382},	// QsciLexerVHDL::lexer
    {78, 964, 1373},	// QsciLexerVHDL::metaObject
    {78, 1003, 1379},	// QsciLexerVHDL::qt_metacall$$?
    {78, 1005, 1374},	// QsciLexerVHDL::qt_metacast$
    {78, 1009, 1401},	// QsciLexerVHDL::readProperties#$
    {78, 1018, 1390},	// QsciLexerVHDL::refreshProperties
    {78, 1130, 1399},	// QsciLexerVHDL::setFoldAtBegin$
    {78, 1132, 1398},	// QsciLexerVHDL::setFoldAtElse$
    {78, 1134, 1400},	// QsciLexerVHDL::setFoldAtParenthesis$
    {78, 1136, 1396},	// QsciLexerVHDL::setFoldComments$
    {78, 1138, 1397},	// QsciLexerVHDL::setFoldCompact$
    {78, 1282, 1406},	// QsciLexerVHDL::staticMetaObject
    {78, 1303, 1403},	// QsciLexerVHDL::tr$
    {78, 1304, 1375},	// QsciLexerVHDL::tr$$
    {78, 1305, 1377},	// QsciLexerVHDL::tr$$$
    {78, 1307, 1404},	// QsciLexerVHDL::trUtf8$
    {78, 1308, 1376},	// QsciLexerVHDL::trUtf8$$
    {78, 1309, 1378},	// QsciLexerVHDL::trUtf8$$$
    {78, 1334, 1402},	// QsciLexerVHDL::writeProperties#$
    {78, 1377, 1422},	// QsciLexerVHDL::~QsciLexerVHDL
    {79, 406, 1445},	// QsciLexerXML::QsciLexerXML
    {79, 407, 1430},	// QsciLexerXML::QsciLexerXML#
    {79, 785, 1433},	// QsciLexerXML::defaultColor$
    {79, 787, 1434},	// QsciLexerXML::defaultEolFill$
    {79, 789, 1435},	// QsciLexerXML::defaultFont$
    {79, 791, 1436},	// QsciLexerXML::defaultPaper$
    {79, 909, 1437},	// QsciLexerXML::keywords$
    {79, 910, 1431},	// QsciLexerXML::language
    {79, 915, 1432},	// QsciLexerXML::lexer
    {79, 964, 1423},	// QsciLexerXML::metaObject
    {79, 1003, 1429},	// QsciLexerXML::qt_metacall$$?
    {79, 1005, 1424},	// QsciLexerXML::qt_metacast$
    {79, 1009, 1441},	// QsciLexerXML::readProperties#$
    {79, 1018, 1438},	// QsciLexerXML::refreshProperties
    {79, 1034, 1440},	// QsciLexerXML::scriptsStyled
    {79, 1224, 1439},	// QsciLexerXML::setScriptsStyled$
    {79, 1282, 1446},	// QsciLexerXML::staticMetaObject
    {79, 1303, 1443},	// QsciLexerXML::tr$
    {79, 1304, 1425},	// QsciLexerXML::tr$$
    {79, 1305, 1427},	// QsciLexerXML::tr$$$
    {79, 1307, 1444},	// QsciLexerXML::trUtf8$
    {79, 1308, 1426},	// QsciLexerXML::trUtf8$$
    {79, 1309, 1428},	// QsciLexerXML::trUtf8$$$
    {79, 1334, 1442},	// QsciLexerXML::writeProperties#$
    {79, 1378, 1447},	// QsciLexerXML::~QsciLexerXML
    {80, 123, 1474},	// QsciLexerYAML::Comment
    {80, 143, 1473},	// QsciLexerYAML::Default
    {80, 150, 1479},	// QsciLexerYAML::DocumentDelimiter
    {80, 206, 1475},	// QsciLexerYAML::Identifier
    {80, 229, 1476},	// QsciLexerYAML::Keyword
    {80, 272, 1477},	// QsciLexerYAML::Number
    {80, 276, 1482},	// QsciLexerYAML::Operator
    {80, 408, 1471},	// QsciLexerYAML::QsciLexerYAML
    {80, 409, 1455},	// QsciLexerYAML::QsciLexerYAML#
    {80, 442, 1478},	// QsciLexerYAML::Reference
    {80, 643, 1481},	// QsciLexerYAML::SyntaxErrorMarker
    {80, 651, 1480},	// QsciLexerYAML::TextBlockMarker
    {80, 785, 1458},	// QsciLexerYAML::defaultColor$
    {80, 787, 1459},	// QsciLexerYAML::defaultEolFill$
    {80, 789, 1460},	// QsciLexerYAML::defaultFont$
    {80, 791, 1461},	// QsciLexerYAML::defaultPaper$
    {80, 795, 1463},	// QsciLexerYAML::description$
    {80, 847, 1465},	// QsciLexerYAML::foldComments
    {80, 909, 1462},	// QsciLexerYAML::keywords$
    {80, 910, 1456},	// QsciLexerYAML::language
    {80, 915, 1457},	// QsciLexerYAML::lexer
    {80, 964, 1448},	// QsciLexerYAML::metaObject
    {80, 1003, 1454},	// QsciLexerYAML::qt_metacall$$?
    {80, 1005, 1449},	// QsciLexerYAML::qt_metacast$
    {80, 1009, 1467},	// QsciLexerYAML::readProperties#$
    {80, 1018, 1464},	// QsciLexerYAML::refreshProperties
    {80, 1136, 1466},	// QsciLexerYAML::setFoldComments$
    {80, 1282, 1472},	// QsciLexerYAML::staticMetaObject
    {80, 1303, 1469},	// QsciLexerYAML::tr$
    {80, 1304, 1450},	// QsciLexerYAML::tr$$
    {80, 1305, 1452},	// QsciLexerYAML::tr$$$
    {80, 1307, 1470},	// QsciLexerYAML::trUtf8$
    {80, 1308, 1451},	// QsciLexerYAML::trUtf8$$
    {80, 1309, 1453},	// QsciLexerYAML::trUtf8$$$
    {80, 1334, 1468},	// QsciLexerYAML::writeProperties#$
    {80, 1379, 1483},	// QsciLexerYAML::~QsciLexerYAML
    {81, 411, 1491},	// QsciMacro::QsciMacro#
    {81, 412, 1492},	// QsciMacro::QsciMacro$#
    {81, 757, 1493},	// QsciMacro::clear
    {81, 813, 1498},	// QsciMacro::endRecording
    {81, 926, 1494},	// QsciMacro::load$
    {81, 964, 1484},	// QsciMacro::metaObject
    {81, 991, 1496},	// QsciMacro::play
    {81, 1003, 1490},	// QsciMacro::qt_metacall$$?
    {81, 1005, 1485},	// QsciMacro::qt_metacast$
    {81, 1031, 1495},	// QsciMacro::save
    {81, 1278, 1497},	// QsciMacro::startRecording
    {81, 1282, 1501},	// QsciMacro::staticMetaObject
    {81, 1303, 1499},	// QsciMacro::tr$
    {81, 1304, 1486},	// QsciMacro::tr$$
    {81, 1305, 1488},	// QsciMacro::tr$$$
    {81, 1307, 1500},	// QsciMacro::trUtf8$
    {81, 1308, 1487},	// QsciMacro::trUtf8$$
    {81, 1309, 1489},	// QsciMacro::trUtf8$$$
    {81, 1380, 1502},	// QsciMacro::~QsciMacro
    {82, 413, 1510},	// QsciPrinter::QsciPrinter
    {82, 414, 1503},	// QsciPrinter::QsciPrinter$
    {82, 865, 1504},	// QsciPrinter::formatPage#$#$
    {82, 929, 1505},	// QsciPrinter::magnification
    {82, 997, 1511},	// QsciPrinter::printRange#
    {82, 998, 1512},	// QsciPrinter::printRange#$
    {82, 999, 1507},	// QsciPrinter::printRange#$$
    {82, 1184, 1506},	// QsciPrinter::setMagnification$
    {82, 1267, 1509},	// QsciPrinter::setWrapMode$
    {82, 1330, 1508},	// QsciPrinter::wrapMode
    {82, 1381, 1513},	// QsciPrinter::~QsciPrinter
    {83, 49, 1763},	// QsciScintilla::AcsAPIs
    {83, 50, 1761},	// QsciScintilla::AcsAll
    {83, 51, 1762},	// QsciScintilla::AcsDocument
    {83, 52, 1760},	// QsciScintilla::AcsNone
    {83, 54, 1756},	// QsciScintilla::AiClosing
    {83, 55, 1754},	// QsciScintilla::AiMaintain
    {83, 56, 1755},	// QsciScintilla::AiOpening
    {83, 58, 1759},	// QsciScintilla::AnnotationBoxed
    {83, 59, 1757},	// QsciScintilla::AnnotationHidden
    {83, 60, 1758},	// QsciScintilla::AnnotationStandard
    {83, 79, 1811},	// QsciScintilla::Background
    {83, 90, 1799},	// QsciScintilla::BottomLeftCorner
    {83, 92, 1780},	// QsciScintilla::BoxedFoldStyle
    {83, 93, 1803},	// QsciScintilla::BoxedMinus
    {83, 94, 1804},	// QsciScintilla::BoxedMinusConnected
    {83, 95, 1801},	// QsciScintilla::BoxedPlus
    {83, 96, 1802},	// QsciScintilla::BoxedPlusConnected
    {83, 97, 1782},	// QsciScintilla::BoxedTreeFoldStyle
    {83, 103, 1770},	// QsciScintilla::CallTipsContext
    {83, 104, 1769},	// QsciScintilla::CallTipsNoAutoCompletionContext
    {83, 105, 1768},	// QsciScintilla::CallTipsNoContext
    {83, 106, 1767},	// QsciScintilla::CallTipsNone
    {83, 110, 1789},	// QsciScintilla::Circle
    {83, 111, 1779},	// QsciScintilla::CircledFoldStyle
    {83, 112, 1809},	// QsciScintilla::CircledMinus
    {83, 113, 1810},	// QsciScintilla::CircledMinusConnected
    {83, 114, 1807},	// QsciScintilla::CircledPlus
    {83, 115, 1808},	// QsciScintilla::CircledPlusConnected
    {83, 116, 1781},	// QsciScintilla::CircledTreeFoldStyle
    {83, 154, 1795},	// QsciScintilla::DownTriangle
    {83, 161, 1773},	// QsciScintilla::EdgeBackground
    {83, 162, 1772},	// QsciScintilla::EdgeLine
    {83, 163, 1771},	// QsciScintilla::EdgeNone
    {83, 167, 1776},	// QsciScintilla::EolMac
    {83, 168, 1775},	// QsciScintilla::EolUnix
    {83, 169, 1774},	// QsciScintilla::EolWindows
    {83, 215, 1794},	// QsciScintilla::Invisible
    {83, 245, 1806},	// QsciScintilla::LeftSideRoundedSplitter
    {83, 246, 1800},	// QsciScintilla::LeftSideSplitter
    {83, 261, 1796},	// QsciScintilla::Minus
    {83, 268, 1764},	// QsciScintilla::NoBraceMatch
    {83, 269, 1777},	// QsciScintilla::NoFoldStyle
    {83, 273, 1786},	// QsciScintilla::NumberMargin
    {83, 303, 1778},	// QsciScintilla::PlainFoldStyle
    {83, 304, 1797},	// QsciScintilla::Plus
    {83, 415, 1731},	// QsciScintilla::QsciScintilla
    {83, 416, 1521},	// QsciScintilla::QsciScintilla#
    {83, 441, 1790},	// QsciScintilla::Rectangle
    {83, 444, 1793},	// QsciScintilla::RightArrow
    {83, 445, 1791},	// QsciScintilla::RightTriangle
    {83, 446, 1805},	// QsciScintilla::RoundedBottomLeftCorner
    {83, 615, 1766},	// QsciScintilla::SloppyBraceMatch
    {83, 617, 1792},	// QsciScintilla::SmallRectangle
    {83, 627, 1765},	// QsciScintilla::StrictBraceMatch
    {83, 639, 1783},	// QsciScintilla::SymbolMargin
    {83, 640, 1785},	// QsciScintilla::SymbolMarginDefaultBackgroundColor
    {83, 641, 1784},	// QsciScintilla::SymbolMarginDefaultForegroundColor
    {83, 652, 1787},	// QsciScintilla::TextMargin
    {83, 653, 1788},	// QsciScintilla::TextMarginRightJustified
    {83, 654, 1812},	// QsciScintilla::ThreeDots
    {83, 655, 1813},	// QsciScintilla::ThreeRightArrows
    {83, 682, 1798},	// QsciScintilla::VerticalLine
    {83, 684, 1819},	// QsciScintilla::WrapCharacter
    {83, 685, 1822},	// QsciScintilla::WrapFlagByBorder
    {83, 686, 1821},	// QsciScintilla::WrapFlagByText
    {83, 687, 1820},	// QsciScintilla::WrapFlagNone
    {83, 688, 1817},	// QsciScintilla::WrapNone
    {83, 689, 1818},	// QsciScintilla::WrapWord
    {83, 690, 1814},	// QsciScintilla::WsInvisible
    {83, 691, 1815},	// QsciScintilla::WsVisible
    {83, 692, 1816},	// QsciScintilla::WsVisibleAfterIndent
    {83, 701, 1525},	// QsciScintilla::annotate$#
    {83, 702, 1524},	// QsciScintilla::annotate$$#
    {83, 703, 1523},	// QsciScintilla::annotate$$$
    {83, 704, 1526},	// QsciScintilla::annotate$?
    {83, 706, 1527},	// QsciScintilla::annotation$
    {83, 707, 1528},	// QsciScintilla::annotationDisplay
    {83, 709, 1522},	// QsciScintilla::apiContext$$$
    {83, 715, 1646},	// QsciScintilla::append$
    {83, 716, 1648},	// QsciScintilla::autoCompleteFromAPIs
    {83, 717, 1647},	// QsciScintilla::autoCompleteFromAll
    {83, 718, 1649},	// QsciScintilla::autoCompleteFromDocument
    {83, 719, 1530},	// QsciScintilla::autoCompletionCaseSensitivity
    {83, 721, 1531},	// QsciScintilla::autoCompletionFillupsEnabled
    {83, 722, 1532},	// QsciScintilla::autoCompletionReplaceWord
    {83, 725, 1533},	// QsciScintilla::autoCompletionShowSingle
    {83, 726, 1534},	// QsciScintilla::autoCompletionSource
    {83, 727, 1535},	// QsciScintilla::autoCompletionThreshold
    {83, 729, 1536},	// QsciScintilla::autoIndent
    {83, 732, 1537},	// QsciScintilla::backspaceUnindents
    {83, 733, 1538},	// QsciScintilla::beginUndoAction
    {83, 741, 1539},	// QsciScintilla::braceMatching
    {83, 743, 1650},	// QsciScintilla::callTip
    {83, 746, 1540},	// QsciScintilla::callTipsStyle
    {83, 747, 1541},	// QsciScintilla::callTipsVisible
    {83, 750, 1542},	// QsciScintilla::cancelList
    {83, 752, 1543},	// QsciScintilla::caseSensitive
    {83, 757, 1651},	// QsciScintilla::clear
    {83, 759, 1732},	// QsciScintilla::clearAnnotations
    {83, 760, 1529},	// QsciScintilla::clearAnnotations$
    {83, 761, 1544},	// QsciScintilla::clearFolds
    {83, 763, 1744},	// QsciScintilla::clearMarginText
    {83, 764, 1623},	// QsciScintilla::clearMarginText$
    {83, 765, 1545},	// QsciScintilla::clearRegisteredImages
    {83, 767, 1546},	// QsciScintilla::color
    {83, 776, 1547},	// QsciScintilla::convertEols$
    {83, 777, 1652},	// QsciScintilla::copy
    {83, 779, 1721},	// QsciScintilla::copyAvailable$
    {83, 781, 1720},	// QsciScintilla::cursorPositionChanged$$
    {83, 783, 1653},	// QsciScintilla::cut
    {83, 798, 1548},	// QsciScintilla::document
    {83, 808, 1550},	// QsciScintilla::edgeColor
    {83, 809, 1551},	// QsciScintilla::edgeColumn
    {83, 810, 1552},	// QsciScintilla::edgeMode
    {83, 814, 1549},	// QsciScintilla::endUndoAction
    {83, 815, 1654},	// QsciScintilla::ensureCursorVisible
    {83, 817, 1655},	// QsciScintilla::ensureLineVisible$
    {83, 823, 1554},	// QsciScintilla::eolMode
    {83, 824, 1555},	// QsciScintilla::eolVisibility
    {83, 829, 1733},	// QsciScintilla::findFirst$$$$$
    {83, 830, 1734},	// QsciScintilla::findFirst$$$$$$
    {83, 831, 1735},	// QsciScintilla::findFirst$$$$$$$
    {83, 832, 1736},	// QsciScintilla::findFirst$$$$$$$$
    {83, 833, 1556},	// QsciScintilla::findFirst$$$$$$$$$
    {83, 834, 1557},	// QsciScintilla::findNext
    {83, 835, 1558},	// QsciScintilla::firstVisibleLine
    {83, 842, 1749},	// QsciScintilla::foldAll
    {83, 843, 1656},	// QsciScintilla::foldAll$
    {83, 851, 1657},	// QsciScintilla::foldLine$
    {83, 858, 1559},	// QsciScintilla::folding
    {83, 869, 1560},	// QsciScintilla::getCursorPosition$$
    {83, 871, 1561},	// QsciScintilla::getSelection$$$$
    {83, 872, 1562},	// QsciScintilla::hasSelectedText
    {83, 877, 1658},	// QsciScintilla::indent$
    {83, 879, 1563},	// QsciScintilla::indentation$
    {83, 881, 1564},	// QsciScintilla::indentationGuides
    {83, 883, 1566},	// QsciScintilla::indentationWidth
    {83, 884, 1565},	// QsciScintilla::indentationsUseTabs
    {83, 889, 1659},	// QsciScintilla::insert$
    {83, 891, 1660},	// QsciScintilla::insertAt$$$
    {83, 893, 1567},	// QsciScintilla::isCallTipActive
    {83, 894, 1568},	// QsciScintilla::isListActive
    {83, 895, 1569},	// QsciScintilla::isModified
    {83, 898, 1570},	// QsciScintilla::isReadOnly
    {83, 899, 1571},	// QsciScintilla::isRedoAvailable
    {83, 900, 1572},	// QsciScintilla::isUndoAvailable
    {83, 901, 1573},	// QsciScintilla::isUtf8
    {83, 903, 1574},	// QsciScintilla::isWordCharacter$
    {83, 913, 1579},	// QsciScintilla::length
    {83, 915, 1580},	// QsciScintilla::lexer
    {83, 918, 1575},	// QsciScintilla::lineAt#
    {83, 920, 1576},	// QsciScintilla::lineIndexFromPosition$$$
    {83, 922, 1577},	// QsciScintilla::lineLength$
    {83, 923, 1578},	// QsciScintilla::lines
    {83, 924, 1722},	// QsciScintilla::linesChanged
    {83, 931, 1723},	// QsciScintilla::marginClicked$$$
    {83, 933, 1581},	// QsciScintilla::marginLineNumbers$
    {83, 935, 1582},	// QsciScintilla::marginMarkerMask$
    {83, 937, 1583},	// QsciScintilla::marginSensitivity$
    {83, 939, 1584},	// QsciScintilla::marginType$
    {83, 941, 1585},	// QsciScintilla::marginWidth$
    {83, 943, 1589},	// QsciScintilla::markerAdd$$
    {83, 945, 1739},	// QsciScintilla::markerDefine#
    {83, 946, 1588},	// QsciScintilla::markerDefine#$
    {83, 947, -3409},	// QsciScintilla::markerDefine$
    {83, 948, -3412},	// QsciScintilla::markerDefine$$
    {83, 950, 1740},	// QsciScintilla::markerDelete$
    {83, 951, 1591},	// QsciScintilla::markerDelete$$
    {83, 952, 1741},	// QsciScintilla::markerDeleteAll
    {83, 953, 1592},	// QsciScintilla::markerDeleteAll$
    {83, 955, 1593},	// QsciScintilla::markerDeleteHandle$
    {83, 957, 1595},	// QsciScintilla::markerFindNext$$
    {83, 959, 1596},	// QsciScintilla::markerFindPrevious$$
    {83, 961, 1594},	// QsciScintilla::markerLine$
    {83, 963, 1590},	// QsciScintilla::markersAtLine$
    {83, 964, 1514},	// QsciScintilla::metaObject
    {83, 967, 1724},	// QsciScintilla::modificationAttempted
    {83, 969, 1725},	// QsciScintilla::modificationChanged$
    {83, 979, 1661},	// QsciScintilla::moveToMatchingBrace
    {83, 986, 1597},	// QsciScintilla::paper
    {83, 990, 1662},	// QsciScintilla::paste
    {83, 994, 1598},	// QsciScintilla::positionFromLineIndex$$
    {83, 1003, 1520},	// QsciScintilla::qt_metacall$$?
    {83, 1005, 1515},	// QsciScintilla::qt_metacast$
    {83, 1007, 1599},	// QsciScintilla::read#
    {83, 1013, 1742},	// QsciScintilla::recolor
    {83, 1014, 1743},	// QsciScintilla::recolor$
    {83, 1015, 1600},	// QsciScintilla::recolor$$
    {83, 1016, 1663},	// QsciScintilla::redo
    {83, 1020, 1601},	// QsciScintilla::registerImage$#
    {83, 1023, 1664},	// QsciScintilla::removeSelectedText
    {83, 1025, 1602},	// QsciScintilla::replace$
    {83, 1026, 1603},	// QsciScintilla::resetFoldMarginColors
    {83, 1027, 1665},	// QsciScintilla::resetSelectionBackgroundColor
    {83, 1028, 1666},	// QsciScintilla::resetSelectionForegroundColor
    {83, 1037, 1750},	// QsciScintilla::selectAll
    {83, 1038, 1667},	// QsciScintilla::selectAll$
    {83, 1039, 1668},	// QsciScintilla::selectToMatchingBrace
    {83, 1040, 1631},	// QsciScintilla::selectedText
    {83, 1041, 1726},	// QsciScintilla::selectionChanged
    {83, 1042, 1632},	// QsciScintilla::selectionToEol
    {83, 1048, 1605},	// QsciScintilla::setAnnotationDisplay$
    {83, 1050, 1669},	// QsciScintilla::setAutoCompletionCaseSensitivity$
    {83, 1052, 1607},	// QsciScintilla::setAutoCompletionFillups$
    {83, 1054, 1606},	// QsciScintilla::setAutoCompletionFillupsEnabled$
    {83, 1056, 1670},	// QsciScintilla::setAutoCompletionReplaceWord$
    {83, 1058, 1671},	// QsciScintilla::setAutoCompletionShowSingle$
    {83, 1060, 1672},	// QsciScintilla::setAutoCompletionSource$
    {83, 1062, 1673},	// QsciScintilla::setAutoCompletionThreshold$
    {83, 1064, 1608},	// QsciScintilla::setAutoCompletionWordSeparators?
    {83, 1066, 1674},	// QsciScintilla::setAutoIndent$
    {83, 1072, 1676},	// QsciScintilla::setBackspaceUnindents$
    {83, 1074, 1675},	// QsciScintilla::setBraceMatching$
    {83, 1076, 1609},	// QsciScintilla::setCallTipsBackgroundColor#
    {83, 1078, 1610},	// QsciScintilla::setCallTipsForegroundColor#
    {83, 1080, 1611},	// QsciScintilla::setCallTipsHighlightColor#
    {83, 1082, 1612},	// QsciScintilla::setCallTipsStyle$
    {83, 1084, 1613},	// QsciScintilla::setCallTipsVisible$
    {83, 1086, 1677},	// QsciScintilla::setCaretForegroundColor#
    {83, 1088, 1678},	// QsciScintilla::setCaretLineBackgroundColor#
    {83, 1090, 1679},	// QsciScintilla::setCaretLineVisible$
    {83, 1092, 1680},	// QsciScintilla::setCaretWidth$
    {83, 1098, 1681},	// QsciScintilla::setColor#
    {83, 1101, 1682},	// QsciScintilla::setCursorPosition$$
    {83, 1111, 1614},	// QsciScintilla::setDocument#
    {83, 1115, 1615},	// QsciScintilla::setEdgeColor#
    {83, 1117, 1616},	// QsciScintilla::setEdgeColumn$
    {83, 1119, 1617},	// QsciScintilla::setEdgeMode$
    {83, 1126, 1683},	// QsciScintilla::setEolMode$
    {83, 1128, 1684},	// QsciScintilla::setEolVisibility$
    {83, 1142, 1604},	// QsciScintilla::setFoldMarginColors##
    {83, 1156, 1751},	// QsciScintilla::setFolding$
    {83, 1157, 1685},	// QsciScintilla::setFolding$$
    {83, 1159, 1553},	// QsciScintilla::setFont#
    {83, 1164, 1686},	// QsciScintilla::setIndentation$$
    {83, 1166, 1687},	// QsciScintilla::setIndentationGuides$
    {83, 1168, 1688},	// QsciScintilla::setIndentationGuidesBackgroundColor#
    {83, 1170, 1689},	// QsciScintilla::setIndentationGuidesForegroundColor#
    {83, 1174, 1691},	// QsciScintilla::setIndentationWidth$
    {83, 1176, 1690},	// QsciScintilla::setIndentationsUseTabs$
    {83, 1181, 1752},	// QsciScintilla::setLexer
    {83, 1182, 1692},	// QsciScintilla::setLexer#
    {83, 1186, 1696},	// QsciScintilla::setMarginLineNumbers$$
    {83, 1188, 1697},	// QsciScintilla::setMarginMarkerMask$$
    {83, 1190, 1698},	// QsciScintilla::setMarginSensitivity$$
    {83, 1192, 1620},	// QsciScintilla::setMarginText$#
    {83, 1193, 1619},	// QsciScintilla::setMarginText$$#
    {83, 1194, 1618},	// QsciScintilla::setMarginText$$$
    {83, 1195, 1621},	// QsciScintilla::setMarginText$?
    {83, 1197, 1622},	// QsciScintilla::setMarginType$$
    {83, 1199, -3415},	// QsciScintilla::setMarginWidth$$
    {83, 1201, 1693},	// QsciScintilla::setMarginsBackgroundColor#
    {83, 1203, 1694},	// QsciScintilla::setMarginsFont#
    {83, 1205, 1695},	// QsciScintilla::setMarginsForegroundColor#
    {83, 1207, 1745},	// QsciScintilla::setMarkerBackgroundColor#
    {83, 1208, 1624},	// QsciScintilla::setMarkerBackgroundColor#$
    {83, 1210, 1746},	// QsciScintilla::setMarkerForegroundColor#
    {83, 1211, 1625},	// QsciScintilla::setMarkerForegroundColor#$
    {83, 1213, 1626},	// QsciScintilla::setMatchedBraceBackgroundColor#
    {83, 1215, 1627},	// QsciScintilla::setMatchedBraceForegroundColor#
    {83, 1217, 1701},	// QsciScintilla::setModified$
    {83, 1219, 1702},	// QsciScintilla::setPaper#
    {83, 1222, 1703},	// QsciScintilla::setReadOnly$
    {83, 1226, 1704},	// QsciScintilla::setSelection$$$$
    {83, 1228, 1705},	// QsciScintilla::setSelectionBackgroundColor#
    {83, 1230, 1706},	// QsciScintilla::setSelectionForegroundColor#
    {83, 1232, 1633},	// QsciScintilla::setSelectionToEol$
    {83, 1241, 1707},	// QsciScintilla::setTabIndents$
    {83, 1243, 1708},	// QsciScintilla::setTabWidth$
    {83, 1245, 1709},	// QsciScintilla::setText$
    {83, 1251, 1628},	// QsciScintilla::setUnmatchedBraceBackgroundColor#
    {83, 1253, 1629},	// QsciScintilla::setUnmatchedBraceForegroundColor#
    {83, 1255, 1710},	// QsciScintilla::setUtf8$
    {83, 1265, 1711},	// QsciScintilla::setWhitespaceVisibility$
    {83, 1267, 1712},	// QsciScintilla::setWrapMode$
    {83, 1269, 1747},	// QsciScintilla::setWrapVisualFlags$
    {83, 1270, 1748},	// QsciScintilla::setWrapVisualFlags$$
    {83, 1271, 1630},	// QsciScintilla::setWrapVisualFlags$$$
    {83, 1274, 1634},	// QsciScintilla::showUserList$?
    {83, 1277, 1635},	// QsciScintilla::standardCommands
    {83, 1282, 1753},	// QsciScintilla::staticMetaObject
    {83, 1289, 1636},	// QsciScintilla::tabIndents
    {83, 1290, 1637},	// QsciScintilla::tabWidth
    {83, 1292, 1638},	// QsciScintilla::text
    {83, 1293, 1639},	// QsciScintilla::text$
    {83, 1295, 1727},	// QsciScintilla::textChanged
    {83, 1297, 1640},	// QsciScintilla::textHeight$
    {83, 1303, 1729},	// QsciScintilla::tr$
    {83, 1304, 1516},	// QsciScintilla::tr$$
    {83, 1305, 1518},	// QsciScintilla::tr$$$
    {83, 1307, 1730},	// QsciScintilla::trUtf8$
    {83, 1308, 1517},	// QsciScintilla::trUtf8$$
    {83, 1309, 1519},	// QsciScintilla::trUtf8$$$
    {83, 1310, 1713},	// QsciScintilla::undo
    {83, 1312, 1714},	// QsciScintilla::unindent$
    {83, 1316, 1728},	// QsciScintilla::userListActivated$$
    {83, 1325, 1641},	// QsciScintilla::whitespaceVisibility
    {83, 1328, 1642},	// QsciScintilla::wordAtPoint#
    {83, 1329, 1643},	// QsciScintilla::wordCharacters
    {83, 1330, 1644},	// QsciScintilla::wrapMode
    {83, 1332, 1645},	// QsciScintilla::write#
    {83, 1339, 1716},	// QsciScintilla::zoomIn
    {83, 1340, 1715},	// QsciScintilla::zoomIn$
    {83, 1341, 1718},	// QsciScintilla::zoomOut
    {83, 1342, 1717},	// QsciScintilla::zoomOut$
    {83, 1344, 1719},	// QsciScintilla::zoomTo$
    {83, 1382, 1823},	// QsciScintilla::~QsciScintilla
    {84, 335, 1846},	// QsciScintillaBase::QSCN_SELCHANGED$
    {84, 417, 1894},	// QsciScintillaBase::QsciScintillaBase
    {84, 418, 1831},	// QsciScintillaBase::QsciScintillaBase#
    {84, 447, 1850},	// QsciScintillaBase::SCEN_CHANGE
    {84, 448, -1},	// QsciScintillaBase::SCLEX_ABAQUS
    {84, 449, -36},	// QsciScintillaBase::SCLEX_ADA
    {84, 450, -71},	// QsciScintillaBase::SCLEX_APDL
    {84, 451, -106},	// QsciScintillaBase::SCLEX_ASM
    {84, 452, -141},	// QsciScintillaBase::SCLEX_ASN1
    {84, 453, -176},	// QsciScintillaBase::SCLEX_ASP
    {84, 454, -211},	// QsciScintillaBase::SCLEX_ASYMPTOTE
    {84, 455, -246},	// QsciScintillaBase::SCLEX_AU3
    {84, 456, -281},	// QsciScintillaBase::SCLEX_AVE
    {84, 457, -316},	// QsciScintillaBase::SCLEX_BAAN
    {84, 458, -351},	// QsciScintillaBase::SCLEX_BASH
    {84, 459, -386},	// QsciScintillaBase::SCLEX_BATCH
    {84, 460, -421},	// QsciScintillaBase::SCLEX_BLITZBASIC
    {84, 461, -456},	// QsciScintillaBase::SCLEX_BULLANT
    {84, 462, -491},	// QsciScintillaBase::SCLEX_CAML
    {84, 463, -526},	// QsciScintillaBase::SCLEX_CLW
    {84, 464, -561},	// QsciScintillaBase::SCLEX_CLWNOCASE
    {84, 465, -596},	// QsciScintillaBase::SCLEX_CMAKE
    {84, 466, -631},	// QsciScintillaBase::SCLEX_COBOL
    {84, 467, -666},	// QsciScintillaBase::SCLEX_CONF
    {84, 468, -701},	// QsciScintillaBase::SCLEX_CONTAINER
    {84, 469, -736},	// QsciScintillaBase::SCLEX_CPP
    {84, 470, -771},	// QsciScintillaBase::SCLEX_CPPNOCASE
    {84, 471, -806},	// QsciScintillaBase::SCLEX_CSOUND
    {84, 472, -841},	// QsciScintillaBase::SCLEX_CSS
    {84, 473, -876},	// QsciScintillaBase::SCLEX_D
    {84, 474, -911},	// QsciScintillaBase::SCLEX_DIFF
    {84, 475, -946},	// QsciScintillaBase::SCLEX_EIFFEL
    {84, 476, -981},	// QsciScintillaBase::SCLEX_EIFFELKW
    {84, 477, -1016},	// QsciScintillaBase::SCLEX_ERLANG
    {84, 478, -1051},	// QsciScintillaBase::SCLEX_ERRORLIST
    {84, 479, -1086},	// QsciScintillaBase::SCLEX_ESCRIPT
    {84, 480, -1121},	// QsciScintillaBase::SCLEX_F77
    {84, 481, -1156},	// QsciScintillaBase::SCLEX_FLAGSHIP
    {84, 482, -1191},	// QsciScintillaBase::SCLEX_FORTH
    {84, 483, -1226},	// QsciScintillaBase::SCLEX_FORTRAN
    {84, 484, -1261},	// QsciScintillaBase::SCLEX_FREEBASIC
    {84, 485, -1296},	// QsciScintillaBase::SCLEX_GAP
    {84, 486, -1331},	// QsciScintillaBase::SCLEX_GUI4CLI
    {84, 487, -1366},	// QsciScintillaBase::SCLEX_HASKELL
    {84, 488, -1401},	// QsciScintillaBase::SCLEX_HTML
    {84, 489, -1436},	// QsciScintillaBase::SCLEX_INNOSETUP
    {84, 490, -1471},	// QsciScintillaBase::SCLEX_KIX
    {84, 491, -1506},	// QsciScintillaBase::SCLEX_LATEX
    {84, 492, -1541},	// QsciScintillaBase::SCLEX_LISP
    {84, 493, -1576},	// QsciScintillaBase::SCLEX_LOT
    {84, 494, -1611},	// QsciScintillaBase::SCLEX_LOUT
    {84, 495, -1646},	// QsciScintillaBase::SCLEX_LUA
    {84, 496, -1681},	// QsciScintillaBase::SCLEX_MAGIK
    {84, 497, -1716},	// QsciScintillaBase::SCLEX_MAKEFILE
    {84, 498, -1751},	// QsciScintillaBase::SCLEX_MATLAB
    {84, 499, -1786},	// QsciScintillaBase::SCLEX_METAPOST
    {84, 500, -1821},	// QsciScintillaBase::SCLEX_MMIXAL
    {84, 501, -1856},	// QsciScintillaBase::SCLEX_MSSQL
    {84, 502, -1891},	// QsciScintillaBase::SCLEX_MYSQL
    {84, 503, -1926},	// QsciScintillaBase::SCLEX_NIMROD
    {84, 504, -1961},	// QsciScintillaBase::SCLEX_NNCRONTAB
    {84, 505, -1996},	// QsciScintillaBase::SCLEX_NSIS
    {84, 506, -2031},	// QsciScintillaBase::SCLEX_NULL
    {84, 507, -2066},	// QsciScintillaBase::SCLEX_OCTAVE
    {84, 508, -2101},	// QsciScintillaBase::SCLEX_OPAL
    {84, 509, -2136},	// QsciScintillaBase::SCLEX_PASCAL
    {84, 510, -2171},	// QsciScintillaBase::SCLEX_PERL
    {84, 511, -2206},	// QsciScintillaBase::SCLEX_PHP
    {84, 512, -2241},	// QsciScintillaBase::SCLEX_PHPSCRIPT
    {84, 513, -2276},	// QsciScintillaBase::SCLEX_PLM
    {84, 514, -2311},	// QsciScintillaBase::SCLEX_PO
    {84, 515, -2346},	// QsciScintillaBase::SCLEX_POV
    {84, 516, -2381},	// QsciScintillaBase::SCLEX_POWERBASIC
    {84, 517, -2416},	// QsciScintillaBase::SCLEX_POWERPRO
    {84, 518, -2451},	// QsciScintillaBase::SCLEX_POWERSHELL
    {84, 519, -2486},	// QsciScintillaBase::SCLEX_PROGRESS
    {84, 520, -2521},	// QsciScintillaBase::SCLEX_PROPERTIES
    {84, 521, -2556},	// QsciScintillaBase::SCLEX_PS
    {84, 522, -2591},	// QsciScintillaBase::SCLEX_PUREBASIC
    {84, 523, -2626},	// QsciScintillaBase::SCLEX_PYTHON
    {84, 524, -2661},	// QsciScintillaBase::SCLEX_R
    {84, 525, -2696},	// QsciScintillaBase::SCLEX_REBOL
    {84, 526, -2731},	// QsciScintillaBase::SCLEX_RUBY
    {84, 527, -2766},	// QsciScintillaBase::SCLEX_SCRIPTOL
    {84, 528, -2801},	// QsciScintillaBase::SCLEX_SMALLTALK
    {84, 529, -2836},	// QsciScintillaBase::SCLEX_SML
    {84, 530, -2871},	// QsciScintillaBase::SCLEX_SORCUS
    {84, 531, -2906},	// QsciScintillaBase::SCLEX_SPECMAN
    {84, 532, -2941},	// QsciScintillaBase::SCLEX_SPICE
    {84, 533, -2976},	// QsciScintillaBase::SCLEX_SQL
    {84, 534, -3011},	// QsciScintillaBase::SCLEX_TACL
    {84, 535, -3046},	// QsciScintillaBase::SCLEX_TADS3
    {84, 536, -3081},	// QsciScintillaBase::SCLEX_TAL
    {84, 537, -3116},	// QsciScintillaBase::SCLEX_TCL
    {84, 538, -3151},	// QsciScintillaBase::SCLEX_TEX
    {84, 539, -3186},	// QsciScintillaBase::SCLEX_VB
    {84, 540, -3221},	// QsciScintillaBase::SCLEX_VBSCRIPT
    {84, 541, -3256},	// QsciScintillaBase::SCLEX_VERILOG
    {84, 542, -3291},	// QsciScintillaBase::SCLEX_VHDL
    {84, 543, -3326},	// QsciScintillaBase::SCLEX_XML
    {84, 544, -3361},	// QsciScintillaBase::SCLEX_YAML
    {84, 545, 1847},	// QsciScintillaBase::SCN_AUTOCCANCELLED
    {84, 546, 1848},	// QsciScintillaBase::SCN_AUTOCCHARDELETED
    {84, 548, 1849},	// QsciScintillaBase::SCN_AUTOCSELECTION$$
    {84, 550, 1851},	// QsciScintillaBase::SCN_CALLTIPCLICK$
    {84, 552, 1852},	// QsciScintillaBase::SCN_CHARADDED$
    {84, 554, 1853},	// QsciScintillaBase::SCN_DOUBLECLICK$$$
    {84, 556, 1854},	// QsciScintillaBase::SCN_DWELLEND$$$
    {84, 558, 1855},	// QsciScintillaBase::SCN_DWELLSTART$$$
    {84, 560, 1856},	// QsciScintillaBase::SCN_HOTSPOTCLICK$$
    {84, 562, 1857},	// QsciScintillaBase::SCN_HOTSPOTDOUBLECLICK$$
    {84, 564, 1858},	// QsciScintillaBase::SCN_INDICATORCLICK$$
    {84, 566, 1859},	// QsciScintillaBase::SCN_INDICATORRELEASE$$
    {84, 568, 1860},	// QsciScintillaBase::SCN_MACRORECORD$$$
    {84, 570, 1861},	// QsciScintillaBase::SCN_MARGINCLICK$$$
    {84, 572, 1862},	// QsciScintillaBase::SCN_MODIFIED$$$$$$$$$$
    {84, 573, 1863},	// QsciScintillaBase::SCN_MODIFYATTEMPTRO
    {84, 575, 1864},	// QsciScintillaBase::SCN_NEEDSHOWN$$
    {84, 576, 1865},	// QsciScintillaBase::SCN_PAINTED
    {84, 577, 1866},	// QsciScintillaBase::SCN_SAVEPOINTLEFT
    {84, 578, 1867},	// QsciScintillaBase::SCN_SAVEPOINTREACHED
    {84, 580, 1868},	// QsciScintillaBase::SCN_STYLENEEDED$
    {84, 581, 1869},	// QsciScintillaBase::SCN_UPDATEUI
    {84, 583, 1870},	// QsciScintillaBase::SCN_USERLISTSELECTION$$
    {84, 584, 1871},	// QsciScintillaBase::SCN_ZOOM
    {84, 602, 1895},	// QsciScintillaBase::SendScintilla$
    {84, 603, 1842},	// QsciScintillaBase::SendScintilla$#
    {84, 604, -3396},	// QsciScintillaBase::SendScintilla$$
    {84, 605, -3401},	// QsciScintillaBase::SendScintilla$$#
    {84, 606, 1843},	// QsciScintillaBase::SendScintilla$$##$$
    {84, 607, -3404},	// QsciScintillaBase::SendScintilla$$$
    {84, 608, 1840},	// QsciScintillaBase::SendScintilla$$$$
    {84, 610, 1845},	// QsciScintillaBase::SendScintillaPtrResult$
    {84, 749, 1872},	// QsciScintillaBase::canInsertFromMimeData#
    {84, 774, 1875},	// QsciScintillaBase::contextMenuEvent#
    {84, 801, 1876},	// QsciScintillaBase::dragEnterEvent#
    {84, 803, 1877},	// QsciScintillaBase::dragLeaveEvent#
    {84, 805, 1878},	// QsciScintillaBase::dragMoveEvent#
    {84, 807, 1879},	// QsciScintillaBase::dropEvent#
    {84, 837, 1880},	// QsciScintillaBase::focusInEvent#
    {84, 839, 1882},	// QsciScintillaBase::focusNextPrevChild$
    {84, 841, 1881},	// QsciScintillaBase::focusOutEvent#
    {84, 867, 1873},	// QsciScintillaBase::fromMimeData#
    {84, 886, 1884},	// QsciScintillaBase::inputMethodEvent#
    {84, 906, 1883},	// QsciScintillaBase::keyPressEvent#
    {84, 964, 1824},	// QsciScintillaBase::metaObject
    {84, 971, 1885},	// QsciScintillaBase::mouseDoubleClickEvent#
    {84, 973, 1886},	// QsciScintillaBase::mouseMoveEvent#
    {84, 975, 1887},	// QsciScintillaBase::mousePressEvent#
    {84, 977, 1888},	// QsciScintillaBase::mouseReleaseEvent#
    {84, 984, 1889},	// QsciScintillaBase::paintEvent#
    {84, 992, 1832},	// QsciScintillaBase::pool
    {84, 1003, 1830},	// QsciScintillaBase::qt_metacall$$?
    {84, 1005, 1825},	// QsciScintillaBase::qt_metacast$
    {84, 1030, 1890},	// QsciScintillaBase::resizeEvent#
    {84, 1036, 1891},	// QsciScintillaBase::scrollContentsBy$$
    {84, 1282, 1897},	// QsciScintillaBase::staticMetaObject
    {84, 1300, 1874},	// QsciScintillaBase::toMimeData$
    {84, 1303, 1892},	// QsciScintillaBase::tr$
    {84, 1304, 1826},	// QsciScintillaBase::tr$$
    {84, 1305, 1828},	// QsciScintillaBase::tr$$$
    {84, 1307, 1893},	// QsciScintillaBase::trUtf8$
    {84, 1308, 1827},	// QsciScintillaBase::trUtf8$$
    {84, 1309, 1829},	// QsciScintillaBase::trUtf8$$$
    {84, 1383, 5196},	// QsciScintillaBase::~QsciScintillaBase
    {85, 256, 5224},	// QsciStyle::LowerCase
    {85, 277, 5222},	// QsciStyle::OriginalCase
    {85, 419, 5220},	// QsciStyle::QsciStyle
    {85, 420, 5219},	// QsciStyle::QsciStyle#
    {85, 421, 5197},	// QsciStyle::QsciStyle$
    {85, 422, 5221},	// QsciStyle::QsciStyle$$###
    {85, 423, 5198},	// QsciStyle::QsciStyle$$###$
    {85, 669, 5223},	// QsciStyle::UpperCase
    {85, 755, 5215},	// QsciStyle::changeable
    {85, 767, 5203},	// QsciStyle::color
    {85, 794, 5201},	// QsciStyle::description
    {85, 819, 5209},	// QsciStyle::eolFill
    {85, 859, 5207},	// QsciStyle::font
    {85, 875, 5217},	// QsciStyle::hotspot
    {85, 986, 5205},	// QsciStyle::paper
    {85, 1017, 5218},	// QsciStyle::refresh
    {85, 1096, 5214},	// QsciStyle::setChangeable$
    {85, 1098, 5202},	// QsciStyle::setColor#
    {85, 1109, 5200},	// QsciStyle::setDescription$
    {85, 1123, 5208},	// QsciStyle::setEolFill$
    {85, 1159, 5206},	// QsciStyle::setFont#
    {85, 1162, 5216},	// QsciStyle::setHotspot$
    {85, 1219, 5204},	// QsciStyle::setPaper#
    {85, 1247, 5210},	// QsciStyle::setTextCase$
    {85, 1263, 5212},	// QsciStyle::setVisible$
    {85, 1283, 5199},	// QsciStyle::style
    {85, 1294, 5211},	// QsciStyle::textCase
    {85, 1323, 5213},	// QsciStyle::visible
    {85, 1384, 5225},	// QsciStyle::~QsciStyle
    {86, 425, 5230},	// QsciStyledText::QsciStyledText#
    {86, 426, 5227},	// QsciStyledText::QsciStyledText$#
    {86, 427, 5226},	// QsciStyledText::QsciStyledText$$
    {86, 1283, 5229},	// QsciStyledText::style
    {86, 1292, 5228},	// QsciStyledText::text
    {86, 1385, 5231},	// QsciStyledText::~QsciStyledText
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qsci_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qsci_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qsci_Smoke = new Smoke(
        "qsci",
        __smokeqsci::classes, 86,
        __smokeqsci::methods, 5232,
        __smokeqsci::methodMaps, 1980,
        __smokeqsci::methodNames, 1385,
        __smokeqsci::types, 209,
        __smokeqsci::inheritanceList,
        __smokeqsci::argumentList,
        __smokeqsci::ambiguousMethodList,
        __smokeqsci::cast );
    initialized = true;
}

void delete_qsci_Smoke() { delete qsci_Smoke; }

}
