#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGLColormap
      switch(to) {
        case 27: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 28:   //QGLContext
      switch(to) {
        case 28: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 29:   //QGLFormat
      switch(to) {
        case 29: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 30:   //QGLFramebufferObject
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 30: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 31:   //QGLFramebufferObjectFormat
      switch(to) {
        case 31: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 32:   //QGLPixelBuffer
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 32: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 33:   //QGLShader
      switch(to) {
        case 60: return (void*)(QObject*)(QGLShader*)xptr;
        case 33: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 34:   //QGLShaderProgram
      switch(to) {
        case 60: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 34: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 35:   //QGLWidget
      switch(to) {
        case 111: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 60: return (void*)(QObject*)(QGLWidget*)xptr;
        case 61: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 35: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 37:   //QGraphicsItem
      switch(to) {
        case 37: return (void*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 38:   //QGraphicsObject
      switch(to) {
        case 60: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 37: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 38: return (void*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 39:   //QHashDummyValue
      switch(to) {
        case 39: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 40:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 40: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QIcon
      switch(to) {
        case 41: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 42:   //QImage
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 42: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 43:   //QIncompatibleFlag
      switch(to) {
        case 43: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 44:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 44: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QItemSelectionRange
      switch(to) {
        case 45: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 46:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 46: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QKeySequence
      switch(to) {
        case 47: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 48:   //QLatin1String
      switch(to) {
        case 48: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 49:   //QLine
      switch(to) {
        case 49: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 50:   //QLineF
      switch(to) {
        case 50: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 51:   //QListWidgetItem
      switch(to) {
        case 51: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 52:   //QLocale
      switch(to) {
        case 52: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 53:   //QMargins
      switch(to) {
        case 53: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 54:   //QMatrix
      switch(to) {
        case 54: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 55:   //QMatrix4x4
      switch(to) {
        case 55: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 56:   //QMetaObject
      switch(to) {
        case 56: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 57:   //QModelIndex
      switch(to) {
        case 57: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 58:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 58: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 59: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QObject
      switch(to) {
        case 60: return (void*)(QObject*)xptr;
        case 34: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 35: return (void*)(QGLWidget*)(QObject*)xptr;
        case 33: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 61:   //QPaintDevice
      switch(to) {
        case 61: return (void*)(QPaintDevice*)xptr;
        case 30: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 35: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 32: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEngine
      switch(to) {
        case 62: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 63: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QPainter
      switch(to) {
        case 64: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 65:   //QPainterPath
      switch(to) {
        case 65: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 66:   //QPalette
      switch(to) {
        case 66: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 67:   //QPen
      switch(to) {
        case 67: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 68:   //QPersistentModelIndex
      switch(to) {
        case 68: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 69:   //QPicture
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 69: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 70:   //QPixmap
      switch(to) {
        case 61: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 70: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 71:   //QPoint
      switch(to) {
        case 71: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 72:   //QPointF
      switch(to) {
        case 72: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 73:   //QPolygon
      switch(to) {
        case 73: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 74:   //QPolygonF
      switch(to) {
        case 74: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 75:   //QQuaternion
      switch(to) {
        case 75: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 76:   //QRect
      switch(to) {
        case 76: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 77:   //QRectF
      switch(to) {
        case 77: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 78:   //QRegExp
      switch(to) {
        case 78: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 79:   //QRegion
      switch(to) {
        case 79: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 80:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 80: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 81: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 82:   //QSize
      switch(to) {
        case 82: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 83:   //QSizeF
      switch(to) {
        case 83: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 84:   //QSizePolicy
      switch(to) {
        case 84: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 85:   //QSplitter
      switch(to) {
        case 111: return (void*)(QWidget*)(QSplitter*)xptr;
        case 60: return (void*)(QObject*)(QSplitter*)xptr;
        case 61: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 85: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 86:   //QStandardItem
      switch(to) {
        case 86: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 87:   //QString::Null
      switch(to) {
        case 87: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 88:   //QStringRef
      switch(to) {
        case 88: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 89:   //QStyle
      switch(to) {
        case 60: return (void*)(QObject*)(QStyle*)xptr;
        case 89: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 90:   //QStyleOption
      switch(to) {
        case 90: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 91:   //QTableWidgetItem
      switch(to) {
        case 91: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 92:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 92: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 93:   //QTextCodec
      switch(to) {
        case 93: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 94:   //QTextFormat
      switch(to) {
        case 94: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 95:   //QTextLength
      switch(to) {
        case 95: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 96:   //QTextStream
      switch(to) {
        case 96: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStreamManipulator
      switch(to) {
        case 97: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 98:   //QTileRules
      switch(to) {
        case 98: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 99:   //QTime
      switch(to) {
        case 99: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 100:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 100: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 101:   //QTransform
      switch(to) {
        case 101: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 102:   //QTreeWidgetItem
      switch(to) {
        case 102: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 103:   //QUrl
      switch(to) {
        case 103: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 104:   //QUuid
      switch(to) {
        case 104: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 105:   //QVariant
      switch(to) {
        case 105: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 106:   //QVariantComparisonHelper
      switch(to) {
        case 106: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 107:   //QVector2D
      switch(to) {
        case 107: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 108:   //QVector3D
      switch(to) {
        case 108: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector4D
      switch(to) {
        case 109: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 110:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 110: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 111:   //QWidget
      switch(to) {
        case 60: return (void*)(QObject*)(QWidget*)xptr;
        case 61: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 111: return (void*)(QWidget*)xptr;
        case 35: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    61, 0,	// 1: QPaintDevice
    60, 0,	// 3: QObject
    111, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//26
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//27
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//28
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//29
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//30
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//31
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//32
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//33
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//34
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//35
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//36
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//37
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//38
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//39
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QIcon", true, 0, 0, 0, 0, 0 },	//41
    { "QImage", true, 0, 0, 0, 0, 0 },	//42
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//43
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//45
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//47
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//48
    { "QLine", true, 0, 0, 0, 0, 0 },	//49
    { "QLineF", true, 0, 0, 0, 0, 0 },	//50
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//51
    { "QLocale", true, 0, 0, 0, 0, 0 },	//52
    { "QMargins", true, 0, 0, 0, 0, 0 },	//53
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//54
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//55
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//56
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//57
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QObject", true, 0, 0, 0, 0, 0 },	//60
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QPainter", true, 0, 0, 0, 0, 0 },	//64
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//65
    { "QPalette", true, 0, 0, 0, 0, 0 },	//66
    { "QPen", true, 0, 0, 0, 0, 0 },	//67
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//68
    { "QPicture", true, 0, 0, 0, 0, 0 },	//69
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//70
    { "QPoint", true, 0, 0, 0, 0, 0 },	//71
    { "QPointF", true, 0, 0, 0, 0, 0 },	//72
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//73
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//74
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//75
    { "QRect", true, 0, 0, 0, 0, 0 },	//76
    { "QRectF", true, 0, 0, 0, 0, 0 },	//77
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//78
    { "QRegion", true, 0, 0, 0, 0, 0 },	//79
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//81
    { "QSize", true, 0, 0, 0, 0, 0 },	//82
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//83
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//84
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//85
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//86
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//87
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//88
    { "QStyle", true, 0, 0, 0, 0, 0 },	//89
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//90
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//91
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//92
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//93
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//94
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//95
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//97
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//98
    { "QTime", true, 0, 0, 0, 0, 0 },	//99
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//100
    { "QTransform", true, 0, 0, 0, 0, 0 },	//101
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//102
    { "QUrl", true, 0, 0, 0, 0, 0 },	//103
    { "QUuid", true, 0, 0, 0, 0, 0 },	//104
    { "QVariant", true, 0, 0, 0, 0, 0 },	//105
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//106
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//107
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//109
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//110
    { "QWidget", true, 0, 0, 0, 0, 0 },	//111
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor", 10, Smoke::t_class|Smoke::tf_stack },	//22
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//23
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//29
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//31
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//39
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//42
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//128
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//129
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QGL::FormatOption", 26, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QGLColormap&", 27, Smoke::t_class|Smoke::tf_ref },	//133
    { "QGLColormap*", 27, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QGLContext*", 28, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QGLContext::BindOption", 28, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QGLFormat", 29, Smoke::t_class|Smoke::tf_stack },	//137
    { "QGLFormat&", 29, Smoke::t_class|Smoke::tf_ref },	//138
    { "QGLFormat*", 29, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGLFormat::OpenGLContextProfile", 29, Smoke::t_enum|Smoke::tf_stack },	//140
    { "QGLFormat::OpenGLVersionFlag", 29, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QGLFramebufferObject*", 30, Smoke::t_class|Smoke::tf_ptr },	//142
    { "QGLFramebufferObject::Attachment", 30, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QGLFramebufferObjectFormat", 31, Smoke::t_class|Smoke::tf_stack },	//144
    { "QGLFramebufferObjectFormat&", 31, Smoke::t_class|Smoke::tf_ref },	//145
    { "QGLFramebufferObjectFormat*", 31, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QGLPixelBuffer*", 32, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QGLShader*", 33, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QGLShader::ShaderTypeBit", 33, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QGLShaderProgram*", 34, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QGLWidget*", 35, Smoke::t_class|Smoke::tf_ptr },	//151
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QGraphicsItem*", 37, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QGraphicsItem::GraphicsItemChange", 37, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QGraphicsItem::GraphicsItemFlag", 37, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QGraphicsObject*", 38, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QHideEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//162
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "QIcon&", 41, Smoke::t_class|Smoke::tf_ref },	//164
    { "QImage", 42, Smoke::t_class|Smoke::tf_stack },	//165
    { "QImage&", 42, Smoke::t_class|Smoke::tf_ref },	//166
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QIncompatibleFlag", 43, Smoke::t_class|Smoke::tf_stack },	//168
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QInputMethodEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//170
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QKeyEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//172
    { "QKeySequence&", 47, Smoke::t_class|Smoke::tf_ref },	//173
    { "QKeySequence::StandardKey", 47, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QLine", 49, Smoke::t_class|Smoke::tf_stack },	//176
    { "QLine&", 49, Smoke::t_class|Smoke::tf_ref },	//177
    { "QLineF", 50, Smoke::t_class|Smoke::tf_stack },	//178
    { "QLineF&", 50, Smoke::t_class|Smoke::tf_ref },	//179
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//180
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//181
    { "QListWidgetItem&", 51, Smoke::t_class|Smoke::tf_ref },	//182
    { "QLocale&", 52, Smoke::t_class|Smoke::tf_ref },	//183
    { "QLocale::NumberOption", 52, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QMatrix&", 54, Smoke::t_class|Smoke::tf_ref },	//186
    { "QMatrix4x4", 55, Smoke::t_class|Smoke::tf_stack },	//187
    { "QMatrix4x4&", 55, Smoke::t_class|Smoke::tf_ref },	//188
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QMetaObject::Call", 56, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QMouseEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//193
    { "QMoveEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//194
    { "QObject*", 60, Smoke::t_class|Smoke::tf_ptr },	//195
    { "QObject*(*)()", 60, Smoke::t_class|Smoke::tf_ptr },	//196
    { "QPaintDevice*", 61, Smoke::t_class|Smoke::tf_ptr },	//197
    { "QPaintDevice::PaintDeviceMetric", 61, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QPaintEngine*", 62, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QPaintEngine::DirtyFlag", 62, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QPaintEngine::PaintEngineFeature", 62, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QPaintEngine::Type", 62, Smoke::t_enum|Smoke::tf_stack },	//202
    { "QPaintEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QPainter*", 64, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QPainter::RenderHint", 64, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QPainterPath", 65, Smoke::t_class|Smoke::tf_stack },	//206
    { "QPainterPath&", 65, Smoke::t_class|Smoke::tf_ref },	//207
    { "QPalette&", 66, Smoke::t_class|Smoke::tf_ref },	//208
    { "QPen&", 67, Smoke::t_class|Smoke::tf_ref },	//209
    { "QPicture&", 69, Smoke::t_class|Smoke::tf_ref },	//210
    { "QPixmap", 70, Smoke::t_class|Smoke::tf_stack },	//211
    { "QPixmap&", 70, Smoke::t_class|Smoke::tf_ref },	//212
    { "QPoint", 71, Smoke::t_class|Smoke::tf_stack },	//213
    { "QPoint&", 71, Smoke::t_class|Smoke::tf_ref },	//214
    { "QPointF", 72, Smoke::t_class|Smoke::tf_stack },	//215
    { "QPointF&", 72, Smoke::t_class|Smoke::tf_ref },	//216
    { "QPolygon", 73, Smoke::t_class|Smoke::tf_stack },	//217
    { "QPolygon&", 73, Smoke::t_class|Smoke::tf_ref },	//218
    { "QPolygonF", 74, Smoke::t_class|Smoke::tf_stack },	//219
    { "QPolygonF&", 74, Smoke::t_class|Smoke::tf_ref },	//220
    { "QQuaternion&", 75, Smoke::t_class|Smoke::tf_ref },	//221
    { "QRect&", 76, Smoke::t_class|Smoke::tf_ref },	//222
    { "QRectF&", 77, Smoke::t_class|Smoke::tf_ref },	//223
    { "QRegExp&", 78, Smoke::t_class|Smoke::tf_ref },	//224
    { "QRegion", 79, Smoke::t_class|Smoke::tf_stack },	//225
    { "QRegion&", 79, Smoke::t_class|Smoke::tf_ref },	//226
    { "QResizeEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//227
    { "QShowEvent*", 81, Smoke::t_class|Smoke::tf_ptr },	//228
    { "QSize", 82, Smoke::t_class|Smoke::tf_stack },	//229
    { "QSize&", 82, Smoke::t_class|Smoke::tf_ref },	//230
    { "QSizeF&", 83, Smoke::t_class|Smoke::tf_ref },	//231
    { "QSizePolicy&", 84, Smoke::t_class|Smoke::tf_ref },	//232
    { "QSizePolicy::ControlType", 84, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QSplitter&", 85, Smoke::t_class|Smoke::tf_ref },	//234
    { "QStandardItem&", 86, Smoke::t_class|Smoke::tf_ref },	//235
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//236
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//237
    { "QString::Null", 87, Smoke::t_class|Smoke::tf_stack },	//238
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//241
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//242
    { "QStyle&", 89, Smoke::t_class|Smoke::tf_ref },	//243
    { "QStyle::StateFlag", 89, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QStyle::SubControl", 89, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QTableWidgetItem&", 91, Smoke::t_class|Smoke::tf_ref },	//253
    { "QTabletEvent*", 92, Smoke::t_class|Smoke::tf_ptr },	//254
    { "QTextCodec*", 93, Smoke::t_class|Smoke::tf_ptr },	//255
    { "QTextCodec::ConversionFlag", 93, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QTextFormat&", 94, Smoke::t_class|Smoke::tf_ref },	//259
    { "QTextFormat::PageBreakFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QTextLength&", 95, Smoke::t_class|Smoke::tf_ref },	//262
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QTextStream&", 96, Smoke::t_class|Smoke::tf_ref },	//264
    { "QTextStream&(*)(QTextStream&)", 96, Smoke::t_class|Smoke::tf_ref },	//265
    { "QTextStream::NumberFlag", 96, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QTextStreamManipulator", 97, Smoke::t_class|Smoke::tf_stack },	//267
    { "QTime&", 99, Smoke::t_class|Smoke::tf_ref },	//268
    { "QTimerEvent*", 100, Smoke::t_class|Smoke::tf_ptr },	//269
    { "QTransform", 101, Smoke::t_class|Smoke::tf_stack },	//270
    { "QTransform&", 101, Smoke::t_class|Smoke::tf_ref },	//271
    { "QTreeWidgetItem&", 102, Smoke::t_class|Smoke::tf_ref },	//272
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QUrl&", 103, Smoke::t_class|Smoke::tf_ref },	//274
    { "QUrl::FormattingOption", 103, Smoke::t_enum|Smoke::tf_stack },	//275
    { "QUuid&", 104, Smoke::t_class|Smoke::tf_ref },	//276
    { "QVariant", 105, Smoke::t_class|Smoke::tf_stack },	//277
    { "QVariant&", 105, Smoke::t_class|Smoke::tf_ref },	//278
    { "QVariant::Type", 105, Smoke::t_enum|Smoke::tf_stack },	//279
    { "QVariant::Type&", 105, Smoke::t_enum|Smoke::tf_ref },	//280
    { "QVector2D&", 107, Smoke::t_class|Smoke::tf_ref },	//281
    { "QVector3D", 108, Smoke::t_class|Smoke::tf_stack },	//282
    { "QVector3D&", 108, Smoke::t_class|Smoke::tf_ref },	//283
    { "QVector4D", 109, Smoke::t_class|Smoke::tf_stack },	//284
    { "QVector4D&", 109, Smoke::t_class|Smoke::tf_ref },	//285
    { "QWheelEvent*", 110, Smoke::t_class|Smoke::tf_ptr },	//286
    { "QWidget*", 111, Smoke::t_class|Smoke::tf_ptr },	//287
    { "QWidget::RenderFlag", 111, Smoke::t_enum|Smoke::tf_stack },	//288
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//356
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//357
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//358
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//359
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//360
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//361
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//362
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//363
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtMsgType", 36, Smoke::t_enum|Smoke::tf_stack },	//365
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//366
    { "__codecvt_result", 36, Smoke::t_enum|Smoke::tf_stack },	//367
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//368
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//369
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//370
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//371
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//374
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//375
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//384
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QGLColormap&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QGLContext*", 28, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//387
    { "const QGLFormat&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QGLFramebufferObjectFormat&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QGLWidget*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//390
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//392
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//394
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//396
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//398
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//400
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//402
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//404
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const QHashDummyValue&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QIcon&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QImage&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QItemSelectionRange&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QKeySequence&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QLatin1String&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QLine&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QLineF&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QListWidgetItem&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QLocale&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QMargins&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QMatrix&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QMatrix4x4&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QMatrix4x4*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//420
    { "const QMetaObject&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QMetaObject*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//422
    { "const QModelIndex&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QObject*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//424
    { "const QPainterPath&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QPalette&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QPen&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QPersistentModelIndex&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QPicture&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QPixmap&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QPoint", 71, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//431
    { "const QPoint&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QPointF", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//433
    { "const QPointF&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QPolygon&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QPolygonF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QQuaternion", 75, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//437
    { "const QQuaternion&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QRect&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QRectF&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QRegExp&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QRegExp*", 78, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//442
    { "const QRegion&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//443
    { "const QSize", 82, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//444
    { "const QSize&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const QSizeF", 83, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//446
    { "const QSizeF&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QSizePolicy&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//448
    { "const QSplitter&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QStandardItem&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//451
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//454
    { "const QStringRef&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QStyleOption&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QStyleOption::OptionType&", 90, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QTableWidgetItem&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QTextFormat&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//459
    { "const QTextLength&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const QTileRules&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//461
    { "const QTime&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//462
    { "const QTransform&", 101, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//463
    { "const QTreeWidgetItem&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//464
    { "const QUrl&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//465
    { "const QUuid&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//466
    { "const QVariant&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//467
    { "const QVariant::Type", 105, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//468
    { "const QVariantComparisonHelper&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//469
    { "const QVector2D", 107, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//470
    { "const QVector2D&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//471
    { "const QVector2D*", 107, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//472
    { "const QVector3D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//473
    { "const QVector3D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//474
    { "const QVector3D*", 108, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//475
    { "const QVector4D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//476
    { "const QVector4D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//477
    { "const QVector4D*", 109, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//478
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//479
    { "const float*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//480
    { "const float[2][2]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//481
    { "const float[3][3]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//482
    { "const float[4][4]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//483
    { "const int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//484
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//485
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//486
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//487
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//488
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//489
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//490
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//491
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//492
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//493
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//494
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//495
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//496
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//497
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//498
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//499
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//500
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//501
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//502
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//503
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//504
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//505
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//506
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//507
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//508
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    202, 0,	//1  QPaintEngine::Type
    386, 0,	//3  const QGLColormap&
    490, 486, 490, 0,	//5  int, const unsigned int*, int
    490, 499, 0,	//9  int, unsigned int
    490, 378, 0,	//12  int, const QColor&
    490, 0,	//15  int
    499, 0,	//17  unsigned int
    500, 0,	//19  unsigned long
    490, 486, 0,	//21  int, const unsigned int*
    388, 197, 0,	//24  const QGLFormat&, QPaintDevice*
    388, 0,	//27  const QGLFormat&
    387, 0,	//29  const QGLContext*
    387, 387, 0,	//31  const QGLContext*, const QGLContext*
    409, 499, 490, 67, 0,	//34  const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>
    430, 499, 490, 67, 0,	//39  const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>
    409, 499, 490, 0,	//44  const QImage&, unsigned int, int
    430, 499, 490, 0,	//48  const QPixmap&, unsigned int, int
    452, 0,	//52  const QString&
    440, 499, 499, 0,	//54  const QRectF&, unsigned int, unsigned int
    434, 499, 499, 0,	//58  const QPointF&, unsigned int, unsigned int
    369, 0,	//62  bool
    385, 490, 0,	//64  const QFont&, int
    378, 0,	//67  const QColor&
    197, 0,	//69  QPaintDevice*
    409, 0,	//71  const QImage&
    409, 499, 0,	//73  const QImage&, unsigned int
    430, 0,	//76  const QPixmap&
    430, 499, 0,	//78  const QPixmap&, unsigned int
    440, 499, 0,	//81  const QRectF&, unsigned int
    434, 499, 0,	//84  const QPointF&, unsigned int
    135, 0,	//87  QGLContext*
    66, 490, 0,	//89  QFlags<QGL::FormatOption>, int
    66, 0,	//92  QFlags<QGL::FormatOption>
    490, 490, 0,	//94  int, int
    140, 0,	//97  QGLFormat::OpenGLContextProfile
    445, 499, 0,	//99  const QSize&, unsigned int
    490, 490, 499, 0,	//102  int, int, unsigned int
    445, 143, 499, 499, 0,	//106  const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    490, 490, 143, 499, 499, 0,	//111  int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    445, 389, 0,	//117  const QSize&, const QGLFramebufferObjectFormat&
    490, 490, 389, 0,	//120  int, int, const QGLFramebufferObjectFormat&
    142, 439, 142, 439, 499, 499, 0,	//124  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int
    198, 0,	//131  QPaintDevice::PaintDeviceMetric
    445, 0,	//133  const QSize&
    445, 143, 0,	//135  const QSize&, QGLFramebufferObject::Attachment
    445, 143, 499, 0,	//138  const QSize&, QGLFramebufferObject::Attachment, unsigned int
    490, 490, 143, 0,	//142  int, int, QGLFramebufferObject::Attachment
    490, 490, 143, 499, 0,	//146  int, int, QGLFramebufferObject::Attachment, unsigned int
    142, 439, 142, 439, 0,	//151  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    142, 439, 142, 439, 499, 0,	//156  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int
    389, 0,	//162  const QGLFramebufferObjectFormat&
    143, 0,	//164  QGLFramebufferObject::Attachment
    445, 388, 151, 0,	//166  const QSize&, const QGLFormat&, QGLWidget*
    490, 490, 388, 151, 0,	//170  int, int, const QGLFormat&, QGLWidget*
    445, 388, 0,	//175  const QSize&, const QGLFormat&
    490, 490, 388, 0,	//178  int, int, const QGLFormat&
    479, 0,	//182  const char*
    479, 479, 0,	//184  const char*, const char*
    479, 479, 490, 0,	//187  const char*, const char*, int
    192, 490, 507, 0,	//191  QMetaObject::Call, int, void**
    69, 195, 0,	//195  QFlags<QGLShader::ShaderTypeBit>, QObject*
    69, 387, 195, 0,	//198  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    376, 0,	//202  const QByteArray&
    69, 387, 0,	//204  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    69, 0,	//207  QFlags<QGLShader::ShaderTypeBit>
    195, 0,	//209  QObject*
    387, 195, 0,	//211  const QGLContext*, QObject*
    148, 0,	//214  QGLShader*
    69, 479, 0,	//216  QFlags<QGLShader::ShaderTypeBit>, const char*
    69, 376, 0,	//219  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    69, 452, 0,	//222  QFlags<QGLShader::ShaderTypeBit>, const QString&
    479, 490, 0,	//225  const char*, int
    376, 490, 0,	//228  const QByteArray&, int
    452, 490, 0,	//231  const QString&, int
    490, 489, 0,	//234  int, float
    490, 489, 489, 0,	//237  int, float, float
    490, 489, 489, 489, 0,	//241  int, float, float, float
    490, 489, 489, 489, 489, 0,	//246  int, float, float, float, float
    490, 471, 0,	//252  int, const QVector2D&
    490, 474, 0,	//255  int, const QVector3D&
    490, 477, 0,	//258  int, const QVector4D&
    490, 480, 490, 490, 0,	//261  int, const float*, int, int
    479, 489, 0,	//266  const char*, float
    479, 489, 489, 0,	//269  const char*, float, float
    479, 489, 489, 489, 0,	//273  const char*, float, float, float
    479, 489, 489, 489, 489, 0,	//278  const char*, float, float, float, float
    479, 471, 0,	//284  const char*, const QVector2D&
    479, 474, 0,	//287  const char*, const QVector3D&
    479, 477, 0,	//290  const char*, const QVector4D&
    479, 378, 0,	//293  const char*, const QColor&
    479, 480, 490, 490, 0,	//296  const char*, const float*, int, int
    490, 472, 490, 0,	//301  int, const QVector2D*, int
    490, 475, 490, 0,	//305  int, const QVector3D*, int
    490, 478, 490, 0,	//309  int, const QVector4D*, int
    490, 499, 487, 490, 490, 0,	//313  int, unsigned int, const void*, int, int
    479, 472, 490, 0,	//319  const char*, const QVector2D*, int
    479, 475, 490, 0,	//323  const char*, const QVector3D*, int
    479, 478, 490, 0,	//327  const char*, const QVector4D*, int
    479, 499, 487, 490, 490, 0,	//331  const char*, unsigned int, const void*, int, int
    490, 499, 490, 490, 490, 0,	//337  int, unsigned int, int, int, int
    479, 499, 490, 490, 490, 0,	//343  const char*, unsigned int, int, int, int
    490, 432, 0,	//349  int, const QPoint&
    490, 434, 0,	//352  int, const QPointF&
    490, 445, 0,	//355  int, const QSize&
    490, 447, 0,	//358  int, const QSizeF&
    490, 391, 0,	//361  int, const QGenericMatrix<2,2,double>&
    490, 393, 0,	//364  int, const QGenericMatrix<2,3,double>&
    490, 395, 0,	//367  int, const QGenericMatrix<2,4,double>&
    490, 397, 0,	//370  int, const QGenericMatrix<3,2,double>&
    490, 399, 0,	//373  int, const QGenericMatrix<3,3,double>&
    490, 401, 0,	//376  int, const QGenericMatrix<3,4,double>&
    490, 403, 0,	//379  int, const QGenericMatrix<4,2,double>&
    490, 405, 0,	//382  int, const QGenericMatrix<4,3,double>&
    490, 419, 0,	//385  int, const QMatrix4x4&
    490, 481, 0,	//388  int, const float[2][2]
    490, 482, 0,	//391  int, const float[3][3]
    490, 483, 0,	//394  int, const float[4][4]
    490, 463, 0,	//397  int, const QTransform&
    479, 499, 0,	//400  const char*, unsigned int
    479, 432, 0,	//403  const char*, const QPoint&
    479, 434, 0,	//406  const char*, const QPointF&
    479, 445, 0,	//409  const char*, const QSize&
    479, 447, 0,	//412  const char*, const QSizeF&
    479, 391, 0,	//415  const char*, const QGenericMatrix<2,2,double>&
    479, 393, 0,	//418  const char*, const QGenericMatrix<2,3,double>&
    479, 395, 0,	//421  const char*, const QGenericMatrix<2,4,double>&
    479, 397, 0,	//424  const char*, const QGenericMatrix<3,2,double>&
    479, 399, 0,	//427  const char*, const QGenericMatrix<3,3,double>&
    479, 401, 0,	//430  const char*, const QGenericMatrix<3,4,double>&
    479, 403, 0,	//433  const char*, const QGenericMatrix<4,2,double>&
    479, 405, 0,	//436  const char*, const QGenericMatrix<4,3,double>&
    479, 419, 0,	//439  const char*, const QMatrix4x4&
    479, 481, 0,	//442  const char*, const float[2][2]
    479, 482, 0,	//445  const char*, const float[3][3]
    479, 483, 0,	//448  const char*, const float[4][4]
    479, 463, 0,	//451  const char*, const QTransform&
    490, 484, 490, 0,	//454  int, const int*, int
    490, 392, 490, 0,	//458  int, const QGenericMatrix<2,2,double>*, int
    490, 394, 490, 0,	//462  int, const QGenericMatrix<2,3,double>*, int
    490, 396, 490, 0,	//466  int, const QGenericMatrix<2,4,double>*, int
    490, 398, 490, 0,	//470  int, const QGenericMatrix<3,2,double>*, int
    490, 400, 490, 0,	//474  int, const QGenericMatrix<3,3,double>*, int
    490, 402, 490, 0,	//478  int, const QGenericMatrix<3,4,double>*, int
    490, 404, 490, 0,	//482  int, const QGenericMatrix<4,2,double>*, int
    490, 406, 490, 0,	//486  int, const QGenericMatrix<4,3,double>*, int
    490, 420, 490, 0,	//490  int, const QMatrix4x4*, int
    479, 484, 490, 0,	//494  const char*, const int*, int
    479, 486, 490, 0,	//498  const char*, const unsigned int*, int
    479, 392, 490, 0,	//502  const char*, const QGenericMatrix<2,2,double>*, int
    479, 394, 490, 0,	//506  const char*, const QGenericMatrix<2,3,double>*, int
    479, 396, 490, 0,	//510  const char*, const QGenericMatrix<2,4,double>*, int
    479, 398, 490, 0,	//514  const char*, const QGenericMatrix<3,2,double>*, int
    479, 400, 490, 0,	//518  const char*, const QGenericMatrix<3,3,double>*, int
    479, 402, 490, 0,	//522  const char*, const QGenericMatrix<3,4,double>*, int
    479, 404, 490, 0,	//526  const char*, const QGenericMatrix<4,2,double>*, int
    479, 406, 490, 0,	//530  const char*, const QGenericMatrix<4,3,double>*, int
    479, 420, 490, 0,	//534  const char*, const QMatrix4x4*, int
    490, 480, 490, 0,	//538  int, const float*, int
    490, 472, 0,	//542  int, const QVector2D*
    490, 475, 0,	//545  int, const QVector3D*
    490, 478, 0,	//548  int, const QVector4D*
    490, 499, 487, 490, 0,	//551  int, unsigned int, const void*, int
    479, 480, 490, 0,	//556  const char*, const float*, int
    479, 472, 0,	//560  const char*, const QVector2D*
    479, 475, 0,	//563  const char*, const QVector3D*
    479, 478, 0,	//566  const char*, const QVector4D*
    479, 499, 487, 490, 0,	//569  const char*, unsigned int, const void*, int
    490, 499, 490, 490, 0,	//574  int, unsigned int, int, int
    479, 499, 490, 490, 0,	//579  const char*, unsigned int, int, int
    287, 390, 127, 0,	//584  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    135, 287, 390, 127, 0,	//588  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    388, 287, 390, 127, 0,	//593  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    135, 387, 369, 0,	//598  QGLContext*, const QGLContext*, bool
    490, 490, 369, 0,	//602  int, int, bool
    490, 490, 452, 385, 490, 0,	//606  int, int, const QString&, const QFont&, int
    488, 488, 488, 452, 385, 490, 0,	//612  double, double, double, const QString&, const QFont&, int
    43, 0,	//619  QEvent*
    203, 0,	//621  QPaintEvent*
    227, 0,	//623  QResizeEvent*
    287, 0,	//625  QWidget*
    287, 390, 0,	//627  QWidget*, const QGLWidget*
    135, 287, 0,	//630  QGLContext*, QWidget*
    135, 287, 390, 0,	//633  QGLContext*, QWidget*, const QGLWidget*
    388, 287, 0,	//637  const QGLFormat&, QWidget*
    388, 287, 390, 0,	//640  const QGLFormat&, QWidget*, const QGLWidget*
    135, 387, 0,	//644  QGLContext*, const QGLContext*
    490, 490, 452, 0,	//647  int, int, const QString&
    490, 490, 452, 385, 0,	//651  int, int, const QString&, const QFont&
    488, 488, 488, 452, 0,	//656  double, double, double, const QString&
    488, 488, 488, 452, 385, 0,	//661  double, double, double, const QString&, const QFont&
    385, 0,	//667  const QFont&
    30, 490, 0,	//669  QDateTimeEdit::Section, int
    455, 455, 0,	//672  const QStringRef&, const QStringRef&
    501, 0,	//675  unsigned long long
    488, 0,	//677  double
    256, 490, 0,	//679  QTextCodec::ConversionFlag, int
    419, 419, 0,	//682  const QMatrix4x4&, const QMatrix4x4&
    321, 490, 0,	//685  Qt::ImageConversionFlag, int
    474, 474, 0,	//688  const QVector3D&, const QVector3D&
    471, 471, 0,	//691  const QVector2D&, const QVector2D&
    506, 487, 496, 0,	//694  void*, const void*, size_t
    479, 412, 0,	//698  const char*, const QLatin1String&
    31, 77, 0,	//701  QDebug, QFlags<QIODevice::OpenModeFlag>
    27, 164, 0,	//704  QDataStream&, QIcon&
    434, 418, 0,	//707  const QPointF&, const QMatrix&
    200, 87, 0,	//710  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    455, 452, 0,	//713  const QStringRef&, const QString&
    445, 445, 0,	//716  const QSize&, const QSize&
    27, 411, 0,	//719  QDataStream&, const QKeySequence&
    258, 258, 0,	//722  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    479, 376, 0,	//725  const char*, const QByteArray&
    27, 235, 0,	//728  QDataStream&, QStandardItem&
    246, 246, 0,	//731  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    189, 84, 0,	//734  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    45, 62, 0,	//737  QFile::Permission, QFlags<QFile::Permission>
    452, 479, 0,	//740  const QString&, const char*
    27, 221, 0,	//743  QDataStream&, QQuaternion&
    434, 434, 0,	//746  const QPointF&, const QPointF&
    27, 436, 0,	//749  QDataStream&, const QPolygonF&
    488, 488, 0,	//752  double, double
    27, 231, 0,	//755  QDataStream&, QSizeF&
    376, 479, 0,	//758  const QByteArray&, const char*
    489, 0,	//761  float
    495, 0,	//763  signed char
    154, 490, 0,	//765  QGraphicsEffect::ChangeFlag, int
    452, 455, 0,	//768  const QString&, const QStringRef&
    46, 490, 0,	//771  QFileDialog::Option, int
    18, 0,	//774  QChar
    27, 443, 0,	//776  QDataStream&, const QRegion&
    191, 191, 0,	//779  QMessageBox::StandardButton, QMessageBox::StandardButton
    419, 432, 0,	//782  const QMatrix4x4&, const QPoint&
    245, 93, 0,	//785  QStyle::SubControl, QFlags<QStyle::SubControl>
    27, 460, 0,	//788  QDataStream&, const QTextLength&
    31, 373, 0,	//791  QDebug, const QBrush&
    152, 152, 0,	//794  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    455, 412, 0,	//797  const QStringRef&, const QLatin1String&
    419, 477, 0,	//800  const QMatrix4x4&, const QVector4D&
    18, 18, 0,	//803  QChar, QChar
    31, 438, 0,	//806  QDebug, const QQuaternion&
    354, 354, 0,	//809  Qt::TouchPointState, Qt::TouchPointState
    419, 0,	//812  const QMatrix4x4&
    465, 0,	//814  const QUrl&
    288, 490, 0,	//816  QWidget::RenderFlag, int
    419, 488, 0,	//819  const QMatrix4x4&, double
    27, 426, 0,	//822  QDataStream&, const QPalette&
    31, 465, 0,	//825  QDebug, const QUrl&
    27, 23, 0,	//828  QDataStream&, QColor&
    27, 253, 0,	//831  QDataStream&, QTableWidgetItem&
    185, 83, 0,	//834  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    238, 452, 0,	//837  QString::Null, const QString&
    31, 157, 0,	//840  QDebug, QGraphicsItem::GraphicsItemFlag
    31, 388, 0,	//843  QDebug, const QGLFormat&
    288, 110, 0,	//846  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    351, 351, 0,	//849  Qt::ToolBarArea, Qt::ToolBarArea
    161, 490, 0,	//852  QGraphicsView::OptimizationFlag, int
    184, 184, 0,	//855  QLocale::NumberOption, QLocale::NumberOption
    362, 362, 0,	//858  Qt::WindowType, Qt::WindowType
    488, 447, 0,	//861  double, const QSizeF&
    438, 438, 0,	//864  const QQuaternion&, const QQuaternion&
    33, 490, 0,	//867  QDir::Filter, int
    245, 245, 0,	//870  QStyle::SubControl, QStyle::SubControl
    432, 432, 0,	//873  const QPoint&, const QPoint&
    27, 440, 0,	//876  QDataStream&, const QRectF&
    329, 490, 0,	//879  Qt::KeyboardModifier, int
    348, 123, 0,	//882  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    189, 490, 0,	//885  QMdiArea::AreaOption, int
    463, 488, 0,	//888  const QTransform&, double
    2, 48, 0,	//891  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    370, 0,	//894  char
    289, 289, 0,	//896  QWizard::WizardOption, QWizard::WizardOption
    266, 107, 0,	//899  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    263, 490, 0,	//902  QTextOption::Flag, int
    31, 417, 0,	//905  QDebug, const QMargins&
    275, 490, 0,	//908  QUrl::FormattingOption, int
    45, 490, 0,	//911  QFile::Permission, int
    152, 70, 0,	//914  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    432, 488, 0,	//917  const QPoint&, double
    204, 490, 490, 490, 490, 426, 369, 374, 0,	//920  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    204, 490, 490, 490, 490, 426, 0,	//929  QPainter*, int, int, int, int, const QPalette&
    204, 490, 490, 490, 490, 426, 369, 0,	//936  QPainter*, int, int, int, int, const QPalette&, bool
    27, 463, 0,	//944  QDataStream&, const QTransform&
    35, 58, 0,	//947  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    452, 376, 0,	//950  const QString&, const QByteArray&
    447, 447, 0,	//953  const QSizeF&, const QSizeF&
    474, 419, 0,	//956  const QVector3D&, const QMatrix4x4&
    477, 477, 0,	//959  const QVector4D&, const QVector4D&
    31, 434, 0,	//962  QDebug, const QPointF&
    46, 63, 0,	//965  QFileDialog::Option, QFlags<QFileDialog::Option>
    27, 430, 0,	//968  QDataStream&, const QPixmap&
    329, 119, 0,	//971  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    289, 490, 0,	//974  QWizard::WizardOption, int
    31, 414, 0,	//977  QDebug, const QLineF&
    31, 381, 0,	//980  QDebug, const QDateTime&
    36, 59, 0,	//983  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    479, 452, 0,	//986  const char*, const QString&
    490, 490, 490, 0,	//989  int, int, int
    160, 160, 0,	//993  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    136, 67, 0,	//996  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    27, 429, 0,	//999  QDataStream&, const QPicture&
    275, 275, 0,	//1002  QUrl::FormattingOption, QUrl::FormattingOption
    354, 125, 0,	//1005  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    321, 321, 0,	//1008  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    201, 490, 0,	//1011  QPaintEngine::PaintEngineFeature, int
    2, 2, 0,	//1014  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    184, 490, 0,	//1017  QLocale::NumberOption, int
    412, 412, 0,	//1020  const QLatin1String&, const QLatin1String&
    485, 490, 0,	//1023  const unsigned char*, int
    479, 479, 499, 0,	//1026  const char*, const char*, unsigned int
    412, 455, 0,	//1030  const QLatin1String&, const QStringRef&
    172, 174, 0,	//1033  QKeyEvent*, QKeySequence::StandardKey
    248, 248, 0,	//1036  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    264, 234, 0,	//1039  QTextStream&, QSplitter&
    410, 0,	//1042  const QItemSelectionRange&
    311, 311, 0,	//1044  Qt::DropAction, Qt::DropAction
    205, 89, 0,	//1047  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    31, 432, 0,	//1050  QDebug, const QPoint&
    27, 183, 0,	//1053  QDataStream&, QLocale&
    452, 18, 0,	//1056  const QString&, QChar
    238, 238, 0,	//1059  QString::Null, QString::Null
    9, 51, 0,	//1062  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    149, 490, 0,	//1065  QGLShader::ShaderTypeBit, int
    485, 498, 490, 0,	//1068  const unsigned char*, unsigned char*, int
    247, 95, 0,	//1072  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    256, 256, 0,	//1075  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    336, 336, 0,	//1078  Qt::Orientation, Qt::Orientation
    506, 496, 496, 496, 0,	//1081  void*, size_t, size_t, size_t
    27, 208, 0,	//1086  QDataStream&, QPalette&
    27, 379, 0,	//1089  QDataStream&, const QCursor&
    376, 452, 0,	//1092  const QByteArray&, const QString&
    351, 124, 0,	//1095  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    258, 103, 0,	//1098  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    439, 439, 0,	//1101  const QRect&, const QRect&
    44, 61, 0,	//1104  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    372, 372, 0,	//1107  const QBitArray&, const QBitArray&
    376, 376, 0,	//1110  const QByteArray&, const QByteArray&
    191, 86, 0,	//1113  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    506, 496, 0,	//1116  void*, size_t
    27, 418, 0,	//1119  QDataStream&, const QMatrix&
    27, 416, 0,	//1122  QDataStream&, const QLocale&
    31, 383, 0,	//1125  QDebug, const QEasingCurve&
    505, 0,	//1128  void(*)(QtMsgType,const char*)
    3, 490, 0,	//1130  QAbstractPrintDialog::PrintDialogOption, int
    423, 0,	//1133  const QModelIndex&
    30, 30, 0,	//1135  QDateTimeEdit::Section, QDateTimeEdit::Section
    252, 100, 0,	//1138  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    27, 29, 0,	//1141  QDataStream&, QDateTime&
    31, 384, 0,	//1144  QDebug, const QEvent*
    14, 14, 0,	//1147  QBool, QBool
    154, 154, 0,	//1150  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    479, 455, 0,	//1153  const char*, const QStringRef&
    130, 490, 0,	//1156  QFontComboBox::FontFilter, int
    351, 490, 0,	//1159  Qt::ToolBarArea, int
    152, 490, 0,	//1162  QGestureRecognizer::ResultFlag, int
    167, 167, 0,	//1165  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    132, 66, 0,	//1168  QGL::FormatOption, QFlags<QGL::FormatOption>
    27, 209, 0,	//1171  QDataStream&, QPen&
    413, 463, 0,	//1174  const QLine&, const QTransform&
    31, 436, 0,	//1177  QDebug, const QPolygonF&
    323, 490, 0,	//1180  Qt::InputMethodHint, int
    18, 452, 0,	//1183  QChar, const QString&
    249, 97, 0,	//1186  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    239, 490, 0,	//1189  QString::SectionFlag, int
    136, 490, 0,	//1192  QGLContext::BindOption, int
    153, 71, 0,	//1195  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    175, 490, 0,	//1198  QLibrary::LoadHint, int
    31, 156, 0,	//1201  QDebug, QGraphicsItem::GraphicsItemChange
    27, 274, 0,	//1204  QDataStream&, QUrl&
    493, 0,	//1207  long long
    438, 0,	//1209  const QQuaternion&
    452, 238, 0,	//1211  const QString&, QString::Null
    131, 131, 0,	//1214  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    463, 463, 0,	//1217  const QTransform&, const QTransform&
    185, 490, 0,	//1220  QMainWindow::DockOption, int
    27, 15, 0,	//1223  QDataStream&, QBrush&
    1, 490, 0,	//1226  QAbstractFileEngine::FileFlag, int
    256, 101, 0,	//1229  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    452, 370, 0,	//1232  const QString&, char
    425, 418, 0,	//1235  const QPainterPath&, const QMatrix&
    323, 117, 0,	//1238  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    141, 490, 0,	//1241  QGLFormat::OpenGLVersionFlag, int
    185, 185, 0,	//1244  QMainWindow::DockOption, QMainWindow::DockOption
    289, 111, 0,	//1247  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    27, 232, 0,	//1250  QDataStream&, QSizePolicy&
    362, 127, 0,	//1253  Qt::WindowType, QFlags<Qt::WindowType>
    204, 490, 490, 490, 490, 378, 490, 374, 0,	//1256  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    204, 490, 490, 490, 490, 378, 0,	//1265  QPainter*, int, int, int, int, const QColor&
    204, 490, 490, 490, 490, 378, 490, 0,	//1272  QPainter*, int, int, int, int, const QColor&, int
    438, 488, 0,	//1280  const QQuaternion&, double
    334, 334, 0,	//1283  Qt::MouseButton, Qt::MouseButton
    371, 479, 0,	//1286  char*, const char*
    443, 418, 0,	//1289  const QRegion&, const QMatrix&
    290, 290, 0,	//1292  Qt::AlignmentFlag, Qt::AlignmentFlag
    432, 0,	//1295  const QPoint&
    311, 490, 0,	//1297  Qt::DropAction, int
    27, 462, 0,	//1300  QDataStream&, const QTime&
    34, 490, 0,	//1303  QDir::SortFlag, int
    417, 417, 0,	//1306  const QMargins&, const QMargins&
    204, 439, 426, 369, 490, 490, 374, 0,	//1309  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    204, 439, 426, 0,	//1317  QPainter*, const QRect&, const QPalette&
    204, 439, 426, 369, 0,	//1321  QPainter*, const QRect&, const QPalette&, bool
    204, 439, 426, 369, 490, 0,	//1326  QPainter*, const QRect&, const QPalette&, bool, int
    204, 439, 426, 369, 490, 490, 0,	//1332  QPainter*, const QRect&, const QPalette&, bool, int, int
    27, 425, 0,	//1339  QDataStream&, const QPainterPath&
    477, 419, 0,	//1342  const QVector4D&, const QMatrix4x4&
    257, 490, 0,	//1345  QTextDocument::FindFlag, int
    196, 0,	//1348  QObject*(*)()
    31, 410, 0,	//1350  QDebug, const QItemSelectionRange&
    31, 411, 0,	//1353  QDebug, const QKeySequence&
    36, 36, 0,	//1356  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    204, 439, 417, 430, 0,	//1359  QPainter*, const QRect&, const QMargins&, const QPixmap&
    477, 488, 0,	//1364  const QVector4D&, double
    264, 449, 0,	//1367  QTextStream&, const QSplitter&
    332, 332, 0,	//1370  Qt::MatchFlag, Qt::MatchFlag
    496, 0,	//1373  size_t
    309, 113, 0,	//1375  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    27, 241, 0,	//1378  QDataStream&, QStringList&
    250, 250, 0,	//1381  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    171, 80, 0,	//1384  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    27, 474, 0,	//1387  QDataStream&, const QVector3D&
    31, 468, 0,	//1390  QDebug, const QVariant::Type
    309, 490, 0,	//1393  Qt::DockWidgetArea, int
    261, 105, 0,	//1396  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    27, 471, 0,	//1399  QDataStream&, const QVector2D&
    27, 373, 0,	//1402  QDataStream&, const QBrush&
    204, 439, 426, 369, 374, 0,	//1405  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    190, 490, 0,	//1411  QMdiSubWindow::SubWindowOption, int
    491, 0,	//1414  long
    27, 464, 0,	//1416  QDataStream&, const QTreeWidgetItem&
    502, 0,	//1419  unsigned short
    260, 260, 0,	//1421  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    27, 179, 0,	//1424  QDataStream&, QLineF&
    200, 200, 0,	//1427  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    27, 409, 0,	//1430  QDataStream&, const QImage&
    45, 45, 0,	//1433  QFile::Permission, QFile::Permission
    169, 79, 0,	//1436  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    204, 439, 426, 369, 490, 374, 0,	//1439  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    370, 452, 0,	//1446  char, const QString&
    27, 230, 0,	//1449  QDataStream&, QSize&
    27, 173, 0,	//1452  QDataStream&, QKeySequence&
    249, 249, 0,	//1455  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    32, 490, 0,	//1458  QDialogButtonBox::StandardButton, int
    260, 104, 0,	//1461  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    428, 0,	//1464  const QPersistentModelIndex&
    31, 443, 0,	//1466  QDebug, const QRegion&
    27, 477, 0,	//1469  QDataStream&, const QVector4D&
    27, 408, 0,	//1472  QDataStream&, const QIcon&
    27, 452, 0,	//1475  QDataStream&, const QString&
    27, 381, 0,	//1478  QDataStream&, const QDateTime&
    27, 283, 0,	//1481  QDataStream&, QVector3D&
    149, 69, 0,	//1484  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    424, 452, 421, 0,	//1487  const QObject*, const QString&, const QMetaObject&
    204, 490, 490, 490, 490, 426, 369, 490, 374, 0,	//1491  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    204, 490, 490, 490, 490, 426, 369, 490, 0,	//1501  QPainter*, int, int, int, int, const QPalette&, bool, int
    239, 239, 0,	//1510  QString::SectionFlag, QString::SectionFlag
    27, 281, 0,	//1513  QDataStream&, QVector2D&
    191, 490, 0,	//1516  QMessageBox::StandardButton, int
    471, 488, 0,	//1519  const QVector2D&, double
    247, 247, 0,	//1522  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    434, 488, 0,	//1525  const QPointF&, double
    369, 14, 0,	//1528  bool, QBool
    161, 161, 0,	//1531  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    169, 169, 0,	//1534  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    474, 488, 0,	//1537  const QVector3D&, double
    171, 171, 0,	//1540  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    371, 479, 499, 0,	//1543  char*, const char*, unsigned int
    488, 471, 0,	//1547  double, const QVector2D&
    477, 0,	//1550  const QVector4D&
    273, 108, 0,	//1552  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    27, 188, 0,	//1555  QDataStream&, QMatrix4x4&
    250, 98, 0,	//1558  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    258, 490, 0,	//1561  QTextEdit::AutoFormattingFlag, int
    249, 490, 0,	//1564  QStyleOptionTab::CornerWidget, int
    27, 432, 0,	//1567  QDataStream&, const QPoint&
    27, 278, 0,	//1570  QDataStream&, QVariant&
    434, 419, 0,	//1573  const QPointF&, const QMatrix4x4&
    334, 490, 0,	//1576  Qt::MouseButton, int
    27, 166, 0,	//1579  QDataStream&, QImage&
    434, 0,	//1582  const QPointF&
    3, 49, 0,	//1584  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    31, 456, 0,	//1587  QDebug, const QStyleOption&
    27, 210, 0,	//1590  QDataStream&, QPicture&
    24, 490, 0,	//1593  QColorDialog::ColorDialogOption, int
    132, 490, 0,	//1596  QGL::FormatOption, int
    31, 428, 0,	//1599  QDebug, const QPersistentModelIndex&
    436, 418, 0,	//1602  const QPolygonF&, const QMatrix&
    27, 285, 0,	//1605  QDataStream&, QVector4D&
    24, 24, 0,	//1608  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    479, 479, 479, 490, 0,	//1611  const char*, const char*, const char*, int
    46, 46, 0,	//1616  QFileDialog::Option, QFileDialog::Option
    263, 263, 0,	//1619  QTextOption::Flag, QTextOption::Flag
    336, 122, 0,	//1622  Qt::Orientation, QFlags<Qt::Orientation>
    27, 419, 0,	//1625  QDataStream&, const QMatrix4x4&
    418, 418, 0,	//1628  const QMatrix&, const QMatrix&
    44, 490, 0,	//1631  QEventLoop::ProcessEventsFlag, int
    440, 440, 0,	//1634  const QRectF&, const QRectF&
    506, 496, 496, 368, 0,	//1637  void*, size_t, size_t, __compar_fn_t
    490, 490, 490, 490, 0,	//1642  int, int, int, int
    27, 271, 0,	//1647  QDataStream&, QTransform&
    31, 158, 0,	//1650  QDebug, QGraphicsObject*
    27, 450, 0,	//1653  QDataStream&, const QStandardItem&
    321, 116, 0,	//1656  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    488, 477, 0,	//1659  double, const QVector4D&
    9, 490, 0,	//1662  QAccessible::RelationFlag, int
    190, 85, 0,	//1665  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    27, 453, 0,	//1668  QDataStream&, const QStringList&
    31, 419, 0,	//1671  QDebug, const QMatrix4x4&
    376, 370, 0,	//1674  const QByteArray&, char
    35, 35, 0,	//1677  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    33, 56, 0,	//1680  QDir::Filter, QFlags<QDir::Filter>
    27, 214, 0,	//1683  QDataStream&, QPoint&
    447, 488, 0,	//1686  const QSizeF&, double
    27, 380, 0,	//1689  QDataStream&, const QDate&
    252, 490, 0,	//1692  QStyleOptionViewItemV2::ViewItemFeature, int
    504, 0,	//1695  void(*)()
    485, 490, 490, 0,	//1697  const unsigned char*, int, int
    233, 233, 0,	//1701  QSizePolicy::ControlType, QSizePolicy::ControlType
    27, 413, 0,	//1704  QDataStream&, const QLine&
    27, 186, 0,	//1707  QDataStream&, QMatrix&
    32, 32, 0,	//1710  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    27, 237, 0,	//1713  QDataStream&, QString&
    244, 244, 0,	//1716  QStyle::StateFlag, QStyle::StateFlag
    27, 415, 0,	//1719  QDataStream&, const QListWidgetItem&
    247, 490, 0,	//1722  QStyleOptionFrameV2::FrameFeature, int
    506, 0,	//1725  void*
    31, 73, 0,	//1727  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    414, 418, 0,	//1730  const QLineF&, const QMatrix&
    27, 459, 0,	//1733  QDataStream&, const QTextFormat&
    326, 490, 0,	//1736  Qt::ItemFlag, int
    27, 272, 0,	//1739  QDataStream&, QTreeWidgetItem&
    31, 382, 0,	//1742  QDebug, const QDir&
    264, 265, 0,	//1745  QTextStream&, QTextStream&(*)(QTextStream&)
    31, 427, 0,	//1748  QDebug, const QPen&
    488, 438, 0,	//1751  double, const QQuaternion&
    388, 388, 0,	//1754  const QGLFormat&, const QGLFormat&
    31, 423, 0,	//1757  QDebug, const QModelIndex&
    157, 73, 0,	//1760  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    31, 474, 0,	//1763  QDebug, const QVector3D&
    261, 261, 0,	//1766  QTextItem::RenderFlag, QTextItem::RenderFlag
    44, 44, 0,	//1769  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    372, 0,	//1772  const QBitArray&
    31, 471, 0,	//1774  QDebug, const QVector2D&
    167, 78, 0,	//1777  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    31, 462, 0,	//1780  QDebug, const QTime&
    264, 267, 0,	//1783  QTextStream&, QTextStreamManipulator
    31, 477, 0,	//1786  QDebug, const QVector4D&
    27, 259, 0,	//1789  QDataStream&, QTextFormat&
    316, 115, 0,	//1792  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    455, 479, 0,	//1795  const QStringRef&, const char*
    251, 490, 0,	//1798  QStyleOptionToolButton::ToolButtonFeature, int
    233, 90, 0,	//1801  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    288, 288, 0,	//1804  QWidget::RenderFlag, QWidget::RenderFlag
    27, 13, 0,	//1807  QDataStream&, QBitArray&
    27, 218, 0,	//1810  QDataStream&, QPolygon&
    27, 226, 0,	//1813  QDataStream&, QRegion&
    4, 4, 0,	//1816  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    27, 448, 0,	//1819  QDataStream&, const QSizePolicy&
    251, 251, 0,	//1822  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    36, 490, 0,	//1825  QDockWidget::DockWidgetFeature, int
    496, 496, 0,	//1828  size_t, size_t
    159, 74, 0,	//1831  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    136, 136, 0,	//1834  QGLContext::BindOption, QGLContext::BindOption
    432, 463, 0,	//1837  const QPoint&, const QTransform&
    31, 447, 0,	//1840  QDebug, const QSizeF&
    316, 490, 0,	//1843  Qt::GestureFlag, int
    370, 376, 0,	//1846  char, const QByteArray&
    244, 490, 0,	//1849  QStyle::StateFlag, int
    27, 467, 0,	//1852  QDataStream&, const QVariant&
    251, 99, 0,	//1855  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    31, 467, 0,	//1858  QDebug, const QVariant&
    10, 10, 0,	//1861  QAccessible::StateFlag, QAccessible::StateFlag
    205, 205, 0,	//1864  QPainter::RenderHint, QPainter::RenderHint
    361, 490, 0,	//1867  Qt::WindowState, int
    27, 268, 0,	//1870  QDataStream&, QTime&
    27, 212, 0,	//1873  QDataStream&, QPixmap&
    30, 54, 0,	//1876  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    263, 106, 0,	//1879  QTextOption::Flag, QFlags<QTextOption::Flag>
    31, 56, 0,	//1882  QDebug, QFlags<QDir::Filter>
    329, 329, 0,	//1885  Qt::KeyboardModifier, Qt::KeyboardModifier
    488, 434, 0,	//1888  double, const QPointF&
    27, 42, 0,	//1891  QDataStream&, QEasingCurve&
    311, 114, 0,	//1894  Qt::DropAction, QFlags<Qt::DropAction>
    443, 463, 0,	//1897  const QRegion&, const QTransform&
    141, 68, 0,	//1900  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    445, 488, 0,	//1903  const QSize&, double
    31, 380, 0,	//1906  QDebug, const QDate&
    425, 463, 0,	//1909  const QPainterPath&, const QTransform&
    10, 52, 0,	//1912  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    33, 33, 0,	//1915  QDir::Filter, QDir::Filter
    371, 496, 479, 503, 0,	//1918  char*, size_t, const char*, va_list
    488, 432, 0,	//1923  double, const QPoint&
    436, 463, 0,	//1926  const QPolygonF&, const QTransform&
    506, 490, 496, 0,	//1929  void*, int, size_t
    27, 414, 0,	//1933  QDataStream&, const QLineF&
    494, 0,	//1936  short
    190, 190, 0,	//1938  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    163, 163, 0,	//1941  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    309, 309, 0,	//1944  Qt::DockWidgetArea, Qt::DockWidgetArea
    34, 57, 0,	//1947  QDir::SortFlag, QFlags<QDir::SortFlag>
    489, 489, 0,	//1950  float, float
    467, 469, 0,	//1953  const QVariant&, const QVariantComparisonHelper&
    169, 490, 0,	//1956  QInputDialog::InputDialogOption, int
    175, 175, 0,	//1959  QLibrary::LoadHint, QLibrary::LoadHint
    492, 490, 371, 0,	//1962  long double, int, char*
    273, 273, 0,	//1966  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    248, 96, 0,	//1969  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    161, 76, 0,	//1972  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    35, 490, 0,	//1975  QDirIterator::IteratorFlag, int
    323, 323, 0,	//1978  Qt::InputMethodHint, Qt::InputMethodHint
    159, 490, 0,	//1981  QGraphicsScene::SceneLayer, int
    27, 427, 0,	//1984  QDataStream&, const QPen&
    201, 201, 0,	//1987  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    27, 207, 0,	//1990  QDataStream&, QPainterPath&
    31, 413, 0,	//1993  QDebug, const QLine&
    348, 348, 0,	//1996  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    204, 490, 490, 490, 490, 426, 369, 490, 490, 374, 0,	//1999  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    204, 490, 490, 490, 490, 426, 369, 490, 490, 0,	//2010  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    354, 490, 0,	//2020  Qt::TouchPointState, int
    27, 262, 0,	//2023  QDataStream&, QTextLength&
    31, 463, 0,	//2026  QDebug, const QTransform&
    273, 490, 0,	//2029  QTreeWidgetItemIterator::IteratorFlag, int
    31, 435, 0,	//2032  QDebug, const QPolygon&
    275, 109, 0,	//2035  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 490, 0,	//2038  QAbstractSpinBox::StepEnabledFlag, int
    233, 490, 0,	//2041  QSizePolicy::ControlType, int
    159, 159, 0,	//2044  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    348, 490, 0,	//2047  Qt::TextInteractionFlag, int
    361, 361, 0,	//2050  Qt::WindowState, Qt::WindowState
    471, 0,	//2053  const QVector2D&
    260, 490, 0,	//2055  QTextFormat::PageBreakFlag, int
    1, 47, 0,	//2058  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    27, 378, 0,	//2061  QDataStream&, const QColor&
    488, 419, 0,	//2064  double, const QMatrix4x4&
    27, 376, 0,	//2067  QDataStream&, const QByteArray&
    9, 9, 0,	//2070  QAccessible::RelationFlag, QAccessible::RelationFlag
    27, 383, 0,	//2073  QDataStream&, const QEasingCurve&
    413, 418, 0,	//2076  const QLine&, const QMatrix&
    27, 465, 0,	//2079  QDataStream&, const QUrl&
    31, 439, 0,	//2082  QDebug, const QRect&
    31, 385, 0,	//2085  QDebug, const QFont&
    34, 34, 0,	//2088  QDir::SortFlag, QDir::SortFlag
    24, 53, 0,	//2091  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    160, 490, 0,	//2094  QGraphicsView::CacheModeFlag, int
    266, 490, 0,	//2097  QTextStream::NumberFlag, int
    27, 222, 0,	//2100  QDataStream&, QRect&
    189, 189, 0,	//2103  QMdiArea::AreaOption, QMdiArea::AreaOption
    27, 445, 0,	//2106  QDataStream&, const QSize&
    27, 377, 0,	//2109  QDataStream&, const QChar&
    130, 64, 0,	//2112  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    131, 65, 0,	//2115  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    174, 172, 0,	//2118  QKeySequence::StandardKey, QKeyEvent*
    244, 92, 0,	//2121  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    290, 490, 0,	//2124  Qt::AlignmentFlag, int
    27, 182, 0,	//2127  QDataStream&, QListWidgetItem&
    27, 441, 0,	//2130  QDataStream&, const QRegExp&
    167, 490, 0,	//2133  QImageIOPlugin::Capability, int
    257, 102, 0,	//2136  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    474, 0,	//2139  const QVector3D&
    31, 440, 0,	//2141  QDebug, const QRectF&
    361, 126, 0,	//2144  Qt::WindowState, QFlags<Qt::WindowState>
    154, 72, 0,	//2147  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    326, 326, 0,	//2150  Qt::ItemFlag, Qt::ItemFlag
    27, 276, 0,	//2153  QDataStream&, QUuid&
    27, 129, 0,	//2156  QDataStream&, QFont&
    204, 439, 378, 490, 374, 0,	//2159  QPainter*, const QRect&, const QColor&, int, const QBrush*
    204, 439, 378, 0,	//2165  QPainter*, const QRect&, const QColor&
    204, 439, 378, 490, 0,	//2169  QPainter*, const QRect&, const QColor&, int
    27, 220, 0,	//2174  QDataStream&, QPolygonF&
    157, 157, 0,	//2177  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    149, 149, 0,	//2180  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    250, 490, 0,	//2183  QStyleOptionToolBar::ToolBarFeature, int
    27, 280, 0,	//2186  QDataStream&, QVariant::Type&
    205, 490, 0,	//2189  QPainter::RenderHint, int
    467, 279, 506, 0,	//2192  const QVariant&, QVariant::Type, void*
    31, 92, 0,	//2196  QDebug, QFlags<QStyle::StateFlag>
    2, 490, 0,	//2199  QAbstractItemView::EditTrigger, int
    432, 419, 0,	//2202  const QPoint&, const QMatrix4x4&
    432, 418, 0,	//2205  const QPoint&, const QMatrix&
    3, 3, 0,	//2208  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    424, 452, 442, 421, 181, 0,	//2211  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    407, 407, 0,	//2217  const QHashDummyValue&, const QHashDummyValue&
    27, 216, 0,	//2220  QDataStream&, QPointF&
    336, 490, 0,	//2223  Qt::Orientation, int
    252, 252, 0,	//2226  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    419, 474, 0,	//2229  const QMatrix4x4&, const QVector3D&
    27, 458, 0,	//2232  QDataStream&, const QTableWidgetItem&
    31, 155, 0,	//2235  QDebug, QGraphicsItem*
    204, 432, 432, 426, 369, 490, 490, 0,	//2238  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    204, 432, 432, 426, 0,	//2246  QPainter*, const QPoint&, const QPoint&, const QPalette&
    204, 432, 432, 426, 369, 0,	//2251  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    204, 432, 432, 426, 369, 490, 0,	//2257  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    316, 316, 0,	//2264  Qt::GestureFlag, Qt::GestureFlag
    163, 77, 0,	//2267  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    419, 434, 0,	//2270  const QMatrix4x4&, const QPointF&
    153, 490, 0,	//2273  QGraphicsBlurEffect::BlurHint, int
    201, 88, 0,	//2276  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    27, 385, 0,	//2279  QDataStream&, const QFont&
    153, 153, 0,	//2282  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    435, 463, 0,	//2285  const QPolygon&, const QTransform&
    141, 141, 0,	//2288  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    200, 490, 0,	//2291  QPaintEngine::DirtyFlag, int
    488, 445, 0,	//2294  double, const QSize&
    171, 490, 0,	//2297  QItemSelectionModel::SelectionFlag, int
    14, 369, 0,	//2300  QBool, bool
    32, 55, 0,	//2303  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    27, 177, 0,	//2306  QDataStream&, QLine&
    31, 445, 0,	//2309  QDebug, const QSize&
    245, 490, 0,	//2312  QStyle::SubControl, int
    266, 266, 0,	//2315  QTextStream::NumberFlag, QTextStream::NumberFlag
    414, 463, 0,	//2318  const QLineF&, const QTransform&
    131, 490, 0,	//2321  QFontDialog::FontDialogOption, int
    334, 121, 0,	//2324  Qt::MouseButton, QFlags<Qt::MouseButton>
    27, 468, 0,	//2327  QDataStream&, const QVariant::Type
    257, 257, 0,	//2330  QTextDocument::FindFlag, QTextDocument::FindFlag
    248, 490, 0,	//2333  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    326, 118, 0,	//2336  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    434, 463, 0,	//2339  const QPointF&, const QTransform&
    31, 378, 0,	//2342  QDebug, const QColor&
    31, 418, 0,	//2345  QDebug, const QMatrix&
    27, 466, 0,	//2348  QDataStream&, const QUuid&
    175, 81, 0,	//2351  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    362, 490, 0,	//2354  Qt::WindowType, int
    246, 490, 0,	//2357  QStyleOptionButton::ButtonFeature, int
    27, 223, 0,	//2360  QDataStream&, QRectF&
    246, 94, 0,	//2363  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    160, 75, 0,	//2366  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    27, 26, 0,	//2369  QDataStream&, QCursor&
    157, 490, 0,	//2372  QGraphicsItem::GraphicsItemFlag, int
    27, 439, 0,	//2375  QDataStream&, const QRect&
    332, 120, 0,	//2378  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    290, 112, 0,	//2381  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    27, 19, 0,	//2384  QDataStream&, QChar&
    27, 224, 0,	//2387  QDataStream&, QRegExp&
    27, 438, 0,	//2390  QDataStream&, const QQuaternion&
    10, 490, 0,	//2393  QAccessible::StateFlag, int
    27, 434, 0,	//2396  QDataStream&, const QPointF&
    132, 132, 0,	//2399  QGL::FormatOption, QGL::FormatOption
    27, 447, 0,	//2402  QDataStream&, const QSizeF&
    184, 82, 0,	//2405  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    261, 490, 0,	//2408  QTextItem::RenderFlag, int
    204, 439, 417, 430, 439, 417, 461, 60, 0,	//2411  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    204, 439, 417, 430, 439, 417, 0,	//2420  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    204, 439, 417, 430, 439, 417, 461, 0,	//2427  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    239, 91, 0,	//2435  QString::SectionFlag, QFlags<QString::SectionFlag>
    452, 452, 0,	//2438  const QString&, const QString&
    1, 1, 0,	//2441  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    365, 479, 0,	//2444  QtMsgType, const char*
    31, 425, 0,	//2447  QDebug, const QPainterPath&
    488, 474, 0,	//2450  double, const QVector3D&
    455, 0,	//2453  const QStringRef&
    163, 490, 0,	//2455  QIODevice::OpenModeFlag, int
    4, 50, 0,	//2458  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    497, 0,	//2461  unsigned char
    27, 17, 0,	//2463  QDataStream&, QByteArray&
    130, 130, 0,	//2466  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    435, 418, 0,	//2469  const QPolygon&, const QMatrix&
    31, 457, 0,	//2472  QDebug, const QStyleOption::OptionType&
    31, 424, 0,	//2475  QDebug, const QObject*
    332, 490, 0,	//2478  Qt::MatchFlag, int
    27, 435, 0,	//2481  QDataStream&, const QPolygon&
    27, 28, 0,	//2484  QDataStream&, QDate&
    27, 372, 0,	//2487  QDataStream&, const QBitArray&
    195, 43, 0,	//2490  QObject*, QEvent*
    269, 0,	//2493  QTimerEvent*
    20, 0,	//2495  QChildEvent*
    193, 0,	//2497  QMouseEvent*
    286, 0,	//2499  QWheelEvent*
    172, 0,	//2501  QKeyEvent*
    128, 0,	//2503  QFocusEvent*
    194, 0,	//2505  QMoveEvent*
    21, 0,	//2507  QCloseEvent*
    25, 0,	//2509  QContextMenuEvent*
    254, 0,	//2511  QTabletEvent*
    11, 0,	//2513  QActionEvent*
    37, 0,	//2515  QDragEnterEvent*
    39, 0,	//2517  QDragMoveEvent*
    38, 0,	//2519  QDragLeaveEvent*
    41, 0,	//2521  QDropEvent*
    228, 0,	//2523  QShowEvent*
    162, 0,	//2525  QHideEvent*
    366, 0,	//2527  _XEvent*
    170, 0,	//2529  QInputMethodEvent*
    324, 0,	//2531  Qt::InputMethodQuery
    243, 0,	//2533  QStyle&
    426, 0,	//2535  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "CompatibilityProfile",	//6
    "CoreProfile",	//7
    "DefaultBindOption",	//8
    "DeprecatedFunctions",	//9
    "Depth",	//10
    "DepthBuffer",	//11
    "DirectRendering",	//12
    "DoubleBuffer",	//13
    "DrawChildren",	//14
    "DrawWindowBackground",	//15
    "Fragment",	//16
    "Geometry",	//17
    "HasOverlay",	//18
    "IgnoreMask",	//19
    "IndirectRendering",	//20
    "InternalBindOption",	//21
    "InvertedYBindOption",	//22
    "LinearFilteringBindOption",	//23
    "MemoryManagedBindOption",	//24
    "MipmapBindOption",	//25
    "NoAccumBuffer",	//26
    "NoAlphaChannel",	//27
    "NoAttachment",	//28
    "NoBindOption",	//29
    "NoDeprecatedFunctions",	//30
    "NoDepthBuffer",	//31
    "NoOverlay",	//32
    "NoProfile",	//33
    "NoSampleBuffers",	//34
    "NoStencilBuffer",	//35
    "NoStereoBuffers",	//36
    "OpenGL_ES_CommonLite_Version_1_0",	//37
    "OpenGL_ES_CommonLite_Version_1_1",	//38
    "OpenGL_ES_Common_Version_1_0",	//39
    "OpenGL_ES_Common_Version_1_1",	//40
    "OpenGL_ES_Version_2_0",	//41
    "OpenGL_Version_1_1",	//42
    "OpenGL_Version_1_2",	//43
    "OpenGL_Version_1_3",	//44
    "OpenGL_Version_1_4",	//45
    "OpenGL_Version_1_5",	//46
    "OpenGL_Version_2_0",	//47
    "OpenGL_Version_2_1",	//48
    "OpenGL_Version_3_0",	//49
    "OpenGL_Version_3_1",	//50
    "OpenGL_Version_3_2",	//51
    "OpenGL_Version_3_3",	//52
    "OpenGL_Version_4_0",	//53
    "OpenGL_Version_None",	//54
    "PM_BoldLineWidth",	//55
    "PM_FrameCornerHeight",	//56
    "PM_FrameCornerWidth",	//57
    "PM_MessageBoxHeight",	//58
    "PM_ThinLineWidth",	//59
    "PremultipliedAlphaBindOption",	//60
    "QGLColormap",	//61
    "QGLColormap#",	//62
    "QGLContext",	//63
    "QGLContext#",	//64
    "QGLContext##",	//65
    "QGLFormat",	//66
    "QGLFormat#",	//67
    "QGLFormat$",	//68
    "QGLFormat$$",	//69
    "QGLFramebufferObject",	//70
    "QGLFramebufferObject#",	//71
    "QGLFramebufferObject##",	//72
    "QGLFramebufferObject#$",	//73
    "QGLFramebufferObject#$$",	//74
    "QGLFramebufferObject#$$$",	//75
    "QGLFramebufferObject$$",	//76
    "QGLFramebufferObject$$#",	//77
    "QGLFramebufferObject$$$",	//78
    "QGLFramebufferObject$$$$",	//79
    "QGLFramebufferObject$$$$$",	//80
    "QGLFramebufferObjectFormat",	//81
    "QGLFramebufferObjectFormat#",	//82
    "QGLPixelBuffer",	//83
    "QGLPixelBuffer#",	//84
    "QGLPixelBuffer##",	//85
    "QGLPixelBuffer###",	//86
    "QGLPixelBuffer$$",	//87
    "QGLPixelBuffer$$#",	//88
    "QGLPixelBuffer$$##",	//89
    "QGLShader",	//90
    "QGLShader$",	//91
    "QGLShader$#",	//92
    "QGLShader$##",	//93
    "QGLShaderProgram",	//94
    "QGLShaderProgram#",	//95
    "QGLShaderProgram##",	//96
    "QGLWidget",	//97
    "QGLWidget#",	//98
    "QGLWidget##",	//99
    "QGLWidget###",	//100
    "QGLWidget###$",	//101
    "QGLWidget##$",	//102
    "QtCriticalMsg",	//103
    "QtDebugMsg",	//104
    "QtFatalMsg",	//105
    "QtSystemMsg",	//106
    "QtWarningMsg",	//107
    "Rgba",	//108
    "SampleBuffers",	//109
    "SingleBuffer",	//110
    "StencilBuffer",	//111
    "StereoBuffers",	//112
    "Vertex",	//113
    "__codecvt_error",	//114
    "__codecvt_noconv",	//115
    "__codecvt_ok",	//116
    "__codecvt_partial",	//117
    "accum",	//118
    "accumBufferSize",	//119
    "actionEvent",	//120
    "addShader",	//121
    "addShader#",	//122
    "addShaderFromSourceCode",	//123
    "addShaderFromSourceCode$#",	//124
    "addShaderFromSourceCode$$",	//125
    "addShaderFromSourceFile",	//126
    "addShaderFromSourceFile$$",	//127
    "alpha",	//128
    "alphaBufferSize",	//129
    "areSharing",	//130
    "areSharing##",	//131
    "attachment",	//132
    "attributeLocation",	//133
    "attributeLocation#",	//134
    "attributeLocation$",	//135
    "autoBufferSwap",	//136
    "bind",	//137
    "bindAttributeLocation",	//138
    "bindAttributeLocation#$",	//139
    "bindAttributeLocation$$",	//140
    "bindDefault",	//141
    "bindTexture",	//142
    "bindTexture#",	//143
    "bindTexture#$",	//144
    "bindTexture#$$",	//145
    "bindTexture#$$$",	//146
    "bindTexture$",	//147
    "bindToDynamicTexture",	//148
    "bindToDynamicTexture$",	//149
    "blitFramebuffer",	//150
    "blitFramebuffer####",	//151
    "blitFramebuffer####$",	//152
    "blitFramebuffer####$$",	//153
    "blueBufferSize",	//154
    "changeEvent",	//155
    "childEvent",	//156
    "chooseContext",	//157
    "chooseContext#",	//158
    "closeEvent",	//159
    "colorIndex",	//160
    "colorIndex#",	//161
    "colormap",	//162
    "compileSourceCode",	//163
    "compileSourceCode#",	//164
    "compileSourceCode$",	//165
    "compileSourceFile",	//166
    "compileSourceFile$",	//167
    "connectNotify",	//168
    "context",	//169
    "contextMenuEvent",	//170
    "convertToGLFormat",	//171
    "convertToGLFormat#",	//172
    "create",	//173
    "create#",	//174
    "currentContext",	//175
    "currentCtx",	//176
    "customEvent",	//177
    "defaultFormat",	//178
    "defaultOverlayFormat",	//179
    "deleteTexture",	//180
    "deleteTexture$",	//181
    "depth",	//182
    "depthBufferSize",	//183
    "detach",	//184
    "devType",	//185
    "device",	//186
    "deviceIsPixmap",	//187
    "directRendering",	//188
    "disableAttributeArray",	//189
    "disableAttributeArray$",	//190
    "disconnectNotify",	//191
    "doneCurrent",	//192
    "doubleBuffer",	//193
    "dragEnterEvent",	//194
    "dragLeaveEvent",	//195
    "dragMoveEvent",	//196
    "drawTexture",	//197
    "drawTexture#$",	//198
    "drawTexture#$$",	//199
    "dropEvent",	//200
    "enableAttributeArray",	//201
    "enableAttributeArray$",	//202
    "enabledChange",	//203
    "enterEvent",	//204
    "entryColor",	//205
    "entryColor$",	//206
    "entryRgb",	//207
    "entryRgb$",	//208
    "event",	//209
    "event#",	//210
    "eventFilter",	//211
    "find",	//212
    "find$",	//213
    "findNearest",	//214
    "findNearest$",	//215
    "focusInEvent",	//216
    "focusNextPrevChild",	//217
    "focusOutEvent",	//218
    "fontChange",	//219
    "fontDisplayListBase",	//220
    "fontDisplayListBase#",	//221
    "fontDisplayListBase#$",	//222
    "format",	//223
    "generateDynamicTexture",	//224
    "generateFontDisplayLists",	//225
    "generateFontDisplayLists#$",	//226
    "geometryInputType",	//227
    "geometryOutputType",	//228
    "geometryOutputVertexCount",	//229
    "getProcAddress",	//230
    "getProcAddress$",	//231
    "glDraw",	//232
    "glInit",	//233
    "grabFrameBuffer",	//234
    "grabFrameBuffer$",	//235
    "greenBufferSize",	//236
    "handle",	//237
    "hasOpenGL",	//238
    "hasOpenGLFramebufferBlit",	//239
    "hasOpenGLFramebufferObjects",	//240
    "hasOpenGLOverlays",	//241
    "hasOpenGLPbuffers",	//242
    "hasOpenGLShaderPrograms",	//243
    "hasOpenGLShaderPrograms#",	//244
    "hasOpenGLShaders",	//245
    "hasOpenGLShaders$",	//246
    "hasOpenGLShaders$#",	//247
    "hasOverlay",	//248
    "heightForWidth",	//249
    "hideEvent",	//250
    "initializeGL",	//251
    "initializeOverlayGL",	//252
    "initialized",	//253
    "inputMethodEvent",	//254
    "inputMethodQuery",	//255
    "internalTextureFormat",	//256
    "isBound",	//257
    "isCompiled",	//258
    "isEmpty",	//259
    "isLinked",	//260
    "isSharing",	//261
    "isValid",	//262
    "keyPressEvent",	//263
    "keyReleaseEvent",	//264
    "languageChange",	//265
    "leaveEvent",	//266
    "link",	//267
    "log",	//268
    "majorVersion",	//269
    "makeCurrent",	//270
    "makeOverlayCurrent",	//271
    "maxGeometryOutputVertices",	//272
    "metaObject",	//273
    "metric",	//274
    "metric$",	//275
    "minimumSizeHint",	//276
    "minorVersion",	//277
    "mouseDoubleClickEvent",	//278
    "mouseMoveEvent",	//279
    "mousePressEvent",	//280
    "mouseReleaseEvent",	//281
    "moveEvent",	//282
    "openGLVersionFlags",	//283
    "operator!=",	//284
    "operator!=#",	//285
    "operator!=##",	//286
    "operator!=#$",	//287
    "operator!=$#",	//288
    "operator!=$$",	//289
    "operator&",	//290
    "operator&##",	//291
    "operator*",	//292
    "operator*##",	//293
    "operator*#$",	//294
    "operator*$#",	//295
    "operator+",	//296
    "operator+##",	//297
    "operator+#$",	//298
    "operator+$#",	//299
    "operator+$$",	//300
    "operator-",	//301
    "operator-#",	//302
    "operator-##",	//303
    "operator-#$",	//304
    "operator/",	//305
    "operator/#$",	//306
    "operator<",	//307
    "operator<##",	//308
    "operator<#$",	//309
    "operator<$#",	//310
    "operator<$$",	//311
    "operator<<",	//312
    "operator<<##",	//313
    "operator<<#$",	//314
    "operator<<#?",	//315
    "operator<=",	//316
    "operator<=##",	//317
    "operator<=#$",	//318
    "operator<=$#",	//319
    "operator<=$$",	//320
    "operator=",	//321
    "operator=#",	//322
    "operator==",	//323
    "operator==#",	//324
    "operator==##",	//325
    "operator==#$",	//326
    "operator==$#",	//327
    "operator==$$",	//328
    "operator>",	//329
    "operator>##",	//330
    "operator>#$",	//331
    "operator>$#",	//332
    "operator>$$",	//333
    "operator>=",	//334
    "operator>=##",	//335
    "operator>=#$",	//336
    "operator>=$#",	//337
    "operator>=$$",	//338
    "operator>>",	//339
    "operator>>##",	//340
    "operator>>#$",	//341
    "operator>>#?",	//342
    "operator^",	//343
    "operator^##",	//344
    "operator|",	//345
    "operator|##",	//346
    "operator|$$",	//347
    "overlayContext",	//348
    "overlayTransparentColor",	//349
    "paintEngine",	//350
    "paintEvent",	//351
    "paintEvent#",	//352
    "paintGL",	//353
    "paintOverlayGL",	//354
    "paletteChange",	//355
    "plane",	//356
    "profile",	//357
    "programId",	//358
    "qAccessibleActionCastHelper",	//359
    "qAccessibleEditableTextCastHelper",	//360
    "qAccessibleImageCastHelper",	//361
    "qAccessibleTableCastHelper",	//362
    "qAccessibleTextCastHelper",	//363
    "qAccessibleValueCastHelper",	//364
    "qAcos",	//365
    "qAcos$",	//366
    "qAddPostRoutine",	//367
    "qAddPostRoutine$",	//368
    "qAlpha",	//369
    "qAlpha$",	//370
    "qAppName",	//371
    "qAsin",	//372
    "qAsin$",	//373
    "qAtan",	//374
    "qAtan$",	//375
    "qAtan2",	//376
    "qAtan2$$",	//377
    "qBadAlloc",	//378
    "qBlue",	//379
    "qBlue$",	//380
    "qCeil",	//381
    "qCeil$",	//382
    "qChecksum",	//383
    "qChecksum$$",	//384
    "qCompress",	//385
    "qCompress#",	//386
    "qCompress#$",	//387
    "qCompress$$",	//388
    "qCompress$$$",	//389
    "qCos",	//390
    "qCos$",	//391
    "qCritical",	//392
    "qDebug",	//393
    "qDrawBorderPixmap",	//394
    "qDrawBorderPixmap####",	//395
    "qDrawBorderPixmap######",	//396
    "qDrawBorderPixmap#######",	//397
    "qDrawBorderPixmap#######$",	//398
    "qDrawPlainRect",	//399
    "qDrawPlainRect###",	//400
    "qDrawPlainRect###$",	//401
    "qDrawPlainRect###$#",	//402
    "qDrawPlainRect#$$$$#",	//403
    "qDrawPlainRect#$$$$#$",	//404
    "qDrawPlainRect#$$$$#$#",	//405
    "qDrawShadeLine",	//406
    "qDrawShadeLine####",	//407
    "qDrawShadeLine####$",	//408
    "qDrawShadeLine####$$",	//409
    "qDrawShadeLine####$$$",	//410
    "qDrawShadeLine#$$$$#",	//411
    "qDrawShadeLine#$$$$#$",	//412
    "qDrawShadeLine#$$$$#$$",	//413
    "qDrawShadeLine#$$$$#$$$",	//414
    "qDrawShadePanel",	//415
    "qDrawShadePanel###",	//416
    "qDrawShadePanel###$",	//417
    "qDrawShadePanel###$$",	//418
    "qDrawShadePanel###$$#",	//419
    "qDrawShadePanel#$$$$#",	//420
    "qDrawShadePanel#$$$$#$",	//421
    "qDrawShadePanel#$$$$#$$",	//422
    "qDrawShadePanel#$$$$#$$#",	//423
    "qDrawShadeRect",	//424
    "qDrawShadeRect###",	//425
    "qDrawShadeRect###$",	//426
    "qDrawShadeRect###$$",	//427
    "qDrawShadeRect###$$$",	//428
    "qDrawShadeRect###$$$#",	//429
    "qDrawShadeRect#$$$$#",	//430
    "qDrawShadeRect#$$$$#$",	//431
    "qDrawShadeRect#$$$$#$$",	//432
    "qDrawShadeRect#$$$$#$$$",	//433
    "qDrawShadeRect#$$$$#$$$#",	//434
    "qDrawWinButton",	//435
    "qDrawWinButton###",	//436
    "qDrawWinButton###$",	//437
    "qDrawWinButton###$#",	//438
    "qDrawWinButton#$$$$#",	//439
    "qDrawWinButton#$$$$#$",	//440
    "qDrawWinButton#$$$$#$#",	//441
    "qDrawWinPanel",	//442
    "qDrawWinPanel###",	//443
    "qDrawWinPanel###$",	//444
    "qDrawWinPanel###$#",	//445
    "qDrawWinPanel#$$$$#",	//446
    "qDrawWinPanel#$$$$#$",	//447
    "qDrawWinPanel#$$$$#$#",	//448
    "qExp",	//449
    "qExp$",	//450
    "qFabs",	//451
    "qFabs$",	//452
    "qFastCos",	//453
    "qFastCos$",	//454
    "qFastSin",	//455
    "qFastSin$",	//456
    "qFlagLocation",	//457
    "qFlagLocation$",	//458
    "qFloor",	//459
    "qFloor$",	//460
    "qFree",	//461
    "qFree$",	//462
    "qFreeAligned",	//463
    "qFreeAligned$",	//464
    "qFuzzyCompare",	//465
    "qFuzzyCompare##",	//466
    "qFuzzyCompare$$",	//467
    "qFuzzyIsNull",	//468
    "qFuzzyIsNull$",	//469
    "qGray",	//470
    "qGray$",	//471
    "qGray$$$",	//472
    "qGreen",	//473
    "qGreen$",	//474
    "qHash",	//475
    "qHash#",	//476
    "qHash$",	//477
    "qHash?",	//478
    "qInf",	//479
    "qInstallMsgHandler",	//480
    "qInstallMsgHandler$",	//481
    "qIntCast",	//482
    "qIntCast$",	//483
    "qIsFinite",	//484
    "qIsFinite$",	//485
    "qIsGray",	//486
    "qIsGray$",	//487
    "qIsInf",	//488
    "qIsInf$",	//489
    "qIsNaN",	//490
    "qIsNaN$",	//491
    "qIsNull",	//492
    "qIsNull$",	//493
    "qLn",	//494
    "qLn$",	//495
    "qMalloc",	//496
    "qMalloc?",	//497
    "qMallocAligned",	//498
    "qMallocAligned??",	//499
    "qMemCopy",	//500
    "qMemCopy$$?",	//501
    "qMemSet",	//502
    "qMemSet$$?",	//503
    "qPow",	//504
    "qPow$$",	//505
    "qQNaN",	//506
    "qRealloc",	//507
    "qRealloc$?",	//508
    "qReallocAligned",	//509
    "qReallocAligned$???",	//510
    "qRed",	//511
    "qRed$",	//512
    "qRegisterStaticPluginInstanceFunction",	//513
    "qRegisterStaticPluginInstanceFunction#",	//514
    "qRemovePostRoutine",	//515
    "qRemovePostRoutine$",	//516
    "qRgb",	//517
    "qRgb$$$",	//518
    "qRgba",	//519
    "qRgba$$$$",	//520
    "qRound",	//521
    "qRound$",	//522
    "qRound64",	//523
    "qRound64$",	//524
    "qSNaN",	//525
    "qSetFieldWidth",	//526
    "qSetFieldWidth$",	//527
    "qSetPadChar",	//528
    "qSetPadChar#",	//529
    "qSetRealNumberPrecision",	//530
    "qSetRealNumberPrecision$",	//531
    "qSharedBuild",	//532
    "qSin",	//533
    "qSin$",	//534
    "qSqrt",	//535
    "qSqrt$",	//536
    "qStringComparisonHelper",	//537
    "qStringComparisonHelper#$",	//538
    "qStringComparisonHelper$$",	//539
    "qTan",	//540
    "qTan$",	//541
    "qUncompress",	//542
    "qUncompress#",	//543
    "qUncompress$$",	//544
    "qVersion",	//545
    "qWarning",	//546
    "qbswap_helper",	//547
    "qbswap_helper$$$",	//548
    "qgcvt",	//549
    "qgcvt$$$",	//550
    "qgetenv",	//551
    "qgetenv$",	//552
    "qglClearColor",	//553
    "qglClearColor#",	//554
    "qglColor",	//555
    "qglColor#",	//556
    "qputenv",	//557
    "qputenv$#",	//558
    "qrand",	//559
    "qsort",	//560
    "qsort$???",	//561
    "qsrand",	//562
    "qsrand$",	//563
    "qstrcmp",	//564
    "qstrcmp##",	//565
    "qstrcmp#$",	//566
    "qstrcmp$#",	//567
    "qstrcmp$$",	//568
    "qstrcpy",	//569
    "qstrcpy$$",	//570
    "qstrdup",	//571
    "qstrdup$",	//572
    "qstricmp",	//573
    "qstricmp$$",	//574
    "qstrlen",	//575
    "qstrlen$",	//576
    "qstrncmp",	//577
    "qstrncmp$$$",	//578
    "qstrncpy",	//579
    "qstrncpy$$$",	//580
    "qstrnicmp",	//581
    "qstrnicmp$$$",	//582
    "qstrnlen",	//583
    "qstrnlen$$",	//584
    "qtTrId",	//585
    "qtTrId$",	//586
    "qtTrId$$",	//587
    "qt_assert",	//588
    "qt_assert$$$",	//589
    "qt_assert_x",	//590
    "qt_assert_x$$$$",	//591
    "qt_check_pointer",	//592
    "qt_check_pointer$$",	//593
    "qt_error_string",	//594
    "qt_error_string$",	//595
    "qt_message_output",	//596
    "qt_message_output$$",	//597
    "qt_metacall",	//598
    "qt_metacall$$?",	//599
    "qt_metacast",	//600
    "qt_metacast$",	//601
    "qt_noop",	//602
    "qt_qFindChild_helper",	//603
    "qt_qFindChild_helper#$#",	//604
    "qt_qFindChildren_helper",	//605
    "qt_qFindChildren_helper#$##?",	//606
    "qvariant_cast_helper",	//607
    "qvariant_cast_helper#$$",	//608
    "qvsnprintf",	//609
    "qvsnprintf$?$?",	//610
    "redBufferSize",	//611
    "release",	//612
    "releaseFromDynamicTexture",	//613
    "removeAllShaders",	//614
    "removeShader",	//615
    "removeShader#",	//616
    "renderPixmap",	//617
    "renderPixmap$",	//618
    "renderPixmap$$",	//619
    "renderPixmap$$$",	//620
    "renderText",	//621
    "renderText$$$",	//622
    "renderText$$$#",	//623
    "renderText$$$#$",	//624
    "renderText$$$$",	//625
    "renderText$$$$#",	//626
    "renderText$$$$#$",	//627
    "requestedFormat",	//628
    "reset",	//629
    "resizeEvent",	//630
    "resizeEvent#",	//631
    "resizeGL",	//632
    "resizeGL$$",	//633
    "resizeOverlayGL",	//634
    "resizeOverlayGL$$",	//635
    "rgba",	//636
    "sampleBuffers",	//637
    "samples",	//638
    "setAccum",	//639
    "setAccum$",	//640
    "setAccumBufferSize",	//641
    "setAccumBufferSize$",	//642
    "setAlpha",	//643
    "setAlpha$",	//644
    "setAlphaBufferSize",	//645
    "setAlphaBufferSize$",	//646
    "setAttachment",	//647
    "setAttachment$",	//648
    "setAttributeArray",	//649
    "setAttributeArray$#",	//650
    "setAttributeArray$#$",	//651
    "setAttributeArray$$$",	//652
    "setAttributeArray$$$$",	//653
    "setAttributeArray$$$$$",	//654
    "setAttributeBuffer",	//655
    "setAttributeBuffer$$$$",	//656
    "setAttributeBuffer$$$$$",	//657
    "setAttributeValue",	//658
    "setAttributeValue$#",	//659
    "setAttributeValue$$",	//660
    "setAttributeValue$$$",	//661
    "setAttributeValue$$$$",	//662
    "setAttributeValue$$$$$",	//663
    "setAutoBufferSwap",	//664
    "setAutoBufferSwap$",	//665
    "setBlueBufferSize",	//666
    "setBlueBufferSize$",	//667
    "setColormap",	//668
    "setColormap#",	//669
    "setContext",	//670
    "setContext#",	//671
    "setContext##",	//672
    "setContext##$",	//673
    "setCurrentCtx",	//674
    "setCurrentCtx#",	//675
    "setDefaultFormat",	//676
    "setDefaultFormat#",	//677
    "setDefaultOverlayFormat",	//678
    "setDefaultOverlayFormat#",	//679
    "setDepth",	//680
    "setDepth$",	//681
    "setDepthBufferSize",	//682
    "setDepthBufferSize$",	//683
    "setDevice",	//684
    "setDevice#",	//685
    "setDirectRendering",	//686
    "setDirectRendering$",	//687
    "setDoubleBuffer",	//688
    "setDoubleBuffer$",	//689
    "setEntries",	//690
    "setEntries$$",	//691
    "setEntries$$$",	//692
    "setEntry",	//693
    "setEntry$#",	//694
    "setEntry$$",	//695
    "setFormat",	//696
    "setFormat#",	//697
    "setGeometryInputType",	//698
    "setGeometryInputType$",	//699
    "setGeometryOutputType",	//700
    "setGeometryOutputType$",	//701
    "setGeometryOutputVertexCount",	//702
    "setGeometryOutputVertexCount$",	//703
    "setGreenBufferSize",	//704
    "setGreenBufferSize$",	//705
    "setHandle",	//706
    "setHandle$",	//707
    "setInitialized",	//708
    "setInitialized$",	//709
    "setInternalTextureFormat",	//710
    "setInternalTextureFormat$",	//711
    "setMouseTracking",	//712
    "setMouseTracking$",	//713
    "setOption",	//714
    "setOption$",	//715
    "setOverlay",	//716
    "setOverlay$",	//717
    "setPlane",	//718
    "setPlane$",	//719
    "setPreferredPaintEngine",	//720
    "setPreferredPaintEngine$",	//721
    "setProfile",	//722
    "setProfile$",	//723
    "setRedBufferSize",	//724
    "setRedBufferSize$",	//725
    "setRgba",	//726
    "setRgba$",	//727
    "setSampleBuffers",	//728
    "setSampleBuffers$",	//729
    "setSamples",	//730
    "setSamples$",	//731
    "setStencil",	//732
    "setStencil$",	//733
    "setStencilBufferSize",	//734
    "setStencilBufferSize$",	//735
    "setStereo",	//736
    "setStereo$",	//737
    "setSwapInterval",	//738
    "setSwapInterval$",	//739
    "setTextureCacheLimit",	//740
    "setTextureCacheLimit$",	//741
    "setTextureTarget",	//742
    "setTextureTarget$",	//743
    "setUniformValue",	//744
    "setUniformValue$#",	//745
    "setUniformValue$$",	//746
    "setUniformValue$$$",	//747
    "setUniformValue$$$$",	//748
    "setUniformValue$$$$$",	//749
    "setUniformValue$?",	//750
    "setUniformValueArray",	//751
    "setUniformValueArray$#$",	//752
    "setUniformValueArray$$$",	//753
    "setUniformValueArray$$$$",	//754
    "setUniformValueArray$?$",	//755
    "setValid",	//756
    "setValid$",	//757
    "setVersion",	//758
    "setVersion$$",	//759
    "setVisible",	//760
    "setWindowCreated",	//761
    "setWindowCreated$",	//762
    "shaderId",	//763
    "shaderType",	//764
    "shaders",	//765
    "showEvent",	//766
    "size",	//767
    "sizeHint",	//768
    "sourceCode",	//769
    "staticMetaObject",	//770
    "stencil",	//771
    "stencilBufferSize",	//772
    "stereo",	//773
    "styleChange",	//774
    "swapBuffers",	//775
    "swapInterval",	//776
    "tabletEvent",	//777
    "testOption",	//778
    "testOption$",	//779
    "texture",	//780
    "textureCacheLimit",	//781
    "textureTarget",	//782
    "timerEvent",	//783
    "toImage",	//784
    "tr",	//785
    "tr$",	//786
    "tr$$",	//787
    "tr$$$",	//788
    "trUtf8",	//789
    "trUtf8$",	//790
    "trUtf8$$",	//791
    "trUtf8$$$",	//792
    "uniformLocation",	//793
    "uniformLocation#",	//794
    "uniformLocation$",	//795
    "updateDynamicTexture",	//796
    "updateDynamicTexture$",	//797
    "updateGL",	//798
    "updateOverlayGL",	//799
    "wheelEvent",	//800
    "windowActivationChange",	//801
    "windowCreated",	//802
    "x11Event",	//803
    "~QGLColormap",	//804
    "~QGLContext",	//805
    "~QGLFormat",	//806
    "~QGLFramebufferObject",	//807
    "~QGLFramebufferObjectFormat",	//808
    "~QGLPixelBuffer",	//809
    "~QGLShader",	//810
    "~QGLShaderProgram",	//811
    "~QGLWidget",	//812
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 720, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {26, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 2},	//2 QGL::DoubleBuffer (enum)
    {26, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 3},	//3 QGL::DepthBuffer (enum)
    {26, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 4},	//4 QGL::Rgba (enum)
    {26, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 5},	//5 QGL::AlphaChannel (enum)
    {26, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 6},	//6 QGL::AccumBuffer (enum)
    {26, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 7},	//7 QGL::StencilBuffer (enum)
    {26, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 8},	//8 QGL::StereoBuffers (enum)
    {26, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 9},	//9 QGL::DirectRendering (enum)
    {26, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 10},	//10 QGL::HasOverlay (enum)
    {26, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 11},	//11 QGL::SampleBuffers (enum)
    {26, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 12},	//12 QGL::DeprecatedFunctions (enum)
    {26, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 13},	//13 QGL::SingleBuffer (enum)
    {26, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 14},	//14 QGL::NoDepthBuffer (enum)
    {26, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 15},	//15 QGL::ColorIndex (enum)
    {26, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 16},	//16 QGL::NoAlphaChannel (enum)
    {26, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 17},	//17 QGL::NoAccumBuffer (enum)
    {26, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 18},	//18 QGL::NoStencilBuffer (enum)
    {26, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 19},	//19 QGL::NoStereoBuffers (enum)
    {26, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 20},	//20 QGL::IndirectRendering (enum)
    {26, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 21},	//21 QGL::NoOverlay (enum)
    {26, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 22},	//22 QGL::NoSampleBuffers (enum)
    {26, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 23},	//23 QGL::NoDeprecatedFunctions (enum)
    {27, 61, 0, 0, Smoke::mf_ctor, 134, 1},	//24 QGLColormap::QGLColormap()
    {27, 61, 3, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 134, 2},	//25 QGLColormap::QGLColormap(const QGLColormap&)
    {27, 321, 3, 1, 0, 133, 3},	//26 QGLColormap::operator=(const QGLColormap&)
    {27, 259, 0, 0, Smoke::mf_const, 369, 4},	//27 QGLColormap::isEmpty() const
    {27, 767, 0, 0, Smoke::mf_const, 490, 5},	//28 QGLColormap::size() const
    {27, 184, 0, 0, 0, 0, 6},	//29 QGLColormap::detach()
    {27, 690, 5, 3, 0, 0, 7},	//30 QGLColormap::setEntries(int, const unsigned int*, int)
    {27, 693, 9, 2, 0, 0, 8},	//31 QGLColormap::setEntry(int, unsigned int)
    {27, 693, 12, 2, 0, 0, 9},	//32 QGLColormap::setEntry(int, const QColor&)
    {27, 207, 15, 1, Smoke::mf_const, 499, 10},	//33 QGLColormap::entryRgb(int) const
    {27, 205, 15, 1, Smoke::mf_const, 22, 11},	//34 QGLColormap::entryColor(int) const
    {27, 212, 17, 1, Smoke::mf_const, 490, 12},	//35 QGLColormap::find(unsigned int) const
    {27, 214, 17, 1, Smoke::mf_const, 490, 13},	//36 QGLColormap::findNearest(unsigned int) const
    {27, 237, 0, 0, Smoke::mf_protected, 500, 14},	//37 QGLColormap::handle()
    {27, 706, 19, 1, Smoke::mf_protected, 0, 15},	//38 QGLColormap::setHandle(unsigned long)
    {27, 690, 21, 2, 0, 0, 16},	//39 QGLColormap::setEntries(int, const unsigned int*)
    {27, 804, 0, 0, Smoke::mf_dtor, 0, 17 },	//40 QGLColormap::~QGLColormap()
    {28, 63, 24, 2, Smoke::mf_ctor, 135, 1},	//41 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {28, 63, 27, 1, Smoke::mf_ctor, 135, 2},	//42 QGLContext::QGLContext(const QGLFormat&)
    {28, 173, 29, 1, Smoke::mf_virtual, 369, 3},	//43 QGLContext::create(const QGLContext*)
    {28, 262, 0, 0, Smoke::mf_const, 369, 4},	//44 QGLContext::isValid() const
    {28, 261, 0, 0, Smoke::mf_const, 369, 5},	//45 QGLContext::isSharing() const
    {28, 629, 0, 0, 0, 0, 6},	//46 QGLContext::reset()
    {28, 130, 31, 2, Smoke::mf_static, 369, 7},	//47 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {28, 223, 0, 0, Smoke::mf_const, 137, 8},	//48 QGLContext::format() const
    {28, 628, 0, 0, Smoke::mf_const, 137, 9},	//49 QGLContext::requestedFormat() const
    {28, 696, 27, 1, 0, 0, 10},	//50 QGLContext::setFormat(const QGLFormat&)
    {28, 270, 0, 0, Smoke::mf_virtual, 0, 11},	//51 QGLContext::makeCurrent()
    {28, 192, 0, 0, Smoke::mf_virtual, 0, 12},	//52 QGLContext::doneCurrent()
    {28, 775, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//53 QGLContext::swapBuffers() const
    {28, 142, 34, 4, 0, 499, 14},	//54 QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {28, 142, 39, 4, 0, 499, 15},	//55 QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {28, 142, 44, 3, 0, 499, 16},	//56 QGLContext::bindTexture(const QImage&, unsigned int, int)
    {28, 142, 48, 3, 0, 499, 17},	//57 QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    {28, 142, 52, 1, 0, 499, 18},	//58 QGLContext::bindTexture(const QString&)
    {28, 180, 17, 1, 0, 0, 19},	//59 QGLContext::deleteTexture(unsigned int)
    {28, 197, 54, 3, 0, 0, 20},	//60 QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    {28, 197, 58, 3, 0, 0, 21},	//61 QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    {28, 740, 15, 1, Smoke::mf_static, 0, 22},	//62 QGLContext::setTextureCacheLimit(int)
    {28, 781, 0, 0, Smoke::mf_static, 490, 23},	//63 QGLContext::textureCacheLimit()
    {28, 230, 52, 1, Smoke::mf_const, 506, 24},	//64 QGLContext::getProcAddress(const QString&) const
    {28, 186, 0, 0, Smoke::mf_const, 197, 25},	//65 QGLContext::device() const
    {28, 349, 0, 0, Smoke::mf_const, 22, 26},	//66 QGLContext::overlayTransparentColor() const
    {28, 175, 0, 0, Smoke::mf_static, 387, 27},	//67 QGLContext::currentContext()
    {28, 157, 29, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 28},	//68 QGLContext::chooseContext(const QGLContext*)
    {28, 187, 0, 0, Smoke::mf_const|Smoke::mf_protected, 369, 29},	//69 QGLContext::deviceIsPixmap() const
    {28, 802, 0, 0, Smoke::mf_const|Smoke::mf_protected, 369, 30},	//70 QGLContext::windowCreated() const
    {28, 761, 62, 1, Smoke::mf_protected, 0, 31},	//71 QGLContext::setWindowCreated(bool)
    {28, 253, 0, 0, Smoke::mf_const|Smoke::mf_protected, 369, 32},	//72 QGLContext::initialized() const
    {28, 708, 62, 1, Smoke::mf_protected, 0, 33},	//73 QGLContext::setInitialized(bool)
    {28, 225, 64, 2, Smoke::mf_protected, 0, 34},	//74 QGLContext::generateFontDisplayLists(const QFont&, int)
    {28, 160, 67, 1, Smoke::mf_const|Smoke::mf_protected, 499, 35},	//75 QGLContext::colorIndex(const QColor&) const
    {28, 756, 62, 1, Smoke::mf_protected, 0, 36},	//76 QGLContext::setValid(bool)
    {28, 684, 69, 1, Smoke::mf_protected, 0, 37},	//77 QGLContext::setDevice(QPaintDevice*)
    {28, 173, 0, 0, 0, 369, 38},	//78 QGLContext::create()
    {28, 142, 71, 1, 0, 499, 39},	//79 QGLContext::bindTexture(const QImage&)
    {28, 142, 73, 2, 0, 499, 40},	//80 QGLContext::bindTexture(const QImage&, unsigned int)
    {28, 142, 76, 1, 0, 499, 41},	//81 QGLContext::bindTexture(const QPixmap&)
    {28, 142, 78, 2, 0, 499, 42},	//82 QGLContext::bindTexture(const QPixmap&, unsigned int)
    {28, 197, 81, 2, 0, 0, 43},	//83 QGLContext::drawTexture(const QRectF&, unsigned int)
    {28, 197, 84, 2, 0, 0, 44},	//84 QGLContext::drawTexture(const QPointF&, unsigned int)
    {28, 157, 0, 0, Smoke::mf_protected, 369, 45},	//85 QGLContext::chooseContext()
    {28, 176, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 135, 46},	//86 QGLContext::currentCtx() const
    {28, 674, 87, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 47},	//87 QGLContext::setCurrentCtx(QGLContext*)
    {28, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 48},	//88 QGLContext::NoBindOption (enum)
    {28, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 49},	//89 QGLContext::InvertedYBindOption (enum)
    {28, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 50},	//90 QGLContext::MipmapBindOption (enum)
    {28, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 51},	//91 QGLContext::PremultipliedAlphaBindOption (enum)
    {28, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 52},	//92 QGLContext::LinearFilteringBindOption (enum)
    {28, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 53},	//93 QGLContext::MemoryManagedBindOption (enum)
    {28, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 54},	//94 QGLContext::CanFlipNativePixmapBindOption (enum)
    {28, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 55},	//95 QGLContext::DefaultBindOption (enum)
    {28, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 56},	//96 QGLContext::InternalBindOption (enum)
    {28, 805, 0, 0, Smoke::mf_dtor, 0, 57 },	//97 QGLContext::~QGLContext()
    {29, 66, 0, 0, Smoke::mf_ctor, 139, 1},	//98 QGLFormat::QGLFormat()
    {29, 66, 89, 2, Smoke::mf_ctor, 139, 2},	//99 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {29, 66, 27, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 139, 3},	//100 QGLFormat::QGLFormat(const QGLFormat&)
    {29, 321, 27, 1, 0, 138, 4},	//101 QGLFormat::operator=(const QGLFormat&)
    {29, 682, 15, 1, 0, 0, 5},	//102 QGLFormat::setDepthBufferSize(int)
    {29, 183, 0, 0, Smoke::mf_const, 490, 6},	//103 QGLFormat::depthBufferSize() const
    {29, 641, 15, 1, 0, 0, 7},	//104 QGLFormat::setAccumBufferSize(int)
    {29, 119, 0, 0, Smoke::mf_const, 490, 8},	//105 QGLFormat::accumBufferSize() const
    {29, 724, 15, 1, 0, 0, 9},	//106 QGLFormat::setRedBufferSize(int)
    {29, 611, 0, 0, Smoke::mf_const, 490, 10},	//107 QGLFormat::redBufferSize() const
    {29, 704, 15, 1, 0, 0, 11},	//108 QGLFormat::setGreenBufferSize(int)
    {29, 236, 0, 0, Smoke::mf_const, 490, 12},	//109 QGLFormat::greenBufferSize() const
    {29, 666, 15, 1, 0, 0, 13},	//110 QGLFormat::setBlueBufferSize(int)
    {29, 154, 0, 0, Smoke::mf_const, 490, 14},	//111 QGLFormat::blueBufferSize() const
    {29, 645, 15, 1, 0, 0, 15},	//112 QGLFormat::setAlphaBufferSize(int)
    {29, 129, 0, 0, Smoke::mf_const, 490, 16},	//113 QGLFormat::alphaBufferSize() const
    {29, 734, 15, 1, 0, 0, 17},	//114 QGLFormat::setStencilBufferSize(int)
    {29, 772, 0, 0, Smoke::mf_const, 490, 18},	//115 QGLFormat::stencilBufferSize() const
    {29, 728, 62, 1, 0, 0, 19},	//116 QGLFormat::setSampleBuffers(bool)
    {29, 637, 0, 0, Smoke::mf_const, 369, 20},	//117 QGLFormat::sampleBuffers() const
    {29, 730, 15, 1, 0, 0, 21},	//118 QGLFormat::setSamples(int)
    {29, 638, 0, 0, Smoke::mf_const, 490, 22},	//119 QGLFormat::samples() const
    {29, 738, 15, 1, 0, 0, 23},	//120 QGLFormat::setSwapInterval(int)
    {29, 776, 0, 0, Smoke::mf_const, 490, 24},	//121 QGLFormat::swapInterval() const
    {29, 193, 0, 0, Smoke::mf_const, 369, 25},	//122 QGLFormat::doubleBuffer() const
    {29, 688, 62, 1, 0, 0, 26},	//123 QGLFormat::setDoubleBuffer(bool)
    {29, 182, 0, 0, Smoke::mf_const, 369, 27},	//124 QGLFormat::depth() const
    {29, 680, 62, 1, 0, 0, 28},	//125 QGLFormat::setDepth(bool)
    {29, 636, 0, 0, Smoke::mf_const, 369, 29},	//126 QGLFormat::rgba() const
    {29, 726, 62, 1, 0, 0, 30},	//127 QGLFormat::setRgba(bool)
    {29, 128, 0, 0, Smoke::mf_const, 369, 31},	//128 QGLFormat::alpha() const
    {29, 643, 62, 1, 0, 0, 32},	//129 QGLFormat::setAlpha(bool)
    {29, 118, 0, 0, Smoke::mf_const, 369, 33},	//130 QGLFormat::accum() const
    {29, 639, 62, 1, 0, 0, 34},	//131 QGLFormat::setAccum(bool)
    {29, 771, 0, 0, Smoke::mf_const, 369, 35},	//132 QGLFormat::stencil() const
    {29, 732, 62, 1, 0, 0, 36},	//133 QGLFormat::setStencil(bool)
    {29, 773, 0, 0, Smoke::mf_const, 369, 37},	//134 QGLFormat::stereo() const
    {29, 736, 62, 1, 0, 0, 38},	//135 QGLFormat::setStereo(bool)
    {29, 188, 0, 0, Smoke::mf_const, 369, 39},	//136 QGLFormat::directRendering() const
    {29, 686, 62, 1, 0, 0, 40},	//137 QGLFormat::setDirectRendering(bool)
    {29, 248, 0, 0, Smoke::mf_const, 369, 41},	//138 QGLFormat::hasOverlay() const
    {29, 716, 62, 1, 0, 0, 42},	//139 QGLFormat::setOverlay(bool)
    {29, 356, 0, 0, Smoke::mf_const, 490, 43},	//140 QGLFormat::plane() const
    {29, 718, 15, 1, 0, 0, 44},	//141 QGLFormat::setPlane(int)
    {29, 714, 92, 1, 0, 0, 45},	//142 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {29, 778, 92, 1, Smoke::mf_const, 369, 46},	//143 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {29, 178, 0, 0, Smoke::mf_static, 137, 47},	//144 QGLFormat::defaultFormat()
    {29, 676, 27, 1, Smoke::mf_static, 0, 48},	//145 QGLFormat::setDefaultFormat(const QGLFormat&)
    {29, 179, 0, 0, Smoke::mf_static, 137, 49},	//146 QGLFormat::defaultOverlayFormat()
    {29, 678, 27, 1, Smoke::mf_static, 0, 50},	//147 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {29, 238, 0, 0, Smoke::mf_static, 369, 51},	//148 QGLFormat::hasOpenGL()
    {29, 241, 0, 0, Smoke::mf_static, 369, 52},	//149 QGLFormat::hasOpenGLOverlays()
    {29, 758, 94, 2, 0, 0, 53},	//150 QGLFormat::setVersion(int, int)
    {29, 269, 0, 0, Smoke::mf_const, 490, 54},	//151 QGLFormat::majorVersion() const
    {29, 277, 0, 0, Smoke::mf_const, 490, 55},	//152 QGLFormat::minorVersion() const
    {29, 722, 97, 1, 0, 0, 56},	//153 QGLFormat::setProfile(QGLFormat::OpenGLContextProfile)
    {29, 357, 0, 0, Smoke::mf_const, 140, 57},	//154 QGLFormat::profile() const
    {29, 283, 0, 0, Smoke::mf_static, 68, 58},	//155 QGLFormat::openGLVersionFlags()
    {29, 66, 92, 1, Smoke::mf_ctor, 139, 59},	//156 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {29, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 60},	//157 QGLFormat::NoProfile (enum)
    {29, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 61},	//158 QGLFormat::CoreProfile (enum)
    {29, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 62},	//159 QGLFormat::CompatibilityProfile (enum)
    {29, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 63},	//160 QGLFormat::OpenGL_Version_None (enum)
    {29, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 64},	//161 QGLFormat::OpenGL_Version_1_1 (enum)
    {29, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 65},	//162 QGLFormat::OpenGL_Version_1_2 (enum)
    {29, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 66},	//163 QGLFormat::OpenGL_Version_1_3 (enum)
    {29, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 67},	//164 QGLFormat::OpenGL_Version_1_4 (enum)
    {29, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 68},	//165 QGLFormat::OpenGL_Version_1_5 (enum)
    {29, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 69},	//166 QGLFormat::OpenGL_Version_2_0 (enum)
    {29, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 70},	//167 QGLFormat::OpenGL_Version_2_1 (enum)
    {29, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 71},	//168 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {29, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 72},	//169 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {29, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 73},	//170 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {29, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 74},	//171 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {29, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 75},	//172 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {29, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 76},	//173 QGLFormat::OpenGL_Version_3_0 (enum)
    {29, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 77},	//174 QGLFormat::OpenGL_Version_3_1 (enum)
    {29, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 78},	//175 QGLFormat::OpenGL_Version_3_2 (enum)
    {29, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 79},	//176 QGLFormat::OpenGL_Version_3_3 (enum)
    {29, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 80},	//177 QGLFormat::OpenGL_Version_4_0 (enum)
    {29, 806, 0, 0, Smoke::mf_dtor, 0, 81 },	//178 QGLFormat::~QGLFormat()
    {30, 70, 99, 2, Smoke::mf_ctor, 142, 1},	//179 QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    {30, 70, 102, 3, Smoke::mf_ctor, 142, 2},	//180 QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    {30, 70, 106, 4, Smoke::mf_ctor, 142, 3},	//181 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {30, 70, 111, 5, Smoke::mf_ctor, 142, 4},	//182 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {30, 70, 117, 2, Smoke::mf_ctor, 142, 5},	//183 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {30, 70, 120, 3, Smoke::mf_ctor, 142, 6},	//184 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {30, 223, 0, 0, Smoke::mf_const, 144, 7},	//185 QGLFramebufferObject::format() const
    {30, 262, 0, 0, Smoke::mf_const, 369, 8},	//186 QGLFramebufferObject::isValid() const
    {30, 257, 0, 0, Smoke::mf_const, 369, 9},	//187 QGLFramebufferObject::isBound() const
    {30, 137, 0, 0, 0, 369, 10},	//188 QGLFramebufferObject::bind()
    {30, 612, 0, 0, 0, 369, 11},	//189 QGLFramebufferObject::release()
    {30, 780, 0, 0, Smoke::mf_const, 499, 12},	//190 QGLFramebufferObject::texture() const
    {30, 767, 0, 0, Smoke::mf_const, 229, 13},	//191 QGLFramebufferObject::size() const
    {30, 784, 0, 0, Smoke::mf_const, 165, 14},	//192 QGLFramebufferObject::toImage() const
    {30, 132, 0, 0, Smoke::mf_const, 143, 15},	//193 QGLFramebufferObject::attachment() const
    {30, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 16},	//194 QGLFramebufferObject::paintEngine() const
    {30, 237, 0, 0, Smoke::mf_const, 499, 17},	//195 QGLFramebufferObject::handle() const
    {30, 141, 0, 0, Smoke::mf_static, 369, 18},	//196 QGLFramebufferObject::bindDefault()
    {30, 240, 0, 0, Smoke::mf_static, 369, 19},	//197 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {30, 197, 54, 3, 0, 0, 20},	//198 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    {30, 197, 58, 3, 0, 0, 21},	//199 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    {30, 239, 0, 0, Smoke::mf_static, 369, 22},	//200 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {30, 150, 124, 6, Smoke::mf_static, 0, 23},	//201 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int)
    {30, 274, 131, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 490, 24},	//202 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {30, 185, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 490, 25},	//203 QGLFramebufferObject::devType() const
    {30, 70, 133, 1, Smoke::mf_ctor, 142, 26},	//204 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {30, 70, 94, 2, Smoke::mf_ctor, 142, 27},	//205 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {30, 70, 135, 2, Smoke::mf_ctor, 142, 28},	//206 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {30, 70, 138, 3, Smoke::mf_ctor, 142, 29},	//207 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int)
    {30, 70, 142, 3, Smoke::mf_ctor, 142, 30},	//208 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {30, 70, 146, 4, Smoke::mf_ctor, 142, 31},	//209 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int)
    {30, 197, 81, 2, 0, 0, 32},	//210 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    {30, 197, 84, 2, 0, 0, 33},	//211 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    {30, 150, 151, 4, Smoke::mf_static, 0, 34},	//212 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {30, 150, 156, 5, Smoke::mf_static, 0, 35},	//213 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int)
    {30, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 36},	//214 QGLFramebufferObject::NoAttachment (enum)
    {30, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 37},	//215 QGLFramebufferObject::CombinedDepthStencil (enum)
    {30, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 38},	//216 QGLFramebufferObject::Depth (enum)
    {30, 807, 0, 0, Smoke::mf_dtor, 0, 39 },	//217 QGLFramebufferObject::~QGLFramebufferObject()
    {31, 81, 0, 0, Smoke::mf_ctor, 146, 1},	//218 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {31, 81, 162, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 2},	//219 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {31, 321, 162, 1, 0, 145, 3},	//220 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {31, 730, 15, 1, 0, 0, 4},	//221 QGLFramebufferObjectFormat::setSamples(int)
    {31, 638, 0, 0, Smoke::mf_const, 490, 5},	//222 QGLFramebufferObjectFormat::samples() const
    {31, 647, 164, 1, 0, 0, 6},	//223 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {31, 132, 0, 0, Smoke::mf_const, 143, 7},	//224 QGLFramebufferObjectFormat::attachment() const
    {31, 742, 17, 1, 0, 0, 8},	//225 QGLFramebufferObjectFormat::setTextureTarget(unsigned int)
    {31, 782, 0, 0, Smoke::mf_const, 499, 9},	//226 QGLFramebufferObjectFormat::textureTarget() const
    {31, 710, 17, 1, 0, 0, 10},	//227 QGLFramebufferObjectFormat::setInternalTextureFormat(unsigned int)
    {31, 256, 0, 0, Smoke::mf_const, 499, 11},	//228 QGLFramebufferObjectFormat::internalTextureFormat() const
    {31, 323, 162, 1, Smoke::mf_const, 369, 12},	//229 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {31, 284, 162, 1, Smoke::mf_const, 369, 13},	//230 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {31, 808, 0, 0, Smoke::mf_dtor, 0, 14 },	//231 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {32, 83, 166, 3, Smoke::mf_ctor, 147, 1},	//232 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {32, 83, 170, 4, Smoke::mf_ctor, 147, 2},	//233 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {32, 262, 0, 0, Smoke::mf_const, 369, 3},	//234 QGLPixelBuffer::isValid() const
    {32, 270, 0, 0, 0, 369, 4},	//235 QGLPixelBuffer::makeCurrent()
    {32, 192, 0, 0, 0, 369, 5},	//236 QGLPixelBuffer::doneCurrent()
    {32, 224, 0, 0, Smoke::mf_const, 499, 6},	//237 QGLPixelBuffer::generateDynamicTexture() const
    {32, 148, 17, 1, 0, 369, 7},	//238 QGLPixelBuffer::bindToDynamicTexture(unsigned int)
    {32, 613, 0, 0, 0, 0, 8},	//239 QGLPixelBuffer::releaseFromDynamicTexture()
    {32, 796, 17, 1, Smoke::mf_const, 0, 9},	//240 QGLPixelBuffer::updateDynamicTexture(unsigned int) const
    {32, 142, 73, 2, 0, 499, 10},	//241 QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    {32, 142, 78, 2, 0, 499, 11},	//242 QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    {32, 142, 52, 1, 0, 499, 12},	//243 QGLPixelBuffer::bindTexture(const QString&)
    {32, 180, 17, 1, 0, 0, 13},	//244 QGLPixelBuffer::deleteTexture(unsigned int)
    {32, 197, 54, 3, 0, 0, 14},	//245 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    {32, 197, 58, 3, 0, 0, 15},	//246 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    {32, 767, 0, 0, Smoke::mf_const, 229, 16},	//247 QGLPixelBuffer::size() const
    {32, 237, 0, 0, Smoke::mf_const, 500, 17},	//248 QGLPixelBuffer::handle() const
    {32, 784, 0, 0, Smoke::mf_const, 165, 18},	//249 QGLPixelBuffer::toImage() const
    {32, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 19},	//250 QGLPixelBuffer::paintEngine() const
    {32, 223, 0, 0, Smoke::mf_const, 137, 20},	//251 QGLPixelBuffer::format() const
    {32, 242, 0, 0, Smoke::mf_static, 369, 21},	//252 QGLPixelBuffer::hasOpenGLPbuffers()
    {32, 274, 131, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 490, 22},	//253 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {32, 185, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 490, 23},	//254 QGLPixelBuffer::devType() const
    {32, 83, 133, 1, Smoke::mf_ctor, 147, 24},	//255 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {32, 83, 175, 2, Smoke::mf_ctor, 147, 25},	//256 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {32, 83, 94, 2, Smoke::mf_ctor, 147, 26},	//257 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {32, 83, 178, 3, Smoke::mf_ctor, 147, 27},	//258 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {32, 142, 71, 1, 0, 499, 28},	//259 QGLPixelBuffer::bindTexture(const QImage&)
    {32, 142, 76, 1, 0, 499, 29},	//260 QGLPixelBuffer::bindTexture(const QPixmap&)
    {32, 197, 81, 2, 0, 0, 30},	//261 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    {32, 197, 84, 2, 0, 0, 31},	//262 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    {32, 809, 0, 0, Smoke::mf_dtor, 0, 32 },	//263 QGLPixelBuffer::~QGLPixelBuffer()
    {33, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 422, 1},	//264 QGLShader::metaObject() const
    {33, 600, 182, 1, Smoke::mf_virtual, 506, 2},	//265 QGLShader::qt_metacast(const char*)
    {33, 785, 184, 2, Smoke::mf_static, 236, 3},	//266 QGLShader::tr(const char*, const char*)
    {33, 789, 184, 2, Smoke::mf_static, 236, 4},	//267 QGLShader::trUtf8(const char*, const char*)
    {33, 785, 187, 3, Smoke::mf_static, 236, 5},	//268 QGLShader::tr(const char*, const char*, int)
    {33, 789, 187, 3, Smoke::mf_static, 236, 6},	//269 QGLShader::trUtf8(const char*, const char*, int)
    {33, 598, 191, 3, Smoke::mf_virtual, 490, 7},	//270 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {33, 90, 195, 2, Smoke::mf_ctor, 148, 8},	//271 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {33, 90, 198, 3, Smoke::mf_ctor, 148, 9},	//272 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {33, 764, 0, 0, Smoke::mf_const, 69, 10},	//273 QGLShader::shaderType() const
    {33, 163, 182, 1, 0, 369, 11},	//274 QGLShader::compileSourceCode(const char*)
    {33, 163, 202, 1, 0, 369, 12},	//275 QGLShader::compileSourceCode(const QByteArray&)
    {33, 163, 52, 1, 0, 369, 13},	//276 QGLShader::compileSourceCode(const QString&)
    {33, 166, 52, 1, 0, 369, 14},	//277 QGLShader::compileSourceFile(const QString&)
    {33, 769, 0, 0, Smoke::mf_const, 16, 15},	//278 QGLShader::sourceCode() const
    {33, 258, 0, 0, Smoke::mf_const, 369, 16},	//279 QGLShader::isCompiled() const
    {33, 268, 0, 0, Smoke::mf_const, 236, 17},	//280 QGLShader::log() const
    {33, 763, 0, 0, Smoke::mf_const, 499, 18},	//281 QGLShader::shaderId() const
    {33, 245, 204, 2, Smoke::mf_static, 369, 19},	//282 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {33, 785, 182, 1, Smoke::mf_static, 236, 20},	//283 QGLShader::tr(const char*)
    {33, 789, 182, 1, Smoke::mf_static, 236, 21},	//284 QGLShader::trUtf8(const char*)
    {33, 90, 207, 1, Smoke::mf_ctor, 148, 22},	//285 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {33, 90, 204, 2, Smoke::mf_ctor, 148, 23},	//286 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {33, 245, 207, 1, Smoke::mf_static, 369, 24},	//287 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>)
    {33, 770, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 421, 25},	//288 QGLShader::staticMetaObject() const
    {33, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 26},	//289 QGLShader::Vertex (enum)
    {33, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 27},	//290 QGLShader::Fragment (enum)
    {33, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 149, 28},	//291 QGLShader::Geometry (enum)
    {33, 810, 0, 0, Smoke::mf_dtor, 0, 29 },	//292 QGLShader::~QGLShader()
    {34, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 422, 1},	//293 QGLShaderProgram::metaObject() const
    {34, 600, 182, 1, Smoke::mf_virtual, 506, 2},	//294 QGLShaderProgram::qt_metacast(const char*)
    {34, 785, 184, 2, Smoke::mf_static, 236, 3},	//295 QGLShaderProgram::tr(const char*, const char*)
    {34, 789, 184, 2, Smoke::mf_static, 236, 4},	//296 QGLShaderProgram::trUtf8(const char*, const char*)
    {34, 785, 187, 3, Smoke::mf_static, 236, 5},	//297 QGLShaderProgram::tr(const char*, const char*, int)
    {34, 789, 187, 3, Smoke::mf_static, 236, 6},	//298 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {34, 598, 191, 3, Smoke::mf_virtual, 490, 7},	//299 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {34, 94, 209, 1, Smoke::mf_ctor, 150, 8},	//300 QGLShaderProgram::QGLShaderProgram(QObject*)
    {34, 94, 211, 2, Smoke::mf_ctor, 150, 9},	//301 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {34, 121, 214, 1, 0, 369, 10},	//302 QGLShaderProgram::addShader(QGLShader*)
    {34, 615, 214, 1, 0, 0, 11},	//303 QGLShaderProgram::removeShader(QGLShader*)
    {34, 765, 0, 0, Smoke::mf_const, 180, 12},	//304 QGLShaderProgram::shaders() const
    {34, 123, 216, 2, 0, 369, 13},	//305 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {34, 123, 219, 2, 0, 369, 14},	//306 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {34, 123, 222, 2, 0, 369, 15},	//307 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {34, 126, 222, 2, 0, 369, 16},	//308 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {34, 614, 0, 0, 0, 0, 17},	//309 QGLShaderProgram::removeAllShaders()
    {34, 267, 0, 0, Smoke::mf_virtual, 369, 18},	//310 QGLShaderProgram::link()
    {34, 260, 0, 0, Smoke::mf_const, 369, 19},	//311 QGLShaderProgram::isLinked() const
    {34, 268, 0, 0, Smoke::mf_const, 236, 20},	//312 QGLShaderProgram::log() const
    {34, 137, 0, 0, 0, 369, 21},	//313 QGLShaderProgram::bind()
    {34, 612, 0, 0, 0, 0, 22},	//314 QGLShaderProgram::release()
    {34, 358, 0, 0, Smoke::mf_const, 499, 23},	//315 QGLShaderProgram::programId() const
    {34, 272, 0, 0, Smoke::mf_const, 490, 24},	//316 QGLShaderProgram::maxGeometryOutputVertices() const
    {34, 702, 15, 1, 0, 0, 25},	//317 QGLShaderProgram::setGeometryOutputVertexCount(int)
    {34, 229, 0, 0, Smoke::mf_const, 490, 26},	//318 QGLShaderProgram::geometryOutputVertexCount() const
    {34, 698, 17, 1, 0, 0, 27},	//319 QGLShaderProgram::setGeometryInputType(unsigned int)
    {34, 227, 0, 0, Smoke::mf_const, 499, 28},	//320 QGLShaderProgram::geometryInputType() const
    {34, 700, 17, 1, 0, 0, 29},	//321 QGLShaderProgram::setGeometryOutputType(unsigned int)
    {34, 228, 0, 0, Smoke::mf_const, 499, 30},	//322 QGLShaderProgram::geometryOutputType() const
    {34, 138, 225, 2, 0, 0, 31},	//323 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {34, 138, 228, 2, 0, 0, 32},	//324 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {34, 138, 231, 2, 0, 0, 33},	//325 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {34, 133, 182, 1, Smoke::mf_const, 490, 34},	//326 QGLShaderProgram::attributeLocation(const char*) const
    {34, 133, 202, 1, Smoke::mf_const, 490, 35},	//327 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {34, 133, 52, 1, Smoke::mf_const, 490, 36},	//328 QGLShaderProgram::attributeLocation(const QString&) const
    {34, 658, 234, 2, 0, 0, 37},	//329 QGLShaderProgram::setAttributeValue(int, float)
    {34, 658, 237, 3, 0, 0, 38},	//330 QGLShaderProgram::setAttributeValue(int, float, float)
    {34, 658, 241, 4, 0, 0, 39},	//331 QGLShaderProgram::setAttributeValue(int, float, float, float)
    {34, 658, 246, 5, 0, 0, 40},	//332 QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    {34, 658, 252, 2, 0, 0, 41},	//333 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {34, 658, 255, 2, 0, 0, 42},	//334 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {34, 658, 258, 2, 0, 0, 43},	//335 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {34, 658, 12, 2, 0, 0, 44},	//336 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {34, 658, 261, 4, 0, 0, 45},	//337 QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    {34, 658, 266, 2, 0, 0, 46},	//338 QGLShaderProgram::setAttributeValue(const char*, float)
    {34, 658, 269, 3, 0, 0, 47},	//339 QGLShaderProgram::setAttributeValue(const char*, float, float)
    {34, 658, 273, 4, 0, 0, 48},	//340 QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    {34, 658, 278, 5, 0, 0, 49},	//341 QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    {34, 658, 284, 2, 0, 0, 50},	//342 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {34, 658, 287, 2, 0, 0, 51},	//343 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {34, 658, 290, 2, 0, 0, 52},	//344 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {34, 658, 293, 2, 0, 0, 53},	//345 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {34, 658, 296, 4, 0, 0, 54},	//346 QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    {34, 649, 261, 4, 0, 0, 55},	//347 QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    {34, 649, 301, 3, 0, 0, 56},	//348 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {34, 649, 305, 3, 0, 0, 57},	//349 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {34, 649, 309, 3, 0, 0, 58},	//350 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {34, 649, 313, 5, 0, 0, 59},	//351 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    {34, 649, 296, 4, 0, 0, 60},	//352 QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    {34, 649, 319, 3, 0, 0, 61},	//353 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {34, 649, 323, 3, 0, 0, 62},	//354 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {34, 649, 327, 3, 0, 0, 63},	//355 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {34, 649, 331, 5, 0, 0, 64},	//356 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    {34, 655, 337, 5, 0, 0, 65},	//357 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    {34, 655, 343, 5, 0, 0, 66},	//358 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    {34, 201, 15, 1, 0, 0, 67},	//359 QGLShaderProgram::enableAttributeArray(int)
    {34, 201, 182, 1, 0, 0, 68},	//360 QGLShaderProgram::enableAttributeArray(const char*)
    {34, 189, 15, 1, 0, 0, 69},	//361 QGLShaderProgram::disableAttributeArray(int)
    {34, 189, 182, 1, 0, 0, 70},	//362 QGLShaderProgram::disableAttributeArray(const char*)
    {34, 793, 182, 1, Smoke::mf_const, 490, 71},	//363 QGLShaderProgram::uniformLocation(const char*) const
    {34, 793, 202, 1, Smoke::mf_const, 490, 72},	//364 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {34, 793, 52, 1, Smoke::mf_const, 490, 73},	//365 QGLShaderProgram::uniformLocation(const QString&) const
    {34, 744, 234, 2, 0, 0, 74},	//366 QGLShaderProgram::setUniformValue(int, float)
    {34, 744, 94, 2, 0, 0, 75},	//367 QGLShaderProgram::setUniformValue(int, int)
    {34, 744, 9, 2, 0, 0, 76},	//368 QGLShaderProgram::setUniformValue(int, unsigned int)
    {34, 744, 237, 3, 0, 0, 77},	//369 QGLShaderProgram::setUniformValue(int, float, float)
    {34, 744, 241, 4, 0, 0, 78},	//370 QGLShaderProgram::setUniformValue(int, float, float, float)
    {34, 744, 246, 5, 0, 0, 79},	//371 QGLShaderProgram::setUniformValue(int, float, float, float, float)
    {34, 744, 252, 2, 0, 0, 80},	//372 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {34, 744, 255, 2, 0, 0, 81},	//373 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {34, 744, 258, 2, 0, 0, 82},	//374 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {34, 744, 12, 2, 0, 0, 83},	//375 QGLShaderProgram::setUniformValue(int, const QColor&)
    {34, 744, 349, 2, 0, 0, 84},	//376 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {34, 744, 352, 2, 0, 0, 85},	//377 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {34, 744, 355, 2, 0, 0, 86},	//378 QGLShaderProgram::setUniformValue(int, const QSize&)
    {34, 744, 358, 2, 0, 0, 87},	//379 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {34, 744, 361, 2, 0, 0, 88},	//380 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {34, 744, 364, 2, 0, 0, 89},	//381 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {34, 744, 367, 2, 0, 0, 90},	//382 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {34, 744, 370, 2, 0, 0, 91},	//383 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {34, 744, 373, 2, 0, 0, 92},	//384 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {34, 744, 376, 2, 0, 0, 93},	//385 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {34, 744, 379, 2, 0, 0, 94},	//386 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {34, 744, 382, 2, 0, 0, 95},	//387 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {34, 744, 385, 2, 0, 0, 96},	//388 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {34, 744, 388, 2, 0, 0, 97},	//389 QGLShaderProgram::setUniformValue(int, const float[2][2])
    {34, 744, 391, 2, 0, 0, 98},	//390 QGLShaderProgram::setUniformValue(int, const float[3][3])
    {34, 744, 394, 2, 0, 0, 99},	//391 QGLShaderProgram::setUniformValue(int, const float[4][4])
    {34, 744, 397, 2, 0, 0, 100},	//392 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {34, 744, 266, 2, 0, 0, 101},	//393 QGLShaderProgram::setUniformValue(const char*, float)
    {34, 744, 225, 2, 0, 0, 102},	//394 QGLShaderProgram::setUniformValue(const char*, int)
    {34, 744, 400, 2, 0, 0, 103},	//395 QGLShaderProgram::setUniformValue(const char*, unsigned int)
    {34, 744, 269, 3, 0, 0, 104},	//396 QGLShaderProgram::setUniformValue(const char*, float, float)
    {34, 744, 273, 4, 0, 0, 105},	//397 QGLShaderProgram::setUniformValue(const char*, float, float, float)
    {34, 744, 278, 5, 0, 0, 106},	//398 QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    {34, 744, 284, 2, 0, 0, 107},	//399 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {34, 744, 287, 2, 0, 0, 108},	//400 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {34, 744, 290, 2, 0, 0, 109},	//401 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {34, 744, 293, 2, 0, 0, 110},	//402 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {34, 744, 403, 2, 0, 0, 111},	//403 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {34, 744, 406, 2, 0, 0, 112},	//404 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {34, 744, 409, 2, 0, 0, 113},	//405 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {34, 744, 412, 2, 0, 0, 114},	//406 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {34, 744, 415, 2, 0, 0, 115},	//407 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {34, 744, 418, 2, 0, 0, 116},	//408 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {34, 744, 421, 2, 0, 0, 117},	//409 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {34, 744, 424, 2, 0, 0, 118},	//410 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {34, 744, 427, 2, 0, 0, 119},	//411 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {34, 744, 430, 2, 0, 0, 120},	//412 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {34, 744, 433, 2, 0, 0, 121},	//413 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {34, 744, 436, 2, 0, 0, 122},	//414 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {34, 744, 439, 2, 0, 0, 123},	//415 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {34, 744, 442, 2, 0, 0, 124},	//416 QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    {34, 744, 445, 2, 0, 0, 125},	//417 QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    {34, 744, 448, 2, 0, 0, 126},	//418 QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    {34, 744, 451, 2, 0, 0, 127},	//419 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {34, 751, 261, 4, 0, 0, 128},	//420 QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    {34, 751, 454, 3, 0, 0, 129},	//421 QGLShaderProgram::setUniformValueArray(int, const int*, int)
    {34, 751, 5, 3, 0, 0, 130},	//422 QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    {34, 751, 301, 3, 0, 0, 131},	//423 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {34, 751, 305, 3, 0, 0, 132},	//424 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {34, 751, 309, 3, 0, 0, 133},	//425 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {34, 751, 458, 3, 0, 0, 134},	//426 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {34, 751, 462, 3, 0, 0, 135},	//427 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {34, 751, 466, 3, 0, 0, 136},	//428 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {34, 751, 470, 3, 0, 0, 137},	//429 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {34, 751, 474, 3, 0, 0, 138},	//430 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {34, 751, 478, 3, 0, 0, 139},	//431 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {34, 751, 482, 3, 0, 0, 140},	//432 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {34, 751, 486, 3, 0, 0, 141},	//433 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {34, 751, 490, 3, 0, 0, 142},	//434 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {34, 751, 296, 4, 0, 0, 143},	//435 QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    {34, 751, 494, 3, 0, 0, 144},	//436 QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    {34, 751, 498, 3, 0, 0, 145},	//437 QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    {34, 751, 319, 3, 0, 0, 146},	//438 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {34, 751, 323, 3, 0, 0, 147},	//439 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {34, 751, 327, 3, 0, 0, 148},	//440 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {34, 751, 502, 3, 0, 0, 149},	//441 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {34, 751, 506, 3, 0, 0, 150},	//442 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {34, 751, 510, 3, 0, 0, 151},	//443 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {34, 751, 514, 3, 0, 0, 152},	//444 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {34, 751, 518, 3, 0, 0, 153},	//445 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {34, 751, 522, 3, 0, 0, 154},	//446 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {34, 751, 526, 3, 0, 0, 155},	//447 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {34, 751, 530, 3, 0, 0, 156},	//448 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {34, 751, 534, 3, 0, 0, 157},	//449 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {34, 243, 29, 1, Smoke::mf_static, 369, 158},	//450 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {34, 785, 182, 1, Smoke::mf_static, 236, 159},	//451 QGLShaderProgram::tr(const char*)
    {34, 789, 182, 1, Smoke::mf_static, 236, 160},	//452 QGLShaderProgram::trUtf8(const char*)
    {34, 94, 0, 0, Smoke::mf_ctor, 150, 161},	//453 QGLShaderProgram::QGLShaderProgram()
    {34, 94, 29, 1, Smoke::mf_ctor, 150, 162},	//454 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {34, 649, 538, 3, 0, 0, 163},	//455 QGLShaderProgram::setAttributeArray(int, const float*, int)
    {34, 649, 542, 2, 0, 0, 164},	//456 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {34, 649, 545, 2, 0, 0, 165},	//457 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {34, 649, 548, 2, 0, 0, 166},	//458 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {34, 649, 551, 4, 0, 0, 167},	//459 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    {34, 649, 556, 3, 0, 0, 168},	//460 QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    {34, 649, 560, 2, 0, 0, 169},	//461 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {34, 649, 563, 2, 0, 0, 170},	//462 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {34, 649, 566, 2, 0, 0, 171},	//463 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {34, 649, 569, 4, 0, 0, 172},	//464 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    {34, 655, 574, 4, 0, 0, 173},	//465 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    {34, 655, 579, 4, 0, 0, 174},	//466 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    {34, 243, 0, 0, Smoke::mf_static, 369, 175},	//467 QGLShaderProgram::hasOpenGLShaderPrograms()
    {34, 770, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 421, 176},	//468 QGLShaderProgram::staticMetaObject() const
    {34, 811, 0, 0, Smoke::mf_dtor, 0, 177 },	//469 QGLShaderProgram::~QGLShaderProgram()
    {35, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 422, 1},	//470 QGLWidget::metaObject() const
    {35, 600, 182, 1, Smoke::mf_virtual, 506, 2},	//471 QGLWidget::qt_metacast(const char*)
    {35, 785, 184, 2, Smoke::mf_static, 236, 3},	//472 QGLWidget::tr(const char*, const char*)
    {35, 789, 184, 2, Smoke::mf_static, 236, 4},	//473 QGLWidget::trUtf8(const char*, const char*)
    {35, 785, 187, 3, Smoke::mf_static, 236, 5},	//474 QGLWidget::tr(const char*, const char*, int)
    {35, 789, 187, 3, Smoke::mf_static, 236, 6},	//475 QGLWidget::trUtf8(const char*, const char*, int)
    {35, 598, 191, 3, Smoke::mf_virtual, 490, 7},	//476 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {35, 97, 584, 3, Smoke::mf_ctor, 151, 8},	//477 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {35, 97, 588, 4, Smoke::mf_ctor, 151, 9},	//478 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {35, 97, 593, 4, Smoke::mf_ctor, 151, 10},	//479 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {35, 555, 67, 1, Smoke::mf_const, 0, 11},	//480 QGLWidget::qglColor(const QColor&) const
    {35, 553, 67, 1, Smoke::mf_const, 0, 12},	//481 QGLWidget::qglClearColor(const QColor&) const
    {35, 262, 0, 0, Smoke::mf_const, 369, 13},	//482 QGLWidget::isValid() const
    {35, 261, 0, 0, Smoke::mf_const, 369, 14},	//483 QGLWidget::isSharing() const
    {35, 270, 0, 0, 0, 0, 15},	//484 QGLWidget::makeCurrent()
    {35, 192, 0, 0, 0, 0, 16},	//485 QGLWidget::doneCurrent()
    {35, 193, 0, 0, Smoke::mf_const, 369, 17},	//486 QGLWidget::doubleBuffer() const
    {35, 775, 0, 0, 0, 0, 18},	//487 QGLWidget::swapBuffers()
    {35, 223, 0, 0, Smoke::mf_const, 137, 19},	//488 QGLWidget::format() const
    {35, 696, 27, 1, 0, 0, 20},	//489 QGLWidget::setFormat(const QGLFormat&)
    {35, 169, 0, 0, Smoke::mf_const, 387, 21},	//490 QGLWidget::context() const
    {35, 670, 598, 3, 0, 0, 22},	//491 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {35, 617, 602, 3, 0, 211, 23},	//492 QGLWidget::renderPixmap(int, int, bool)
    {35, 234, 62, 1, 0, 165, 24},	//493 QGLWidget::grabFrameBuffer(bool)
    {35, 271, 0, 0, 0, 0, 25},	//494 QGLWidget::makeOverlayCurrent()
    {35, 348, 0, 0, Smoke::mf_const, 387, 26},	//495 QGLWidget::overlayContext() const
    {35, 171, 71, 1, Smoke::mf_static, 165, 27},	//496 QGLWidget::convertToGLFormat(const QImage&)
    {35, 712, 62, 1, 0, 0, 28},	//497 QGLWidget::setMouseTracking(bool)
    {35, 162, 0, 0, Smoke::mf_const, 386, 29},	//498 QGLWidget::colormap() const
    {35, 668, 3, 1, 0, 0, 30},	//499 QGLWidget::setColormap(const QGLColormap&)
    {35, 621, 606, 5, 0, 0, 31},	//500 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {35, 621, 612, 6, 0, 0, 32},	//501 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {35, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 199, 33},	//502 QGLWidget::paintEngine() const
    {35, 142, 34, 4, 0, 499, 34},	//503 QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {35, 142, 39, 4, 0, 499, 35},	//504 QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {35, 142, 44, 3, 0, 499, 36},	//505 QGLWidget::bindTexture(const QImage&, unsigned int, int)
    {35, 142, 48, 3, 0, 499, 37},	//506 QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    {35, 142, 52, 1, 0, 499, 38},	//507 QGLWidget::bindTexture(const QString&)
    {35, 180, 17, 1, 0, 0, 39},	//508 QGLWidget::deleteTexture(unsigned int)
    {35, 197, 54, 3, 0, 0, 40},	//509 QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    {35, 197, 58, 3, 0, 0, 41},	//510 QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    {35, 798, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//511 QGLWidget::updateGL()
    {35, 799, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//512 QGLWidget::updateOverlayGL()
    {35, 209, 619, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 44},	//513 QGLWidget::event(QEvent*)
    {35, 251, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//514 QGLWidget::initializeGL()
    {35, 632, 94, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//515 QGLWidget::resizeGL(int, int)
    {35, 353, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//516 QGLWidget::paintGL()
    {35, 252, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//517 QGLWidget::initializeOverlayGL()
    {35, 634, 94, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//518 QGLWidget::resizeOverlayGL(int, int)
    {35, 354, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//519 QGLWidget::paintOverlayGL()
    {35, 664, 62, 1, Smoke::mf_protected, 0, 51},	//520 QGLWidget::setAutoBufferSwap(bool)
    {35, 136, 0, 0, Smoke::mf_const|Smoke::mf_protected, 369, 52},	//521 QGLWidget::autoBufferSwap() const
    {35, 351, 621, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//522 QGLWidget::paintEvent(QPaintEvent*)
    {35, 630, 623, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//523 QGLWidget::resizeEvent(QResizeEvent*)
    {35, 233, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//524 QGLWidget::glInit()
    {35, 232, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//525 QGLWidget::glDraw()
    {35, 220, 64, 2, Smoke::mf_protected, 490, 57},	//526 QGLWidget::fontDisplayListBase(const QFont&, int)
    {35, 785, 182, 1, Smoke::mf_static, 236, 58},	//527 QGLWidget::tr(const char*)
    {35, 789, 182, 1, Smoke::mf_static, 236, 59},	//528 QGLWidget::trUtf8(const char*)
    {35, 97, 0, 0, Smoke::mf_ctor, 151, 60},	//529 QGLWidget::QGLWidget()
    {35, 97, 625, 1, Smoke::mf_ctor, 151, 61},	//530 QGLWidget::QGLWidget(QWidget*)
    {35, 97, 627, 2, Smoke::mf_ctor, 151, 62},	//531 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {35, 97, 87, 1, Smoke::mf_ctor, 151, 63},	//532 QGLWidget::QGLWidget(QGLContext*)
    {35, 97, 630, 2, Smoke::mf_ctor, 151, 64},	//533 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {35, 97, 633, 3, Smoke::mf_ctor, 151, 65},	//534 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {35, 97, 27, 1, Smoke::mf_ctor, 151, 66},	//535 QGLWidget::QGLWidget(const QGLFormat&)
    {35, 97, 637, 2, Smoke::mf_ctor, 151, 67},	//536 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {35, 97, 640, 3, Smoke::mf_ctor, 151, 68},	//537 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {35, 670, 87, 1, 0, 0, 69},	//538 QGLWidget::setContext(QGLContext*)
    {35, 670, 644, 2, 0, 0, 70},	//539 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {35, 617, 0, 0, 0, 211, 71},	//540 QGLWidget::renderPixmap()
    {35, 617, 15, 1, 0, 211, 72},	//541 QGLWidget::renderPixmap(int)
    {35, 617, 94, 2, 0, 211, 73},	//542 QGLWidget::renderPixmap(int, int)
    {35, 234, 0, 0, 0, 165, 74},	//543 QGLWidget::grabFrameBuffer()
    {35, 621, 647, 3, 0, 0, 75},	//544 QGLWidget::renderText(int, int, const QString&)
    {35, 621, 651, 4, 0, 0, 76},	//545 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {35, 621, 656, 4, 0, 0, 77},	//546 QGLWidget::renderText(double, double, double, const QString&)
    {35, 621, 661, 5, 0, 0, 78},	//547 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {35, 142, 71, 1, 0, 499, 79},	//548 QGLWidget::bindTexture(const QImage&)
    {35, 142, 73, 2, 0, 499, 80},	//549 QGLWidget::bindTexture(const QImage&, unsigned int)
    {35, 142, 76, 1, 0, 499, 81},	//550 QGLWidget::bindTexture(const QPixmap&)
    {35, 142, 78, 2, 0, 499, 82},	//551 QGLWidget::bindTexture(const QPixmap&, unsigned int)
    {35, 197, 81, 2, 0, 0, 83},	//552 QGLWidget::drawTexture(const QRectF&, unsigned int)
    {35, 197, 84, 2, 0, 0, 84},	//553 QGLWidget::drawTexture(const QPointF&, unsigned int)
    {35, 220, 667, 1, Smoke::mf_protected, 490, 85},	//554 QGLWidget::fontDisplayListBase(const QFont&)
    {35, 770, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 421, 86},	//555 QGLWidget::staticMetaObject() const
    {35, 812, 0, 0, Smoke::mf_dtor, 0, 87 },	//556 QGLWidget::~QGLWidget()
    {36, 345, 669, 2, Smoke::mf_static, 168, 1},	//557 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {36, 364, 0, 0, Smoke::mf_static, 8, 2},	//558 QGlobalSpace::qAccessibleValueCastHelper()
    {36, 334, 672, 2, Smoke::mf_static, 369, 3},	//559 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {36, 475, 675, 1, Smoke::mf_static, 499, 4},	//560 QGlobalSpace::qHash(unsigned long long)
    {36, 488, 677, 1, Smoke::mf_static, 369, 5},	//561 QGlobalSpace::qIsInf(double)
    {36, 345, 679, 2, Smoke::mf_static, 168, 6},	//562 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {36, 301, 682, 2, Smoke::mf_static, 187, 7},	//563 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {36, 345, 685, 2, Smoke::mf_static, 168, 8},	//564 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {36, 323, 688, 2, Smoke::mf_static, 369, 9},	//565 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {36, 284, 691, 2, Smoke::mf_static, 369, 10},	//566 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {36, 583, 400, 2, Smoke::mf_static, 499, 11},	//567 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {36, 500, 694, 3, Smoke::mf_static, 506, 12},	//568 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {36, 602, 0, 0, Smoke::mf_static, 0, 13},	//569 QGlobalSpace::qt_noop()
    {36, 323, 698, 2, Smoke::mf_static, 369, 14},	//570 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {36, 312, 701, 2, Smoke::mf_static, 31, 15},	//571 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {36, 339, 704, 2, Smoke::mf_static, 27, 16},	//572 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {36, 292, 707, 2, Smoke::mf_static, 215, 17},	//573 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {36, 345, 710, 2, Smoke::mf_static, 87, 18},	//574 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {36, 323, 713, 2, Smoke::mf_static, 369, 19},	//575 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {36, 323, 716, 2, Smoke::mf_static, 369, 20},	//576 QGlobalSpace::operator==(const QSize&, const QSize&)
    {36, 312, 719, 2, Smoke::mf_static, 27, 21},	//577 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {36, 345, 722, 2, Smoke::mf_static, 103, 22},	//578 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {36, 296, 725, 2, Smoke::mf_static, 375, 23},	//579 QGlobalSpace::operator+(const char*, const QByteArray&)
    {36, 339, 728, 2, Smoke::mf_static, 27, 24},	//580 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {36, 345, 731, 2, Smoke::mf_static, 94, 25},	//581 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {36, 345, 734, 2, Smoke::mf_static, 84, 26},	//582 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {36, 345, 737, 2, Smoke::mf_static, 62, 27},	//583 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {36, 537, 740, 2, Smoke::mf_static, 369, 28},	//584 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {36, 339, 743, 2, Smoke::mf_static, 27, 29},	//585 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {36, 564, 725, 2, Smoke::mf_static, 490, 30},	//586 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {36, 323, 746, 2, Smoke::mf_static, 369, 31},	//587 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {36, 312, 749, 2, Smoke::mf_static, 27, 32},	//588 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {36, 376, 752, 2, Smoke::mf_static, 488, 33},	//589 QGlobalSpace::qAtan2(double, double)
    {36, 339, 755, 2, Smoke::mf_static, 27, 34},	//590 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {36, 334, 758, 2, Smoke::mf_static, 369, 35},	//591 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {36, 488, 761, 1, Smoke::mf_static, 369, 36},	//592 QGlobalSpace::qIsInf(float)
    {36, 551, 182, 1, Smoke::mf_static, 16, 37},	//593 QGlobalSpace::qgetenv(const char*)
    {36, 475, 763, 1, Smoke::mf_static, 499, 38},	//594 QGlobalSpace::qHash(signed char)
    {36, 345, 765, 2, Smoke::mf_static, 168, 39},	//595 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {36, 323, 768, 2, Smoke::mf_static, 369, 40},	//596 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {36, 329, 725, 2, Smoke::mf_static, 369, 41},	//597 QGlobalSpace::operator>(const char*, const QByteArray&)
    {36, 345, 771, 2, Smoke::mf_static, 168, 42},	//598 QGlobalSpace::operator|(QFileDialog::Option, int)
    {36, 296, 682, 2, Smoke::mf_static, 187, 43},	//599 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {36, 482, 677, 1, Smoke::mf_static, 490, 44},	//600 QGlobalSpace::qIntCast(double)
    {36, 528, 774, 1, Smoke::mf_static, 267, 45},	//601 QGlobalSpace::qSetPadChar(QChar)
    {36, 312, 776, 2, Smoke::mf_static, 27, 46},	//602 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {36, 345, 779, 2, Smoke::mf_static, 86, 47},	//603 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {36, 292, 782, 2, Smoke::mf_static, 213, 48},	//604 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {36, 345, 785, 2, Smoke::mf_static, 93, 49},	//605 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {36, 312, 788, 2, Smoke::mf_static, 27, 50},	//606 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {36, 312, 791, 2, Smoke::mf_static, 31, 51},	//607 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {36, 345, 794, 2, Smoke::mf_static, 70, 52},	//608 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {36, 323, 797, 2, Smoke::mf_static, 369, 53},	//609 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {36, 292, 800, 2, Smoke::mf_static, 284, 54},	//610 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {36, 323, 803, 2, Smoke::mf_static, 369, 55},	//611 QGlobalSpace::operator==(QChar, QChar)
    {36, 312, 806, 2, Smoke::mf_static, 31, 56},	//612 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {36, 292, 682, 2, Smoke::mf_static, 187, 57},	//613 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {36, 345, 809, 2, Smoke::mf_static, 125, 58},	//614 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {36, 301, 812, 1, Smoke::mf_static, 187, 59},	//615 QGlobalSpace::operator-(const QMatrix4x4&)
    {36, 475, 814, 1, Smoke::mf_static, 499, 60},	//616 QGlobalSpace::qHash(const QUrl&)
    {36, 475, 202, 1, Smoke::mf_static, 499, 61},	//617 QGlobalSpace::qHash(const QByteArray&)
    {36, 345, 816, 2, Smoke::mf_static, 168, 62},	//618 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {36, 292, 819, 2, Smoke::mf_static, 187, 63},	//619 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {36, 312, 822, 2, Smoke::mf_static, 27, 64},	//620 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {36, 312, 825, 2, Smoke::mf_static, 31, 65},	//621 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {36, 339, 828, 2, Smoke::mf_static, 27, 66},	//622 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {36, 307, 803, 2, Smoke::mf_static, 369, 67},	//623 QGlobalSpace::operator<(QChar, QChar)
    {36, 339, 831, 2, Smoke::mf_static, 27, 68},	//624 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {36, 345, 834, 2, Smoke::mf_static, 83, 69},	//625 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {36, 334, 803, 2, Smoke::mf_static, 369, 70},	//626 QGlobalSpace::operator>=(QChar, QChar)
    {36, 284, 837, 2, Smoke::mf_static, 369, 71},	//627 QGlobalSpace::operator!=(QString::Null, const QString&)
    {36, 312, 840, 2, Smoke::mf_static, 31, 72},	//628 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {36, 307, 725, 2, Smoke::mf_static, 369, 73},	//629 QGlobalSpace::operator<(const char*, const QByteArray&)
    {36, 312, 843, 2, Smoke::mf_static, 31, 74},	//630 QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    {36, 345, 846, 2, Smoke::mf_static, 110, 75},	//631 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {36, 345, 849, 2, Smoke::mf_static, 124, 76},	//632 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {36, 564, 184, 2, Smoke::mf_static, 490, 77},	//633 QGlobalSpace::qstrcmp(const char*, const char*)
    {36, 345, 852, 2, Smoke::mf_static, 168, 78},	//634 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {36, 296, 688, 2, Smoke::mf_static, 473, 79},	//635 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {36, 390, 677, 1, Smoke::mf_static, 488, 80},	//636 QGlobalSpace::qCos(double)
    {36, 345, 855, 2, Smoke::mf_static, 82, 81},	//637 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {36, 329, 803, 2, Smoke::mf_static, 369, 82},	//638 QGlobalSpace::operator>(QChar, QChar)
    {36, 345, 858, 2, Smoke::mf_static, 127, 83},	//639 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {36, 292, 861, 2, Smoke::mf_static, 446, 84},	//640 QGlobalSpace::operator*(double, const QSizeF&)
    {36, 532, 0, 0, Smoke::mf_static, 369, 85},	//641 QGlobalSpace::qSharedBuild()
    {36, 323, 864, 2, Smoke::mf_static, 369, 86},	//642 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {36, 345, 867, 2, Smoke::mf_static, 168, 87},	//643 QGlobalSpace::operator|(QDir::Filter, int)
    {36, 345, 870, 2, Smoke::mf_static, 93, 88},	//644 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {36, 284, 672, 2, Smoke::mf_static, 369, 89},	//645 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {36, 301, 873, 2, Smoke::mf_static, 431, 90},	//646 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {36, 360, 0, 0, Smoke::mf_static, 8, 91},	//647 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {36, 312, 876, 2, Smoke::mf_static, 27, 92},	//648 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {36, 345, 879, 2, Smoke::mf_static, 168, 93},	//649 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {36, 345, 882, 2, Smoke::mf_static, 123, 94},	//650 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {36, 345, 885, 2, Smoke::mf_static, 168, 95},	//651 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {36, 301, 888, 2, Smoke::mf_static, 270, 96},	//652 QGlobalSpace::operator-(const QTransform&, double)
    {36, 345, 891, 2, Smoke::mf_static, 48, 97},	//653 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {36, 475, 894, 1, Smoke::mf_static, 499, 98},	//654 QGlobalSpace::qHash(char)
    {36, 345, 896, 2, Smoke::mf_static, 111, 99},	//655 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {36, 292, 688, 2, Smoke::mf_static, 473, 100},	//656 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {36, 284, 713, 2, Smoke::mf_static, 369, 101},	//657 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {36, 345, 899, 2, Smoke::mf_static, 107, 102},	//658 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {36, 345, 902, 2, Smoke::mf_static, 168, 103},	//659 QGlobalSpace::operator|(QTextOption::Flag, int)
    {36, 312, 905, 2, Smoke::mf_static, 31, 104},	//660 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {36, 345, 908, 2, Smoke::mf_static, 168, 105},	//661 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {36, 345, 911, 2, Smoke::mf_static, 168, 106},	//662 QGlobalSpace::operator|(QFile::Permission, int)
    {36, 345, 914, 2, Smoke::mf_static, 70, 107},	//663 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {36, 305, 917, 2, Smoke::mf_static, 431, 108},	//664 QGlobalSpace::operator/(const QPoint&, double)
    {36, 442, 920, 8, Smoke::mf_static, 0, 109},	//665 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {36, 442, 929, 6, Smoke::mf_static, 0, 110},	//666 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {36, 442, 936, 7, Smoke::mf_static, 0, 111},	//667 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 296, 873, 2, Smoke::mf_static, 431, 112},	//668 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {36, 312, 944, 2, Smoke::mf_static, 27, 113},	//669 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {36, 345, 947, 2, Smoke::mf_static, 58, 114},	//670 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {36, 296, 950, 2, Smoke::mf_static, 451, 115},	//671 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {36, 301, 953, 2, Smoke::mf_static, 446, 116},	//672 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {36, 292, 956, 2, Smoke::mf_static, 282, 117},	//673 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {36, 465, 959, 2, Smoke::mf_static, 369, 118},	//674 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {36, 312, 962, 2, Smoke::mf_static, 31, 119},	//675 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {36, 301, 688, 2, Smoke::mf_static, 473, 120},	//676 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {36, 484, 677, 1, Smoke::mf_static, 369, 121},	//677 QGlobalSpace::qIsFinite(double)
    {36, 345, 965, 2, Smoke::mf_static, 63, 122},	//678 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {36, 284, 758, 2, Smoke::mf_static, 369, 123},	//679 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {36, 312, 968, 2, Smoke::mf_static, 27, 124},	//680 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {36, 345, 971, 2, Smoke::mf_static, 119, 125},	//681 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {36, 345, 974, 2, Smoke::mf_static, 168, 126},	//682 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {36, 312, 977, 2, Smoke::mf_static, 31, 127},	//683 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {36, 369, 17, 1, Smoke::mf_static, 490, 128},	//684 QGlobalSpace::qAlpha(unsigned int)
    {36, 312, 980, 2, Smoke::mf_static, 31, 129},	//685 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {36, 345, 983, 2, Smoke::mf_static, 59, 130},	//686 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {36, 307, 986, 2, Smoke::mf_static, 369, 131},	//687 QGlobalSpace::operator<(const char*, const QString&)
    {36, 470, 989, 3, Smoke::mf_static, 490, 132},	//688 QGlobalSpace::qGray(int, int, int)
    {36, 345, 993, 2, Smoke::mf_static, 75, 133},	//689 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {36, 345, 996, 2, Smoke::mf_static, 67, 134},	//690 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {36, 312, 999, 2, Smoke::mf_static, 27, 135},	//691 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {36, 345, 1002, 2, Smoke::mf_static, 109, 136},	//692 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {36, 296, 716, 2, Smoke::mf_static, 444, 137},	//693 QGlobalSpace::operator+(const QSize&, const QSize&)
    {36, 345, 1005, 2, Smoke::mf_static, 125, 138},	//694 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {36, 345, 1008, 2, Smoke::mf_static, 116, 139},	//695 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {36, 594, 15, 1, Smoke::mf_static, 236, 140},	//696 QGlobalSpace::qt_error_string(int)
    {36, 594, 0, 0, Smoke::mf_static, 236, 141},	//697 QGlobalSpace::qt_error_string()
    {36, 296, 953, 2, Smoke::mf_static, 446, 142},	//698 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {36, 305, 819, 2, Smoke::mf_static, 187, 143},	//699 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {36, 345, 1011, 2, Smoke::mf_static, 168, 144},	//700 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {36, 345, 1014, 2, Smoke::mf_static, 48, 145},	//701 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {36, 345, 1017, 2, Smoke::mf_static, 168, 146},	//702 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {36, 301, 959, 2, Smoke::mf_static, 476, 147},	//703 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {36, 307, 1020, 2, Smoke::mf_static, 369, 148},	//704 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {36, 542, 1023, 2, Smoke::mf_static, 16, 149},	//705 QGlobalSpace::qUncompress(const unsigned char*, int)
    {36, 577, 1026, 3, Smoke::mf_static, 490, 150},	//706 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {36, 540, 677, 1, Smoke::mf_static, 488, 151},	//707 QGlobalSpace::qTan(double)
    {36, 329, 698, 2, Smoke::mf_static, 369, 152},	//708 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {36, 284, 1030, 2, Smoke::mf_static, 369, 153},	//709 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {36, 526, 15, 1, Smoke::mf_static, 267, 154},	//710 QGlobalSpace::qSetFieldWidth(int)
    {36, 323, 1033, 2, Smoke::mf_static, 369, 155},	//711 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {36, 345, 1036, 2, Smoke::mf_static, 96, 156},	//712 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {36, 339, 1039, 2, Smoke::mf_static, 264, 157},	//713 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {36, 475, 1042, 1, Smoke::mf_static, 499, 158},	//714 QGlobalSpace::qHash(const QItemSelectionRange&)
    {36, 511, 17, 1, Smoke::mf_static, 490, 159},	//715 QGlobalSpace::qRed(unsigned int)
    {36, 345, 1044, 2, Smoke::mf_static, 114, 160},	//716 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {36, 292, 888, 2, Smoke::mf_static, 270, 161},	//717 QGlobalSpace::operator*(const QTransform&, double)
    {36, 459, 677, 1, Smoke::mf_static, 490, 162},	//718 QGlobalSpace::qFloor(double)
    {36, 345, 1047, 2, Smoke::mf_static, 89, 163},	//719 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {36, 312, 1050, 2, Smoke::mf_static, 31, 164},	//720 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {36, 339, 1053, 2, Smoke::mf_static, 27, 165},	//721 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {36, 484, 761, 1, Smoke::mf_static, 369, 166},	//722 QGlobalSpace::qIsFinite(float)
    {36, 296, 1056, 2, Smoke::mf_static, 451, 167},	//723 QGlobalSpace::operator+(const QString&, QChar)
    {36, 284, 1059, 2, Smoke::mf_static, 369, 168},	//724 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {36, 292, 959, 2, Smoke::mf_static, 476, 169},	//725 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {36, 345, 1062, 2, Smoke::mf_static, 51, 170},	//726 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {36, 345, 1065, 2, Smoke::mf_static, 168, 171},	//727 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {36, 547, 1068, 3, Smoke::mf_static, 0, 172},	//728 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {36, 296, 758, 2, Smoke::mf_static, 375, 173},	//729 QGlobalSpace::operator+(const QByteArray&, const char*)
    {36, 363, 0, 0, Smoke::mf_static, 8, 174},	//730 QGlobalSpace::qAccessibleTextCastHelper()
    {36, 345, 1072, 2, Smoke::mf_static, 95, 175},	//731 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {36, 345, 1075, 2, Smoke::mf_static, 101, 176},	//732 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {36, 296, 740, 2, Smoke::mf_static, 451, 177},	//733 QGlobalSpace::operator+(const QString&, const char*)
    {36, 329, 1020, 2, Smoke::mf_static, 369, 178},	//734 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {36, 345, 1078, 2, Smoke::mf_static, 122, 179},	//735 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {36, 509, 1081, 4, Smoke::mf_static, 506, 180},	//736 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {36, 339, 1086, 2, Smoke::mf_static, 27, 181},	//737 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {36, 312, 1089, 2, Smoke::mf_static, 27, 182},	//738 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {36, 296, 1092, 2, Smoke::mf_static, 451, 183},	//739 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {36, 475, 17, 1, Smoke::mf_static, 499, 184},	//740 QGlobalSpace::qHash(unsigned int)
    {36, 465, 864, 2, Smoke::mf_static, 369, 185},	//741 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {36, 345, 1095, 2, Smoke::mf_static, 124, 186},	//742 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {36, 475, 774, 1, Smoke::mf_static, 499, 187},	//743 QGlobalSpace::qHash(QChar)
    {36, 345, 1098, 2, Smoke::mf_static, 103, 188},	//744 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {36, 316, 758, 2, Smoke::mf_static, 369, 189},	//745 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {36, 482, 761, 1, Smoke::mf_static, 490, 190},	//746 QGlobalSpace::qIntCast(float)
    {36, 323, 1101, 2, Smoke::mf_static, 369, 191},	//747 QGlobalSpace::operator==(const QRect&, const QRect&)
    {36, 345, 1104, 2, Smoke::mf_static, 61, 192},	//748 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {36, 343, 1107, 2, Smoke::mf_static, 12, 193},	//749 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {36, 329, 1110, 2, Smoke::mf_static, 369, 194},	//750 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {36, 345, 1113, 2, Smoke::mf_static, 86, 195},	//751 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {36, 507, 1116, 2, Smoke::mf_static, 506, 196},	//752 QGlobalSpace::qRealloc(void*, size_t)
    {36, 475, 52, 1, Smoke::mf_static, 499, 197},	//753 QGlobalSpace::qHash(const QString&)
    {36, 316, 1020, 2, Smoke::mf_static, 369, 198},	//754 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {36, 296, 959, 2, Smoke::mf_static, 476, 199},	//755 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {36, 312, 1119, 2, Smoke::mf_static, 27, 200},	//756 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {36, 312, 1122, 2, Smoke::mf_static, 27, 201},	//757 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {36, 312, 1125, 2, Smoke::mf_static, 31, 202},	//758 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {36, 523, 677, 1, Smoke::mf_static, 493, 203},	//759 QGlobalSpace::qRound64(double)
    {36, 480, 1128, 1, Smoke::mf_static, 505, 204},	//760 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {36, 535, 677, 1, Smoke::mf_static, 488, 205},	//761 QGlobalSpace::qSqrt(double)
    {36, 345, 1130, 2, Smoke::mf_static, 168, 206},	//762 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {36, 475, 1133, 1, Smoke::mf_static, 499, 207},	//763 QGlobalSpace::qHash(const QModelIndex&)
    {36, 345, 1135, 2, Smoke::mf_static, 54, 208},	//764 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {36, 453, 677, 1, Smoke::mf_static, 488, 209},	//765 QGlobalSpace::qFastCos(double)
    {36, 345, 1138, 2, Smoke::mf_static, 100, 210},	//766 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {36, 339, 1141, 2, Smoke::mf_static, 27, 211},	//767 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {36, 312, 1144, 2, Smoke::mf_static, 31, 212},	//768 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {36, 323, 1147, 2, Smoke::mf_static, 369, 213},	//769 QGlobalSpace::operator==(QBool, QBool)
    {36, 345, 1150, 2, Smoke::mf_static, 72, 214},	//770 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {36, 323, 1153, 2, Smoke::mf_static, 369, 215},	//771 QGlobalSpace::operator==(const char*, const QStringRef&)
    {36, 345, 1156, 2, Smoke::mf_static, 168, 216},	//772 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {36, 345, 1159, 2, Smoke::mf_static, 168, 217},	//773 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {36, 284, 986, 2, Smoke::mf_static, 369, 218},	//774 QGlobalSpace::operator!=(const char*, const QString&)
    {36, 490, 761, 1, Smoke::mf_static, 369, 219},	//775 QGlobalSpace::qIsNaN(float)
    {36, 345, 1162, 2, Smoke::mf_static, 168, 220},	//776 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {36, 345, 1165, 2, Smoke::mf_static, 78, 221},	//777 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {36, 345, 1168, 2, Smoke::mf_static, 66, 222},	//778 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {36, 316, 1110, 2, Smoke::mf_static, 369, 223},	//779 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {36, 339, 1171, 2, Smoke::mf_static, 27, 224},	//780 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {36, 457, 182, 1, Smoke::mf_static, 479, 225},	//781 QGlobalSpace::qFlagLocation(const char*)
    {36, 296, 888, 2, Smoke::mf_static, 270, 226},	//782 QGlobalSpace::operator+(const QTransform&, double)
    {36, 292, 1174, 2, Smoke::mf_static, 176, 227},	//783 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {36, 312, 1177, 2, Smoke::mf_static, 31, 228},	//784 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {36, 345, 1180, 2, Smoke::mf_static, 168, 229},	//785 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {36, 490, 677, 1, Smoke::mf_static, 369, 230},	//786 QGlobalSpace::qIsNaN(double)
    {36, 470, 17, 1, Smoke::mf_static, 490, 231},	//787 QGlobalSpace::qGray(unsigned int)
    {36, 296, 1183, 2, Smoke::mf_static, 451, 232},	//788 QGlobalSpace::operator+(QChar, const QString&)
    {36, 345, 1186, 2, Smoke::mf_static, 97, 233},	//789 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {36, 345, 1189, 2, Smoke::mf_static, 168, 234},	//790 QGlobalSpace::operator|(QString::SectionFlag, int)
    {36, 345, 1192, 2, Smoke::mf_static, 168, 235},	//791 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {36, 345, 1195, 2, Smoke::mf_static, 71, 236},	//792 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {36, 345, 1198, 2, Smoke::mf_static, 168, 237},	//793 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {36, 312, 1201, 2, Smoke::mf_static, 31, 238},	//794 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {36, 339, 1204, 2, Smoke::mf_static, 27, 239},	//795 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {36, 588, 187, 3, Smoke::mf_static, 0, 240},	//796 QGlobalSpace::qt_assert(const char*, const char*, int)
    {36, 475, 1207, 1, Smoke::mf_static, 499, 241},	//797 QGlobalSpace::qHash(long long)
    {36, 301, 1209, 1, Smoke::mf_static, 437, 242},	//798 QGlobalSpace::operator-(const QQuaternion&)
    {36, 284, 1211, 2, Smoke::mf_static, 369, 243},	//799 QGlobalSpace::operator!=(const QString&, QString::Null)
    {36, 345, 1214, 2, Smoke::mf_static, 65, 244},	//800 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {36, 465, 1217, 2, Smoke::mf_static, 369, 245},	//801 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {36, 345, 1220, 2, Smoke::mf_static, 168, 246},	//802 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {36, 339, 1223, 2, Smoke::mf_static, 27, 247},	//803 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {36, 345, 1226, 2, Smoke::mf_static, 168, 248},	//804 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {36, 517, 989, 3, Smoke::mf_static, 499, 249},	//805 QGlobalSpace::qRgb(int, int, int)
    {36, 345, 1229, 2, Smoke::mf_static, 101, 250},	//806 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {36, 296, 1232, 2, Smoke::mf_static, 451, 251},	//807 QGlobalSpace::operator+(const QString&, char)
    {36, 284, 797, 2, Smoke::mf_static, 369, 252},	//808 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {36, 292, 1235, 2, Smoke::mf_static, 206, 253},	//809 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {36, 301, 746, 2, Smoke::mf_static, 433, 254},	//810 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {36, 323, 1059, 2, Smoke::mf_static, 369, 255},	//811 QGlobalSpace::operator==(QString::Null, QString::Null)
    {36, 345, 1238, 2, Smoke::mf_static, 117, 256},	//812 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {36, 345, 1241, 2, Smoke::mf_static, 168, 257},	//813 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {36, 345, 1244, 2, Smoke::mf_static, 83, 258},	//814 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {36, 345, 1247, 2, Smoke::mf_static, 111, 259},	//815 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {36, 339, 1250, 2, Smoke::mf_static, 27, 260},	//816 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {36, 307, 1110, 2, Smoke::mf_static, 369, 261},	//817 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {36, 362, 0, 0, Smoke::mf_static, 8, 262},	//818 QGlobalSpace::qAccessibleTableCastHelper()
    {36, 345, 1253, 2, Smoke::mf_static, 127, 263},	//819 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {36, 399, 1256, 8, Smoke::mf_static, 0, 264},	//820 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {36, 399, 1265, 6, Smoke::mf_static, 0, 265},	//821 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {36, 399, 1272, 7, Smoke::mf_static, 0, 266},	//822 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {36, 468, 761, 1, Smoke::mf_static, 369, 267},	//823 QGlobalSpace::qFuzzyIsNull(float)
    {36, 292, 1280, 2, Smoke::mf_static, 437, 268},	//824 QGlobalSpace::operator*(const QQuaternion&, double)
    {36, 345, 1283, 2, Smoke::mf_static, 121, 269},	//825 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {36, 569, 1286, 2, Smoke::mf_static, 371, 270},	//826 QGlobalSpace::qstrcpy(char*, const char*)
    {36, 475, 15, 1, Smoke::mf_static, 499, 271},	//827 QGlobalSpace::qHash(int)
    {36, 296, 746, 2, Smoke::mf_static, 433, 272},	//828 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {36, 292, 1289, 2, Smoke::mf_static, 225, 273},	//829 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {36, 345, 1292, 2, Smoke::mf_static, 112, 274},	//830 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {36, 323, 953, 2, Smoke::mf_static, 369, 275},	//831 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {36, 301, 1295, 1, Smoke::mf_static, 431, 276},	//832 QGlobalSpace::operator-(const QPoint&)
    {36, 345, 1297, 2, Smoke::mf_static, 168, 277},	//833 QGlobalSpace::operator|(Qt::DropAction, int)
    {36, 312, 1300, 2, Smoke::mf_static, 27, 278},	//834 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {36, 345, 1303, 2, Smoke::mf_static, 168, 279},	//835 QGlobalSpace::operator|(QDir::SortFlag, int)
    {36, 449, 677, 1, Smoke::mf_static, 488, 280},	//836 QGlobalSpace::qExp(double)
    {36, 530, 15, 1, Smoke::mf_static, 267, 281},	//837 QGlobalSpace::qSetRealNumberPrecision(int)
    {36, 323, 1306, 2, Smoke::mf_static, 369, 282},	//838 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {36, 494, 677, 1, Smoke::mf_static, 488, 283},	//839 QGlobalSpace::qLn(double)
    {36, 296, 691, 2, Smoke::mf_static, 470, 284},	//840 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {36, 424, 1309, 7, Smoke::mf_static, 0, 285},	//841 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {36, 424, 1317, 3, Smoke::mf_static, 0, 286},	//842 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {36, 424, 1321, 4, Smoke::mf_static, 0, 287},	//843 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {36, 424, 1326, 5, Smoke::mf_static, 0, 288},	//844 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {36, 424, 1332, 6, Smoke::mf_static, 0, 289},	//845 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {36, 312, 1339, 2, Smoke::mf_static, 27, 290},	//846 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {36, 292, 1342, 2, Smoke::mf_static, 284, 291},	//847 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {36, 345, 1345, 2, Smoke::mf_static, 168, 292},	//848 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {36, 284, 953, 2, Smoke::mf_static, 369, 293},	//849 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {36, 513, 1348, 1, Smoke::mf_static, 0, 294},	//850 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {36, 312, 1350, 2, Smoke::mf_static, 31, 295},	//851 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {36, 312, 1353, 2, Smoke::mf_static, 31, 296},	//852 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {36, 345, 1356, 2, Smoke::mf_static, 59, 297},	//853 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {36, 383, 400, 2, Smoke::mf_static, 502, 298},	//854 QGlobalSpace::qChecksum(const char*, unsigned int)
    {36, 394, 1359, 4, Smoke::mf_static, 0, 299},	//855 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {36, 305, 1364, 2, Smoke::mf_static, 476, 300},	//856 QGlobalSpace::operator/(const QVector4D&, double)
    {36, 312, 1367, 2, Smoke::mf_static, 264, 301},	//857 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {36, 345, 1370, 2, Smoke::mf_static, 120, 302},	//858 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {36, 496, 1373, 1, Smoke::mf_static, 506, 303},	//859 QGlobalSpace::qMalloc(size_t)
    {36, 506, 0, 0, Smoke::mf_static, 488, 304},	//860 QGlobalSpace::qQNaN()
    {36, 345, 1375, 2, Smoke::mf_static, 113, 305},	//861 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {36, 339, 1378, 2, Smoke::mf_static, 27, 306},	//862 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {36, 557, 725, 2, Smoke::mf_static, 369, 307},	//863 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {36, 345, 1381, 2, Smoke::mf_static, 98, 308},	//864 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {36, 345, 1384, 2, Smoke::mf_static, 80, 309},	//865 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {36, 312, 1387, 2, Smoke::mf_static, 27, 310},	//866 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {36, 312, 1390, 2, Smoke::mf_static, 31, 311},	//867 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {36, 345, 1393, 2, Smoke::mf_static, 168, 312},	//868 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {36, 379, 17, 1, Smoke::mf_static, 490, 313},	//869 QGlobalSpace::qBlue(unsigned int)
    {36, 345, 1396, 2, Smoke::mf_static, 105, 314},	//870 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {36, 292, 691, 2, Smoke::mf_static, 470, 315},	//871 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {36, 312, 1399, 2, Smoke::mf_static, 27, 316},	//872 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {36, 312, 1402, 2, Smoke::mf_static, 27, 317},	//873 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {36, 435, 1405, 5, Smoke::mf_static, 0, 318},	//874 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {36, 435, 1317, 3, Smoke::mf_static, 0, 319},	//875 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {36, 435, 1321, 4, Smoke::mf_static, 0, 320},	//876 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {36, 562, 17, 1, Smoke::mf_static, 0, 321},	//877 QGlobalSpace::qsrand(unsigned int)
    {36, 284, 864, 2, Smoke::mf_static, 369, 322},	//878 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {36, 345, 1411, 2, Smoke::mf_static, 168, 323},	//879 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {36, 475, 1414, 1, Smoke::mf_static, 499, 324},	//880 QGlobalSpace::qHash(long)
    {36, 312, 1416, 2, Smoke::mf_static, 27, 325},	//881 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {36, 329, 672, 2, Smoke::mf_static, 369, 326},	//882 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {36, 475, 1419, 1, Smoke::mf_static, 499, 327},	//883 QGlobalSpace::qHash(unsigned short)
    {36, 345, 1421, 2, Smoke::mf_static, 104, 328},	//884 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {36, 339, 1424, 2, Smoke::mf_static, 27, 329},	//885 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {36, 284, 746, 2, Smoke::mf_static, 369, 330},	//886 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {36, 345, 1427, 2, Smoke::mf_static, 87, 331},	//887 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {36, 312, 1430, 2, Smoke::mf_static, 27, 332},	//888 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {36, 345, 1433, 2, Smoke::mf_static, 62, 333},	//889 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {36, 345, 1436, 2, Smoke::mf_static, 79, 334},	//890 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {36, 301, 691, 2, Smoke::mf_static, 470, 335},	//891 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {36, 415, 1439, 6, Smoke::mf_static, 0, 336},	//892 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {36, 415, 1317, 3, Smoke::mf_static, 0, 337},	//893 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {36, 415, 1321, 4, Smoke::mf_static, 0, 338},	//894 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {36, 415, 1326, 5, Smoke::mf_static, 0, 339},	//895 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {36, 581, 1026, 3, Smoke::mf_static, 490, 340},	//896 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {36, 296, 1446, 2, Smoke::mf_static, 451, 341},	//897 QGlobalSpace::operator+(char, const QString&)
    {36, 339, 1449, 2, Smoke::mf_static, 27, 342},	//898 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {36, 323, 837, 2, Smoke::mf_static, 369, 343},	//899 QGlobalSpace::operator==(QString::Null, const QString&)
    {36, 339, 1452, 2, Smoke::mf_static, 27, 344},	//900 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {36, 323, 1030, 2, Smoke::mf_static, 369, 345},	//901 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {36, 345, 1455, 2, Smoke::mf_static, 97, 346},	//902 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {36, 345, 1458, 2, Smoke::mf_static, 168, 347},	//903 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {36, 296, 1110, 2, Smoke::mf_static, 375, 348},	//904 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {36, 345, 1461, 2, Smoke::mf_static, 104, 349},	//905 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {36, 475, 1464, 1, Smoke::mf_static, 499, 350},	//906 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {36, 329, 986, 2, Smoke::mf_static, 369, 351},	//907 QGlobalSpace::operator>(const char*, const QString&)
    {36, 312, 1466, 2, Smoke::mf_static, 31, 352},	//908 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {36, 312, 1469, 2, Smoke::mf_static, 27, 353},	//909 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {36, 312, 1472, 2, Smoke::mf_static, 27, 354},	//910 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {36, 312, 1475, 2, Smoke::mf_static, 27, 355},	//911 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {36, 312, 1478, 2, Smoke::mf_static, 27, 356},	//912 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {36, 339, 1481, 2, Smoke::mf_static, 27, 357},	//913 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {36, 345, 1484, 2, Smoke::mf_static, 69, 358},	//914 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {36, 603, 1487, 3, Smoke::mf_static, 195, 359},	//915 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {36, 415, 1491, 9, Smoke::mf_static, 0, 360},	//916 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {36, 415, 929, 6, Smoke::mf_static, 0, 361},	//917 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {36, 415, 936, 7, Smoke::mf_static, 0, 362},	//918 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 415, 1501, 8, Smoke::mf_static, 0, 363},	//919 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {36, 345, 1510, 2, Smoke::mf_static, 91, 364},	//920 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {36, 339, 1513, 2, Smoke::mf_static, 27, 365},	//921 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {36, 345, 1516, 2, Smoke::mf_static, 168, 366},	//922 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {36, 305, 1519, 2, Smoke::mf_static, 470, 367},	//923 QGlobalSpace::operator/(const QVector2D&, double)
    {36, 345, 1522, 2, Smoke::mf_static, 95, 368},	//924 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {36, 305, 1525, 2, Smoke::mf_static, 433, 369},	//925 QGlobalSpace::operator/(const QPointF&, double)
    {36, 284, 1528, 2, Smoke::mf_static, 369, 370},	//926 QGlobalSpace::operator!=(bool, QBool)
    {36, 323, 1020, 2, Smoke::mf_static, 369, 371},	//927 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {36, 345, 1531, 2, Smoke::mf_static, 76, 372},	//928 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {36, 345, 1534, 2, Smoke::mf_static, 79, 373},	//929 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {36, 305, 1537, 2, Smoke::mf_static, 473, 374},	//930 QGlobalSpace::operator/(const QVector3D&, double)
    {36, 345, 1540, 2, Smoke::mf_static, 80, 375},	//931 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {36, 579, 1543, 3, Smoke::mf_static, 371, 376},	//932 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {36, 292, 1547, 2, Smoke::mf_static, 470, 377},	//933 QGlobalSpace::operator*(double, const QVector2D&)
    {36, 301, 1550, 1, Smoke::mf_static, 476, 378},	//934 QGlobalSpace::operator-(const QVector4D&)
    {36, 345, 1552, 2, Smoke::mf_static, 108, 379},	//935 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {36, 339, 1555, 2, Smoke::mf_static, 27, 380},	//936 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {36, 542, 202, 1, Smoke::mf_static, 16, 381},	//937 QGlobalSpace::qUncompress(const QByteArray&)
    {36, 345, 1558, 2, Smoke::mf_static, 98, 382},	//938 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {36, 305, 888, 2, Smoke::mf_static, 270, 383},	//939 QGlobalSpace::operator/(const QTransform&, double)
    {36, 345, 1561, 2, Smoke::mf_static, 168, 384},	//940 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {36, 465, 682, 2, Smoke::mf_static, 369, 385},	//941 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {36, 345, 1564, 2, Smoke::mf_static, 168, 386},	//942 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {36, 312, 1567, 2, Smoke::mf_static, 27, 387},	//943 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {36, 339, 1570, 2, Smoke::mf_static, 27, 388},	//944 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {36, 359, 0, 0, Smoke::mf_static, 8, 389},	//945 QGlobalSpace::qAccessibleActionCastHelper()
    {36, 292, 1573, 2, Smoke::mf_static, 215, 390},	//946 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {36, 345, 1576, 2, Smoke::mf_static, 168, 391},	//947 QGlobalSpace::operator|(Qt::MouseButton, int)
    {36, 339, 1579, 2, Smoke::mf_static, 27, 392},	//948 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {36, 301, 1582, 1, Smoke::mf_static, 433, 393},	//949 QGlobalSpace::operator-(const QPointF&)
    {36, 345, 1584, 2, Smoke::mf_static, 49, 394},	//950 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {36, 312, 1587, 2, Smoke::mf_static, 31, 395},	//951 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {36, 323, 1528, 2, Smoke::mf_static, 369, 396},	//952 QGlobalSpace::operator==(bool, QBool)
    {36, 339, 1590, 2, Smoke::mf_static, 27, 397},	//953 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {36, 345, 1593, 2, Smoke::mf_static, 168, 398},	//954 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {36, 559, 0, 0, Smoke::mf_static, 490, 399},	//955 QGlobalSpace::qrand()
    {36, 345, 1596, 2, Smoke::mf_static, 168, 400},	//956 QGlobalSpace::operator|(QGL::FormatOption, int)
    {36, 312, 1599, 2, Smoke::mf_static, 31, 401},	//957 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {36, 292, 1602, 2, Smoke::mf_static, 219, 402},	//958 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {36, 339, 1605, 2, Smoke::mf_static, 27, 403},	//959 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {36, 345, 1608, 2, Smoke::mf_static, 53, 404},	//960 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {36, 590, 1611, 4, Smoke::mf_static, 0, 405},	//961 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {36, 290, 1107, 2, Smoke::mf_static, 12, 406},	//962 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {36, 334, 725, 2, Smoke::mf_static, 369, 407},	//963 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {36, 345, 1616, 2, Smoke::mf_static, 63, 408},	//964 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {36, 345, 1619, 2, Smoke::mf_static, 106, 409},	//965 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {36, 345, 1622, 2, Smoke::mf_static, 122, 410},	//966 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {36, 312, 1625, 2, Smoke::mf_static, 27, 411},	//967 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {36, 465, 1628, 2, Smoke::mf_static, 369, 412},	//968 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {36, 345, 1631, 2, Smoke::mf_static, 168, 413},	//969 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {36, 284, 1634, 2, Smoke::mf_static, 369, 414},	//970 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {36, 560, 1637, 4, Smoke::mf_static, 0, 415},	//971 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {36, 519, 1642, 4, Smoke::mf_static, 499, 416},	//972 QGlobalSpace::qRgba(int, int, int, int)
    {36, 392, 0, 0, Smoke::mf_static, 31, 417},	//973 QGlobalSpace::qCritical()
    {36, 292, 1364, 2, Smoke::mf_static, 476, 418},	//974 QGlobalSpace::operator*(const QVector4D&, double)
    {36, 339, 1647, 2, Smoke::mf_static, 27, 419},	//975 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {36, 312, 1650, 2, Smoke::mf_static, 31, 420},	//976 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {36, 312, 1653, 2, Smoke::mf_static, 27, 421},	//977 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {36, 345, 1656, 2, Smoke::mf_static, 116, 422},	//978 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {36, 284, 725, 2, Smoke::mf_static, 369, 423},	//979 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {36, 284, 873, 2, Smoke::mf_static, 369, 424},	//980 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {36, 307, 698, 2, Smoke::mf_static, 369, 425},	//981 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {36, 292, 1659, 2, Smoke::mf_static, 476, 426},	//982 QGlobalSpace::operator*(double, const QVector4D&)
    {36, 345, 1662, 2, Smoke::mf_static, 168, 427},	//983 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {36, 345, 1665, 2, Smoke::mf_static, 85, 428},	//984 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {36, 323, 1634, 2, Smoke::mf_static, 369, 429},	//985 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {36, 312, 1668, 2, Smoke::mf_static, 27, 430},	//986 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {36, 312, 1671, 2, Smoke::mf_static, 31, 431},	//987 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {36, 296, 1674, 2, Smoke::mf_static, 375, 432},	//988 QGlobalSpace::operator+(const QByteArray&, char)
    {36, 345, 1677, 2, Smoke::mf_static, 58, 433},	//989 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {36, 345, 1680, 2, Smoke::mf_static, 56, 434},	//990 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {36, 339, 1683, 2, Smoke::mf_static, 27, 435},	//991 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {36, 305, 1686, 2, Smoke::mf_static, 446, 436},	//992 QGlobalSpace::operator/(const QSizeF&, double)
    {36, 334, 1020, 2, Smoke::mf_static, 369, 437},	//993 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {36, 323, 959, 2, Smoke::mf_static, 369, 438},	//994 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {36, 312, 1689, 2, Smoke::mf_static, 27, 439},	//995 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {36, 345, 1692, 2, Smoke::mf_static, 168, 440},	//996 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {36, 323, 873, 2, Smoke::mf_static, 369, 441},	//997 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {36, 367, 1695, 1, Smoke::mf_static, 0, 442},	//998 QGlobalSpace::qAddPostRoutine(void(*)())
    {36, 385, 1697, 3, Smoke::mf_static, 16, 443},	//999 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {36, 385, 1023, 2, Smoke::mf_static, 16, 444},	//1000 QGlobalSpace::qCompress(const unsigned char*, int)
    {36, 345, 1701, 2, Smoke::mf_static, 90, 445},	//1001 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {36, 316, 725, 2, Smoke::mf_static, 369, 446},	//1002 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {36, 455, 677, 1, Smoke::mf_static, 488, 447},	//1003 QGlobalSpace::qFastSin(double)
    {36, 316, 672, 2, Smoke::mf_static, 369, 448},	//1004 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {36, 312, 1704, 2, Smoke::mf_static, 27, 449},	//1005 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {36, 339, 1707, 2, Smoke::mf_static, 27, 450},	//1006 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {36, 345, 1710, 2, Smoke::mf_static, 55, 451},	//1007 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {36, 339, 1713, 2, Smoke::mf_static, 27, 452},	//1008 QGlobalSpace::operator>>(QDataStream&, QString&)
    {36, 305, 1280, 2, Smoke::mf_static, 437, 453},	//1009 QGlobalSpace::operator/(const QQuaternion&, double)
    {36, 371, 0, 0, Smoke::mf_static, 236, 454},	//1010 QGlobalSpace::qAppName()
    {36, 545, 0, 0, Smoke::mf_static, 479, 455},	//1011 QGlobalSpace::qVersion()
    {36, 345, 1716, 2, Smoke::mf_static, 92, 456},	//1012 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {36, 312, 1719, 2, Smoke::mf_static, 27, 457},	//1013 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {36, 345, 1722, 2, Smoke::mf_static, 168, 458},	//1014 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {36, 461, 1725, 1, Smoke::mf_static, 0, 459},	//1015 QGlobalSpace::qFree(void*)
    {36, 312, 1727, 2, Smoke::mf_static, 31, 460},	//1016 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {36, 292, 1730, 2, Smoke::mf_static, 178, 461},	//1017 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {36, 312, 1733, 2, Smoke::mf_static, 27, 462},	//1018 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {36, 345, 1736, 2, Smoke::mf_static, 168, 463},	//1019 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {36, 463, 1725, 1, Smoke::mf_static, 0, 464},	//1020 QGlobalSpace::qFreeAligned(void*)
    {36, 339, 1739, 2, Smoke::mf_static, 27, 465},	//1021 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {36, 323, 1211, 2, Smoke::mf_static, 369, 466},	//1022 QGlobalSpace::operator==(const QString&, QString::Null)
    {36, 312, 1742, 2, Smoke::mf_static, 31, 467},	//1023 QGlobalSpace::operator<<(QDebug, const QDir&)
    {36, 312, 1745, 2, Smoke::mf_static, 264, 468},	//1024 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {36, 307, 758, 2, Smoke::mf_static, 369, 469},	//1025 QGlobalSpace::operator<(const QByteArray&, const char*)
    {36, 312, 1748, 2, Smoke::mf_static, 31, 470},	//1026 QGlobalSpace::operator<<(QDebug, const QPen&)
    {36, 292, 1751, 2, Smoke::mf_static, 437, 471},	//1027 QGlobalSpace::operator*(double, const QQuaternion&)
    {36, 292, 1519, 2, Smoke::mf_static, 470, 472},	//1028 QGlobalSpace::operator*(const QVector2D&, double)
    {36, 284, 1754, 2, Smoke::mf_static, 369, 473},	//1029 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {36, 312, 1757, 2, Smoke::mf_static, 31, 474},	//1030 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {36, 284, 959, 2, Smoke::mf_static, 369, 475},	//1031 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {36, 345, 1760, 2, Smoke::mf_static, 73, 476},	//1032 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {36, 312, 1763, 2, Smoke::mf_static, 31, 477},	//1033 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {36, 345, 1766, 2, Smoke::mf_static, 105, 478},	//1034 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {36, 345, 1769, 2, Smoke::mf_static, 61, 479},	//1035 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {36, 292, 1537, 2, Smoke::mf_static, 473, 480},	//1036 QGlobalSpace::operator*(const QVector3D&, double)
    {36, 475, 1772, 1, Smoke::mf_static, 499, 481},	//1037 QGlobalSpace::qHash(const QBitArray&)
    {36, 312, 1774, 2, Smoke::mf_static, 31, 482},	//1038 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {36, 345, 1777, 2, Smoke::mf_static, 78, 483},	//1039 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {36, 312, 1780, 2, Smoke::mf_static, 31, 484},	//1040 QGlobalSpace::operator<<(QDebug, const QTime&)
    {36, 312, 1783, 2, Smoke::mf_static, 264, 485},	//1041 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {36, 381, 677, 1, Smoke::mf_static, 490, 486},	//1042 QGlobalSpace::qCeil(double)
    {36, 312, 1786, 2, Smoke::mf_static, 31, 487},	//1043 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {36, 339, 1789, 2, Smoke::mf_static, 27, 488},	//1044 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {36, 284, 803, 2, Smoke::mf_static, 369, 489},	//1045 QGlobalSpace::operator!=(QChar, QChar)
    {36, 345, 1792, 2, Smoke::mf_static, 115, 490},	//1046 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {36, 537, 1795, 2, Smoke::mf_static, 369, 491},	//1047 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {36, 571, 182, 1, Smoke::mf_static, 371, 492},	//1048 QGlobalSpace::qstrdup(const char*)
    {36, 345, 1798, 2, Smoke::mf_static, 168, 493},	//1049 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {36, 345, 1801, 2, Smoke::mf_static, 90, 494},	//1050 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {36, 361, 0, 0, Smoke::mf_static, 8, 495},	//1051 QGlobalSpace::qAccessibleImageCastHelper()
    {36, 345, 1804, 2, Smoke::mf_static, 110, 496},	//1052 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {36, 339, 1807, 2, Smoke::mf_static, 27, 497},	//1053 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {36, 339, 1810, 2, Smoke::mf_static, 27, 498},	//1054 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {36, 316, 986, 2, Smoke::mf_static, 369, 499},	//1055 QGlobalSpace::operator<=(const char*, const QString&)
    {36, 284, 1153, 2, Smoke::mf_static, 369, 500},	//1056 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {36, 339, 1813, 2, Smoke::mf_static, 27, 501},	//1057 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {36, 345, 1816, 2, Smoke::mf_static, 50, 502},	//1058 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {36, 312, 1819, 2, Smoke::mf_static, 27, 503},	//1059 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {36, 345, 1822, 2, Smoke::mf_static, 99, 504},	//1060 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {36, 345, 1825, 2, Smoke::mf_static, 168, 505},	//1061 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {36, 393, 0, 0, Smoke::mf_static, 31, 506},	//1062 QGlobalSpace::qDebug()
    {36, 498, 1828, 2, Smoke::mf_static, 506, 507},	//1063 QGlobalSpace::qMallocAligned(size_t, size_t)
    {36, 345, 1831, 2, Smoke::mf_static, 74, 508},	//1064 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {36, 345, 1834, 2, Smoke::mf_static, 67, 509},	//1065 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {36, 292, 1837, 2, Smoke::mf_static, 213, 510},	//1066 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {36, 284, 1795, 2, Smoke::mf_static, 369, 511},	//1067 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {36, 473, 17, 1, Smoke::mf_static, 490, 512},	//1068 QGlobalSpace::qGreen(unsigned int)
    {36, 504, 752, 2, Smoke::mf_static, 488, 513},	//1069 QGlobalSpace::qPow(double, double)
    {36, 316, 698, 2, Smoke::mf_static, 369, 514},	//1070 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {36, 312, 1840, 2, Smoke::mf_static, 31, 515},	//1071 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {36, 345, 1843, 2, Smoke::mf_static, 168, 516},	//1072 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {36, 339, 1745, 2, Smoke::mf_static, 264, 517},	//1073 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {36, 296, 1846, 2, Smoke::mf_static, 375, 518},	//1074 QGlobalSpace::operator+(char, const QByteArray&)
    {36, 345, 1849, 2, Smoke::mf_static, 168, 519},	//1075 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {36, 323, 725, 2, Smoke::mf_static, 369, 520},	//1076 QGlobalSpace::operator==(const char*, const QByteArray&)
    {36, 312, 1852, 2, Smoke::mf_static, 27, 521},	//1077 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {36, 345, 1855, 2, Smoke::mf_static, 99, 522},	//1078 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {36, 301, 716, 2, Smoke::mf_static, 444, 523},	//1079 QGlobalSpace::operator-(const QSize&, const QSize&)
    {36, 312, 1858, 2, Smoke::mf_static, 31, 524},	//1080 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {36, 296, 986, 2, Smoke::mf_static, 451, 525},	//1081 QGlobalSpace::operator+(const char*, const QString&)
    {36, 345, 1861, 2, Smoke::mf_static, 52, 526},	//1082 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {36, 345, 1864, 2, Smoke::mf_static, 89, 527},	//1083 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {36, 345, 1867, 2, Smoke::mf_static, 168, 528},	//1084 QGlobalSpace::operator|(Qt::WindowState, int)
    {36, 339, 1870, 2, Smoke::mf_static, 27, 529},	//1085 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {36, 339, 1873, 2, Smoke::mf_static, 27, 530},	//1086 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {36, 345, 1876, 2, Smoke::mf_static, 54, 531},	//1087 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {36, 284, 1306, 2, Smoke::mf_static, 369, 532},	//1088 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {36, 345, 1879, 2, Smoke::mf_static, 106, 533},	//1089 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {36, 312, 1882, 2, Smoke::mf_static, 31, 534},	//1090 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {36, 345, 1885, 2, Smoke::mf_static, 119, 535},	//1091 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {36, 292, 1888, 2, Smoke::mf_static, 433, 536},	//1092 QGlobalSpace::operator*(double, const QPointF&)
    {36, 339, 1891, 2, Smoke::mf_static, 27, 537},	//1093 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {36, 345, 1894, 2, Smoke::mf_static, 114, 538},	//1094 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {36, 292, 1897, 2, Smoke::mf_static, 225, 539},	//1095 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {36, 345, 1900, 2, Smoke::mf_static, 68, 540},	//1096 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {36, 323, 672, 2, Smoke::mf_static, 369, 541},	//1097 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {36, 292, 1903, 2, Smoke::mf_static, 444, 542},	//1098 QGlobalSpace::operator*(const QSize&, double)
    {36, 312, 1906, 2, Smoke::mf_static, 31, 543},	//1099 QGlobalSpace::operator<<(QDebug, const QDate&)
    {36, 465, 691, 2, Smoke::mf_static, 369, 544},	//1100 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {36, 292, 1909, 2, Smoke::mf_static, 206, 545},	//1101 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {36, 345, 1912, 2, Smoke::mf_static, 52, 546},	//1102 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {36, 345, 1915, 2, Smoke::mf_static, 56, 547},	//1103 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {36, 609, 1918, 4, Smoke::mf_static, 490, 548},	//1104 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {36, 323, 1754, 2, Smoke::mf_static, 369, 549},	//1105 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {36, 292, 1923, 2, Smoke::mf_static, 431, 550},	//1106 QGlobalSpace::operator*(double, const QPoint&)
    {36, 292, 1926, 2, Smoke::mf_static, 219, 551},	//1107 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {36, 502, 1929, 3, Smoke::mf_static, 506, 552},	//1108 QGlobalSpace::qMemSet(void*, int, size_t)
    {36, 312, 1933, 2, Smoke::mf_static, 27, 553},	//1109 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {36, 592, 225, 2, Smoke::mf_static, 0, 554},	//1110 QGlobalSpace::qt_check_pointer(const char*, int)
    {36, 442, 1405, 5, Smoke::mf_static, 0, 555},	//1111 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {36, 442, 1317, 3, Smoke::mf_static, 0, 556},	//1112 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {36, 442, 1321, 4, Smoke::mf_static, 0, 557},	//1113 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {36, 475, 1936, 1, Smoke::mf_static, 499, 558},	//1114 QGlobalSpace::qHash(short)
    {36, 345, 1938, 2, Smoke::mf_static, 85, 559},	//1115 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {36, 345, 1941, 2, Smoke::mf_static, 77, 560},	//1116 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {36, 451, 677, 1, Smoke::mf_static, 488, 561},	//1117 QGlobalSpace::qFabs(double)
    {36, 345, 1944, 2, Smoke::mf_static, 113, 562},	//1118 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {36, 345, 1947, 2, Smoke::mf_static, 57, 563},	//1119 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {36, 564, 1110, 2, Smoke::mf_static, 490, 564},	//1120 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {36, 465, 1950, 2, Smoke::mf_static, 369, 565},	//1121 QGlobalSpace::qFuzzyCompare(float, float)
    {36, 323, 1953, 2, Smoke::mf_static, 369, 566},	//1122 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {36, 345, 1956, 2, Smoke::mf_static, 168, 567},	//1123 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {36, 345, 1959, 2, Smoke::mf_static, 81, 568},	//1124 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {36, 549, 1962, 3, Smoke::mf_static, 371, 569},	//1125 QGlobalSpace::qgcvt(long double, int, char*)
    {36, 345, 1966, 2, Smoke::mf_static, 108, 570},	//1126 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {36, 345, 1969, 2, Smoke::mf_static, 96, 571},	//1127 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {36, 345, 1972, 2, Smoke::mf_static, 76, 572},	//1128 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {36, 365, 677, 1, Smoke::mf_static, 488, 573},	//1129 QGlobalSpace::qAcos(double)
    {36, 345, 1975, 2, Smoke::mf_static, 168, 574},	//1130 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {36, 345, 1978, 2, Smoke::mf_static, 117, 575},	//1131 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {36, 345, 1981, 2, Smoke::mf_static, 168, 576},	//1132 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {36, 312, 1984, 2, Smoke::mf_static, 27, 577},	//1133 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {36, 334, 1110, 2, Smoke::mf_static, 369, 578},	//1134 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {36, 345, 1987, 2, Smoke::mf_static, 88, 579},	//1135 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {36, 339, 1990, 2, Smoke::mf_static, 27, 580},	//1136 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {36, 378, 0, 0, Smoke::mf_static, 0, 581},	//1137 QGlobalSpace::qBadAlloc()
    {36, 312, 1993, 2, Smoke::mf_static, 31, 582},	//1138 QGlobalSpace::operator<<(QDebug, const QLine&)
    {36, 345, 1996, 2, Smoke::mf_static, 123, 583},	//1139 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {36, 424, 1999, 10, Smoke::mf_static, 0, 584},	//1140 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {36, 424, 929, 6, Smoke::mf_static, 0, 585},	//1141 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {36, 424, 936, 7, Smoke::mf_static, 0, 586},	//1142 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 424, 1501, 8, Smoke::mf_static, 0, 587},	//1143 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {36, 424, 2010, 9, Smoke::mf_static, 0, 588},	//1144 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {36, 345, 2020, 2, Smoke::mf_static, 168, 589},	//1145 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {36, 339, 2023, 2, Smoke::mf_static, 27, 590},	//1146 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {36, 312, 2026, 2, Smoke::mf_static, 31, 591},	//1147 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {36, 345, 2029, 2, Smoke::mf_static, 168, 592},	//1148 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {36, 468, 677, 1, Smoke::mf_static, 369, 593},	//1149 QGlobalSpace::qFuzzyIsNull(double)
    {36, 385, 228, 2, Smoke::mf_static, 16, 594},	//1150 QGlobalSpace::qCompress(const QByteArray&, int)
    {36, 385, 202, 1, Smoke::mf_static, 16, 595},	//1151 QGlobalSpace::qCompress(const QByteArray&)
    {36, 312, 2032, 2, Smoke::mf_static, 31, 596},	//1152 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {36, 345, 2035, 2, Smoke::mf_static, 109, 597},	//1153 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {36, 345, 2038, 2, Smoke::mf_static, 168, 598},	//1154 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {36, 345, 2041, 2, Smoke::mf_static, 168, 599},	//1155 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {36, 345, 2044, 2, Smoke::mf_static, 74, 600},	//1156 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {36, 345, 2047, 2, Smoke::mf_static, 168, 601},	//1157 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {36, 345, 2050, 2, Smoke::mf_static, 126, 602},	//1158 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {36, 301, 2053, 1, Smoke::mf_static, 470, 603},	//1159 QGlobalSpace::operator-(const QVector2D&)
    {36, 345, 2055, 2, Smoke::mf_static, 168, 604},	//1160 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {36, 345, 2058, 2, Smoke::mf_static, 47, 605},	//1161 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {36, 312, 2061, 2, Smoke::mf_static, 27, 606},	//1162 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {36, 292, 2064, 2, Smoke::mf_static, 187, 607},	//1163 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {36, 312, 2067, 2, Smoke::mf_static, 27, 608},	//1164 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {36, 406, 2010, 9, Smoke::mf_static, 0, 609},	//1165 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {36, 406, 929, 6, Smoke::mf_static, 0, 610},	//1166 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {36, 406, 936, 7, Smoke::mf_static, 0, 611},	//1167 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 406, 1501, 8, Smoke::mf_static, 0, 612},	//1168 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {36, 345, 2070, 2, Smoke::mf_static, 51, 613},	//1169 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {36, 312, 2073, 2, Smoke::mf_static, 27, 614},	//1170 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {36, 292, 2076, 2, Smoke::mf_static, 176, 615},	//1171 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {36, 312, 2079, 2, Smoke::mf_static, 27, 616},	//1172 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {36, 372, 677, 1, Smoke::mf_static, 488, 617},	//1173 QGlobalSpace::qAsin(double)
    {36, 312, 2082, 2, Smoke::mf_static, 31, 618},	//1174 QGlobalSpace::operator<<(QDebug, const QRect&)
    {36, 312, 2085, 2, Smoke::mf_static, 31, 619},	//1175 QGlobalSpace::operator<<(QDebug, const QFont&)
    {36, 345, 2088, 2, Smoke::mf_static, 57, 620},	//1176 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {36, 345, 2091, 2, Smoke::mf_static, 53, 621},	//1177 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {36, 345, 2094, 2, Smoke::mf_static, 168, 622},	//1178 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {36, 284, 1101, 2, Smoke::mf_static, 369, 623},	//1179 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {36, 533, 677, 1, Smoke::mf_static, 488, 624},	//1180 QGlobalSpace::qSin(double)
    {36, 345, 2097, 2, Smoke::mf_static, 168, 625},	//1181 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {36, 323, 1110, 2, Smoke::mf_static, 369, 626},	//1182 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {36, 339, 2100, 2, Smoke::mf_static, 27, 627},	//1183 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {36, 345, 2103, 2, Smoke::mf_static, 84, 628},	//1184 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {36, 345, 1107, 2, Smoke::mf_static, 12, 629},	//1185 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {36, 312, 2106, 2, Smoke::mf_static, 27, 630},	//1186 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {36, 465, 688, 2, Smoke::mf_static, 369, 631},	//1187 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {36, 435, 920, 8, Smoke::mf_static, 0, 632},	//1188 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {36, 435, 929, 6, Smoke::mf_static, 0, 633},	//1189 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {36, 435, 936, 7, Smoke::mf_static, 0, 634},	//1190 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {36, 312, 2109, 2, Smoke::mf_static, 27, 635},	//1191 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {36, 345, 2112, 2, Smoke::mf_static, 64, 636},	//1192 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {36, 345, 2115, 2, Smoke::mf_static, 65, 637},	//1193 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {36, 323, 2118, 2, Smoke::mf_static, 369, 638},	//1194 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {36, 345, 2121, 2, Smoke::mf_static, 92, 639},	//1195 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {36, 345, 2124, 2, Smoke::mf_static, 168, 640},	//1196 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {36, 339, 2127, 2, Smoke::mf_static, 27, 641},	//1197 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {36, 312, 2130, 2, Smoke::mf_static, 27, 642},	//1198 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {36, 585, 225, 2, Smoke::mf_static, 236, 643},	//1199 QGlobalSpace::qtTrId(const char*, int)
    {36, 585, 182, 1, Smoke::mf_static, 236, 644},	//1200 QGlobalSpace::qtTrId(const char*)
    {36, 345, 2133, 2, Smoke::mf_static, 168, 645},	//1201 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {36, 345, 2136, 2, Smoke::mf_static, 102, 646},	//1202 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {36, 301, 2139, 1, Smoke::mf_static, 473, 647},	//1203 QGlobalSpace::operator-(const QVector3D&)
    {36, 312, 2141, 2, Smoke::mf_static, 31, 648},	//1204 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {36, 316, 803, 2, Smoke::mf_static, 369, 649},	//1205 QGlobalSpace::operator<=(QChar, QChar)
    {36, 345, 2144, 2, Smoke::mf_static, 126, 650},	//1206 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {36, 486, 17, 1, Smoke::mf_static, 369, 651},	//1207 QGlobalSpace::qIsGray(unsigned int)
    {36, 345, 2147, 2, Smoke::mf_static, 72, 652},	//1208 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {36, 284, 1953, 2, Smoke::mf_static, 369, 653},	//1209 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {36, 345, 2150, 2, Smoke::mf_static, 118, 654},	//1210 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {36, 339, 2153, 2, Smoke::mf_static, 27, 655},	//1211 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {36, 339, 2156, 2, Smoke::mf_static, 27, 656},	//1212 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {36, 399, 2159, 5, Smoke::mf_static, 0, 657},	//1213 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {36, 399, 2165, 3, Smoke::mf_static, 0, 658},	//1214 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {36, 399, 2169, 4, Smoke::mf_static, 0, 659},	//1215 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {36, 339, 2174, 2, Smoke::mf_static, 27, 660},	//1216 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {36, 345, 2177, 2, Smoke::mf_static, 73, 661},	//1217 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {36, 345, 2180, 2, Smoke::mf_static, 69, 662},	//1218 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {36, 345, 2183, 2, Smoke::mf_static, 168, 663},	//1219 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {36, 339, 2186, 2, Smoke::mf_static, 27, 664},	//1220 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {36, 345, 2189, 2, Smoke::mf_static, 168, 665},	//1221 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {36, 607, 2192, 3, Smoke::mf_static, 369, 666},	//1222 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {36, 312, 2196, 2, Smoke::mf_static, 31, 667},	//1223 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {36, 345, 2199, 2, Smoke::mf_static, 168, 668},	//1224 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {36, 292, 2202, 2, Smoke::mf_static, 213, 669},	//1225 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {36, 305, 1903, 2, Smoke::mf_static, 444, 670},	//1226 QGlobalSpace::operator/(const QSize&, double)
    {36, 292, 2205, 2, Smoke::mf_static, 213, 671},	//1227 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {36, 492, 761, 1, Smoke::mf_static, 369, 672},	//1228 QGlobalSpace::qIsNull(float)
    {36, 345, 2208, 2, Smoke::mf_static, 49, 673},	//1229 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {36, 605, 2211, 5, Smoke::mf_static, 0, 674},	//1230 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {36, 323, 2217, 2, Smoke::mf_static, 369, 675},	//1231 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {36, 374, 677, 1, Smoke::mf_static, 488, 676},	//1232 QGlobalSpace::qAtan(double)
    {36, 339, 2220, 2, Smoke::mf_static, 27, 677},	//1233 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {36, 345, 2223, 2, Smoke::mf_static, 168, 678},	//1234 QGlobalSpace::operator|(Qt::Orientation, int)
    {36, 345, 2226, 2, Smoke::mf_static, 100, 679},	//1235 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {36, 465, 752, 2, Smoke::mf_static, 369, 680},	//1236 QGlobalSpace::qFuzzyCompare(double, double)
    {36, 292, 2229, 2, Smoke::mf_static, 282, 681},	//1237 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {36, 284, 698, 2, Smoke::mf_static, 369, 682},	//1238 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {36, 312, 2232, 2, Smoke::mf_static, 27, 683},	//1239 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {36, 312, 2235, 2, Smoke::mf_static, 31, 684},	//1240 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {36, 406, 2238, 7, Smoke::mf_static, 0, 685},	//1241 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {36, 406, 2246, 4, Smoke::mf_static, 0, 686},	//1242 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {36, 406, 2251, 5, Smoke::mf_static, 0, 687},	//1243 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {36, 406, 2257, 6, Smoke::mf_static, 0, 688},	//1244 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {36, 292, 917, 2, Smoke::mf_static, 431, 689},	//1245 QGlobalSpace::operator*(const QPoint&, double)
    {36, 345, 2264, 2, Smoke::mf_static, 115, 690},	//1246 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {36, 345, 2267, 2, Smoke::mf_static, 77, 691},	//1247 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {36, 525, 0, 0, Smoke::mf_static, 488, 692},	//1248 QGlobalSpace::qSNaN()
    {36, 292, 2270, 2, Smoke::mf_static, 215, 693},	//1249 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {36, 345, 2273, 2, Smoke::mf_static, 168, 694},	//1250 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {36, 323, 758, 2, Smoke::mf_static, 369, 695},	//1251 QGlobalSpace::operator==(const QByteArray&, const char*)
    {36, 345, 2276, 2, Smoke::mf_static, 88, 696},	//1252 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {36, 312, 2279, 2, Smoke::mf_static, 27, 697},	//1253 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {36, 292, 1686, 2, Smoke::mf_static, 446, 698},	//1254 QGlobalSpace::operator*(const QSizeF&, double)
    {36, 345, 2282, 2, Smoke::mf_static, 71, 699},	//1255 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {36, 323, 1795, 2, Smoke::mf_static, 369, 700},	//1256 QGlobalSpace::operator==(const QStringRef&, const char*)
    {36, 284, 688, 2, Smoke::mf_static, 369, 701},	//1257 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {36, 323, 691, 2, Smoke::mf_static, 369, 702},	//1258 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {36, 292, 2285, 2, Smoke::mf_static, 217, 703},	//1259 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {36, 345, 2288, 2, Smoke::mf_static, 68, 704},	//1260 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {36, 345, 2291, 2, Smoke::mf_static, 168, 705},	//1261 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {36, 292, 2294, 2, Smoke::mf_static, 444, 706},	//1262 QGlobalSpace::operator*(double, const QSize&)
    {36, 345, 2297, 2, Smoke::mf_static, 168, 707},	//1263 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {36, 307, 672, 2, Smoke::mf_static, 369, 708},	//1264 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {36, 284, 2300, 2, Smoke::mf_static, 369, 709},	//1265 QGlobalSpace::operator!=(QBool, bool)
    {36, 345, 2303, 2, Smoke::mf_static, 55, 710},	//1266 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {36, 284, 716, 2, Smoke::mf_static, 369, 711},	//1267 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {36, 339, 2306, 2, Smoke::mf_static, 27, 712},	//1268 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {36, 312, 2309, 2, Smoke::mf_static, 31, 713},	//1269 QGlobalSpace::operator<<(QDebug, const QSize&)
    {36, 284, 1020, 2, Smoke::mf_static, 369, 714},	//1270 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {36, 345, 2312, 2, Smoke::mf_static, 168, 715},	//1271 QGlobalSpace::operator|(QStyle::SubControl, int)
    {36, 345, 2315, 2, Smoke::mf_static, 107, 716},	//1272 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {36, 292, 2318, 2, Smoke::mf_static, 178, 717},	//1273 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {36, 301, 864, 2, Smoke::mf_static, 437, 718},	//1274 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {36, 292, 1525, 2, Smoke::mf_static, 433, 719},	//1275 QGlobalSpace::operator*(const QPointF&, double)
    {36, 573, 184, 2, Smoke::mf_static, 490, 720},	//1276 QGlobalSpace::qstricmp(const char*, const char*)
    {36, 345, 2321, 2, Smoke::mf_static, 168, 721},	//1277 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {36, 345, 2324, 2, Smoke::mf_static, 121, 722},	//1278 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {36, 284, 768, 2, Smoke::mf_static, 369, 723},	//1279 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {36, 521, 677, 1, Smoke::mf_static, 490, 724},	//1280 QGlobalSpace::qRound(double)
    {36, 479, 0, 0, Smoke::mf_static, 488, 725},	//1281 QGlobalSpace::qInf()
    {36, 312, 2327, 2, Smoke::mf_static, 27, 726},	//1282 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {36, 345, 2330, 2, Smoke::mf_static, 102, 727},	//1283 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {36, 292, 864, 2, Smoke::mf_static, 437, 728},	//1284 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {36, 345, 2333, 2, Smoke::mf_static, 168, 729},	//1285 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {36, 345, 2336, 2, Smoke::mf_static, 118, 730},	//1286 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {36, 292, 2339, 2, Smoke::mf_static, 215, 731},	//1287 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {36, 312, 2342, 2, Smoke::mf_static, 31, 732},	//1288 QGlobalSpace::operator<<(QDebug, const QColor&)
    {36, 312, 2345, 2, Smoke::mf_static, 31, 733},	//1289 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {36, 312, 2348, 2, Smoke::mf_static, 27, 734},	//1290 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {36, 345, 2351, 2, Smoke::mf_static, 81, 735},	//1291 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {36, 345, 2354, 2, Smoke::mf_static, 168, 736},	//1292 QGlobalSpace::operator|(Qt::WindowType, int)
    {36, 564, 758, 2, Smoke::mf_static, 490, 737},	//1293 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {36, 345, 2357, 2, Smoke::mf_static, 168, 738},	//1294 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {36, 515, 1695, 1, Smoke::mf_static, 0, 739},	//1295 QGlobalSpace::qRemovePostRoutine(void(*)())
    {36, 296, 864, 2, Smoke::mf_static, 437, 740},	//1296 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {36, 339, 2360, 2, Smoke::mf_static, 27, 741},	//1297 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {36, 345, 2363, 2, Smoke::mf_static, 94, 742},	//1298 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {36, 345, 2366, 2, Smoke::mf_static, 75, 743},	//1299 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {36, 339, 2369, 2, Smoke::mf_static, 27, 744},	//1300 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {36, 345, 2372, 2, Smoke::mf_static, 168, 745},	//1301 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {36, 312, 2375, 2, Smoke::mf_static, 27, 746},	//1302 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {36, 345, 2378, 2, Smoke::mf_static, 120, 747},	//1303 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {36, 345, 2381, 2, Smoke::mf_static, 112, 748},	//1304 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {36, 546, 0, 0, Smoke::mf_static, 31, 749},	//1305 QGlobalSpace::qWarning()
    {36, 575, 182, 1, Smoke::mf_static, 499, 750},	//1306 QGlobalSpace::qstrlen(const char*)
    {36, 323, 2300, 2, Smoke::mf_static, 369, 751},	//1307 QGlobalSpace::operator==(QBool, bool)
    {36, 339, 2384, 2, Smoke::mf_static, 27, 752},	//1308 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {36, 339, 2387, 2, Smoke::mf_static, 27, 753},	//1309 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {36, 475, 19, 1, Smoke::mf_static, 499, 754},	//1310 QGlobalSpace::qHash(unsigned long)
    {36, 312, 2390, 2, Smoke::mf_static, 27, 755},	//1311 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {36, 345, 2393, 2, Smoke::mf_static, 168, 756},	//1312 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {36, 312, 2396, 2, Smoke::mf_static, 27, 757},	//1313 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {36, 345, 2399, 2, Smoke::mf_static, 66, 758},	//1314 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {36, 312, 2402, 2, Smoke::mf_static, 27, 759},	//1315 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {36, 345, 2405, 2, Smoke::mf_static, 82, 760},	//1316 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {36, 323, 986, 2, Smoke::mf_static, 369, 761},	//1317 QGlobalSpace::operator==(const char*, const QString&)
    {36, 345, 2408, 2, Smoke::mf_static, 168, 762},	//1318 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {36, 394, 2411, 8, Smoke::mf_static, 0, 763},	//1319 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {36, 394, 2420, 6, Smoke::mf_static, 0, 764},	//1320 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {36, 394, 2427, 7, Smoke::mf_static, 0, 765},	//1321 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {36, 345, 2435, 2, Smoke::mf_static, 91, 766},	//1322 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {36, 296, 2438, 2, Smoke::mf_static, 451, 767},	//1323 QGlobalSpace::operator+(const QString&, const QString&)
    {36, 284, 1147, 2, Smoke::mf_static, 369, 768},	//1324 QGlobalSpace::operator!=(QBool, QBool)
    {36, 345, 2441, 2, Smoke::mf_static, 47, 769},	//1325 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {36, 596, 2444, 2, Smoke::mf_static, 0, 770},	//1326 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {36, 312, 2447, 2, Smoke::mf_static, 31, 771},	//1327 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {36, 292, 2450, 2, Smoke::mf_static, 473, 772},	//1328 QGlobalSpace::operator*(double, const QVector3D&)
    {36, 334, 986, 2, Smoke::mf_static, 369, 773},	//1329 QGlobalSpace::operator>=(const char*, const QString&)
    {36, 475, 2453, 1, Smoke::mf_static, 499, 774},	//1330 QGlobalSpace::qHash(const QStringRef&)
    {36, 492, 677, 1, Smoke::mf_static, 369, 775},	//1331 QGlobalSpace::qIsNull(double)
    {36, 345, 2455, 2, Smoke::mf_static, 168, 776},	//1332 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {36, 345, 2458, 2, Smoke::mf_static, 50, 777},	//1333 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {36, 334, 698, 2, Smoke::mf_static, 369, 778},	//1334 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {36, 329, 758, 2, Smoke::mf_static, 369, 779},	//1335 QGlobalSpace::operator>(const QByteArray&, const char*)
    {36, 475, 2461, 1, Smoke::mf_static, 499, 780},	//1336 QGlobalSpace::qHash(unsigned char)
    {36, 339, 2463, 2, Smoke::mf_static, 27, 781},	//1337 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {36, 345, 2466, 2, Smoke::mf_static, 64, 782},	//1338 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {36, 292, 2469, 2, Smoke::mf_static, 217, 783},	//1339 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {36, 312, 2472, 2, Smoke::mf_static, 31, 784},	//1340 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {36, 312, 2475, 2, Smoke::mf_static, 31, 785},	//1341 QGlobalSpace::operator<<(QDebug, const QObject*)
    {36, 345, 2478, 2, Smoke::mf_static, 168, 786},	//1342 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {36, 284, 1110, 2, Smoke::mf_static, 369, 787},	//1343 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {36, 312, 2481, 2, Smoke::mf_static, 27, 788},	//1344 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {36, 339, 2484, 2, Smoke::mf_static, 27, 789},	//1345 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {36, 312, 2487, 2, Smoke::mf_static, 27, 790},	//1346 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {36, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 491, 791},	//1347 QGlobalSpace::PM_FrameCornerWidth (enum)
    {36, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 491, 792},	//1348 QGlobalSpace::PM_FrameCornerHeight (enum)
    {36, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 491, 793},	//1349 QGlobalSpace::PM_BoldLineWidth (enum)
    {36, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 491, 794},	//1350 QGlobalSpace::PM_ThinLineWidth (enum)
    {36, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 491, 795},	//1351 QGlobalSpace::PM_MessageBoxHeight (enum)
    {36, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 796},	//1352 QGlobalSpace::QtDebugMsg (enum)
    {36, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 797},	//1353 QGlobalSpace::QtWarningMsg (enum)
    {36, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 798},	//1354 QGlobalSpace::QtCriticalMsg (enum)
    {36, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 799},	//1355 QGlobalSpace::QtFatalMsg (enum)
    {36, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 800},	//1356 QGlobalSpace::QtSystemMsg (enum)
    {36, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 801},	//1357 QGlobalSpace::__codecvt_ok (enum)
    {36, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 802},	//1358 QGlobalSpace::__codecvt_partial (enum)
    {36, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 803},	//1359 QGlobalSpace::__codecvt_error (enum)
    {36, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 804},	//1360 QGlobalSpace::__codecvt_noconv (enum)
    {60, 209, 619, 1, Smoke::mf_virtual, 369, 0},	//1361 QObject::event(QEvent*)
    {60, 211, 2490, 2, Smoke::mf_virtual, 369, 0},	//1362 QObject::eventFilter(QObject*, QEvent*)
    {60, 783, 2493, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1363 QObject::timerEvent(QTimerEvent*)
    {60, 156, 2495, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1364 QObject::childEvent(QChildEvent*)
    {60, 177, 619, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1365 QObject::customEvent(QEvent*)
    {60, 168, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1366 QObject::connectNotify(const char*)
    {60, 191, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1367 QObject::disconnectNotify(const char*)
    {111, 185, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 490, 0},	//1368 QWidget::devType() const
    {111, 760, 62, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1369 QWidget::setVisible(bool)
    {111, 768, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 229, 0},	//1370 QWidget::sizeHint() const
    {111, 276, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 229, 0},	//1371 QWidget::minimumSizeHint() const
    {111, 249, 15, 1, Smoke::mf_const|Smoke::mf_virtual, 490, 0},	//1372 QWidget::heightForWidth(int) const
    {111, 280, 2497, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1373 QWidget::mousePressEvent(QMouseEvent*)
    {111, 281, 2497, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1374 QWidget::mouseReleaseEvent(QMouseEvent*)
    {111, 278, 2497, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1375 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {111, 279, 2497, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1376 QWidget::mouseMoveEvent(QMouseEvent*)
    {111, 800, 2499, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1377 QWidget::wheelEvent(QWheelEvent*)
    {111, 263, 2501, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1378 QWidget::keyPressEvent(QKeyEvent*)
    {111, 264, 2501, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1379 QWidget::keyReleaseEvent(QKeyEvent*)
    {111, 216, 2503, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1380 QWidget::focusInEvent(QFocusEvent*)
    {111, 218, 2503, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1381 QWidget::focusOutEvent(QFocusEvent*)
    {111, 204, 619, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1382 QWidget::enterEvent(QEvent*)
    {111, 266, 619, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1383 QWidget::leaveEvent(QEvent*)
    {111, 282, 2505, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1384 QWidget::moveEvent(QMoveEvent*)
    {111, 159, 2507, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1385 QWidget::closeEvent(QCloseEvent*)
    {111, 170, 2509, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1386 QWidget::contextMenuEvent(QContextMenuEvent*)
    {111, 777, 2511, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1387 QWidget::tabletEvent(QTabletEvent*)
    {111, 120, 2513, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1388 QWidget::actionEvent(QActionEvent*)
    {111, 194, 2515, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1389 QWidget::dragEnterEvent(QDragEnterEvent*)
    {111, 196, 2517, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1390 QWidget::dragMoveEvent(QDragMoveEvent*)
    {111, 195, 2519, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1391 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {111, 200, 2521, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1392 QWidget::dropEvent(QDropEvent*)
    {111, 766, 2523, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1393 QWidget::showEvent(QShowEvent*)
    {111, 250, 2525, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1394 QWidget::hideEvent(QHideEvent*)
    {111, 803, 2527, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//1395 QWidget::x11Event(_XEvent*)
    {111, 155, 619, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1396 QWidget::changeEvent(QEvent*)
    {111, 274, 131, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 490, 0},	//1397 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {111, 254, 2529, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1398 QWidget::inputMethodEvent(QInputMethodEvent*)
    {111, 255, 2531, 1, Smoke::mf_const|Smoke::mf_virtual, 277, 0},	//1399 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {111, 217, 62, 1, Smoke::mf_protected|Smoke::mf_virtual, 369, 0},	//1400 QWidget::focusNextPrevChild(bool)
    {111, 774, 2533, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1401 QWidget::styleChange(QStyle&)
    {111, 203, 62, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1402 QWidget::enabledChange(bool)
    {111, 355, 2535, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1403 QWidget::paletteChange(const QPalette&)
    {111, 219, 667, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1404 QWidget::fontChange(const QFont&)
    {111, 801, 62, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1405 QWidget::windowActivationChange(bool)
    {111, 265, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1406 QWidget::languageChange()
    {111, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 40},	//1407 QWidget::DrawWindowBackground (enum)
    {111, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 41},	//1408 QWidget::DrawChildren (enum)
    {111, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 288, 42},	//1409 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    271,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    286,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    274,  // QGLShader::compileSourceCode(const char*)
    276,  // QGLShader::compileSourceCode(const QString&)
    0,
    300,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    454,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    305,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    307,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    326,  // QGLShaderProgram::attributeLocation(const char*) const
    328,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    323,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    325,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    361,  // QGLShaderProgram::disableAttributeArray(int)
    362,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    359,  // QGLShaderProgram::enableAttributeArray(int)
    360,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    456,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    457,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    458,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    461,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    462,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    463,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    348,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    349,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    350,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    353,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    354,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    355,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    455,  // QGLShaderProgram::setAttributeArray(int, const float*, int)
    460,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    0,
    347,  // QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    352,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    459,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    464,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    0,
    351,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    356,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    0,
    465,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    466,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    0,
    357,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    358,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    0,
    333,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    334,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    335,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    336,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    342,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    343,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    344,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    345,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    329,  // QGLShaderProgram::setAttributeValue(int, float)
    338,  // QGLShaderProgram::setAttributeValue(const char*, float)
    0,
    330,  // QGLShaderProgram::setAttributeValue(int, float, float)
    339,  // QGLShaderProgram::setAttributeValue(const char*, float, float)
    0,
    331,  // QGLShaderProgram::setAttributeValue(int, float, float, float)
    337,  // QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    340,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    346,  // QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    0,
    332,  // QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    341,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    0,
    372,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    373,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    374,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    375,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    376,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    377,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    378,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    379,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    388,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    392,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    399,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    400,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    401,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    402,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    403,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    404,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    405,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    406,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    415,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    419,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    366,  // QGLShaderProgram::setUniformValue(int, float)
    367,  // QGLShaderProgram::setUniformValue(int, int)
    368,  // QGLShaderProgram::setUniformValue(int, unsigned int)
    389,  // QGLShaderProgram::setUniformValue(int, const float[2][2])
    390,  // QGLShaderProgram::setUniformValue(int, const float[3][3])
    391,  // QGLShaderProgram::setUniformValue(int, const float[4][4])
    393,  // QGLShaderProgram::setUniformValue(const char*, float)
    394,  // QGLShaderProgram::setUniformValue(const char*, int)
    395,  // QGLShaderProgram::setUniformValue(const char*, unsigned int)
    416,  // QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    417,  // QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    418,  // QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    0,
    369,  // QGLShaderProgram::setUniformValue(int, float, float)
    396,  // QGLShaderProgram::setUniformValue(const char*, float, float)
    0,
    370,  // QGLShaderProgram::setUniformValue(int, float, float, float)
    397,  // QGLShaderProgram::setUniformValue(const char*, float, float, float)
    0,
    371,  // QGLShaderProgram::setUniformValue(int, float, float, float, float)
    398,  // QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    0,
    380,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    381,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    382,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    383,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    384,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    385,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    386,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    387,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    407,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    408,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    409,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    410,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    411,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    412,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    413,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    414,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    0,
    423,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    424,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    425,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    434,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    438,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    439,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    440,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    449,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    421,  // QGLShaderProgram::setUniformValueArray(int, const int*, int)
    422,  // QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    436,  // QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    437,  // QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    0,
    420,  // QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    435,  // QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    0,
    426,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    427,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    428,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    429,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    430,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    431,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    432,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    433,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    441,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    442,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    443,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    444,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    445,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    446,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    447,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    448,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    363,  // QGLShaderProgram::uniformLocation(const char*) const
    365,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    179,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    206,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    0,
    180,  // QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    208,  // QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    0,
    210,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    211,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    0,
    198,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    199,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    79,  // QGLContext::bindTexture(const QImage&)
    81,  // QGLContext::bindTexture(const QPixmap&)
    0,
    80,  // QGLContext::bindTexture(const QImage&, unsigned int)
    82,  // QGLContext::bindTexture(const QPixmap&, unsigned int)
    0,
    56,  // QGLContext::bindTexture(const QImage&, unsigned int, int)
    57,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    0,
    54,  // QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    55,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    83,  // QGLContext::drawTexture(const QRectF&, unsigned int)
    84,  // QGLContext::drawTexture(const QPointF&, unsigned int)
    0,
    60,  // QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    61,  // QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    566,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    645,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    709,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    724,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    808,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    849,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    878,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    886,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    970,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    980,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    1029,  // QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    1031,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    1045,  // QGlobalSpace::operator!=(QChar, QChar)
    1088,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    1179,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    1209,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    1257,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    1267,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    1270,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1324,  // QGlobalSpace::operator!=(QBool, QBool)
    1343,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    627,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    657,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    679,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    1067,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1265,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    799,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    926,  // QGlobalSpace::operator!=(bool, QBool)
    979,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    1056,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1238,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    1279,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    573,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    604,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    610,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    613,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    656,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    673,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    725,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    783,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    809,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    829,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    847,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    871,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    946,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    958,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    1017,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    1066,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1095,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1101,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    1107,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    1171,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    1225,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    1227,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    1237,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    1249,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    1259,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1273,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1284,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    1287,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    1339,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    619,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    717,  // QGlobalSpace::operator*(const QTransform&, double)
    824,  // QGlobalSpace::operator*(const QQuaternion&, double)
    974,  // QGlobalSpace::operator*(const QVector4D&, double)
    1028,  // QGlobalSpace::operator*(const QVector2D&, double)
    1036,  // QGlobalSpace::operator*(const QVector3D&, double)
    1098,  // QGlobalSpace::operator*(const QSize&, double)
    1245,  // QGlobalSpace::operator*(const QPoint&, double)
    1254,  // QGlobalSpace::operator*(const QSizeF&, double)
    1275,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    640,  // QGlobalSpace::operator*(double, const QSizeF&)
    933,  // QGlobalSpace::operator*(double, const QVector2D&)
    982,  // QGlobalSpace::operator*(double, const QVector4D&)
    1027,  // QGlobalSpace::operator*(double, const QQuaternion&)
    1092,  // QGlobalSpace::operator*(double, const QPointF&)
    1106,  // QGlobalSpace::operator*(double, const QPoint&)
    1163,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    1262,  // QGlobalSpace::operator*(double, const QSize&)
    1328,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    599,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    635,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    668,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    693,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    698,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    755,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    828,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    840,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    904,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1296,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    729,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    739,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    782,  // QGlobalSpace::operator+(const QTransform&, double)
    788,  // QGlobalSpace::operator+(QChar, const QString&)
    988,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    579,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    671,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    723,  // QGlobalSpace::operator+(const QString&, QChar)
    1074,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    733,  // QGlobalSpace::operator+(const QString&, const char*)
    807,  // QGlobalSpace::operator+(const QString&, char)
    897,  // QGlobalSpace::operator+(char, const QString&)
    1081,  // QGlobalSpace::operator+(const char*, const QString&)
    1323,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    615,  // QGlobalSpace::operator-(const QMatrix4x4&)
    798,  // QGlobalSpace::operator-(const QQuaternion&)
    832,  // QGlobalSpace::operator-(const QPoint&)
    934,  // QGlobalSpace::operator-(const QVector4D&)
    949,  // QGlobalSpace::operator-(const QPointF&)
    1159,  // QGlobalSpace::operator-(const QVector2D&)
    1203,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    563,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    646,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    672,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    676,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    703,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    810,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    891,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    1079,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    1274,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    664,  // QGlobalSpace::operator/(const QPoint&, double)
    699,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    856,  // QGlobalSpace::operator/(const QVector4D&, double)
    923,  // QGlobalSpace::operator/(const QVector2D&, double)
    925,  // QGlobalSpace::operator/(const QPointF&, double)
    930,  // QGlobalSpace::operator/(const QVector3D&, double)
    939,  // QGlobalSpace::operator/(const QTransform&, double)
    992,  // QGlobalSpace::operator/(const QSizeF&, double)
    1009,  // QGlobalSpace::operator/(const QQuaternion&, double)
    1226,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    623,  // QGlobalSpace::operator<(QChar, QChar)
    704,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    817,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    1264,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    629,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    981,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    577,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    588,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    602,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    606,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    607,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    612,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    620,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    621,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    630,  // QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    648,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    660,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    669,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    675,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    680,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    683,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    685,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    691,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    720,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    738,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    756,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    757,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    758,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    768,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    784,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    834,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    846,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    851,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    852,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    857,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    866,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    872,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    873,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    881,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    888,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    908,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    909,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    910,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    912,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    943,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    951,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    957,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    967,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    976,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    977,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    987,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    995,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    1005,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    1013,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    1018,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    1023,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    1024,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    1026,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    1030,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    1033,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    1038,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    1040,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    1041,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1043,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    1059,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    1071,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    1077,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    1080,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    1099,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    1109,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    1133,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    1138,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    1147,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    1152,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    1162,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1164,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    1170,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1172,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    1174,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    1175,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    1186,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1191,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1198,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    1204,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    1239,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    1240,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    1253,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1269,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    1288,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    1289,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    1290,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1302,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1311,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    1313,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    1315,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1327,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    1341,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    1344,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    1346,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    571,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    628,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    794,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    867,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    911,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1016,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1090,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    1223,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    1282,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    1340,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    754,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    779,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    1004,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1205,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    1002,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    1070,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    565,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    576,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    587,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    609,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    611,  // QGlobalSpace::operator==(QChar, QChar)
    642,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    747,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    769,  // QGlobalSpace::operator==(QBool, QBool)
    811,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    831,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    838,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    901,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    927,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    985,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    994,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    997,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1097,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1105,  // QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    1122,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    1182,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1231,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    1258,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    575,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    711,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    899,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1251,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1256,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1307,  // QGlobalSpace::operator==(QBool, bool)
    0,
    570,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    596,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    771,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    952,  // QGlobalSpace::operator==(bool, QBool)
    1022,  // QGlobalSpace::operator==(const QString&, QString::Null)
    1076,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    1194,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    638,  // QGlobalSpace::operator>(QChar, QChar)
    734,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    750,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    882,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    597,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    708,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    559,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    626,  // QGlobalSpace::operator>=(QChar, QChar)
    993,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    1134,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    963,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    1334,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    572,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    580,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    585,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    590,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    622,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    624,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    713,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    721,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    737,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    767,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    780,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    795,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    803,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    816,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    885,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    898,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    900,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    913,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    921,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    936,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    944,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    948,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    953,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    959,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    975,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    991,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    1006,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    1021,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    1044,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    1053,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    1054,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1057,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    1073,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    1085,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1086,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1093,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    1136,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1146,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    1183,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1197,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    1211,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    1212,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1216,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1233,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    1268,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    1297,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1300,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    1308,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1309,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    1337,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    1345,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    1008,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    1220,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    557,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    562,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    564,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    574,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    578,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    581,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    582,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    583,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    595,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    598,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    603,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    605,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    608,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    614,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    618,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    625,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    631,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    632,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    634,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    637,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    639,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    643,  // QGlobalSpace::operator|(QDir::Filter, int)
    644,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    649,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    650,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    651,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    653,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    655,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    658,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    659,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    661,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    662,  // QGlobalSpace::operator|(QFile::Permission, int)
    663,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    670,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    678,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    681,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    682,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    686,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    689,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    690,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    692,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    694,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    695,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    700,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    701,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    702,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    712,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    716,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    719,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    726,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    727,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    731,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    732,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    735,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    742,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    744,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    748,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    751,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    762,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    764,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    766,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    770,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    772,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    773,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    776,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    777,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    778,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    785,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    789,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    790,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    791,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    792,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    793,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    800,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    802,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    804,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    806,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    812,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    813,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    814,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    815,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    819,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    825,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    830,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    833,  // QGlobalSpace::operator|(Qt::DropAction, int)
    835,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    848,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    853,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    858,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    861,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    864,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    865,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    868,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    870,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    879,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    884,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    887,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    889,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    890,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    902,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    903,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    905,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    914,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    920,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    922,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    924,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    928,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    929,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    931,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    935,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    938,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    940,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    942,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    947,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    950,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    954,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    956,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    960,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    964,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    965,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    966,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    969,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    978,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    983,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    984,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    989,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    990,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    996,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    1001,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    1007,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    1012,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    1014,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    1019,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    1032,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    1034,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    1035,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1039,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    1046,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1049,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    1050,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    1052,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    1058,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    1060,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    1061,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    1064,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    1065,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    1072,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    1075,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    1078,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    1082,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    1083,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    1084,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1087,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    1089,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    1091,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    1094,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1096,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    1102,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    1103,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    1115,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    1116,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    1118,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1119,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1123,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    1124,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1126,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    1127,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    1128,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    1130,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    1131,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1132,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    1135,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    1139,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1145,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    1148,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    1153,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1154,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    1155,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    1156,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    1157,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1158,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1160,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    1161,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    1169,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    1176,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1177,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    1178,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    1181,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1184,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    1192,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    1193,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    1195,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    1196,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    1201,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    1202,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    1206,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    1208,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    1210,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    1217,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    1218,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    1219,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    1221,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    1224,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    1229,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    1234,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1235,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1246,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    1247,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    1250,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    1252,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    1255,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    1260,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    1261,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    1263,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    1266,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    1271,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    1272,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1277,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    1278,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    1283,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    1285,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    1286,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    1291,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1292,  // QGlobalSpace::operator|(Qt::WindowType, int)
    1294,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    1298,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1299,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    1301,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    1303,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    1304,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    1312,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    1314,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    1316,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1318,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    1322,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1325,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    1332,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1333,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    1338,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    1342,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    674,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    741,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    801,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    941,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    968,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    1100,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    1187,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    1121,  // QGlobalSpace::qFuzzyCompare(float, float)
    1236,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    823,  // QGlobalSpace::qFuzzyIsNull(float)
    1149,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    616,  // QGlobalSpace::qHash(const QUrl&)
    617,  // QGlobalSpace::qHash(const QByteArray&)
    714,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    743,  // QGlobalSpace::qHash(QChar)
    763,  // QGlobalSpace::qHash(const QModelIndex&)
    906,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    1037,  // QGlobalSpace::qHash(const QBitArray&)
    1330,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    594,  // QGlobalSpace::qHash(signed char)
    654,  // QGlobalSpace::qHash(char)
    740,  // QGlobalSpace::qHash(unsigned int)
    753,  // QGlobalSpace::qHash(const QString&)
    827,  // QGlobalSpace::qHash(int)
    880,  // QGlobalSpace::qHash(long)
    883,  // QGlobalSpace::qHash(unsigned short)
    1114,  // QGlobalSpace::qHash(short)
    1310,  // QGlobalSpace::qHash(unsigned long)
    1336,  // QGlobalSpace::qHash(unsigned char)
    0,
    560,  // QGlobalSpace::qHash(unsigned long long)
    797,  // QGlobalSpace::qHash(long long)
    0,
    600,  // QGlobalSpace::qIntCast(double)
    746,  // QGlobalSpace::qIntCast(float)
    0,
    677,  // QGlobalSpace::qIsFinite(double)
    722,  // QGlobalSpace::qIsFinite(float)
    0,
    561,  // QGlobalSpace::qIsInf(double)
    592,  // QGlobalSpace::qIsInf(float)
    0,
    775,  // QGlobalSpace::qIsNaN(float)
    786,  // QGlobalSpace::qIsNaN(double)
    0,
    1228,  // QGlobalSpace::qIsNull(float)
    1331,  // QGlobalSpace::qIsNull(double)
    0,
    530,  // QGLWidget::QGLWidget(QWidget*)
    532,  // QGLWidget::QGLWidget(QGLContext*)
    535,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    531,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    533,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    536,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    534,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    537,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    478,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    479,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    548,  // QGLWidget::bindTexture(const QImage&)
    550,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    549,  // QGLWidget::bindTexture(const QImage&, unsigned int)
    551,  // QGLWidget::bindTexture(const QPixmap&, unsigned int)
    0,
    505,  // QGLWidget::bindTexture(const QImage&, unsigned int, int)
    506,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    0,
    503,  // QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    504,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    552,  // QGLWidget::drawTexture(const QRectF&, unsigned int)
    553,  // QGLWidget::drawTexture(const QPointF&, unsigned int)
    0,
    509,  // QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    510,  // QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    259,  // QGLPixelBuffer::bindTexture(const QImage&)
    260,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    241,  // QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    242,  // QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    0,
    261,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    262,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    0,
    245,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    246,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 1, 6},	// QGL::AccumBuffer
    {26, 2, 5},	// QGL::AlphaChannel
    {26, 4, 15},	// QGL::ColorIndex
    {26, 9, 12},	// QGL::DeprecatedFunctions
    {26, 11, 3},	// QGL::DepthBuffer
    {26, 12, 9},	// QGL::DirectRendering
    {26, 13, 2},	// QGL::DoubleBuffer
    {26, 18, 10},	// QGL::HasOverlay
    {26, 20, 20},	// QGL::IndirectRendering
    {26, 26, 17},	// QGL::NoAccumBuffer
    {26, 27, 16},	// QGL::NoAlphaChannel
    {26, 30, 23},	// QGL::NoDeprecatedFunctions
    {26, 31, 14},	// QGL::NoDepthBuffer
    {26, 32, 21},	// QGL::NoOverlay
    {26, 34, 22},	// QGL::NoSampleBuffers
    {26, 35, 18},	// QGL::NoStencilBuffer
    {26, 36, 19},	// QGL::NoStereoBuffers
    {26, 108, 4},	// QGL::Rgba
    {26, 109, 11},	// QGL::SampleBuffers
    {26, 110, 13},	// QGL::SingleBuffer
    {26, 111, 7},	// QGL::StencilBuffer
    {26, 112, 8},	// QGL::StereoBuffers
    {26, 721, 1},	// QGL::setPreferredPaintEngine$
    {27, 61, 24},	// QGLColormap::QGLColormap
    {27, 62, 25},	// QGLColormap::QGLColormap#
    {27, 184, 29},	// QGLColormap::detach
    {27, 206, 34},	// QGLColormap::entryColor$
    {27, 208, 33},	// QGLColormap::entryRgb$
    {27, 213, 35},	// QGLColormap::find$
    {27, 215, 36},	// QGLColormap::findNearest$
    {27, 237, 37},	// QGLColormap::handle
    {27, 259, 27},	// QGLColormap::isEmpty
    {27, 322, 26},	// QGLColormap::operator=#
    {27, 691, 39},	// QGLColormap::setEntries$$
    {27, 692, 30},	// QGLColormap::setEntries$$$
    {27, 694, 32},	// QGLColormap::setEntry$#
    {27, 695, 31},	// QGLColormap::setEntry$$
    {27, 707, 38},	// QGLColormap::setHandle$
    {27, 767, 28},	// QGLColormap::size
    {27, 804, 40},	// QGLColormap::~QGLColormap
    {28, 3, 94},	// QGLContext::CanFlipNativePixmapBindOption
    {28, 8, 95},	// QGLContext::DefaultBindOption
    {28, 21, 96},	// QGLContext::InternalBindOption
    {28, 22, 89},	// QGLContext::InvertedYBindOption
    {28, 23, 92},	// QGLContext::LinearFilteringBindOption
    {28, 24, 93},	// QGLContext::MemoryManagedBindOption
    {28, 25, 90},	// QGLContext::MipmapBindOption
    {28, 29, 88},	// QGLContext::NoBindOption
    {28, 60, 91},	// QGLContext::PremultipliedAlphaBindOption
    {28, 64, 42},	// QGLContext::QGLContext#
    {28, 65, 41},	// QGLContext::QGLContext##
    {28, 131, 47},	// QGLContext::areSharing##
    {28, 143, -188},	// QGLContext::bindTexture#
    {28, 144, -191},	// QGLContext::bindTexture#$
    {28, 145, -194},	// QGLContext::bindTexture#$$
    {28, 146, -197},	// QGLContext::bindTexture#$$$
    {28, 147, 58},	// QGLContext::bindTexture$
    {28, 157, 85},	// QGLContext::chooseContext
    {28, 158, 68},	// QGLContext::chooseContext#
    {28, 161, 75},	// QGLContext::colorIndex#
    {28, 173, 78},	// QGLContext::create
    {28, 174, 43},	// QGLContext::create#
    {28, 175, 67},	// QGLContext::currentContext
    {28, 176, 86},	// QGLContext::currentCtx
    {28, 181, 59},	// QGLContext::deleteTexture$
    {28, 186, 65},	// QGLContext::device
    {28, 187, 69},	// QGLContext::deviceIsPixmap
    {28, 192, 52},	// QGLContext::doneCurrent
    {28, 198, -200},	// QGLContext::drawTexture#$
    {28, 199, -203},	// QGLContext::drawTexture#$$
    {28, 223, 48},	// QGLContext::format
    {28, 226, 74},	// QGLContext::generateFontDisplayLists#$
    {28, 231, 64},	// QGLContext::getProcAddress$
    {28, 253, 72},	// QGLContext::initialized
    {28, 261, 45},	// QGLContext::isSharing
    {28, 262, 44},	// QGLContext::isValid
    {28, 270, 51},	// QGLContext::makeCurrent
    {28, 349, 66},	// QGLContext::overlayTransparentColor
    {28, 628, 49},	// QGLContext::requestedFormat
    {28, 629, 46},	// QGLContext::reset
    {28, 675, 87},	// QGLContext::setCurrentCtx#
    {28, 685, 77},	// QGLContext::setDevice#
    {28, 697, 50},	// QGLContext::setFormat#
    {28, 709, 73},	// QGLContext::setInitialized$
    {28, 741, 62},	// QGLContext::setTextureCacheLimit$
    {28, 757, 76},	// QGLContext::setValid$
    {28, 762, 71},	// QGLContext::setWindowCreated$
    {28, 775, 53},	// QGLContext::swapBuffers
    {28, 781, 63},	// QGLContext::textureCacheLimit
    {28, 802, 70},	// QGLContext::windowCreated
    {28, 805, 97},	// QGLContext::~QGLContext
    {29, 6, 159},	// QGLFormat::CompatibilityProfile
    {29, 7, 158},	// QGLFormat::CoreProfile
    {29, 33, 157},	// QGLFormat::NoProfile
    {29, 37, 169},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {29, 38, 171},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {29, 39, 168},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {29, 40, 170},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {29, 41, 172},	// QGLFormat::OpenGL_ES_Version_2_0
    {29, 42, 161},	// QGLFormat::OpenGL_Version_1_1
    {29, 43, 162},	// QGLFormat::OpenGL_Version_1_2
    {29, 44, 163},	// QGLFormat::OpenGL_Version_1_3
    {29, 45, 164},	// QGLFormat::OpenGL_Version_1_4
    {29, 46, 165},	// QGLFormat::OpenGL_Version_1_5
    {29, 47, 166},	// QGLFormat::OpenGL_Version_2_0
    {29, 48, 167},	// QGLFormat::OpenGL_Version_2_1
    {29, 49, 173},	// QGLFormat::OpenGL_Version_3_0
    {29, 50, 174},	// QGLFormat::OpenGL_Version_3_1
    {29, 51, 175},	// QGLFormat::OpenGL_Version_3_2
    {29, 52, 176},	// QGLFormat::OpenGL_Version_3_3
    {29, 53, 177},	// QGLFormat::OpenGL_Version_4_0
    {29, 54, 160},	// QGLFormat::OpenGL_Version_None
    {29, 66, 98},	// QGLFormat::QGLFormat
    {29, 67, 100},	// QGLFormat::QGLFormat#
    {29, 68, 156},	// QGLFormat::QGLFormat$
    {29, 69, 99},	// QGLFormat::QGLFormat$$
    {29, 118, 130},	// QGLFormat::accum
    {29, 119, 105},	// QGLFormat::accumBufferSize
    {29, 128, 128},	// QGLFormat::alpha
    {29, 129, 113},	// QGLFormat::alphaBufferSize
    {29, 154, 111},	// QGLFormat::blueBufferSize
    {29, 178, 144},	// QGLFormat::defaultFormat
    {29, 179, 146},	// QGLFormat::defaultOverlayFormat
    {29, 182, 124},	// QGLFormat::depth
    {29, 183, 103},	// QGLFormat::depthBufferSize
    {29, 188, 136},	// QGLFormat::directRendering
    {29, 193, 122},	// QGLFormat::doubleBuffer
    {29, 236, 109},	// QGLFormat::greenBufferSize
    {29, 238, 148},	// QGLFormat::hasOpenGL
    {29, 241, 149},	// QGLFormat::hasOpenGLOverlays
    {29, 248, 138},	// QGLFormat::hasOverlay
    {29, 269, 151},	// QGLFormat::majorVersion
    {29, 277, 152},	// QGLFormat::minorVersion
    {29, 283, 155},	// QGLFormat::openGLVersionFlags
    {29, 322, 101},	// QGLFormat::operator=#
    {29, 356, 140},	// QGLFormat::plane
    {29, 357, 154},	// QGLFormat::profile
    {29, 611, 107},	// QGLFormat::redBufferSize
    {29, 636, 126},	// QGLFormat::rgba
    {29, 637, 117},	// QGLFormat::sampleBuffers
    {29, 638, 119},	// QGLFormat::samples
    {29, 640, 131},	// QGLFormat::setAccum$
    {29, 642, 104},	// QGLFormat::setAccumBufferSize$
    {29, 644, 129},	// QGLFormat::setAlpha$
    {29, 646, 112},	// QGLFormat::setAlphaBufferSize$
    {29, 667, 110},	// QGLFormat::setBlueBufferSize$
    {29, 677, 145},	// QGLFormat::setDefaultFormat#
    {29, 679, 147},	// QGLFormat::setDefaultOverlayFormat#
    {29, 681, 125},	// QGLFormat::setDepth$
    {29, 683, 102},	// QGLFormat::setDepthBufferSize$
    {29, 687, 137},	// QGLFormat::setDirectRendering$
    {29, 689, 123},	// QGLFormat::setDoubleBuffer$
    {29, 705, 108},	// QGLFormat::setGreenBufferSize$
    {29, 715, 142},	// QGLFormat::setOption$
    {29, 717, 139},	// QGLFormat::setOverlay$
    {29, 719, 141},	// QGLFormat::setPlane$
    {29, 723, 153},	// QGLFormat::setProfile$
    {29, 725, 106},	// QGLFormat::setRedBufferSize$
    {29, 727, 127},	// QGLFormat::setRgba$
    {29, 729, 116},	// QGLFormat::setSampleBuffers$
    {29, 731, 118},	// QGLFormat::setSamples$
    {29, 733, 133},	// QGLFormat::setStencil$
    {29, 735, 114},	// QGLFormat::setStencilBufferSize$
    {29, 737, 135},	// QGLFormat::setStereo$
    {29, 739, 120},	// QGLFormat::setSwapInterval$
    {29, 759, 150},	// QGLFormat::setVersion$$
    {29, 771, 132},	// QGLFormat::stencil
    {29, 772, 115},	// QGLFormat::stencilBufferSize
    {29, 773, 134},	// QGLFormat::stereo
    {29, 776, 121},	// QGLFormat::swapInterval
    {29, 779, 143},	// QGLFormat::testOption$
    {29, 806, 178},	// QGLFormat::~QGLFormat
    {30, 5, 215},	// QGLFramebufferObject::CombinedDepthStencil
    {30, 10, 216},	// QGLFramebufferObject::Depth
    {30, 28, 214},	// QGLFramebufferObject::NoAttachment
    {30, 71, 204},	// QGLFramebufferObject::QGLFramebufferObject#
    {30, 72, 183},	// QGLFramebufferObject::QGLFramebufferObject##
    {30, 73, -176},	// QGLFramebufferObject::QGLFramebufferObject#$
    {30, 74, 207},	// QGLFramebufferObject::QGLFramebufferObject#$$
    {30, 75, 181},	// QGLFramebufferObject::QGLFramebufferObject#$$$
    {30, 76, 205},	// QGLFramebufferObject::QGLFramebufferObject$$
    {30, 77, 184},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {30, 78, -179},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {30, 79, 209},	// QGLFramebufferObject::QGLFramebufferObject$$$$
    {30, 80, 182},	// QGLFramebufferObject::QGLFramebufferObject$$$$$
    {30, 132, 193},	// QGLFramebufferObject::attachment
    {30, 137, 188},	// QGLFramebufferObject::bind
    {30, 141, 196},	// QGLFramebufferObject::bindDefault
    {30, 151, 212},	// QGLFramebufferObject::blitFramebuffer####
    {30, 152, 213},	// QGLFramebufferObject::blitFramebuffer####$
    {30, 153, 201},	// QGLFramebufferObject::blitFramebuffer####$$
    {30, 185, 203},	// QGLFramebufferObject::devType
    {30, 198, -182},	// QGLFramebufferObject::drawTexture#$
    {30, 199, -185},	// QGLFramebufferObject::drawTexture#$$
    {30, 223, 185},	// QGLFramebufferObject::format
    {30, 237, 195},	// QGLFramebufferObject::handle
    {30, 239, 200},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {30, 240, 197},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {30, 257, 187},	// QGLFramebufferObject::isBound
    {30, 262, 186},	// QGLFramebufferObject::isValid
    {30, 275, 202},	// QGLFramebufferObject::metric$
    {30, 350, 194},	// QGLFramebufferObject::paintEngine
    {30, 612, 189},	// QGLFramebufferObject::release
    {30, 767, 191},	// QGLFramebufferObject::size
    {30, 780, 190},	// QGLFramebufferObject::texture
    {30, 784, 192},	// QGLFramebufferObject::toImage
    {30, 807, 217},	// QGLFramebufferObject::~QGLFramebufferObject
    {31, 81, 218},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {31, 82, 219},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {31, 132, 224},	// QGLFramebufferObjectFormat::attachment
    {31, 256, 228},	// QGLFramebufferObjectFormat::internalTextureFormat
    {31, 285, 230},	// QGLFramebufferObjectFormat::operator!=#
    {31, 322, 220},	// QGLFramebufferObjectFormat::operator=#
    {31, 324, 229},	// QGLFramebufferObjectFormat::operator==#
    {31, 638, 222},	// QGLFramebufferObjectFormat::samples
    {31, 648, 223},	// QGLFramebufferObjectFormat::setAttachment$
    {31, 711, 227},	// QGLFramebufferObjectFormat::setInternalTextureFormat$
    {31, 731, 221},	// QGLFramebufferObjectFormat::setSamples$
    {31, 743, 225},	// QGLFramebufferObjectFormat::setTextureTarget$
    {31, 782, 226},	// QGLFramebufferObjectFormat::textureTarget
    {31, 808, 231},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {32, 84, 255},	// QGLPixelBuffer::QGLPixelBuffer#
    {32, 85, 256},	// QGLPixelBuffer::QGLPixelBuffer##
    {32, 86, 232},	// QGLPixelBuffer::QGLPixelBuffer###
    {32, 87, 257},	// QGLPixelBuffer::QGLPixelBuffer$$
    {32, 88, 258},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {32, 89, 233},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {32, 143, -904},	// QGLPixelBuffer::bindTexture#
    {32, 144, -907},	// QGLPixelBuffer::bindTexture#$
    {32, 147, 243},	// QGLPixelBuffer::bindTexture$
    {32, 149, 238},	// QGLPixelBuffer::bindToDynamicTexture$
    {32, 181, 244},	// QGLPixelBuffer::deleteTexture$
    {32, 185, 254},	// QGLPixelBuffer::devType
    {32, 192, 236},	// QGLPixelBuffer::doneCurrent
    {32, 198, -910},	// QGLPixelBuffer::drawTexture#$
    {32, 199, -913},	// QGLPixelBuffer::drawTexture#$$
    {32, 223, 251},	// QGLPixelBuffer::format
    {32, 224, 237},	// QGLPixelBuffer::generateDynamicTexture
    {32, 237, 248},	// QGLPixelBuffer::handle
    {32, 242, 252},	// QGLPixelBuffer::hasOpenGLPbuffers
    {32, 262, 234},	// QGLPixelBuffer::isValid
    {32, 270, 235},	// QGLPixelBuffer::makeCurrent
    {32, 275, 253},	// QGLPixelBuffer::metric$
    {32, 350, 250},	// QGLPixelBuffer::paintEngine
    {32, 613, 239},	// QGLPixelBuffer::releaseFromDynamicTexture
    {32, 767, 247},	// QGLPixelBuffer::size
    {32, 784, 249},	// QGLPixelBuffer::toImage
    {32, 797, 240},	// QGLPixelBuffer::updateDynamicTexture$
    {32, 809, 263},	// QGLPixelBuffer::~QGLPixelBuffer
    {33, 16, 290},	// QGLShader::Fragment
    {33, 17, 291},	// QGLShader::Geometry
    {33, 91, 285},	// QGLShader::QGLShader$
    {33, 92, -1},	// QGLShader::QGLShader$#
    {33, 93, 272},	// QGLShader::QGLShader$##
    {33, 113, 289},	// QGLShader::Vertex
    {33, 164, 275},	// QGLShader::compileSourceCode#
    {33, 165, -4},	// QGLShader::compileSourceCode$
    {33, 167, 277},	// QGLShader::compileSourceFile$
    {33, 246, 287},	// QGLShader::hasOpenGLShaders$
    {33, 247, 282},	// QGLShader::hasOpenGLShaders$#
    {33, 258, 279},	// QGLShader::isCompiled
    {33, 268, 280},	// QGLShader::log
    {33, 273, 264},	// QGLShader::metaObject
    {33, 599, 270},	// QGLShader::qt_metacall$$?
    {33, 601, 265},	// QGLShader::qt_metacast$
    {33, 763, 281},	// QGLShader::shaderId
    {33, 764, 273},	// QGLShader::shaderType
    {33, 769, 278},	// QGLShader::sourceCode
    {33, 770, 288},	// QGLShader::staticMetaObject
    {33, 786, 283},	// QGLShader::tr$
    {33, 787, 266},	// QGLShader::tr$$
    {33, 788, 268},	// QGLShader::tr$$$
    {33, 790, 284},	// QGLShader::trUtf8$
    {33, 791, 267},	// QGLShader::trUtf8$$
    {33, 792, 269},	// QGLShader::trUtf8$$$
    {33, 810, 292},	// QGLShader::~QGLShader
    {34, 94, 453},	// QGLShaderProgram::QGLShaderProgram
    {34, 95, -7},	// QGLShaderProgram::QGLShaderProgram#
    {34, 96, 301},	// QGLShaderProgram::QGLShaderProgram##
    {34, 122, 302},	// QGLShaderProgram::addShader#
    {34, 124, 306},	// QGLShaderProgram::addShaderFromSourceCode$#
    {34, 125, -10},	// QGLShaderProgram::addShaderFromSourceCode$$
    {34, 127, 308},	// QGLShaderProgram::addShaderFromSourceFile$$
    {34, 134, 327},	// QGLShaderProgram::attributeLocation#
    {34, 135, -13},	// QGLShaderProgram::attributeLocation$
    {34, 137, 313},	// QGLShaderProgram::bind
    {34, 139, 324},	// QGLShaderProgram::bindAttributeLocation#$
    {34, 140, -16},	// QGLShaderProgram::bindAttributeLocation$$
    {34, 190, -19},	// QGLShaderProgram::disableAttributeArray$
    {34, 202, -22},	// QGLShaderProgram::enableAttributeArray$
    {34, 227, 320},	// QGLShaderProgram::geometryInputType
    {34, 228, 322},	// QGLShaderProgram::geometryOutputType
    {34, 229, 318},	// QGLShaderProgram::geometryOutputVertexCount
    {34, 243, 467},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {34, 244, 450},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {34, 260, 311},	// QGLShaderProgram::isLinked
    {34, 267, 310},	// QGLShaderProgram::link
    {34, 268, 312},	// QGLShaderProgram::log
    {34, 272, 316},	// QGLShaderProgram::maxGeometryOutputVertices
    {34, 273, 293},	// QGLShaderProgram::metaObject
    {34, 358, 315},	// QGLShaderProgram::programId
    {34, 599, 299},	// QGLShaderProgram::qt_metacall$$?
    {34, 601, 294},	// QGLShaderProgram::qt_metacast$
    {34, 612, 314},	// QGLShaderProgram::release
    {34, 614, 309},	// QGLShaderProgram::removeAllShaders
    {34, 616, 303},	// QGLShaderProgram::removeShader#
    {34, 650, -25},	// QGLShaderProgram::setAttributeArray$#
    {34, 651, -32},	// QGLShaderProgram::setAttributeArray$#$
    {34, 652, -39},	// QGLShaderProgram::setAttributeArray$$$
    {34, 653, -42},	// QGLShaderProgram::setAttributeArray$$$$
    {34, 654, -47},	// QGLShaderProgram::setAttributeArray$$$$$
    {34, 656, -50},	// QGLShaderProgram::setAttributeBuffer$$$$
    {34, 657, -53},	// QGLShaderProgram::setAttributeBuffer$$$$$
    {34, 659, -56},	// QGLShaderProgram::setAttributeValue$#
    {34, 660, -65},	// QGLShaderProgram::setAttributeValue$$
    {34, 661, -68},	// QGLShaderProgram::setAttributeValue$$$
    {34, 662, -71},	// QGLShaderProgram::setAttributeValue$$$$
    {34, 663, -76},	// QGLShaderProgram::setAttributeValue$$$$$
    {34, 699, 319},	// QGLShaderProgram::setGeometryInputType$
    {34, 701, 321},	// QGLShaderProgram::setGeometryOutputType$
    {34, 703, 317},	// QGLShaderProgram::setGeometryOutputVertexCount$
    {34, 745, -79},	// QGLShaderProgram::setUniformValue$#
    {34, 746, -100},	// QGLShaderProgram::setUniformValue$$
    {34, 747, -113},	// QGLShaderProgram::setUniformValue$$$
    {34, 748, -116},	// QGLShaderProgram::setUniformValue$$$$
    {34, 749, -119},	// QGLShaderProgram::setUniformValue$$$$$
    {34, 750, -122},	// QGLShaderProgram::setUniformValue$?
    {34, 752, -139},	// QGLShaderProgram::setUniformValueArray$#$
    {34, 753, -148},	// QGLShaderProgram::setUniformValueArray$$$
    {34, 754, -153},	// QGLShaderProgram::setUniformValueArray$$$$
    {34, 755, -156},	// QGLShaderProgram::setUniformValueArray$?$
    {34, 765, 304},	// QGLShaderProgram::shaders
    {34, 770, 468},	// QGLShaderProgram::staticMetaObject
    {34, 786, 451},	// QGLShaderProgram::tr$
    {34, 787, 295},	// QGLShaderProgram::tr$$
    {34, 788, 297},	// QGLShaderProgram::tr$$$
    {34, 790, 452},	// QGLShaderProgram::trUtf8$
    {34, 791, 296},	// QGLShaderProgram::trUtf8$$
    {34, 792, 298},	// QGLShaderProgram::trUtf8$$$
    {34, 794, 364},	// QGLShaderProgram::uniformLocation#
    {34, 795, -173},	// QGLShaderProgram::uniformLocation$
    {34, 811, 469},	// QGLShaderProgram::~QGLShaderProgram
    {35, 97, 529},	// QGLWidget::QGLWidget
    {35, 98, -872},	// QGLWidget::QGLWidget#
    {35, 99, -876},	// QGLWidget::QGLWidget##
    {35, 100, -880},	// QGLWidget::QGLWidget###
    {35, 101, -883},	// QGLWidget::QGLWidget###$
    {35, 102, 477},	// QGLWidget::QGLWidget##$
    {35, 136, 521},	// QGLWidget::autoBufferSwap
    {35, 143, -886},	// QGLWidget::bindTexture#
    {35, 144, -889},	// QGLWidget::bindTexture#$
    {35, 145, -892},	// QGLWidget::bindTexture#$$
    {35, 146, -895},	// QGLWidget::bindTexture#$$$
    {35, 147, 507},	// QGLWidget::bindTexture$
    {35, 162, 498},	// QGLWidget::colormap
    {35, 169, 490},	// QGLWidget::context
    {35, 172, 496},	// QGLWidget::convertToGLFormat#
    {35, 181, 508},	// QGLWidget::deleteTexture$
    {35, 192, 485},	// QGLWidget::doneCurrent
    {35, 193, 486},	// QGLWidget::doubleBuffer
    {35, 198, -898},	// QGLWidget::drawTexture#$
    {35, 199, -901},	// QGLWidget::drawTexture#$$
    {35, 210, 513},	// QGLWidget::event#
    {35, 221, 554},	// QGLWidget::fontDisplayListBase#
    {35, 222, 526},	// QGLWidget::fontDisplayListBase#$
    {35, 223, 488},	// QGLWidget::format
    {35, 232, 525},	// QGLWidget::glDraw
    {35, 233, 524},	// QGLWidget::glInit
    {35, 234, 543},	// QGLWidget::grabFrameBuffer
    {35, 235, 493},	// QGLWidget::grabFrameBuffer$
    {35, 251, 514},	// QGLWidget::initializeGL
    {35, 252, 517},	// QGLWidget::initializeOverlayGL
    {35, 261, 483},	// QGLWidget::isSharing
    {35, 262, 482},	// QGLWidget::isValid
    {35, 270, 484},	// QGLWidget::makeCurrent
    {35, 271, 494},	// QGLWidget::makeOverlayCurrent
    {35, 273, 470},	// QGLWidget::metaObject
    {35, 348, 495},	// QGLWidget::overlayContext
    {35, 350, 502},	// QGLWidget::paintEngine
    {35, 352, 522},	// QGLWidget::paintEvent#
    {35, 353, 516},	// QGLWidget::paintGL
    {35, 354, 519},	// QGLWidget::paintOverlayGL
    {35, 554, 481},	// QGLWidget::qglClearColor#
    {35, 556, 480},	// QGLWidget::qglColor#
    {35, 599, 476},	// QGLWidget::qt_metacall$$?
    {35, 601, 471},	// QGLWidget::qt_metacast$
    {35, 617, 540},	// QGLWidget::renderPixmap
    {35, 618, 541},	// QGLWidget::renderPixmap$
    {35, 619, 542},	// QGLWidget::renderPixmap$$
    {35, 620, 492},	// QGLWidget::renderPixmap$$$
    {35, 622, 544},	// QGLWidget::renderText$$$
    {35, 623, 545},	// QGLWidget::renderText$$$#
    {35, 624, 500},	// QGLWidget::renderText$$$#$
    {35, 625, 546},	// QGLWidget::renderText$$$$
    {35, 626, 547},	// QGLWidget::renderText$$$$#
    {35, 627, 501},	// QGLWidget::renderText$$$$#$
    {35, 631, 523},	// QGLWidget::resizeEvent#
    {35, 633, 515},	// QGLWidget::resizeGL$$
    {35, 635, 518},	// QGLWidget::resizeOverlayGL$$
    {35, 665, 520},	// QGLWidget::setAutoBufferSwap$
    {35, 669, 499},	// QGLWidget::setColormap#
    {35, 671, 538},	// QGLWidget::setContext#
    {35, 672, 539},	// QGLWidget::setContext##
    {35, 673, 491},	// QGLWidget::setContext##$
    {35, 697, 489},	// QGLWidget::setFormat#
    {35, 713, 497},	// QGLWidget::setMouseTracking$
    {35, 770, 555},	// QGLWidget::staticMetaObject
    {35, 775, 487},	// QGLWidget::swapBuffers
    {35, 786, 527},	// QGLWidget::tr$
    {35, 787, 472},	// QGLWidget::tr$$
    {35, 788, 474},	// QGLWidget::tr$$$
    {35, 790, 528},	// QGLWidget::trUtf8$
    {35, 791, 473},	// QGLWidget::trUtf8$$
    {35, 792, 475},	// QGLWidget::trUtf8$$$
    {35, 798, 511},	// QGLWidget::updateGL
    {35, 799, 512},	// QGLWidget::updateOverlayGL
    {35, 812, 556},	// QGLWidget::~QGLWidget
    {36, 55, 1349},	// QGlobalSpace::PM_BoldLineWidth
    {36, 56, 1348},	// QGlobalSpace::PM_FrameCornerHeight
    {36, 57, 1347},	// QGlobalSpace::PM_FrameCornerWidth
    {36, 58, 1351},	// QGlobalSpace::PM_MessageBoxHeight
    {36, 59, 1350},	// QGlobalSpace::PM_ThinLineWidth
    {36, 103, 1354},	// QGlobalSpace::QtCriticalMsg
    {36, 104, 1352},	// QGlobalSpace::QtDebugMsg
    {36, 105, 1355},	// QGlobalSpace::QtFatalMsg
    {36, 106, 1356},	// QGlobalSpace::QtSystemMsg
    {36, 107, 1353},	// QGlobalSpace::QtWarningMsg
    {36, 114, 1359},	// QGlobalSpace::__codecvt_error
    {36, 115, 1360},	// QGlobalSpace::__codecvt_noconv
    {36, 116, 1357},	// QGlobalSpace::__codecvt_ok
    {36, 117, 1358},	// QGlobalSpace::__codecvt_partial
    {36, 286, -206},	// QGlobalSpace::operator!=##
    {36, 287, -228},	// QGlobalSpace::operator!=#$
    {36, 288, -234},	// QGlobalSpace::operator!=$#
    {36, 289, 774},	// QGlobalSpace::operator!=$$
    {36, 291, 962},	// QGlobalSpace::operator&##
    {36, 293, -241},	// QGlobalSpace::operator*##
    {36, 294, -271},	// QGlobalSpace::operator*#$
    {36, 295, -282},	// QGlobalSpace::operator*$#
    {36, 297, -292},	// QGlobalSpace::operator+##
    {36, 298, -303},	// QGlobalSpace::operator+#$
    {36, 299, -309},	// QGlobalSpace::operator+$#
    {36, 300, -314},	// QGlobalSpace::operator+$$
    {36, 302, -320},	// QGlobalSpace::operator-#
    {36, 303, -328},	// QGlobalSpace::operator-##
    {36, 304, 652},	// QGlobalSpace::operator-#$
    {36, 306, -338},	// QGlobalSpace::operator/#$
    {36, 308, -349},	// QGlobalSpace::operator<##
    {36, 309, 1025},	// QGlobalSpace::operator<#$
    {36, 310, -354},	// QGlobalSpace::operator<$#
    {36, 311, 687},	// QGlobalSpace::operator<$$
    {36, 313, -357},	// QGlobalSpace::operator<<##
    {36, 314, -451},	// QGlobalSpace::operator<<#$
    {36, 315, 986},	// QGlobalSpace::operator<<#?
    {36, 317, -462},	// QGlobalSpace::operator<=##
    {36, 318, 745},	// QGlobalSpace::operator<=#$
    {36, 319, -467},	// QGlobalSpace::operator<=$#
    {36, 320, 1055},	// QGlobalSpace::operator<=$$
    {36, 325, -470},	// QGlobalSpace::operator==##
    {36, 326, -493},	// QGlobalSpace::operator==#$
    {36, 327, -500},	// QGlobalSpace::operator==$#
    {36, 328, 1317},	// QGlobalSpace::operator==$$
    {36, 330, -508},	// QGlobalSpace::operator>##
    {36, 331, 1335},	// QGlobalSpace::operator>#$
    {36, 332, -513},	// QGlobalSpace::operator>$#
    {36, 333, 907},	// QGlobalSpace::operator>$$
    {36, 335, -516},	// QGlobalSpace::operator>=##
    {36, 336, 591},	// QGlobalSpace::operator>=#$
    {36, 337, -521},	// QGlobalSpace::operator>=$#
    {36, 338, 1329},	// QGlobalSpace::operator>=$$
    {36, 340, -524},	// QGlobalSpace::operator>>##
    {36, 341, -576},	// QGlobalSpace::operator>>#$
    {36, 342, 862},	// QGlobalSpace::operator>>#?
    {36, 344, 749},	// QGlobalSpace::operator^##
    {36, 346, 1185},	// QGlobalSpace::operator|##
    {36, 347, -579},	// QGlobalSpace::operator|$$
    {36, 359, 945},	// QGlobalSpace::qAccessibleActionCastHelper
    {36, 360, 647},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {36, 361, 1051},	// QGlobalSpace::qAccessibleImageCastHelper
    {36, 362, 818},	// QGlobalSpace::qAccessibleTableCastHelper
    {36, 363, 730},	// QGlobalSpace::qAccessibleTextCastHelper
    {36, 364, 558},	// QGlobalSpace::qAccessibleValueCastHelper
    {36, 366, 1129},	// QGlobalSpace::qAcos$
    {36, 368, 998},	// QGlobalSpace::qAddPostRoutine$
    {36, 370, 684},	// QGlobalSpace::qAlpha$
    {36, 371, 1010},	// QGlobalSpace::qAppName
    {36, 373, 1173},	// QGlobalSpace::qAsin$
    {36, 375, 1232},	// QGlobalSpace::qAtan$
    {36, 377, 589},	// QGlobalSpace::qAtan2$$
    {36, 378, 1137},	// QGlobalSpace::qBadAlloc
    {36, 380, 869},	// QGlobalSpace::qBlue$
    {36, 382, 1042},	// QGlobalSpace::qCeil$
    {36, 384, 854},	// QGlobalSpace::qChecksum$$
    {36, 386, 1151},	// QGlobalSpace::qCompress#
    {36, 387, 1150},	// QGlobalSpace::qCompress#$
    {36, 388, 1000},	// QGlobalSpace::qCompress$$
    {36, 389, 999},	// QGlobalSpace::qCompress$$$
    {36, 391, 636},	// QGlobalSpace::qCos$
    {36, 392, 973},	// QGlobalSpace::qCritical
    {36, 393, 1062},	// QGlobalSpace::qDebug
    {36, 395, 855},	// QGlobalSpace::qDrawBorderPixmap####
    {36, 396, 1320},	// QGlobalSpace::qDrawBorderPixmap######
    {36, 397, 1321},	// QGlobalSpace::qDrawBorderPixmap#######
    {36, 398, 1319},	// QGlobalSpace::qDrawBorderPixmap#######$
    {36, 400, 1214},	// QGlobalSpace::qDrawPlainRect###
    {36, 401, 1215},	// QGlobalSpace::qDrawPlainRect###$
    {36, 402, 1213},	// QGlobalSpace::qDrawPlainRect###$#
    {36, 403, 821},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {36, 404, 822},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {36, 405, 820},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {36, 407, 1242},	// QGlobalSpace::qDrawShadeLine####
    {36, 408, 1243},	// QGlobalSpace::qDrawShadeLine####$
    {36, 409, 1244},	// QGlobalSpace::qDrawShadeLine####$$
    {36, 410, 1241},	// QGlobalSpace::qDrawShadeLine####$$$
    {36, 411, 1166},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {36, 412, 1167},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {36, 413, 1168},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {36, 414, 1165},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {36, 416, 893},	// QGlobalSpace::qDrawShadePanel###
    {36, 417, 894},	// QGlobalSpace::qDrawShadePanel###$
    {36, 418, 895},	// QGlobalSpace::qDrawShadePanel###$$
    {36, 419, 892},	// QGlobalSpace::qDrawShadePanel###$$#
    {36, 420, 917},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {36, 421, 918},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {36, 422, 919},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {36, 423, 916},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {36, 425, 842},	// QGlobalSpace::qDrawShadeRect###
    {36, 426, 843},	// QGlobalSpace::qDrawShadeRect###$
    {36, 427, 844},	// QGlobalSpace::qDrawShadeRect###$$
    {36, 428, 845},	// QGlobalSpace::qDrawShadeRect###$$$
    {36, 429, 841},	// QGlobalSpace::qDrawShadeRect###$$$#
    {36, 430, 1141},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {36, 431, 1142},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {36, 432, 1143},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {36, 433, 1144},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {36, 434, 1140},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {36, 436, 875},	// QGlobalSpace::qDrawWinButton###
    {36, 437, 876},	// QGlobalSpace::qDrawWinButton###$
    {36, 438, 874},	// QGlobalSpace::qDrawWinButton###$#
    {36, 439, 1189},	// QGlobalSpace::qDrawWinButton#$$$$#
    {36, 440, 1190},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {36, 441, 1188},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {36, 443, 1112},	// QGlobalSpace::qDrawWinPanel###
    {36, 444, 1113},	// QGlobalSpace::qDrawWinPanel###$
    {36, 445, 1111},	// QGlobalSpace::qDrawWinPanel###$#
    {36, 446, 666},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {36, 447, 667},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {36, 448, 665},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {36, 450, 836},	// QGlobalSpace::qExp$
    {36, 452, 1117},	// QGlobalSpace::qFabs$
    {36, 454, 765},	// QGlobalSpace::qFastCos$
    {36, 456, 1003},	// QGlobalSpace::qFastSin$
    {36, 458, 781},	// QGlobalSpace::qFlagLocation$
    {36, 460, 718},	// QGlobalSpace::qFloor$
    {36, 462, 1015},	// QGlobalSpace::qFree$
    {36, 464, 1020},	// QGlobalSpace::qFreeAligned$
    {36, 466, -820},	// QGlobalSpace::qFuzzyCompare##
    {36, 467, -828},	// QGlobalSpace::qFuzzyCompare$$
    {36, 469, -831},	// QGlobalSpace::qFuzzyIsNull$
    {36, 471, 787},	// QGlobalSpace::qGray$
    {36, 472, 688},	// QGlobalSpace::qGray$$$
    {36, 474, 1068},	// QGlobalSpace::qGreen$
    {36, 476, -834},	// QGlobalSpace::qHash#
    {36, 477, -843},	// QGlobalSpace::qHash$
    {36, 478, -854},	// QGlobalSpace::qHash?
    {36, 479, 1281},	// QGlobalSpace::qInf
    {36, 481, 760},	// QGlobalSpace::qInstallMsgHandler$
    {36, 483, -857},	// QGlobalSpace::qIntCast$
    {36, 485, -860},	// QGlobalSpace::qIsFinite$
    {36, 487, 1207},	// QGlobalSpace::qIsGray$
    {36, 489, -863},	// QGlobalSpace::qIsInf$
    {36, 491, -866},	// QGlobalSpace::qIsNaN$
    {36, 493, -869},	// QGlobalSpace::qIsNull$
    {36, 495, 839},	// QGlobalSpace::qLn$
    {36, 497, 859},	// QGlobalSpace::qMalloc?
    {36, 499, 1063},	// QGlobalSpace::qMallocAligned??
    {36, 501, 568},	// QGlobalSpace::qMemCopy$$?
    {36, 503, 1108},	// QGlobalSpace::qMemSet$$?
    {36, 505, 1069},	// QGlobalSpace::qPow$$
    {36, 506, 860},	// QGlobalSpace::qQNaN
    {36, 508, 752},	// QGlobalSpace::qRealloc$?
    {36, 510, 736},	// QGlobalSpace::qReallocAligned$???
    {36, 512, 715},	// QGlobalSpace::qRed$
    {36, 514, 850},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {36, 516, 1295},	// QGlobalSpace::qRemovePostRoutine$
    {36, 518, 805},	// QGlobalSpace::qRgb$$$
    {36, 520, 972},	// QGlobalSpace::qRgba$$$$
    {36, 522, 1280},	// QGlobalSpace::qRound$
    {36, 524, 759},	// QGlobalSpace::qRound64$
    {36, 525, 1248},	// QGlobalSpace::qSNaN
    {36, 527, 710},	// QGlobalSpace::qSetFieldWidth$
    {36, 529, 601},	// QGlobalSpace::qSetPadChar#
    {36, 531, 837},	// QGlobalSpace::qSetRealNumberPrecision$
    {36, 532, 641},	// QGlobalSpace::qSharedBuild
    {36, 534, 1180},	// QGlobalSpace::qSin$
    {36, 536, 761},	// QGlobalSpace::qSqrt$
    {36, 538, 1047},	// QGlobalSpace::qStringComparisonHelper#$
    {36, 539, 584},	// QGlobalSpace::qStringComparisonHelper$$
    {36, 541, 707},	// QGlobalSpace::qTan$
    {36, 543, 937},	// QGlobalSpace::qUncompress#
    {36, 544, 705},	// QGlobalSpace::qUncompress$$
    {36, 545, 1011},	// QGlobalSpace::qVersion
    {36, 546, 1305},	// QGlobalSpace::qWarning
    {36, 548, 728},	// QGlobalSpace::qbswap_helper$$$
    {36, 550, 1125},	// QGlobalSpace::qgcvt$$$
    {36, 552, 593},	// QGlobalSpace::qgetenv$
    {36, 558, 863},	// QGlobalSpace::qputenv$#
    {36, 559, 955},	// QGlobalSpace::qrand
    {36, 561, 971},	// QGlobalSpace::qsort$???
    {36, 563, 877},	// QGlobalSpace::qsrand$
    {36, 565, 1120},	// QGlobalSpace::qstrcmp##
    {36, 566, 1293},	// QGlobalSpace::qstrcmp#$
    {36, 567, 586},	// QGlobalSpace::qstrcmp$#
    {36, 568, 633},	// QGlobalSpace::qstrcmp$$
    {36, 570, 826},	// QGlobalSpace::qstrcpy$$
    {36, 572, 1048},	// QGlobalSpace::qstrdup$
    {36, 574, 1276},	// QGlobalSpace::qstricmp$$
    {36, 576, 1306},	// QGlobalSpace::qstrlen$
    {36, 578, 706},	// QGlobalSpace::qstrncmp$$$
    {36, 580, 932},	// QGlobalSpace::qstrncpy$$$
    {36, 582, 896},	// QGlobalSpace::qstrnicmp$$$
    {36, 584, 567},	// QGlobalSpace::qstrnlen$$
    {36, 586, 1200},	// QGlobalSpace::qtTrId$
    {36, 587, 1199},	// QGlobalSpace::qtTrId$$
    {36, 589, 796},	// QGlobalSpace::qt_assert$$$
    {36, 591, 961},	// QGlobalSpace::qt_assert_x$$$$
    {36, 593, 1110},	// QGlobalSpace::qt_check_pointer$$
    {36, 594, 697},	// QGlobalSpace::qt_error_string
    {36, 595, 696},	// QGlobalSpace::qt_error_string$
    {36, 597, 1326},	// QGlobalSpace::qt_message_output$$
    {36, 602, 569},	// QGlobalSpace::qt_noop
    {36, 604, 915},	// QGlobalSpace::qt_qFindChild_helper#$#
    {36, 606, 1230},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {36, 608, 1222},	// QGlobalSpace::qvariant_cast_helper#$$
    {36, 610, 1104},	// QGlobalSpace::qvsnprintf$?$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 111,
        __smokeqtopengl::methods, 1410,
        __smokeqtopengl::methodMaps, 636,
        __smokeqtopengl::methodNames, 812,
        __smokeqtopengl::types, 508,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
