#include <qtsql_includes.h>

#include <smoke.h>
#include <qtsql_smoke.h>

namespace __smokeqtsql {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractItemModel
      switch(to) {
        case 27: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractItemModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractItemModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractTableModel
      switch(to) {
        case 1: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 27: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QAbstractTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QAbstractTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QByteArray
      switch(to) {
        case 5: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 6:   //QChar
      switch(to) {
        case 6: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 7:   //QChildEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 7: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDataStream
      switch(to) {
        case 8: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 9:   //QDate
      switch(to) {
        case 9: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 10:   //QDateTime
      switch(to) {
        case 10: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 11:   //QDebug
      switch(to) {
        case 11: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 12:   //QDir
      switch(to) {
        case 12: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 13:   //QEasingCurve
      switch(to) {
        case 13: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 14:   //QEvent
      switch(to) {
        case 14: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QFactoryInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QHashDummyValue
      switch(to) {
        case 17: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 18:   //QIncompatibleFlag
      switch(to) {
        case 18: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 19:   //QLatin1String
      switch(to) {
        case 19: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 20:   //QLine
      switch(to) {
        case 20: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 21:   //QLineF
      switch(to) {
        case 21: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 22:   //QLocale
      switch(to) {
        case 22: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 23:   //QMargins
      switch(to) {
        case 23: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 24:   //QMetaObject
      switch(to) {
        case 24: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 25:   //QMimeData
      switch(to) {
        case 27: return (void*)(QObject*)(QMimeData*)xptr;
        case 25: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 26:   //QModelIndex
      switch(to) {
        case 26: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 27:   //QObject
      switch(to) {
        case 27: return (void*)(QObject*)xptr;
        case 38: return (void*)(QSqlDriver*)(QObject*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QObject*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QObject*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QObject*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 28:   //QPersistentModelIndex
      switch(to) {
        case 28: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 29:   //QPoint
      switch(to) {
        case 29: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 30:   //QPointF
      switch(to) {
        case 30: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 31:   //QRect
      switch(to) {
        case 31: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 32:   //QRectF
      switch(to) {
        case 32: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 33:   //QRegExp
      switch(to) {
        case 33: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 34:   //QSize
      switch(to) {
        case 34: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 35:   //QSizeF
      switch(to) {
        case 35: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 37:   //QSqlDatabase
      switch(to) {
        case 37: return (void*)(QSqlDatabase*)xptr;
        default: return xptr;
      }
    case 38:   //QSqlDriver
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriver*)xptr;
        case 38: return (void*)(QSqlDriver*)xptr;
        default: return xptr;
      }
    case 39:   //QSqlDriverCreatorBase
      switch(to) {
        case 39: return (void*)(QSqlDriverCreatorBase*)xptr;
        default: return xptr;
      }
    case 40:   //QSqlDriverFactoryInterface
      switch(to) {
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverFactoryInterface*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)(QSqlDriverFactoryInterface*)xptr;
        default: return xptr;
      }
    case 41:   //QSqlDriverPlugin
      switch(to) {
        case 27: return (void*)(QObject*)(QSqlDriverPlugin*)xptr;
        case 40: return (void*)(QSqlDriverFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 15: return (void*)(QFactoryInterface*)(QSqlDriverPlugin*)xptr;
        case 41: return (void*)(QSqlDriverPlugin*)xptr;
        default: return xptr;
      }
    case 42:   //QSqlError
      switch(to) {
        case 42: return (void*)(QSqlError*)xptr;
        default: return xptr;
      }
    case 43:   //QSqlField
      switch(to) {
        case 43: return (void*)(QSqlField*)xptr;
        default: return xptr;
      }
    case 44:   //QSqlIndex
      switch(to) {
        case 47: return (void*)(QSqlRecord*)(QSqlIndex*)xptr;
        case 44: return (void*)(QSqlIndex*)xptr;
        default: return xptr;
      }
    case 45:   //QSqlQuery
      switch(to) {
        case 45: return (void*)(QSqlQuery*)xptr;
        default: return xptr;
      }
    case 46:   //QSqlQueryModel
      switch(to) {
        case 2: return (void*)(QAbstractTableModel*)(QSqlQueryModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlQueryModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlQueryModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlQueryModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)(QSqlQueryModel*)xptr;
        default: return xptr;
      }
    case 47:   //QSqlRecord
      switch(to) {
        case 47: return (void*)(QSqlRecord*)xptr;
        case 44: return (void*)(QSqlIndex*)(QSqlRecord*)xptr;
        default: return xptr;
      }
    case 48:   //QSqlRelation
      switch(to) {
        case 48: return (void*)(QSqlRelation*)xptr;
        default: return xptr;
      }
    case 49:   //QSqlRelationalTableModel
      switch(to) {
        case 51: return (void*)(QSqlTableModel*)(QSqlRelationalTableModel*)xptr;
        case 46: return (void*)(QSqlQueryModel*)(QSqlRelationalTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlRelationalTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlRelationalTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlRelationalTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)xptr;
        default: return xptr;
      }
    case 50:   //QSqlResult
      switch(to) {
        case 50: return (void*)(QSqlResult*)xptr;
        default: return xptr;
      }
    case 51:   //QSqlTableModel
      switch(to) {
        case 46: return (void*)(QSqlQueryModel*)(QSqlTableModel*)xptr;
        case 2: return (void*)(QAbstractTableModel*)(QSqlTableModel*)xptr;
        case 1: return (void*)(QAbstractItemModel*)(QSqlTableModel*)xptr;
        case 27: return (void*)(QObject*)(QSqlTableModel*)xptr;
        case 51: return (void*)(QSqlTableModel*)xptr;
        case 49: return (void*)(QSqlRelationalTableModel*)(QSqlTableModel*)xptr;
        default: return xptr;
      }
    case 52:   //QString::Null
      switch(to) {
        case 52: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 53:   //QStringRef
      switch(to) {
        case 53: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 54:   //QTextStream
      switch(to) {
        case 54: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 55:   //QTextStreamManipulator
      switch(to) {
        case 55: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 56:   //QTime
      switch(to) {
        case 56: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 57:   //QTimerEvent
      switch(to) {
        case 14: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 57: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QUrl
      switch(to) {
        case 58: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 59:   //QUuid
      switch(to) {
        case 59: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 60:   //QVariant
      switch(to) {
        case 60: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QVariantComparisonHelper
      switch(to) {
        case 61: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    27, 0,	// 1: QObject
    15, 0,	// 3: QFactoryInterface
    27, 40, 0,	// 5: QObject, QSqlDriverFactoryInterface
    47, 0,	// 8: QSqlRecord
    2, 0,	// 10: QAbstractTableModel
    51, 0,	// 12: QSqlTableModel
    46, 0,	// 14: QSqlQueryModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSqlResult(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlTableModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSql(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlDriver(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSqlError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSql(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDatabase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriver(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverCreatorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverFactoryInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlDriverPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlField(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlIndex(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlQueryModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRecord(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelation(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlRelationalTableModel(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlResult(Smoke::Index, void*, Smoke::Stack);
void xcall_QSqlTableModel(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//1
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//5
    { "QChar", true, 0, 0, 0, 0, 0 },	//6
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//8
    { "QDate", true, 0, 0, 0, 0, 0 },	//9
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//10
    { "QDebug", true, 0, 0, 0, 0, 0 },	//11
    { "QDir", true, 0, 0, 0, 0, 0 },	//12
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//13
    { "QEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFactoryInterface", true, 0, 0, 0, 0, 0 },	//15
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//16
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//17
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//18
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//19
    { "QLine", true, 0, 0, 0, 0, 0 },	//20
    { "QLineF", true, 0, 0, 0, 0, 0 },	//21
    { "QLocale", true, 0, 0, 0, 0, 0 },	//22
    { "QMargins", true, 0, 0, 0, 0, 0 },	//23
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//24
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//25
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//26
    { "QObject", true, 0, 0, 0, 0, 0 },	//27
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//28
    { "QPoint", true, 0, 0, 0, 0, 0 },	//29
    { "QPointF", true, 0, 0, 0, 0, 0 },	//30
    { "QRect", true, 0, 0, 0, 0, 0 },	//31
    { "QRectF", true, 0, 0, 0, 0, 0 },	//32
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//33
    { "QSize", true, 0, 0, 0, 0, 0 },	//34
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//35
    { "QSql", false, 0, xcall_QSql, xenum_QSql, Smoke::cf_namespace, 0 },	//36
    { "QSqlDatabase", false, 0, xcall_QSqlDatabase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlDatabase) },	//37
    { "QSqlDriver", false, 1, xcall_QSqlDriver, xenum_QSqlDriver, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriver) },	//38
    { "QSqlDriverCreatorBase", false, 0, xcall_QSqlDriverCreatorBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverCreatorBase) },	//39
    { "QSqlDriverFactoryInterface", false, 3, xcall_QSqlDriverFactoryInterface, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QSqlDriverFactoryInterface) },	//40
    { "QSqlDriverPlugin", false, 5, xcall_QSqlDriverPlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlDriverPlugin) },	//41
    { "QSqlError", false, 0, xcall_QSqlError, xenum_QSqlError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlError) },	//42
    { "QSqlField", false, 0, xcall_QSqlField, xenum_QSqlField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlField) },	//43
    { "QSqlIndex", false, 8, xcall_QSqlIndex, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlIndex) },	//44
    { "QSqlQuery", false, 0, xcall_QSqlQuery, xenum_QSqlQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlQuery) },	//45
    { "QSqlQueryModel", false, 10, xcall_QSqlQueryModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlQueryModel) },	//46
    { "QSqlRecord", false, 0, xcall_QSqlRecord, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRecord) },	//47
    { "QSqlRelation", false, 0, xcall_QSqlRelation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSqlRelation) },	//48
    { "QSqlRelationalTableModel", false, 12, xcall_QSqlRelationalTableModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlRelationalTableModel) },	//49
    { "QSqlResult", false, 0, xcall_QSqlResult, xenum_QSqlResult, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlResult) },	//50
    { "QSqlTableModel", false, 14, xcall_QSqlTableModel, xenum_QSqlTableModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSqlTableModel) },	//51
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//52
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//53
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//54
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//55
    { "QTime", true, 0, 0, 0, 0, 0 },	//56
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QUrl", true, 0, 0, 0, 0, 0 },	//58
    { "QUuid", true, 0, 0, 0, 0, 0 },	//59
    { "QVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//61
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 5, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDataStream&", 8, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 9, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 11, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 12, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 12, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QEasingCurve&", 13, Smoke::t_class|Smoke::tf_ref },	//17
    { "QEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//21
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//22
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//23
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//24
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//25
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//26
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//27
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//28
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//29
    { "QFlags<QSql::ParamTypeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//30
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//31
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QIncompatibleFlag", 18, Smoke::t_class|Smoke::tf_stack },	//52
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "QLine&", 20, Smoke::t_class|Smoke::tf_ref },	//54
    { "QLineF&", 21, Smoke::t_class|Smoke::tf_ref },	//55
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//56
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//57
    { "QLocale&", 22, Smoke::t_class|Smoke::tf_ref },	//58
    { "QLocale::NumberOption", 22, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//61
    { "QMetaObject::Call", 24, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QModelIndex", 26, Smoke::t_class|Smoke::tf_stack },	//64
    { "QObject*", 27, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QObject*(*)()", 27, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QPoint&", 29, Smoke::t_class|Smoke::tf_ref },	//67
    { "QPointF&", 30, Smoke::t_class|Smoke::tf_ref },	//68
    { "QRect&", 31, Smoke::t_class|Smoke::tf_ref },	//69
    { "QRectF&", 32, Smoke::t_class|Smoke::tf_ref },	//70
    { "QRegExp&", 33, Smoke::t_class|Smoke::tf_ref },	//71
    { "QSize", 34, Smoke::t_class|Smoke::tf_stack },	//72
    { "QSize&", 34, Smoke::t_class|Smoke::tf_ref },	//73
    { "QSizeF&", 35, Smoke::t_class|Smoke::tf_ref },	//74
    { "QSql::Location", 36, Smoke::t_enum|Smoke::tf_stack },	//75
    { "QSql::NumericalPrecisionPolicy", 36, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QSql::ParamTypeFlag", 36, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QSql::TableType", 36, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QSqlDatabase", 37, Smoke::t_class|Smoke::tf_stack },	//79
    { "QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref },	//80
    { "QSqlDatabase*", 37, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QSqlDriver::DriverFeature", 38, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QSqlDriver::IdentifierType", 38, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QSqlDriver::StatementType", 38, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QSqlDriverCreatorBase*", 39, Smoke::t_class|Smoke::tf_ptr },	//86
    { "QSqlDriverFactoryInterface*", 40, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QSqlDriverPlugin*", 41, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QSqlError", 42, Smoke::t_class|Smoke::tf_stack },	//89
    { "QSqlError&", 42, Smoke::t_class|Smoke::tf_ref },	//90
    { "QSqlError*", 42, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QSqlError::ErrorType", 42, Smoke::t_enum|Smoke::tf_stack },	//92
    { "QSqlField", 43, Smoke::t_class|Smoke::tf_stack },	//93
    { "QSqlField&", 43, Smoke::t_class|Smoke::tf_ref },	//94
    { "QSqlField*", 43, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QSqlField::RequiredStatus", 43, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QSqlIndex", 44, Smoke::t_class|Smoke::tf_stack },	//97
    { "QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref },	//98
    { "QSqlIndex*", 44, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QSqlQuery", 45, Smoke::t_class|Smoke::tf_stack },	//100
    { "QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref },	//101
    { "QSqlQuery*", 45, Smoke::t_class|Smoke::tf_ptr },	//102
    { "QSqlQuery::BatchExecutionMode", 45, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QSqlQueryModel*", 46, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QSqlRecord", 47, Smoke::t_class|Smoke::tf_stack },	//105
    { "QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref },	//106
    { "QSqlRecord*", 47, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QSqlRelation", 48, Smoke::t_class|Smoke::tf_stack },	//108
    { "QSqlRelation*", 48, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QSqlRelationalTableModel*", 49, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QSqlResult::BindingSyntax", 50, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QSqlResult::VirtualHookOperation", 50, Smoke::t_enum|Smoke::tf_stack },	//113
    { "QSqlTableModel*", 51, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QSqlTableModel::EditStrategy", 51, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//116
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//117
    { "QString::Null", 52, Smoke::t_class|Smoke::tf_stack },	//118
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//120
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//121
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//122
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QTextStream&", 54, Smoke::t_class|Smoke::tf_ref },	//124
    { "QTextStream&(*)(QTextStream&)", 54, Smoke::t_class|Smoke::tf_ref },	//125
    { "QTextStream::NumberFlag", 54, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QTextStreamManipulator", 55, Smoke::t_class|Smoke::tf_stack },	//127
    { "QTime&", 56, Smoke::t_class|Smoke::tf_ref },	//128
    { "QTimerEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QUrl&", 58, Smoke::t_class|Smoke::tf_ref },	//130
    { "QUrl::FormattingOption", 58, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QUuid&", 59, Smoke::t_class|Smoke::tf_ref },	//132
    { "QVariant", 60, Smoke::t_class|Smoke::tf_stack },	//133
    { "QVariant&", 60, Smoke::t_class|Smoke::tf_ref },	//134
    { "QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QVariant::Type&", 60, Smoke::t_enum|Smoke::tf_ref },	//136
    { "QVector<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//137
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "QtMsgType", 16, Smoke::t_enum|Smoke::tf_stack },	//211
    { "__codecvt_result", 16, Smoke::t_enum|Smoke::tf_stack },	//212
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//213
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//214
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//215
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//216
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QByteArray", 5, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//218
    { "const QByteArray&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QChar&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QDate&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QDateTime&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QDir&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QEasingCurve&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QHashDummyValue&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QLatin1String&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QLine&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QLineF&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QLocale&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QMargins&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QMetaObject&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QMetaObject*", 24, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//234
    { "const QMimeData*", 25, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//235
    { "const QModelIndex&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QObject*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//237
    { "const QPersistentModelIndex&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QPoint", 29, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//239
    { "const QPoint&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QPointF", 30, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//241
    { "const QPointF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QRect&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QRectF&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QRegExp&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QRegExp*", 33, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//246
    { "const QSize", 34, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//247
    { "const QSize&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QSizeF", 35, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//249
    { "const QSizeF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QSqlDatabase&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QSqlDriver*", 38, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//252
    { "const QSqlDriverCreatorBase&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QSqlDriverFactoryInterface&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QSqlError&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QSqlField&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QSqlIndex&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QSqlQuery&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QSqlRecord&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QSqlRelation&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QSqlResult*", 50, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//261
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//262
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//265
    { "const QStringRef&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QTime&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QUrl&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QUuid&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QVariant::Type", 60, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//271
    { "const QVariantComparisonHelper&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//273
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//274
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//275
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//276
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//277
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//278
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//279
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//280
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//281
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//282
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//283
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//284
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//285
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//286
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//287
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//288
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//289
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//290
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//291
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//292
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//293
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//294
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//295
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//296
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    236, 270, 278, 0,	//1  const QModelIndex&, const QVariant&, int
    236, 0,	//5  const QModelIndex&
    236, 231, 0,	//7  const QModelIndex&, const QMap<int,QVariant>&
    229, 0,	//10  const QList<QModelIndex>&
    278, 278, 236, 0,	//12  int, int, const QModelIndex&
    278, 191, 0,	//16  int, Qt::SortOrder
    236, 278, 270, 278, 43, 0,	//19  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    235, 159, 278, 278, 236, 0,	//25  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    266, 266, 0,	//31  const QStringRef&, const QStringRef&
    289, 0,	//34  unsigned long long
    276, 0,	//36  double
    123, 278, 0,	//38  QTextCodec::ConversionFlag, int
    168, 278, 0,	//41  Qt::ImageConversionFlag, int
    273, 287, 0,	//44  const char*, unsigned int
    294, 275, 284, 0,	//47  void*, const void*, size_t
    273, 226, 0,	//51  const char*, const QLatin1String&
    13, 27, 0,	//54  QDebug, QFlags<QIODevice::OpenModeFlag>
    266, 263, 0,	//57  const QStringRef&, const QString&
    248, 248, 0,	//60  const QSize&, const QSize&
    273, 219, 0,	//63  const char*, const QByteArray&
    20, 26, 0,	//66  QFile::Permission, QFlags<QFile::Permission>
    263, 273, 0,	//69  const QString&, const char*
    242, 242, 0,	//72  const QPointF&, const QPointF&
    276, 276, 0,	//75  double, double
    10, 74, 0,	//78  QDataStream&, QSizeF&
    219, 273, 0,	//81  const QByteArray&, const char*
    277, 0,	//84  float
    273, 0,	//86  const char*
    283, 0,	//88  signed char
    263, 266, 0,	//90  const QString&, const QStringRef&
    7, 0,	//93  QChar
    266, 226, 0,	//95  const QStringRef&, const QLatin1String&
    7, 7, 0,	//98  QChar, QChar
    201, 201, 0,	//101  Qt::TouchPointState, Qt::TouchPointState
    268, 0,	//104  const QUrl&
    219, 0,	//106  const QByteArray&
    13, 268, 0,	//108  QDebug, const QUrl&
    118, 263, 0,	//111  QString::Null, const QString&
    198, 198, 0,	//114  Qt::ToolBarArea, Qt::ToolBarArea
    273, 273, 0,	//117  const char*, const char*
    59, 59, 0,	//120  QLocale::NumberOption, QLocale::NumberOption
    208, 208, 0,	//123  Qt::WindowType, Qt::WindowType
    276, 250, 0,	//126  double, const QSizeF&
    14, 278, 0,	//129  QDir::Filter, int
    240, 240, 0,	//132  const QPoint&, const QPoint&
    10, 244, 0,	//135  QDataStream&, const QRectF&
    176, 278, 0,	//138  Qt::KeyboardModifier, int
    195, 46, 0,	//141  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    215, 0,	//144  char
    126, 33, 0,	//146  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    13, 232, 0,	//149  QDebug, const QMargins&
    131, 278, 0,	//152  QUrl::FormattingOption, int
    20, 278, 0,	//155  QFile::Permission, int
    240, 276, 0,	//158  const QPoint&, double
    16, 24, 0,	//161  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    263, 219, 0,	//164  const QString&, const QByteArray&
    250, 250, 0,	//167  const QSizeF&, const QSizeF&
    13, 242, 0,	//170  QDebug, const QPointF&
    176, 42, 0,	//173  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    13, 228, 0,	//176  QDebug, const QLineF&
    13, 222, 0,	//179  QDebug, const QDateTime&
    273, 263, 0,	//182  const char*, const QString&
    131, 131, 0,	//185  QUrl::FormattingOption, QUrl::FormattingOption
    201, 48, 0,	//188  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    168, 168, 0,	//191  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    278, 0,	//194  int
    59, 278, 0,	//196  QLocale::NumberOption, int
    226, 226, 0,	//199  const QLatin1String&, const QLatin1String&
    274, 278, 0,	//202  const unsigned char*, int
    273, 273, 287, 0,	//205  const char*, const char*, unsigned int
    226, 266, 0,	//209  const QLatin1String&, const QStringRef&
    159, 159, 0,	//212  Qt::DropAction, Qt::DropAction
    13, 240, 0,	//215  QDebug, const QPoint&
    10, 58, 0,	//218  QDataStream&, QLocale&
    263, 7, 0,	//221  const QString&, QChar
    118, 118, 0,	//224  QString::Null, QString::Null
    274, 286, 278, 0,	//227  const unsigned char*, unsigned char*, int
    13, 256, 0,	//231  QDebug, const QSqlField&
    123, 123, 0,	//234  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    183, 183, 0,	//237  Qt::Orientation, Qt::Orientation
    294, 284, 284, 284, 0,	//240  void*, size_t, size_t, size_t
    219, 263, 0,	//245  const QByteArray&, const QString&
    287, 0,	//248  unsigned int
    198, 47, 0,	//250  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    243, 243, 0,	//253  const QRect&, const QRect&
    19, 25, 0,	//256  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    217, 217, 0,	//259  const QBitArray&, const QBitArray&
    219, 219, 0,	//262  const QByteArray&, const QByteArray&
    294, 284, 0,	//265  void*, size_t
    263, 0,	//268  const QString&
    10, 230, 0,	//270  QDataStream&, const QLocale&
    13, 224, 0,	//273  QDebug, const QEasingCurve&
    293, 0,	//276  void(*)(QtMsgType,const char*)
    10, 12, 0,	//278  QDataStream&, QDateTime&
    4, 4, 0,	//281  QBool, QBool
    273, 266, 0,	//284  const char*, const QStringRef&
    198, 278, 0,	//287  Qt::ToolBarArea, int
    170, 278, 0,	//290  Qt::InputMethodHint, int
    7, 263, 0,	//293  QChar, const QString&
    119, 278, 0,	//296  QString::SectionFlag, int
    53, 278, 0,	//299  QLibrary::LoadHint, int
    10, 130, 0,	//302  QDataStream&, QUrl&
    273, 273, 278, 0,	//305  const char*, const char*, int
    281, 0,	//309  long long
    263, 118, 0,	//311  const QString&, QString::Null
    1, 278, 0,	//314  QAbstractFileEngine::FileFlag, int
    123, 32, 0,	//317  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    263, 215, 0,	//320  const QString&, char
    170, 40, 0,	//323  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    208, 50, 0,	//326  Qt::WindowType, QFlags<Qt::WindowType>
    181, 181, 0,	//329  Qt::MouseButton, Qt::MouseButton
    216, 273, 0,	//332  char*, const char*
    138, 138, 0,	//335  Qt::AlignmentFlag, Qt::AlignmentFlag
    240, 0,	//338  const QPoint&
    159, 278, 0,	//340  Qt::DropAction, int
    10, 267, 0,	//343  QDataStream&, const QTime&
    15, 278, 0,	//346  QDir::SortFlag, int
    232, 232, 0,	//349  const QMargins&, const QMargins&
    66, 0,	//352  QObject*(*)()
    179, 179, 0,	//354  Qt::MatchFlag, Qt::MatchFlag
    284, 0,	//357  size_t
    157, 36, 0,	//359  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    10, 121, 0,	//362  QDataStream&, QStringList&
    13, 271, 0,	//365  QDebug, const QVariant::Type
    157, 278, 0,	//368  Qt::DockWidgetArea, int
    279, 0,	//371  long
    290, 0,	//373  unsigned short
    10, 55, 0,	//375  QDataStream&, QLineF&
    20, 20, 0,	//378  QFile::Permission, QFile::Permission
    215, 263, 0,	//381  char, const QString&
    10, 73, 0,	//384  QDataStream&, QSize&
    238, 0,	//387  const QPersistentModelIndex&
    10, 263, 0,	//389  QDataStream&, const QString&
    10, 222, 0,	//392  QDataStream&, const QDateTime&
    237, 263, 233, 0,	//395  const QObject*, const QString&, const QMetaObject&
    119, 119, 0,	//399  QString::SectionFlag, QString::SectionFlag
    242, 276, 0,	//402  const QPointF&, double
    214, 4, 0,	//405  bool, QBool
    216, 273, 287, 0,	//408  char*, const char*, unsigned int
    10, 240, 0,	//412  QDataStream&, const QPoint&
    10, 134, 0,	//415  QDataStream&, QVariant&
    181, 278, 0,	//418  Qt::MouseButton, int
    242, 0,	//421  const QPointF&
    13, 238, 0,	//423  QDebug, const QPersistentModelIndex&
    273, 273, 273, 278, 0,	//426  const char*, const char*, const char*, int
    13, 255, 0,	//431  QDebug, const QSqlError&
    183, 45, 0,	//434  Qt::Orientation, QFlags<Qt::Orientation>
    19, 278, 0,	//437  QEventLoop::ProcessEventsFlag, int
    244, 244, 0,	//440  const QRectF&, const QRectF&
    294, 284, 284, 213, 0,	//443  void*, size_t, size_t, __compar_fn_t
    168, 39, 0,	//448  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    10, 264, 0,	//451  QDataStream&, const QStringList&
    219, 215, 0,	//454  const QByteArray&, char
    16, 16, 0,	//457  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    14, 22, 0,	//460  QDir::Filter, QFlags<QDir::Filter>
    10, 67, 0,	//463  QDataStream&, QPoint&
    250, 276, 0,	//466  const QSizeF&, double
    10, 221, 0,	//469  QDataStream&, const QDate&
    292, 0,	//472  void(*)()
    274, 278, 278, 0,	//474  const unsigned char*, int, int
    10, 227, 0,	//478  QDataStream&, const QLine&
    10, 117, 0,	//481  QDataStream&, QString&
    294, 0,	//484  void*
    77, 278, 0,	//486  QSql::ParamTypeFlag, int
    173, 278, 0,	//489  Qt::ItemFlag, int
    13, 223, 0,	//492  QDebug, const QDir&
    124, 125, 0,	//495  QTextStream&, QTextStream&(*)(QTextStream&)
    13, 236, 0,	//498  QDebug, const QModelIndex&
    19, 19, 0,	//501  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    217, 0,	//504  const QBitArray&
    13, 267, 0,	//506  QDebug, const QTime&
    124, 127, 0,	//509  QTextStream&, QTextStreamManipulator
    164, 38, 0,	//512  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    266, 273, 0,	//515  const QStringRef&, const char*
    10, 3, 0,	//518  QDataStream&, QBitArray&
    284, 284, 0,	//521  size_t, size_t
    13, 250, 0,	//524  QDebug, const QSizeF&
    164, 278, 0,	//527  Qt::GestureFlag, int
    215, 219, 0,	//530  char, const QByteArray&
    10, 270, 0,	//533  QDataStream&, const QVariant&
    13, 270, 0,	//536  QDebug, const QVariant&
    207, 278, 0,	//539  Qt::WindowState, int
    10, 128, 0,	//542  QDataStream&, QTime&
    13, 22, 0,	//545  QDebug, QFlags<QDir::Filter>
    176, 176, 0,	//548  Qt::KeyboardModifier, Qt::KeyboardModifier
    276, 242, 0,	//551  double, const QPointF&
    10, 17, 0,	//554  QDataStream&, QEasingCurve&
    159, 37, 0,	//557  Qt::DropAction, QFlags<Qt::DropAction>
    248, 276, 0,	//560  const QSize&, double
    13, 221, 0,	//563  QDebug, const QDate&
    14, 14, 0,	//566  QDir::Filter, QDir::Filter
    216, 284, 273, 291, 0,	//569  char*, size_t, const char*, va_list
    276, 240, 0,	//574  double, const QPoint&
    294, 278, 284, 0,	//577  void*, int, size_t
    10, 228, 0,	//581  QDataStream&, const QLineF&
    273, 278, 0,	//584  const char*, int
    282, 0,	//587  short
    51, 51, 0,	//589  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    157, 157, 0,	//592  Qt::DockWidgetArea, Qt::DockWidgetArea
    15, 23, 0,	//595  QDir::SortFlag, QFlags<QDir::SortFlag>
    277, 277, 0,	//598  float, float
    270, 272, 0,	//601  const QVariant&, const QVariantComparisonHelper&
    53, 53, 0,	//604  QLibrary::LoadHint, QLibrary::LoadHint
    280, 278, 216, 0,	//607  long double, int, char*
    16, 278, 0,	//611  QDirIterator::IteratorFlag, int
    170, 170, 0,	//614  Qt::InputMethodHint, Qt::InputMethodHint
    77, 30, 0,	//617  QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>
    13, 227, 0,	//620  QDebug, const QLine&
    195, 195, 0,	//623  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    201, 278, 0,	//626  Qt::TouchPointState, int
    219, 278, 0,	//629  const QByteArray&, int
    131, 34, 0,	//632  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    195, 278, 0,	//635  Qt::TextInteractionFlag, int
    207, 207, 0,	//638  Qt::WindowState, Qt::WindowState
    1, 21, 0,	//641  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    10, 219, 0,	//644  QDataStream&, const QByteArray&
    10, 224, 0,	//647  QDataStream&, const QEasingCurve&
    10, 268, 0,	//650  QDataStream&, const QUrl&
    13, 243, 0,	//653  QDebug, const QRect&
    15, 15, 0,	//656  QDir::SortFlag, QDir::SortFlag
    126, 278, 0,	//659  QTextStream::NumberFlag, int
    10, 69, 0,	//662  QDataStream&, QRect&
    10, 248, 0,	//665  QDataStream&, const QSize&
    10, 220, 0,	//668  QDataStream&, const QChar&
    138, 278, 0,	//671  Qt::AlignmentFlag, int
    10, 245, 0,	//674  QDataStream&, const QRegExp&
    13, 244, 0,	//677  QDebug, const QRectF&
    207, 49, 0,	//680  Qt::WindowState, QFlags<Qt::WindowState>
    173, 173, 0,	//683  Qt::ItemFlag, Qt::ItemFlag
    10, 132, 0,	//686  QDataStream&, QUuid&
    10, 136, 0,	//689  QDataStream&, QVariant::Type&
    77, 77, 0,	//692  QSql::ParamTypeFlag, QSql::ParamTypeFlag
    270, 135, 294, 0,	//695  const QVariant&, QVariant::Type, void*
    237, 263, 246, 233, 57, 0,	//699  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    225, 225, 0,	//705  const QHashDummyValue&, const QHashDummyValue&
    10, 68, 0,	//708  QDataStream&, QPointF&
    183, 278, 0,	//711  Qt::Orientation, int
    164, 164, 0,	//714  Qt::GestureFlag, Qt::GestureFlag
    51, 27, 0,	//717  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    276, 248, 0,	//720  double, const QSize&
    4, 214, 0,	//723  QBool, bool
    10, 54, 0,	//726  QDataStream&, QLine&
    13, 248, 0,	//729  QDebug, const QSize&
    13, 251, 0,	//732  QDebug, const QSqlDatabase&
    126, 126, 0,	//735  QTextStream::NumberFlag, QTextStream::NumberFlag
    181, 44, 0,	//738  Qt::MouseButton, QFlags<Qt::MouseButton>
    10, 271, 0,	//741  QDataStream&, const QVariant::Type
    173, 41, 0,	//744  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    10, 269, 0,	//747  QDataStream&, const QUuid&
    53, 28, 0,	//750  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    208, 278, 0,	//753  Qt::WindowType, int
    10, 70, 0,	//756  QDataStream&, QRectF&
    10, 243, 0,	//759  QDataStream&, const QRect&
    179, 43, 0,	//762  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    138, 35, 0,	//765  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    10, 8, 0,	//768  QDataStream&, QChar&
    10, 71, 0,	//771  QDataStream&, QRegExp&
    288, 0,	//774  unsigned long
    10, 242, 0,	//776  QDataStream&, const QPointF&
    10, 250, 0,	//779  QDataStream&, const QSizeF&
    59, 29, 0,	//782  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    119, 31, 0,	//785  QString::SectionFlag, QFlags<QString::SectionFlag>
    263, 263, 0,	//788  const QString&, const QString&
    1, 1, 0,	//791  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    211, 273, 0,	//794  QtMsgType, const char*
    13, 259, 0,	//797  QDebug, const QSqlRecord&
    266, 0,	//800  const QStringRef&
    51, 278, 0,	//802  QIODevice::OpenModeFlag, int
    285, 0,	//805  unsigned char
    10, 6, 0,	//807  QDataStream&, QByteArray&
    13, 237, 0,	//810  QDebug, const QObject*
    179, 278, 0,	//813  Qt::MatchFlag, int
    10, 11, 0,	//816  QDataStream&, QDate&
    10, 217, 0,	//819  QDataStream&, const QBitArray&
    18, 0,	//822  QEvent*
    65, 18, 0,	//824  QObject*, QEvent*
    129, 0,	//827  QTimerEvent*
    9, 0,	//829  QChildEvent*
    251, 0,	//831  const QSqlDatabase&
    78, 0,	//833  QSql::TableType
    76, 0,	//835  QSql::NumericalPrecisionPolicy
    82, 263, 0,	//837  QSqlDriver*, const QString&
    251, 263, 0,	//840  const QSqlDatabase&, const QString&
    263, 214, 0,	//843  const QString&, bool
    263, 86, 0,	//846  const QString&, QSqlDriverCreatorBase*
    82, 0,	//849  QSqlDriver*
    62, 278, 295, 0,	//851  QMetaObject::Call, int, void**
    65, 0,	//855  QObject*
    256, 214, 0,	//857  const QSqlField&, bool
    263, 84, 0,	//860  const QString&, QSqlDriver::IdentifierType
    85, 263, 259, 214, 0,	//863  QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool
    83, 0,	//868  QSqlDriver::DriverFeature
    263, 263, 263, 263, 278, 263, 0,	//870  const QString&, const QString&, const QString&, const QString&, int, const QString&
    214, 0,	//877  bool
    255, 0,	//879  const QSqlError&
    256, 0,	//881  const QSqlField&
    263, 263, 263, 0,	//883  const QString&, const QString&, const QString&
    263, 263, 263, 263, 0,	//887  const QString&, const QString&, const QString&, const QString&
    263, 263, 263, 263, 278, 0,	//892  const QString&, const QString&, const QString&, const QString&, int
    253, 0,	//898  const QSqlDriverCreatorBase&
    254, 0,	//900  const QSqlDriverFactoryInterface&
    263, 263, 92, 278, 0,	//902  const QString&, const QString&, QSqlError::ErrorType, int
    92, 0,	//907  QSqlError::ErrorType
    263, 263, 92, 0,	//909  const QString&, const QString&, QSqlError::ErrorType
    263, 135, 0,	//913  const QString&, QVariant::Type
    270, 0,	//916  const QVariant&
    135, 0,	//918  QVariant::Type
    96, 0,	//920  QSqlField::RequiredStatus
    257, 0,	//922  const QSqlIndex&
    278, 214, 0,	//924  int, bool
    111, 0,	//927  QSqlResult*
    263, 79, 0,	//929  const QString&, QSqlDatabase
    79, 0,	//932  QSqlDatabase
    258, 0,	//934  const QSqlQuery&
    103, 0,	//936  QSqlQuery::BatchExecutionMode
    263, 270, 30, 0,	//938  const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>
    278, 270, 30, 0,	//942  int, const QVariant&, QFlags<QSql::ParamTypeFlag>
    270, 30, 0,	//946  const QVariant&, QFlags<QSql::ParamTypeFlag>
    263, 270, 0,	//949  const QString&, const QVariant&
    278, 270, 0,	//952  int, const QVariant&
    236, 278, 0,	//955  const QModelIndex&, int
    278, 183, 278, 0,	//958  int, Qt::Orientation, int
    278, 183, 270, 278, 0,	//962  int, Qt::Orientation, const QVariant&, int
    263, 251, 0,	//967  const QString&, const QSqlDatabase&
    278, 183, 0,	//970  int, Qt::Orientation
    278, 183, 270, 0,	//973  int, Qt::Orientation, const QVariant&
    278, 278, 0,	//977  int, int
    259, 0,	//980  const QSqlRecord&
    278, 256, 0,	//982  int, const QSqlField&
    260, 0,	//985  const QSqlRelation&
    65, 79, 0,	//987  QObject*, QSqlDatabase
    278, 260, 0,	//990  int, const QSqlRelation&
    278, 259, 0,	//993  int, const QSqlRecord&
    236, 270, 0,	//996  const QModelIndex&, const QVariant&
    252, 0,	//999  const QSqlDriver*
    278, 294, 0,	//1001  int, void*
    115, 0,	//1004  QSqlTableModel::EditStrategy
    278, 106, 0,	//1006  int, QSqlRecord&
    106, 0,	//1009  QSqlRecord&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AfterLastRow",	//1
    "AllTables",	//2
    "BLOB",	//3
    "BatchOperation",	//4
    "BatchOperations",	//5
    "BeforeFirstRow",	//6
    "Binary",	//7
    "ConnectionError",	//8
    "DeleteStatement",	//9
    "DetachFromResultSet",	//10
    "EventNotifications",	//11
    "FieldName",	//12
    "FinishQuery",	//13
    "HighPrecision",	//14
    "In",	//15
    "InOut",	//16
    "InsertStatement",	//17
    "LastInsertId",	//18
    "LowPrecisionDouble",	//19
    "LowPrecisionInt32",	//20
    "LowPrecisionInt64",	//21
    "LowPrecisionNumbers",	//22
    "MultipleResultSets",	//23
    "NamedBinding",	//24
    "NamedPlaceholders",	//25
    "NextResult",	//26
    "NoError",	//27
    "OnFieldChange",	//28
    "OnManualSubmit",	//29
    "OnRowChange",	//30
    "Optional",	//31
    "Out",	//32
    "PositionalBinding",	//33
    "PositionalPlaceholders",	//34
    "PreparedQueries",	//35
    "QSqlDatabase",	//36
    "QSqlDatabase#",	//37
    "QSqlDatabase$",	//38
    "QSqlDriver",	//39
    "QSqlDriver#",	//40
    "QSqlDriverCreatorBase",	//41
    "QSqlDriverCreatorBase#",	//42
    "QSqlDriverFactoryInterface",	//43
    "QSqlDriverFactoryInterface#",	//44
    "QSqlDriverPlugin",	//45
    "QSqlDriverPlugin#",	//46
    "QSqlError",	//47
    "QSqlError#",	//48
    "QSqlError$",	//49
    "QSqlError$$",	//50
    "QSqlError$$$",	//51
    "QSqlError$$$$",	//52
    "QSqlField",	//53
    "QSqlField#",	//54
    "QSqlField$",	//55
    "QSqlField$$",	//56
    "QSqlIndex",	//57
    "QSqlIndex#",	//58
    "QSqlIndex$",	//59
    "QSqlIndex$$",	//60
    "QSqlQuery",	//61
    "QSqlQuery#",	//62
    "QSqlQuery$",	//63
    "QSqlQuery$#",	//64
    "QSqlQueryModel",	//65
    "QSqlQueryModel#",	//66
    "QSqlRecord",	//67
    "QSqlRecord#",	//68
    "QSqlRelation",	//69
    "QSqlRelation#",	//70
    "QSqlRelation$$$",	//71
    "QSqlRelationalTableModel",	//72
    "QSqlRelationalTableModel#",	//73
    "QSqlRelationalTableModel##",	//74
    "QSqlResult",	//75
    "QSqlResult#",	//76
    "QSqlTableModel",	//77
    "QSqlTableModel#",	//78
    "QSqlTableModel##",	//79
    "QtCriticalMsg",	//80
    "QtDebugMsg",	//81
    "QtFatalMsg",	//82
    "QtSystemMsg",	//83
    "QtWarningMsg",	//84
    "QuerySize",	//85
    "Required",	//86
    "SelectStatement",	//87
    "SetNumericalPrecision",	//88
    "SimpleLocking",	//89
    "StatementError",	//90
    "SystemTables",	//91
    "TableName",	//92
    "Tables",	//93
    "TransactionError",	//94
    "Transactions",	//95
    "Unicode",	//96
    "Unknown",	//97
    "UnknownError",	//98
    "UpdateStatement",	//99
    "ValuesAsColumns",	//100
    "ValuesAsRows",	//101
    "Views",	//102
    "WhereStatement",	//103
    "_ISalnum",	//104
    "_ISalpha",	//105
    "_ISblank",	//106
    "_IScntrl",	//107
    "_ISdigit",	//108
    "_ISgraph",	//109
    "_ISlower",	//110
    "_ISprint",	//111
    "_ISpunct",	//112
    "_ISspace",	//113
    "_ISupper",	//114
    "_ISxdigit",	//115
    "__codecvt_error",	//116
    "__codecvt_noconv",	//117
    "__codecvt_ok",	//118
    "__codecvt_partial",	//119
    "addBindValue",	//120
    "addBindValue#",	//121
    "addBindValue#$",	//122
    "addDatabase",	//123
    "addDatabase#",	//124
    "addDatabase#$",	//125
    "addDatabase$",	//126
    "addDatabase$$",	//127
    "append",	//128
    "append#",	//129
    "append#$",	//130
    "at",	//131
    "beforeDelete",	//132
    "beforeDelete$",	//133
    "beforeInsert",	//134
    "beforeInsert#",	//135
    "beforeUpdate",	//136
    "beforeUpdate$#",	//137
    "beginTransaction",	//138
    "bindValue",	//139
    "bindValue$#",	//140
    "bindValue$#$",	//141
    "bindValueType",	//142
    "bindValueType$",	//143
    "bindingSyntax",	//144
    "boundValue",	//145
    "boundValue$",	//146
    "boundValueCount",	//147
    "boundValueName",	//148
    "boundValueName$",	//149
    "boundValues",	//150
    "buddy",	//151
    "canFetchMore",	//152
    "canFetchMore#",	//153
    "childEvent",	//154
    "clear",	//155
    "clearValues",	//156
    "cloneDatabase",	//157
    "cloneDatabase#$",	//158
    "close",	//159
    "columnCount",	//160
    "columnCount#",	//161
    "commit",	//162
    "commitTransaction",	//163
    "connectNotify",	//164
    "connectOptions",	//165
    "connectionName",	//166
    "connectionNames",	//167
    "contains",	//168
    "contains$",	//169
    "count",	//170
    "create",	//171
    "create$",	//172
    "createObject",	//173
    "createResult",	//174
    "cursorName",	//175
    "customEvent",	//176
    "data",	//177
    "data#",	//178
    "data#$",	//179
    "data$",	//180
    "database",	//181
    "database$",	//182
    "database$$",	//183
    "databaseName",	//184
    "databaseText",	//185
    "defaultConnection",	//186
    "defaultValue",	//187
    "deleteRowFromTable",	//188
    "deleteRowFromTable$",	//189
    "detachFromResultSet",	//190
    "disconnectNotify",	//191
    "displayColumn",	//192
    "driver",	//193
    "driverName",	//194
    "driverText",	//195
    "drivers",	//196
    "dropMimeData",	//197
    "editStrategy",	//198
    "escapeIdentifier",	//199
    "escapeIdentifier$$",	//200
    "event",	//201
    "eventFilter",	//202
    "exec",	//203
    "exec$",	//204
    "execBatch",	//205
    "execBatch$",	//206
    "executedQuery",	//207
    "fetch",	//208
    "fetch$",	//209
    "fetchFirst",	//210
    "fetchLast",	//211
    "fetchMore",	//212
    "fetchMore#",	//213
    "fetchNext",	//214
    "fetchPrevious",	//215
    "field",	//216
    "field$",	//217
    "fieldIndex",	//218
    "fieldIndex$",	//219
    "fieldName",	//220
    "fieldName$",	//221
    "filter",	//222
    "finish",	//223
    "first",	//224
    "flags",	//225
    "flags#",	//226
    "formatValue",	//227
    "formatValue#",	//228
    "formatValue#$",	//229
    "handle",	//230
    "hasFeature",	//231
    "hasFeature$",	//232
    "hasOutValues",	//233
    "headerData",	//234
    "headerData$$",	//235
    "headerData$$$",	//236
    "hostName",	//237
    "index",	//238
    "indexColumn",	//239
    "indexInQuery",	//240
    "indexInQuery#",	//241
    "indexOf",	//242
    "indexOf$",	//243
    "insert",	//244
    "insert$#",	//245
    "insertColumns",	//246
    "insertColumns$$",	//247
    "insertColumns$$#",	//248
    "insertRecord",	//249
    "insertRecord$#",	//250
    "insertRowIntoTable",	//251
    "insertRowIntoTable#",	//252
    "insertRows",	//253
    "insertRows$$",	//254
    "insertRows$$#",	//255
    "isActive",	//256
    "isAutoValue",	//257
    "isDescending",	//258
    "isDescending$",	//259
    "isDirty",	//260
    "isDirty#",	//261
    "isDriverAvailable",	//262
    "isDriverAvailable$",	//263
    "isEmpty",	//264
    "isForwardOnly",	//265
    "isGenerated",	//266
    "isGenerated$",	//267
    "isIdentifierEscaped",	//268
    "isIdentifierEscaped$$",	//269
    "isIdentifierEscapedImplementation",	//270
    "isIdentifierEscapedImplementation$$",	//271
    "isNull",	//272
    "isNull$",	//273
    "isOpen",	//274
    "isOpenError",	//275
    "isReadOnly",	//276
    "isSelect",	//277
    "isValid",	//278
    "itemData",	//279
    "keys",	//280
    "last",	//281
    "lastError",	//282
    "lastInsertId",	//283
    "lastQuery",	//284
    "length",	//285
    "match",	//286
    "metaObject",	//287
    "mimeData",	//288
    "mimeTypes",	//289
    "name",	//290
    "next",	//291
    "nextResult",	//292
    "notification",	//293
    "notification$",	//294
    "numRowsAffected",	//295
    "number",	//296
    "numericalPrecisionPolicy",	//297
    "open",	//298
    "open$",	//299
    "open$$",	//300
    "open$$$",	//301
    "open$$$$",	//302
    "open$$$$$",	//303
    "open$$$$$$",	//304
    "operator!=",	//305
    "operator!=#",	//306
    "operator!=##",	//307
    "operator!=#$",	//308
    "operator!=$#",	//309
    "operator!=$$",	//310
    "operator&",	//311
    "operator&##",	//312
    "operator*",	//313
    "operator*#$",	//314
    "operator*$#",	//315
    "operator+",	//316
    "operator+##",	//317
    "operator+#$",	//318
    "operator+$#",	//319
    "operator+$$",	//320
    "operator-",	//321
    "operator-#",	//322
    "operator-##",	//323
    "operator/",	//324
    "operator/#$",	//325
    "operator<",	//326
    "operator<##",	//327
    "operator<#$",	//328
    "operator<$#",	//329
    "operator<$$",	//330
    "operator<<",	//331
    "operator<<##",	//332
    "operator<<#$",	//333
    "operator<<#?",	//334
    "operator<=",	//335
    "operator<=##",	//336
    "operator<=#$",	//337
    "operator<=$#",	//338
    "operator<=$$",	//339
    "operator=",	//340
    "operator=#",	//341
    "operator==",	//342
    "operator==#",	//343
    "operator==##",	//344
    "operator==#$",	//345
    "operator==$#",	//346
    "operator==$$",	//347
    "operator>",	//348
    "operator>##",	//349
    "operator>#$",	//350
    "operator>$#",	//351
    "operator>$$",	//352
    "operator>=",	//353
    "operator>=##",	//354
    "operator>=#$",	//355
    "operator>=$#",	//356
    "operator>=$$",	//357
    "operator>>",	//358
    "operator>>##",	//359
    "operator>>#$",	//360
    "operator>>#?",	//361
    "operator^",	//362
    "operator^##",	//363
    "operator|",	//364
    "operator|##",	//365
    "operator|$$",	//366
    "orderByClause",	//367
    "password",	//368
    "port",	//369
    "precision",	//370
    "prepare",	//371
    "prepare$",	//372
    "previous",	//373
    "primaryIndex",	//374
    "primaryIndex$",	//375
    "primaryKey",	//376
    "primeInsert",	//377
    "primeInsert$#",	//378
    "qAcos",	//379
    "qAcos$",	//380
    "qAddPostRoutine",	//381
    "qAddPostRoutine$",	//382
    "qAppName",	//383
    "qAsin",	//384
    "qAsin$",	//385
    "qAtan",	//386
    "qAtan$",	//387
    "qAtan2",	//388
    "qAtan2$$",	//389
    "qBadAlloc",	//390
    "qCeil",	//391
    "qCeil$",	//392
    "qChecksum",	//393
    "qChecksum$$",	//394
    "qCompress",	//395
    "qCompress#",	//396
    "qCompress#$",	//397
    "qCompress$$",	//398
    "qCompress$$$",	//399
    "qCos",	//400
    "qCos$",	//401
    "qCritical",	//402
    "qDebug",	//403
    "qExp",	//404
    "qExp$",	//405
    "qFabs",	//406
    "qFabs$",	//407
    "qFastCos",	//408
    "qFastCos$",	//409
    "qFastSin",	//410
    "qFastSin$",	//411
    "qFlagLocation",	//412
    "qFlagLocation$",	//413
    "qFloor",	//414
    "qFloor$",	//415
    "qFree",	//416
    "qFree$",	//417
    "qFreeAligned",	//418
    "qFreeAligned$",	//419
    "qFuzzyCompare",	//420
    "qFuzzyCompare$$",	//421
    "qFuzzyIsNull",	//422
    "qFuzzyIsNull$",	//423
    "qHash",	//424
    "qHash#",	//425
    "qHash$",	//426
    "qHash?",	//427
    "qInf",	//428
    "qInstallMsgHandler",	//429
    "qInstallMsgHandler$",	//430
    "qIntCast",	//431
    "qIntCast$",	//432
    "qIsFinite",	//433
    "qIsFinite$",	//434
    "qIsInf",	//435
    "qIsInf$",	//436
    "qIsNaN",	//437
    "qIsNaN$",	//438
    "qIsNull",	//439
    "qIsNull$",	//440
    "qLn",	//441
    "qLn$",	//442
    "qMalloc",	//443
    "qMalloc?",	//444
    "qMallocAligned",	//445
    "qMallocAligned??",	//446
    "qMemCopy",	//447
    "qMemCopy$$?",	//448
    "qMemSet",	//449
    "qMemSet$$?",	//450
    "qPow",	//451
    "qPow$$",	//452
    "qQNaN",	//453
    "qRealloc",	//454
    "qRealloc$?",	//455
    "qReallocAligned",	//456
    "qReallocAligned$???",	//457
    "qRegisterStaticPluginInstanceFunction",	//458
    "qRegisterStaticPluginInstanceFunction#",	//459
    "qRemovePostRoutine",	//460
    "qRemovePostRoutine$",	//461
    "qRound",	//462
    "qRound$",	//463
    "qRound64",	//464
    "qRound64$",	//465
    "qSNaN",	//466
    "qSetFieldWidth",	//467
    "qSetFieldWidth$",	//468
    "qSetPadChar",	//469
    "qSetPadChar#",	//470
    "qSetRealNumberPrecision",	//471
    "qSetRealNumberPrecision$",	//472
    "qSharedBuild",	//473
    "qSin",	//474
    "qSin$",	//475
    "qSqrt",	//476
    "qSqrt$",	//477
    "qStringComparisonHelper",	//478
    "qStringComparisonHelper#$",	//479
    "qStringComparisonHelper$$",	//480
    "qTan",	//481
    "qTan$",	//482
    "qUncompress",	//483
    "qUncompress#",	//484
    "qUncompress$$",	//485
    "qVersion",	//486
    "qWarning",	//487
    "qbswap_helper",	//488
    "qbswap_helper$$$",	//489
    "qgcvt",	//490
    "qgcvt$$$",	//491
    "qgetenv",	//492
    "qgetenv$",	//493
    "qputenv",	//494
    "qputenv$#",	//495
    "qrand",	//496
    "qsort",	//497
    "qsort$???",	//498
    "qsrand",	//499
    "qsrand$",	//500
    "qstrcmp",	//501
    "qstrcmp##",	//502
    "qstrcmp#$",	//503
    "qstrcmp$#",	//504
    "qstrcmp$$",	//505
    "qstrcpy",	//506
    "qstrcpy$$",	//507
    "qstrdup",	//508
    "qstrdup$",	//509
    "qstricmp",	//510
    "qstricmp$$",	//511
    "qstrlen",	//512
    "qstrlen$",	//513
    "qstrncmp",	//514
    "qstrncmp$$$",	//515
    "qstrncpy",	//516
    "qstrncpy$$$",	//517
    "qstrnicmp",	//518
    "qstrnicmp$$$",	//519
    "qstrnlen",	//520
    "qstrnlen$$",	//521
    "qtTrId",	//522
    "qtTrId$",	//523
    "qtTrId$$",	//524
    "qt_assert",	//525
    "qt_assert$$$",	//526
    "qt_assert_x",	//527
    "qt_assert_x$$$$",	//528
    "qt_check_pointer",	//529
    "qt_check_pointer$$",	//530
    "qt_error_string",	//531
    "qt_error_string$",	//532
    "qt_message_output",	//533
    "qt_message_output$$",	//534
    "qt_metacall",	//535
    "qt_metacall$$?",	//536
    "qt_metacast",	//537
    "qt_metacast$",	//538
    "qt_noop",	//539
    "qt_qFindChild_helper",	//540
    "qt_qFindChild_helper#$#",	//541
    "qt_qFindChildren_helper",	//542
    "qt_qFindChildren_helper#$##?",	//543
    "query",	//544
    "queryChange",	//545
    "qvariant_cast_helper",	//546
    "qvariant_cast_helper#$$",	//547
    "qvsnprintf",	//548
    "qvsnprintf$?$?",	//549
    "record",	//550
    "record$",	//551
    "registerSqlDriver",	//552
    "registerSqlDriver$#",	//553
    "relation",	//554
    "relation$",	//555
    "relationModel",	//556
    "relationModel$",	//557
    "remove",	//558
    "remove$",	//559
    "removeColumns",	//560
    "removeColumns$$",	//561
    "removeColumns$$#",	//562
    "removeDatabase",	//563
    "removeDatabase$",	//564
    "removeRows",	//565
    "removeRows$$",	//566
    "removeRows$$#",	//567
    "replace",	//568
    "replace$#",	//569
    "requiredStatus",	//570
    "reset",	//571
    "reset$",	//572
    "result",	//573
    "revert",	//574
    "revertAll",	//575
    "revertRow",	//576
    "revertRow$",	//577
    "rollback",	//578
    "rollbackTransaction",	//579
    "rowCount",	//580
    "rowCount#",	//581
    "savePrepare",	//582
    "savePrepare$",	//583
    "seek",	//584
    "seek$",	//585
    "seek$$",	//586
    "select",	//587
    "selectStatement",	//588
    "setActive",	//589
    "setActive$",	//590
    "setAt",	//591
    "setAt$",	//592
    "setAutoValue",	//593
    "setAutoValue$",	//594
    "setConnectOptions",	//595
    "setConnectOptions$",	//596
    "setCursorName",	//597
    "setCursorName$",	//598
    "setData",	//599
    "setData##",	//600
    "setData##$",	//601
    "setDatabaseName",	//602
    "setDatabaseName$",	//603
    "setDatabaseText",	//604
    "setDatabaseText$",	//605
    "setDefaultConnection",	//606
    "setDefaultConnection$",	//607
    "setDefaultValue",	//608
    "setDefaultValue#",	//609
    "setDescending",	//610
    "setDescending$$",	//611
    "setDriverText",	//612
    "setDriverText$",	//613
    "setEditStrategy",	//614
    "setEditStrategy$",	//615
    "setFilter",	//616
    "setFilter$",	//617
    "setForwardOnly",	//618
    "setForwardOnly$",	//619
    "setGenerated",	//620
    "setGenerated$",	//621
    "setGenerated$$",	//622
    "setHeaderData",	//623
    "setHeaderData$$#",	//624
    "setHeaderData$$#$",	//625
    "setHostName",	//626
    "setHostName$",	//627
    "setItemData",	//628
    "setLastError",	//629
    "setLastError#",	//630
    "setLength",	//631
    "setLength$",	//632
    "setName",	//633
    "setName$",	//634
    "setNull",	//635
    "setNull$",	//636
    "setNumber",	//637
    "setNumber$",	//638
    "setNumericalPrecisionPolicy",	//639
    "setNumericalPrecisionPolicy$",	//640
    "setOpen",	//641
    "setOpen$",	//642
    "setOpenError",	//643
    "setOpenError$",	//644
    "setPassword",	//645
    "setPassword$",	//646
    "setPort",	//647
    "setPort$",	//648
    "setPrecision",	//649
    "setPrecision$",	//650
    "setPrimaryKey",	//651
    "setPrimaryKey#",	//652
    "setQuery",	//653
    "setQuery#",	//654
    "setQuery$",	//655
    "setQuery$#",	//656
    "setReadOnly",	//657
    "setReadOnly$",	//658
    "setRecord",	//659
    "setRecord$#",	//660
    "setRelation",	//661
    "setRelation$#",	//662
    "setRequired",	//663
    "setRequired$",	//664
    "setRequiredStatus",	//665
    "setRequiredStatus$",	//666
    "setSelect",	//667
    "setSelect$",	//668
    "setSort",	//669
    "setSort$$",	//670
    "setSqlType",	//671
    "setSqlType$",	//672
    "setTable",	//673
    "setTable$",	//674
    "setType",	//675
    "setType$",	//676
    "setUserName",	//677
    "setUserName$",	//678
    "setValue",	//679
    "setValue#",	//680
    "setValue$#",	//681
    "size",	//682
    "sort",	//683
    "sort$$",	//684
    "span",	//685
    "sqlStatement",	//686
    "sqlStatement$$#$",	//687
    "staticMetaObject",	//688
    "stripDelimiters",	//689
    "stripDelimiters$$",	//690
    "stripDelimitersImplementation",	//691
    "stripDelimitersImplementation$$",	//692
    "submit",	//693
    "submitAll",	//694
    "subscribeToNotification",	//695
    "subscribeToNotification$",	//696
    "subscribeToNotificationImplementation",	//697
    "subscribeToNotificationImplementation$",	//698
    "subscribedToNotifications",	//699
    "subscribedToNotificationsImplementation",	//700
    "supportedDropActions",	//701
    "tableName",	//702
    "tables",	//703
    "tables$",	//704
    "text",	//705
    "timerEvent",	//706
    "tr",	//707
    "tr$",	//708
    "tr$$",	//709
    "tr$$$",	//710
    "trUtf8",	//711
    "trUtf8$",	//712
    "trUtf8$$",	//713
    "trUtf8$$$",	//714
    "transaction",	//715
    "type",	//716
    "typeID",	//717
    "unsubscribeFromNotification",	//718
    "unsubscribeFromNotification$",	//719
    "unsubscribeFromNotificationImplementation",	//720
    "unsubscribeFromNotificationImplementation$",	//721
    "updateRowInTable",	//722
    "updateRowInTable$#",	//723
    "userName",	//724
    "value",	//725
    "value$",	//726
    "virtual_hook",	//727
    "virtual_hook$$",	//728
    "~QSqlDatabase",	//729
    "~QSqlDriver",	//730
    "~QSqlDriverCreatorBase",	//731
    "~QSqlDriverFactoryInterface",	//732
    "~QSqlDriverPlugin",	//733
    "~QSqlError",	//734
    "~QSqlField",	//735
    "~QSqlIndex",	//736
    "~QSqlQuery",	//737
    "~QSqlQueryModel",	//738
    "~QSqlRecord",	//739
    "~QSqlRelation",	//740
    "~QSqlRelationalTableModel",	//741
    "~QSqlResult",	//742
    "~QSqlTableModel",	//743
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 599, 1, 3, Smoke::mf_virtual, 214, 0},	//1 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {1, 279, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 61, 0},	//2 QAbstractItemModel::itemData(const QModelIndex&) const
    {1, 628, 7, 2, Smoke::mf_virtual, 214, 0},	//3 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {1, 289, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 120, 0},	//4 QAbstractItemModel::mimeTypes() const
    {1, 288, 10, 1, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//5 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {1, 701, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 37, 0},	//6 QAbstractItemModel::supportedDropActions() const
    {1, 253, 12, 3, Smoke::mf_virtual, 214, 0},	//7 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {1, 565, 12, 3, Smoke::mf_virtual, 214, 0},	//8 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {1, 225, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 0},	//9 QAbstractItemModel::flags(const QModelIndex&) const
    {1, 683, 16, 2, Smoke::mf_virtual, 0, 0},	//10 QAbstractItemModel::sort(int, Qt::SortOrder)
    {1, 151, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//11 QAbstractItemModel::buddy(const QModelIndex&) const
    {1, 286, 19, 5, Smoke::mf_const|Smoke::mf_virtual, 56, 0},	//12 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {1, 685, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//13 QAbstractItemModel::span(const QModelIndex&) const
    {1, 693, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 214, 0},	//14 QAbstractItemModel::submit()
    {1, 574, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//15 QAbstractItemModel::revert()
    {2, 238, 12, 3, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//16 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {2, 197, 25, 5, Smoke::mf_virtual, 214, 0},	//17 QAbstractTableModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {15, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 120, 0},	//18 QFactoryInterface::keys() const [pure virtual]
    {16, 353, 31, 2, Smoke::mf_static, 214, 1},	//19 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {16, 424, 34, 1, Smoke::mf_static, 287, 2},	//20 QGlobalSpace::qHash(unsigned long long)
    {16, 435, 36, 1, Smoke::mf_static, 214, 3},	//21 QGlobalSpace::qIsInf(double)
    {16, 364, 38, 2, Smoke::mf_static, 52, 4},	//22 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {16, 364, 41, 2, Smoke::mf_static, 52, 5},	//23 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {16, 520, 44, 2, Smoke::mf_static, 287, 6},	//24 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {16, 447, 47, 3, Smoke::mf_static, 294, 7},	//25 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {16, 539, 0, 0, Smoke::mf_static, 0, 8},	//26 QGlobalSpace::qt_noop()
    {16, 342, 51, 2, Smoke::mf_static, 214, 9},	//27 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {16, 331, 54, 2, Smoke::mf_static, 13, 10},	//28 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {16, 342, 57, 2, Smoke::mf_static, 214, 11},	//29 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {16, 342, 60, 2, Smoke::mf_static, 214, 12},	//30 QGlobalSpace::operator==(const QSize&, const QSize&)
    {16, 316, 63, 2, Smoke::mf_static, 218, 13},	//31 QGlobalSpace::operator+(const char*, const QByteArray&)
    {16, 364, 66, 2, Smoke::mf_static, 26, 14},	//32 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {16, 478, 69, 2, Smoke::mf_static, 214, 15},	//33 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {16, 501, 63, 2, Smoke::mf_static, 278, 16},	//34 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {16, 342, 72, 2, Smoke::mf_static, 214, 17},	//35 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {16, 388, 75, 2, Smoke::mf_static, 276, 18},	//36 QGlobalSpace::qAtan2(double, double)
    {16, 358, 78, 2, Smoke::mf_static, 10, 19},	//37 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {16, 353, 81, 2, Smoke::mf_static, 214, 20},	//38 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {16, 435, 84, 1, Smoke::mf_static, 214, 21},	//39 QGlobalSpace::qIsInf(float)
    {16, 492, 86, 1, Smoke::mf_static, 5, 22},	//40 QGlobalSpace::qgetenv(const char*)
    {16, 424, 88, 1, Smoke::mf_static, 287, 23},	//41 QGlobalSpace::qHash(signed char)
    {16, 342, 90, 2, Smoke::mf_static, 214, 24},	//42 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {16, 348, 63, 2, Smoke::mf_static, 214, 25},	//43 QGlobalSpace::operator>(const char*, const QByteArray&)
    {16, 431, 36, 1, Smoke::mf_static, 278, 26},	//44 QGlobalSpace::qIntCast(double)
    {16, 469, 93, 1, Smoke::mf_static, 127, 27},	//45 QGlobalSpace::qSetPadChar(QChar)
    {16, 342, 95, 2, Smoke::mf_static, 214, 28},	//46 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {16, 342, 98, 2, Smoke::mf_static, 214, 29},	//47 QGlobalSpace::operator==(QChar, QChar)
    {16, 364, 101, 2, Smoke::mf_static, 48, 30},	//48 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {16, 424, 104, 1, Smoke::mf_static, 287, 31},	//49 QGlobalSpace::qHash(const QUrl&)
    {16, 424, 106, 1, Smoke::mf_static, 287, 32},	//50 QGlobalSpace::qHash(const QByteArray&)
    {16, 331, 108, 2, Smoke::mf_static, 13, 33},	//51 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {16, 326, 98, 2, Smoke::mf_static, 214, 34},	//52 QGlobalSpace::operator<(QChar, QChar)
    {16, 353, 98, 2, Smoke::mf_static, 214, 35},	//53 QGlobalSpace::operator>=(QChar, QChar)
    {16, 305, 111, 2, Smoke::mf_static, 214, 36},	//54 QGlobalSpace::operator!=(QString::Null, const QString&)
    {16, 326, 63, 2, Smoke::mf_static, 214, 37},	//55 QGlobalSpace::operator<(const char*, const QByteArray&)
    {16, 364, 114, 2, Smoke::mf_static, 47, 38},	//56 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {16, 501, 117, 2, Smoke::mf_static, 278, 39},	//57 QGlobalSpace::qstrcmp(const char*, const char*)
    {16, 400, 36, 1, Smoke::mf_static, 276, 40},	//58 QGlobalSpace::qCos(double)
    {16, 364, 120, 2, Smoke::mf_static, 29, 41},	//59 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {16, 348, 98, 2, Smoke::mf_static, 214, 42},	//60 QGlobalSpace::operator>(QChar, QChar)
    {16, 364, 123, 2, Smoke::mf_static, 50, 43},	//61 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {16, 313, 126, 2, Smoke::mf_static, 249, 44},	//62 QGlobalSpace::operator*(double, const QSizeF&)
    {16, 473, 0, 0, Smoke::mf_static, 214, 45},	//63 QGlobalSpace::qSharedBuild()
    {16, 364, 129, 2, Smoke::mf_static, 52, 46},	//64 QGlobalSpace::operator|(QDir::Filter, int)
    {16, 305, 31, 2, Smoke::mf_static, 214, 47},	//65 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {16, 321, 132, 2, Smoke::mf_static, 239, 48},	//66 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {16, 331, 135, 2, Smoke::mf_static, 10, 49},	//67 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {16, 364, 138, 2, Smoke::mf_static, 52, 50},	//68 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {16, 364, 141, 2, Smoke::mf_static, 46, 51},	//69 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {16, 424, 144, 1, Smoke::mf_static, 287, 52},	//70 QGlobalSpace::qHash(char)
    {16, 305, 57, 2, Smoke::mf_static, 214, 53},	//71 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {16, 364, 146, 2, Smoke::mf_static, 33, 54},	//72 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {16, 331, 149, 2, Smoke::mf_static, 13, 55},	//73 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {16, 364, 152, 2, Smoke::mf_static, 52, 56},	//74 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {16, 364, 155, 2, Smoke::mf_static, 52, 57},	//75 QGlobalSpace::operator|(QFile::Permission, int)
    {16, 324, 158, 2, Smoke::mf_static, 239, 58},	//76 QGlobalSpace::operator/(const QPoint&, double)
    {16, 316, 132, 2, Smoke::mf_static, 239, 59},	//77 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {16, 364, 161, 2, Smoke::mf_static, 24, 60},	//78 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {16, 316, 164, 2, Smoke::mf_static, 262, 61},	//79 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {16, 321, 167, 2, Smoke::mf_static, 249, 62},	//80 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {16, 331, 170, 2, Smoke::mf_static, 13, 63},	//81 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {16, 433, 36, 1, Smoke::mf_static, 214, 64},	//82 QGlobalSpace::qIsFinite(double)
    {16, 305, 81, 2, Smoke::mf_static, 214, 65},	//83 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {16, 364, 173, 2, Smoke::mf_static, 42, 66},	//84 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {16, 331, 176, 2, Smoke::mf_static, 13, 67},	//85 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {16, 331, 179, 2, Smoke::mf_static, 13, 68},	//86 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {16, 326, 182, 2, Smoke::mf_static, 214, 69},	//87 QGlobalSpace::operator<(const char*, const QString&)
    {16, 364, 185, 2, Smoke::mf_static, 34, 70},	//88 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {16, 316, 60, 2, Smoke::mf_static, 247, 71},	//89 QGlobalSpace::operator+(const QSize&, const QSize&)
    {16, 364, 188, 2, Smoke::mf_static, 48, 72},	//90 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {16, 364, 191, 2, Smoke::mf_static, 39, 73},	//91 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {16, 531, 194, 1, Smoke::mf_static, 116, 74},	//92 QGlobalSpace::qt_error_string(int)
    {16, 531, 0, 0, Smoke::mf_static, 116, 75},	//93 QGlobalSpace::qt_error_string()
    {16, 316, 167, 2, Smoke::mf_static, 249, 76},	//94 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {16, 364, 196, 2, Smoke::mf_static, 52, 77},	//95 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {16, 326, 199, 2, Smoke::mf_static, 214, 78},	//96 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {16, 483, 202, 2, Smoke::mf_static, 5, 79},	//97 QGlobalSpace::qUncompress(const unsigned char*, int)
    {16, 514, 205, 3, Smoke::mf_static, 278, 80},	//98 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {16, 481, 36, 1, Smoke::mf_static, 276, 81},	//99 QGlobalSpace::qTan(double)
    {16, 348, 51, 2, Smoke::mf_static, 214, 82},	//100 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {16, 305, 209, 2, Smoke::mf_static, 214, 83},	//101 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {16, 467, 194, 1, Smoke::mf_static, 127, 84},	//102 QGlobalSpace::qSetFieldWidth(int)
    {16, 364, 212, 2, Smoke::mf_static, 37, 85},	//103 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {16, 414, 36, 1, Smoke::mf_static, 278, 86},	//104 QGlobalSpace::qFloor(double)
    {16, 331, 215, 2, Smoke::mf_static, 13, 87},	//105 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {16, 358, 218, 2, Smoke::mf_static, 10, 88},	//106 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {16, 433, 84, 1, Smoke::mf_static, 214, 89},	//107 QGlobalSpace::qIsFinite(float)
    {16, 316, 221, 2, Smoke::mf_static, 262, 90},	//108 QGlobalSpace::operator+(const QString&, QChar)
    {16, 305, 224, 2, Smoke::mf_static, 214, 91},	//109 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {16, 488, 227, 3, Smoke::mf_static, 0, 92},	//110 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {16, 316, 81, 2, Smoke::mf_static, 218, 93},	//111 QGlobalSpace::operator+(const QByteArray&, const char*)
    {16, 331, 231, 2, Smoke::mf_static, 13, 94},	//112 QGlobalSpace::operator<<(QDebug, const QSqlField&)
    {16, 364, 234, 2, Smoke::mf_static, 32, 95},	//113 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {16, 316, 69, 2, Smoke::mf_static, 262, 96},	//114 QGlobalSpace::operator+(const QString&, const char*)
    {16, 348, 199, 2, Smoke::mf_static, 214, 97},	//115 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {16, 364, 237, 2, Smoke::mf_static, 45, 98},	//116 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {16, 456, 240, 4, Smoke::mf_static, 294, 99},	//117 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {16, 316, 245, 2, Smoke::mf_static, 262, 100},	//118 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {16, 424, 248, 1, Smoke::mf_static, 287, 101},	//119 QGlobalSpace::qHash(unsigned int)
    {16, 364, 250, 2, Smoke::mf_static, 47, 102},	//120 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {16, 424, 93, 1, Smoke::mf_static, 287, 103},	//121 QGlobalSpace::qHash(QChar)
    {16, 335, 81, 2, Smoke::mf_static, 214, 104},	//122 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {16, 431, 84, 1, Smoke::mf_static, 278, 105},	//123 QGlobalSpace::qIntCast(float)
    {16, 342, 253, 2, Smoke::mf_static, 214, 106},	//124 QGlobalSpace::operator==(const QRect&, const QRect&)
    {16, 364, 256, 2, Smoke::mf_static, 25, 107},	//125 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {16, 362, 259, 2, Smoke::mf_static, 2, 108},	//126 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {16, 348, 262, 2, Smoke::mf_static, 214, 109},	//127 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {16, 454, 265, 2, Smoke::mf_static, 294, 110},	//128 QGlobalSpace::qRealloc(void*, size_t)
    {16, 424, 268, 1, Smoke::mf_static, 287, 111},	//129 QGlobalSpace::qHash(const QString&)
    {16, 335, 199, 2, Smoke::mf_static, 214, 112},	//130 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {16, 331, 270, 2, Smoke::mf_static, 10, 113},	//131 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {16, 331, 273, 2, Smoke::mf_static, 13, 114},	//132 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {16, 464, 36, 1, Smoke::mf_static, 281, 115},	//133 QGlobalSpace::qRound64(double)
    {16, 429, 276, 1, Smoke::mf_static, 293, 116},	//134 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {16, 476, 36, 1, Smoke::mf_static, 276, 117},	//135 QGlobalSpace::qSqrt(double)
    {16, 424, 5, 1, Smoke::mf_static, 287, 118},	//136 QGlobalSpace::qHash(const QModelIndex&)
    {16, 408, 36, 1, Smoke::mf_static, 276, 119},	//137 QGlobalSpace::qFastCos(double)
    {16, 358, 278, 2, Smoke::mf_static, 10, 120},	//138 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {16, 342, 281, 2, Smoke::mf_static, 214, 121},	//139 QGlobalSpace::operator==(QBool, QBool)
    {16, 342, 284, 2, Smoke::mf_static, 214, 122},	//140 QGlobalSpace::operator==(const char*, const QStringRef&)
    {16, 364, 287, 2, Smoke::mf_static, 52, 123},	//141 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {16, 305, 182, 2, Smoke::mf_static, 214, 124},	//142 QGlobalSpace::operator!=(const char*, const QString&)
    {16, 437, 84, 1, Smoke::mf_static, 214, 125},	//143 QGlobalSpace::qIsNaN(float)
    {16, 335, 262, 2, Smoke::mf_static, 214, 126},	//144 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {16, 412, 86, 1, Smoke::mf_static, 273, 127},	//145 QGlobalSpace::qFlagLocation(const char*)
    {16, 364, 290, 2, Smoke::mf_static, 52, 128},	//146 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {16, 437, 36, 1, Smoke::mf_static, 214, 129},	//147 QGlobalSpace::qIsNaN(double)
    {16, 316, 293, 2, Smoke::mf_static, 262, 130},	//148 QGlobalSpace::operator+(QChar, const QString&)
    {16, 364, 296, 2, Smoke::mf_static, 52, 131},	//149 QGlobalSpace::operator|(QString::SectionFlag, int)
    {16, 364, 299, 2, Smoke::mf_static, 52, 132},	//150 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {16, 358, 302, 2, Smoke::mf_static, 10, 133},	//151 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {16, 525, 305, 3, Smoke::mf_static, 0, 134},	//152 QGlobalSpace::qt_assert(const char*, const char*, int)
    {16, 424, 309, 1, Smoke::mf_static, 287, 135},	//153 QGlobalSpace::qHash(long long)
    {16, 305, 311, 2, Smoke::mf_static, 214, 136},	//154 QGlobalSpace::operator!=(const QString&, QString::Null)
    {16, 364, 314, 2, Smoke::mf_static, 52, 137},	//155 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {16, 364, 317, 2, Smoke::mf_static, 32, 138},	//156 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {16, 316, 320, 2, Smoke::mf_static, 262, 139},	//157 QGlobalSpace::operator+(const QString&, char)
    {16, 305, 95, 2, Smoke::mf_static, 214, 140},	//158 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {16, 321, 72, 2, Smoke::mf_static, 241, 141},	//159 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {16, 342, 224, 2, Smoke::mf_static, 214, 142},	//160 QGlobalSpace::operator==(QString::Null, QString::Null)
    {16, 364, 323, 2, Smoke::mf_static, 40, 143},	//161 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {16, 326, 262, 2, Smoke::mf_static, 214, 144},	//162 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {16, 364, 326, 2, Smoke::mf_static, 50, 145},	//163 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {16, 422, 84, 1, Smoke::mf_static, 214, 146},	//164 QGlobalSpace::qFuzzyIsNull(float)
    {16, 364, 329, 2, Smoke::mf_static, 44, 147},	//165 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {16, 506, 332, 2, Smoke::mf_static, 216, 148},	//166 QGlobalSpace::qstrcpy(char*, const char*)
    {16, 424, 194, 1, Smoke::mf_static, 287, 149},	//167 QGlobalSpace::qHash(int)
    {16, 316, 72, 2, Smoke::mf_static, 241, 150},	//168 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {16, 364, 335, 2, Smoke::mf_static, 35, 151},	//169 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {16, 342, 167, 2, Smoke::mf_static, 214, 152},	//170 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {16, 321, 338, 1, Smoke::mf_static, 239, 153},	//171 QGlobalSpace::operator-(const QPoint&)
    {16, 364, 340, 2, Smoke::mf_static, 52, 154},	//172 QGlobalSpace::operator|(Qt::DropAction, int)
    {16, 331, 343, 2, Smoke::mf_static, 10, 155},	//173 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {16, 364, 346, 2, Smoke::mf_static, 52, 156},	//174 QGlobalSpace::operator|(QDir::SortFlag, int)
    {16, 404, 36, 1, Smoke::mf_static, 276, 157},	//175 QGlobalSpace::qExp(double)
    {16, 471, 194, 1, Smoke::mf_static, 127, 158},	//176 QGlobalSpace::qSetRealNumberPrecision(int)
    {16, 342, 349, 2, Smoke::mf_static, 214, 159},	//177 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {16, 441, 36, 1, Smoke::mf_static, 276, 160},	//178 QGlobalSpace::qLn(double)
    {16, 305, 167, 2, Smoke::mf_static, 214, 161},	//179 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {16, 458, 352, 1, Smoke::mf_static, 0, 162},	//180 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {16, 393, 44, 2, Smoke::mf_static, 290, 163},	//181 QGlobalSpace::qChecksum(const char*, unsigned int)
    {16, 364, 354, 2, Smoke::mf_static, 43, 164},	//182 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {16, 443, 357, 1, Smoke::mf_static, 294, 165},	//183 QGlobalSpace::qMalloc(size_t)
    {16, 453, 0, 0, Smoke::mf_static, 276, 166},	//184 QGlobalSpace::qQNaN()
    {16, 364, 359, 2, Smoke::mf_static, 36, 167},	//185 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {16, 358, 362, 2, Smoke::mf_static, 10, 168},	//186 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {16, 494, 63, 2, Smoke::mf_static, 214, 169},	//187 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {16, 331, 365, 2, Smoke::mf_static, 13, 170},	//188 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {16, 364, 368, 2, Smoke::mf_static, 52, 171},	//189 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {16, 499, 248, 1, Smoke::mf_static, 0, 172},	//190 QGlobalSpace::qsrand(unsigned int)
    {16, 424, 371, 1, Smoke::mf_static, 287, 173},	//191 QGlobalSpace::qHash(long)
    {16, 348, 31, 2, Smoke::mf_static, 214, 174},	//192 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {16, 424, 373, 1, Smoke::mf_static, 287, 175},	//193 QGlobalSpace::qHash(unsigned short)
    {16, 358, 375, 2, Smoke::mf_static, 10, 176},	//194 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {16, 305, 72, 2, Smoke::mf_static, 214, 177},	//195 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {16, 364, 378, 2, Smoke::mf_static, 26, 178},	//196 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {16, 518, 205, 3, Smoke::mf_static, 278, 179},	//197 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {16, 316, 381, 2, Smoke::mf_static, 262, 180},	//198 QGlobalSpace::operator+(char, const QString&)
    {16, 358, 384, 2, Smoke::mf_static, 10, 181},	//199 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {16, 342, 111, 2, Smoke::mf_static, 214, 182},	//200 QGlobalSpace::operator==(QString::Null, const QString&)
    {16, 342, 209, 2, Smoke::mf_static, 214, 183},	//201 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {16, 316, 262, 2, Smoke::mf_static, 218, 184},	//202 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {16, 424, 387, 1, Smoke::mf_static, 287, 185},	//203 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {16, 348, 182, 2, Smoke::mf_static, 214, 186},	//204 QGlobalSpace::operator>(const char*, const QString&)
    {16, 331, 389, 2, Smoke::mf_static, 10, 187},	//205 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {16, 331, 392, 2, Smoke::mf_static, 10, 188},	//206 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {16, 540, 395, 3, Smoke::mf_static, 65, 189},	//207 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {16, 364, 399, 2, Smoke::mf_static, 31, 190},	//208 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {16, 324, 402, 2, Smoke::mf_static, 241, 191},	//209 QGlobalSpace::operator/(const QPointF&, double)
    {16, 305, 405, 2, Smoke::mf_static, 214, 192},	//210 QGlobalSpace::operator!=(bool, QBool)
    {16, 342, 199, 2, Smoke::mf_static, 214, 193},	//211 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {16, 516, 408, 3, Smoke::mf_static, 216, 194},	//212 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {16, 483, 106, 1, Smoke::mf_static, 5, 195},	//213 QGlobalSpace::qUncompress(const QByteArray&)
    {16, 331, 412, 2, Smoke::mf_static, 10, 196},	//214 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {16, 358, 415, 2, Smoke::mf_static, 10, 197},	//215 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {16, 364, 418, 2, Smoke::mf_static, 52, 198},	//216 QGlobalSpace::operator|(Qt::MouseButton, int)
    {16, 321, 421, 1, Smoke::mf_static, 241, 199},	//217 QGlobalSpace::operator-(const QPointF&)
    {16, 342, 405, 2, Smoke::mf_static, 214, 200},	//218 QGlobalSpace::operator==(bool, QBool)
    {16, 496, 0, 0, Smoke::mf_static, 278, 201},	//219 QGlobalSpace::qrand()
    {16, 331, 423, 2, Smoke::mf_static, 13, 202},	//220 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {16, 527, 426, 4, Smoke::mf_static, 0, 203},	//221 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {16, 311, 259, 2, Smoke::mf_static, 2, 204},	//222 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {16, 353, 63, 2, Smoke::mf_static, 214, 205},	//223 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {16, 331, 431, 2, Smoke::mf_static, 13, 206},	//224 QGlobalSpace::operator<<(QDebug, const QSqlError&)
    {16, 364, 434, 2, Smoke::mf_static, 45, 207},	//225 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {16, 364, 437, 2, Smoke::mf_static, 52, 208},	//226 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {16, 305, 440, 2, Smoke::mf_static, 214, 209},	//227 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {16, 497, 443, 4, Smoke::mf_static, 0, 210},	//228 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {16, 402, 0, 0, Smoke::mf_static, 13, 211},	//229 QGlobalSpace::qCritical()
    {16, 364, 448, 2, Smoke::mf_static, 39, 212},	//230 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {16, 305, 63, 2, Smoke::mf_static, 214, 213},	//231 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {16, 305, 132, 2, Smoke::mf_static, 214, 214},	//232 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {16, 326, 51, 2, Smoke::mf_static, 214, 215},	//233 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {16, 342, 440, 2, Smoke::mf_static, 214, 216},	//234 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {16, 331, 451, 2, Smoke::mf_static, 10, 217},	//235 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {16, 316, 454, 2, Smoke::mf_static, 218, 218},	//236 QGlobalSpace::operator+(const QByteArray&, char)
    {16, 364, 457, 2, Smoke::mf_static, 24, 219},	//237 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {16, 364, 460, 2, Smoke::mf_static, 22, 220},	//238 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {16, 358, 463, 2, Smoke::mf_static, 10, 221},	//239 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {16, 324, 466, 2, Smoke::mf_static, 249, 222},	//240 QGlobalSpace::operator/(const QSizeF&, double)
    {16, 353, 199, 2, Smoke::mf_static, 214, 223},	//241 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {16, 331, 469, 2, Smoke::mf_static, 10, 224},	//242 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {16, 342, 132, 2, Smoke::mf_static, 214, 225},	//243 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {16, 381, 472, 1, Smoke::mf_static, 0, 226},	//244 QGlobalSpace::qAddPostRoutine(void(*)())
    {16, 395, 474, 3, Smoke::mf_static, 5, 227},	//245 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {16, 395, 202, 2, Smoke::mf_static, 5, 228},	//246 QGlobalSpace::qCompress(const unsigned char*, int)
    {16, 335, 63, 2, Smoke::mf_static, 214, 229},	//247 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {16, 410, 36, 1, Smoke::mf_static, 276, 230},	//248 QGlobalSpace::qFastSin(double)
    {16, 335, 31, 2, Smoke::mf_static, 214, 231},	//249 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {16, 331, 478, 2, Smoke::mf_static, 10, 232},	//250 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {16, 358, 481, 2, Smoke::mf_static, 10, 233},	//251 QGlobalSpace::operator>>(QDataStream&, QString&)
    {16, 383, 0, 0, Smoke::mf_static, 116, 234},	//252 QGlobalSpace::qAppName()
    {16, 486, 0, 0, Smoke::mf_static, 273, 235},	//253 QGlobalSpace::qVersion()
    {16, 416, 484, 1, Smoke::mf_static, 0, 236},	//254 QGlobalSpace::qFree(void*)
    {16, 364, 486, 2, Smoke::mf_static, 52, 237},	//255 QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    {16, 364, 489, 2, Smoke::mf_static, 52, 238},	//256 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {16, 418, 484, 1, Smoke::mf_static, 0, 239},	//257 QGlobalSpace::qFreeAligned(void*)
    {16, 342, 311, 2, Smoke::mf_static, 214, 240},	//258 QGlobalSpace::operator==(const QString&, QString::Null)
    {16, 331, 492, 2, Smoke::mf_static, 13, 241},	//259 QGlobalSpace::operator<<(QDebug, const QDir&)
    {16, 331, 495, 2, Smoke::mf_static, 124, 242},	//260 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 326, 81, 2, Smoke::mf_static, 214, 243},	//261 QGlobalSpace::operator<(const QByteArray&, const char*)
    {16, 331, 498, 2, Smoke::mf_static, 13, 244},	//262 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {16, 364, 501, 2, Smoke::mf_static, 25, 245},	//263 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {16, 424, 504, 1, Smoke::mf_static, 287, 246},	//264 QGlobalSpace::qHash(const QBitArray&)
    {16, 331, 506, 2, Smoke::mf_static, 13, 247},	//265 QGlobalSpace::operator<<(QDebug, const QTime&)
    {16, 331, 509, 2, Smoke::mf_static, 124, 248},	//266 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {16, 391, 36, 1, Smoke::mf_static, 278, 249},	//267 QGlobalSpace::qCeil(double)
    {16, 305, 98, 2, Smoke::mf_static, 214, 250},	//268 QGlobalSpace::operator!=(QChar, QChar)
    {16, 364, 512, 2, Smoke::mf_static, 38, 251},	//269 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {16, 478, 515, 2, Smoke::mf_static, 214, 252},	//270 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {16, 508, 86, 1, Smoke::mf_static, 216, 253},	//271 QGlobalSpace::qstrdup(const char*)
    {16, 358, 518, 2, Smoke::mf_static, 10, 254},	//272 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {16, 335, 182, 2, Smoke::mf_static, 214, 255},	//273 QGlobalSpace::operator<=(const char*, const QString&)
    {16, 305, 284, 2, Smoke::mf_static, 214, 256},	//274 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {16, 403, 0, 0, Smoke::mf_static, 13, 257},	//275 QGlobalSpace::qDebug()
    {16, 445, 521, 2, Smoke::mf_static, 294, 258},	//276 QGlobalSpace::qMallocAligned(size_t, size_t)
    {16, 305, 515, 2, Smoke::mf_static, 214, 259},	//277 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {16, 451, 75, 2, Smoke::mf_static, 276, 260},	//278 QGlobalSpace::qPow(double, double)
    {16, 335, 51, 2, Smoke::mf_static, 214, 261},	//279 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {16, 331, 524, 2, Smoke::mf_static, 13, 262},	//280 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {16, 364, 527, 2, Smoke::mf_static, 52, 263},	//281 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {16, 358, 495, 2, Smoke::mf_static, 124, 264},	//282 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {16, 316, 530, 2, Smoke::mf_static, 218, 265},	//283 QGlobalSpace::operator+(char, const QByteArray&)
    {16, 342, 63, 2, Smoke::mf_static, 214, 266},	//284 QGlobalSpace::operator==(const char*, const QByteArray&)
    {16, 331, 533, 2, Smoke::mf_static, 10, 267},	//285 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {16, 321, 60, 2, Smoke::mf_static, 247, 268},	//286 QGlobalSpace::operator-(const QSize&, const QSize&)
    {16, 331, 536, 2, Smoke::mf_static, 13, 269},	//287 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {16, 316, 182, 2, Smoke::mf_static, 262, 270},	//288 QGlobalSpace::operator+(const char*, const QString&)
    {16, 364, 539, 2, Smoke::mf_static, 52, 271},	//289 QGlobalSpace::operator|(Qt::WindowState, int)
    {16, 358, 542, 2, Smoke::mf_static, 10, 272},	//290 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {16, 305, 349, 2, Smoke::mf_static, 214, 273},	//291 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {16, 331, 545, 2, Smoke::mf_static, 13, 274},	//292 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {16, 364, 548, 2, Smoke::mf_static, 42, 275},	//293 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {16, 313, 551, 2, Smoke::mf_static, 241, 276},	//294 QGlobalSpace::operator*(double, const QPointF&)
    {16, 358, 554, 2, Smoke::mf_static, 10, 277},	//295 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {16, 364, 557, 2, Smoke::mf_static, 37, 278},	//296 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {16, 342, 31, 2, Smoke::mf_static, 214, 279},	//297 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {16, 313, 560, 2, Smoke::mf_static, 247, 280},	//298 QGlobalSpace::operator*(const QSize&, double)
    {16, 331, 563, 2, Smoke::mf_static, 13, 281},	//299 QGlobalSpace::operator<<(QDebug, const QDate&)
    {16, 364, 566, 2, Smoke::mf_static, 22, 282},	//300 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {16, 548, 569, 4, Smoke::mf_static, 278, 283},	//301 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {16, 313, 574, 2, Smoke::mf_static, 239, 284},	//302 QGlobalSpace::operator*(double, const QPoint&)
    {16, 449, 577, 3, Smoke::mf_static, 294, 285},	//303 QGlobalSpace::qMemSet(void*, int, size_t)
    {16, 331, 581, 2, Smoke::mf_static, 10, 286},	//304 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {16, 529, 584, 2, Smoke::mf_static, 0, 287},	//305 QGlobalSpace::qt_check_pointer(const char*, int)
    {16, 424, 587, 1, Smoke::mf_static, 287, 288},	//306 QGlobalSpace::qHash(short)
    {16, 364, 589, 2, Smoke::mf_static, 27, 289},	//307 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {16, 406, 36, 1, Smoke::mf_static, 276, 290},	//308 QGlobalSpace::qFabs(double)
    {16, 364, 592, 2, Smoke::mf_static, 36, 291},	//309 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {16, 364, 595, 2, Smoke::mf_static, 23, 292},	//310 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {16, 501, 262, 2, Smoke::mf_static, 278, 293},	//311 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {16, 420, 598, 2, Smoke::mf_static, 214, 294},	//312 QGlobalSpace::qFuzzyCompare(float, float)
    {16, 342, 601, 2, Smoke::mf_static, 214, 295},	//313 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {16, 364, 604, 2, Smoke::mf_static, 28, 296},	//314 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {16, 490, 607, 3, Smoke::mf_static, 216, 297},	//315 QGlobalSpace::qgcvt(long double, int, char*)
    {16, 379, 36, 1, Smoke::mf_static, 276, 298},	//316 QGlobalSpace::qAcos(double)
    {16, 364, 611, 2, Smoke::mf_static, 52, 299},	//317 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {16, 364, 614, 2, Smoke::mf_static, 40, 300},	//318 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {16, 353, 262, 2, Smoke::mf_static, 214, 301},	//319 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {16, 364, 617, 2, Smoke::mf_static, 30, 302},	//320 QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    {16, 390, 0, 0, Smoke::mf_static, 0, 303},	//321 QGlobalSpace::qBadAlloc()
    {16, 331, 620, 2, Smoke::mf_static, 13, 304},	//322 QGlobalSpace::operator<<(QDebug, const QLine&)
    {16, 364, 623, 2, Smoke::mf_static, 46, 305},	//323 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {16, 364, 626, 2, Smoke::mf_static, 52, 306},	//324 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {16, 422, 36, 1, Smoke::mf_static, 214, 307},	//325 QGlobalSpace::qFuzzyIsNull(double)
    {16, 395, 629, 2, Smoke::mf_static, 5, 308},	//326 QGlobalSpace::qCompress(const QByteArray&, int)
    {16, 395, 106, 1, Smoke::mf_static, 5, 309},	//327 QGlobalSpace::qCompress(const QByteArray&)
    {16, 364, 632, 2, Smoke::mf_static, 34, 310},	//328 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {16, 364, 635, 2, Smoke::mf_static, 52, 311},	//329 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {16, 364, 638, 2, Smoke::mf_static, 49, 312},	//330 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {16, 364, 641, 2, Smoke::mf_static, 21, 313},	//331 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {16, 331, 644, 2, Smoke::mf_static, 10, 314},	//332 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {16, 331, 647, 2, Smoke::mf_static, 10, 315},	//333 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {16, 331, 650, 2, Smoke::mf_static, 10, 316},	//334 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {16, 384, 36, 1, Smoke::mf_static, 276, 317},	//335 QGlobalSpace::qAsin(double)
    {16, 331, 653, 2, Smoke::mf_static, 13, 318},	//336 QGlobalSpace::operator<<(QDebug, const QRect&)
    {16, 364, 656, 2, Smoke::mf_static, 23, 319},	//337 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {16, 305, 253, 2, Smoke::mf_static, 214, 320},	//338 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {16, 474, 36, 1, Smoke::mf_static, 276, 321},	//339 QGlobalSpace::qSin(double)
    {16, 364, 659, 2, Smoke::mf_static, 52, 322},	//340 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {16, 342, 262, 2, Smoke::mf_static, 214, 323},	//341 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {16, 358, 662, 2, Smoke::mf_static, 10, 324},	//342 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {16, 364, 259, 2, Smoke::mf_static, 2, 325},	//343 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {16, 331, 665, 2, Smoke::mf_static, 10, 326},	//344 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {16, 331, 668, 2, Smoke::mf_static, 10, 327},	//345 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {16, 364, 671, 2, Smoke::mf_static, 52, 328},	//346 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {16, 331, 674, 2, Smoke::mf_static, 10, 329},	//347 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {16, 522, 584, 2, Smoke::mf_static, 116, 330},	//348 QGlobalSpace::qtTrId(const char*, int)
    {16, 522, 86, 1, Smoke::mf_static, 116, 331},	//349 QGlobalSpace::qtTrId(const char*)
    {16, 331, 677, 2, Smoke::mf_static, 13, 332},	//350 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {16, 335, 98, 2, Smoke::mf_static, 214, 333},	//351 QGlobalSpace::operator<=(QChar, QChar)
    {16, 364, 680, 2, Smoke::mf_static, 49, 334},	//352 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {16, 305, 601, 2, Smoke::mf_static, 214, 335},	//353 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {16, 364, 683, 2, Smoke::mf_static, 41, 336},	//354 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {16, 358, 686, 2, Smoke::mf_static, 10, 337},	//355 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {16, 358, 689, 2, Smoke::mf_static, 10, 338},	//356 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {16, 364, 692, 2, Smoke::mf_static, 30, 339},	//357 QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    {16, 546, 695, 3, Smoke::mf_static, 214, 340},	//358 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {16, 324, 560, 2, Smoke::mf_static, 247, 341},	//359 QGlobalSpace::operator/(const QSize&, double)
    {16, 439, 84, 1, Smoke::mf_static, 214, 342},	//360 QGlobalSpace::qIsNull(float)
    {16, 542, 699, 5, Smoke::mf_static, 0, 343},	//361 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {16, 342, 705, 2, Smoke::mf_static, 214, 344},	//362 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {16, 386, 36, 1, Smoke::mf_static, 276, 345},	//363 QGlobalSpace::qAtan(double)
    {16, 358, 708, 2, Smoke::mf_static, 10, 346},	//364 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {16, 364, 711, 2, Smoke::mf_static, 52, 347},	//365 QGlobalSpace::operator|(Qt::Orientation, int)
    {16, 420, 75, 2, Smoke::mf_static, 214, 348},	//366 QGlobalSpace::qFuzzyCompare(double, double)
    {16, 305, 51, 2, Smoke::mf_static, 214, 349},	//367 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {16, 313, 158, 2, Smoke::mf_static, 239, 350},	//368 QGlobalSpace::operator*(const QPoint&, double)
    {16, 364, 714, 2, Smoke::mf_static, 38, 351},	//369 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {16, 364, 717, 2, Smoke::mf_static, 27, 352},	//370 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {16, 466, 0, 0, Smoke::mf_static, 276, 353},	//371 QGlobalSpace::qSNaN()
    {16, 342, 81, 2, Smoke::mf_static, 214, 354},	//372 QGlobalSpace::operator==(const QByteArray&, const char*)
    {16, 313, 466, 2, Smoke::mf_static, 249, 355},	//373 QGlobalSpace::operator*(const QSizeF&, double)
    {16, 342, 515, 2, Smoke::mf_static, 214, 356},	//374 QGlobalSpace::operator==(const QStringRef&, const char*)
    {16, 313, 720, 2, Smoke::mf_static, 247, 357},	//375 QGlobalSpace::operator*(double, const QSize&)
    {16, 326, 31, 2, Smoke::mf_static, 214, 358},	//376 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {16, 305, 723, 2, Smoke::mf_static, 214, 359},	//377 QGlobalSpace::operator!=(QBool, bool)
    {16, 305, 60, 2, Smoke::mf_static, 214, 360},	//378 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {16, 358, 726, 2, Smoke::mf_static, 10, 361},	//379 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {16, 331, 729, 2, Smoke::mf_static, 13, 362},	//380 QGlobalSpace::operator<<(QDebug, const QSize&)
    {16, 305, 199, 2, Smoke::mf_static, 214, 363},	//381 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {16, 331, 732, 2, Smoke::mf_static, 13, 364},	//382 QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    {16, 364, 735, 2, Smoke::mf_static, 33, 365},	//383 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {16, 313, 402, 2, Smoke::mf_static, 241, 366},	//384 QGlobalSpace::operator*(const QPointF&, double)
    {16, 510, 117, 2, Smoke::mf_static, 278, 367},	//385 QGlobalSpace::qstricmp(const char*, const char*)
    {16, 364, 738, 2, Smoke::mf_static, 44, 368},	//386 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {16, 305, 90, 2, Smoke::mf_static, 214, 369},	//387 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {16, 462, 36, 1, Smoke::mf_static, 278, 370},	//388 QGlobalSpace::qRound(double)
    {16, 428, 0, 0, Smoke::mf_static, 276, 371},	//389 QGlobalSpace::qInf()
    {16, 331, 741, 2, Smoke::mf_static, 10, 372},	//390 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {16, 364, 744, 2, Smoke::mf_static, 41, 373},	//391 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {16, 331, 747, 2, Smoke::mf_static, 10, 374},	//392 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {16, 364, 750, 2, Smoke::mf_static, 28, 375},	//393 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {16, 364, 753, 2, Smoke::mf_static, 52, 376},	//394 QGlobalSpace::operator|(Qt::WindowType, int)
    {16, 501, 81, 2, Smoke::mf_static, 278, 377},	//395 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {16, 460, 472, 1, Smoke::mf_static, 0, 378},	//396 QGlobalSpace::qRemovePostRoutine(void(*)())
    {16, 358, 756, 2, Smoke::mf_static, 10, 379},	//397 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {16, 331, 759, 2, Smoke::mf_static, 10, 380},	//398 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {16, 364, 762, 2, Smoke::mf_static, 43, 381},	//399 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {16, 364, 765, 2, Smoke::mf_static, 35, 382},	//400 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {16, 487, 0, 0, Smoke::mf_static, 13, 383},	//401 QGlobalSpace::qWarning()
    {16, 512, 86, 1, Smoke::mf_static, 287, 384},	//402 QGlobalSpace::qstrlen(const char*)
    {16, 342, 723, 2, Smoke::mf_static, 214, 385},	//403 QGlobalSpace::operator==(QBool, bool)
    {16, 358, 768, 2, Smoke::mf_static, 10, 386},	//404 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {16, 358, 771, 2, Smoke::mf_static, 10, 387},	//405 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {16, 424, 774, 1, Smoke::mf_static, 287, 388},	//406 QGlobalSpace::qHash(unsigned long)
    {16, 331, 776, 2, Smoke::mf_static, 10, 389},	//407 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {16, 331, 779, 2, Smoke::mf_static, 10, 390},	//408 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {16, 364, 782, 2, Smoke::mf_static, 29, 391},	//409 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {16, 342, 182, 2, Smoke::mf_static, 214, 392},	//410 QGlobalSpace::operator==(const char*, const QString&)
    {16, 364, 785, 2, Smoke::mf_static, 31, 393},	//411 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {16, 316, 788, 2, Smoke::mf_static, 262, 394},	//412 QGlobalSpace::operator+(const QString&, const QString&)
    {16, 305, 281, 2, Smoke::mf_static, 214, 395},	//413 QGlobalSpace::operator!=(QBool, QBool)
    {16, 364, 791, 2, Smoke::mf_static, 21, 396},	//414 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {16, 533, 794, 2, Smoke::mf_static, 0, 397},	//415 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {16, 331, 797, 2, Smoke::mf_static, 13, 398},	//416 QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    {16, 353, 182, 2, Smoke::mf_static, 214, 399},	//417 QGlobalSpace::operator>=(const char*, const QString&)
    {16, 424, 800, 1, Smoke::mf_static, 287, 400},	//418 QGlobalSpace::qHash(const QStringRef&)
    {16, 439, 36, 1, Smoke::mf_static, 214, 401},	//419 QGlobalSpace::qIsNull(double)
    {16, 364, 802, 2, Smoke::mf_static, 52, 402},	//420 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {16, 353, 51, 2, Smoke::mf_static, 214, 403},	//421 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {16, 348, 81, 2, Smoke::mf_static, 214, 404},	//422 QGlobalSpace::operator>(const QByteArray&, const char*)
    {16, 424, 805, 1, Smoke::mf_static, 287, 405},	//423 QGlobalSpace::qHash(unsigned char)
    {16, 358, 807, 2, Smoke::mf_static, 10, 406},	//424 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {16, 331, 810, 2, Smoke::mf_static, 13, 407},	//425 QGlobalSpace::operator<<(QDebug, const QObject*)
    {16, 364, 813, 2, Smoke::mf_static, 52, 408},	//426 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {16, 305, 262, 2, Smoke::mf_static, 214, 409},	//427 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {16, 358, 816, 2, Smoke::mf_static, 10, 410},	//428 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {16, 331, 819, 2, Smoke::mf_static, 10, 411},	//429 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {16, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 412},	//430 QGlobalSpace::_ISupper (enum)
    {16, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 413},	//431 QGlobalSpace::_ISlower (enum)
    {16, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 414},	//432 QGlobalSpace::_ISalpha (enum)
    {16, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 415},	//433 QGlobalSpace::_ISdigit (enum)
    {16, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 416},	//434 QGlobalSpace::_ISxdigit (enum)
    {16, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 417},	//435 QGlobalSpace::_ISspace (enum)
    {16, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 418},	//436 QGlobalSpace::_ISprint (enum)
    {16, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 419},	//437 QGlobalSpace::_ISgraph (enum)
    {16, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 420},	//438 QGlobalSpace::_ISblank (enum)
    {16, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 421},	//439 QGlobalSpace::_IScntrl (enum)
    {16, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 422},	//440 QGlobalSpace::_ISpunct (enum)
    {16, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 423},	//441 QGlobalSpace::_ISalnum (enum)
    {16, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 424},	//442 QGlobalSpace::QtDebugMsg (enum)
    {16, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 425},	//443 QGlobalSpace::QtWarningMsg (enum)
    {16, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 426},	//444 QGlobalSpace::QtCriticalMsg (enum)
    {16, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 427},	//445 QGlobalSpace::QtFatalMsg (enum)
    {16, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 211, 428},	//446 QGlobalSpace::QtSystemMsg (enum)
    {16, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 429},	//447 QGlobalSpace::__codecvt_ok (enum)
    {16, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 430},	//448 QGlobalSpace::__codecvt_partial (enum)
    {16, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 431},	//449 QGlobalSpace::__codecvt_error (enum)
    {16, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 212, 432},	//450 QGlobalSpace::__codecvt_noconv (enum)
    {27, 201, 822, 1, Smoke::mf_virtual, 214, 0},	//451 QObject::event(QEvent*)
    {27, 202, 824, 2, Smoke::mf_virtual, 214, 0},	//452 QObject::eventFilter(QObject*, QEvent*)
    {27, 706, 827, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//453 QObject::timerEvent(QTimerEvent*)
    {27, 154, 829, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//454 QObject::childEvent(QChildEvent*)
    {27, 176, 822, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//455 QObject::customEvent(QEvent*)
    {27, 164, 86, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//456 QObject::connectNotify(const char*)
    {27, 191, 86, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//457 QObject::disconnectNotify(const char*)
    {36, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 1},	//458 QSql::In (enum)
    {36, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 2},	//459 QSql::Out (enum)
    {36, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 3},	//460 QSql::InOut (enum)
    {36, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 4},	//461 QSql::Binary (enum)
    {36, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 5},	//462 QSql::LowPrecisionInt32 (enum)
    {36, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 6},	//463 QSql::LowPrecisionInt64 (enum)
    {36, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 7},	//464 QSql::LowPrecisionDouble (enum)
    {36, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 8},	//465 QSql::HighPrecision (enum)
    {36, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 9},	//466 QSql::Tables (enum)
    {36, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 10},	//467 QSql::SystemTables (enum)
    {36, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 11},	//468 QSql::Views (enum)
    {36, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 12},	//469 QSql::AllTables (enum)
    {36, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 13},	//470 QSql::BeforeFirstRow (enum)
    {36, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 14},	//471 QSql::AfterLastRow (enum)
    {37, 36, 0, 0, Smoke::mf_ctor, 81, 1},	//472 QSqlDatabase::QSqlDatabase()
    {37, 36, 831, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 81, 2},	//473 QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    {37, 340, 831, 1, 0, 80, 3},	//474 QSqlDatabase::operator=(const QSqlDatabase&)
    {37, 298, 0, 0, 0, 214, 4},	//475 QSqlDatabase::open()
    {37, 298, 788, 2, 0, 214, 5},	//476 QSqlDatabase::open(const QString&, const QString&)
    {37, 159, 0, 0, 0, 0, 6},	//477 QSqlDatabase::close()
    {37, 274, 0, 0, Smoke::mf_const, 214, 7},	//478 QSqlDatabase::isOpen() const
    {37, 275, 0, 0, Smoke::mf_const, 214, 8},	//479 QSqlDatabase::isOpenError() const
    {37, 703, 833, 1, Smoke::mf_const, 120, 9},	//480 QSqlDatabase::tables(QSql::TableType) const
    {37, 374, 268, 1, Smoke::mf_const, 97, 10},	//481 QSqlDatabase::primaryIndex(const QString&) const
    {37, 550, 268, 1, Smoke::mf_const, 105, 11},	//482 QSqlDatabase::record(const QString&) const
    {37, 203, 268, 1, Smoke::mf_const, 100, 12},	//483 QSqlDatabase::exec(const QString&) const
    {37, 282, 0, 0, Smoke::mf_const, 89, 13},	//484 QSqlDatabase::lastError() const
    {37, 278, 0, 0, Smoke::mf_const, 214, 14},	//485 QSqlDatabase::isValid() const
    {37, 715, 0, 0, 0, 214, 15},	//486 QSqlDatabase::transaction()
    {37, 162, 0, 0, 0, 214, 16},	//487 QSqlDatabase::commit()
    {37, 578, 0, 0, 0, 214, 17},	//488 QSqlDatabase::rollback()
    {37, 602, 268, 1, 0, 0, 18},	//489 QSqlDatabase::setDatabaseName(const QString&)
    {37, 677, 268, 1, 0, 0, 19},	//490 QSqlDatabase::setUserName(const QString&)
    {37, 645, 268, 1, 0, 0, 20},	//491 QSqlDatabase::setPassword(const QString&)
    {37, 626, 268, 1, 0, 0, 21},	//492 QSqlDatabase::setHostName(const QString&)
    {37, 647, 194, 1, 0, 0, 22},	//493 QSqlDatabase::setPort(int)
    {37, 595, 268, 1, 0, 0, 23},	//494 QSqlDatabase::setConnectOptions(const QString&)
    {37, 184, 0, 0, Smoke::mf_const, 116, 24},	//495 QSqlDatabase::databaseName() const
    {37, 724, 0, 0, Smoke::mf_const, 116, 25},	//496 QSqlDatabase::userName() const
    {37, 368, 0, 0, Smoke::mf_const, 116, 26},	//497 QSqlDatabase::password() const
    {37, 237, 0, 0, Smoke::mf_const, 116, 27},	//498 QSqlDatabase::hostName() const
    {37, 194, 0, 0, Smoke::mf_const, 116, 28},	//499 QSqlDatabase::driverName() const
    {37, 369, 0, 0, Smoke::mf_const, 278, 29},	//500 QSqlDatabase::port() const
    {37, 165, 0, 0, Smoke::mf_const, 116, 30},	//501 QSqlDatabase::connectOptions() const
    {37, 166, 0, 0, Smoke::mf_const, 116, 31},	//502 QSqlDatabase::connectionName() const
    {37, 639, 835, 1, 0, 0, 32},	//503 QSqlDatabase::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {37, 297, 0, 0, Smoke::mf_const, 76, 33},	//504 QSqlDatabase::numericalPrecisionPolicy() const
    {37, 193, 0, 0, Smoke::mf_const, 82, 34},	//505 QSqlDatabase::driver() const
    {37, 123, 788, 2, Smoke::mf_static, 79, 35},	//506 QSqlDatabase::addDatabase(const QString&, const QString&)
    {37, 123, 837, 2, Smoke::mf_static, 79, 36},	//507 QSqlDatabase::addDatabase(QSqlDriver*, const QString&)
    {37, 157, 840, 2, Smoke::mf_static, 79, 37},	//508 QSqlDatabase::cloneDatabase(const QSqlDatabase&, const QString&)
    {37, 181, 843, 2, Smoke::mf_static, 79, 38},	//509 QSqlDatabase::database(const QString&, bool)
    {37, 563, 268, 1, Smoke::mf_static, 0, 39},	//510 QSqlDatabase::removeDatabase(const QString&)
    {37, 168, 268, 1, Smoke::mf_static, 214, 40},	//511 QSqlDatabase::contains(const QString&)
    {37, 196, 0, 0, Smoke::mf_static, 120, 41},	//512 QSqlDatabase::drivers()
    {37, 167, 0, 0, Smoke::mf_static, 120, 42},	//513 QSqlDatabase::connectionNames()
    {37, 552, 846, 2, Smoke::mf_static, 0, 43},	//514 QSqlDatabase::registerSqlDriver(const QString&, QSqlDriverCreatorBase*)
    {37, 262, 268, 1, Smoke::mf_static, 214, 44},	//515 QSqlDatabase::isDriverAvailable(const QString&)
    {37, 36, 268, 1, Smoke::mf_ctor|Smoke::mf_protected, 81, 45},	//516 QSqlDatabase::QSqlDatabase(const QString&)
    {37, 36, 849, 1, Smoke::mf_ctor|Smoke::mf_protected, 81, 46},	//517 QSqlDatabase::QSqlDatabase(QSqlDriver*)
    {37, 703, 0, 0, Smoke::mf_const, 120, 47},	//518 QSqlDatabase::tables() const
    {37, 203, 0, 0, Smoke::mf_const, 100, 48},	//519 QSqlDatabase::exec() const
    {37, 595, 0, 0, 0, 0, 49},	//520 QSqlDatabase::setConnectOptions()
    {37, 123, 268, 1, Smoke::mf_static, 79, 50},	//521 QSqlDatabase::addDatabase(const QString&)
    {37, 123, 849, 1, Smoke::mf_static, 79, 51},	//522 QSqlDatabase::addDatabase(QSqlDriver*)
    {37, 181, 0, 0, Smoke::mf_static, 79, 52},	//523 QSqlDatabase::database()
    {37, 181, 268, 1, Smoke::mf_static, 79, 53},	//524 QSqlDatabase::database(const QString&)
    {37, 168, 0, 0, Smoke::mf_static, 214, 54},	//525 QSqlDatabase::contains()
    {37, 186, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 273, 55},	//526 QSqlDatabase::defaultConnection() const
    {37, 606, 86, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 56},	//527 QSqlDatabase::setDefaultConnection(const char*)
    {37, 729, 0, 0, Smoke::mf_dtor, 0, 57 },	//528 QSqlDatabase::~QSqlDatabase()
    {38, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//529 QSqlDriver::metaObject() const
    {38, 537, 86, 1, Smoke::mf_virtual, 294, 2},	//530 QSqlDriver::qt_metacast(const char*)
    {38, 707, 117, 2, Smoke::mf_static, 116, 3},	//531 QSqlDriver::tr(const char*, const char*)
    {38, 711, 117, 2, Smoke::mf_static, 116, 4},	//532 QSqlDriver::trUtf8(const char*, const char*)
    {38, 707, 305, 3, Smoke::mf_static, 116, 5},	//533 QSqlDriver::tr(const char*, const char*, int)
    {38, 711, 305, 3, Smoke::mf_static, 116, 6},	//534 QSqlDriver::trUtf8(const char*, const char*, int)
    {38, 535, 851, 3, Smoke::mf_virtual, 278, 7},	//535 QSqlDriver::qt_metacall(QMetaObject::Call, int, void**)
    {38, 39, 855, 1, Smoke::mf_ctor, 82, 8},	//536 QSqlDriver::QSqlDriver(QObject*)
    {38, 274, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//537 QSqlDriver::isOpen() const
    {38, 275, 0, 0, Smoke::mf_const, 214, 10},	//538 QSqlDriver::isOpenError() const
    {38, 138, 0, 0, Smoke::mf_virtual, 214, 11},	//539 QSqlDriver::beginTransaction()
    {38, 163, 0, 0, Smoke::mf_virtual, 214, 12},	//540 QSqlDriver::commitTransaction()
    {38, 579, 0, 0, Smoke::mf_virtual, 214, 13},	//541 QSqlDriver::rollbackTransaction()
    {38, 703, 833, 1, Smoke::mf_const|Smoke::mf_virtual, 120, 14},	//542 QSqlDriver::tables(QSql::TableType) const
    {38, 374, 268, 1, Smoke::mf_const|Smoke::mf_virtual, 97, 15},	//543 QSqlDriver::primaryIndex(const QString&) const
    {38, 550, 268, 1, Smoke::mf_const|Smoke::mf_virtual, 105, 16},	//544 QSqlDriver::record(const QString&) const
    {38, 227, 857, 2, Smoke::mf_const|Smoke::mf_virtual, 116, 17},	//545 QSqlDriver::formatValue(const QSqlField&, bool) const
    {38, 199, 860, 2, Smoke::mf_const|Smoke::mf_virtual, 116, 18},	//546 QSqlDriver::escapeIdentifier(const QString&, QSqlDriver::IdentifierType) const
    {38, 686, 863, 4, Smoke::mf_const|Smoke::mf_virtual, 116, 19},	//547 QSqlDriver::sqlStatement(QSqlDriver::StatementType, const QString&, const QSqlRecord&, bool) const
    {38, 282, 0, 0, Smoke::mf_const, 89, 20},	//548 QSqlDriver::lastError() const
    {38, 230, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 133, 21},	//549 QSqlDriver::handle() const
    {38, 231, 868, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 22},	//550 QSqlDriver::hasFeature(QSqlDriver::DriverFeature) const [pure virtual]
    {38, 159, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//551 QSqlDriver::close() [pure virtual]
    {38, 174, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 111, 24},	//552 QSqlDriver::createResult() const [pure virtual]
    {38, 298, 870, 6, Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 25},	//553 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int, const QString&) [pure virtual]
    {38, 695, 268, 1, 0, 214, 26},	//554 QSqlDriver::subscribeToNotification(const QString&)
    {38, 718, 268, 1, 0, 214, 27},	//555 QSqlDriver::unsubscribeFromNotification(const QString&)
    {38, 699, 0, 0, Smoke::mf_const, 120, 28},	//556 QSqlDriver::subscribedToNotifications() const
    {38, 268, 860, 2, Smoke::mf_const, 214, 29},	//557 QSqlDriver::isIdentifierEscaped(const QString&, QSqlDriver::IdentifierType) const
    {38, 689, 860, 2, Smoke::mf_const, 116, 30},	//558 QSqlDriver::stripDelimiters(const QString&, QSqlDriver::IdentifierType) const
    {38, 639, 835, 1, 0, 0, 31},	//559 QSqlDriver::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {38, 297, 0, 0, Smoke::mf_const, 76, 32},	//560 QSqlDriver::numericalPrecisionPolicy() const
    {38, 293, 268, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//561 QSqlDriver::notification(const QString&)
    {38, 641, 877, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//562 QSqlDriver::setOpen(bool)
    {38, 643, 877, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//563 QSqlDriver::setOpenError(bool)
    {38, 629, 879, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 36},	//564 QSqlDriver::setLastError(const QSqlError&)
    {38, 697, 268, 1, Smoke::mf_protected|Smoke::mf_slot, 214, 37},	//565 QSqlDriver::subscribeToNotificationImplementation(const QString&)
    {38, 720, 268, 1, Smoke::mf_protected|Smoke::mf_slot, 214, 38},	//566 QSqlDriver::unsubscribeFromNotificationImplementation(const QString&)
    {38, 700, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 120, 39},	//567 QSqlDriver::subscribedToNotificationsImplementation() const
    {38, 270, 860, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 214, 40},	//568 QSqlDriver::isIdentifierEscapedImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 691, 860, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_slot, 116, 41},	//569 QSqlDriver::stripDelimitersImplementation(const QString&, QSqlDriver::IdentifierType) const
    {38, 707, 86, 1, Smoke::mf_static, 116, 42},	//570 QSqlDriver::tr(const char*)
    {38, 711, 86, 1, Smoke::mf_static, 116, 43},	//571 QSqlDriver::trUtf8(const char*)
    {38, 39, 0, 0, Smoke::mf_ctor, 82, 44},	//572 QSqlDriver::QSqlDriver()
    {38, 227, 881, 1, Smoke::mf_const, 116, 45},	//573 QSqlDriver::formatValue(const QSqlField&) const
    {38, 298, 268, 1, 0, 214, 46},	//574 QSqlDriver::open(const QString&)
    {38, 298, 788, 2, 0, 214, 47},	//575 QSqlDriver::open(const QString&, const QString&)
    {38, 298, 883, 3, 0, 214, 48},	//576 QSqlDriver::open(const QString&, const QString&, const QString&)
    {38, 298, 887, 4, 0, 214, 49},	//577 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&)
    {38, 298, 892, 5, 0, 214, 50},	//578 QSqlDriver::open(const QString&, const QString&, const QString&, const QString&, int)
    {38, 688, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 51},	//579 QSqlDriver::staticMetaObject() const
    {38, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 52},	//580 QSqlDriver::Transactions (enum)
    {38, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 53},	//581 QSqlDriver::QuerySize (enum)
    {38, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 54},	//582 QSqlDriver::BLOB (enum)
    {38, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 55},	//583 QSqlDriver::Unicode (enum)
    {38, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 56},	//584 QSqlDriver::PreparedQueries (enum)
    {38, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 57},	//585 QSqlDriver::NamedPlaceholders (enum)
    {38, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 58},	//586 QSqlDriver::PositionalPlaceholders (enum)
    {38, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 59},	//587 QSqlDriver::LastInsertId (enum)
    {38, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 60},	//588 QSqlDriver::BatchOperations (enum)
    {38, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 61},	//589 QSqlDriver::SimpleLocking (enum)
    {38, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 62},	//590 QSqlDriver::LowPrecisionNumbers (enum)
    {38, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 63},	//591 QSqlDriver::EventNotifications (enum)
    {38, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 64},	//592 QSqlDriver::FinishQuery (enum)
    {38, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 65},	//593 QSqlDriver::MultipleResultSets (enum)
    {38, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 66},	//594 QSqlDriver::WhereStatement (enum)
    {38, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 67},	//595 QSqlDriver::SelectStatement (enum)
    {38, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 68},	//596 QSqlDriver::UpdateStatement (enum)
    {38, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 69},	//597 QSqlDriver::InsertStatement (enum)
    {38, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 70},	//598 QSqlDriver::DeleteStatement (enum)
    {38, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 71},	//599 QSqlDriver::FieldName (enum)
    {38, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 72},	//600 QSqlDriver::TableName (enum)
    {38, 730, 0, 0, Smoke::mf_dtor, 0, 73 },	//601 QSqlDriver::~QSqlDriver()
    {39, 173, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 82, 1},	//602 QSqlDriverCreatorBase::createObject() const [pure virtual]
    {39, 41, 0, 0, Smoke::mf_ctor, 86, 2},	//603 QSqlDriverCreatorBase::QSqlDriverCreatorBase()
    {39, 41, 898, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 86, 3},	//604 QSqlDriverCreatorBase::QSqlDriverCreatorBase(const QSqlDriverCreatorBase&)
    {39, 731, 0, 0, Smoke::mf_dtor, 0, 4 },	//605 QSqlDriverCreatorBase::~QSqlDriverCreatorBase()
    {40, 171, 268, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 82, 1},	//606 QSqlDriverFactoryInterface::create(const QString&) [pure virtual]
    {40, 43, 0, 0, Smoke::mf_ctor, 87, 2},	//607 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface()
    {40, 43, 900, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 3},	//608 QSqlDriverFactoryInterface::QSqlDriverFactoryInterface(const QSqlDriverFactoryInterface&)
    {40, 732, 0, 0, Smoke::mf_dtor, 0, 4 },	//609 QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface()
    {41, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//610 QSqlDriverPlugin::metaObject() const
    {41, 537, 86, 1, Smoke::mf_virtual, 294, 2},	//611 QSqlDriverPlugin::qt_metacast(const char*)
    {41, 707, 117, 2, Smoke::mf_static, 116, 3},	//612 QSqlDriverPlugin::tr(const char*, const char*)
    {41, 711, 117, 2, Smoke::mf_static, 116, 4},	//613 QSqlDriverPlugin::trUtf8(const char*, const char*)
    {41, 707, 305, 3, Smoke::mf_static, 116, 5},	//614 QSqlDriverPlugin::tr(const char*, const char*, int)
    {41, 711, 305, 3, Smoke::mf_static, 116, 6},	//615 QSqlDriverPlugin::trUtf8(const char*, const char*, int)
    {41, 535, 851, 3, Smoke::mf_virtual, 278, 7},	//616 QSqlDriverPlugin::qt_metacall(QMetaObject::Call, int, void**)
    {41, 45, 855, 1, Smoke::mf_ctor, 88, 8},	//617 QSqlDriverPlugin::QSqlDriverPlugin(QObject*)
    {41, 280, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 120, 9},	//618 QSqlDriverPlugin::keys() const [pure virtual]
    {41, 171, 268, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 82, 10},	//619 QSqlDriverPlugin::create(const QString&) [pure virtual]
    {41, 707, 86, 1, Smoke::mf_static, 116, 11},	//620 QSqlDriverPlugin::tr(const char*)
    {41, 711, 86, 1, Smoke::mf_static, 116, 12},	//621 QSqlDriverPlugin::trUtf8(const char*)
    {41, 45, 0, 0, Smoke::mf_ctor, 88, 13},	//622 QSqlDriverPlugin::QSqlDriverPlugin()
    {41, 688, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 14},	//623 QSqlDriverPlugin::staticMetaObject() const
    {41, 733, 0, 0, Smoke::mf_dtor, 0, 15 },	//624 QSqlDriverPlugin::~QSqlDriverPlugin()
    {42, 47, 902, 4, Smoke::mf_ctor, 91, 1},	//625 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType, int)
    {42, 47, 879, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 2},	//626 QSqlError::QSqlError(const QSqlError&)
    {42, 340, 879, 1, 0, 90, 3},	//627 QSqlError::operator=(const QSqlError&)
    {42, 195, 0, 0, Smoke::mf_const, 116, 4},	//628 QSqlError::driverText() const
    {42, 612, 268, 1, 0, 0, 5},	//629 QSqlError::setDriverText(const QString&)
    {42, 185, 0, 0, Smoke::mf_const, 116, 6},	//630 QSqlError::databaseText() const
    {42, 604, 268, 1, 0, 0, 7},	//631 QSqlError::setDatabaseText(const QString&)
    {42, 716, 0, 0, Smoke::mf_const, 92, 8},	//632 QSqlError::type() const
    {42, 675, 907, 1, 0, 0, 9},	//633 QSqlError::setType(QSqlError::ErrorType)
    {42, 296, 0, 0, Smoke::mf_const, 278, 10},	//634 QSqlError::number() const
    {42, 637, 194, 1, 0, 0, 11},	//635 QSqlError::setNumber(int)
    {42, 705, 0, 0, Smoke::mf_const, 116, 12},	//636 QSqlError::text() const
    {42, 278, 0, 0, Smoke::mf_const, 214, 13},	//637 QSqlError::isValid() const
    {42, 47, 0, 0, Smoke::mf_ctor, 91, 14},	//638 QSqlError::QSqlError()
    {42, 47, 268, 1, Smoke::mf_ctor, 91, 15},	//639 QSqlError::QSqlError(const QString&)
    {42, 47, 788, 2, Smoke::mf_ctor, 91, 16},	//640 QSqlError::QSqlError(const QString&, const QString&)
    {42, 47, 909, 3, Smoke::mf_ctor, 91, 17},	//641 QSqlError::QSqlError(const QString&, const QString&, QSqlError::ErrorType)
    {42, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 18},	//642 QSqlError::NoError (enum)
    {42, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 19},	//643 QSqlError::ConnectionError (enum)
    {42, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 20},	//644 QSqlError::StatementError (enum)
    {42, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 21},	//645 QSqlError::TransactionError (enum)
    {42, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 92, 22},	//646 QSqlError::UnknownError (enum)
    {42, 734, 0, 0, Smoke::mf_dtor, 0, 23 },	//647 QSqlError::~QSqlError()
    {43, 53, 913, 2, Smoke::mf_ctor, 95, 1},	//648 QSqlField::QSqlField(const QString&, QVariant::Type)
    {43, 53, 881, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 2},	//649 QSqlField::QSqlField(const QSqlField&)
    {43, 340, 881, 1, 0, 94, 3},	//650 QSqlField::operator=(const QSqlField&)
    {43, 342, 881, 1, Smoke::mf_const, 214, 4},	//651 QSqlField::operator==(const QSqlField&) const
    {43, 305, 881, 1, Smoke::mf_const, 214, 5},	//652 QSqlField::operator!=(const QSqlField&) const
    {43, 679, 916, 1, 0, 0, 6},	//653 QSqlField::setValue(const QVariant&)
    {43, 725, 0, 0, Smoke::mf_const, 133, 7},	//654 QSqlField::value() const
    {43, 633, 268, 1, 0, 0, 8},	//655 QSqlField::setName(const QString&)
    {43, 290, 0, 0, Smoke::mf_const, 116, 9},	//656 QSqlField::name() const
    {43, 272, 0, 0, Smoke::mf_const, 214, 10},	//657 QSqlField::isNull() const
    {43, 657, 877, 1, 0, 0, 11},	//658 QSqlField::setReadOnly(bool)
    {43, 276, 0, 0, Smoke::mf_const, 214, 12},	//659 QSqlField::isReadOnly() const
    {43, 155, 0, 0, 0, 0, 13},	//660 QSqlField::clear()
    {43, 716, 0, 0, Smoke::mf_const, 135, 14},	//661 QSqlField::type() const
    {43, 257, 0, 0, Smoke::mf_const, 214, 15},	//662 QSqlField::isAutoValue() const
    {43, 675, 918, 1, 0, 0, 16},	//663 QSqlField::setType(QVariant::Type)
    {43, 665, 920, 1, 0, 0, 17},	//664 QSqlField::setRequiredStatus(QSqlField::RequiredStatus)
    {43, 663, 877, 1, 0, 0, 18},	//665 QSqlField::setRequired(bool)
    {43, 631, 194, 1, 0, 0, 19},	//666 QSqlField::setLength(int)
    {43, 649, 194, 1, 0, 0, 20},	//667 QSqlField::setPrecision(int)
    {43, 608, 916, 1, 0, 0, 21},	//668 QSqlField::setDefaultValue(const QVariant&)
    {43, 671, 194, 1, 0, 0, 22},	//669 QSqlField::setSqlType(int)
    {43, 620, 877, 1, 0, 0, 23},	//670 QSqlField::setGenerated(bool)
    {43, 593, 877, 1, 0, 0, 24},	//671 QSqlField::setAutoValue(bool)
    {43, 570, 0, 0, Smoke::mf_const, 96, 25},	//672 QSqlField::requiredStatus() const
    {43, 285, 0, 0, Smoke::mf_const, 278, 26},	//673 QSqlField::length() const
    {43, 370, 0, 0, Smoke::mf_const, 278, 27},	//674 QSqlField::precision() const
    {43, 187, 0, 0, Smoke::mf_const, 133, 28},	//675 QSqlField::defaultValue() const
    {43, 717, 0, 0, Smoke::mf_const, 278, 29},	//676 QSqlField::typeID() const
    {43, 266, 0, 0, Smoke::mf_const, 214, 30},	//677 QSqlField::isGenerated() const
    {43, 278, 0, 0, Smoke::mf_const, 214, 31},	//678 QSqlField::isValid() const
    {43, 53, 0, 0, Smoke::mf_ctor, 95, 32},	//679 QSqlField::QSqlField()
    {43, 53, 268, 1, Smoke::mf_ctor, 95, 33},	//680 QSqlField::QSqlField(const QString&)
    {43, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 34},	//681 QSqlField::Unknown (enum)
    {43, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 35},	//682 QSqlField::Optional (enum)
    {43, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 36},	//683 QSqlField::Required (enum)
    {43, 735, 0, 0, Smoke::mf_dtor, 0, 37 },	//684 QSqlField::~QSqlField()
    {44, 57, 788, 2, Smoke::mf_ctor, 99, 1},	//685 QSqlIndex::QSqlIndex(const QString&, const QString&)
    {44, 57, 922, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 99, 2},	//686 QSqlIndex::QSqlIndex(const QSqlIndex&)
    {44, 340, 922, 1, 0, 98, 3},	//687 QSqlIndex::operator=(const QSqlIndex&)
    {44, 597, 268, 1, 0, 0, 4},	//688 QSqlIndex::setCursorName(const QString&)
    {44, 175, 0, 0, Smoke::mf_const, 116, 5},	//689 QSqlIndex::cursorName() const
    {44, 633, 268, 1, 0, 0, 6},	//690 QSqlIndex::setName(const QString&)
    {44, 290, 0, 0, Smoke::mf_const, 116, 7},	//691 QSqlIndex::name() const
    {44, 128, 881, 1, 0, 0, 8},	//692 QSqlIndex::append(const QSqlField&)
    {44, 128, 857, 2, 0, 0, 9},	//693 QSqlIndex::append(const QSqlField&, bool)
    {44, 258, 194, 1, Smoke::mf_const, 214, 10},	//694 QSqlIndex::isDescending(int) const
    {44, 610, 924, 2, 0, 0, 11},	//695 QSqlIndex::setDescending(int, bool)
    {44, 57, 0, 0, Smoke::mf_ctor, 99, 12},	//696 QSqlIndex::QSqlIndex()
    {44, 57, 268, 1, Smoke::mf_ctor, 99, 13},	//697 QSqlIndex::QSqlIndex(const QString&)
    {44, 736, 0, 0, Smoke::mf_dtor, 0, 14 },	//698 QSqlIndex::~QSqlIndex()
    {45, 61, 927, 1, Smoke::mf_ctor, 102, 1},	//699 QSqlQuery::QSqlQuery(QSqlResult*)
    {45, 61, 929, 2, Smoke::mf_ctor, 102, 2},	//700 QSqlQuery::QSqlQuery(const QString&, QSqlDatabase)
    {45, 61, 932, 1, Smoke::mf_ctor, 102, 3},	//701 QSqlQuery::QSqlQuery(QSqlDatabase)
    {45, 61, 934, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 102, 4},	//702 QSqlQuery::QSqlQuery(const QSqlQuery&)
    {45, 340, 934, 1, 0, 101, 5},	//703 QSqlQuery::operator=(const QSqlQuery&)
    {45, 278, 0, 0, Smoke::mf_const, 214, 6},	//704 QSqlQuery::isValid() const
    {45, 256, 0, 0, Smoke::mf_const, 214, 7},	//705 QSqlQuery::isActive() const
    {45, 272, 194, 1, Smoke::mf_const, 214, 8},	//706 QSqlQuery::isNull(int) const
    {45, 131, 0, 0, Smoke::mf_const, 278, 9},	//707 QSqlQuery::at() const
    {45, 284, 0, 0, Smoke::mf_const, 116, 10},	//708 QSqlQuery::lastQuery() const
    {45, 295, 0, 0, Smoke::mf_const, 278, 11},	//709 QSqlQuery::numRowsAffected() const
    {45, 282, 0, 0, Smoke::mf_const, 89, 12},	//710 QSqlQuery::lastError() const
    {45, 277, 0, 0, Smoke::mf_const, 214, 13},	//711 QSqlQuery::isSelect() const
    {45, 682, 0, 0, Smoke::mf_const, 278, 14},	//712 QSqlQuery::size() const
    {45, 193, 0, 0, Smoke::mf_const, 252, 15},	//713 QSqlQuery::driver() const
    {45, 573, 0, 0, Smoke::mf_const, 261, 16},	//714 QSqlQuery::result() const
    {45, 265, 0, 0, Smoke::mf_const, 214, 17},	//715 QSqlQuery::isForwardOnly() const
    {45, 550, 0, 0, Smoke::mf_const, 105, 18},	//716 QSqlQuery::record() const
    {45, 618, 877, 1, 0, 0, 19},	//717 QSqlQuery::setForwardOnly(bool)
    {45, 203, 268, 1, 0, 214, 20},	//718 QSqlQuery::exec(const QString&)
    {45, 725, 194, 1, Smoke::mf_const, 133, 21},	//719 QSqlQuery::value(int) const
    {45, 639, 835, 1, 0, 0, 22},	//720 QSqlQuery::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {45, 297, 0, 0, Smoke::mf_const, 76, 23},	//721 QSqlQuery::numericalPrecisionPolicy() const
    {45, 584, 924, 2, 0, 214, 24},	//722 QSqlQuery::seek(int, bool)
    {45, 291, 0, 0, 0, 214, 25},	//723 QSqlQuery::next()
    {45, 373, 0, 0, 0, 214, 26},	//724 QSqlQuery::previous()
    {45, 224, 0, 0, 0, 214, 27},	//725 QSqlQuery::first()
    {45, 281, 0, 0, 0, 214, 28},	//726 QSqlQuery::last()
    {45, 155, 0, 0, 0, 0, 29},	//727 QSqlQuery::clear()
    {45, 203, 0, 0, 0, 214, 30},	//728 QSqlQuery::exec()
    {45, 205, 936, 1, 0, 214, 31},	//729 QSqlQuery::execBatch(QSqlQuery::BatchExecutionMode)
    {45, 371, 268, 1, 0, 214, 32},	//730 QSqlQuery::prepare(const QString&)
    {45, 139, 938, 3, 0, 0, 33},	//731 QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 139, 942, 3, 0, 0, 34},	//732 QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 120, 946, 2, 0, 0, 35},	//733 QSqlQuery::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {45, 145, 268, 1, Smoke::mf_const, 133, 36},	//734 QSqlQuery::boundValue(const QString&) const
    {45, 145, 194, 1, Smoke::mf_const, 133, 37},	//735 QSqlQuery::boundValue(int) const
    {45, 150, 0, 0, Smoke::mf_const, 60, 38},	//736 QSqlQuery::boundValues() const
    {45, 207, 0, 0, Smoke::mf_const, 116, 39},	//737 QSqlQuery::executedQuery() const
    {45, 283, 0, 0, Smoke::mf_const, 133, 40},	//738 QSqlQuery::lastInsertId() const
    {45, 223, 0, 0, 0, 0, 41},	//739 QSqlQuery::finish()
    {45, 292, 0, 0, 0, 214, 42},	//740 QSqlQuery::nextResult()
    {45, 61, 0, 0, Smoke::mf_ctor, 102, 43},	//741 QSqlQuery::QSqlQuery()
    {45, 61, 268, 1, Smoke::mf_ctor, 102, 44},	//742 QSqlQuery::QSqlQuery(const QString&)
    {45, 584, 194, 1, 0, 214, 45},	//743 QSqlQuery::seek(int)
    {45, 205, 0, 0, 0, 214, 46},	//744 QSqlQuery::execBatch()
    {45, 139, 949, 2, 0, 0, 47},	//745 QSqlQuery::bindValue(const QString&, const QVariant&)
    {45, 139, 952, 2, 0, 0, 48},	//746 QSqlQuery::bindValue(int, const QVariant&)
    {45, 120, 916, 1, 0, 0, 49},	//747 QSqlQuery::addBindValue(const QVariant&)
    {45, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 50},	//748 QSqlQuery::ValuesAsRows (enum)
    {45, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 51},	//749 QSqlQuery::ValuesAsColumns (enum)
    {45, 737, 0, 0, Smoke::mf_dtor, 0, 52 },	//750 QSqlQuery::~QSqlQuery()
    {46, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//751 QSqlQueryModel::metaObject() const
    {46, 537, 86, 1, Smoke::mf_virtual, 294, 2},	//752 QSqlQueryModel::qt_metacast(const char*)
    {46, 707, 117, 2, Smoke::mf_static, 116, 3},	//753 QSqlQueryModel::tr(const char*, const char*)
    {46, 711, 117, 2, Smoke::mf_static, 116, 4},	//754 QSqlQueryModel::trUtf8(const char*, const char*)
    {46, 707, 305, 3, Smoke::mf_static, 116, 5},	//755 QSqlQueryModel::tr(const char*, const char*, int)
    {46, 711, 305, 3, Smoke::mf_static, 116, 6},	//756 QSqlQueryModel::trUtf8(const char*, const char*, int)
    {46, 535, 851, 3, Smoke::mf_virtual, 278, 7},	//757 QSqlQueryModel::qt_metacall(QMetaObject::Call, int, void**)
    {46, 65, 855, 1, Smoke::mf_ctor, 104, 8},	//758 QSqlQueryModel::QSqlQueryModel(QObject*)
    {46, 580, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 9},	//759 QSqlQueryModel::rowCount(const QModelIndex&) const
    {46, 160, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 10},	//760 QSqlQueryModel::columnCount(const QModelIndex&) const
    {46, 550, 194, 1, Smoke::mf_const, 105, 11},	//761 QSqlQueryModel::record(int) const
    {46, 550, 0, 0, Smoke::mf_const, 105, 12},	//762 QSqlQueryModel::record() const
    {46, 177, 955, 2, Smoke::mf_const|Smoke::mf_virtual, 133, 13},	//763 QSqlQueryModel::data(const QModelIndex&, int) const
    {46, 234, 958, 3, Smoke::mf_const|Smoke::mf_virtual, 133, 14},	//764 QSqlQueryModel::headerData(int, Qt::Orientation, int) const
    {46, 623, 962, 4, Smoke::mf_virtual, 214, 15},	//765 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {46, 246, 12, 3, Smoke::mf_virtual, 214, 16},	//766 QSqlQueryModel::insertColumns(int, int, const QModelIndex&)
    {46, 560, 12, 3, Smoke::mf_virtual, 214, 17},	//767 QSqlQueryModel::removeColumns(int, int, const QModelIndex&)
    {46, 653, 934, 1, 0, 0, 18},	//768 QSqlQueryModel::setQuery(const QSqlQuery&)
    {46, 653, 967, 2, 0, 0, 19},	//769 QSqlQueryModel::setQuery(const QString&, const QSqlDatabase&)
    {46, 544, 0, 0, Smoke::mf_const, 100, 20},	//770 QSqlQueryModel::query() const
    {46, 155, 0, 0, Smoke::mf_virtual, 0, 21},	//771 QSqlQueryModel::clear()
    {46, 282, 0, 0, Smoke::mf_const, 89, 22},	//772 QSqlQueryModel::lastError() const
    {46, 212, 5, 1, Smoke::mf_virtual, 0, 23},	//773 QSqlQueryModel::fetchMore(const QModelIndex&)
    {46, 152, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 24},	//774 QSqlQueryModel::canFetchMore(const QModelIndex&) const
    {46, 545, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//775 QSqlQueryModel::queryChange()
    {46, 240, 5, 1, Smoke::mf_const|Smoke::mf_protected, 64, 26},	//776 QSqlQueryModel::indexInQuery(const QModelIndex&) const
    {46, 629, 879, 1, Smoke::mf_protected, 0, 27},	//777 QSqlQueryModel::setLastError(const QSqlError&)
    {46, 707, 86, 1, Smoke::mf_static, 116, 28},	//778 QSqlQueryModel::tr(const char*)
    {46, 711, 86, 1, Smoke::mf_static, 116, 29},	//779 QSqlQueryModel::trUtf8(const char*)
    {46, 65, 0, 0, Smoke::mf_ctor, 104, 30},	//780 QSqlQueryModel::QSqlQueryModel()
    {46, 580, 0, 0, Smoke::mf_const, 278, 31},	//781 QSqlQueryModel::rowCount() const
    {46, 160, 0, 0, Smoke::mf_const, 278, 32},	//782 QSqlQueryModel::columnCount() const
    {46, 177, 5, 1, Smoke::mf_const, 133, 33},	//783 QSqlQueryModel::data(const QModelIndex&) const
    {46, 234, 970, 2, Smoke::mf_const, 133, 34},	//784 QSqlQueryModel::headerData(int, Qt::Orientation) const
    {46, 623, 973, 3, 0, 214, 35},	//785 QSqlQueryModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {46, 246, 977, 2, 0, 214, 36},	//786 QSqlQueryModel::insertColumns(int, int)
    {46, 560, 977, 2, 0, 214, 37},	//787 QSqlQueryModel::removeColumns(int, int)
    {46, 653, 268, 1, 0, 0, 38},	//788 QSqlQueryModel::setQuery(const QString&)
    {46, 212, 0, 0, 0, 0, 39},	//789 QSqlQueryModel::fetchMore()
    {46, 152, 0, 0, Smoke::mf_const, 214, 40},	//790 QSqlQueryModel::canFetchMore() const
    {46, 688, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 41},	//791 QSqlQueryModel::staticMetaObject() const
    {46, 738, 0, 0, Smoke::mf_dtor, 0, 42 },	//792 QSqlQueryModel::~QSqlQueryModel()
    {47, 67, 0, 0, Smoke::mf_ctor, 107, 1},	//793 QSqlRecord::QSqlRecord()
    {47, 67, 980, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 107, 2},	//794 QSqlRecord::QSqlRecord(const QSqlRecord&)
    {47, 340, 980, 1, 0, 106, 3},	//795 QSqlRecord::operator=(const QSqlRecord&)
    {47, 342, 980, 1, Smoke::mf_const, 214, 4},	//796 QSqlRecord::operator==(const QSqlRecord&) const
    {47, 305, 980, 1, Smoke::mf_const, 214, 5},	//797 QSqlRecord::operator!=(const QSqlRecord&) const
    {47, 725, 194, 1, Smoke::mf_const, 133, 6},	//798 QSqlRecord::value(int) const
    {47, 725, 268, 1, Smoke::mf_const, 133, 7},	//799 QSqlRecord::value(const QString&) const
    {47, 679, 952, 2, 0, 0, 8},	//800 QSqlRecord::setValue(int, const QVariant&)
    {47, 679, 949, 2, 0, 0, 9},	//801 QSqlRecord::setValue(const QString&, const QVariant&)
    {47, 635, 194, 1, 0, 0, 10},	//802 QSqlRecord::setNull(int)
    {47, 635, 268, 1, 0, 0, 11},	//803 QSqlRecord::setNull(const QString&)
    {47, 272, 194, 1, Smoke::mf_const, 214, 12},	//804 QSqlRecord::isNull(int) const
    {47, 272, 268, 1, Smoke::mf_const, 214, 13},	//805 QSqlRecord::isNull(const QString&) const
    {47, 242, 268, 1, Smoke::mf_const, 278, 14},	//806 QSqlRecord::indexOf(const QString&) const
    {47, 220, 194, 1, Smoke::mf_const, 116, 15},	//807 QSqlRecord::fieldName(int) const
    {47, 216, 194, 1, Smoke::mf_const, 93, 16},	//808 QSqlRecord::field(int) const
    {47, 216, 268, 1, Smoke::mf_const, 93, 17},	//809 QSqlRecord::field(const QString&) const
    {47, 266, 194, 1, Smoke::mf_const, 214, 18},	//810 QSqlRecord::isGenerated(int) const
    {47, 266, 268, 1, Smoke::mf_const, 214, 19},	//811 QSqlRecord::isGenerated(const QString&) const
    {47, 620, 843, 2, 0, 0, 20},	//812 QSqlRecord::setGenerated(const QString&, bool)
    {47, 620, 924, 2, 0, 0, 21},	//813 QSqlRecord::setGenerated(int, bool)
    {47, 128, 881, 1, 0, 0, 22},	//814 QSqlRecord::append(const QSqlField&)
    {47, 568, 982, 2, 0, 0, 23},	//815 QSqlRecord::replace(int, const QSqlField&)
    {47, 244, 982, 2, 0, 0, 24},	//816 QSqlRecord::insert(int, const QSqlField&)
    {47, 558, 194, 1, 0, 0, 25},	//817 QSqlRecord::remove(int)
    {47, 264, 0, 0, Smoke::mf_const, 214, 26},	//818 QSqlRecord::isEmpty() const
    {47, 168, 268, 1, Smoke::mf_const, 214, 27},	//819 QSqlRecord::contains(const QString&) const
    {47, 155, 0, 0, 0, 0, 28},	//820 QSqlRecord::clear()
    {47, 156, 0, 0, 0, 0, 29},	//821 QSqlRecord::clearValues()
    {47, 170, 0, 0, Smoke::mf_const, 278, 30},	//822 QSqlRecord::count() const
    {47, 739, 0, 0, Smoke::mf_dtor, 0, 31 },	//823 QSqlRecord::~QSqlRecord()
    {48, 69, 0, 0, Smoke::mf_ctor, 109, 1},	//824 QSqlRelation::QSqlRelation()
    {48, 69, 883, 3, Smoke::mf_ctor, 109, 2},	//825 QSqlRelation::QSqlRelation(const QString&, const QString&, const QString&)
    {48, 702, 0, 0, Smoke::mf_const, 116, 3},	//826 QSqlRelation::tableName() const
    {48, 239, 0, 0, Smoke::mf_const, 116, 4},	//827 QSqlRelation::indexColumn() const
    {48, 192, 0, 0, Smoke::mf_const, 116, 5},	//828 QSqlRelation::displayColumn() const
    {48, 278, 0, 0, Smoke::mf_const, 214, 6},	//829 QSqlRelation::isValid() const
    {48, 69, 985, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 109, 7},	//830 QSqlRelation::QSqlRelation(const QSqlRelation&)
    {48, 740, 0, 0, Smoke::mf_dtor, 0, 8 },	//831 QSqlRelation::~QSqlRelation()
    {49, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//832 QSqlRelationalTableModel::metaObject() const
    {49, 537, 86, 1, Smoke::mf_virtual, 294, 2},	//833 QSqlRelationalTableModel::qt_metacast(const char*)
    {49, 707, 117, 2, Smoke::mf_static, 116, 3},	//834 QSqlRelationalTableModel::tr(const char*, const char*)
    {49, 711, 117, 2, Smoke::mf_static, 116, 4},	//835 QSqlRelationalTableModel::trUtf8(const char*, const char*)
    {49, 707, 305, 3, Smoke::mf_static, 116, 5},	//836 QSqlRelationalTableModel::tr(const char*, const char*, int)
    {49, 711, 305, 3, Smoke::mf_static, 116, 6},	//837 QSqlRelationalTableModel::trUtf8(const char*, const char*, int)
    {49, 535, 851, 3, Smoke::mf_virtual, 278, 7},	//838 QSqlRelationalTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {49, 72, 987, 2, Smoke::mf_ctor, 110, 8},	//839 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*, QSqlDatabase)
    {49, 177, 955, 2, Smoke::mf_const|Smoke::mf_virtual, 133, 9},	//840 QSqlRelationalTableModel::data(const QModelIndex&, int) const
    {49, 599, 1, 3, Smoke::mf_virtual, 214, 10},	//841 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&, int)
    {49, 560, 12, 3, Smoke::mf_virtual, 214, 11},	//842 QSqlRelationalTableModel::removeColumns(int, int, const QModelIndex&)
    {49, 155, 0, 0, Smoke::mf_virtual, 0, 12},	//843 QSqlRelationalTableModel::clear()
    {49, 587, 0, 0, Smoke::mf_virtual, 214, 13},	//844 QSqlRelationalTableModel::select()
    {49, 673, 268, 1, Smoke::mf_virtual, 0, 14},	//845 QSqlRelationalTableModel::setTable(const QString&)
    {49, 661, 990, 2, Smoke::mf_virtual, 0, 15},	//846 QSqlRelationalTableModel::setRelation(int, const QSqlRelation&)
    {49, 554, 194, 1, Smoke::mf_const, 108, 16},	//847 QSqlRelationalTableModel::relation(int) const
    {49, 556, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 114, 17},	//848 QSqlRelationalTableModel::relationModel(int) const
    {49, 576, 194, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//849 QSqlRelationalTableModel::revertRow(int)
    {49, 588, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 116, 19},	//850 QSqlRelationalTableModel::selectStatement() const
    {49, 722, 993, 2, Smoke::mf_protected|Smoke::mf_virtual, 214, 20},	//851 QSqlRelationalTableModel::updateRowInTable(int, const QSqlRecord&)
    {49, 251, 980, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 21},	//852 QSqlRelationalTableModel::insertRowIntoTable(const QSqlRecord&)
    {49, 367, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 116, 22},	//853 QSqlRelationalTableModel::orderByClause() const
    {49, 707, 86, 1, Smoke::mf_static, 116, 23},	//854 QSqlRelationalTableModel::tr(const char*)
    {49, 711, 86, 1, Smoke::mf_static, 116, 24},	//855 QSqlRelationalTableModel::trUtf8(const char*)
    {49, 72, 0, 0, Smoke::mf_ctor, 110, 25},	//856 QSqlRelationalTableModel::QSqlRelationalTableModel()
    {49, 72, 855, 1, Smoke::mf_ctor, 110, 26},	//857 QSqlRelationalTableModel::QSqlRelationalTableModel(QObject*)
    {49, 177, 5, 1, Smoke::mf_const, 133, 27},	//858 QSqlRelationalTableModel::data(const QModelIndex&) const
    {49, 599, 996, 2, 0, 214, 28},	//859 QSqlRelationalTableModel::setData(const QModelIndex&, const QVariant&)
    {49, 560, 977, 2, 0, 214, 29},	//860 QSqlRelationalTableModel::removeColumns(int, int)
    {49, 688, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 30},	//861 QSqlRelationalTableModel::staticMetaObject() const
    {49, 741, 0, 0, Smoke::mf_dtor, 0, 31 },	//862 QSqlRelationalTableModel::~QSqlRelationalTableModel()
    {50, 230, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 133, 1},	//863 QSqlResult::handle() const
    {50, 75, 999, 1, Smoke::mf_ctor|Smoke::mf_protected, 111, 2},	//864 QSqlResult::QSqlResult(const QSqlDriver*)
    {50, 131, 0, 0, Smoke::mf_const|Smoke::mf_protected, 278, 3},	//865 QSqlResult::at() const
    {50, 284, 0, 0, Smoke::mf_const|Smoke::mf_protected, 116, 4},	//866 QSqlResult::lastQuery() const
    {50, 282, 0, 0, Smoke::mf_const|Smoke::mf_protected, 89, 5},	//867 QSqlResult::lastError() const
    {50, 278, 0, 0, Smoke::mf_const|Smoke::mf_protected, 214, 6},	//868 QSqlResult::isValid() const
    {50, 256, 0, 0, Smoke::mf_const|Smoke::mf_protected, 214, 7},	//869 QSqlResult::isActive() const
    {50, 277, 0, 0, Smoke::mf_const|Smoke::mf_protected, 214, 8},	//870 QSqlResult::isSelect() const
    {50, 265, 0, 0, Smoke::mf_const|Smoke::mf_protected, 214, 9},	//871 QSqlResult::isForwardOnly() const
    {50, 193, 0, 0, Smoke::mf_const|Smoke::mf_protected, 252, 10},	//872 QSqlResult::driver() const
    {50, 591, 194, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//873 QSqlResult::setAt(int)
    {50, 589, 877, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//874 QSqlResult::setActive(bool)
    {50, 629, 879, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 13},	//875 QSqlResult::setLastError(const QSqlError&)
    {50, 653, 268, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//876 QSqlResult::setQuery(const QString&)
    {50, 667, 877, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//877 QSqlResult::setSelect(bool)
    {50, 618, 877, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//878 QSqlResult::setForwardOnly(bool)
    {50, 203, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 214, 17},	//879 QSqlResult::exec()
    {50, 371, 268, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 18},	//880 QSqlResult::prepare(const QString&)
    {50, 582, 268, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 19},	//881 QSqlResult::savePrepare(const QString&)
    {50, 139, 942, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//882 QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 139, 938, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//883 QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 120, 946, 2, Smoke::mf_protected, 0, 22},	//884 QSqlResult::addBindValue(const QVariant&, QFlags<QSql::ParamTypeFlag>)
    {50, 145, 268, 1, Smoke::mf_const|Smoke::mf_protected, 133, 23},	//885 QSqlResult::boundValue(const QString&) const
    {50, 145, 194, 1, Smoke::mf_const|Smoke::mf_protected, 133, 24},	//886 QSqlResult::boundValue(int) const
    {50, 142, 268, 1, Smoke::mf_const|Smoke::mf_protected, 30, 25},	//887 QSqlResult::bindValueType(const QString&) const
    {50, 142, 194, 1, Smoke::mf_const|Smoke::mf_protected, 30, 26},	//888 QSqlResult::bindValueType(int) const
    {50, 147, 0, 0, Smoke::mf_const|Smoke::mf_protected, 278, 27},	//889 QSqlResult::boundValueCount() const
    {50, 150, 0, 0, Smoke::mf_const|Smoke::mf_protected, 137, 28},	//890 QSqlResult::boundValues() const
    {50, 207, 0, 0, Smoke::mf_const|Smoke::mf_protected, 116, 29},	//891 QSqlResult::executedQuery() const
    {50, 148, 194, 1, Smoke::mf_const|Smoke::mf_protected, 116, 30},	//892 QSqlResult::boundValueName(int) const
    {50, 155, 0, 0, Smoke::mf_protected, 0, 31},	//893 QSqlResult::clear()
    {50, 233, 0, 0, Smoke::mf_const|Smoke::mf_protected, 214, 32},	//894 QSqlResult::hasOutValues() const
    {50, 144, 0, 0, Smoke::mf_const|Smoke::mf_protected, 112, 33},	//895 QSqlResult::bindingSyntax() const
    {50, 177, 194, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 133, 34},	//896 QSqlResult::data(int) [pure virtual]
    {50, 272, 194, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 35},	//897 QSqlResult::isNull(int) [pure virtual]
    {50, 571, 268, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 36},	//898 QSqlResult::reset(const QString&) [pure virtual]
    {50, 208, 194, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 37},	//899 QSqlResult::fetch(int) [pure virtual]
    {50, 214, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 214, 38},	//900 QSqlResult::fetchNext()
    {50, 215, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 214, 39},	//901 QSqlResult::fetchPrevious()
    {50, 210, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 40},	//902 QSqlResult::fetchFirst() [pure virtual]
    {50, 211, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 214, 41},	//903 QSqlResult::fetchLast() [pure virtual]
    {50, 682, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 278, 42},	//904 QSqlResult::size() [pure virtual]
    {50, 295, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 278, 43},	//905 QSqlResult::numRowsAffected() [pure virtual]
    {50, 550, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 105, 44},	//906 QSqlResult::record() const
    {50, 283, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 133, 45},	//907 QSqlResult::lastInsertId() const
    {50, 727, 1001, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//908 QSqlResult::virtual_hook(int, void*)
    {50, 205, 877, 1, Smoke::mf_protected, 214, 47},	//909 QSqlResult::execBatch(bool)
    {50, 190, 0, 0, Smoke::mf_protected, 0, 48},	//910 QSqlResult::detachFromResultSet()
    {50, 639, 835, 1, Smoke::mf_protected, 0, 49},	//911 QSqlResult::setNumericalPrecisionPolicy(QSql::NumericalPrecisionPolicy)
    {50, 297, 0, 0, Smoke::mf_const|Smoke::mf_protected, 76, 50},	//912 QSqlResult::numericalPrecisionPolicy() const
    {50, 292, 0, 0, Smoke::mf_protected, 214, 51},	//913 QSqlResult::nextResult()
    {50, 205, 0, 0, Smoke::mf_protected, 214, 52},	//914 QSqlResult::execBatch()
    {50, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 53},	//915 QSqlResult::PositionalBinding (enum)
    {50, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 112, 54},	//916 QSqlResult::NamedBinding (enum)
    {50, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 55},	//917 QSqlResult::BatchOperation (enum)
    {50, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 56},	//918 QSqlResult::DetachFromResultSet (enum)
    {50, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 57},	//919 QSqlResult::SetNumericalPrecision (enum)
    {50, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 58},	//920 QSqlResult::NextResult (enum)
    {50, 742, 0, 0, Smoke::mf_dtor, 0, 59 },	//921 QSqlResult::~QSqlResult()
    {51, 287, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 234, 1},	//922 QSqlTableModel::metaObject() const
    {51, 537, 86, 1, Smoke::mf_virtual, 294, 2},	//923 QSqlTableModel::qt_metacast(const char*)
    {51, 707, 117, 2, Smoke::mf_static, 116, 3},	//924 QSqlTableModel::tr(const char*, const char*)
    {51, 711, 117, 2, Smoke::mf_static, 116, 4},	//925 QSqlTableModel::trUtf8(const char*, const char*)
    {51, 707, 305, 3, Smoke::mf_static, 116, 5},	//926 QSqlTableModel::tr(const char*, const char*, int)
    {51, 711, 305, 3, Smoke::mf_static, 116, 6},	//927 QSqlTableModel::trUtf8(const char*, const char*, int)
    {51, 535, 851, 3, Smoke::mf_virtual, 278, 7},	//928 QSqlTableModel::qt_metacall(QMetaObject::Call, int, void**)
    {51, 77, 987, 2, Smoke::mf_ctor, 114, 8},	//929 QSqlTableModel::QSqlTableModel(QObject*, QSqlDatabase)
    {51, 587, 0, 0, Smoke::mf_virtual, 214, 9},	//930 QSqlTableModel::select()
    {51, 673, 268, 1, Smoke::mf_virtual, 0, 10},	//931 QSqlTableModel::setTable(const QString&)
    {51, 702, 0, 0, Smoke::mf_const, 116, 11},	//932 QSqlTableModel::tableName() const
    {51, 225, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 41, 12},	//933 QSqlTableModel::flags(const QModelIndex&) const
    {51, 177, 955, 2, Smoke::mf_const|Smoke::mf_virtual, 133, 13},	//934 QSqlTableModel::data(const QModelIndex&, int) const
    {51, 599, 1, 3, Smoke::mf_virtual, 214, 14},	//935 QSqlTableModel::setData(const QModelIndex&, const QVariant&, int)
    {51, 234, 958, 3, Smoke::mf_const|Smoke::mf_virtual, 133, 15},	//936 QSqlTableModel::headerData(int, Qt::Orientation, int) const
    {51, 260, 5, 1, Smoke::mf_const, 214, 16},	//937 QSqlTableModel::isDirty(const QModelIndex&) const
    {51, 155, 0, 0, Smoke::mf_virtual, 0, 17},	//938 QSqlTableModel::clear()
    {51, 614, 1004, 1, Smoke::mf_virtual, 0, 18},	//939 QSqlTableModel::setEditStrategy(QSqlTableModel::EditStrategy)
    {51, 198, 0, 0, Smoke::mf_const, 115, 19},	//940 QSqlTableModel::editStrategy() const
    {51, 376, 0, 0, Smoke::mf_const, 97, 20},	//941 QSqlTableModel::primaryKey() const
    {51, 181, 0, 0, Smoke::mf_const, 79, 21},	//942 QSqlTableModel::database() const
    {51, 218, 268, 1, Smoke::mf_const, 278, 22},	//943 QSqlTableModel::fieldIndex(const QString&) const
    {51, 683, 16, 2, Smoke::mf_virtual, 0, 23},	//944 QSqlTableModel::sort(int, Qt::SortOrder)
    {51, 669, 16, 2, Smoke::mf_virtual, 0, 24},	//945 QSqlTableModel::setSort(int, Qt::SortOrder)
    {51, 222, 0, 0, Smoke::mf_const, 116, 25},	//946 QSqlTableModel::filter() const
    {51, 616, 268, 1, Smoke::mf_virtual, 0, 26},	//947 QSqlTableModel::setFilter(const QString&)
    {51, 580, 5, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 27},	//948 QSqlTableModel::rowCount(const QModelIndex&) const
    {51, 560, 12, 3, Smoke::mf_virtual, 214, 28},	//949 QSqlTableModel::removeColumns(int, int, const QModelIndex&)
    {51, 565, 12, 3, Smoke::mf_virtual, 214, 29},	//950 QSqlTableModel::removeRows(int, int, const QModelIndex&)
    {51, 253, 12, 3, Smoke::mf_virtual, 214, 30},	//951 QSqlTableModel::insertRows(int, int, const QModelIndex&)
    {51, 249, 993, 2, 0, 214, 31},	//952 QSqlTableModel::insertRecord(int, const QSqlRecord&)
    {51, 659, 993, 2, 0, 214, 32},	//953 QSqlTableModel::setRecord(int, const QSqlRecord&)
    {51, 576, 194, 1, Smoke::mf_virtual, 0, 33},	//954 QSqlTableModel::revertRow(int)
    {51, 693, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 214, 34},	//955 QSqlTableModel::submit()
    {51, 574, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 35},	//956 QSqlTableModel::revert()
    {51, 694, 0, 0, Smoke::mf_slot, 214, 36},	//957 QSqlTableModel::submitAll()
    {51, 575, 0, 0, Smoke::mf_slot, 0, 37},	//958 QSqlTableModel::revertAll()
    {51, 377, 1006, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//959 QSqlTableModel::primeInsert(int, QSqlRecord&)
    {51, 134, 1009, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//960 QSqlTableModel::beforeInsert(QSqlRecord&)
    {51, 136, 1006, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//961 QSqlTableModel::beforeUpdate(int, QSqlRecord&)
    {51, 132, 194, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//962 QSqlTableModel::beforeDelete(int)
    {51, 722, 993, 2, Smoke::mf_protected|Smoke::mf_virtual, 214, 42},	//963 QSqlTableModel::updateRowInTable(int, const QSqlRecord&)
    {51, 251, 980, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 43},	//964 QSqlTableModel::insertRowIntoTable(const QSqlRecord&)
    {51, 188, 194, 1, Smoke::mf_protected|Smoke::mf_virtual, 214, 44},	//965 QSqlTableModel::deleteRowFromTable(int)
    {51, 367, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 116, 45},	//966 QSqlTableModel::orderByClause() const
    {51, 588, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 116, 46},	//967 QSqlTableModel::selectStatement() const
    {51, 651, 922, 1, Smoke::mf_protected, 0, 47},	//968 QSqlTableModel::setPrimaryKey(const QSqlIndex&)
    {51, 653, 934, 1, Smoke::mf_protected, 0, 48},	//969 QSqlTableModel::setQuery(const QSqlQuery&)
    {51, 240, 5, 1, Smoke::mf_const|Smoke::mf_protected, 64, 49},	//970 QSqlTableModel::indexInQuery(const QModelIndex&) const
    {51, 707, 86, 1, Smoke::mf_static, 116, 50},	//971 QSqlTableModel::tr(const char*)
    {51, 711, 86, 1, Smoke::mf_static, 116, 51},	//972 QSqlTableModel::trUtf8(const char*)
    {51, 77, 0, 0, Smoke::mf_ctor, 114, 52},	//973 QSqlTableModel::QSqlTableModel()
    {51, 77, 855, 1, Smoke::mf_ctor, 114, 53},	//974 QSqlTableModel::QSqlTableModel(QObject*)
    {51, 177, 5, 1, Smoke::mf_const, 133, 54},	//975 QSqlTableModel::data(const QModelIndex&) const
    {51, 599, 996, 2, 0, 214, 55},	//976 QSqlTableModel::setData(const QModelIndex&, const QVariant&)
    {51, 234, 970, 2, Smoke::mf_const, 133, 56},	//977 QSqlTableModel::headerData(int, Qt::Orientation) const
    {51, 580, 0, 0, Smoke::mf_const, 278, 57},	//978 QSqlTableModel::rowCount() const
    {51, 560, 977, 2, 0, 214, 58},	//979 QSqlTableModel::removeColumns(int, int)
    {51, 565, 977, 2, 0, 214, 59},	//980 QSqlTableModel::removeRows(int, int)
    {51, 253, 977, 2, 0, 214, 60},	//981 QSqlTableModel::insertRows(int, int)
    {51, 688, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 233, 61},	//982 QSqlTableModel::staticMetaObject() const
    {51, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 62},	//983 QSqlTableModel::OnFieldChange (enum)
    {51, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 63},	//984 QSqlTableModel::OnRowChange (enum)
    {51, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 115, 64},	//985 QSqlTableModel::OnManualSubmit (enum)
    {51, 743, 0, 0, Smoke::mf_dtor, 0, 65 },	//986 QSqlTableModel::~QSqlTableModel()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    65,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    101,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    109,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    158,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    179,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    195,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    227,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    232,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    268,  // QGlobalSpace::operator!=(QChar, QChar)
    291,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    338,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    353,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    378,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    381,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    413,  // QGlobalSpace::operator!=(QBool, QBool)
    427,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    54,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    71,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    83,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    277,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    377,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    154,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    210,  // QGlobalSpace::operator!=(bool, QBool)
    231,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    274,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    367,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    387,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    298,  // QGlobalSpace::operator*(const QSize&, double)
    368,  // QGlobalSpace::operator*(const QPoint&, double)
    373,  // QGlobalSpace::operator*(const QSizeF&, double)
    384,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    62,  // QGlobalSpace::operator*(double, const QSizeF&)
    294,  // QGlobalSpace::operator*(double, const QPointF&)
    302,  // QGlobalSpace::operator*(double, const QPoint&)
    375,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    77,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    89,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    94,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    168,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    202,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    111,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    118,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    148,  // QGlobalSpace::operator+(QChar, const QString&)
    236,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    31,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    79,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    108,  // QGlobalSpace::operator+(const QString&, QChar)
    283,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    114,  // QGlobalSpace::operator+(const QString&, const char*)
    157,  // QGlobalSpace::operator+(const QString&, char)
    198,  // QGlobalSpace::operator+(char, const QString&)
    288,  // QGlobalSpace::operator+(const char*, const QString&)
    412,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    171,  // QGlobalSpace::operator-(const QPoint&)
    217,  // QGlobalSpace::operator-(const QPointF&)
    0,
    66,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    80,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    159,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    286,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    76,  // QGlobalSpace::operator/(const QPoint&, double)
    209,  // QGlobalSpace::operator/(const QPointF&, double)
    240,  // QGlobalSpace::operator/(const QSizeF&, double)
    359,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    52,  // QGlobalSpace::operator<(QChar, QChar)
    96,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    162,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    376,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    55,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    233,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    51,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    67,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    73,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    81,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    85,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    86,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    105,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    112,  // QGlobalSpace::operator<<(QDebug, const QSqlField&)
    131,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    132,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    173,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    206,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    214,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    220,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    224,  // QGlobalSpace::operator<<(QDebug, const QSqlError&)
    242,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    250,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    259,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    260,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    262,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    265,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    266,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    280,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    285,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    287,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    299,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    304,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    322,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    332,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    333,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    334,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    336,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    344,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    345,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    347,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    350,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    380,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    382,  // QGlobalSpace::operator<<(QDebug, const QSqlDatabase&)
    392,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    398,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    407,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    408,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    416,  // QGlobalSpace::operator<<(QDebug, const QSqlRecord&)
    425,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    429,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    28,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    188,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    205,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    292,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    390,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    130,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    144,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    249,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    351,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    247,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    279,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    30,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    35,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    46,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    47,  // QGlobalSpace::operator==(QChar, QChar)
    124,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    139,  // QGlobalSpace::operator==(QBool, QBool)
    160,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    170,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    177,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    201,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    211,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    234,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    243,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    297,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    313,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    341,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    362,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    29,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    200,  // QGlobalSpace::operator==(QString::Null, const QString&)
    372,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    374,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    403,  // QGlobalSpace::operator==(QBool, bool)
    0,
    27,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    42,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    140,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    218,  // QGlobalSpace::operator==(bool, QBool)
    258,  // QGlobalSpace::operator==(const QString&, QString::Null)
    284,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    60,  // QGlobalSpace::operator>(QChar, QChar)
    115,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    127,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    192,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    43,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    100,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    19,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    53,  // QGlobalSpace::operator>=(QChar, QChar)
    241,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    319,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    223,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    421,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    37,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    106,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    138,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    151,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    194,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    199,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    215,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    239,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    272,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    282,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    290,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    295,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    342,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    355,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    364,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    379,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    397,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    404,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    405,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    424,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    428,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    251,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    356,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    22,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    23,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    32,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    48,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    56,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    59,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    61,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    64,  // QGlobalSpace::operator|(QDir::Filter, int)
    68,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    69,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    72,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    74,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    75,  // QGlobalSpace::operator|(QFile::Permission, int)
    78,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    84,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    88,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    90,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    91,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    95,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    103,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    113,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    116,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    120,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    125,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    141,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    146,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    149,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    150,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    155,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    156,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    161,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    163,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    165,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    169,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    172,  // QGlobalSpace::operator|(Qt::DropAction, int)
    174,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    182,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    185,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    189,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    196,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    208,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    216,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    225,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    226,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    230,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    237,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    238,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    255,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, int)
    256,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    263,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    269,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    281,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    289,  // QGlobalSpace::operator|(Qt::WindowState, int)
    293,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    296,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    300,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    307,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    309,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    310,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    314,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    317,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    318,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    320,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QFlags<QSql::ParamTypeFlag>)
    323,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    324,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    328,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    329,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    330,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    331,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    337,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    340,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    346,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    352,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    354,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    357,  // QGlobalSpace::operator|(QSql::ParamTypeFlag, QSql::ParamTypeFlag)
    365,  // QGlobalSpace::operator|(Qt::Orientation, int)
    369,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    370,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    383,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    386,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    391,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    393,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    394,  // QGlobalSpace::operator|(Qt::WindowType, int)
    399,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    400,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    409,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    411,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    414,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    420,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    426,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    312,  // QGlobalSpace::qFuzzyCompare(float, float)
    366,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    164,  // QGlobalSpace::qFuzzyIsNull(float)
    325,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    49,  // QGlobalSpace::qHash(const QUrl&)
    50,  // QGlobalSpace::qHash(const QByteArray&)
    121,  // QGlobalSpace::qHash(QChar)
    136,  // QGlobalSpace::qHash(const QModelIndex&)
    203,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    264,  // QGlobalSpace::qHash(const QBitArray&)
    418,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    41,  // QGlobalSpace::qHash(signed char)
    70,  // QGlobalSpace::qHash(char)
    119,  // QGlobalSpace::qHash(unsigned int)
    129,  // QGlobalSpace::qHash(const QString&)
    167,  // QGlobalSpace::qHash(int)
    191,  // QGlobalSpace::qHash(long)
    193,  // QGlobalSpace::qHash(unsigned short)
    306,  // QGlobalSpace::qHash(short)
    406,  // QGlobalSpace::qHash(unsigned long)
    423,  // QGlobalSpace::qHash(unsigned char)
    0,
    20,  // QGlobalSpace::qHash(unsigned long long)
    153,  // QGlobalSpace::qHash(long long)
    0,
    44,  // QGlobalSpace::qIntCast(double)
    123,  // QGlobalSpace::qIntCast(float)
    0,
    82,  // QGlobalSpace::qIsFinite(double)
    107,  // QGlobalSpace::qIsFinite(float)
    0,
    21,  // QGlobalSpace::qIsInf(double)
    39,  // QGlobalSpace::qIsInf(float)
    0,
    143,  // QGlobalSpace::qIsNaN(float)
    147,  // QGlobalSpace::qIsNaN(double)
    0,
    360,  // QGlobalSpace::qIsNull(float)
    419,  // QGlobalSpace::qIsNull(double)
    0,
    473,  // QSqlDatabase::QSqlDatabase(const QSqlDatabase&)
    517,  // QSqlDatabase::QSqlDatabase(QSqlDriver*)
    0,
    699,  // QSqlQuery::QSqlQuery(QSqlResult*)
    701,  // QSqlQuery::QSqlQuery(QSqlDatabase)
    702,  // QSqlQuery::QSqlQuery(const QSqlQuery&)
    0,
    745,  // QSqlQuery::bindValue(const QString&, const QVariant&)
    746,  // QSqlQuery::bindValue(int, const QVariant&)
    0,
    731,  // QSqlQuery::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    732,  // QSqlQuery::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    734,  // QSqlQuery::boundValue(const QString&) const
    735,  // QSqlQuery::boundValue(int) const
    0,
    882,  // QSqlResult::bindValue(int, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    883,  // QSqlResult::bindValue(const QString&, const QVariant&, QFlags<QSql::ParamTypeFlag>)
    0,
    887,  // QSqlResult::bindValueType(const QString&) const
    888,  // QSqlResult::bindValueType(int) const
    0,
    885,  // QSqlResult::boundValue(const QString&) const
    886,  // QSqlResult::boundValue(int) const
    0,
    808,  // QSqlRecord::field(int) const
    809,  // QSqlRecord::field(const QString&) const
    0,
    810,  // QSqlRecord::isGenerated(int) const
    811,  // QSqlRecord::isGenerated(const QString&) const
    0,
    804,  // QSqlRecord::isNull(int) const
    805,  // QSqlRecord::isNull(const QString&) const
    0,
    812,  // QSqlRecord::setGenerated(const QString&, bool)
    813,  // QSqlRecord::setGenerated(int, bool)
    0,
    802,  // QSqlRecord::setNull(int)
    803,  // QSqlRecord::setNull(const QString&)
    0,
    800,  // QSqlRecord::setValue(int, const QVariant&)
    801,  // QSqlRecord::setValue(const QString&, const QVariant&)
    0,
    798,  // QSqlRecord::value(int) const
    799,  // QSqlRecord::value(const QString&) const
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 80, 444},	// QGlobalSpace::QtCriticalMsg
    {16, 81, 442},	// QGlobalSpace::QtDebugMsg
    {16, 82, 445},	// QGlobalSpace::QtFatalMsg
    {16, 83, 446},	// QGlobalSpace::QtSystemMsg
    {16, 84, 443},	// QGlobalSpace::QtWarningMsg
    {16, 104, 441},	// QGlobalSpace::_ISalnum
    {16, 105, 432},	// QGlobalSpace::_ISalpha
    {16, 106, 438},	// QGlobalSpace::_ISblank
    {16, 107, 439},	// QGlobalSpace::_IScntrl
    {16, 108, 433},	// QGlobalSpace::_ISdigit
    {16, 109, 437},	// QGlobalSpace::_ISgraph
    {16, 110, 431},	// QGlobalSpace::_ISlower
    {16, 111, 436},	// QGlobalSpace::_ISprint
    {16, 112, 440},	// QGlobalSpace::_ISpunct
    {16, 113, 435},	// QGlobalSpace::_ISspace
    {16, 114, 430},	// QGlobalSpace::_ISupper
    {16, 115, 434},	// QGlobalSpace::_ISxdigit
    {16, 116, 449},	// QGlobalSpace::__codecvt_error
    {16, 117, 450},	// QGlobalSpace::__codecvt_noconv
    {16, 118, 447},	// QGlobalSpace::__codecvt_ok
    {16, 119, 448},	// QGlobalSpace::__codecvt_partial
    {16, 307, -1},	// QGlobalSpace::operator!=##
    {16, 308, -18},	// QGlobalSpace::operator!=#$
    {16, 309, -24},	// QGlobalSpace::operator!=$#
    {16, 310, 142},	// QGlobalSpace::operator!=$$
    {16, 312, 222},	// QGlobalSpace::operator&##
    {16, 314, -31},	// QGlobalSpace::operator*#$
    {16, 315, -36},	// QGlobalSpace::operator*$#
    {16, 317, -41},	// QGlobalSpace::operator+##
    {16, 318, -47},	// QGlobalSpace::operator+#$
    {16, 319, -52},	// QGlobalSpace::operator+$#
    {16, 320, -57},	// QGlobalSpace::operator+$$
    {16, 322, -63},	// QGlobalSpace::operator-#
    {16, 323, -66},	// QGlobalSpace::operator-##
    {16, 325, -71},	// QGlobalSpace::operator/#$
    {16, 327, -76},	// QGlobalSpace::operator<##
    {16, 328, 261},	// QGlobalSpace::operator<#$
    {16, 329, -81},	// QGlobalSpace::operator<$#
    {16, 330, 87},	// QGlobalSpace::operator<$$
    {16, 332, -84},	// QGlobalSpace::operator<<##
    {16, 333, -130},	// QGlobalSpace::operator<<#$
    {16, 334, 235},	// QGlobalSpace::operator<<#?
    {16, 336, -136},	// QGlobalSpace::operator<=##
    {16, 337, 122},	// QGlobalSpace::operator<=#$
    {16, 338, -141},	// QGlobalSpace::operator<=$#
    {16, 339, 273},	// QGlobalSpace::operator<=$$
    {16, 344, -144},	// QGlobalSpace::operator==##
    {16, 345, -162},	// QGlobalSpace::operator==#$
    {16, 346, -168},	// QGlobalSpace::operator==$#
    {16, 347, 410},	// QGlobalSpace::operator==$$
    {16, 349, -175},	// QGlobalSpace::operator>##
    {16, 350, 422},	// QGlobalSpace::operator>#$
    {16, 351, -180},	// QGlobalSpace::operator>$#
    {16, 352, 204},	// QGlobalSpace::operator>$$
    {16, 354, -183},	// QGlobalSpace::operator>=##
    {16, 355, 38},	// QGlobalSpace::operator>=#$
    {16, 356, -188},	// QGlobalSpace::operator>=$#
    {16, 357, 417},	// QGlobalSpace::operator>=$$
    {16, 359, -191},	// QGlobalSpace::operator>>##
    {16, 360, -213},	// QGlobalSpace::operator>>#$
    {16, 361, 186},	// QGlobalSpace::operator>>#?
    {16, 363, 126},	// QGlobalSpace::operator^##
    {16, 365, 343},	// QGlobalSpace::operator|##
    {16, 366, -216},	// QGlobalSpace::operator|$$
    {16, 380, 316},	// QGlobalSpace::qAcos$
    {16, 382, 244},	// QGlobalSpace::qAddPostRoutine$
    {16, 383, 252},	// QGlobalSpace::qAppName
    {16, 385, 335},	// QGlobalSpace::qAsin$
    {16, 387, 363},	// QGlobalSpace::qAtan$
    {16, 389, 36},	// QGlobalSpace::qAtan2$$
    {16, 390, 321},	// QGlobalSpace::qBadAlloc
    {16, 392, 267},	// QGlobalSpace::qCeil$
    {16, 394, 181},	// QGlobalSpace::qChecksum$$
    {16, 396, 327},	// QGlobalSpace::qCompress#
    {16, 397, 326},	// QGlobalSpace::qCompress#$
    {16, 398, 246},	// QGlobalSpace::qCompress$$
    {16, 399, 245},	// QGlobalSpace::qCompress$$$
    {16, 401, 58},	// QGlobalSpace::qCos$
    {16, 402, 229},	// QGlobalSpace::qCritical
    {16, 403, 275},	// QGlobalSpace::qDebug
    {16, 405, 175},	// QGlobalSpace::qExp$
    {16, 407, 308},	// QGlobalSpace::qFabs$
    {16, 409, 137},	// QGlobalSpace::qFastCos$
    {16, 411, 248},	// QGlobalSpace::qFastSin$
    {16, 413, 145},	// QGlobalSpace::qFlagLocation$
    {16, 415, 104},	// QGlobalSpace::qFloor$
    {16, 417, 254},	// QGlobalSpace::qFree$
    {16, 419, 257},	// QGlobalSpace::qFreeAligned$
    {16, 421, -307},	// QGlobalSpace::qFuzzyCompare$$
    {16, 423, -310},	// QGlobalSpace::qFuzzyIsNull$
    {16, 425, -313},	// QGlobalSpace::qHash#
    {16, 426, -321},	// QGlobalSpace::qHash$
    {16, 427, -332},	// QGlobalSpace::qHash?
    {16, 428, 389},	// QGlobalSpace::qInf
    {16, 430, 134},	// QGlobalSpace::qInstallMsgHandler$
    {16, 432, -335},	// QGlobalSpace::qIntCast$
    {16, 434, -338},	// QGlobalSpace::qIsFinite$
    {16, 436, -341},	// QGlobalSpace::qIsInf$
    {16, 438, -344},	// QGlobalSpace::qIsNaN$
    {16, 440, -347},	// QGlobalSpace::qIsNull$
    {16, 442, 178},	// QGlobalSpace::qLn$
    {16, 444, 183},	// QGlobalSpace::qMalloc?
    {16, 446, 276},	// QGlobalSpace::qMallocAligned??
    {16, 448, 25},	// QGlobalSpace::qMemCopy$$?
    {16, 450, 303},	// QGlobalSpace::qMemSet$$?
    {16, 452, 278},	// QGlobalSpace::qPow$$
    {16, 453, 184},	// QGlobalSpace::qQNaN
    {16, 455, 128},	// QGlobalSpace::qRealloc$?
    {16, 457, 117},	// QGlobalSpace::qReallocAligned$???
    {16, 459, 180},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {16, 461, 396},	// QGlobalSpace::qRemovePostRoutine$
    {16, 463, 388},	// QGlobalSpace::qRound$
    {16, 465, 133},	// QGlobalSpace::qRound64$
    {16, 466, 371},	// QGlobalSpace::qSNaN
    {16, 468, 102},	// QGlobalSpace::qSetFieldWidth$
    {16, 470, 45},	// QGlobalSpace::qSetPadChar#
    {16, 472, 176},	// QGlobalSpace::qSetRealNumberPrecision$
    {16, 473, 63},	// QGlobalSpace::qSharedBuild
    {16, 475, 339},	// QGlobalSpace::qSin$
    {16, 477, 135},	// QGlobalSpace::qSqrt$
    {16, 479, 270},	// QGlobalSpace::qStringComparisonHelper#$
    {16, 480, 33},	// QGlobalSpace::qStringComparisonHelper$$
    {16, 482, 99},	// QGlobalSpace::qTan$
    {16, 484, 213},	// QGlobalSpace::qUncompress#
    {16, 485, 97},	// QGlobalSpace::qUncompress$$
    {16, 486, 253},	// QGlobalSpace::qVersion
    {16, 487, 401},	// QGlobalSpace::qWarning
    {16, 489, 110},	// QGlobalSpace::qbswap_helper$$$
    {16, 491, 315},	// QGlobalSpace::qgcvt$$$
    {16, 493, 40},	// QGlobalSpace::qgetenv$
    {16, 495, 187},	// QGlobalSpace::qputenv$#
    {16, 496, 219},	// QGlobalSpace::qrand
    {16, 498, 228},	// QGlobalSpace::qsort$???
    {16, 500, 190},	// QGlobalSpace::qsrand$
    {16, 502, 311},	// QGlobalSpace::qstrcmp##
    {16, 503, 395},	// QGlobalSpace::qstrcmp#$
    {16, 504, 34},	// QGlobalSpace::qstrcmp$#
    {16, 505, 57},	// QGlobalSpace::qstrcmp$$
    {16, 507, 166},	// QGlobalSpace::qstrcpy$$
    {16, 509, 271},	// QGlobalSpace::qstrdup$
    {16, 511, 385},	// QGlobalSpace::qstricmp$$
    {16, 513, 402},	// QGlobalSpace::qstrlen$
    {16, 515, 98},	// QGlobalSpace::qstrncmp$$$
    {16, 517, 212},	// QGlobalSpace::qstrncpy$$$
    {16, 519, 197},	// QGlobalSpace::qstrnicmp$$$
    {16, 521, 24},	// QGlobalSpace::qstrnlen$$
    {16, 523, 349},	// QGlobalSpace::qtTrId$
    {16, 524, 348},	// QGlobalSpace::qtTrId$$
    {16, 526, 152},	// QGlobalSpace::qt_assert$$$
    {16, 528, 221},	// QGlobalSpace::qt_assert_x$$$$
    {16, 530, 305},	// QGlobalSpace::qt_check_pointer$$
    {16, 531, 93},	// QGlobalSpace::qt_error_string
    {16, 532, 92},	// QGlobalSpace::qt_error_string$
    {16, 534, 415},	// QGlobalSpace::qt_message_output$$
    {16, 539, 26},	// QGlobalSpace::qt_noop
    {16, 541, 207},	// QGlobalSpace::qt_qFindChild_helper#$#
    {16, 543, 361},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {16, 547, 358},	// QGlobalSpace::qvariant_cast_helper#$$
    {16, 549, 301},	// QGlobalSpace::qvsnprintf$?$?
    {36, 1, 471},	// QSql::AfterLastRow
    {36, 2, 469},	// QSql::AllTables
    {36, 6, 470},	// QSql::BeforeFirstRow
    {36, 7, 461},	// QSql::Binary
    {36, 14, 465},	// QSql::HighPrecision
    {36, 15, 458},	// QSql::In
    {36, 16, 460},	// QSql::InOut
    {36, 19, 464},	// QSql::LowPrecisionDouble
    {36, 20, 462},	// QSql::LowPrecisionInt32
    {36, 21, 463},	// QSql::LowPrecisionInt64
    {36, 32, 459},	// QSql::Out
    {36, 91, 467},	// QSql::SystemTables
    {36, 93, 466},	// QSql::Tables
    {36, 102, 468},	// QSql::Views
    {37, 36, 472},	// QSqlDatabase::QSqlDatabase
    {37, 37, -350},	// QSqlDatabase::QSqlDatabase#
    {37, 38, 516},	// QSqlDatabase::QSqlDatabase$
    {37, 124, 522},	// QSqlDatabase::addDatabase#
    {37, 125, 507},	// QSqlDatabase::addDatabase#$
    {37, 126, 521},	// QSqlDatabase::addDatabase$
    {37, 127, 506},	// QSqlDatabase::addDatabase$$
    {37, 158, 508},	// QSqlDatabase::cloneDatabase#$
    {37, 159, 477},	// QSqlDatabase::close
    {37, 162, 487},	// QSqlDatabase::commit
    {37, 165, 501},	// QSqlDatabase::connectOptions
    {37, 166, 502},	// QSqlDatabase::connectionName
    {37, 167, 513},	// QSqlDatabase::connectionNames
    {37, 168, 525},	// QSqlDatabase::contains
    {37, 169, 511},	// QSqlDatabase::contains$
    {37, 181, 523},	// QSqlDatabase::database
    {37, 182, 524},	// QSqlDatabase::database$
    {37, 183, 509},	// QSqlDatabase::database$$
    {37, 184, 495},	// QSqlDatabase::databaseName
    {37, 186, 526},	// QSqlDatabase::defaultConnection
    {37, 193, 505},	// QSqlDatabase::driver
    {37, 194, 499},	// QSqlDatabase::driverName
    {37, 196, 512},	// QSqlDatabase::drivers
    {37, 203, 519},	// QSqlDatabase::exec
    {37, 204, 483},	// QSqlDatabase::exec$
    {37, 237, 498},	// QSqlDatabase::hostName
    {37, 263, 515},	// QSqlDatabase::isDriverAvailable$
    {37, 274, 478},	// QSqlDatabase::isOpen
    {37, 275, 479},	// QSqlDatabase::isOpenError
    {37, 278, 485},	// QSqlDatabase::isValid
    {37, 282, 484},	// QSqlDatabase::lastError
    {37, 297, 504},	// QSqlDatabase::numericalPrecisionPolicy
    {37, 298, 475},	// QSqlDatabase::open
    {37, 300, 476},	// QSqlDatabase::open$$
    {37, 341, 474},	// QSqlDatabase::operator=#
    {37, 368, 497},	// QSqlDatabase::password
    {37, 369, 500},	// QSqlDatabase::port
    {37, 375, 481},	// QSqlDatabase::primaryIndex$
    {37, 551, 482},	// QSqlDatabase::record$
    {37, 553, 514},	// QSqlDatabase::registerSqlDriver$#
    {37, 564, 510},	// QSqlDatabase::removeDatabase$
    {37, 578, 488},	// QSqlDatabase::rollback
    {37, 595, 520},	// QSqlDatabase::setConnectOptions
    {37, 596, 494},	// QSqlDatabase::setConnectOptions$
    {37, 603, 489},	// QSqlDatabase::setDatabaseName$
    {37, 607, 527},	// QSqlDatabase::setDefaultConnection$
    {37, 627, 492},	// QSqlDatabase::setHostName$
    {37, 640, 503},	// QSqlDatabase::setNumericalPrecisionPolicy$
    {37, 646, 491},	// QSqlDatabase::setPassword$
    {37, 648, 493},	// QSqlDatabase::setPort$
    {37, 678, 490},	// QSqlDatabase::setUserName$
    {37, 703, 518},	// QSqlDatabase::tables
    {37, 704, 480},	// QSqlDatabase::tables$
    {37, 715, 486},	// QSqlDatabase::transaction
    {37, 724, 496},	// QSqlDatabase::userName
    {37, 729, 528},	// QSqlDatabase::~QSqlDatabase
    {38, 3, 582},	// QSqlDriver::BLOB
    {38, 5, 588},	// QSqlDriver::BatchOperations
    {38, 9, 598},	// QSqlDriver::DeleteStatement
    {38, 11, 591},	// QSqlDriver::EventNotifications
    {38, 12, 599},	// QSqlDriver::FieldName
    {38, 13, 592},	// QSqlDriver::FinishQuery
    {38, 17, 597},	// QSqlDriver::InsertStatement
    {38, 18, 587},	// QSqlDriver::LastInsertId
    {38, 22, 590},	// QSqlDriver::LowPrecisionNumbers
    {38, 23, 593},	// QSqlDriver::MultipleResultSets
    {38, 25, 585},	// QSqlDriver::NamedPlaceholders
    {38, 34, 586},	// QSqlDriver::PositionalPlaceholders
    {38, 35, 584},	// QSqlDriver::PreparedQueries
    {38, 39, 572},	// QSqlDriver::QSqlDriver
    {38, 40, 536},	// QSqlDriver::QSqlDriver#
    {38, 85, 581},	// QSqlDriver::QuerySize
    {38, 87, 595},	// QSqlDriver::SelectStatement
    {38, 89, 589},	// QSqlDriver::SimpleLocking
    {38, 92, 600},	// QSqlDriver::TableName
    {38, 95, 580},	// QSqlDriver::Transactions
    {38, 96, 583},	// QSqlDriver::Unicode
    {38, 99, 596},	// QSqlDriver::UpdateStatement
    {38, 103, 594},	// QSqlDriver::WhereStatement
    {38, 138, 539},	// QSqlDriver::beginTransaction
    {38, 159, 551},	// QSqlDriver::close
    {38, 163, 540},	// QSqlDriver::commitTransaction
    {38, 174, 552},	// QSqlDriver::createResult
    {38, 200, 546},	// QSqlDriver::escapeIdentifier$$
    {38, 228, 573},	// QSqlDriver::formatValue#
    {38, 229, 545},	// QSqlDriver::formatValue#$
    {38, 230, 549},	// QSqlDriver::handle
    {38, 232, 550},	// QSqlDriver::hasFeature$
    {38, 269, 557},	// QSqlDriver::isIdentifierEscaped$$
    {38, 271, 568},	// QSqlDriver::isIdentifierEscapedImplementation$$
    {38, 274, 537},	// QSqlDriver::isOpen
    {38, 275, 538},	// QSqlDriver::isOpenError
    {38, 282, 548},	// QSqlDriver::lastError
    {38, 287, 529},	// QSqlDriver::metaObject
    {38, 294, 561},	// QSqlDriver::notification$
    {38, 297, 560},	// QSqlDriver::numericalPrecisionPolicy
    {38, 299, 574},	// QSqlDriver::open$
    {38, 300, 575},	// QSqlDriver::open$$
    {38, 301, 576},	// QSqlDriver::open$$$
    {38, 302, 577},	// QSqlDriver::open$$$$
    {38, 303, 578},	// QSqlDriver::open$$$$$
    {38, 304, 553},	// QSqlDriver::open$$$$$$
    {38, 375, 543},	// QSqlDriver::primaryIndex$
    {38, 536, 535},	// QSqlDriver::qt_metacall$$?
    {38, 538, 530},	// QSqlDriver::qt_metacast$
    {38, 551, 544},	// QSqlDriver::record$
    {38, 579, 541},	// QSqlDriver::rollbackTransaction
    {38, 630, 564},	// QSqlDriver::setLastError#
    {38, 640, 559},	// QSqlDriver::setNumericalPrecisionPolicy$
    {38, 642, 562},	// QSqlDriver::setOpen$
    {38, 644, 563},	// QSqlDriver::setOpenError$
    {38, 687, 547},	// QSqlDriver::sqlStatement$$#$
    {38, 688, 579},	// QSqlDriver::staticMetaObject
    {38, 690, 558},	// QSqlDriver::stripDelimiters$$
    {38, 692, 569},	// QSqlDriver::stripDelimitersImplementation$$
    {38, 696, 554},	// QSqlDriver::subscribeToNotification$
    {38, 698, 565},	// QSqlDriver::subscribeToNotificationImplementation$
    {38, 699, 556},	// QSqlDriver::subscribedToNotifications
    {38, 700, 567},	// QSqlDriver::subscribedToNotificationsImplementation
    {38, 704, 542},	// QSqlDriver::tables$
    {38, 708, 570},	// QSqlDriver::tr$
    {38, 709, 531},	// QSqlDriver::tr$$
    {38, 710, 533},	// QSqlDriver::tr$$$
    {38, 712, 571},	// QSqlDriver::trUtf8$
    {38, 713, 532},	// QSqlDriver::trUtf8$$
    {38, 714, 534},	// QSqlDriver::trUtf8$$$
    {38, 719, 555},	// QSqlDriver::unsubscribeFromNotification$
    {38, 721, 566},	// QSqlDriver::unsubscribeFromNotificationImplementation$
    {38, 730, 601},	// QSqlDriver::~QSqlDriver
    {39, 41, 603},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase
    {39, 42, 604},	// QSqlDriverCreatorBase::QSqlDriverCreatorBase#
    {39, 173, 602},	// QSqlDriverCreatorBase::createObject
    {39, 731, 605},	// QSqlDriverCreatorBase::~QSqlDriverCreatorBase
    {40, 43, 607},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface
    {40, 44, 608},	// QSqlDriverFactoryInterface::QSqlDriverFactoryInterface#
    {40, 172, 606},	// QSqlDriverFactoryInterface::create$
    {40, 732, 609},	// QSqlDriverFactoryInterface::~QSqlDriverFactoryInterface
    {41, 45, 622},	// QSqlDriverPlugin::QSqlDriverPlugin
    {41, 46, 617},	// QSqlDriverPlugin::QSqlDriverPlugin#
    {41, 172, 619},	// QSqlDriverPlugin::create$
    {41, 280, 618},	// QSqlDriverPlugin::keys
    {41, 287, 610},	// QSqlDriverPlugin::metaObject
    {41, 536, 616},	// QSqlDriverPlugin::qt_metacall$$?
    {41, 538, 611},	// QSqlDriverPlugin::qt_metacast$
    {41, 688, 623},	// QSqlDriverPlugin::staticMetaObject
    {41, 708, 620},	// QSqlDriverPlugin::tr$
    {41, 709, 612},	// QSqlDriverPlugin::tr$$
    {41, 710, 614},	// QSqlDriverPlugin::tr$$$
    {41, 712, 621},	// QSqlDriverPlugin::trUtf8$
    {41, 713, 613},	// QSqlDriverPlugin::trUtf8$$
    {41, 714, 615},	// QSqlDriverPlugin::trUtf8$$$
    {41, 733, 624},	// QSqlDriverPlugin::~QSqlDriverPlugin
    {42, 8, 643},	// QSqlError::ConnectionError
    {42, 27, 642},	// QSqlError::NoError
    {42, 47, 638},	// QSqlError::QSqlError
    {42, 48, 626},	// QSqlError::QSqlError#
    {42, 49, 639},	// QSqlError::QSqlError$
    {42, 50, 640},	// QSqlError::QSqlError$$
    {42, 51, 641},	// QSqlError::QSqlError$$$
    {42, 52, 625},	// QSqlError::QSqlError$$$$
    {42, 90, 644},	// QSqlError::StatementError
    {42, 94, 645},	// QSqlError::TransactionError
    {42, 98, 646},	// QSqlError::UnknownError
    {42, 185, 630},	// QSqlError::databaseText
    {42, 195, 628},	// QSqlError::driverText
    {42, 278, 637},	// QSqlError::isValid
    {42, 296, 634},	// QSqlError::number
    {42, 341, 627},	// QSqlError::operator=#
    {42, 605, 631},	// QSqlError::setDatabaseText$
    {42, 613, 629},	// QSqlError::setDriverText$
    {42, 638, 635},	// QSqlError::setNumber$
    {42, 676, 633},	// QSqlError::setType$
    {42, 705, 636},	// QSqlError::text
    {42, 716, 632},	// QSqlError::type
    {42, 734, 647},	// QSqlError::~QSqlError
    {43, 31, 682},	// QSqlField::Optional
    {43, 53, 679},	// QSqlField::QSqlField
    {43, 54, 649},	// QSqlField::QSqlField#
    {43, 55, 680},	// QSqlField::QSqlField$
    {43, 56, 648},	// QSqlField::QSqlField$$
    {43, 86, 683},	// QSqlField::Required
    {43, 97, 681},	// QSqlField::Unknown
    {43, 155, 660},	// QSqlField::clear
    {43, 187, 675},	// QSqlField::defaultValue
    {43, 257, 662},	// QSqlField::isAutoValue
    {43, 266, 677},	// QSqlField::isGenerated
    {43, 272, 657},	// QSqlField::isNull
    {43, 276, 659},	// QSqlField::isReadOnly
    {43, 278, 678},	// QSqlField::isValid
    {43, 285, 673},	// QSqlField::length
    {43, 290, 656},	// QSqlField::name
    {43, 306, 652},	// QSqlField::operator!=#
    {43, 341, 650},	// QSqlField::operator=#
    {43, 343, 651},	// QSqlField::operator==#
    {43, 370, 674},	// QSqlField::precision
    {43, 570, 672},	// QSqlField::requiredStatus
    {43, 594, 671},	// QSqlField::setAutoValue$
    {43, 609, 668},	// QSqlField::setDefaultValue#
    {43, 621, 670},	// QSqlField::setGenerated$
    {43, 632, 666},	// QSqlField::setLength$
    {43, 634, 655},	// QSqlField::setName$
    {43, 650, 667},	// QSqlField::setPrecision$
    {43, 658, 658},	// QSqlField::setReadOnly$
    {43, 664, 665},	// QSqlField::setRequired$
    {43, 666, 664},	// QSqlField::setRequiredStatus$
    {43, 672, 669},	// QSqlField::setSqlType$
    {43, 676, 663},	// QSqlField::setType$
    {43, 680, 653},	// QSqlField::setValue#
    {43, 716, 661},	// QSqlField::type
    {43, 717, 676},	// QSqlField::typeID
    {43, 725, 654},	// QSqlField::value
    {43, 735, 684},	// QSqlField::~QSqlField
    {44, 57, 696},	// QSqlIndex::QSqlIndex
    {44, 58, 686},	// QSqlIndex::QSqlIndex#
    {44, 59, 697},	// QSqlIndex::QSqlIndex$
    {44, 60, 685},	// QSqlIndex::QSqlIndex$$
    {44, 129, 692},	// QSqlIndex::append#
    {44, 130, 693},	// QSqlIndex::append#$
    {44, 175, 689},	// QSqlIndex::cursorName
    {44, 259, 694},	// QSqlIndex::isDescending$
    {44, 290, 691},	// QSqlIndex::name
    {44, 341, 687},	// QSqlIndex::operator=#
    {44, 598, 688},	// QSqlIndex::setCursorName$
    {44, 611, 695},	// QSqlIndex::setDescending$$
    {44, 634, 690},	// QSqlIndex::setName$
    {44, 736, 698},	// QSqlIndex::~QSqlIndex
    {45, 61, 741},	// QSqlQuery::QSqlQuery
    {45, 62, -353},	// QSqlQuery::QSqlQuery#
    {45, 63, 742},	// QSqlQuery::QSqlQuery$
    {45, 64, 700},	// QSqlQuery::QSqlQuery$#
    {45, 100, 749},	// QSqlQuery::ValuesAsColumns
    {45, 101, 748},	// QSqlQuery::ValuesAsRows
    {45, 121, 747},	// QSqlQuery::addBindValue#
    {45, 122, 733},	// QSqlQuery::addBindValue#$
    {45, 131, 707},	// QSqlQuery::at
    {45, 140, -357},	// QSqlQuery::bindValue$#
    {45, 141, -360},	// QSqlQuery::bindValue$#$
    {45, 146, -363},	// QSqlQuery::boundValue$
    {45, 150, 736},	// QSqlQuery::boundValues
    {45, 155, 727},	// QSqlQuery::clear
    {45, 193, 713},	// QSqlQuery::driver
    {45, 203, 728},	// QSqlQuery::exec
    {45, 204, 718},	// QSqlQuery::exec$
    {45, 205, 744},	// QSqlQuery::execBatch
    {45, 206, 729},	// QSqlQuery::execBatch$
    {45, 207, 737},	// QSqlQuery::executedQuery
    {45, 223, 739},	// QSqlQuery::finish
    {45, 224, 725},	// QSqlQuery::first
    {45, 256, 705},	// QSqlQuery::isActive
    {45, 265, 715},	// QSqlQuery::isForwardOnly
    {45, 273, 706},	// QSqlQuery::isNull$
    {45, 277, 711},	// QSqlQuery::isSelect
    {45, 278, 704},	// QSqlQuery::isValid
    {45, 281, 726},	// QSqlQuery::last
    {45, 282, 710},	// QSqlQuery::lastError
    {45, 283, 738},	// QSqlQuery::lastInsertId
    {45, 284, 708},	// QSqlQuery::lastQuery
    {45, 291, 723},	// QSqlQuery::next
    {45, 292, 740},	// QSqlQuery::nextResult
    {45, 295, 709},	// QSqlQuery::numRowsAffected
    {45, 297, 721},	// QSqlQuery::numericalPrecisionPolicy
    {45, 341, 703},	// QSqlQuery::operator=#
    {45, 372, 730},	// QSqlQuery::prepare$
    {45, 373, 724},	// QSqlQuery::previous
    {45, 550, 716},	// QSqlQuery::record
    {45, 573, 714},	// QSqlQuery::result
    {45, 585, 743},	// QSqlQuery::seek$
    {45, 586, 722},	// QSqlQuery::seek$$
    {45, 619, 717},	// QSqlQuery::setForwardOnly$
    {45, 640, 720},	// QSqlQuery::setNumericalPrecisionPolicy$
    {45, 682, 712},	// QSqlQuery::size
    {45, 726, 719},	// QSqlQuery::value$
    {45, 737, 750},	// QSqlQuery::~QSqlQuery
    {46, 65, 780},	// QSqlQueryModel::QSqlQueryModel
    {46, 66, 758},	// QSqlQueryModel::QSqlQueryModel#
    {46, 152, 790},	// QSqlQueryModel::canFetchMore
    {46, 153, 774},	// QSqlQueryModel::canFetchMore#
    {46, 155, 771},	// QSqlQueryModel::clear
    {46, 160, 782},	// QSqlQueryModel::columnCount
    {46, 161, 760},	// QSqlQueryModel::columnCount#
    {46, 178, 783},	// QSqlQueryModel::data#
    {46, 179, 763},	// QSqlQueryModel::data#$
    {46, 212, 789},	// QSqlQueryModel::fetchMore
    {46, 213, 773},	// QSqlQueryModel::fetchMore#
    {46, 235, 784},	// QSqlQueryModel::headerData$$
    {46, 236, 764},	// QSqlQueryModel::headerData$$$
    {46, 241, 776},	// QSqlQueryModel::indexInQuery#
    {46, 247, 786},	// QSqlQueryModel::insertColumns$$
    {46, 248, 766},	// QSqlQueryModel::insertColumns$$#
    {46, 282, 772},	// QSqlQueryModel::lastError
    {46, 287, 751},	// QSqlQueryModel::metaObject
    {46, 536, 757},	// QSqlQueryModel::qt_metacall$$?
    {46, 538, 752},	// QSqlQueryModel::qt_metacast$
    {46, 544, 770},	// QSqlQueryModel::query
    {46, 545, 775},	// QSqlQueryModel::queryChange
    {46, 550, 762},	// QSqlQueryModel::record
    {46, 551, 761},	// QSqlQueryModel::record$
    {46, 561, 787},	// QSqlQueryModel::removeColumns$$
    {46, 562, 767},	// QSqlQueryModel::removeColumns$$#
    {46, 580, 781},	// QSqlQueryModel::rowCount
    {46, 581, 759},	// QSqlQueryModel::rowCount#
    {46, 624, 785},	// QSqlQueryModel::setHeaderData$$#
    {46, 625, 765},	// QSqlQueryModel::setHeaderData$$#$
    {46, 630, 777},	// QSqlQueryModel::setLastError#
    {46, 654, 768},	// QSqlQueryModel::setQuery#
    {46, 655, 788},	// QSqlQueryModel::setQuery$
    {46, 656, 769},	// QSqlQueryModel::setQuery$#
    {46, 688, 791},	// QSqlQueryModel::staticMetaObject
    {46, 708, 778},	// QSqlQueryModel::tr$
    {46, 709, 753},	// QSqlQueryModel::tr$$
    {46, 710, 755},	// QSqlQueryModel::tr$$$
    {46, 712, 779},	// QSqlQueryModel::trUtf8$
    {46, 713, 754},	// QSqlQueryModel::trUtf8$$
    {46, 714, 756},	// QSqlQueryModel::trUtf8$$$
    {46, 738, 792},	// QSqlQueryModel::~QSqlQueryModel
    {47, 67, 793},	// QSqlRecord::QSqlRecord
    {47, 68, 794},	// QSqlRecord::QSqlRecord#
    {47, 129, 814},	// QSqlRecord::append#
    {47, 155, 820},	// QSqlRecord::clear
    {47, 156, 821},	// QSqlRecord::clearValues
    {47, 169, 819},	// QSqlRecord::contains$
    {47, 170, 822},	// QSqlRecord::count
    {47, 217, -375},	// QSqlRecord::field$
    {47, 221, 807},	// QSqlRecord::fieldName$
    {47, 243, 806},	// QSqlRecord::indexOf$
    {47, 245, 816},	// QSqlRecord::insert$#
    {47, 264, 818},	// QSqlRecord::isEmpty
    {47, 267, -378},	// QSqlRecord::isGenerated$
    {47, 273, -381},	// QSqlRecord::isNull$
    {47, 306, 797},	// QSqlRecord::operator!=#
    {47, 341, 795},	// QSqlRecord::operator=#
    {47, 343, 796},	// QSqlRecord::operator==#
    {47, 559, 817},	// QSqlRecord::remove$
    {47, 569, 815},	// QSqlRecord::replace$#
    {47, 622, -384},	// QSqlRecord::setGenerated$$
    {47, 636, -387},	// QSqlRecord::setNull$
    {47, 681, -390},	// QSqlRecord::setValue$#
    {47, 726, -393},	// QSqlRecord::value$
    {47, 739, 823},	// QSqlRecord::~QSqlRecord
    {48, 69, 824},	// QSqlRelation::QSqlRelation
    {48, 70, 830},	// QSqlRelation::QSqlRelation#
    {48, 71, 825},	// QSqlRelation::QSqlRelation$$$
    {48, 192, 828},	// QSqlRelation::displayColumn
    {48, 239, 827},	// QSqlRelation::indexColumn
    {48, 278, 829},	// QSqlRelation::isValid
    {48, 702, 826},	// QSqlRelation::tableName
    {48, 740, 831},	// QSqlRelation::~QSqlRelation
    {49, 72, 856},	// QSqlRelationalTableModel::QSqlRelationalTableModel
    {49, 73, 857},	// QSqlRelationalTableModel::QSqlRelationalTableModel#
    {49, 74, 839},	// QSqlRelationalTableModel::QSqlRelationalTableModel##
    {49, 155, 843},	// QSqlRelationalTableModel::clear
    {49, 178, 858},	// QSqlRelationalTableModel::data#
    {49, 179, 840},	// QSqlRelationalTableModel::data#$
    {49, 252, 852},	// QSqlRelationalTableModel::insertRowIntoTable#
    {49, 287, 832},	// QSqlRelationalTableModel::metaObject
    {49, 367, 853},	// QSqlRelationalTableModel::orderByClause
    {49, 536, 838},	// QSqlRelationalTableModel::qt_metacall$$?
    {49, 538, 833},	// QSqlRelationalTableModel::qt_metacast$
    {49, 555, 847},	// QSqlRelationalTableModel::relation$
    {49, 557, 848},	// QSqlRelationalTableModel::relationModel$
    {49, 561, 860},	// QSqlRelationalTableModel::removeColumns$$
    {49, 562, 842},	// QSqlRelationalTableModel::removeColumns$$#
    {49, 577, 849},	// QSqlRelationalTableModel::revertRow$
    {49, 587, 844},	// QSqlRelationalTableModel::select
    {49, 588, 850},	// QSqlRelationalTableModel::selectStatement
    {49, 600, 859},	// QSqlRelationalTableModel::setData##
    {49, 601, 841},	// QSqlRelationalTableModel::setData##$
    {49, 662, 846},	// QSqlRelationalTableModel::setRelation$#
    {49, 674, 845},	// QSqlRelationalTableModel::setTable$
    {49, 688, 861},	// QSqlRelationalTableModel::staticMetaObject
    {49, 708, 854},	// QSqlRelationalTableModel::tr$
    {49, 709, 834},	// QSqlRelationalTableModel::tr$$
    {49, 710, 836},	// QSqlRelationalTableModel::tr$$$
    {49, 712, 855},	// QSqlRelationalTableModel::trUtf8$
    {49, 713, 835},	// QSqlRelationalTableModel::trUtf8$$
    {49, 714, 837},	// QSqlRelationalTableModel::trUtf8$$$
    {49, 723, 851},	// QSqlRelationalTableModel::updateRowInTable$#
    {49, 741, 862},	// QSqlRelationalTableModel::~QSqlRelationalTableModel
    {50, 4, 917},	// QSqlResult::BatchOperation
    {50, 10, 918},	// QSqlResult::DetachFromResultSet
    {50, 24, 916},	// QSqlResult::NamedBinding
    {50, 26, 920},	// QSqlResult::NextResult
    {50, 33, 915},	// QSqlResult::PositionalBinding
    {50, 76, 864},	// QSqlResult::QSqlResult#
    {50, 88, 919},	// QSqlResult::SetNumericalPrecision
    {50, 122, 884},	// QSqlResult::addBindValue#$
    {50, 131, 865},	// QSqlResult::at
    {50, 141, -366},	// QSqlResult::bindValue$#$
    {50, 143, -369},	// QSqlResult::bindValueType$
    {50, 144, 895},	// QSqlResult::bindingSyntax
    {50, 146, -372},	// QSqlResult::boundValue$
    {50, 147, 889},	// QSqlResult::boundValueCount
    {50, 149, 892},	// QSqlResult::boundValueName$
    {50, 150, 890},	// QSqlResult::boundValues
    {50, 155, 893},	// QSqlResult::clear
    {50, 180, 896},	// QSqlResult::data$
    {50, 190, 910},	// QSqlResult::detachFromResultSet
    {50, 193, 872},	// QSqlResult::driver
    {50, 203, 879},	// QSqlResult::exec
    {50, 205, 914},	// QSqlResult::execBatch
    {50, 206, 909},	// QSqlResult::execBatch$
    {50, 207, 891},	// QSqlResult::executedQuery
    {50, 209, 899},	// QSqlResult::fetch$
    {50, 210, 902},	// QSqlResult::fetchFirst
    {50, 211, 903},	// QSqlResult::fetchLast
    {50, 214, 900},	// QSqlResult::fetchNext
    {50, 215, 901},	// QSqlResult::fetchPrevious
    {50, 230, 863},	// QSqlResult::handle
    {50, 233, 894},	// QSqlResult::hasOutValues
    {50, 256, 869},	// QSqlResult::isActive
    {50, 265, 871},	// QSqlResult::isForwardOnly
    {50, 273, 897},	// QSqlResult::isNull$
    {50, 277, 870},	// QSqlResult::isSelect
    {50, 278, 868},	// QSqlResult::isValid
    {50, 282, 867},	// QSqlResult::lastError
    {50, 283, 907},	// QSqlResult::lastInsertId
    {50, 284, 866},	// QSqlResult::lastQuery
    {50, 292, 913},	// QSqlResult::nextResult
    {50, 295, 905},	// QSqlResult::numRowsAffected
    {50, 297, 912},	// QSqlResult::numericalPrecisionPolicy
    {50, 372, 880},	// QSqlResult::prepare$
    {50, 550, 906},	// QSqlResult::record
    {50, 572, 898},	// QSqlResult::reset$
    {50, 583, 881},	// QSqlResult::savePrepare$
    {50, 590, 874},	// QSqlResult::setActive$
    {50, 592, 873},	// QSqlResult::setAt$
    {50, 619, 878},	// QSqlResult::setForwardOnly$
    {50, 630, 875},	// QSqlResult::setLastError#
    {50, 640, 911},	// QSqlResult::setNumericalPrecisionPolicy$
    {50, 655, 876},	// QSqlResult::setQuery$
    {50, 668, 877},	// QSqlResult::setSelect$
    {50, 682, 904},	// QSqlResult::size
    {50, 728, 908},	// QSqlResult::virtual_hook$$
    {50, 742, 921},	// QSqlResult::~QSqlResult
    {51, 28, 983},	// QSqlTableModel::OnFieldChange
    {51, 29, 985},	// QSqlTableModel::OnManualSubmit
    {51, 30, 984},	// QSqlTableModel::OnRowChange
    {51, 77, 973},	// QSqlTableModel::QSqlTableModel
    {51, 78, 974},	// QSqlTableModel::QSqlTableModel#
    {51, 79, 929},	// QSqlTableModel::QSqlTableModel##
    {51, 133, 962},	// QSqlTableModel::beforeDelete$
    {51, 135, 960},	// QSqlTableModel::beforeInsert#
    {51, 137, 961},	// QSqlTableModel::beforeUpdate$#
    {51, 155, 938},	// QSqlTableModel::clear
    {51, 178, 975},	// QSqlTableModel::data#
    {51, 179, 934},	// QSqlTableModel::data#$
    {51, 181, 942},	// QSqlTableModel::database
    {51, 189, 965},	// QSqlTableModel::deleteRowFromTable$
    {51, 198, 940},	// QSqlTableModel::editStrategy
    {51, 219, 943},	// QSqlTableModel::fieldIndex$
    {51, 222, 946},	// QSqlTableModel::filter
    {51, 226, 933},	// QSqlTableModel::flags#
    {51, 235, 977},	// QSqlTableModel::headerData$$
    {51, 236, 936},	// QSqlTableModel::headerData$$$
    {51, 241, 970},	// QSqlTableModel::indexInQuery#
    {51, 250, 952},	// QSqlTableModel::insertRecord$#
    {51, 252, 964},	// QSqlTableModel::insertRowIntoTable#
    {51, 254, 981},	// QSqlTableModel::insertRows$$
    {51, 255, 951},	// QSqlTableModel::insertRows$$#
    {51, 261, 937},	// QSqlTableModel::isDirty#
    {51, 287, 922},	// QSqlTableModel::metaObject
    {51, 367, 966},	// QSqlTableModel::orderByClause
    {51, 376, 941},	// QSqlTableModel::primaryKey
    {51, 378, 959},	// QSqlTableModel::primeInsert$#
    {51, 536, 928},	// QSqlTableModel::qt_metacall$$?
    {51, 538, 923},	// QSqlTableModel::qt_metacast$
    {51, 561, 979},	// QSqlTableModel::removeColumns$$
    {51, 562, 949},	// QSqlTableModel::removeColumns$$#
    {51, 566, 980},	// QSqlTableModel::removeRows$$
    {51, 567, 950},	// QSqlTableModel::removeRows$$#
    {51, 574, 956},	// QSqlTableModel::revert
    {51, 575, 958},	// QSqlTableModel::revertAll
    {51, 577, 954},	// QSqlTableModel::revertRow$
    {51, 580, 978},	// QSqlTableModel::rowCount
    {51, 581, 948},	// QSqlTableModel::rowCount#
    {51, 587, 930},	// QSqlTableModel::select
    {51, 588, 967},	// QSqlTableModel::selectStatement
    {51, 600, 976},	// QSqlTableModel::setData##
    {51, 601, 935},	// QSqlTableModel::setData##$
    {51, 615, 939},	// QSqlTableModel::setEditStrategy$
    {51, 617, 947},	// QSqlTableModel::setFilter$
    {51, 652, 968},	// QSqlTableModel::setPrimaryKey#
    {51, 654, 969},	// QSqlTableModel::setQuery#
    {51, 660, 953},	// QSqlTableModel::setRecord$#
    {51, 670, 945},	// QSqlTableModel::setSort$$
    {51, 674, 931},	// QSqlTableModel::setTable$
    {51, 684, 944},	// QSqlTableModel::sort$$
    {51, 688, 982},	// QSqlTableModel::staticMetaObject
    {51, 693, 955},	// QSqlTableModel::submit
    {51, 694, 957},	// QSqlTableModel::submitAll
    {51, 702, 932},	// QSqlTableModel::tableName
    {51, 708, 971},	// QSqlTableModel::tr$
    {51, 709, 924},	// QSqlTableModel::tr$$
    {51, 710, 926},	// QSqlTableModel::tr$$$
    {51, 712, 972},	// QSqlTableModel::trUtf8$
    {51, 713, 925},	// QSqlTableModel::trUtf8$$
    {51, 714, 927},	// QSqlTableModel::trUtf8$$$
    {51, 723, 963},	// QSqlTableModel::updateRowInTable$#
    {51, 743, 986},	// QSqlTableModel::~QSqlTableModel
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtsql_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsql_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtsql_Smoke = new Smoke(
        "qtsql",
        __smokeqtsql::classes, 61,
        __smokeqtsql::methods, 987,
        __smokeqtsql::methodMaps, 673,
        __smokeqtsql::methodNames, 743,
        __smokeqtsql::types, 296,
        __smokeqtsql::inheritanceList,
        __smokeqtsql::argumentList,
        __smokeqtsql::ambiguousMethodList,
        __smokeqtsql::cast );
    initialized = true;
}

void delete_qtsql_Smoke() { delete qtsql_Smoke; }

}
