#include <qtsvg_includes.h>

#include <smoke.h>
#include <qtsvg_smoke.h>

namespace __smokeqtsvg {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAccessible2Interface
      switch(to) {
        case 1: return (void*)(QAccessible2Interface*)xptr;
        default: return xptr;
      }
    case 2:   //QActionEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 2: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QBitArray
      switch(to) {
        case 3: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 4:   //QBool
      switch(to) {
        case 4: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 5:   //QBrush
      switch(to) {
        case 5: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QCloseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 9: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QColor
      switch(to) {
        case 10: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 11:   //QContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 11: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QCursor
      switch(to) {
        case 12: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 13:   //QDataStream
      switch(to) {
        case 13: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 14:   //QDate
      switch(to) {
        case 14: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 15:   //QDateTime
      switch(to) {
        case 15: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 16:   //QDebug
      switch(to) {
        case 16: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 17:   //QDir
      switch(to) {
        case 17: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 18:   //QDragEnterEvent
      switch(to) {
        case 20: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 21: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 18: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QDragLeaveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 19: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QDragMoveEvent
      switch(to) {
        case 21: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 23: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 20: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 21: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QEasingCurve
      switch(to) {
        case 22: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 23:   //QEvent
      switch(to) {
        case 23: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QFocusEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 24: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QFont
      switch(to) {
        case 25: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 27:   //QGraphicsItem
      switch(to) {
        case 27: return (void*)(QGraphicsItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsItem*)xptr;
        default: return xptr;
      }
    case 28:   //QGraphicsObject
      switch(to) {
        case 57: return (void*)(QObject*)(QGraphicsObject*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsObject*)xptr;
        case 28: return (void*)(QGraphicsObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QGraphicsObject*)xptr;
        default: return xptr;
      }
    case 29:   //QGraphicsSceneContextMenuEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneContextMenuEvent*)xptr;
        case 29: return (void*)(QGraphicsSceneContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 30:   //QGraphicsSceneDragDropEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneDragDropEvent*)xptr;
        case 30: return (void*)(QGraphicsSceneDragDropEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QGraphicsSceneHoverEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneHoverEvent*)xptr;
        case 31: return (void*)(QGraphicsSceneHoverEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QGraphicsSceneMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneMouseEvent*)xptr;
        case 32: return (void*)(QGraphicsSceneMouseEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QGraphicsSceneWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QGraphicsSceneWheelEvent*)xptr;
        case 33: return (void*)(QGraphicsSceneWheelEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QGraphicsSvgItem
      switch(to) {
        case 28: return (void*)(QGraphicsObject*)(QGraphicsSvgItem*)xptr;
        case 57: return (void*)(QObject*)(QGraphicsSvgItem*)xptr;
        case 27: return (void*)(QGraphicsItem*)(QGraphicsSvgItem*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)xptr;
        default: return xptr;
      }
    case 35:   //QHashDummyValue
      switch(to) {
        case 35: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 36:   //QHideEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 36: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QIODevice
      switch(to) {
        case 57: return (void*)(QObject*)(QIODevice*)xptr;
        case 37: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 38:   //QIcon
      switch(to) {
        case 38: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 39:   //QImage
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 39: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 40:   //QIncompatibleFlag
      switch(to) {
        case 40: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 41:   //QInputMethodEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 41: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QItemSelectionRange
      switch(to) {
        case 42: return (void*)(QItemSelectionRange*)xptr;
        default: return xptr;
      }
    case 43:   //QKeyEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 43: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QKeySequence
      switch(to) {
        case 44: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 45:   //QLatin1String
      switch(to) {
        case 45: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 46:   //QLine
      switch(to) {
        case 46: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 47:   //QLineF
      switch(to) {
        case 47: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 48:   //QListWidgetItem
      switch(to) {
        case 48: return (void*)(QListWidgetItem*)xptr;
        default: return xptr;
      }
    case 49:   //QLocale
      switch(to) {
        case 49: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 50:   //QMargins
      switch(to) {
        case 50: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 51:   //QMatrix
      switch(to) {
        case 51: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 52:   //QMatrix4x4
      switch(to) {
        case 52: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 53:   //QMetaObject
      switch(to) {
        case 53: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 54:   //QModelIndex
      switch(to) {
        case 54: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 55:   //QMouseEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 55: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMoveEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 56: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QObject
      switch(to) {
        case 57: return (void*)(QObject*)xptr;
        case 34: return (void*)(QGraphicsSvgItem*)(QObject*)xptr;
        case 90: return (void*)(QSvgRenderer*)(QObject*)xptr;
        case 91: return (void*)(QSvgWidget*)(QObject*)xptr;
        default: return xptr;
      }
    case 58:   //QPaintDevice
      switch(to) {
        case 58: return (void*)(QPaintDevice*)xptr;
        case 89: return (void*)(QSvgGenerator*)(QPaintDevice*)xptr;
        case 91: return (void*)(QSvgWidget*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 59:   //QPaintEngine
      switch(to) {
        case 59: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 60:   //QPaintEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 60: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QPainter
      switch(to) {
        case 61: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 62:   //QPainterPath
      switch(to) {
        case 62: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 63:   //QPalette
      switch(to) {
        case 63: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 64:   //QPen
      switch(to) {
        case 64: return (void*)(QPen*)xptr;
        default: return xptr;
      }
    case 65:   //QPersistentModelIndex
      switch(to) {
        case 65: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 66:   //QPicture
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPicture*)xptr;
        case 66: return (void*)(QPicture*)xptr;
        default: return xptr;
      }
    case 67:   //QPixmap
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 67: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 68:   //QPoint
      switch(to) {
        case 68: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 69:   //QPointF
      switch(to) {
        case 69: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 70:   //QPolygon
      switch(to) {
        case 70: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 71:   //QPolygonF
      switch(to) {
        case 71: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 72:   //QQuaternion
      switch(to) {
        case 72: return (void*)(QQuaternion*)xptr;
        default: return xptr;
      }
    case 73:   //QRect
      switch(to) {
        case 73: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 74:   //QRectF
      switch(to) {
        case 74: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 75:   //QRegExp
      switch(to) {
        case 75: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 76:   //QRegion
      switch(to) {
        case 76: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 77:   //QResizeEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 77: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 78:   //QShowEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 78: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QSize
      switch(to) {
        case 79: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 80:   //QSizeF
      switch(to) {
        case 80: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 81:   //QSizePolicy
      switch(to) {
        case 81: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 82:   //QSplitter
      switch(to) {
        case 112: return (void*)(QWidget*)(QSplitter*)xptr;
        case 57: return (void*)(QObject*)(QSplitter*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSplitter*)xptr;
        case 82: return (void*)(QSplitter*)xptr;
        default: return xptr;
      }
    case 83:   //QStandardItem
      switch(to) {
        case 83: return (void*)(QStandardItem*)xptr;
        default: return xptr;
      }
    case 84:   //QString::Null
      switch(to) {
        case 84: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 85:   //QStringRef
      switch(to) {
        case 85: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 86:   //QStyle
      switch(to) {
        case 57: return (void*)(QObject*)(QStyle*)xptr;
        case 86: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 87:   //QStyleOption
      switch(to) {
        case 87: return (void*)(QStyleOption*)xptr;
        default: return xptr;
      }
    case 88:   //QStyleOptionGraphicsItem
      switch(to) {
        case 87: return (void*)(QStyleOption*)(QStyleOptionGraphicsItem*)xptr;
        case 88: return (void*)(QStyleOptionGraphicsItem*)xptr;
        default: return xptr;
      }
    case 89:   //QSvgGenerator
      switch(to) {
        case 58: return (void*)(QPaintDevice*)(QSvgGenerator*)xptr;
        case 89: return (void*)(QSvgGenerator*)xptr;
        default: return xptr;
      }
    case 90:   //QSvgRenderer
      switch(to) {
        case 57: return (void*)(QObject*)(QSvgRenderer*)xptr;
        case 90: return (void*)(QSvgRenderer*)xptr;
        default: return xptr;
      }
    case 91:   //QSvgWidget
      switch(to) {
        case 112: return (void*)(QWidget*)(QSvgWidget*)xptr;
        case 57: return (void*)(QObject*)(QSvgWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QSvgWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)xptr;
        default: return xptr;
      }
    case 92:   //QTableWidgetItem
      switch(to) {
        case 92: return (void*)(QTableWidgetItem*)xptr;
        default: return xptr;
      }
    case 93:   //QTabletEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 93: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTextCodec
      switch(to) {
        case 94: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 95:   //QTextFormat
      switch(to) {
        case 95: return (void*)(QTextFormat*)xptr;
        default: return xptr;
      }
    case 96:   //QTextLength
      switch(to) {
        case 96: return (void*)(QTextLength*)xptr;
        default: return xptr;
      }
    case 97:   //QTextStream
      switch(to) {
        case 97: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 98:   //QTextStreamManipulator
      switch(to) {
        case 98: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 99:   //QTileRules
      switch(to) {
        case 99: return (void*)(QTileRules*)xptr;
        default: return xptr;
      }
    case 100:   //QTime
      switch(to) {
        case 100: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 101:   //QTimerEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 101: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QTransform
      switch(to) {
        case 102: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 103:   //QTreeWidgetItem
      switch(to) {
        case 103: return (void*)(QTreeWidgetItem*)xptr;
        default: return xptr;
      }
    case 104:   //QUrl
      switch(to) {
        case 104: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 105:   //QUuid
      switch(to) {
        case 105: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 106:   //QVariant
      switch(to) {
        case 106: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 107:   //QVariantComparisonHelper
      switch(to) {
        case 107: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 108:   //QVector2D
      switch(to) {
        case 108: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 109:   //QVector3D
      switch(to) {
        case 109: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 110:   //QVector4D
      switch(to) {
        case 110: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 111:   //QWheelEvent
      switch(to) {
        case 23: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 111: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 112:   //QWidget
      switch(to) {
        case 57: return (void*)(QObject*)(QWidget*)xptr;
        case 58: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 112: return (void*)(QWidget*)xptr;
        case 91: return (void*)(QSvgWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    case 113:   //QXmlStreamReader
      switch(to) {
        case 113: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    28, 0,	// 1: QGraphicsObject
    58, 0,	// 3: QPaintDevice
    57, 0,	// 5: QObject
    112, 0,	// 7: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QGraphicsSvgItem(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgRenderer(Smoke::Index, void*, Smoke::Stack);
void xcall_QSvgWidget(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAccessible2Interface", true, 0, 0, 0, 0, 0 },	//1
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//3
    { "QBool", true, 0, 0, 0, 0, 0 },	//4
    { "QBrush", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QColor", true, 0, 0, 0, 0, 0 },	//10
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QCursor", true, 0, 0, 0, 0, 0 },	//12
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//13
    { "QDate", true, 0, 0, 0, 0, 0 },	//14
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//15
    { "QDebug", true, 0, 0, 0, 0, 0 },	//16
    { "QDir", true, 0, 0, 0, 0, 0 },	//17
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//19
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//20
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//22
    { "QEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QFont", true, 0, 0, 0, 0, 0 },	//25
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//26
    { "QGraphicsItem", true, 0, 0, 0, 0, 0 },	//27
    { "QGraphicsObject", true, 0, 0, 0, 0, 0 },	//28
    { "QGraphicsSceneContextMenuEvent", true, 0, 0, 0, 0, 0 },	//29
    { "QGraphicsSceneDragDropEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGraphicsSceneHoverEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QGraphicsSceneMouseEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QGraphicsSceneWheelEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QGraphicsSvgItem", false, 1, xcall_QGraphicsSvgItem, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGraphicsSvgItem) },	//34
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//35
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//37
    { "QIcon", true, 0, 0, 0, 0, 0 },	//38
    { "QImage", true, 0, 0, 0, 0, 0 },	//39
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//40
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QItemSelectionRange", true, 0, 0, 0, 0, 0 },	//42
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//44
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//45
    { "QLine", true, 0, 0, 0, 0, 0 },	//46
    { "QLineF", true, 0, 0, 0, 0, 0 },	//47
    { "QListWidgetItem", true, 0, 0, 0, 0, 0 },	//48
    { "QLocale", true, 0, 0, 0, 0, 0 },	//49
    { "QMargins", true, 0, 0, 0, 0, 0 },	//50
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//51
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//52
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//53
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//54
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QObject", true, 0, 0, 0, 0, 0 },	//57
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//58
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//59
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QPainter", true, 0, 0, 0, 0, 0 },	//61
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//62
    { "QPalette", true, 0, 0, 0, 0, 0 },	//63
    { "QPen", true, 0, 0, 0, 0, 0 },	//64
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//65
    { "QPicture", true, 0, 0, 0, 0, 0 },	//66
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//67
    { "QPoint", true, 0, 0, 0, 0, 0 },	//68
    { "QPointF", true, 0, 0, 0, 0, 0 },	//69
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//70
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//71
    { "QQuaternion", true, 0, 0, 0, 0, 0 },	//72
    { "QRect", true, 0, 0, 0, 0, 0 },	//73
    { "QRectF", true, 0, 0, 0, 0, 0 },	//74
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//75
    { "QRegion", true, 0, 0, 0, 0, 0 },	//76
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//77
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QSize", true, 0, 0, 0, 0, 0 },	//79
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//80
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//81
    { "QSplitter", true, 0, 0, 0, 0, 0 },	//82
    { "QStandardItem", true, 0, 0, 0, 0, 0 },	//83
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//84
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//85
    { "QStyle", true, 0, 0, 0, 0, 0 },	//86
    { "QStyleOption", true, 0, 0, 0, 0, 0 },	//87
    { "QStyleOptionGraphicsItem", true, 0, 0, 0, 0, 0 },	//88
    { "QSvgGenerator", false, 3, xcall_QSvgGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgGenerator) },	//89
    { "QSvgRenderer", false, 5, xcall_QSvgRenderer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgRenderer) },	//90
    { "QSvgWidget", false, 7, xcall_QSvgWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSvgWidget) },	//91
    { "QTableWidgetItem", true, 0, 0, 0, 0, 0 },	//92
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//94
    { "QTextFormat", true, 0, 0, 0, 0, 0 },	//95
    { "QTextLength", true, 0, 0, 0, 0, 0 },	//96
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//97
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//98
    { "QTileRules", true, 0, 0, 0, 0, 0 },	//99
    { "QTime", true, 0, 0, 0, 0, 0 },	//100
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QTransform", true, 0, 0, 0, 0, 0 },	//102
    { "QTreeWidgetItem", true, 0, 0, 0, 0, 0 },	//103
    { "QUrl", true, 0, 0, 0, 0, 0 },	//104
    { "QUuid", true, 0, 0, 0, 0, 0 },	//105
    { "QVariant", true, 0, 0, 0, 0, 0 },	//106
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//107
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//108
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//109
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//110
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//111
    { "QWidget", true, 0, 0, 0, 0, 0 },	//112
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//113
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractItemView::EditTrigger", 0, Smoke::t_enum|Smoke::tf_stack },	//2
    { "QAbstractPrintDialog::PrintDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAccessible2Interface*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QAccessible::RelationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QAccessible::StateFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QActionEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QBitArray", 3, Smoke::t_class|Smoke::tf_stack },	//12
    { "QBitArray&", 3, Smoke::t_class|Smoke::tf_ref },	//13
    { "QBool", 4, Smoke::t_class|Smoke::tf_stack },	//14
    { "QBrush&", 5, Smoke::t_class|Smoke::tf_ref },	//15
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//16
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//18
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//19
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QCloseEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QColor&", 10, Smoke::t_class|Smoke::tf_ref },	//22
    { "QColorDialog::ColorDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QContextMenuEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QCursor&", 12, Smoke::t_class|Smoke::tf_ref },	//25
    { "QDataStream&", 13, Smoke::t_class|Smoke::tf_ref },	//26
    { "QDate&", 14, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDateTime&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDateTimeEdit::Section", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QDebug", 16, Smoke::t_class|Smoke::tf_stack },	//30
    { "QDialogButtonBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QDir::Filter", 17, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QDir::SortFlag", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QDockWidget::DockWidgetFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDragEnterEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDragLeaveEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDragMoveEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//38
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QDropEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref },	//41
    { "QEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "QFileDialog::Option", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QAbstractPrintDialog::PrintDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<QAccessible::RelationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<QAccessible::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<QColorDialog::ColorDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<QDateTimeEdit::Section>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<QDialogButtonBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QDockWidget::DockWidgetFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QDrawBorderPixmap::DrawingHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<QFileDialog::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<QFontComboBox::FontFilter>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<QFontDialog::FontDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QGestureRecognizer::ResultFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QGraphicsBlurEffect::BlurHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QGraphicsEffect::ChangeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QGraphicsItem::GraphicsItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QGraphicsScene::SceneLayer>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QGraphicsView::CacheModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QGraphicsView::OptimizationFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QImageIOPlugin::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QInputDialog::InputDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QMainWindow::DockOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QMdiArea::AreaOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QMdiSubWindow::SubWindowOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QMessageBox::StandardButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QPaintEngine::DirtyFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QPaintEngine::PaintEngineFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QPainter::RenderHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<QTextDocument::FindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<QTextEdit::AutoFormattingFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<QTextFormat::PageBreakFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<QTextItem::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<QTextOption::Flag>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<QTreeWidgetItemIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<QWizard::WizardOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//109
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//110
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//111
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFocusEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//123
    { "QFont&", 25, Smoke::t_class|Smoke::tf_ref },	//124
    { "QFontComboBox::FontFilter", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "QFontDialog::FontDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QGestureRecognizer::ResultFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QGraphicsBlurEffect::BlurHint", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QGraphicsEffect::ChangeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QGraphicsItem::Extension", 27, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QGraphicsItem::GraphicsItemChange", 27, Smoke::t_enum|Smoke::tf_stack },	//132
    { "QGraphicsItem::GraphicsItemFlag", 27, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QGraphicsObject*", 28, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QGraphicsScene::SceneLayer", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QGraphicsSceneContextMenuEvent*", 29, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QGraphicsSceneDragDropEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QGraphicsSceneHoverEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//138
    { "QGraphicsSceneMouseEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//139
    { "QGraphicsSceneWheelEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QGraphicsSvgItem*", 34, Smoke::t_class|Smoke::tf_ptr },	//141
    { "QGraphicsView::CacheModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "QGraphicsView::OptimizationFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "QHideEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QIODevice*", 37, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QIODevice::OpenModeFlag", 37, Smoke::t_enum|Smoke::tf_stack },	//146
    { "QIcon&", 38, Smoke::t_class|Smoke::tf_ref },	//147
    { "QImage&", 39, Smoke::t_class|Smoke::tf_ref },	//148
    { "QImageIOPlugin::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "QIncompatibleFlag", 40, Smoke::t_class|Smoke::tf_stack },	//150
    { "QInputDialog::InputDialogOption", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "QInputMethodEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QItemSelectionModel::SelectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "QKeyEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref },	//155
    { "QKeySequence::StandardKey", 44, Smoke::t_enum|Smoke::tf_stack },	//156
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "QLine", 46, Smoke::t_class|Smoke::tf_stack },	//158
    { "QLine&", 46, Smoke::t_class|Smoke::tf_ref },	//159
    { "QLineF", 47, Smoke::t_class|Smoke::tf_stack },	//160
    { "QLineF&", 47, Smoke::t_class|Smoke::tf_ref },	//161
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//162
    { "QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref },	//163
    { "QLocale&", 49, Smoke::t_class|Smoke::tf_ref },	//164
    { "QLocale::NumberOption", 49, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QMainWindow::DockOption", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QMatrix", 51, Smoke::t_class|Smoke::tf_stack },	//167
    { "QMatrix&", 51, Smoke::t_class|Smoke::tf_ref },	//168
    { "QMatrix4x4", 52, Smoke::t_class|Smoke::tf_stack },	//169
    { "QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref },	//170
    { "QMdiArea::AreaOption", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QMdiSubWindow::SubWindowOption", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QMessageBox::StandardButton", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QMetaObject::Call", 53, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QMouseEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QMoveEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//176
    { "QObject*", 57, Smoke::t_class|Smoke::tf_ptr },	//177
    { "QObject*(*)()", 57, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QPaintDevice::PaintDeviceMetric", 58, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QPaintEngine*", 59, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QPaintEngine::DirtyFlag", 59, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QPaintEngine::PaintEngineFeature", 59, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QPaintEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//183
    { "QPainter*", 61, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QPainter::RenderHint", 61, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QPainterPath", 62, Smoke::t_class|Smoke::tf_stack },	//186
    { "QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref },	//187
    { "QPalette&", 63, Smoke::t_class|Smoke::tf_ref },	//188
    { "QPen&", 64, Smoke::t_class|Smoke::tf_ref },	//189
    { "QPicture&", 66, Smoke::t_class|Smoke::tf_ref },	//190
    { "QPixmap&", 67, Smoke::t_class|Smoke::tf_ref },	//191
    { "QPoint", 68, Smoke::t_class|Smoke::tf_stack },	//192
    { "QPoint&", 68, Smoke::t_class|Smoke::tf_ref },	//193
    { "QPointF", 69, Smoke::t_class|Smoke::tf_stack },	//194
    { "QPointF&", 69, Smoke::t_class|Smoke::tf_ref },	//195
    { "QPolygon", 70, Smoke::t_class|Smoke::tf_stack },	//196
    { "QPolygon&", 70, Smoke::t_class|Smoke::tf_ref },	//197
    { "QPolygonF", 71, Smoke::t_class|Smoke::tf_stack },	//198
    { "QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref },	//199
    { "QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref },	//200
    { "QRect", 73, Smoke::t_class|Smoke::tf_stack },	//201
    { "QRect&", 73, Smoke::t_class|Smoke::tf_ref },	//202
    { "QRectF", 74, Smoke::t_class|Smoke::tf_stack },	//203
    { "QRectF&", 74, Smoke::t_class|Smoke::tf_ref },	//204
    { "QRegExp&", 75, Smoke::t_class|Smoke::tf_ref },	//205
    { "QRegion", 76, Smoke::t_class|Smoke::tf_stack },	//206
    { "QRegion&", 76, Smoke::t_class|Smoke::tf_ref },	//207
    { "QResizeEvent*", 77, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QShowEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//209
    { "QSize", 79, Smoke::t_class|Smoke::tf_stack },	//210
    { "QSize&", 79, Smoke::t_class|Smoke::tf_ref },	//211
    { "QSizeF&", 80, Smoke::t_class|Smoke::tf_ref },	//212
    { "QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref },	//213
    { "QSizePolicy::ControlType", 81, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QSplitter&", 82, Smoke::t_class|Smoke::tf_ref },	//215
    { "QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref },	//216
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//217
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//218
    { "QString::Null", 84, Smoke::t_class|Smoke::tf_stack },	//219
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//221
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//222
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//223
    { "QStyle&", 86, Smoke::t_class|Smoke::tf_ref },	//224
    { "QStyle::StateFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QStyle::SubControl", 86, Smoke::t_enum|Smoke::tf_stack },	//226
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QStyleOptionQ3ListViewItem::Q3ListViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "QSvgGenerator*", 89, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QSvgRenderer*", 90, Smoke::t_class|Smoke::tf_ptr },	//235
    { "QSvgWidget*", 91, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref },	//237
    { "QTabletEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QTextCodec*", 94, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QTextCodec::ConversionFlag", 94, Smoke::t_enum|Smoke::tf_stack },	//240
    { "QTextDocument::FindFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "QTextEdit::AutoFormattingFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref },	//243
    { "QTextFormat::PageBreakFlag", 95, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QTextItem::RenderFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QTextLength&", 96, Smoke::t_class|Smoke::tf_ref },	//246
    { "QTextOption::Flag", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QTextStream&", 97, Smoke::t_class|Smoke::tf_ref },	//248
    { "QTextStream&(*)(QTextStream&)", 97, Smoke::t_class|Smoke::tf_ref },	//249
    { "QTextStream::NumberFlag", 97, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QTextStreamManipulator", 98, Smoke::t_class|Smoke::tf_stack },	//251
    { "QTime&", 100, Smoke::t_class|Smoke::tf_ref },	//252
    { "QTimerEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//253
    { "QTransform", 102, Smoke::t_class|Smoke::tf_stack },	//254
    { "QTransform&", 102, Smoke::t_class|Smoke::tf_ref },	//255
    { "QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref },	//256
    { "QTreeWidgetItemIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QUrl&", 104, Smoke::t_class|Smoke::tf_ref },	//258
    { "QUrl::FormattingOption", 104, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QUuid&", 105, Smoke::t_class|Smoke::tf_ref },	//260
    { "QVariant", 106, Smoke::t_class|Smoke::tf_stack },	//261
    { "QVariant&", 106, Smoke::t_class|Smoke::tf_ref },	//262
    { "QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QVariant::Type&", 106, Smoke::t_enum|Smoke::tf_ref },	//264
    { "QVector2D&", 108, Smoke::t_class|Smoke::tf_ref },	//265
    { "QVector3D", 109, Smoke::t_class|Smoke::tf_stack },	//266
    { "QVector3D&", 109, Smoke::t_class|Smoke::tf_ref },	//267
    { "QVector4D", 110, Smoke::t_class|Smoke::tf_stack },	//268
    { "QVector4D&", 110, Smoke::t_class|Smoke::tf_ref },	//269
    { "QWheelEvent*", 111, Smoke::t_class|Smoke::tf_ptr },	//270
    { "QWidget*", 112, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QWidget::RenderFlag", 112, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QWizard::WizardOption", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QXmlStreamReader*", 113, Smoke::t_class|Smoke::tf_ptr },	//274
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "QtMsgType", 26, Smoke::t_enum|Smoke::tf_stack },	//350
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//351
    { "__codecvt_result", 26, Smoke::t_enum|Smoke::tf_stack },	//352
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//353
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//354
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//355
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//356
    { "const QBitArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QBrush&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const QBrush*", 5, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//359
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//360
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QColor&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const QCursor&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QDate&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QDateTime&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QDir&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QEasingCurve&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QEvent*", 23, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//369
    { "const QFont&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QGraphicsItem*", 27, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//371
    { "const QHashDummyValue&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QIcon&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QImage&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QItemSelectionRange&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QKeySequence&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QLatin1String&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QLine&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QLineF&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QListWidgetItem&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QLocale&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QMargins&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const QMatrix&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QMatrix4x4&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QMetaObject&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QMetaObject*", 53, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//386
    { "const QModelIndex&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//388
    { "const QPainterPath&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QPalette&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QPen&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QPersistentModelIndex&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QPicture&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QPixmap&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QPoint", 68, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//395
    { "const QPoint&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QPointF", 69, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//397
    { "const QPointF&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QPolygon&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QPolygonF&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QQuaternion", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//401
    { "const QQuaternion&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QRect&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QRectF&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QRegExp&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const QRegExp*", 75, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//406
    { "const QRegion&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QSize", 79, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//408
    { "const QSize&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QSizeF", 80, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//410
    { "const QSizeF&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QSizePolicy&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QSplitter&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QStandardItem&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//415
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//418
    { "const QStringRef&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QStyleOption&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QStyleOption::OptionType&", 87, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QStyleOptionGraphicsItem*", 88, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//422
    { "const QTableWidgetItem&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QTextFormat&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QTextLength&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QTileRules&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QTime&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//427
    { "const QTransform&", 102, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QTreeWidgetItem&", 103, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QUrl&", 104, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QUuid&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QVariant&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QVariant::Type", 106, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//433
    { "const QVariantComparisonHelper&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QVector2D", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//435
    { "const QVector2D&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QVector3D", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//437
    { "const QVector3D&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QVector4D", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//439
    { "const QVector4D&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//441
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//442
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//443
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//444
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//445
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//446
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//447
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//448
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//449
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//450
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//451
    { "size_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//452
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//453
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//454
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//455
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//456
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//457
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//458
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//459
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//460
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//461
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//462
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//463
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//464
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    29, 446, 0,	//1  QDateTimeEdit::Section, int
    419, 419, 0,	//4  const QStringRef&, const QStringRef&
    457, 0,	//7  unsigned long long
    444, 0,	//9  double
    240, 446, 0,	//11  QTextCodec::ConversionFlag, int
    384, 384, 0,	//14  const QMatrix4x4&, const QMatrix4x4&
    306, 446, 0,	//17  Qt::ImageConversionFlag, int
    438, 438, 0,	//20  const QVector3D&, const QVector3D&
    436, 436, 0,	//23  const QVector2D&, const QVector2D&
    441, 455, 0,	//26  const char*, unsigned int
    462, 443, 452, 0,	//29  void*, const void*, size_t
    441, 377, 0,	//33  const char*, const QLatin1String&
    30, 72, 0,	//36  QDebug, QFlags<QIODevice::OpenModeFlag>
    26, 147, 0,	//39  QDataStream&, QIcon&
    398, 383, 0,	//42  const QPointF&, const QMatrix&
    181, 82, 0,	//45  QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>
    419, 416, 0,	//48  const QStringRef&, const QString&
    409, 409, 0,	//51  const QSize&, const QSize&
    26, 376, 0,	//54  QDataStream&, const QKeySequence&
    242, 242, 0,	//57  QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag
    441, 361, 0,	//60  const char*, const QByteArray&
    26, 216, 0,	//63  QDataStream&, QStandardItem&
    227, 227, 0,	//66  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    171, 79, 0,	//69  QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>
    44, 61, 0,	//72  QFile::Permission, QFlags<QFile::Permission>
    416, 441, 0,	//75  const QString&, const char*
    26, 200, 0,	//78  QDataStream&, QQuaternion&
    398, 398, 0,	//81  const QPointF&, const QPointF&
    26, 400, 0,	//84  QDataStream&, const QPolygonF&
    444, 444, 0,	//87  double, double
    26, 212, 0,	//90  QDataStream&, QSizeF&
    361, 441, 0,	//93  const QByteArray&, const char*
    445, 0,	//96  float
    441, 0,	//98  const char*
    451, 0,	//100  signed char
    129, 446, 0,	//102  QGraphicsEffect::ChangeFlag, int
    416, 419, 0,	//105  const QString&, const QStringRef&
    45, 446, 0,	//108  QFileDialog::Option, int
    18, 0,	//111  QChar
    26, 407, 0,	//113  QDataStream&, const QRegion&
    173, 173, 0,	//116  QMessageBox::StandardButton, QMessageBox::StandardButton
    384, 396, 0,	//119  const QMatrix4x4&, const QPoint&
    226, 88, 0,	//122  QStyle::SubControl, QFlags<QStyle::SubControl>
    26, 425, 0,	//125  QDataStream&, const QTextLength&
    30, 358, 0,	//128  QDebug, const QBrush&
    127, 127, 0,	//131  QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag
    419, 377, 0,	//134  const QStringRef&, const QLatin1String&
    384, 440, 0,	//137  const QMatrix4x4&, const QVector4D&
    18, 18, 0,	//140  QChar, QChar
    30, 402, 0,	//143  QDebug, const QQuaternion&
    339, 339, 0,	//146  Qt::TouchPointState, Qt::TouchPointState
    384, 0,	//149  const QMatrix4x4&
    430, 0,	//151  const QUrl&
    361, 0,	//153  const QByteArray&
    272, 446, 0,	//155  QWidget::RenderFlag, int
    384, 444, 0,	//158  const QMatrix4x4&, double
    26, 390, 0,	//161  QDataStream&, const QPalette&
    30, 430, 0,	//164  QDebug, const QUrl&
    26, 22, 0,	//167  QDataStream&, QColor&
    26, 237, 0,	//170  QDataStream&, QTableWidgetItem&
    166, 78, 0,	//173  QMainWindow::DockOption, QFlags<QMainWindow::DockOption>
    219, 416, 0,	//176  QString::Null, const QString&
    30, 133, 0,	//179  QDebug, QGraphicsItem::GraphicsItemFlag
    272, 105, 0,	//182  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    336, 336, 0,	//185  Qt::ToolBarArea, Qt::ToolBarArea
    441, 441, 0,	//188  const char*, const char*
    143, 446, 0,	//191  QGraphicsView::OptimizationFlag, int
    165, 165, 0,	//194  QLocale::NumberOption, QLocale::NumberOption
    347, 347, 0,	//197  Qt::WindowType, Qt::WindowType
    444, 411, 0,	//200  double, const QSizeF&
    402, 402, 0,	//203  const QQuaternion&, const QQuaternion&
    32, 446, 0,	//206  QDir::Filter, int
    226, 226, 0,	//209  QStyle::SubControl, QStyle::SubControl
    396, 396, 0,	//212  const QPoint&, const QPoint&
    26, 404, 0,	//215  QDataStream&, const QRectF&
    314, 446, 0,	//218  Qt::KeyboardModifier, int
    333, 118, 0,	//221  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    171, 446, 0,	//224  QMdiArea::AreaOption, int
    428, 444, 0,	//227  const QTransform&, double
    2, 47, 0,	//230  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    355, 0,	//233  char
    273, 273, 0,	//235  QWizard::WizardOption, QWizard::WizardOption
    250, 102, 0,	//238  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    247, 446, 0,	//241  QTextOption::Flag, int
    30, 382, 0,	//244  QDebug, const QMargins&
    259, 446, 0,	//247  QUrl::FormattingOption, int
    44, 446, 0,	//250  QFile::Permission, int
    127, 65, 0,	//253  QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>
    396, 444, 0,	//256  const QPoint&, double
    184, 446, 446, 446, 446, 390, 354, 359, 0,	//259  QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*
    184, 446, 446, 446, 446, 390, 0,	//268  QPainter*, int, int, int, int, const QPalette&
    184, 446, 446, 446, 446, 390, 354, 0,	//275  QPainter*, int, int, int, int, const QPalette&, bool
    26, 428, 0,	//283  QDataStream&, const QTransform&
    34, 57, 0,	//286  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    416, 361, 0,	//289  const QString&, const QByteArray&
    411, 411, 0,	//292  const QSizeF&, const QSizeF&
    438, 384, 0,	//295  const QVector3D&, const QMatrix4x4&
    440, 440, 0,	//298  const QVector4D&, const QVector4D&
    30, 398, 0,	//301  QDebug, const QPointF&
    45, 62, 0,	//304  QFileDialog::Option, QFlags<QFileDialog::Option>
    26, 394, 0,	//307  QDataStream&, const QPixmap&
    314, 114, 0,	//310  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    273, 446, 0,	//313  QWizard::WizardOption, int
    30, 379, 0,	//316  QDebug, const QLineF&
    455, 0,	//319  unsigned int
    30, 366, 0,	//321  QDebug, const QDateTime&
    35, 58, 0,	//324  QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>
    441, 416, 0,	//327  const char*, const QString&
    446, 446, 446, 0,	//330  int, int, int
    142, 142, 0,	//334  QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag
    26, 393, 0,	//337  QDataStream&, const QPicture&
    259, 259, 0,	//340  QUrl::FormattingOption, QUrl::FormattingOption
    339, 120, 0,	//343  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    306, 306, 0,	//346  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    446, 0,	//349  int
    182, 446, 0,	//351  QPaintEngine::PaintEngineFeature, int
    2, 2, 0,	//354  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    165, 446, 0,	//357  QLocale::NumberOption, int
    377, 377, 0,	//360  const QLatin1String&, const QLatin1String&
    442, 446, 0,	//363  const unsigned char*, int
    441, 441, 455, 0,	//366  const char*, const char*, unsigned int
    377, 419, 0,	//370  const QLatin1String&, const QStringRef&
    154, 156, 0,	//373  QKeyEvent*, QKeySequence::StandardKey
    229, 229, 0,	//376  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
    248, 215, 0,	//379  QTextStream&, QSplitter&
    375, 0,	//382  const QItemSelectionRange&
    296, 296, 0,	//384  Qt::DropAction, Qt::DropAction
    185, 84, 0,	//387  QPainter::RenderHint, QFlags<QPainter::RenderHint>
    30, 396, 0,	//390  QDebug, const QPoint&
    26, 164, 0,	//393  QDataStream&, QLocale&
    416, 18, 0,	//396  const QString&, QChar
    219, 219, 0,	//399  QString::Null, QString::Null
    9, 50, 0,	//402  QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>
    442, 454, 446, 0,	//405  const unsigned char*, unsigned char*, int
    228, 90, 0,	//409  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    240, 240, 0,	//412  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    321, 321, 0,	//415  Qt::Orientation, Qt::Orientation
    462, 452, 452, 452, 0,	//418  void*, size_t, size_t, size_t
    26, 188, 0,	//423  QDataStream&, QPalette&
    26, 364, 0,	//426  QDataStream&, const QCursor&
    361, 416, 0,	//429  const QByteArray&, const QString&
    336, 119, 0,	//432  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    242, 98, 0,	//435  QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>
    403, 403, 0,	//438  const QRect&, const QRect&
    43, 60, 0,	//441  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    357, 357, 0,	//444  const QBitArray&, const QBitArray&
    361, 361, 0,	//447  const QByteArray&, const QByteArray&
    173, 81, 0,	//450  QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>
    462, 452, 0,	//453  void*, size_t
    416, 0,	//456  const QString&
    26, 383, 0,	//458  QDataStream&, const QMatrix&
    26, 381, 0,	//461  QDataStream&, const QLocale&
    30, 368, 0,	//464  QDebug, const QEasingCurve&
    461, 0,	//467  void(*)(QtMsgType,const char*)
    3, 446, 0,	//469  QAbstractPrintDialog::PrintDialogOption, int
    387, 0,	//472  const QModelIndex&
    29, 29, 0,	//474  QDateTimeEdit::Section, QDateTimeEdit::Section
    233, 95, 0,	//477  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    26, 28, 0,	//480  QDataStream&, QDateTime&
    30, 369, 0,	//483  QDebug, const QEvent*
    14, 14, 0,	//486  QBool, QBool
    129, 129, 0,	//489  QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag
    441, 419, 0,	//492  const char*, const QStringRef&
    125, 446, 0,	//495  QFontComboBox::FontFilter, int
    336, 446, 0,	//498  Qt::ToolBarArea, int
    127, 446, 0,	//501  QGestureRecognizer::ResultFlag, int
    149, 149, 0,	//504  QImageIOPlugin::Capability, QImageIOPlugin::Capability
    26, 189, 0,	//507  QDataStream&, QPen&
    378, 428, 0,	//510  const QLine&, const QTransform&
    30, 400, 0,	//513  QDebug, const QPolygonF&
    308, 446, 0,	//516  Qt::InputMethodHint, int
    18, 416, 0,	//519  QChar, const QString&
    230, 92, 0,	//522  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    220, 446, 0,	//525  QString::SectionFlag, int
    128, 66, 0,	//528  QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>
    157, 446, 0,	//531  QLibrary::LoadHint, int
    30, 132, 0,	//534  QDebug, QGraphicsItem::GraphicsItemChange
    26, 258, 0,	//537  QDataStream&, QUrl&
    441, 441, 446, 0,	//540  const char*, const char*, int
    449, 0,	//544  long long
    402, 0,	//546  const QQuaternion&
    416, 219, 0,	//548  const QString&, QString::Null
    126, 126, 0,	//551  QFontDialog::FontDialogOption, QFontDialog::FontDialogOption
    428, 428, 0,	//554  const QTransform&, const QTransform&
    166, 446, 0,	//557  QMainWindow::DockOption, int
    26, 15, 0,	//560  QDataStream&, QBrush&
    1, 446, 0,	//563  QAbstractFileEngine::FileFlag, int
    240, 96, 0,	//566  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    416, 355, 0,	//569  const QString&, char
    389, 383, 0,	//572  const QPainterPath&, const QMatrix&
    308, 112, 0,	//575  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    166, 166, 0,	//578  QMainWindow::DockOption, QMainWindow::DockOption
    273, 106, 0,	//581  QWizard::WizardOption, QFlags<QWizard::WizardOption>
    26, 213, 0,	//584  QDataStream&, QSizePolicy&
    347, 122, 0,	//587  Qt::WindowType, QFlags<Qt::WindowType>
    184, 446, 446, 446, 446, 363, 446, 359, 0,	//590  QPainter*, int, int, int, int, const QColor&, int, const QBrush*
    184, 446, 446, 446, 446, 363, 0,	//599  QPainter*, int, int, int, int, const QColor&
    184, 446, 446, 446, 446, 363, 446, 0,	//606  QPainter*, int, int, int, int, const QColor&, int
    402, 444, 0,	//614  const QQuaternion&, double
    319, 319, 0,	//617  Qt::MouseButton, Qt::MouseButton
    356, 441, 0,	//620  char*, const char*
    407, 383, 0,	//623  const QRegion&, const QMatrix&
    275, 275, 0,	//626  Qt::AlignmentFlag, Qt::AlignmentFlag
    396, 0,	//629  const QPoint&
    296, 446, 0,	//631  Qt::DropAction, int
    26, 427, 0,	//634  QDataStream&, const QTime&
    33, 446, 0,	//637  QDir::SortFlag, int
    382, 382, 0,	//640  const QMargins&, const QMargins&
    184, 403, 390, 354, 446, 446, 359, 0,	//643  QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*
    184, 403, 390, 0,	//651  QPainter*, const QRect&, const QPalette&
    184, 403, 390, 354, 0,	//655  QPainter*, const QRect&, const QPalette&, bool
    184, 403, 390, 354, 446, 0,	//660  QPainter*, const QRect&, const QPalette&, bool, int
    184, 403, 390, 354, 446, 446, 0,	//666  QPainter*, const QRect&, const QPalette&, bool, int, int
    26, 389, 0,	//673  QDataStream&, const QPainterPath&
    440, 384, 0,	//676  const QVector4D&, const QMatrix4x4&
    241, 446, 0,	//679  QTextDocument::FindFlag, int
    178, 0,	//682  QObject*(*)()
    30, 375, 0,	//684  QDebug, const QItemSelectionRange&
    30, 376, 0,	//687  QDebug, const QKeySequence&
    35, 35, 0,	//690  QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature
    184, 403, 382, 394, 0,	//693  QPainter*, const QRect&, const QMargins&, const QPixmap&
    440, 444, 0,	//698  const QVector4D&, double
    248, 413, 0,	//701  QTextStream&, const QSplitter&
    317, 317, 0,	//704  Qt::MatchFlag, Qt::MatchFlag
    452, 0,	//707  size_t
    294, 108, 0,	//709  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    26, 222, 0,	//712  QDataStream&, QStringList&
    231, 231, 0,	//715  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    153, 75, 0,	//718  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    26, 438, 0,	//721  QDataStream&, const QVector3D&
    30, 433, 0,	//724  QDebug, const QVariant::Type
    294, 446, 0,	//727  Qt::DockWidgetArea, int
    245, 100, 0,	//730  QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>
    26, 436, 0,	//733  QDataStream&, const QVector2D&
    26, 358, 0,	//736  QDataStream&, const QBrush&
    184, 403, 390, 354, 359, 0,	//739  QPainter*, const QRect&, const QPalette&, bool, const QBrush*
    172, 446, 0,	//745  QMdiSubWindow::SubWindowOption, int
    447, 0,	//748  long
    26, 429, 0,	//750  QDataStream&, const QTreeWidgetItem&
    458, 0,	//753  unsigned short
    244, 244, 0,	//755  QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag
    26, 161, 0,	//758  QDataStream&, QLineF&
    181, 181, 0,	//761  QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag
    26, 374, 0,	//764  QDataStream&, const QImage&
    44, 44, 0,	//767  QFile::Permission, QFile::Permission
    151, 74, 0,	//770  QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>
    184, 403, 390, 354, 446, 359, 0,	//773  QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*
    355, 416, 0,	//780  char, const QString&
    26, 211, 0,	//783  QDataStream&, QSize&
    26, 155, 0,	//786  QDataStream&, QKeySequence&
    230, 230, 0,	//789  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    31, 446, 0,	//792  QDialogButtonBox::StandardButton, int
    244, 99, 0,	//795  QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>
    392, 0,	//798  const QPersistentModelIndex&
    30, 407, 0,	//800  QDebug, const QRegion&
    26, 440, 0,	//803  QDataStream&, const QVector4D&
    26, 373, 0,	//806  QDataStream&, const QIcon&
    26, 416, 0,	//809  QDataStream&, const QString&
    26, 366, 0,	//812  QDataStream&, const QDateTime&
    26, 267, 0,	//815  QDataStream&, QVector3D&
    388, 416, 385, 0,	//818  const QObject*, const QString&, const QMetaObject&
    184, 446, 446, 446, 446, 390, 354, 446, 359, 0,	//822  QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*
    184, 446, 446, 446, 446, 390, 354, 446, 0,	//832  QPainter*, int, int, int, int, const QPalette&, bool, int
    220, 220, 0,	//841  QString::SectionFlag, QString::SectionFlag
    26, 265, 0,	//844  QDataStream&, QVector2D&
    173, 446, 0,	//847  QMessageBox::StandardButton, int
    436, 444, 0,	//850  const QVector2D&, double
    228, 228, 0,	//853  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    398, 444, 0,	//856  const QPointF&, double
    354, 14, 0,	//859  bool, QBool
    143, 143, 0,	//862  QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag
    151, 151, 0,	//865  QInputDialog::InputDialogOption, QInputDialog::InputDialogOption
    438, 444, 0,	//868  const QVector3D&, double
    153, 153, 0,	//871  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    356, 441, 455, 0,	//874  char*, const char*, unsigned int
    444, 436, 0,	//878  double, const QVector2D&
    440, 0,	//881  const QVector4D&
    257, 103, 0,	//883  QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>
    26, 170, 0,	//886  QDataStream&, QMatrix4x4&
    231, 93, 0,	//889  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    242, 446, 0,	//892  QTextEdit::AutoFormattingFlag, int
    230, 446, 0,	//895  QStyleOptionTab::CornerWidget, int
    26, 396, 0,	//898  QDataStream&, const QPoint&
    26, 262, 0,	//901  QDataStream&, QVariant&
    398, 384, 0,	//904  const QPointF&, const QMatrix4x4&
    319, 446, 0,	//907  Qt::MouseButton, int
    26, 148, 0,	//910  QDataStream&, QImage&
    398, 0,	//913  const QPointF&
    3, 48, 0,	//915  QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>
    30, 420, 0,	//918  QDebug, const QStyleOption&
    26, 190, 0,	//921  QDataStream&, QPicture&
    23, 446, 0,	//924  QColorDialog::ColorDialogOption, int
    30, 392, 0,	//927  QDebug, const QPersistentModelIndex&
    400, 383, 0,	//930  const QPolygonF&, const QMatrix&
    26, 269, 0,	//933  QDataStream&, QVector4D&
    23, 23, 0,	//936  QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption
    441, 441, 441, 446, 0,	//939  const char*, const char*, const char*, int
    45, 45, 0,	//944  QFileDialog::Option, QFileDialog::Option
    247, 247, 0,	//947  QTextOption::Flag, QTextOption::Flag
    321, 117, 0,	//950  Qt::Orientation, QFlags<Qt::Orientation>
    26, 384, 0,	//953  QDataStream&, const QMatrix4x4&
    383, 383, 0,	//956  const QMatrix&, const QMatrix&
    43, 446, 0,	//959  QEventLoop::ProcessEventsFlag, int
    404, 404, 0,	//962  const QRectF&, const QRectF&
    462, 452, 452, 353, 0,	//965  void*, size_t, size_t, __compar_fn_t
    446, 446, 446, 446, 0,	//970  int, int, int, int
    26, 255, 0,	//975  QDataStream&, QTransform&
    30, 134, 0,	//978  QDebug, QGraphicsObject*
    26, 414, 0,	//981  QDataStream&, const QStandardItem&
    306, 111, 0,	//984  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    444, 440, 0,	//987  double, const QVector4D&
    9, 446, 0,	//990  QAccessible::RelationFlag, int
    172, 80, 0,	//993  QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>
    26, 417, 0,	//996  QDataStream&, const QStringList&
    30, 384, 0,	//999  QDebug, const QMatrix4x4&
    361, 355, 0,	//1002  const QByteArray&, char
    34, 34, 0,	//1005  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    32, 55, 0,	//1008  QDir::Filter, QFlags<QDir::Filter>
    26, 193, 0,	//1011  QDataStream&, QPoint&
    411, 444, 0,	//1014  const QSizeF&, double
    26, 365, 0,	//1017  QDataStream&, const QDate&
    233, 446, 0,	//1020  QStyleOptionViewItemV2::ViewItemFeature, int
    460, 0,	//1023  void(*)()
    442, 446, 446, 0,	//1025  const unsigned char*, int, int
    214, 214, 0,	//1029  QSizePolicy::ControlType, QSizePolicy::ControlType
    26, 378, 0,	//1032  QDataStream&, const QLine&
    26, 168, 0,	//1035  QDataStream&, QMatrix&
    31, 31, 0,	//1038  QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton
    26, 218, 0,	//1041  QDataStream&, QString&
    225, 225, 0,	//1044  QStyle::StateFlag, QStyle::StateFlag
    26, 380, 0,	//1047  QDataStream&, const QListWidgetItem&
    228, 446, 0,	//1050  QStyleOptionFrameV2::FrameFeature, int
    462, 0,	//1053  void*
    30, 68, 0,	//1055  QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>
    379, 383, 0,	//1058  const QLineF&, const QMatrix&
    26, 424, 0,	//1061  QDataStream&, const QTextFormat&
    311, 446, 0,	//1064  Qt::ItemFlag, int
    26, 256, 0,	//1067  QDataStream&, QTreeWidgetItem&
    30, 367, 0,	//1070  QDebug, const QDir&
    248, 249, 0,	//1073  QTextStream&, QTextStream&(*)(QTextStream&)
    30, 391, 0,	//1076  QDebug, const QPen&
    444, 402, 0,	//1079  double, const QQuaternion&
    30, 387, 0,	//1082  QDebug, const QModelIndex&
    133, 68, 0,	//1085  QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>
    30, 438, 0,	//1088  QDebug, const QVector3D&
    245, 245, 0,	//1091  QTextItem::RenderFlag, QTextItem::RenderFlag
    43, 43, 0,	//1094  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    357, 0,	//1097  const QBitArray&
    30, 436, 0,	//1099  QDebug, const QVector2D&
    149, 73, 0,	//1102  QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>
    30, 427, 0,	//1105  QDebug, const QTime&
    248, 251, 0,	//1108  QTextStream&, QTextStreamManipulator
    30, 440, 0,	//1111  QDebug, const QVector4D&
    26, 243, 0,	//1114  QDataStream&, QTextFormat&
    301, 110, 0,	//1117  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    419, 441, 0,	//1120  const QStringRef&, const char*
    232, 446, 0,	//1123  QStyleOptionToolButton::ToolButtonFeature, int
    214, 85, 0,	//1126  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    272, 272, 0,	//1129  QWidget::RenderFlag, QWidget::RenderFlag
    26, 13, 0,	//1132  QDataStream&, QBitArray&
    26, 197, 0,	//1135  QDataStream&, QPolygon&
    26, 207, 0,	//1138  QDataStream&, QRegion&
    4, 4, 0,	//1141  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    26, 412, 0,	//1144  QDataStream&, const QSizePolicy&
    232, 232, 0,	//1147  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    35, 446, 0,	//1150  QDockWidget::DockWidgetFeature, int
    452, 452, 0,	//1153  size_t, size_t
    135, 69, 0,	//1156  QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>
    396, 428, 0,	//1159  const QPoint&, const QTransform&
    30, 411, 0,	//1162  QDebug, const QSizeF&
    301, 446, 0,	//1165  Qt::GestureFlag, int
    355, 361, 0,	//1168  char, const QByteArray&
    225, 446, 0,	//1171  QStyle::StateFlag, int
    26, 432, 0,	//1174  QDataStream&, const QVariant&
    232, 94, 0,	//1177  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    30, 432, 0,	//1180  QDebug, const QVariant&
    10, 10, 0,	//1183  QAccessible::StateFlag, QAccessible::StateFlag
    185, 185, 0,	//1186  QPainter::RenderHint, QPainter::RenderHint
    346, 446, 0,	//1189  Qt::WindowState, int
    26, 252, 0,	//1192  QDataStream&, QTime&
    26, 191, 0,	//1195  QDataStream&, QPixmap&
    29, 53, 0,	//1198  QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>
    247, 101, 0,	//1201  QTextOption::Flag, QFlags<QTextOption::Flag>
    30, 55, 0,	//1204  QDebug, QFlags<QDir::Filter>
    314, 314, 0,	//1207  Qt::KeyboardModifier, Qt::KeyboardModifier
    444, 398, 0,	//1210  double, const QPointF&
    26, 41, 0,	//1213  QDataStream&, QEasingCurve&
    296, 109, 0,	//1216  Qt::DropAction, QFlags<Qt::DropAction>
    407, 428, 0,	//1219  const QRegion&, const QTransform&
    409, 444, 0,	//1222  const QSize&, double
    30, 365, 0,	//1225  QDebug, const QDate&
    389, 428, 0,	//1228  const QPainterPath&, const QTransform&
    10, 51, 0,	//1231  QAccessible::StateFlag, QFlags<QAccessible::StateFlag>
    32, 32, 0,	//1234  QDir::Filter, QDir::Filter
    356, 452, 441, 459, 0,	//1237  char*, size_t, const char*, va_list
    444, 396, 0,	//1242  double, const QPoint&
    400, 428, 0,	//1245  const QPolygonF&, const QTransform&
    462, 446, 452, 0,	//1248  void*, int, size_t
    26, 379, 0,	//1252  QDataStream&, const QLineF&
    441, 446, 0,	//1255  const char*, int
    450, 0,	//1258  short
    172, 172, 0,	//1260  QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption
    146, 146, 0,	//1263  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    294, 294, 0,	//1266  Qt::DockWidgetArea, Qt::DockWidgetArea
    33, 56, 0,	//1269  QDir::SortFlag, QFlags<QDir::SortFlag>
    445, 445, 0,	//1272  float, float
    432, 434, 0,	//1275  const QVariant&, const QVariantComparisonHelper&
    151, 446, 0,	//1278  QInputDialog::InputDialogOption, int
    157, 157, 0,	//1281  QLibrary::LoadHint, QLibrary::LoadHint
    448, 446, 356, 0,	//1284  long double, int, char*
    257, 257, 0,	//1288  QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag
    229, 91, 0,	//1291  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>
    143, 71, 0,	//1294  QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>
    34, 446, 0,	//1297  QDirIterator::IteratorFlag, int
    308, 308, 0,	//1300  Qt::InputMethodHint, Qt::InputMethodHint
    135, 446, 0,	//1303  QGraphicsScene::SceneLayer, int
    26, 391, 0,	//1306  QDataStream&, const QPen&
    182, 182, 0,	//1309  QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature
    26, 187, 0,	//1312  QDataStream&, QPainterPath&
    30, 378, 0,	//1315  QDebug, const QLine&
    333, 333, 0,	//1318  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    184, 446, 446, 446, 446, 390, 354, 446, 446, 359, 0,	//1321  QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*
    184, 446, 446, 446, 446, 390, 354, 446, 446, 0,	//1332  QPainter*, int, int, int, int, const QPalette&, bool, int, int
    339, 446, 0,	//1342  Qt::TouchPointState, int
    26, 246, 0,	//1345  QDataStream&, QTextLength&
    30, 428, 0,	//1348  QDebug, const QTransform&
    257, 446, 0,	//1351  QTreeWidgetItemIterator::IteratorFlag, int
    361, 446, 0,	//1354  const QByteArray&, int
    30, 399, 0,	//1357  QDebug, const QPolygon&
    259, 104, 0,	//1360  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    4, 446, 0,	//1363  QAbstractSpinBox::StepEnabledFlag, int
    214, 446, 0,	//1366  QSizePolicy::ControlType, int
    135, 135, 0,	//1369  QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer
    333, 446, 0,	//1372  Qt::TextInteractionFlag, int
    346, 346, 0,	//1375  Qt::WindowState, Qt::WindowState
    436, 0,	//1378  const QVector2D&
    244, 446, 0,	//1380  QTextFormat::PageBreakFlag, int
    1, 46, 0,	//1383  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    26, 363, 0,	//1386  QDataStream&, const QColor&
    444, 384, 0,	//1389  double, const QMatrix4x4&
    26, 361, 0,	//1392  QDataStream&, const QByteArray&
    9, 9, 0,	//1395  QAccessible::RelationFlag, QAccessible::RelationFlag
    26, 368, 0,	//1398  QDataStream&, const QEasingCurve&
    378, 383, 0,	//1401  const QLine&, const QMatrix&
    26, 430, 0,	//1404  QDataStream&, const QUrl&
    30, 403, 0,	//1407  QDebug, const QRect&
    30, 370, 0,	//1410  QDebug, const QFont&
    33, 33, 0,	//1413  QDir::SortFlag, QDir::SortFlag
    23, 52, 0,	//1416  QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>
    142, 446, 0,	//1419  QGraphicsView::CacheModeFlag, int
    250, 446, 0,	//1422  QTextStream::NumberFlag, int
    26, 202, 0,	//1425  QDataStream&, QRect&
    171, 171, 0,	//1428  QMdiArea::AreaOption, QMdiArea::AreaOption
    26, 409, 0,	//1431  QDataStream&, const QSize&
    26, 362, 0,	//1434  QDataStream&, const QChar&
    125, 63, 0,	//1437  QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>
    126, 64, 0,	//1440  QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>
    156, 154, 0,	//1443  QKeySequence::StandardKey, QKeyEvent*
    225, 87, 0,	//1446  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    275, 446, 0,	//1449  Qt::AlignmentFlag, int
    26, 163, 0,	//1452  QDataStream&, QListWidgetItem&
    26, 405, 0,	//1455  QDataStream&, const QRegExp&
    149, 446, 0,	//1458  QImageIOPlugin::Capability, int
    241, 97, 0,	//1461  QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>
    438, 0,	//1464  const QVector3D&
    30, 404, 0,	//1466  QDebug, const QRectF&
    346, 121, 0,	//1469  Qt::WindowState, QFlags<Qt::WindowState>
    129, 67, 0,	//1472  QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>
    311, 311, 0,	//1475  Qt::ItemFlag, Qt::ItemFlag
    26, 260, 0,	//1478  QDataStream&, QUuid&
    26, 124, 0,	//1481  QDataStream&, QFont&
    184, 403, 363, 446, 359, 0,	//1484  QPainter*, const QRect&, const QColor&, int, const QBrush*
    184, 403, 363, 0,	//1490  QPainter*, const QRect&, const QColor&
    184, 403, 363, 446, 0,	//1494  QPainter*, const QRect&, const QColor&, int
    26, 199, 0,	//1499  QDataStream&, QPolygonF&
    133, 133, 0,	//1502  QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag
    231, 446, 0,	//1505  QStyleOptionToolBar::ToolBarFeature, int
    26, 264, 0,	//1508  QDataStream&, QVariant::Type&
    185, 446, 0,	//1511  QPainter::RenderHint, int
    432, 263, 462, 0,	//1514  const QVariant&, QVariant::Type, void*
    30, 87, 0,	//1518  QDebug, QFlags<QStyle::StateFlag>
    2, 446, 0,	//1521  QAbstractItemView::EditTrigger, int
    396, 384, 0,	//1524  const QPoint&, const QMatrix4x4&
    396, 383, 0,	//1527  const QPoint&, const QMatrix&
    3, 3, 0,	//1530  QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption
    388, 416, 406, 385, 162, 0,	//1533  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    372, 372, 0,	//1539  const QHashDummyValue&, const QHashDummyValue&
    26, 195, 0,	//1542  QDataStream&, QPointF&
    321, 446, 0,	//1545  Qt::Orientation, int
    233, 233, 0,	//1548  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    384, 438, 0,	//1551  const QMatrix4x4&, const QVector3D&
    26, 423, 0,	//1554  QDataStream&, const QTableWidgetItem&
    30, 130, 0,	//1557  QDebug, QGraphicsItem*
    184, 396, 396, 390, 354, 446, 446, 0,	//1560  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int
    184, 396, 396, 390, 0,	//1568  QPainter*, const QPoint&, const QPoint&, const QPalette&
    184, 396, 396, 390, 354, 0,	//1573  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool
    184, 396, 396, 390, 354, 446, 0,	//1579  QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int
    301, 301, 0,	//1586  Qt::GestureFlag, Qt::GestureFlag
    146, 72, 0,	//1589  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    384, 398, 0,	//1592  const QMatrix4x4&, const QPointF&
    128, 446, 0,	//1595  QGraphicsBlurEffect::BlurHint, int
    182, 83, 0,	//1598  QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>
    26, 370, 0,	//1601  QDataStream&, const QFont&
    128, 128, 0,	//1604  QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint
    399, 428, 0,	//1607  const QPolygon&, const QTransform&
    181, 446, 0,	//1610  QPaintEngine::DirtyFlag, int
    444, 409, 0,	//1613  double, const QSize&
    153, 446, 0,	//1616  QItemSelectionModel::SelectionFlag, int
    14, 354, 0,	//1619  QBool, bool
    31, 54, 0,	//1622  QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>
    26, 159, 0,	//1625  QDataStream&, QLine&
    30, 409, 0,	//1628  QDebug, const QSize&
    226, 446, 0,	//1631  QStyle::SubControl, int
    250, 250, 0,	//1634  QTextStream::NumberFlag, QTextStream::NumberFlag
    379, 428, 0,	//1637  const QLineF&, const QTransform&
    126, 446, 0,	//1640  QFontDialog::FontDialogOption, int
    319, 116, 0,	//1643  Qt::MouseButton, QFlags<Qt::MouseButton>
    26, 433, 0,	//1646  QDataStream&, const QVariant::Type
    241, 241, 0,	//1649  QTextDocument::FindFlag, QTextDocument::FindFlag
    229, 446, 0,	//1652  QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int
    311, 113, 0,	//1655  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    398, 428, 0,	//1658  const QPointF&, const QTransform&
    30, 363, 0,	//1661  QDebug, const QColor&
    30, 383, 0,	//1664  QDebug, const QMatrix&
    26, 431, 0,	//1667  QDataStream&, const QUuid&
    157, 76, 0,	//1670  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    347, 446, 0,	//1673  Qt::WindowType, int
    227, 446, 0,	//1676  QStyleOptionButton::ButtonFeature, int
    26, 204, 0,	//1679  QDataStream&, QRectF&
    227, 89, 0,	//1682  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    142, 70, 0,	//1685  QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>
    26, 25, 0,	//1688  QDataStream&, QCursor&
    133, 446, 0,	//1691  QGraphicsItem::GraphicsItemFlag, int
    26, 403, 0,	//1694  QDataStream&, const QRect&
    317, 115, 0,	//1697  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    275, 107, 0,	//1700  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    26, 19, 0,	//1703  QDataStream&, QChar&
    26, 205, 0,	//1706  QDataStream&, QRegExp&
    456, 0,	//1709  unsigned long
    26, 402, 0,	//1711  QDataStream&, const QQuaternion&
    10, 446, 0,	//1714  QAccessible::StateFlag, int
    26, 398, 0,	//1717  QDataStream&, const QPointF&
    26, 411, 0,	//1720  QDataStream&, const QSizeF&
    165, 77, 0,	//1723  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    245, 446, 0,	//1726  QTextItem::RenderFlag, int
    184, 403, 382, 394, 403, 382, 426, 59, 0,	//1729  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>
    184, 403, 382, 394, 403, 382, 0,	//1738  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&
    184, 403, 382, 394, 403, 382, 426, 0,	//1745  QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&
    220, 86, 0,	//1753  QString::SectionFlag, QFlags<QString::SectionFlag>
    416, 416, 0,	//1756  const QString&, const QString&
    1, 1, 0,	//1759  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    350, 441, 0,	//1762  QtMsgType, const char*
    30, 389, 0,	//1765  QDebug, const QPainterPath&
    444, 438, 0,	//1768  double, const QVector3D&
    419, 0,	//1771  const QStringRef&
    146, 446, 0,	//1773  QIODevice::OpenModeFlag, int
    4, 49, 0,	//1776  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    453, 0,	//1779  unsigned char
    26, 17, 0,	//1781  QDataStream&, QByteArray&
    125, 125, 0,	//1784  QFontComboBox::FontFilter, QFontComboBox::FontFilter
    399, 383, 0,	//1787  const QPolygon&, const QMatrix&
    30, 421, 0,	//1790  QDebug, const QStyleOption::OptionType&
    30, 388, 0,	//1793  QDebug, const QObject*
    317, 446, 0,	//1796  Qt::MatchFlag, int
    26, 399, 0,	//1799  QDataStream&, const QPolygon&
    26, 27, 0,	//1802  QDataStream&, QDate&
    26, 357, 0,	//1805  QDataStream&, const QBitArray&
    371, 312, 0,	//1808  const QGraphicsItem*, Qt::ItemSelectionMode
    389, 312, 0,	//1811  const QPainterPath&, Qt::ItemSelectionMode
    371, 0,	//1814  const QGraphicsItem*
    130, 42, 0,	//1816  QGraphicsItem*, QEvent*
    42, 0,	//1819  QEvent*
    136, 0,	//1821  QGraphicsSceneContextMenuEvent*
    137, 0,	//1823  QGraphicsSceneDragDropEvent*
    123, 0,	//1825  QFocusEvent*
    138, 0,	//1827  QGraphicsSceneHoverEvent*
    154, 0,	//1829  QKeyEvent*
    139, 0,	//1831  QGraphicsSceneMouseEvent*
    140, 0,	//1833  QGraphicsSceneWheelEvent*
    152, 0,	//1835  QInputMethodEvent*
    309, 0,	//1837  Qt::InputMethodQuery
    132, 432, 0,	//1839  QGraphicsItem::GraphicsItemChange, const QVariant&
    131, 0,	//1842  QGraphicsItem::Extension
    131, 432, 0,	//1844  QGraphicsItem::Extension, const QVariant&
    432, 0,	//1847  const QVariant&
    174, 446, 463, 0,	//1849  QMetaObject::Call, int, void**
    130, 0,	//1853  QGraphicsItem*
    416, 130, 0,	//1855  const QString&, QGraphicsItem*
    235, 0,	//1858  QSvgRenderer*
    354, 0,	//1860  bool
    409, 0,	//1862  const QSize&
    184, 422, 271, 0,	//1864  QPainter*, const QStyleOptionGraphicsItem*, QWidget*
    184, 422, 0,	//1868  QPainter*, const QStyleOptionGraphicsItem*
    177, 42, 0,	//1871  QObject*, QEvent*
    253, 0,	//1874  QTimerEvent*
    20, 0,	//1876  QChildEvent*
    403, 0,	//1878  const QRect&
    404, 0,	//1880  const QRectF&
    145, 0,	//1882  QIODevice*
    179, 0,	//1884  QPaintDevice::PaintDeviceMetric
    177, 0,	//1886  QObject*
    416, 177, 0,	//1888  const QString&, QObject*
    361, 177, 0,	//1891  const QByteArray&, QObject*
    274, 177, 0,	//1894  QXmlStreamReader*, QObject*
    274, 0,	//1897  QXmlStreamReader*
    184, 0,	//1899  QPainter*
    184, 404, 0,	//1901  QPainter*, const QRectF&
    184, 416, 404, 0,	//1904  QPainter*, const QString&, const QRectF&
    184, 416, 0,	//1908  QPainter*, const QString&
    271, 0,	//1911  QWidget*
    416, 271, 0,	//1913  const QString&, QWidget*
    183, 0,	//1916  QPaintEvent*
    175, 0,	//1918  QMouseEvent*
    270, 0,	//1920  QWheelEvent*
    176, 0,	//1922  QMoveEvent*
    208, 0,	//1924  QResizeEvent*
    21, 0,	//1926  QCloseEvent*
    24, 0,	//1928  QContextMenuEvent*
    238, 0,	//1930  QTabletEvent*
    11, 0,	//1932  QActionEvent*
    36, 0,	//1934  QDragEnterEvent*
    38, 0,	//1936  QDragMoveEvent*
    37, 0,	//1938  QDragLeaveEvent*
    40, 0,	//1940  QDropEvent*
    209, 0,	//1942  QShowEvent*
    144, 0,	//1944  QHideEvent*
    351, 0,	//1946  _XEvent*
    224, 0,	//1948  QStyle&
    390, 0,	//1950  const QPalette&
    370, 0,	//1952  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DeviceCoordinateCache",	//1
    "DrawChildren",	//2
    "DrawWindowBackground",	//3
    "IgnoreMask",	//4
    "ItemAcceptsInputMethod",	//5
    "ItemChildAddedChange",	//6
    "ItemChildRemovedChange",	//7
    "ItemClipsChildrenToShape",	//8
    "ItemClipsToShape",	//9
    "ItemCoordinateCache",	//10
    "ItemCursorChange",	//11
    "ItemCursorHasChanged",	//12
    "ItemDoesntPropagateOpacityToChildren",	//13
    "ItemEnabledChange",	//14
    "ItemEnabledHasChanged",	//15
    "ItemFlagsChange",	//16
    "ItemFlagsHaveChanged",	//17
    "ItemHasNoContents",	//18
    "ItemIgnoresParentOpacity",	//19
    "ItemIgnoresTransformations",	//20
    "ItemIsFocusScope",	//21
    "ItemIsFocusable",	//22
    "ItemIsMovable",	//23
    "ItemIsPanel",	//24
    "ItemIsSelectable",	//25
    "ItemMatrixChange",	//26
    "ItemNegativeZStacksBehindParent",	//27
    "ItemOpacityChange",	//28
    "ItemOpacityHasChanged",	//29
    "ItemParentChange",	//30
    "ItemParentHasChanged",	//31
    "ItemPositionChange",	//32
    "ItemPositionHasChanged",	//33
    "ItemRotationChange",	//34
    "ItemRotationHasChanged",	//35
    "ItemScaleChange",	//36
    "ItemScaleHasChanged",	//37
    "ItemSceneChange",	//38
    "ItemSceneHasChanged",	//39
    "ItemScenePositionHasChanged",	//40
    "ItemSelectedChange",	//41
    "ItemSelectedHasChanged",	//42
    "ItemSendsGeometryChanges",	//43
    "ItemSendsScenePositionChanges",	//44
    "ItemStacksBehindParent",	//45
    "ItemStopsClickFocusPropagation",	//46
    "ItemToolTipChange",	//47
    "ItemToolTipHasChanged",	//48
    "ItemTransformChange",	//49
    "ItemTransformHasChanged",	//50
    "ItemTransformOriginPointChange",	//51
    "ItemTransformOriginPointHasChanged",	//52
    "ItemUsesExtendedStyleOption",	//53
    "ItemVisibleChange",	//54
    "ItemVisibleHasChanged",	//55
    "ItemZValueChange",	//56
    "ItemZValueHasChanged",	//57
    "NoCache",	//58
    "NonModal",	//59
    "PM_BoldLineWidth",	//60
    "PM_FrameCornerHeight",	//61
    "PM_FrameCornerWidth",	//62
    "PM_MessageBoxHeight",	//63
    "PM_ThinLineWidth",	//64
    "PanelModal",	//65
    "PdmDepth",	//66
    "PdmDpiX",	//67
    "PdmDpiY",	//68
    "PdmHeight",	//69
    "PdmHeightMM",	//70
    "PdmNumColors",	//71
    "PdmPhysicalDpiX",	//72
    "PdmPhysicalDpiY",	//73
    "PdmWidth",	//74
    "PdmWidthMM",	//75
    "QGraphicsSvgItem",	//76
    "QGraphicsSvgItem#",	//77
    "QGraphicsSvgItem$",	//78
    "QGraphicsSvgItem$#",	//79
    "QSvgGenerator",	//80
    "QSvgRenderer",	//81
    "QSvgRenderer#",	//82
    "QSvgRenderer##",	//83
    "QSvgRenderer$",	//84
    "QSvgRenderer$#",	//85
    "QSvgWidget",	//86
    "QSvgWidget#",	//87
    "QSvgWidget$",	//88
    "QSvgWidget$#",	//89
    "QtCriticalMsg",	//90
    "QtDebugMsg",	//91
    "QtFatalMsg",	//92
    "QtSystemMsg",	//93
    "QtWarningMsg",	//94
    "SceneModal",	//95
    "Type",	//96
    "UserExtension",	//97
    "UserType",	//98
    "__codecvt_error",	//99
    "__codecvt_noconv",	//100
    "__codecvt_ok",	//101
    "__codecvt_partial",	//102
    "actionEvent",	//103
    "advance",	//104
    "animated",	//105
    "animationDuration",	//106
    "boundingRect",	//107
    "boundsOnElement",	//108
    "boundsOnElement$",	//109
    "changeEvent",	//110
    "childEvent",	//111
    "closeEvent",	//112
    "collidesWithItem",	//113
    "collidesWithPath",	//114
    "connectNotify",	//115
    "contains",	//116
    "contextMenuEvent",	//117
    "currentFrame",	//118
    "customEvent",	//119
    "defaultSize",	//120
    "description",	//121
    "devType",	//122
    "disconnectNotify",	//123
    "dragEnterEvent",	//124
    "dragLeaveEvent",	//125
    "dragMoveEvent",	//126
    "dropEvent",	//127
    "elementExists",	//128
    "elementExists$",	//129
    "elementId",	//130
    "enabledChange",	//131
    "enterEvent",	//132
    "event",	//133
    "eventFilter",	//134
    "extension",	//135
    "fileName",	//136
    "focusInEvent",	//137
    "focusNextPrevChild",	//138
    "focusOutEvent",	//139
    "fontChange",	//140
    "framesPerSecond",	//141
    "heightForWidth",	//142
    "hideEvent",	//143
    "hoverEnterEvent",	//144
    "hoverLeaveEvent",	//145
    "hoverMoveEvent",	//146
    "inputMethodEvent",	//147
    "inputMethodQuery",	//148
    "isCachingEnabled",	//149
    "isObscuredBy",	//150
    "isValid",	//151
    "itemChange",	//152
    "keyPressEvent",	//153
    "keyReleaseEvent",	//154
    "languageChange",	//155
    "leaveEvent",	//156
    "load",	//157
    "load#",	//158
    "load$",	//159
    "matrixForElement",	//160
    "matrixForElement$",	//161
    "maximumCacheSize",	//162
    "metaObject",	//163
    "metric",	//164
    "metric$",	//165
    "minimumSizeHint",	//166
    "mouseDoubleClickEvent",	//167
    "mouseMoveEvent",	//168
    "mousePressEvent",	//169
    "mouseReleaseEvent",	//170
    "moveEvent",	//171
    "opaqueArea",	//172
    "operator!=",	//173
    "operator!=##",	//174
    "operator!=#$",	//175
    "operator!=$#",	//176
    "operator!=$$",	//177
    "operator&",	//178
    "operator&##",	//179
    "operator*",	//180
    "operator*##",	//181
    "operator*#$",	//182
    "operator*$#",	//183
    "operator+",	//184
    "operator+##",	//185
    "operator+#$",	//186
    "operator+$#",	//187
    "operator+$$",	//188
    "operator-",	//189
    "operator-#",	//190
    "operator-##",	//191
    "operator-#$",	//192
    "operator/",	//193
    "operator/#$",	//194
    "operator<",	//195
    "operator<##",	//196
    "operator<#$",	//197
    "operator<$#",	//198
    "operator<$$",	//199
    "operator<<",	//200
    "operator<<##",	//201
    "operator<<#$",	//202
    "operator<<#?",	//203
    "operator<=",	//204
    "operator<=##",	//205
    "operator<=#$",	//206
    "operator<=$#",	//207
    "operator<=$$",	//208
    "operator==",	//209
    "operator==##",	//210
    "operator==#$",	//211
    "operator==$#",	//212
    "operator==$$",	//213
    "operator>",	//214
    "operator>##",	//215
    "operator>#$",	//216
    "operator>$#",	//217
    "operator>$$",	//218
    "operator>=",	//219
    "operator>=##",	//220
    "operator>=#$",	//221
    "operator>=$#",	//222
    "operator>=$$",	//223
    "operator>>",	//224
    "operator>>##",	//225
    "operator>>#$",	//226
    "operator>>#?",	//227
    "operator^",	//228
    "operator^##",	//229
    "operator|",	//230
    "operator|##",	//231
    "operator|$$",	//232
    "outputDevice",	//233
    "paint",	//234
    "paint##",	//235
    "paint###",	//236
    "paintEngine",	//237
    "paintEvent",	//238
    "paintEvent#",	//239
    "paletteChange",	//240
    "qAccessibleActionCastHelper",	//241
    "qAccessibleEditableTextCastHelper",	//242
    "qAccessibleImageCastHelper",	//243
    "qAccessibleTableCastHelper",	//244
    "qAccessibleTextCastHelper",	//245
    "qAccessibleValueCastHelper",	//246
    "qAcos",	//247
    "qAcos$",	//248
    "qAddPostRoutine",	//249
    "qAddPostRoutine$",	//250
    "qAlpha",	//251
    "qAlpha$",	//252
    "qAppName",	//253
    "qAsin",	//254
    "qAsin$",	//255
    "qAtan",	//256
    "qAtan$",	//257
    "qAtan2",	//258
    "qAtan2$$",	//259
    "qBadAlloc",	//260
    "qBlue",	//261
    "qBlue$",	//262
    "qCeil",	//263
    "qCeil$",	//264
    "qChecksum",	//265
    "qChecksum$$",	//266
    "qCompress",	//267
    "qCompress#",	//268
    "qCompress#$",	//269
    "qCompress$$",	//270
    "qCompress$$$",	//271
    "qCos",	//272
    "qCos$",	//273
    "qCritical",	//274
    "qDebug",	//275
    "qDrawBorderPixmap",	//276
    "qDrawBorderPixmap####",	//277
    "qDrawBorderPixmap######",	//278
    "qDrawBorderPixmap#######",	//279
    "qDrawBorderPixmap#######$",	//280
    "qDrawPlainRect",	//281
    "qDrawPlainRect###",	//282
    "qDrawPlainRect###$",	//283
    "qDrawPlainRect###$#",	//284
    "qDrawPlainRect#$$$$#",	//285
    "qDrawPlainRect#$$$$#$",	//286
    "qDrawPlainRect#$$$$#$#",	//287
    "qDrawShadeLine",	//288
    "qDrawShadeLine####",	//289
    "qDrawShadeLine####$",	//290
    "qDrawShadeLine####$$",	//291
    "qDrawShadeLine####$$$",	//292
    "qDrawShadeLine#$$$$#",	//293
    "qDrawShadeLine#$$$$#$",	//294
    "qDrawShadeLine#$$$$#$$",	//295
    "qDrawShadeLine#$$$$#$$$",	//296
    "qDrawShadePanel",	//297
    "qDrawShadePanel###",	//298
    "qDrawShadePanel###$",	//299
    "qDrawShadePanel###$$",	//300
    "qDrawShadePanel###$$#",	//301
    "qDrawShadePanel#$$$$#",	//302
    "qDrawShadePanel#$$$$#$",	//303
    "qDrawShadePanel#$$$$#$$",	//304
    "qDrawShadePanel#$$$$#$$#",	//305
    "qDrawShadeRect",	//306
    "qDrawShadeRect###",	//307
    "qDrawShadeRect###$",	//308
    "qDrawShadeRect###$$",	//309
    "qDrawShadeRect###$$$",	//310
    "qDrawShadeRect###$$$#",	//311
    "qDrawShadeRect#$$$$#",	//312
    "qDrawShadeRect#$$$$#$",	//313
    "qDrawShadeRect#$$$$#$$",	//314
    "qDrawShadeRect#$$$$#$$$",	//315
    "qDrawShadeRect#$$$$#$$$#",	//316
    "qDrawWinButton",	//317
    "qDrawWinButton###",	//318
    "qDrawWinButton###$",	//319
    "qDrawWinButton###$#",	//320
    "qDrawWinButton#$$$$#",	//321
    "qDrawWinButton#$$$$#$",	//322
    "qDrawWinButton#$$$$#$#",	//323
    "qDrawWinPanel",	//324
    "qDrawWinPanel###",	//325
    "qDrawWinPanel###$",	//326
    "qDrawWinPanel###$#",	//327
    "qDrawWinPanel#$$$$#",	//328
    "qDrawWinPanel#$$$$#$",	//329
    "qDrawWinPanel#$$$$#$#",	//330
    "qExp",	//331
    "qExp$",	//332
    "qFabs",	//333
    "qFabs$",	//334
    "qFastCos",	//335
    "qFastCos$",	//336
    "qFastSin",	//337
    "qFastSin$",	//338
    "qFlagLocation",	//339
    "qFlagLocation$",	//340
    "qFloor",	//341
    "qFloor$",	//342
    "qFree",	//343
    "qFree$",	//344
    "qFreeAligned",	//345
    "qFreeAligned$",	//346
    "qFuzzyCompare",	//347
    "qFuzzyCompare##",	//348
    "qFuzzyCompare$$",	//349
    "qFuzzyIsNull",	//350
    "qFuzzyIsNull$",	//351
    "qGray",	//352
    "qGray$",	//353
    "qGray$$$",	//354
    "qGreen",	//355
    "qGreen$",	//356
    "qHash",	//357
    "qHash#",	//358
    "qHash$",	//359
    "qHash?",	//360
    "qInf",	//361
    "qInstallMsgHandler",	//362
    "qInstallMsgHandler$",	//363
    "qIntCast",	//364
    "qIntCast$",	//365
    "qIsFinite",	//366
    "qIsFinite$",	//367
    "qIsGray",	//368
    "qIsGray$",	//369
    "qIsInf",	//370
    "qIsInf$",	//371
    "qIsNaN",	//372
    "qIsNaN$",	//373
    "qIsNull",	//374
    "qIsNull$",	//375
    "qLn",	//376
    "qLn$",	//377
    "qMalloc",	//378
    "qMalloc?",	//379
    "qMallocAligned",	//380
    "qMallocAligned??",	//381
    "qMemCopy",	//382
    "qMemCopy$$?",	//383
    "qMemSet",	//384
    "qMemSet$$?",	//385
    "qPow",	//386
    "qPow$$",	//387
    "qQNaN",	//388
    "qRealloc",	//389
    "qRealloc$?",	//390
    "qReallocAligned",	//391
    "qReallocAligned$???",	//392
    "qRed",	//393
    "qRed$",	//394
    "qRegisterStaticPluginInstanceFunction",	//395
    "qRegisterStaticPluginInstanceFunction#",	//396
    "qRemovePostRoutine",	//397
    "qRemovePostRoutine$",	//398
    "qRgb",	//399
    "qRgb$$$",	//400
    "qRgba",	//401
    "qRgba$$$$",	//402
    "qRound",	//403
    "qRound$",	//404
    "qRound64",	//405
    "qRound64$",	//406
    "qSNaN",	//407
    "qSetFieldWidth",	//408
    "qSetFieldWidth$",	//409
    "qSetPadChar",	//410
    "qSetPadChar#",	//411
    "qSetRealNumberPrecision",	//412
    "qSetRealNumberPrecision$",	//413
    "qSharedBuild",	//414
    "qSin",	//415
    "qSin$",	//416
    "qSqrt",	//417
    "qSqrt$",	//418
    "qStringComparisonHelper",	//419
    "qStringComparisonHelper#$",	//420
    "qStringComparisonHelper$$",	//421
    "qTan",	//422
    "qTan$",	//423
    "qUncompress",	//424
    "qUncompress#",	//425
    "qUncompress$$",	//426
    "qVersion",	//427
    "qWarning",	//428
    "qbswap_helper",	//429
    "qbswap_helper$$$",	//430
    "qgcvt",	//431
    "qgcvt$$$",	//432
    "qgetenv",	//433
    "qgetenv$",	//434
    "qputenv",	//435
    "qputenv$#",	//436
    "qrand",	//437
    "qsort",	//438
    "qsort$???",	//439
    "qsrand",	//440
    "qsrand$",	//441
    "qstrcmp",	//442
    "qstrcmp##",	//443
    "qstrcmp#$",	//444
    "qstrcmp$#",	//445
    "qstrcmp$$",	//446
    "qstrcpy",	//447
    "qstrcpy$$",	//448
    "qstrdup",	//449
    "qstrdup$",	//450
    "qstricmp",	//451
    "qstricmp$$",	//452
    "qstrlen",	//453
    "qstrlen$",	//454
    "qstrncmp",	//455
    "qstrncmp$$$",	//456
    "qstrncpy",	//457
    "qstrncpy$$$",	//458
    "qstrnicmp",	//459
    "qstrnicmp$$$",	//460
    "qstrnlen",	//461
    "qstrnlen$$",	//462
    "qtTrId",	//463
    "qtTrId$",	//464
    "qtTrId$$",	//465
    "qt_assert",	//466
    "qt_assert$$$",	//467
    "qt_assert_x",	//468
    "qt_assert_x$$$$",	//469
    "qt_check_pointer",	//470
    "qt_check_pointer$$",	//471
    "qt_error_string",	//472
    "qt_error_string$",	//473
    "qt_message_output",	//474
    "qt_message_output$$",	//475
    "qt_metacall",	//476
    "qt_metacall$$?",	//477
    "qt_metacast",	//478
    "qt_metacast$",	//479
    "qt_noop",	//480
    "qt_qFindChild_helper",	//481
    "qt_qFindChild_helper#$#",	//482
    "qt_qFindChildren_helper",	//483
    "qt_qFindChildren_helper#$##?",	//484
    "qvariant_cast_helper",	//485
    "qvariant_cast_helper#$$",	//486
    "qvsnprintf",	//487
    "qvsnprintf$?$?",	//488
    "render",	//489
    "render#",	//490
    "render##",	//491
    "render#$",	//492
    "render#$#",	//493
    "renderer",	//494
    "repaintNeeded",	//495
    "resizeEvent",	//496
    "resolution",	//497
    "sceneEvent",	//498
    "sceneEventFilter",	//499
    "setCachingEnabled",	//500
    "setCachingEnabled$",	//501
    "setCurrentFrame",	//502
    "setCurrentFrame$",	//503
    "setDescription",	//504
    "setDescription$",	//505
    "setElementId",	//506
    "setElementId$",	//507
    "setExtension",	//508
    "setFileName",	//509
    "setFileName$",	//510
    "setFramesPerSecond",	//511
    "setFramesPerSecond$",	//512
    "setMaximumCacheSize",	//513
    "setMaximumCacheSize#",	//514
    "setOutputDevice",	//515
    "setOutputDevice#",	//516
    "setResolution",	//517
    "setResolution$",	//518
    "setSharedRenderer",	//519
    "setSharedRenderer#",	//520
    "setSize",	//521
    "setSize#",	//522
    "setTitle",	//523
    "setTitle$",	//524
    "setViewBox",	//525
    "setViewBox#",	//526
    "setVisible",	//527
    "shape",	//528
    "showEvent",	//529
    "size",	//530
    "sizeHint",	//531
    "staticMetaObject",	//532
    "styleChange",	//533
    "supportsExtension",	//534
    "tabletEvent",	//535
    "timerEvent",	//536
    "title",	//537
    "tr",	//538
    "tr$",	//539
    "tr$$",	//540
    "tr$$$",	//541
    "trUtf8",	//542
    "trUtf8$",	//543
    "trUtf8$$",	//544
    "trUtf8$$$",	//545
    "type",	//546
    "viewBox",	//547
    "viewBoxF",	//548
    "wheelEvent",	//549
    "windowActivationChange",	//550
    "x11Event",	//551
    "~QGraphicsSvgItem",	//552
    "~QSvgGenerator",	//553
    "~QSvgRenderer",	//554
    "~QSvgWidget",	//555
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {26, 230, 1, 2, Smoke::mf_static, 150, 1},	//1 QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    {26, 246, 0, 0, Smoke::mf_static, 8, 2},	//2 QGlobalSpace::qAccessibleValueCastHelper()
    {26, 219, 4, 2, Smoke::mf_static, 354, 3},	//3 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {26, 357, 7, 1, Smoke::mf_static, 455, 4},	//4 QGlobalSpace::qHash(unsigned long long)
    {26, 370, 9, 1, Smoke::mf_static, 354, 5},	//5 QGlobalSpace::qIsInf(double)
    {26, 230, 11, 2, Smoke::mf_static, 150, 6},	//6 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {26, 189, 14, 2, Smoke::mf_static, 169, 7},	//7 QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    {26, 230, 17, 2, Smoke::mf_static, 150, 8},	//8 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {26, 209, 20, 2, Smoke::mf_static, 354, 9},	//9 QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    {26, 173, 23, 2, Smoke::mf_static, 354, 10},	//10 QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    {26, 461, 26, 2, Smoke::mf_static, 455, 11},	//11 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {26, 382, 29, 3, Smoke::mf_static, 462, 12},	//12 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {26, 480, 0, 0, Smoke::mf_static, 0, 13},	//13 QGlobalSpace::qt_noop()
    {26, 209, 33, 2, Smoke::mf_static, 354, 14},	//14 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {26, 200, 36, 2, Smoke::mf_static, 30, 15},	//15 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {26, 224, 39, 2, Smoke::mf_static, 26, 16},	//16 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {26, 180, 42, 2, Smoke::mf_static, 194, 17},	//17 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {26, 230, 45, 2, Smoke::mf_static, 82, 18},	//18 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    {26, 209, 48, 2, Smoke::mf_static, 354, 19},	//19 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {26, 209, 51, 2, Smoke::mf_static, 354, 20},	//20 QGlobalSpace::operator==(const QSize&, const QSize&)
    {26, 200, 54, 2, Smoke::mf_static, 26, 21},	//21 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {26, 230, 57, 2, Smoke::mf_static, 98, 22},	//22 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    {26, 184, 60, 2, Smoke::mf_static, 360, 23},	//23 QGlobalSpace::operator+(const char*, const QByteArray&)
    {26, 224, 63, 2, Smoke::mf_static, 26, 24},	//24 QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    {26, 230, 66, 2, Smoke::mf_static, 89, 25},	//25 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {26, 230, 69, 2, Smoke::mf_static, 79, 26},	//26 QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    {26, 230, 72, 2, Smoke::mf_static, 61, 27},	//27 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {26, 419, 75, 2, Smoke::mf_static, 354, 28},	//28 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {26, 224, 78, 2, Smoke::mf_static, 26, 29},	//29 QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    {26, 442, 60, 2, Smoke::mf_static, 446, 30},	//30 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {26, 209, 81, 2, Smoke::mf_static, 354, 31},	//31 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {26, 200, 84, 2, Smoke::mf_static, 26, 32},	//32 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {26, 258, 87, 2, Smoke::mf_static, 444, 33},	//33 QGlobalSpace::qAtan2(double, double)
    {26, 224, 90, 2, Smoke::mf_static, 26, 34},	//34 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {26, 219, 93, 2, Smoke::mf_static, 354, 35},	//35 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {26, 370, 96, 1, Smoke::mf_static, 354, 36},	//36 QGlobalSpace::qIsInf(float)
    {26, 433, 98, 1, Smoke::mf_static, 16, 37},	//37 QGlobalSpace::qgetenv(const char*)
    {26, 357, 100, 1, Smoke::mf_static, 455, 38},	//38 QGlobalSpace::qHash(signed char)
    {26, 230, 102, 2, Smoke::mf_static, 150, 39},	//39 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    {26, 209, 105, 2, Smoke::mf_static, 354, 40},	//40 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {26, 214, 60, 2, Smoke::mf_static, 354, 41},	//41 QGlobalSpace::operator>(const char*, const QByteArray&)
    {26, 230, 108, 2, Smoke::mf_static, 150, 42},	//42 QGlobalSpace::operator|(QFileDialog::Option, int)
    {26, 184, 14, 2, Smoke::mf_static, 169, 43},	//43 QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    {26, 364, 9, 1, Smoke::mf_static, 446, 44},	//44 QGlobalSpace::qIntCast(double)
    {26, 410, 111, 1, Smoke::mf_static, 251, 45},	//45 QGlobalSpace::qSetPadChar(QChar)
    {26, 200, 113, 2, Smoke::mf_static, 26, 46},	//46 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {26, 230, 116, 2, Smoke::mf_static, 81, 47},	//47 QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    {26, 180, 119, 2, Smoke::mf_static, 192, 48},	//48 QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    {26, 230, 122, 2, Smoke::mf_static, 88, 49},	//49 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {26, 200, 125, 2, Smoke::mf_static, 26, 50},	//50 QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    {26, 200, 128, 2, Smoke::mf_static, 30, 51},	//51 QGlobalSpace::operator<<(QDebug, const QBrush&)
    {26, 230, 131, 2, Smoke::mf_static, 65, 52},	//52 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    {26, 209, 134, 2, Smoke::mf_static, 354, 53},	//53 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {26, 180, 137, 2, Smoke::mf_static, 268, 54},	//54 QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    {26, 209, 140, 2, Smoke::mf_static, 354, 55},	//55 QGlobalSpace::operator==(QChar, QChar)
    {26, 200, 143, 2, Smoke::mf_static, 30, 56},	//56 QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    {26, 180, 14, 2, Smoke::mf_static, 169, 57},	//57 QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    {26, 230, 146, 2, Smoke::mf_static, 120, 58},	//58 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {26, 189, 149, 1, Smoke::mf_static, 169, 59},	//59 QGlobalSpace::operator-(const QMatrix4x4&)
    {26, 357, 151, 1, Smoke::mf_static, 455, 60},	//60 QGlobalSpace::qHash(const QUrl&)
    {26, 357, 153, 1, Smoke::mf_static, 455, 61},	//61 QGlobalSpace::qHash(const QByteArray&)
    {26, 230, 155, 2, Smoke::mf_static, 150, 62},	//62 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {26, 180, 158, 2, Smoke::mf_static, 169, 63},	//63 QGlobalSpace::operator*(const QMatrix4x4&, double)
    {26, 200, 161, 2, Smoke::mf_static, 26, 64},	//64 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {26, 200, 164, 2, Smoke::mf_static, 30, 65},	//65 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {26, 224, 167, 2, Smoke::mf_static, 26, 66},	//66 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {26, 195, 140, 2, Smoke::mf_static, 354, 67},	//67 QGlobalSpace::operator<(QChar, QChar)
    {26, 224, 170, 2, Smoke::mf_static, 26, 68},	//68 QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    {26, 230, 173, 2, Smoke::mf_static, 78, 69},	//69 QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    {26, 219, 140, 2, Smoke::mf_static, 354, 70},	//70 QGlobalSpace::operator>=(QChar, QChar)
    {26, 173, 176, 2, Smoke::mf_static, 354, 71},	//71 QGlobalSpace::operator!=(QString::Null, const QString&)
    {26, 200, 179, 2, Smoke::mf_static, 30, 72},	//72 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    {26, 195, 60, 2, Smoke::mf_static, 354, 73},	//73 QGlobalSpace::operator<(const char*, const QByteArray&)
    {26, 230, 182, 2, Smoke::mf_static, 105, 74},	//74 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {26, 230, 185, 2, Smoke::mf_static, 119, 75},	//75 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {26, 442, 188, 2, Smoke::mf_static, 446, 76},	//76 QGlobalSpace::qstrcmp(const char*, const char*)
    {26, 230, 191, 2, Smoke::mf_static, 150, 77},	//77 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    {26, 184, 20, 2, Smoke::mf_static, 437, 78},	//78 QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    {26, 272, 9, 1, Smoke::mf_static, 444, 79},	//79 QGlobalSpace::qCos(double)
    {26, 230, 194, 2, Smoke::mf_static, 77, 80},	//80 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {26, 214, 140, 2, Smoke::mf_static, 354, 81},	//81 QGlobalSpace::operator>(QChar, QChar)
    {26, 230, 197, 2, Smoke::mf_static, 122, 82},	//82 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {26, 180, 200, 2, Smoke::mf_static, 410, 83},	//83 QGlobalSpace::operator*(double, const QSizeF&)
    {26, 414, 0, 0, Smoke::mf_static, 354, 84},	//84 QGlobalSpace::qSharedBuild()
    {26, 209, 203, 2, Smoke::mf_static, 354, 85},	//85 QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    {26, 230, 206, 2, Smoke::mf_static, 150, 86},	//86 QGlobalSpace::operator|(QDir::Filter, int)
    {26, 230, 209, 2, Smoke::mf_static, 88, 87},	//87 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {26, 173, 4, 2, Smoke::mf_static, 354, 88},	//88 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {26, 189, 212, 2, Smoke::mf_static, 395, 89},	//89 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {26, 242, 0, 0, Smoke::mf_static, 8, 90},	//90 QGlobalSpace::qAccessibleEditableTextCastHelper()
    {26, 200, 215, 2, Smoke::mf_static, 26, 91},	//91 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {26, 230, 218, 2, Smoke::mf_static, 150, 92},	//92 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {26, 230, 221, 2, Smoke::mf_static, 118, 93},	//93 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {26, 230, 224, 2, Smoke::mf_static, 150, 94},	//94 QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    {26, 189, 227, 2, Smoke::mf_static, 254, 95},	//95 QGlobalSpace::operator-(const QTransform&, double)
    {26, 230, 230, 2, Smoke::mf_static, 47, 96},	//96 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {26, 357, 233, 1, Smoke::mf_static, 455, 97},	//97 QGlobalSpace::qHash(char)
    {26, 230, 235, 2, Smoke::mf_static, 106, 98},	//98 QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    {26, 180, 20, 2, Smoke::mf_static, 437, 99},	//99 QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    {26, 173, 48, 2, Smoke::mf_static, 354, 100},	//100 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {26, 230, 238, 2, Smoke::mf_static, 102, 101},	//101 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {26, 230, 241, 2, Smoke::mf_static, 150, 102},	//102 QGlobalSpace::operator|(QTextOption::Flag, int)
    {26, 200, 244, 2, Smoke::mf_static, 30, 103},	//103 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {26, 230, 247, 2, Smoke::mf_static, 150, 104},	//104 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {26, 230, 250, 2, Smoke::mf_static, 150, 105},	//105 QGlobalSpace::operator|(QFile::Permission, int)
    {26, 230, 253, 2, Smoke::mf_static, 65, 106},	//106 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    {26, 193, 256, 2, Smoke::mf_static, 395, 107},	//107 QGlobalSpace::operator/(const QPoint&, double)
    {26, 324, 259, 8, Smoke::mf_static, 0, 108},	//108 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 324, 268, 6, Smoke::mf_static, 0, 109},	//109 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 324, 275, 7, Smoke::mf_static, 0, 110},	//110 QGlobalSpace::qDrawWinPanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 184, 212, 2, Smoke::mf_static, 395, 111},	//111 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {26, 200, 283, 2, Smoke::mf_static, 26, 112},	//112 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {26, 230, 286, 2, Smoke::mf_static, 57, 113},	//113 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {26, 184, 289, 2, Smoke::mf_static, 415, 114},	//114 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {26, 189, 292, 2, Smoke::mf_static, 410, 115},	//115 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {26, 180, 295, 2, Smoke::mf_static, 266, 116},	//116 QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    {26, 347, 298, 2, Smoke::mf_static, 354, 117},	//117 QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    {26, 200, 301, 2, Smoke::mf_static, 30, 118},	//118 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {26, 189, 20, 2, Smoke::mf_static, 437, 119},	//119 QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    {26, 366, 9, 1, Smoke::mf_static, 354, 120},	//120 QGlobalSpace::qIsFinite(double)
    {26, 230, 304, 2, Smoke::mf_static, 62, 121},	//121 QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    {26, 173, 93, 2, Smoke::mf_static, 354, 122},	//122 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {26, 200, 307, 2, Smoke::mf_static, 26, 123},	//123 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {26, 230, 310, 2, Smoke::mf_static, 114, 124},	//124 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {26, 230, 313, 2, Smoke::mf_static, 150, 125},	//125 QGlobalSpace::operator|(QWizard::WizardOption, int)
    {26, 200, 316, 2, Smoke::mf_static, 30, 126},	//126 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {26, 251, 319, 1, Smoke::mf_static, 446, 127},	//127 QGlobalSpace::qAlpha(unsigned int)
    {26, 200, 321, 2, Smoke::mf_static, 30, 128},	//128 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {26, 230, 324, 2, Smoke::mf_static, 58, 129},	//129 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    {26, 195, 327, 2, Smoke::mf_static, 354, 130},	//130 QGlobalSpace::operator<(const char*, const QString&)
    {26, 352, 330, 3, Smoke::mf_static, 446, 131},	//131 QGlobalSpace::qGray(int, int, int)
    {26, 230, 334, 2, Smoke::mf_static, 70, 132},	//132 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    {26, 200, 337, 2, Smoke::mf_static, 26, 133},	//133 QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    {26, 230, 340, 2, Smoke::mf_static, 104, 134},	//134 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {26, 184, 51, 2, Smoke::mf_static, 408, 135},	//135 QGlobalSpace::operator+(const QSize&, const QSize&)
    {26, 230, 343, 2, Smoke::mf_static, 120, 136},	//136 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {26, 230, 346, 2, Smoke::mf_static, 111, 137},	//137 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {26, 472, 349, 1, Smoke::mf_static, 217, 138},	//138 QGlobalSpace::qt_error_string(int)
    {26, 472, 0, 0, Smoke::mf_static, 217, 139},	//139 QGlobalSpace::qt_error_string()
    {26, 184, 292, 2, Smoke::mf_static, 410, 140},	//140 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {26, 193, 158, 2, Smoke::mf_static, 169, 141},	//141 QGlobalSpace::operator/(const QMatrix4x4&, double)
    {26, 230, 351, 2, Smoke::mf_static, 150, 142},	//142 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    {26, 230, 354, 2, Smoke::mf_static, 47, 143},	//143 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {26, 230, 357, 2, Smoke::mf_static, 150, 144},	//144 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {26, 189, 298, 2, Smoke::mf_static, 439, 145},	//145 QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    {26, 195, 360, 2, Smoke::mf_static, 354, 146},	//146 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {26, 424, 363, 2, Smoke::mf_static, 16, 147},	//147 QGlobalSpace::qUncompress(const unsigned char*, int)
    {26, 455, 366, 3, Smoke::mf_static, 446, 148},	//148 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {26, 422, 9, 1, Smoke::mf_static, 444, 149},	//149 QGlobalSpace::qTan(double)
    {26, 214, 33, 2, Smoke::mf_static, 354, 150},	//150 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {26, 173, 370, 2, Smoke::mf_static, 354, 151},	//151 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {26, 408, 349, 1, Smoke::mf_static, 251, 152},	//152 QGlobalSpace::qSetFieldWidth(int)
    {26, 209, 373, 2, Smoke::mf_static, 354, 153},	//153 QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    {26, 230, 376, 2, Smoke::mf_static, 91, 154},	//154 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    {26, 224, 379, 2, Smoke::mf_static, 248, 155},	//155 QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    {26, 357, 382, 1, Smoke::mf_static, 455, 156},	//156 QGlobalSpace::qHash(const QItemSelectionRange&)
    {26, 393, 319, 1, Smoke::mf_static, 446, 157},	//157 QGlobalSpace::qRed(unsigned int)
    {26, 230, 384, 2, Smoke::mf_static, 109, 158},	//158 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {26, 180, 227, 2, Smoke::mf_static, 254, 159},	//159 QGlobalSpace::operator*(const QTransform&, double)
    {26, 341, 9, 1, Smoke::mf_static, 446, 160},	//160 QGlobalSpace::qFloor(double)
    {26, 230, 387, 2, Smoke::mf_static, 84, 161},	//161 QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    {26, 200, 390, 2, Smoke::mf_static, 30, 162},	//162 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {26, 224, 393, 2, Smoke::mf_static, 26, 163},	//163 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {26, 366, 96, 1, Smoke::mf_static, 354, 164},	//164 QGlobalSpace::qIsFinite(float)
    {26, 184, 396, 2, Smoke::mf_static, 415, 165},	//165 QGlobalSpace::operator+(const QString&, QChar)
    {26, 173, 399, 2, Smoke::mf_static, 354, 166},	//166 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {26, 180, 298, 2, Smoke::mf_static, 439, 167},	//167 QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    {26, 230, 402, 2, Smoke::mf_static, 50, 168},	//168 QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    {26, 429, 405, 3, Smoke::mf_static, 0, 169},	//169 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {26, 184, 93, 2, Smoke::mf_static, 360, 170},	//170 QGlobalSpace::operator+(const QByteArray&, const char*)
    {26, 245, 0, 0, Smoke::mf_static, 8, 171},	//171 QGlobalSpace::qAccessibleTextCastHelper()
    {26, 230, 409, 2, Smoke::mf_static, 90, 172},	//172 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {26, 230, 412, 2, Smoke::mf_static, 96, 173},	//173 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {26, 184, 75, 2, Smoke::mf_static, 415, 174},	//174 QGlobalSpace::operator+(const QString&, const char*)
    {26, 214, 360, 2, Smoke::mf_static, 354, 175},	//175 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {26, 230, 415, 2, Smoke::mf_static, 117, 176},	//176 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {26, 391, 418, 4, Smoke::mf_static, 462, 177},	//177 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {26, 224, 423, 2, Smoke::mf_static, 26, 178},	//178 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {26, 200, 426, 2, Smoke::mf_static, 26, 179},	//179 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {26, 184, 429, 2, Smoke::mf_static, 415, 180},	//180 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {26, 357, 319, 1, Smoke::mf_static, 455, 181},	//181 QGlobalSpace::qHash(unsigned int)
    {26, 347, 203, 2, Smoke::mf_static, 354, 182},	//182 QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    {26, 230, 432, 2, Smoke::mf_static, 119, 183},	//183 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {26, 357, 111, 1, Smoke::mf_static, 455, 184},	//184 QGlobalSpace::qHash(QChar)
    {26, 230, 435, 2, Smoke::mf_static, 98, 185},	//185 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    {26, 204, 93, 2, Smoke::mf_static, 354, 186},	//186 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {26, 364, 96, 1, Smoke::mf_static, 446, 187},	//187 QGlobalSpace::qIntCast(float)
    {26, 209, 438, 2, Smoke::mf_static, 354, 188},	//188 QGlobalSpace::operator==(const QRect&, const QRect&)
    {26, 230, 441, 2, Smoke::mf_static, 60, 189},	//189 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {26, 228, 444, 2, Smoke::mf_static, 12, 190},	//190 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {26, 214, 447, 2, Smoke::mf_static, 354, 191},	//191 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {26, 230, 450, 2, Smoke::mf_static, 81, 192},	//192 QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    {26, 389, 453, 2, Smoke::mf_static, 462, 193},	//193 QGlobalSpace::qRealloc(void*, size_t)
    {26, 357, 456, 1, Smoke::mf_static, 455, 194},	//194 QGlobalSpace::qHash(const QString&)
    {26, 204, 360, 2, Smoke::mf_static, 354, 195},	//195 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {26, 184, 298, 2, Smoke::mf_static, 439, 196},	//196 QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    {26, 200, 458, 2, Smoke::mf_static, 26, 197},	//197 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {26, 200, 461, 2, Smoke::mf_static, 26, 198},	//198 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {26, 200, 464, 2, Smoke::mf_static, 30, 199},	//199 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {26, 405, 9, 1, Smoke::mf_static, 449, 200},	//200 QGlobalSpace::qRound64(double)
    {26, 362, 467, 1, Smoke::mf_static, 461, 201},	//201 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {26, 417, 9, 1, Smoke::mf_static, 444, 202},	//202 QGlobalSpace::qSqrt(double)
    {26, 230, 469, 2, Smoke::mf_static, 150, 203},	//203 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    {26, 357, 472, 1, Smoke::mf_static, 455, 204},	//204 QGlobalSpace::qHash(const QModelIndex&)
    {26, 230, 474, 2, Smoke::mf_static, 53, 205},	//205 QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    {26, 335, 9, 1, Smoke::mf_static, 444, 206},	//206 QGlobalSpace::qFastCos(double)
    {26, 230, 477, 2, Smoke::mf_static, 95, 207},	//207 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {26, 224, 480, 2, Smoke::mf_static, 26, 208},	//208 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {26, 200, 483, 2, Smoke::mf_static, 30, 209},	//209 QGlobalSpace::operator<<(QDebug, const QEvent*)
    {26, 209, 486, 2, Smoke::mf_static, 354, 210},	//210 QGlobalSpace::operator==(QBool, QBool)
    {26, 230, 489, 2, Smoke::mf_static, 67, 211},	//211 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    {26, 209, 492, 2, Smoke::mf_static, 354, 212},	//212 QGlobalSpace::operator==(const char*, const QStringRef&)
    {26, 230, 495, 2, Smoke::mf_static, 150, 213},	//213 QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    {26, 230, 498, 2, Smoke::mf_static, 150, 214},	//214 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {26, 173, 327, 2, Smoke::mf_static, 354, 215},	//215 QGlobalSpace::operator!=(const char*, const QString&)
    {26, 372, 96, 1, Smoke::mf_static, 354, 216},	//216 QGlobalSpace::qIsNaN(float)
    {26, 230, 501, 2, Smoke::mf_static, 150, 217},	//217 QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    {26, 230, 504, 2, Smoke::mf_static, 73, 218},	//218 QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    {26, 204, 447, 2, Smoke::mf_static, 354, 219},	//219 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {26, 224, 507, 2, Smoke::mf_static, 26, 220},	//220 QGlobalSpace::operator>>(QDataStream&, QPen&)
    {26, 339, 98, 1, Smoke::mf_static, 441, 221},	//221 QGlobalSpace::qFlagLocation(const char*)
    {26, 184, 227, 2, Smoke::mf_static, 254, 222},	//222 QGlobalSpace::operator+(const QTransform&, double)
    {26, 180, 510, 2, Smoke::mf_static, 158, 223},	//223 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {26, 200, 513, 2, Smoke::mf_static, 30, 224},	//224 QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    {26, 230, 516, 2, Smoke::mf_static, 150, 225},	//225 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {26, 372, 9, 1, Smoke::mf_static, 354, 226},	//226 QGlobalSpace::qIsNaN(double)
    {26, 352, 319, 1, Smoke::mf_static, 446, 227},	//227 QGlobalSpace::qGray(unsigned int)
    {26, 184, 519, 2, Smoke::mf_static, 415, 228},	//228 QGlobalSpace::operator+(QChar, const QString&)
    {26, 230, 522, 2, Smoke::mf_static, 92, 229},	//229 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {26, 230, 525, 2, Smoke::mf_static, 150, 230},	//230 QGlobalSpace::operator|(QString::SectionFlag, int)
    {26, 230, 528, 2, Smoke::mf_static, 66, 231},	//231 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    {26, 230, 531, 2, Smoke::mf_static, 150, 232},	//232 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {26, 200, 534, 2, Smoke::mf_static, 30, 233},	//233 QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    {26, 224, 537, 2, Smoke::mf_static, 26, 234},	//234 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {26, 466, 540, 3, Smoke::mf_static, 0, 235},	//235 QGlobalSpace::qt_assert(const char*, const char*, int)
    {26, 357, 544, 1, Smoke::mf_static, 455, 236},	//236 QGlobalSpace::qHash(long long)
    {26, 189, 546, 1, Smoke::mf_static, 401, 237},	//237 QGlobalSpace::operator-(const QQuaternion&)
    {26, 173, 548, 2, Smoke::mf_static, 354, 238},	//238 QGlobalSpace::operator!=(const QString&, QString::Null)
    {26, 230, 551, 2, Smoke::mf_static, 64, 239},	//239 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    {26, 347, 554, 2, Smoke::mf_static, 354, 240},	//240 QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    {26, 230, 557, 2, Smoke::mf_static, 150, 241},	//241 QGlobalSpace::operator|(QMainWindow::DockOption, int)
    {26, 224, 560, 2, Smoke::mf_static, 26, 242},	//242 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {26, 230, 563, 2, Smoke::mf_static, 150, 243},	//243 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {26, 399, 330, 3, Smoke::mf_static, 455, 244},	//244 QGlobalSpace::qRgb(int, int, int)
    {26, 230, 566, 2, Smoke::mf_static, 96, 245},	//245 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {26, 184, 569, 2, Smoke::mf_static, 415, 246},	//246 QGlobalSpace::operator+(const QString&, char)
    {26, 173, 134, 2, Smoke::mf_static, 354, 247},	//247 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {26, 180, 572, 2, Smoke::mf_static, 186, 248},	//248 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {26, 189, 81, 2, Smoke::mf_static, 397, 249},	//249 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {26, 209, 399, 2, Smoke::mf_static, 354, 250},	//250 QGlobalSpace::operator==(QString::Null, QString::Null)
    {26, 230, 575, 2, Smoke::mf_static, 112, 251},	//251 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {26, 230, 578, 2, Smoke::mf_static, 78, 252},	//252 QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    {26, 230, 581, 2, Smoke::mf_static, 106, 253},	//253 QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    {26, 224, 584, 2, Smoke::mf_static, 26, 254},	//254 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {26, 195, 447, 2, Smoke::mf_static, 354, 255},	//255 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {26, 244, 0, 0, Smoke::mf_static, 8, 256},	//256 QGlobalSpace::qAccessibleTableCastHelper()
    {26, 230, 587, 2, Smoke::mf_static, 122, 257},	//257 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {26, 281, 590, 8, Smoke::mf_static, 0, 258},	//258 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int, const QBrush*)
    {26, 281, 599, 6, Smoke::mf_static, 0, 259},	//259 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&)
    {26, 281, 606, 7, Smoke::mf_static, 0, 260},	//260 QGlobalSpace::qDrawPlainRect(QPainter*, int, int, int, int, const QColor&, int)
    {26, 350, 96, 1, Smoke::mf_static, 354, 261},	//261 QGlobalSpace::qFuzzyIsNull(float)
    {26, 180, 614, 2, Smoke::mf_static, 401, 262},	//262 QGlobalSpace::operator*(const QQuaternion&, double)
    {26, 230, 617, 2, Smoke::mf_static, 116, 263},	//263 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {26, 447, 620, 2, Smoke::mf_static, 356, 264},	//264 QGlobalSpace::qstrcpy(char*, const char*)
    {26, 357, 349, 1, Smoke::mf_static, 455, 265},	//265 QGlobalSpace::qHash(int)
    {26, 184, 81, 2, Smoke::mf_static, 397, 266},	//266 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {26, 180, 623, 2, Smoke::mf_static, 206, 267},	//267 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {26, 230, 626, 2, Smoke::mf_static, 107, 268},	//268 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {26, 209, 292, 2, Smoke::mf_static, 354, 269},	//269 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {26, 189, 629, 1, Smoke::mf_static, 395, 270},	//270 QGlobalSpace::operator-(const QPoint&)
    {26, 230, 631, 2, Smoke::mf_static, 150, 271},	//271 QGlobalSpace::operator|(Qt::DropAction, int)
    {26, 200, 634, 2, Smoke::mf_static, 26, 272},	//272 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {26, 230, 637, 2, Smoke::mf_static, 150, 273},	//273 QGlobalSpace::operator|(QDir::SortFlag, int)
    {26, 331, 9, 1, Smoke::mf_static, 444, 274},	//274 QGlobalSpace::qExp(double)
    {26, 412, 349, 1, Smoke::mf_static, 251, 275},	//275 QGlobalSpace::qSetRealNumberPrecision(int)
    {26, 209, 640, 2, Smoke::mf_static, 354, 276},	//276 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {26, 376, 9, 1, Smoke::mf_static, 444, 277},	//277 QGlobalSpace::qLn(double)
    {26, 184, 23, 2, Smoke::mf_static, 435, 278},	//278 QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    {26, 306, 643, 7, Smoke::mf_static, 0, 279},	//279 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int, const QBrush*)
    {26, 306, 651, 3, Smoke::mf_static, 0, 280},	//280 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&)
    {26, 306, 655, 4, Smoke::mf_static, 0, 281},	//281 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool)
    {26, 306, 660, 5, Smoke::mf_static, 0, 282},	//282 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 306, 666, 6, Smoke::mf_static, 0, 283},	//283 QGlobalSpace::qDrawShadeRect(QPainter*, const QRect&, const QPalette&, bool, int, int)
    {26, 200, 673, 2, Smoke::mf_static, 26, 284},	//284 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {26, 180, 676, 2, Smoke::mf_static, 268, 285},	//285 QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    {26, 230, 679, 2, Smoke::mf_static, 150, 286},	//286 QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    {26, 173, 292, 2, Smoke::mf_static, 354, 287},	//287 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {26, 395, 682, 1, Smoke::mf_static, 0, 288},	//288 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {26, 200, 684, 2, Smoke::mf_static, 30, 289},	//289 QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    {26, 200, 687, 2, Smoke::mf_static, 30, 290},	//290 QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    {26, 230, 690, 2, Smoke::mf_static, 58, 291},	//291 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    {26, 265, 26, 2, Smoke::mf_static, 458, 292},	//292 QGlobalSpace::qChecksum(const char*, unsigned int)
    {26, 276, 693, 4, Smoke::mf_static, 0, 293},	//293 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&)
    {26, 193, 698, 2, Smoke::mf_static, 439, 294},	//294 QGlobalSpace::operator/(const QVector4D&, double)
    {26, 200, 701, 2, Smoke::mf_static, 248, 295},	//295 QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    {26, 230, 704, 2, Smoke::mf_static, 115, 296},	//296 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {26, 378, 707, 1, Smoke::mf_static, 462, 297},	//297 QGlobalSpace::qMalloc(size_t)
    {26, 388, 0, 0, Smoke::mf_static, 444, 298},	//298 QGlobalSpace::qQNaN()
    {26, 230, 709, 2, Smoke::mf_static, 108, 299},	//299 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {26, 224, 712, 2, Smoke::mf_static, 26, 300},	//300 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {26, 435, 60, 2, Smoke::mf_static, 354, 301},	//301 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {26, 230, 715, 2, Smoke::mf_static, 93, 302},	//302 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {26, 230, 718, 2, Smoke::mf_static, 75, 303},	//303 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {26, 200, 721, 2, Smoke::mf_static, 26, 304},	//304 QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    {26, 200, 724, 2, Smoke::mf_static, 30, 305},	//305 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {26, 230, 727, 2, Smoke::mf_static, 150, 306},	//306 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {26, 261, 319, 1, Smoke::mf_static, 446, 307},	//307 QGlobalSpace::qBlue(unsigned int)
    {26, 230, 730, 2, Smoke::mf_static, 100, 308},	//308 QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    {26, 180, 23, 2, Smoke::mf_static, 435, 309},	//309 QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    {26, 200, 733, 2, Smoke::mf_static, 26, 310},	//310 QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    {26, 200, 736, 2, Smoke::mf_static, 26, 311},	//311 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {26, 317, 739, 5, Smoke::mf_static, 0, 312},	//312 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 317, 651, 3, Smoke::mf_static, 0, 313},	//313 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&)
    {26, 317, 655, 4, Smoke::mf_static, 0, 314},	//314 QGlobalSpace::qDrawWinButton(QPainter*, const QRect&, const QPalette&, bool)
    {26, 440, 319, 1, Smoke::mf_static, 0, 315},	//315 QGlobalSpace::qsrand(unsigned int)
    {26, 173, 203, 2, Smoke::mf_static, 354, 316},	//316 QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    {26, 230, 745, 2, Smoke::mf_static, 150, 317},	//317 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    {26, 357, 748, 1, Smoke::mf_static, 455, 318},	//318 QGlobalSpace::qHash(long)
    {26, 200, 750, 2, Smoke::mf_static, 26, 319},	//319 QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    {26, 214, 4, 2, Smoke::mf_static, 354, 320},	//320 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {26, 357, 753, 1, Smoke::mf_static, 455, 321},	//321 QGlobalSpace::qHash(unsigned short)
    {26, 230, 755, 2, Smoke::mf_static, 99, 322},	//322 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    {26, 224, 758, 2, Smoke::mf_static, 26, 323},	//323 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {26, 173, 81, 2, Smoke::mf_static, 354, 324},	//324 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {26, 230, 761, 2, Smoke::mf_static, 82, 325},	//325 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    {26, 200, 764, 2, Smoke::mf_static, 26, 326},	//326 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {26, 230, 767, 2, Smoke::mf_static, 61, 327},	//327 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {26, 230, 770, 2, Smoke::mf_static, 74, 328},	//328 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    {26, 189, 23, 2, Smoke::mf_static, 435, 329},	//329 QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    {26, 297, 773, 6, Smoke::mf_static, 0, 330},	//330 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int, const QBrush*)
    {26, 297, 651, 3, Smoke::mf_static, 0, 331},	//331 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&)
    {26, 297, 655, 4, Smoke::mf_static, 0, 332},	//332 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 297, 660, 5, Smoke::mf_static, 0, 333},	//333 QGlobalSpace::qDrawShadePanel(QPainter*, const QRect&, const QPalette&, bool, int)
    {26, 459, 366, 3, Smoke::mf_static, 446, 334},	//334 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {26, 184, 780, 2, Smoke::mf_static, 415, 335},	//335 QGlobalSpace::operator+(char, const QString&)
    {26, 224, 783, 2, Smoke::mf_static, 26, 336},	//336 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {26, 209, 176, 2, Smoke::mf_static, 354, 337},	//337 QGlobalSpace::operator==(QString::Null, const QString&)
    {26, 224, 786, 2, Smoke::mf_static, 26, 338},	//338 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {26, 209, 370, 2, Smoke::mf_static, 354, 339},	//339 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {26, 230, 789, 2, Smoke::mf_static, 92, 340},	//340 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {26, 230, 792, 2, Smoke::mf_static, 150, 341},	//341 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    {26, 184, 447, 2, Smoke::mf_static, 360, 342},	//342 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {26, 230, 795, 2, Smoke::mf_static, 99, 343},	//343 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    {26, 357, 798, 1, Smoke::mf_static, 455, 344},	//344 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {26, 214, 327, 2, Smoke::mf_static, 354, 345},	//345 QGlobalSpace::operator>(const char*, const QString&)
    {26, 200, 800, 2, Smoke::mf_static, 30, 346},	//346 QGlobalSpace::operator<<(QDebug, const QRegion&)
    {26, 200, 803, 2, Smoke::mf_static, 26, 347},	//347 QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    {26, 200, 806, 2, Smoke::mf_static, 26, 348},	//348 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {26, 200, 809, 2, Smoke::mf_static, 26, 349},	//349 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {26, 200, 812, 2, Smoke::mf_static, 26, 350},	//350 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {26, 224, 815, 2, Smoke::mf_static, 26, 351},	//351 QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    {26, 481, 818, 3, Smoke::mf_static, 177, 352},	//352 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {26, 297, 822, 9, Smoke::mf_static, 0, 353},	//353 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int, const QBrush*)
    {26, 297, 268, 6, Smoke::mf_static, 0, 354},	//354 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&)
    {26, 297, 275, 7, Smoke::mf_static, 0, 355},	//355 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 297, 832, 8, Smoke::mf_static, 0, 356},	//356 QGlobalSpace::qDrawShadePanel(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 230, 841, 2, Smoke::mf_static, 86, 357},	//357 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {26, 224, 844, 2, Smoke::mf_static, 26, 358},	//358 QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    {26, 230, 847, 2, Smoke::mf_static, 150, 359},	//359 QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    {26, 193, 850, 2, Smoke::mf_static, 435, 360},	//360 QGlobalSpace::operator/(const QVector2D&, double)
    {26, 230, 853, 2, Smoke::mf_static, 90, 361},	//361 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {26, 193, 856, 2, Smoke::mf_static, 397, 362},	//362 QGlobalSpace::operator/(const QPointF&, double)
    {26, 173, 859, 2, Smoke::mf_static, 354, 363},	//363 QGlobalSpace::operator!=(bool, QBool)
    {26, 209, 360, 2, Smoke::mf_static, 354, 364},	//364 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {26, 230, 862, 2, Smoke::mf_static, 71, 365},	//365 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    {26, 230, 865, 2, Smoke::mf_static, 74, 366},	//366 QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    {26, 193, 868, 2, Smoke::mf_static, 437, 367},	//367 QGlobalSpace::operator/(const QVector3D&, double)
    {26, 230, 871, 2, Smoke::mf_static, 75, 368},	//368 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {26, 457, 874, 3, Smoke::mf_static, 356, 369},	//369 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {26, 180, 878, 2, Smoke::mf_static, 435, 370},	//370 QGlobalSpace::operator*(double, const QVector2D&)
    {26, 189, 881, 1, Smoke::mf_static, 439, 371},	//371 QGlobalSpace::operator-(const QVector4D&)
    {26, 230, 883, 2, Smoke::mf_static, 103, 372},	//372 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    {26, 224, 886, 2, Smoke::mf_static, 26, 373},	//373 QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    {26, 424, 153, 1, Smoke::mf_static, 16, 374},	//374 QGlobalSpace::qUncompress(const QByteArray&)
    {26, 230, 889, 2, Smoke::mf_static, 93, 375},	//375 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {26, 193, 227, 2, Smoke::mf_static, 254, 376},	//376 QGlobalSpace::operator/(const QTransform&, double)
    {26, 230, 892, 2, Smoke::mf_static, 150, 377},	//377 QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    {26, 347, 14, 2, Smoke::mf_static, 354, 378},	//378 QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    {26, 230, 895, 2, Smoke::mf_static, 150, 379},	//379 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {26, 200, 898, 2, Smoke::mf_static, 26, 380},	//380 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {26, 224, 901, 2, Smoke::mf_static, 26, 381},	//381 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {26, 241, 0, 0, Smoke::mf_static, 8, 382},	//382 QGlobalSpace::qAccessibleActionCastHelper()
    {26, 180, 904, 2, Smoke::mf_static, 194, 383},	//383 QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    {26, 230, 907, 2, Smoke::mf_static, 150, 384},	//384 QGlobalSpace::operator|(Qt::MouseButton, int)
    {26, 224, 910, 2, Smoke::mf_static, 26, 385},	//385 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {26, 189, 913, 1, Smoke::mf_static, 397, 386},	//386 QGlobalSpace::operator-(const QPointF&)
    {26, 230, 915, 2, Smoke::mf_static, 48, 387},	//387 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    {26, 200, 918, 2, Smoke::mf_static, 30, 388},	//388 QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    {26, 209, 859, 2, Smoke::mf_static, 354, 389},	//389 QGlobalSpace::operator==(bool, QBool)
    {26, 224, 921, 2, Smoke::mf_static, 26, 390},	//390 QGlobalSpace::operator>>(QDataStream&, QPicture&)
    {26, 230, 924, 2, Smoke::mf_static, 150, 391},	//391 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    {26, 437, 0, 0, Smoke::mf_static, 446, 392},	//392 QGlobalSpace::qrand()
    {26, 200, 927, 2, Smoke::mf_static, 30, 393},	//393 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {26, 180, 930, 2, Smoke::mf_static, 198, 394},	//394 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {26, 224, 933, 2, Smoke::mf_static, 26, 395},	//395 QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    {26, 230, 936, 2, Smoke::mf_static, 52, 396},	//396 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    {26, 468, 939, 4, Smoke::mf_static, 0, 397},	//397 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {26, 178, 444, 2, Smoke::mf_static, 12, 398},	//398 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {26, 219, 60, 2, Smoke::mf_static, 354, 399},	//399 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {26, 230, 944, 2, Smoke::mf_static, 62, 400},	//400 QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    {26, 230, 947, 2, Smoke::mf_static, 101, 401},	//401 QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    {26, 230, 950, 2, Smoke::mf_static, 117, 402},	//402 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {26, 200, 953, 2, Smoke::mf_static, 26, 403},	//403 QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    {26, 347, 956, 2, Smoke::mf_static, 354, 404},	//404 QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    {26, 230, 959, 2, Smoke::mf_static, 150, 405},	//405 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {26, 173, 962, 2, Smoke::mf_static, 354, 406},	//406 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {26, 438, 965, 4, Smoke::mf_static, 0, 407},	//407 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {26, 401, 970, 4, Smoke::mf_static, 455, 408},	//408 QGlobalSpace::qRgba(int, int, int, int)
    {26, 274, 0, 0, Smoke::mf_static, 30, 409},	//409 QGlobalSpace::qCritical()
    {26, 180, 698, 2, Smoke::mf_static, 439, 410},	//410 QGlobalSpace::operator*(const QVector4D&, double)
    {26, 224, 975, 2, Smoke::mf_static, 26, 411},	//411 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {26, 200, 978, 2, Smoke::mf_static, 30, 412},	//412 QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    {26, 200, 981, 2, Smoke::mf_static, 26, 413},	//413 QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    {26, 230, 984, 2, Smoke::mf_static, 111, 414},	//414 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {26, 173, 60, 2, Smoke::mf_static, 354, 415},	//415 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {26, 173, 212, 2, Smoke::mf_static, 354, 416},	//416 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {26, 195, 33, 2, Smoke::mf_static, 354, 417},	//417 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {26, 180, 987, 2, Smoke::mf_static, 439, 418},	//418 QGlobalSpace::operator*(double, const QVector4D&)
    {26, 230, 990, 2, Smoke::mf_static, 150, 419},	//419 QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    {26, 230, 993, 2, Smoke::mf_static, 80, 420},	//420 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    {26, 209, 962, 2, Smoke::mf_static, 354, 421},	//421 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {26, 200, 996, 2, Smoke::mf_static, 26, 422},	//422 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {26, 200, 999, 2, Smoke::mf_static, 30, 423},	//423 QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    {26, 184, 1002, 2, Smoke::mf_static, 360, 424},	//424 QGlobalSpace::operator+(const QByteArray&, char)
    {26, 230, 1005, 2, Smoke::mf_static, 57, 425},	//425 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {26, 230, 1008, 2, Smoke::mf_static, 55, 426},	//426 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {26, 224, 1011, 2, Smoke::mf_static, 26, 427},	//427 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {26, 193, 1014, 2, Smoke::mf_static, 410, 428},	//428 QGlobalSpace::operator/(const QSizeF&, double)
    {26, 219, 360, 2, Smoke::mf_static, 354, 429},	//429 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {26, 209, 298, 2, Smoke::mf_static, 354, 430},	//430 QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    {26, 200, 1017, 2, Smoke::mf_static, 26, 431},	//431 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {26, 230, 1020, 2, Smoke::mf_static, 150, 432},	//432 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {26, 209, 212, 2, Smoke::mf_static, 354, 433},	//433 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {26, 249, 1023, 1, Smoke::mf_static, 0, 434},	//434 QGlobalSpace::qAddPostRoutine(void(*)())
    {26, 267, 1025, 3, Smoke::mf_static, 16, 435},	//435 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {26, 267, 363, 2, Smoke::mf_static, 16, 436},	//436 QGlobalSpace::qCompress(const unsigned char*, int)
    {26, 230, 1029, 2, Smoke::mf_static, 85, 437},	//437 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {26, 204, 60, 2, Smoke::mf_static, 354, 438},	//438 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {26, 337, 9, 1, Smoke::mf_static, 444, 439},	//439 QGlobalSpace::qFastSin(double)
    {26, 204, 4, 2, Smoke::mf_static, 354, 440},	//440 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {26, 200, 1032, 2, Smoke::mf_static, 26, 441},	//441 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {26, 224, 1035, 2, Smoke::mf_static, 26, 442},	//442 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {26, 230, 1038, 2, Smoke::mf_static, 54, 443},	//443 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    {26, 224, 1041, 2, Smoke::mf_static, 26, 444},	//444 QGlobalSpace::operator>>(QDataStream&, QString&)
    {26, 193, 614, 2, Smoke::mf_static, 401, 445},	//445 QGlobalSpace::operator/(const QQuaternion&, double)
    {26, 253, 0, 0, Smoke::mf_static, 217, 446},	//446 QGlobalSpace::qAppName()
    {26, 427, 0, 0, Smoke::mf_static, 441, 447},	//447 QGlobalSpace::qVersion()
    {26, 230, 1044, 2, Smoke::mf_static, 87, 448},	//448 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {26, 200, 1047, 2, Smoke::mf_static, 26, 449},	//449 QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    {26, 230, 1050, 2, Smoke::mf_static, 150, 450},	//450 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {26, 343, 1053, 1, Smoke::mf_static, 0, 451},	//451 QGlobalSpace::qFree(void*)
    {26, 200, 1055, 2, Smoke::mf_static, 30, 452},	//452 QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 180, 1058, 2, Smoke::mf_static, 160, 453},	//453 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {26, 200, 1061, 2, Smoke::mf_static, 26, 454},	//454 QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    {26, 230, 1064, 2, Smoke::mf_static, 150, 455},	//455 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {26, 345, 1053, 1, Smoke::mf_static, 0, 456},	//456 QGlobalSpace::qFreeAligned(void*)
    {26, 224, 1067, 2, Smoke::mf_static, 26, 457},	//457 QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    {26, 209, 548, 2, Smoke::mf_static, 354, 458},	//458 QGlobalSpace::operator==(const QString&, QString::Null)
    {26, 200, 1070, 2, Smoke::mf_static, 30, 459},	//459 QGlobalSpace::operator<<(QDebug, const QDir&)
    {26, 200, 1073, 2, Smoke::mf_static, 248, 460},	//460 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 195, 93, 2, Smoke::mf_static, 354, 461},	//461 QGlobalSpace::operator<(const QByteArray&, const char*)
    {26, 200, 1076, 2, Smoke::mf_static, 30, 462},	//462 QGlobalSpace::operator<<(QDebug, const QPen&)
    {26, 180, 1079, 2, Smoke::mf_static, 401, 463},	//463 QGlobalSpace::operator*(double, const QQuaternion&)
    {26, 180, 850, 2, Smoke::mf_static, 435, 464},	//464 QGlobalSpace::operator*(const QVector2D&, double)
    {26, 200, 1082, 2, Smoke::mf_static, 30, 465},	//465 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {26, 173, 298, 2, Smoke::mf_static, 354, 466},	//466 QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    {26, 230, 1085, 2, Smoke::mf_static, 68, 467},	//467 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    {26, 200, 1088, 2, Smoke::mf_static, 30, 468},	//468 QGlobalSpace::operator<<(QDebug, const QVector3D&)
    {26, 230, 1091, 2, Smoke::mf_static, 100, 469},	//469 QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    {26, 230, 1094, 2, Smoke::mf_static, 60, 470},	//470 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {26, 180, 868, 2, Smoke::mf_static, 437, 471},	//471 QGlobalSpace::operator*(const QVector3D&, double)
    {26, 357, 1097, 1, Smoke::mf_static, 455, 472},	//472 QGlobalSpace::qHash(const QBitArray&)
    {26, 200, 1099, 2, Smoke::mf_static, 30, 473},	//473 QGlobalSpace::operator<<(QDebug, const QVector2D&)
    {26, 230, 1102, 2, Smoke::mf_static, 73, 474},	//474 QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    {26, 200, 1105, 2, Smoke::mf_static, 30, 475},	//475 QGlobalSpace::operator<<(QDebug, const QTime&)
    {26, 200, 1108, 2, Smoke::mf_static, 248, 476},	//476 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {26, 263, 9, 1, Smoke::mf_static, 446, 477},	//477 QGlobalSpace::qCeil(double)
    {26, 200, 1111, 2, Smoke::mf_static, 30, 478},	//478 QGlobalSpace::operator<<(QDebug, const QVector4D&)
    {26, 224, 1114, 2, Smoke::mf_static, 26, 479},	//479 QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    {26, 173, 140, 2, Smoke::mf_static, 354, 480},	//480 QGlobalSpace::operator!=(QChar, QChar)
    {26, 230, 1117, 2, Smoke::mf_static, 110, 481},	//481 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {26, 419, 1120, 2, Smoke::mf_static, 354, 482},	//482 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {26, 449, 98, 1, Smoke::mf_static, 356, 483},	//483 QGlobalSpace::qstrdup(const char*)
    {26, 230, 1123, 2, Smoke::mf_static, 150, 484},	//484 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {26, 230, 1126, 2, Smoke::mf_static, 85, 485},	//485 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {26, 243, 0, 0, Smoke::mf_static, 8, 486},	//486 QGlobalSpace::qAccessibleImageCastHelper()
    {26, 230, 1129, 2, Smoke::mf_static, 105, 487},	//487 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {26, 224, 1132, 2, Smoke::mf_static, 26, 488},	//488 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {26, 224, 1135, 2, Smoke::mf_static, 26, 489},	//489 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {26, 204, 327, 2, Smoke::mf_static, 354, 490},	//490 QGlobalSpace::operator<=(const char*, const QString&)
    {26, 173, 492, 2, Smoke::mf_static, 354, 491},	//491 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {26, 224, 1138, 2, Smoke::mf_static, 26, 492},	//492 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {26, 230, 1141, 2, Smoke::mf_static, 49, 493},	//493 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {26, 200, 1144, 2, Smoke::mf_static, 26, 494},	//494 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {26, 230, 1147, 2, Smoke::mf_static, 94, 495},	//495 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {26, 230, 1150, 2, Smoke::mf_static, 150, 496},	//496 QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    {26, 275, 0, 0, Smoke::mf_static, 30, 497},	//497 QGlobalSpace::qDebug()
    {26, 380, 1153, 2, Smoke::mf_static, 462, 498},	//498 QGlobalSpace::qMallocAligned(size_t, size_t)
    {26, 230, 1156, 2, Smoke::mf_static, 69, 499},	//499 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    {26, 180, 1159, 2, Smoke::mf_static, 192, 500},	//500 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {26, 173, 1120, 2, Smoke::mf_static, 354, 501},	//501 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {26, 355, 319, 1, Smoke::mf_static, 446, 502},	//502 QGlobalSpace::qGreen(unsigned int)
    {26, 386, 87, 2, Smoke::mf_static, 444, 503},	//503 QGlobalSpace::qPow(double, double)
    {26, 204, 33, 2, Smoke::mf_static, 354, 504},	//504 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {26, 200, 1162, 2, Smoke::mf_static, 30, 505},	//505 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {26, 230, 1165, 2, Smoke::mf_static, 150, 506},	//506 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {26, 224, 1073, 2, Smoke::mf_static, 248, 507},	//507 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {26, 184, 1168, 2, Smoke::mf_static, 360, 508},	//508 QGlobalSpace::operator+(char, const QByteArray&)
    {26, 230, 1171, 2, Smoke::mf_static, 150, 509},	//509 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {26, 209, 60, 2, Smoke::mf_static, 354, 510},	//510 QGlobalSpace::operator==(const char*, const QByteArray&)
    {26, 200, 1174, 2, Smoke::mf_static, 26, 511},	//511 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {26, 230, 1177, 2, Smoke::mf_static, 94, 512},	//512 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {26, 189, 51, 2, Smoke::mf_static, 408, 513},	//513 QGlobalSpace::operator-(const QSize&, const QSize&)
    {26, 200, 1180, 2, Smoke::mf_static, 30, 514},	//514 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {26, 184, 327, 2, Smoke::mf_static, 415, 515},	//515 QGlobalSpace::operator+(const char*, const QString&)
    {26, 230, 1183, 2, Smoke::mf_static, 51, 516},	//516 QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    {26, 230, 1186, 2, Smoke::mf_static, 84, 517},	//517 QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    {26, 230, 1189, 2, Smoke::mf_static, 150, 518},	//518 QGlobalSpace::operator|(Qt::WindowState, int)
    {26, 224, 1192, 2, Smoke::mf_static, 26, 519},	//519 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {26, 224, 1195, 2, Smoke::mf_static, 26, 520},	//520 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {26, 230, 1198, 2, Smoke::mf_static, 53, 521},	//521 QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    {26, 173, 640, 2, Smoke::mf_static, 354, 522},	//522 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {26, 230, 1201, 2, Smoke::mf_static, 101, 523},	//523 QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    {26, 200, 1204, 2, Smoke::mf_static, 30, 524},	//524 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {26, 230, 1207, 2, Smoke::mf_static, 114, 525},	//525 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {26, 180, 1210, 2, Smoke::mf_static, 397, 526},	//526 QGlobalSpace::operator*(double, const QPointF&)
    {26, 224, 1213, 2, Smoke::mf_static, 26, 527},	//527 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {26, 230, 1216, 2, Smoke::mf_static, 109, 528},	//528 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {26, 180, 1219, 2, Smoke::mf_static, 206, 529},	//529 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {26, 209, 4, 2, Smoke::mf_static, 354, 530},	//530 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {26, 180, 1222, 2, Smoke::mf_static, 408, 531},	//531 QGlobalSpace::operator*(const QSize&, double)
    {26, 200, 1225, 2, Smoke::mf_static, 30, 532},	//532 QGlobalSpace::operator<<(QDebug, const QDate&)
    {26, 347, 23, 2, Smoke::mf_static, 354, 533},	//533 QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    {26, 180, 1228, 2, Smoke::mf_static, 186, 534},	//534 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {26, 230, 1231, 2, Smoke::mf_static, 51, 535},	//535 QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    {26, 230, 1234, 2, Smoke::mf_static, 55, 536},	//536 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {26, 487, 1237, 4, Smoke::mf_static, 446, 537},	//537 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {26, 180, 1242, 2, Smoke::mf_static, 395, 538},	//538 QGlobalSpace::operator*(double, const QPoint&)
    {26, 180, 1245, 2, Smoke::mf_static, 198, 539},	//539 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {26, 384, 1248, 3, Smoke::mf_static, 462, 540},	//540 QGlobalSpace::qMemSet(void*, int, size_t)
    {26, 200, 1252, 2, Smoke::mf_static, 26, 541},	//541 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {26, 470, 1255, 2, Smoke::mf_static, 0, 542},	//542 QGlobalSpace::qt_check_pointer(const char*, int)
    {26, 324, 739, 5, Smoke::mf_static, 0, 543},	//543 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool, const QBrush*)
    {26, 324, 651, 3, Smoke::mf_static, 0, 544},	//544 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&)
    {26, 324, 655, 4, Smoke::mf_static, 0, 545},	//545 QGlobalSpace::qDrawWinPanel(QPainter*, const QRect&, const QPalette&, bool)
    {26, 357, 1258, 1, Smoke::mf_static, 455, 546},	//546 QGlobalSpace::qHash(short)
    {26, 230, 1260, 2, Smoke::mf_static, 80, 547},	//547 QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    {26, 230, 1263, 2, Smoke::mf_static, 72, 548},	//548 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {26, 333, 9, 1, Smoke::mf_static, 444, 549},	//549 QGlobalSpace::qFabs(double)
    {26, 230, 1266, 2, Smoke::mf_static, 108, 550},	//550 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {26, 230, 1269, 2, Smoke::mf_static, 56, 551},	//551 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {26, 442, 447, 2, Smoke::mf_static, 446, 552},	//552 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {26, 347, 1272, 2, Smoke::mf_static, 354, 553},	//553 QGlobalSpace::qFuzzyCompare(float, float)
    {26, 209, 1275, 2, Smoke::mf_static, 354, 554},	//554 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {26, 230, 1278, 2, Smoke::mf_static, 150, 555},	//555 QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    {26, 230, 1281, 2, Smoke::mf_static, 76, 556},	//556 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {26, 431, 1284, 3, Smoke::mf_static, 356, 557},	//557 QGlobalSpace::qgcvt(long double, int, char*)
    {26, 230, 1288, 2, Smoke::mf_static, 103, 558},	//558 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    {26, 230, 1291, 2, Smoke::mf_static, 91, 559},	//559 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    {26, 230, 1294, 2, Smoke::mf_static, 71, 560},	//560 QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    {26, 247, 9, 1, Smoke::mf_static, 444, 561},	//561 QGlobalSpace::qAcos(double)
    {26, 230, 1297, 2, Smoke::mf_static, 150, 562},	//562 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {26, 230, 1300, 2, Smoke::mf_static, 112, 563},	//563 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {26, 230, 1303, 2, Smoke::mf_static, 150, 564},	//564 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    {26, 200, 1306, 2, Smoke::mf_static, 26, 565},	//565 QGlobalSpace::operator<<(QDataStream&, const QPen&)
    {26, 219, 447, 2, Smoke::mf_static, 354, 566},	//566 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {26, 230, 1309, 2, Smoke::mf_static, 83, 567},	//567 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    {26, 224, 1312, 2, Smoke::mf_static, 26, 568},	//568 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {26, 260, 0, 0, Smoke::mf_static, 0, 569},	//569 QGlobalSpace::qBadAlloc()
    {26, 200, 1315, 2, Smoke::mf_static, 30, 570},	//570 QGlobalSpace::operator<<(QDebug, const QLine&)
    {26, 230, 1318, 2, Smoke::mf_static, 118, 571},	//571 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {26, 306, 1321, 10, Smoke::mf_static, 0, 572},	//572 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int, const QBrush*)
    {26, 306, 268, 6, Smoke::mf_static, 0, 573},	//573 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&)
    {26, 306, 275, 7, Smoke::mf_static, 0, 574},	//574 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 306, 832, 8, Smoke::mf_static, 0, 575},	//575 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 306, 1332, 9, Smoke::mf_static, 0, 576},	//576 QGlobalSpace::qDrawShadeRect(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 230, 1342, 2, Smoke::mf_static, 150, 577},	//577 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {26, 224, 1345, 2, Smoke::mf_static, 26, 578},	//578 QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    {26, 200, 1348, 2, Smoke::mf_static, 30, 579},	//579 QGlobalSpace::operator<<(QDebug, const QTransform&)
    {26, 230, 1351, 2, Smoke::mf_static, 150, 580},	//580 QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    {26, 350, 9, 1, Smoke::mf_static, 354, 581},	//581 QGlobalSpace::qFuzzyIsNull(double)
    {26, 267, 1354, 2, Smoke::mf_static, 16, 582},	//582 QGlobalSpace::qCompress(const QByteArray&, int)
    {26, 267, 153, 1, Smoke::mf_static, 16, 583},	//583 QGlobalSpace::qCompress(const QByteArray&)
    {26, 200, 1357, 2, Smoke::mf_static, 30, 584},	//584 QGlobalSpace::operator<<(QDebug, const QPolygon&)
    {26, 230, 1360, 2, Smoke::mf_static, 104, 585},	//585 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {26, 230, 1363, 2, Smoke::mf_static, 150, 586},	//586 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {26, 230, 1366, 2, Smoke::mf_static, 150, 587},	//587 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {26, 230, 1369, 2, Smoke::mf_static, 69, 588},	//588 QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    {26, 230, 1372, 2, Smoke::mf_static, 150, 589},	//589 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {26, 230, 1375, 2, Smoke::mf_static, 121, 590},	//590 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {26, 189, 1378, 1, Smoke::mf_static, 435, 591},	//591 QGlobalSpace::operator-(const QVector2D&)
    {26, 230, 1380, 2, Smoke::mf_static, 150, 592},	//592 QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    {26, 230, 1383, 2, Smoke::mf_static, 46, 593},	//593 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {26, 200, 1386, 2, Smoke::mf_static, 26, 594},	//594 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {26, 180, 1389, 2, Smoke::mf_static, 169, 595},	//595 QGlobalSpace::operator*(double, const QMatrix4x4&)
    {26, 200, 1392, 2, Smoke::mf_static, 26, 596},	//596 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {26, 288, 1332, 9, Smoke::mf_static, 0, 597},	//597 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int, int)
    {26, 288, 268, 6, Smoke::mf_static, 0, 598},	//598 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&)
    {26, 288, 275, 7, Smoke::mf_static, 0, 599},	//599 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 288, 832, 8, Smoke::mf_static, 0, 600},	//600 QGlobalSpace::qDrawShadeLine(QPainter*, int, int, int, int, const QPalette&, bool, int)
    {26, 230, 1395, 2, Smoke::mf_static, 50, 601},	//601 QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    {26, 200, 1398, 2, Smoke::mf_static, 26, 602},	//602 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {26, 180, 1401, 2, Smoke::mf_static, 158, 603},	//603 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {26, 200, 1404, 2, Smoke::mf_static, 26, 604},	//604 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {26, 254, 9, 1, Smoke::mf_static, 444, 605},	//605 QGlobalSpace::qAsin(double)
    {26, 200, 1407, 2, Smoke::mf_static, 30, 606},	//606 QGlobalSpace::operator<<(QDebug, const QRect&)
    {26, 200, 1410, 2, Smoke::mf_static, 30, 607},	//607 QGlobalSpace::operator<<(QDebug, const QFont&)
    {26, 230, 1413, 2, Smoke::mf_static, 56, 608},	//608 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {26, 230, 1416, 2, Smoke::mf_static, 52, 609},	//609 QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    {26, 230, 1419, 2, Smoke::mf_static, 150, 610},	//610 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    {26, 173, 438, 2, Smoke::mf_static, 354, 611},	//611 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {26, 415, 9, 1, Smoke::mf_static, 444, 612},	//612 QGlobalSpace::qSin(double)
    {26, 230, 1422, 2, Smoke::mf_static, 150, 613},	//613 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {26, 209, 447, 2, Smoke::mf_static, 354, 614},	//614 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {26, 224, 1425, 2, Smoke::mf_static, 26, 615},	//615 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {26, 230, 1428, 2, Smoke::mf_static, 79, 616},	//616 QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    {26, 230, 444, 2, Smoke::mf_static, 12, 617},	//617 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {26, 200, 1431, 2, Smoke::mf_static, 26, 618},	//618 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {26, 347, 20, 2, Smoke::mf_static, 354, 619},	//619 QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    {26, 317, 259, 8, Smoke::mf_static, 0, 620},	//620 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool, const QBrush*)
    {26, 317, 268, 6, Smoke::mf_static, 0, 621},	//621 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&)
    {26, 317, 275, 7, Smoke::mf_static, 0, 622},	//622 QGlobalSpace::qDrawWinButton(QPainter*, int, int, int, int, const QPalette&, bool)
    {26, 200, 1434, 2, Smoke::mf_static, 26, 623},	//623 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {26, 230, 1437, 2, Smoke::mf_static, 63, 624},	//624 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    {26, 230, 1440, 2, Smoke::mf_static, 64, 625},	//625 QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    {26, 209, 1443, 2, Smoke::mf_static, 354, 626},	//626 QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    {26, 230, 1446, 2, Smoke::mf_static, 87, 627},	//627 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {26, 230, 1449, 2, Smoke::mf_static, 150, 628},	//628 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {26, 224, 1452, 2, Smoke::mf_static, 26, 629},	//629 QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    {26, 200, 1455, 2, Smoke::mf_static, 26, 630},	//630 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {26, 463, 1255, 2, Smoke::mf_static, 217, 631},	//631 QGlobalSpace::qtTrId(const char*, int)
    {26, 463, 98, 1, Smoke::mf_static, 217, 632},	//632 QGlobalSpace::qtTrId(const char*)
    {26, 230, 1458, 2, Smoke::mf_static, 150, 633},	//633 QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    {26, 230, 1461, 2, Smoke::mf_static, 97, 634},	//634 QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    {26, 189, 1464, 1, Smoke::mf_static, 437, 635},	//635 QGlobalSpace::operator-(const QVector3D&)
    {26, 200, 1466, 2, Smoke::mf_static, 30, 636},	//636 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {26, 204, 140, 2, Smoke::mf_static, 354, 637},	//637 QGlobalSpace::operator<=(QChar, QChar)
    {26, 230, 1469, 2, Smoke::mf_static, 121, 638},	//638 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {26, 368, 319, 1, Smoke::mf_static, 354, 639},	//639 QGlobalSpace::qIsGray(unsigned int)
    {26, 230, 1472, 2, Smoke::mf_static, 67, 640},	//640 QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    {26, 173, 1275, 2, Smoke::mf_static, 354, 641},	//641 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {26, 230, 1475, 2, Smoke::mf_static, 113, 642},	//642 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {26, 224, 1478, 2, Smoke::mf_static, 26, 643},	//643 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {26, 224, 1481, 2, Smoke::mf_static, 26, 644},	//644 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {26, 281, 1484, 5, Smoke::mf_static, 0, 645},	//645 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int, const QBrush*)
    {26, 281, 1490, 3, Smoke::mf_static, 0, 646},	//646 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&)
    {26, 281, 1494, 4, Smoke::mf_static, 0, 647},	//647 QGlobalSpace::qDrawPlainRect(QPainter*, const QRect&, const QColor&, int)
    {26, 224, 1499, 2, Smoke::mf_static, 26, 648},	//648 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {26, 230, 1502, 2, Smoke::mf_static, 68, 649},	//649 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    {26, 230, 1505, 2, Smoke::mf_static, 150, 650},	//650 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {26, 224, 1508, 2, Smoke::mf_static, 26, 651},	//651 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {26, 230, 1511, 2, Smoke::mf_static, 150, 652},	//652 QGlobalSpace::operator|(QPainter::RenderHint, int)
    {26, 485, 1514, 3, Smoke::mf_static, 354, 653},	//653 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {26, 200, 1518, 2, Smoke::mf_static, 30, 654},	//654 QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    {26, 230, 1521, 2, Smoke::mf_static, 150, 655},	//655 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {26, 180, 1524, 2, Smoke::mf_static, 192, 656},	//656 QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    {26, 193, 1222, 2, Smoke::mf_static, 408, 657},	//657 QGlobalSpace::operator/(const QSize&, double)
    {26, 180, 1527, 2, Smoke::mf_static, 192, 658},	//658 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {26, 374, 96, 1, Smoke::mf_static, 354, 659},	//659 QGlobalSpace::qIsNull(float)
    {26, 230, 1530, 2, Smoke::mf_static, 48, 660},	//660 QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    {26, 483, 1533, 5, Smoke::mf_static, 0, 661},	//661 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {26, 209, 1539, 2, Smoke::mf_static, 354, 662},	//662 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {26, 256, 9, 1, Smoke::mf_static, 444, 663},	//663 QGlobalSpace::qAtan(double)
    {26, 224, 1542, 2, Smoke::mf_static, 26, 664},	//664 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {26, 230, 1545, 2, Smoke::mf_static, 150, 665},	//665 QGlobalSpace::operator|(Qt::Orientation, int)
    {26, 230, 1548, 2, Smoke::mf_static, 95, 666},	//666 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {26, 347, 87, 2, Smoke::mf_static, 354, 667},	//667 QGlobalSpace::qFuzzyCompare(double, double)
    {26, 180, 1551, 2, Smoke::mf_static, 266, 668},	//668 QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    {26, 173, 33, 2, Smoke::mf_static, 354, 669},	//669 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {26, 200, 1554, 2, Smoke::mf_static, 26, 670},	//670 QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    {26, 200, 1557, 2, Smoke::mf_static, 30, 671},	//671 QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    {26, 288, 1560, 7, Smoke::mf_static, 0, 672},	//672 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int, int)
    {26, 288, 1568, 4, Smoke::mf_static, 0, 673},	//673 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&)
    {26, 288, 1573, 5, Smoke::mf_static, 0, 674},	//674 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool)
    {26, 288, 1579, 6, Smoke::mf_static, 0, 675},	//675 QGlobalSpace::qDrawShadeLine(QPainter*, const QPoint&, const QPoint&, const QPalette&, bool, int)
    {26, 180, 256, 2, Smoke::mf_static, 395, 676},	//676 QGlobalSpace::operator*(const QPoint&, double)
    {26, 230, 1586, 2, Smoke::mf_static, 110, 677},	//677 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {26, 230, 1589, 2, Smoke::mf_static, 72, 678},	//678 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {26, 407, 0, 0, Smoke::mf_static, 444, 679},	//679 QGlobalSpace::qSNaN()
    {26, 180, 1592, 2, Smoke::mf_static, 194, 680},	//680 QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    {26, 230, 1595, 2, Smoke::mf_static, 150, 681},	//681 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    {26, 209, 93, 2, Smoke::mf_static, 354, 682},	//682 QGlobalSpace::operator==(const QByteArray&, const char*)
    {26, 230, 1598, 2, Smoke::mf_static, 83, 683},	//683 QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    {26, 200, 1601, 2, Smoke::mf_static, 26, 684},	//684 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {26, 180, 1014, 2, Smoke::mf_static, 410, 685},	//685 QGlobalSpace::operator*(const QSizeF&, double)
    {26, 230, 1604, 2, Smoke::mf_static, 66, 686},	//686 QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    {26, 209, 1120, 2, Smoke::mf_static, 354, 687},	//687 QGlobalSpace::operator==(const QStringRef&, const char*)
    {26, 173, 20, 2, Smoke::mf_static, 354, 688},	//688 QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    {26, 209, 23, 2, Smoke::mf_static, 354, 689},	//689 QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    {26, 180, 1607, 2, Smoke::mf_static, 196, 690},	//690 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {26, 230, 1610, 2, Smoke::mf_static, 150, 691},	//691 QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    {26, 180, 1613, 2, Smoke::mf_static, 408, 692},	//692 QGlobalSpace::operator*(double, const QSize&)
    {26, 230, 1616, 2, Smoke::mf_static, 150, 693},	//693 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {26, 195, 4, 2, Smoke::mf_static, 354, 694},	//694 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {26, 173, 1619, 2, Smoke::mf_static, 354, 695},	//695 QGlobalSpace::operator!=(QBool, bool)
    {26, 230, 1622, 2, Smoke::mf_static, 54, 696},	//696 QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    {26, 173, 51, 2, Smoke::mf_static, 354, 697},	//697 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {26, 224, 1625, 2, Smoke::mf_static, 26, 698},	//698 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {26, 200, 1628, 2, Smoke::mf_static, 30, 699},	//699 QGlobalSpace::operator<<(QDebug, const QSize&)
    {26, 173, 360, 2, Smoke::mf_static, 354, 700},	//700 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {26, 230, 1631, 2, Smoke::mf_static, 150, 701},	//701 QGlobalSpace::operator|(QStyle::SubControl, int)
    {26, 230, 1634, 2, Smoke::mf_static, 102, 702},	//702 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {26, 180, 1637, 2, Smoke::mf_static, 160, 703},	//703 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {26, 189, 203, 2, Smoke::mf_static, 401, 704},	//704 QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    {26, 180, 856, 2, Smoke::mf_static, 397, 705},	//705 QGlobalSpace::operator*(const QPointF&, double)
    {26, 451, 188, 2, Smoke::mf_static, 446, 706},	//706 QGlobalSpace::qstricmp(const char*, const char*)
    {26, 230, 1640, 2, Smoke::mf_static, 150, 707},	//707 QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    {26, 230, 1643, 2, Smoke::mf_static, 116, 708},	//708 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {26, 173, 105, 2, Smoke::mf_static, 354, 709},	//709 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {26, 403, 9, 1, Smoke::mf_static, 446, 710},	//710 QGlobalSpace::qRound(double)
    {26, 361, 0, 0, Smoke::mf_static, 444, 711},	//711 QGlobalSpace::qInf()
    {26, 200, 1646, 2, Smoke::mf_static, 26, 712},	//712 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {26, 230, 1649, 2, Smoke::mf_static, 97, 713},	//713 QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    {26, 180, 203, 2, Smoke::mf_static, 401, 714},	//714 QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    {26, 230, 1652, 2, Smoke::mf_static, 150, 715},	//715 QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    {26, 230, 1655, 2, Smoke::mf_static, 113, 716},	//716 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {26, 180, 1658, 2, Smoke::mf_static, 194, 717},	//717 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {26, 200, 1661, 2, Smoke::mf_static, 30, 718},	//718 QGlobalSpace::operator<<(QDebug, const QColor&)
    {26, 200, 1664, 2, Smoke::mf_static, 30, 719},	//719 QGlobalSpace::operator<<(QDebug, const QMatrix&)
    {26, 200, 1667, 2, Smoke::mf_static, 26, 720},	//720 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {26, 230, 1670, 2, Smoke::mf_static, 76, 721},	//721 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {26, 230, 1673, 2, Smoke::mf_static, 150, 722},	//722 QGlobalSpace::operator|(Qt::WindowType, int)
    {26, 442, 93, 2, Smoke::mf_static, 446, 723},	//723 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {26, 230, 1676, 2, Smoke::mf_static, 150, 724},	//724 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {26, 397, 1023, 1, Smoke::mf_static, 0, 725},	//725 QGlobalSpace::qRemovePostRoutine(void(*)())
    {26, 184, 203, 2, Smoke::mf_static, 401, 726},	//726 QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    {26, 224, 1679, 2, Smoke::mf_static, 26, 727},	//727 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {26, 230, 1682, 2, Smoke::mf_static, 89, 728},	//728 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {26, 230, 1685, 2, Smoke::mf_static, 70, 729},	//729 QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    {26, 224, 1688, 2, Smoke::mf_static, 26, 730},	//730 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {26, 230, 1691, 2, Smoke::mf_static, 150, 731},	//731 QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    {26, 200, 1694, 2, Smoke::mf_static, 26, 732},	//732 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {26, 230, 1697, 2, Smoke::mf_static, 115, 733},	//733 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {26, 230, 1700, 2, Smoke::mf_static, 107, 734},	//734 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {26, 428, 0, 0, Smoke::mf_static, 30, 735},	//735 QGlobalSpace::qWarning()
    {26, 453, 98, 1, Smoke::mf_static, 455, 736},	//736 QGlobalSpace::qstrlen(const char*)
    {26, 209, 1619, 2, Smoke::mf_static, 354, 737},	//737 QGlobalSpace::operator==(QBool, bool)
    {26, 224, 1703, 2, Smoke::mf_static, 26, 738},	//738 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {26, 224, 1706, 2, Smoke::mf_static, 26, 739},	//739 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {26, 357, 1709, 1, Smoke::mf_static, 455, 740},	//740 QGlobalSpace::qHash(unsigned long)
    {26, 200, 1711, 2, Smoke::mf_static, 26, 741},	//741 QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    {26, 230, 1714, 2, Smoke::mf_static, 150, 742},	//742 QGlobalSpace::operator|(QAccessible::StateFlag, int)
    {26, 200, 1717, 2, Smoke::mf_static, 26, 743},	//743 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {26, 200, 1720, 2, Smoke::mf_static, 26, 744},	//744 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {26, 230, 1723, 2, Smoke::mf_static, 77, 745},	//745 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {26, 209, 327, 2, Smoke::mf_static, 354, 746},	//746 QGlobalSpace::operator==(const char*, const QString&)
    {26, 230, 1726, 2, Smoke::mf_static, 150, 747},	//747 QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    {26, 276, 1729, 8, Smoke::mf_static, 0, 748},	//748 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&, QFlags<QDrawBorderPixmap::DrawingHint>)
    {26, 276, 1738, 6, Smoke::mf_static, 0, 749},	//749 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&)
    {26, 276, 1745, 7, Smoke::mf_static, 0, 750},	//750 QGlobalSpace::qDrawBorderPixmap(QPainter*, const QRect&, const QMargins&, const QPixmap&, const QRect&, const QMargins&, const QTileRules&)
    {26, 230, 1753, 2, Smoke::mf_static, 86, 751},	//751 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {26, 184, 1756, 2, Smoke::mf_static, 415, 752},	//752 QGlobalSpace::operator+(const QString&, const QString&)
    {26, 173, 486, 2, Smoke::mf_static, 354, 753},	//753 QGlobalSpace::operator!=(QBool, QBool)
    {26, 230, 1759, 2, Smoke::mf_static, 46, 754},	//754 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {26, 474, 1762, 2, Smoke::mf_static, 0, 755},	//755 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {26, 200, 1765, 2, Smoke::mf_static, 30, 756},	//756 QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    {26, 180, 1768, 2, Smoke::mf_static, 437, 757},	//757 QGlobalSpace::operator*(double, const QVector3D&)
    {26, 219, 327, 2, Smoke::mf_static, 354, 758},	//758 QGlobalSpace::operator>=(const char*, const QString&)
    {26, 357, 1771, 1, Smoke::mf_static, 455, 759},	//759 QGlobalSpace::qHash(const QStringRef&)
    {26, 374, 9, 1, Smoke::mf_static, 354, 760},	//760 QGlobalSpace::qIsNull(double)
    {26, 230, 1773, 2, Smoke::mf_static, 150, 761},	//761 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {26, 230, 1776, 2, Smoke::mf_static, 49, 762},	//762 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {26, 219, 33, 2, Smoke::mf_static, 354, 763},	//763 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {26, 214, 93, 2, Smoke::mf_static, 354, 764},	//764 QGlobalSpace::operator>(const QByteArray&, const char*)
    {26, 357, 1779, 1, Smoke::mf_static, 455, 765},	//765 QGlobalSpace::qHash(unsigned char)
    {26, 224, 1781, 2, Smoke::mf_static, 26, 766},	//766 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {26, 230, 1784, 2, Smoke::mf_static, 63, 767},	//767 QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    {26, 180, 1787, 2, Smoke::mf_static, 196, 768},	//768 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {26, 200, 1790, 2, Smoke::mf_static, 30, 769},	//769 QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    {26, 200, 1793, 2, Smoke::mf_static, 30, 770},	//770 QGlobalSpace::operator<<(QDebug, const QObject*)
    {26, 230, 1796, 2, Smoke::mf_static, 150, 771},	//771 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {26, 173, 447, 2, Smoke::mf_static, 354, 772},	//772 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {26, 200, 1799, 2, Smoke::mf_static, 26, 773},	//773 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {26, 224, 1802, 2, Smoke::mf_static, 26, 774},	//774 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {26, 200, 1805, 2, Smoke::mf_static, 26, 775},	//775 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {26, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 447, 776},	//776 QGlobalSpace::PM_FrameCornerWidth (enum)
    {26, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 447, 777},	//777 QGlobalSpace::PM_FrameCornerHeight (enum)
    {26, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 447, 778},	//778 QGlobalSpace::PM_BoldLineWidth (enum)
    {26, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 447, 779},	//779 QGlobalSpace::PM_ThinLineWidth (enum)
    {26, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 447, 780},	//780 QGlobalSpace::PM_MessageBoxHeight (enum)
    {26, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 350, 781},	//781 QGlobalSpace::QtDebugMsg (enum)
    {26, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 350, 782},	//782 QGlobalSpace::QtWarningMsg (enum)
    {26, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 350, 783},	//783 QGlobalSpace::QtCriticalMsg (enum)
    {26, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 350, 784},	//784 QGlobalSpace::QtFatalMsg (enum)
    {26, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 350, 785},	//785 QGlobalSpace::QtSystemMsg (enum)
    {26, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 786},	//786 QGlobalSpace::__codecvt_ok (enum)
    {26, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 787},	//787 QGlobalSpace::__codecvt_partial (enum)
    {26, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 788},	//788 QGlobalSpace::__codecvt_error (enum)
    {26, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 789},	//789 QGlobalSpace::__codecvt_noconv (enum)
    {27, 104, 349, 1, Smoke::mf_virtual, 0, 0},	//790 QGraphicsItem::advance(int)
    {27, 528, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 0},	//791 QGraphicsItem::shape() const
    {27, 116, 913, 1, Smoke::mf_const|Smoke::mf_virtual, 354, 0},	//792 QGraphicsItem::contains(const QPointF&) const
    {27, 113, 1808, 2, Smoke::mf_const|Smoke::mf_virtual, 354, 0},	//793 QGraphicsItem::collidesWithItem(const QGraphicsItem*, Qt::ItemSelectionMode) const
    {27, 114, 1811, 2, Smoke::mf_const|Smoke::mf_virtual, 354, 0},	//794 QGraphicsItem::collidesWithPath(const QPainterPath&, Qt::ItemSelectionMode) const
    {27, 150, 1814, 1, Smoke::mf_const|Smoke::mf_virtual, 354, 0},	//795 QGraphicsItem::isObscuredBy(const QGraphicsItem*) const
    {27, 172, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 186, 0},	//796 QGraphicsItem::opaqueArea() const
    {27, 499, 1816, 2, Smoke::mf_protected|Smoke::mf_virtual, 354, 0},	//797 QGraphicsItem::sceneEventFilter(QGraphicsItem*, QEvent*)
    {27, 498, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 354, 0},	//798 QGraphicsItem::sceneEvent(QEvent*)
    {27, 117, 1821, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//799 QGraphicsItem::contextMenuEvent(QGraphicsSceneContextMenuEvent*)
    {27, 124, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//800 QGraphicsItem::dragEnterEvent(QGraphicsSceneDragDropEvent*)
    {27, 125, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//801 QGraphicsItem::dragLeaveEvent(QGraphicsSceneDragDropEvent*)
    {27, 126, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//802 QGraphicsItem::dragMoveEvent(QGraphicsSceneDragDropEvent*)
    {27, 127, 1823, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//803 QGraphicsItem::dropEvent(QGraphicsSceneDragDropEvent*)
    {27, 137, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//804 QGraphicsItem::focusInEvent(QFocusEvent*)
    {27, 139, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//805 QGraphicsItem::focusOutEvent(QFocusEvent*)
    {27, 144, 1827, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//806 QGraphicsItem::hoverEnterEvent(QGraphicsSceneHoverEvent*)
    {27, 146, 1827, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//807 QGraphicsItem::hoverMoveEvent(QGraphicsSceneHoverEvent*)
    {27, 145, 1827, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//808 QGraphicsItem::hoverLeaveEvent(QGraphicsSceneHoverEvent*)
    {27, 153, 1829, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//809 QGraphicsItem::keyPressEvent(QKeyEvent*)
    {27, 154, 1829, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//810 QGraphicsItem::keyReleaseEvent(QKeyEvent*)
    {27, 169, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//811 QGraphicsItem::mousePressEvent(QGraphicsSceneMouseEvent*)
    {27, 168, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//812 QGraphicsItem::mouseMoveEvent(QGraphicsSceneMouseEvent*)
    {27, 170, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//813 QGraphicsItem::mouseReleaseEvent(QGraphicsSceneMouseEvent*)
    {27, 167, 1831, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//814 QGraphicsItem::mouseDoubleClickEvent(QGraphicsSceneMouseEvent*)
    {27, 549, 1833, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//815 QGraphicsItem::wheelEvent(QGraphicsSceneWheelEvent*)
    {27, 147, 1835, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//816 QGraphicsItem::inputMethodEvent(QInputMethodEvent*)
    {27, 148, 1837, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//817 QGraphicsItem::inputMethodQuery(Qt::InputMethodQuery) const
    {27, 152, 1839, 2, Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//818 QGraphicsItem::itemChange(QGraphicsItem::GraphicsItemChange, const QVariant&)
    {27, 534, 1842, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 354, 0},	//819 QGraphicsItem::supportsExtension(QGraphicsItem::Extension) const
    {27, 508, 1844, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//820 QGraphicsItem::setExtension(QGraphicsItem::Extension, const QVariant&)
    {27, 135, 1847, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 261, 0},	//821 QGraphicsItem::extension(const QVariant&) const
    {27, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 33},	//822 QGraphicsItem::ItemIsMovable (enum)
    {27, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 34},	//823 QGraphicsItem::ItemIsSelectable (enum)
    {27, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 35},	//824 QGraphicsItem::ItemIsFocusable (enum)
    {27, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 36},	//825 QGraphicsItem::ItemClipsToShape (enum)
    {27, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 37},	//826 QGraphicsItem::ItemClipsChildrenToShape (enum)
    {27, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 38},	//827 QGraphicsItem::ItemIgnoresTransformations (enum)
    {27, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 39},	//828 QGraphicsItem::ItemIgnoresParentOpacity (enum)
    {27, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 40},	//829 QGraphicsItem::ItemDoesntPropagateOpacityToChildren (enum)
    {27, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 41},	//830 QGraphicsItem::ItemStacksBehindParent (enum)
    {27, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 42},	//831 QGraphicsItem::ItemUsesExtendedStyleOption (enum)
    {27, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 43},	//832 QGraphicsItem::ItemHasNoContents (enum)
    {27, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 44},	//833 QGraphicsItem::ItemSendsGeometryChanges (enum)
    {27, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 45},	//834 QGraphicsItem::ItemAcceptsInputMethod (enum)
    {27, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 46},	//835 QGraphicsItem::ItemNegativeZStacksBehindParent (enum)
    {27, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 47},	//836 QGraphicsItem::ItemIsPanel (enum)
    {27, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 48},	//837 QGraphicsItem::ItemIsFocusScope (enum)
    {27, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 49},	//838 QGraphicsItem::ItemSendsScenePositionChanges (enum)
    {27, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 50},	//839 QGraphicsItem::ItemStopsClickFocusPropagation (enum)
    {27, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 51},	//840 QGraphicsItem::ItemPositionChange (enum)
    {27, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 52},	//841 QGraphicsItem::ItemMatrixChange (enum)
    {27, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 53},	//842 QGraphicsItem::ItemVisibleChange (enum)
    {27, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 54},	//843 QGraphicsItem::ItemEnabledChange (enum)
    {27, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 55},	//844 QGraphicsItem::ItemSelectedChange (enum)
    {27, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 56},	//845 QGraphicsItem::ItemParentChange (enum)
    {27, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 57},	//846 QGraphicsItem::ItemChildAddedChange (enum)
    {27, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 58},	//847 QGraphicsItem::ItemChildRemovedChange (enum)
    {27, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 59},	//848 QGraphicsItem::ItemTransformChange (enum)
    {27, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 60},	//849 QGraphicsItem::ItemPositionHasChanged (enum)
    {27, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 61},	//850 QGraphicsItem::ItemTransformHasChanged (enum)
    {27, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 62},	//851 QGraphicsItem::ItemSceneChange (enum)
    {27, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 63},	//852 QGraphicsItem::ItemVisibleHasChanged (enum)
    {27, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 64},	//853 QGraphicsItem::ItemEnabledHasChanged (enum)
    {27, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 65},	//854 QGraphicsItem::ItemSelectedHasChanged (enum)
    {27, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 66},	//855 QGraphicsItem::ItemParentHasChanged (enum)
    {27, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 67},	//856 QGraphicsItem::ItemSceneHasChanged (enum)
    {27, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 68},	//857 QGraphicsItem::ItemCursorChange (enum)
    {27, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 69},	//858 QGraphicsItem::ItemCursorHasChanged (enum)
    {27, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 70},	//859 QGraphicsItem::ItemToolTipChange (enum)
    {27, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 71},	//860 QGraphicsItem::ItemToolTipHasChanged (enum)
    {27, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 72},	//861 QGraphicsItem::ItemFlagsChange (enum)
    {27, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 73},	//862 QGraphicsItem::ItemFlagsHaveChanged (enum)
    {27, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 74},	//863 QGraphicsItem::ItemZValueChange (enum)
    {27, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 75},	//864 QGraphicsItem::ItemZValueHasChanged (enum)
    {27, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 76},	//865 QGraphicsItem::ItemOpacityChange (enum)
    {27, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 77},	//866 QGraphicsItem::ItemOpacityHasChanged (enum)
    {27, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 78},	//867 QGraphicsItem::ItemScenePositionHasChanged (enum)
    {27, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 79},	//868 QGraphicsItem::ItemRotationChange (enum)
    {27, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 80},	//869 QGraphicsItem::ItemRotationHasChanged (enum)
    {27, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 81},	//870 QGraphicsItem::ItemScaleChange (enum)
    {27, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 82},	//871 QGraphicsItem::ItemScaleHasChanged (enum)
    {27, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 83},	//872 QGraphicsItem::ItemTransformOriginPointChange (enum)
    {27, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 84},	//873 QGraphicsItem::ItemTransformOriginPointHasChanged (enum)
    {27, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 447, 85},	//874 QGraphicsItem::Type (enum)
    {27, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 447, 86},	//875 QGraphicsItem::UserType (enum)
    {27, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 87},	//876 QGraphicsItem::UserExtension (enum)
    {34, 163, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 386, 1},	//877 QGraphicsSvgItem::metaObject() const
    {34, 478, 98, 1, Smoke::mf_virtual, 462, 2},	//878 QGraphicsSvgItem::qt_metacast(const char*)
    {34, 538, 188, 2, Smoke::mf_static, 217, 3},	//879 QGraphicsSvgItem::tr(const char*, const char*)
    {34, 542, 188, 2, Smoke::mf_static, 217, 4},	//880 QGraphicsSvgItem::trUtf8(const char*, const char*)
    {34, 538, 540, 3, Smoke::mf_static, 217, 5},	//881 QGraphicsSvgItem::tr(const char*, const char*, int)
    {34, 542, 540, 3, Smoke::mf_static, 217, 6},	//882 QGraphicsSvgItem::trUtf8(const char*, const char*, int)
    {34, 476, 1849, 3, Smoke::mf_virtual, 446, 7},	//883 QGraphicsSvgItem::qt_metacall(QMetaObject::Call, int, void**)
    {34, 76, 1853, 1, Smoke::mf_ctor, 141, 8},	//884 QGraphicsSvgItem::QGraphicsSvgItem(QGraphicsItem*)
    {34, 76, 1855, 2, Smoke::mf_ctor, 141, 9},	//885 QGraphicsSvgItem::QGraphicsSvgItem(const QString&, QGraphicsItem*)
    {34, 519, 1858, 1, 0, 0, 10},	//886 QGraphicsSvgItem::setSharedRenderer(QSvgRenderer*)
    {34, 494, 0, 0, Smoke::mf_const, 235, 11},	//887 QGraphicsSvgItem::renderer() const
    {34, 506, 456, 1, Smoke::mf_property, 0, 12},	//888 QGraphicsSvgItem::setElementId(const QString&)
    {34, 130, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 13},	//889 QGraphicsSvgItem::elementId() const
    {34, 500, 1860, 1, 0, 0, 14},	//890 QGraphicsSvgItem::setCachingEnabled(bool)
    {34, 149, 0, 0, Smoke::mf_const, 354, 15},	//891 QGraphicsSvgItem::isCachingEnabled() const
    {34, 513, 1862, 1, Smoke::mf_property, 0, 16},	//892 QGraphicsSvgItem::setMaximumCacheSize(const QSize&)
    {34, 162, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 17},	//893 QGraphicsSvgItem::maximumCacheSize() const
    {34, 107, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 203, 18},	//894 QGraphicsSvgItem::boundingRect() const
    {34, 234, 1864, 3, Smoke::mf_virtual, 0, 19},	//895 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*, QWidget*)
    {34, 546, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 446, 20},	//896 QGraphicsSvgItem::type() const
    {34, 538, 98, 1, Smoke::mf_static, 217, 21},	//897 QGraphicsSvgItem::tr(const char*)
    {34, 542, 98, 1, Smoke::mf_static, 217, 22},	//898 QGraphicsSvgItem::trUtf8(const char*)
    {34, 76, 0, 0, Smoke::mf_ctor, 141, 23},	//899 QGraphicsSvgItem::QGraphicsSvgItem()
    {34, 76, 456, 1, Smoke::mf_ctor, 141, 24},	//900 QGraphicsSvgItem::QGraphicsSvgItem(const QString&)
    {34, 234, 1868, 2, 0, 0, 25},	//901 QGraphicsSvgItem::paint(QPainter*, const QStyleOptionGraphicsItem*)
    {34, 532, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 385, 26},	//902 QGraphicsSvgItem::staticMetaObject() const
    {34, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 447, 27},	//903 QGraphicsSvgItem::Type (enum)
    {34, 552, 0, 0, Smoke::mf_dtor, 0, 28 },	//904 QGraphicsSvgItem::~QGraphicsSvgItem()
    {57, 133, 1819, 1, Smoke::mf_virtual, 354, 0},	//905 QObject::event(QEvent*)
    {57, 134, 1871, 2, Smoke::mf_virtual, 354, 0},	//906 QObject::eventFilter(QObject*, QEvent*)
    {57, 536, 1874, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//907 QObject::timerEvent(QTimerEvent*)
    {57, 111, 1876, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//908 QObject::childEvent(QChildEvent*)
    {57, 119, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//909 QObject::customEvent(QEvent*)
    {57, 115, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//910 QObject::connectNotify(const char*)
    {57, 123, 98, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//911 QObject::disconnectNotify(const char*)
    {58, 122, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 446, 0},	//912 QPaintDevice::devType() const
    {58, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 2},	//913 QPaintDevice::PdmWidth (enum)
    {58, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 3},	//914 QPaintDevice::PdmHeight (enum)
    {58, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 4},	//915 QPaintDevice::PdmWidthMM (enum)
    {58, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 5},	//916 QPaintDevice::PdmHeightMM (enum)
    {58, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 6},	//917 QPaintDevice::PdmNumColors (enum)
    {58, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 7},	//918 QPaintDevice::PdmDepth (enum)
    {58, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 8},	//919 QPaintDevice::PdmDpiX (enum)
    {58, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 9},	//920 QPaintDevice::PdmDpiY (enum)
    {58, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 10},	//921 QPaintDevice::PdmPhysicalDpiX (enum)
    {58, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 11},	//922 QPaintDevice::PdmPhysicalDpiY (enum)
    {89, 80, 0, 0, Smoke::mf_ctor, 234, 1},	//923 QSvgGenerator::QSvgGenerator()
    {89, 537, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 2},	//924 QSvgGenerator::title() const
    {89, 523, 456, 1, Smoke::mf_property, 0, 3},	//925 QSvgGenerator::setTitle(const QString&)
    {89, 121, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 4},	//926 QSvgGenerator::description() const
    {89, 504, 456, 1, Smoke::mf_property, 0, 5},	//927 QSvgGenerator::setDescription(const QString&)
    {89, 530, 0, 0, Smoke::mf_const|Smoke::mf_property, 210, 6},	//928 QSvgGenerator::size() const
    {89, 521, 1862, 1, Smoke::mf_property, 0, 7},	//929 QSvgGenerator::setSize(const QSize&)
    {89, 547, 0, 0, Smoke::mf_const, 201, 8},	//930 QSvgGenerator::viewBox() const
    {89, 548, 0, 0, Smoke::mf_const|Smoke::mf_property, 203, 9},	//931 QSvgGenerator::viewBoxF() const
    {89, 525, 1878, 1, 0, 0, 10},	//932 QSvgGenerator::setViewBox(const QRect&)
    {89, 525, 1880, 1, Smoke::mf_property, 0, 11},	//933 QSvgGenerator::setViewBox(const QRectF&)
    {89, 136, 0, 0, Smoke::mf_const|Smoke::mf_property, 217, 12},	//934 QSvgGenerator::fileName() const
    {89, 509, 456, 1, Smoke::mf_property, 0, 13},	//935 QSvgGenerator::setFileName(const QString&)
    {89, 233, 0, 0, Smoke::mf_const|Smoke::mf_property, 145, 14},	//936 QSvgGenerator::outputDevice() const
    {89, 515, 1882, 1, Smoke::mf_property, 0, 15},	//937 QSvgGenerator::setOutputDevice(QIODevice*)
    {89, 517, 349, 1, Smoke::mf_property, 0, 16},	//938 QSvgGenerator::setResolution(int)
    {89, 497, 0, 0, Smoke::mf_const|Smoke::mf_property, 446, 17},	//939 QSvgGenerator::resolution() const
    {89, 237, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 180, 18},	//940 QSvgGenerator::paintEngine() const
    {89, 164, 1884, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 446, 19},	//941 QSvgGenerator::metric(QPaintDevice::PaintDeviceMetric) const
    {89, 553, 0, 0, Smoke::mf_dtor, 0, 20 },	//942 QSvgGenerator::~QSvgGenerator()
    {90, 163, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 386, 1},	//943 QSvgRenderer::metaObject() const
    {90, 478, 98, 1, Smoke::mf_virtual, 462, 2},	//944 QSvgRenderer::qt_metacast(const char*)
    {90, 538, 188, 2, Smoke::mf_static, 217, 3},	//945 QSvgRenderer::tr(const char*, const char*)
    {90, 542, 188, 2, Smoke::mf_static, 217, 4},	//946 QSvgRenderer::trUtf8(const char*, const char*)
    {90, 538, 540, 3, Smoke::mf_static, 217, 5},	//947 QSvgRenderer::tr(const char*, const char*, int)
    {90, 542, 540, 3, Smoke::mf_static, 217, 6},	//948 QSvgRenderer::trUtf8(const char*, const char*, int)
    {90, 476, 1849, 3, Smoke::mf_virtual, 446, 7},	//949 QSvgRenderer::qt_metacall(QMetaObject::Call, int, void**)
    {90, 81, 1886, 1, Smoke::mf_ctor, 235, 8},	//950 QSvgRenderer::QSvgRenderer(QObject*)
    {90, 81, 1888, 2, Smoke::mf_ctor, 235, 9},	//951 QSvgRenderer::QSvgRenderer(const QString&, QObject*)
    {90, 81, 1891, 2, Smoke::mf_ctor, 235, 10},	//952 QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    {90, 81, 1894, 2, Smoke::mf_ctor, 235, 11},	//953 QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    {90, 151, 0, 0, Smoke::mf_const, 354, 12},	//954 QSvgRenderer::isValid() const
    {90, 120, 0, 0, Smoke::mf_const, 210, 13},	//955 QSvgRenderer::defaultSize() const
    {90, 547, 0, 0, Smoke::mf_const, 201, 14},	//956 QSvgRenderer::viewBox() const
    {90, 548, 0, 0, Smoke::mf_const|Smoke::mf_property, 203, 15},	//957 QSvgRenderer::viewBoxF() const
    {90, 525, 1878, 1, 0, 0, 16},	//958 QSvgRenderer::setViewBox(const QRect&)
    {90, 525, 1880, 1, Smoke::mf_property, 0, 17},	//959 QSvgRenderer::setViewBox(const QRectF&)
    {90, 105, 0, 0, Smoke::mf_const, 354, 18},	//960 QSvgRenderer::animated() const
    {90, 141, 0, 0, Smoke::mf_const|Smoke::mf_property, 446, 19},	//961 QSvgRenderer::framesPerSecond() const
    {90, 511, 349, 1, Smoke::mf_property, 0, 20},	//962 QSvgRenderer::setFramesPerSecond(int)
    {90, 118, 0, 0, Smoke::mf_const|Smoke::mf_property, 446, 21},	//963 QSvgRenderer::currentFrame() const
    {90, 502, 349, 1, Smoke::mf_property, 0, 22},	//964 QSvgRenderer::setCurrentFrame(int)
    {90, 106, 0, 0, Smoke::mf_const, 446, 23},	//965 QSvgRenderer::animationDuration() const
    {90, 108, 456, 1, Smoke::mf_const, 203, 24},	//966 QSvgRenderer::boundsOnElement(const QString&) const
    {90, 128, 456, 1, Smoke::mf_const, 354, 25},	//967 QSvgRenderer::elementExists(const QString&) const
    {90, 160, 456, 1, Smoke::mf_const, 167, 26},	//968 QSvgRenderer::matrixForElement(const QString&) const
    {90, 157, 456, 1, Smoke::mf_slot, 354, 27},	//969 QSvgRenderer::load(const QString&)
    {90, 157, 153, 1, Smoke::mf_slot, 354, 28},	//970 QSvgRenderer::load(const QByteArray&)
    {90, 157, 1897, 1, Smoke::mf_slot, 354, 29},	//971 QSvgRenderer::load(QXmlStreamReader*)
    {90, 489, 1899, 1, Smoke::mf_slot, 0, 30},	//972 QSvgRenderer::render(QPainter*)
    {90, 489, 1901, 2, Smoke::mf_slot, 0, 31},	//973 QSvgRenderer::render(QPainter*, const QRectF&)
    {90, 489, 1904, 3, Smoke::mf_slot, 0, 32},	//974 QSvgRenderer::render(QPainter*, const QString&, const QRectF&)
    {90, 495, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//975 QSvgRenderer::repaintNeeded()
    {90, 538, 98, 1, Smoke::mf_static, 217, 34},	//976 QSvgRenderer::tr(const char*)
    {90, 542, 98, 1, Smoke::mf_static, 217, 35},	//977 QSvgRenderer::trUtf8(const char*)
    {90, 81, 0, 0, Smoke::mf_ctor, 235, 36},	//978 QSvgRenderer::QSvgRenderer()
    {90, 81, 456, 1, Smoke::mf_ctor, 235, 37},	//979 QSvgRenderer::QSvgRenderer(const QString&)
    {90, 81, 153, 1, Smoke::mf_ctor, 235, 38},	//980 QSvgRenderer::QSvgRenderer(const QByteArray&)
    {90, 81, 1897, 1, Smoke::mf_ctor, 235, 39},	//981 QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    {90, 489, 1908, 2, Smoke::mf_slot, 0, 40},	//982 QSvgRenderer::render(QPainter*, const QString&)
    {90, 532, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 385, 41},	//983 QSvgRenderer::staticMetaObject() const
    {90, 554, 0, 0, Smoke::mf_dtor, 0, 42 },	//984 QSvgRenderer::~QSvgRenderer()
    {91, 163, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 386, 1},	//985 QSvgWidget::metaObject() const
    {91, 478, 98, 1, Smoke::mf_virtual, 462, 2},	//986 QSvgWidget::qt_metacast(const char*)
    {91, 538, 188, 2, Smoke::mf_static, 217, 3},	//987 QSvgWidget::tr(const char*, const char*)
    {91, 542, 188, 2, Smoke::mf_static, 217, 4},	//988 QSvgWidget::trUtf8(const char*, const char*)
    {91, 538, 540, 3, Smoke::mf_static, 217, 5},	//989 QSvgWidget::tr(const char*, const char*, int)
    {91, 542, 540, 3, Smoke::mf_static, 217, 6},	//990 QSvgWidget::trUtf8(const char*, const char*, int)
    {91, 476, 1849, 3, Smoke::mf_virtual, 446, 7},	//991 QSvgWidget::qt_metacall(QMetaObject::Call, int, void**)
    {91, 86, 1911, 1, Smoke::mf_ctor, 236, 8},	//992 QSvgWidget::QSvgWidget(QWidget*)
    {91, 86, 1913, 2, Smoke::mf_ctor, 236, 9},	//993 QSvgWidget::QSvgWidget(const QString&, QWidget*)
    {91, 494, 0, 0, Smoke::mf_const, 235, 10},	//994 QSvgWidget::renderer() const
    {91, 531, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 11},	//995 QSvgWidget::sizeHint() const
    {91, 157, 456, 1, Smoke::mf_slot, 0, 12},	//996 QSvgWidget::load(const QString&)
    {91, 157, 153, 1, Smoke::mf_slot, 0, 13},	//997 QSvgWidget::load(const QByteArray&)
    {91, 238, 1916, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//998 QSvgWidget::paintEvent(QPaintEvent*)
    {91, 538, 98, 1, Smoke::mf_static, 217, 15},	//999 QSvgWidget::tr(const char*)
    {91, 542, 98, 1, Smoke::mf_static, 217, 16},	//1000 QSvgWidget::trUtf8(const char*)
    {91, 86, 0, 0, Smoke::mf_ctor, 236, 17},	//1001 QSvgWidget::QSvgWidget()
    {91, 86, 456, 1, Smoke::mf_ctor, 236, 18},	//1002 QSvgWidget::QSvgWidget(const QString&)
    {91, 532, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 385, 19},	//1003 QSvgWidget::staticMetaObject() const
    {91, 555, 0, 0, Smoke::mf_dtor, 0, 20 },	//1004 QSvgWidget::~QSvgWidget()
    {112, 122, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 446, 0},	//1005 QWidget::devType() const
    {112, 527, 1860, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1006 QWidget::setVisible(bool)
    {112, 166, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 210, 0},	//1007 QWidget::minimumSizeHint() const
    {112, 142, 349, 1, Smoke::mf_const|Smoke::mf_virtual, 446, 0},	//1008 QWidget::heightForWidth(int) const
    {112, 237, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 180, 0},	//1009 QWidget::paintEngine() const
    {112, 133, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 354, 0},	//1010 QWidget::event(QEvent*)
    {112, 169, 1918, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1011 QWidget::mousePressEvent(QMouseEvent*)
    {112, 170, 1918, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1012 QWidget::mouseReleaseEvent(QMouseEvent*)
    {112, 167, 1918, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1013 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {112, 168, 1918, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1014 QWidget::mouseMoveEvent(QMouseEvent*)
    {112, 549, 1920, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1015 QWidget::wheelEvent(QWheelEvent*)
    {112, 153, 1829, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1016 QWidget::keyPressEvent(QKeyEvent*)
    {112, 154, 1829, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1017 QWidget::keyReleaseEvent(QKeyEvent*)
    {112, 137, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1018 QWidget::focusInEvent(QFocusEvent*)
    {112, 139, 1825, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1019 QWidget::focusOutEvent(QFocusEvent*)
    {112, 132, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1020 QWidget::enterEvent(QEvent*)
    {112, 156, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1021 QWidget::leaveEvent(QEvent*)
    {112, 171, 1922, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1022 QWidget::moveEvent(QMoveEvent*)
    {112, 496, 1924, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1023 QWidget::resizeEvent(QResizeEvent*)
    {112, 112, 1926, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1024 QWidget::closeEvent(QCloseEvent*)
    {112, 117, 1928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1025 QWidget::contextMenuEvent(QContextMenuEvent*)
    {112, 535, 1930, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1026 QWidget::tabletEvent(QTabletEvent*)
    {112, 103, 1932, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1027 QWidget::actionEvent(QActionEvent*)
    {112, 124, 1934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1028 QWidget::dragEnterEvent(QDragEnterEvent*)
    {112, 126, 1936, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1029 QWidget::dragMoveEvent(QDragMoveEvent*)
    {112, 125, 1938, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1030 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {112, 127, 1940, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1031 QWidget::dropEvent(QDropEvent*)
    {112, 529, 1942, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1032 QWidget::showEvent(QShowEvent*)
    {112, 143, 1944, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1033 QWidget::hideEvent(QHideEvent*)
    {112, 551, 1946, 1, Smoke::mf_protected|Smoke::mf_virtual, 354, 0},	//1034 QWidget::x11Event(_XEvent*)
    {112, 110, 1819, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1035 QWidget::changeEvent(QEvent*)
    {112, 164, 1884, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 446, 0},	//1036 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {112, 147, 1835, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1037 QWidget::inputMethodEvent(QInputMethodEvent*)
    {112, 148, 1837, 1, Smoke::mf_const|Smoke::mf_virtual, 261, 0},	//1038 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {112, 138, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 354, 0},	//1039 QWidget::focusNextPrevChild(bool)
    {112, 533, 1948, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1040 QWidget::styleChange(QStyle&)
    {112, 131, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1041 QWidget::enabledChange(bool)
    {112, 240, 1950, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1042 QWidget::paletteChange(const QPalette&)
    {112, 140, 1952, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1043 QWidget::fontChange(const QFont&)
    {112, 550, 1860, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1044 QWidget::windowActivationChange(bool)
    {112, 155, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1045 QWidget::languageChange()
    {112, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 42},	//1046 QWidget::DrawWindowBackground (enum)
    {112, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 43},	//1047 QWidget::DrawChildren (enum)
    {112, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 44},	//1048 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    10,  // QGlobalSpace::operator!=(const QVector2D&, const QVector2D&)
    88,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    151,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    166,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    247,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    287,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    316,  // QGlobalSpace::operator!=(const QQuaternion&, const QQuaternion&)
    324,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    406,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    416,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    466,  // QGlobalSpace::operator!=(const QVector4D&, const QVector4D&)
    480,  // QGlobalSpace::operator!=(QChar, QChar)
    522,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    611,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    641,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    688,  // QGlobalSpace::operator!=(const QVector3D&, const QVector3D&)
    697,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    700,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    753,  // QGlobalSpace::operator!=(QBool, QBool)
    772,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    71,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    100,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    122,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    501,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    695,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    238,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    363,  // QGlobalSpace::operator!=(bool, QBool)
    415,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    491,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    669,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    709,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    17,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    48,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPoint&)
    54,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector4D&)
    57,  // QGlobalSpace::operator*(const QMatrix4x4&, const QMatrix4x4&)
    99,  // QGlobalSpace::operator*(const QVector3D&, const QVector3D&)
    116,  // QGlobalSpace::operator*(const QVector3D&, const QMatrix4x4&)
    167,  // QGlobalSpace::operator*(const QVector4D&, const QVector4D&)
    223,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    248,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    267,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    285,  // QGlobalSpace::operator*(const QVector4D&, const QMatrix4x4&)
    309,  // QGlobalSpace::operator*(const QVector2D&, const QVector2D&)
    383,  // QGlobalSpace::operator*(const QPointF&, const QMatrix4x4&)
    394,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    453,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    500,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    529,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    534,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    539,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    603,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    656,  // QGlobalSpace::operator*(const QPoint&, const QMatrix4x4&)
    658,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    668,  // QGlobalSpace::operator*(const QMatrix4x4&, const QVector3D&)
    680,  // QGlobalSpace::operator*(const QMatrix4x4&, const QPointF&)
    690,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    703,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    714,  // QGlobalSpace::operator*(const QQuaternion&, const QQuaternion&)
    717,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    768,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    63,  // QGlobalSpace::operator*(const QMatrix4x4&, double)
    159,  // QGlobalSpace::operator*(const QTransform&, double)
    262,  // QGlobalSpace::operator*(const QQuaternion&, double)
    410,  // QGlobalSpace::operator*(const QVector4D&, double)
    464,  // QGlobalSpace::operator*(const QVector2D&, double)
    471,  // QGlobalSpace::operator*(const QVector3D&, double)
    531,  // QGlobalSpace::operator*(const QSize&, double)
    676,  // QGlobalSpace::operator*(const QPoint&, double)
    685,  // QGlobalSpace::operator*(const QSizeF&, double)
    705,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    83,  // QGlobalSpace::operator*(double, const QSizeF&)
    370,  // QGlobalSpace::operator*(double, const QVector2D&)
    418,  // QGlobalSpace::operator*(double, const QVector4D&)
    463,  // QGlobalSpace::operator*(double, const QQuaternion&)
    526,  // QGlobalSpace::operator*(double, const QPointF&)
    538,  // QGlobalSpace::operator*(double, const QPoint&)
    595,  // QGlobalSpace::operator*(double, const QMatrix4x4&)
    692,  // QGlobalSpace::operator*(double, const QSize&)
    757,  // QGlobalSpace::operator*(double, const QVector3D&)
    0,
    43,  // QGlobalSpace::operator+(const QMatrix4x4&, const QMatrix4x4&)
    78,  // QGlobalSpace::operator+(const QVector3D&, const QVector3D&)
    111,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    135,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    140,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    196,  // QGlobalSpace::operator+(const QVector4D&, const QVector4D&)
    266,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    278,  // QGlobalSpace::operator+(const QVector2D&, const QVector2D&)
    342,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    726,  // QGlobalSpace::operator+(const QQuaternion&, const QQuaternion&)
    0,
    170,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    180,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    222,  // QGlobalSpace::operator+(const QTransform&, double)
    228,  // QGlobalSpace::operator+(QChar, const QString&)
    424,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    23,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    114,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    165,  // QGlobalSpace::operator+(const QString&, QChar)
    508,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    174,  // QGlobalSpace::operator+(const QString&, const char*)
    246,  // QGlobalSpace::operator+(const QString&, char)
    335,  // QGlobalSpace::operator+(char, const QString&)
    515,  // QGlobalSpace::operator+(const char*, const QString&)
    752,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    59,  // QGlobalSpace::operator-(const QMatrix4x4&)
    237,  // QGlobalSpace::operator-(const QQuaternion&)
    270,  // QGlobalSpace::operator-(const QPoint&)
    371,  // QGlobalSpace::operator-(const QVector4D&)
    386,  // QGlobalSpace::operator-(const QPointF&)
    591,  // QGlobalSpace::operator-(const QVector2D&)
    635,  // QGlobalSpace::operator-(const QVector3D&)
    0,
    7,  // QGlobalSpace::operator-(const QMatrix4x4&, const QMatrix4x4&)
    89,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    115,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    119,  // QGlobalSpace::operator-(const QVector3D&, const QVector3D&)
    145,  // QGlobalSpace::operator-(const QVector4D&, const QVector4D&)
    249,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    329,  // QGlobalSpace::operator-(const QVector2D&, const QVector2D&)
    513,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    704,  // QGlobalSpace::operator-(const QQuaternion&, const QQuaternion&)
    0,
    107,  // QGlobalSpace::operator/(const QPoint&, double)
    141,  // QGlobalSpace::operator/(const QMatrix4x4&, double)
    294,  // QGlobalSpace::operator/(const QVector4D&, double)
    360,  // QGlobalSpace::operator/(const QVector2D&, double)
    362,  // QGlobalSpace::operator/(const QPointF&, double)
    367,  // QGlobalSpace::operator/(const QVector3D&, double)
    376,  // QGlobalSpace::operator/(const QTransform&, double)
    428,  // QGlobalSpace::operator/(const QSizeF&, double)
    445,  // QGlobalSpace::operator/(const QQuaternion&, double)
    657,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    67,  // QGlobalSpace::operator<(QChar, QChar)
    146,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    255,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    694,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    73,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    417,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    21,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    32,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    46,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    50,  // QGlobalSpace::operator<<(QDataStream&, const QTextLength&)
    51,  // QGlobalSpace::operator<<(QDebug, const QBrush&)
    56,  // QGlobalSpace::operator<<(QDebug, const QQuaternion&)
    64,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    65,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    91,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    103,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    112,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    118,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    123,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    126,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    128,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    133,  // QGlobalSpace::operator<<(QDataStream&, const QPicture&)
    162,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    179,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    197,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    198,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    199,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    209,  // QGlobalSpace::operator<<(QDebug, const QEvent*)
    224,  // QGlobalSpace::operator<<(QDebug, const QPolygonF&)
    272,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    284,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    289,  // QGlobalSpace::operator<<(QDebug, const QItemSelectionRange&)
    290,  // QGlobalSpace::operator<<(QDebug, const QKeySequence&)
    295,  // QGlobalSpace::operator<<(QTextStream&, const QSplitter&)
    304,  // QGlobalSpace::operator<<(QDataStream&, const QVector3D&)
    310,  // QGlobalSpace::operator<<(QDataStream&, const QVector2D&)
    311,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    319,  // QGlobalSpace::operator<<(QDataStream&, const QTreeWidgetItem&)
    326,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    346,  // QGlobalSpace::operator<<(QDebug, const QRegion&)
    347,  // QGlobalSpace::operator<<(QDataStream&, const QVector4D&)
    348,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    350,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    380,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    388,  // QGlobalSpace::operator<<(QDebug, const QStyleOption&)
    393,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    403,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix4x4&)
    412,  // QGlobalSpace::operator<<(QDebug, QGraphicsObject*)
    413,  // QGlobalSpace::operator<<(QDataStream&, const QStandardItem&)
    423,  // QGlobalSpace::operator<<(QDebug, const QMatrix4x4&)
    431,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    441,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    449,  // QGlobalSpace::operator<<(QDataStream&, const QListWidgetItem&)
    454,  // QGlobalSpace::operator<<(QDataStream&, const QTextFormat&)
    459,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    460,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    462,  // QGlobalSpace::operator<<(QDebug, const QPen&)
    465,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    468,  // QGlobalSpace::operator<<(QDebug, const QVector3D&)
    473,  // QGlobalSpace::operator<<(QDebug, const QVector2D&)
    475,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    476,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    478,  // QGlobalSpace::operator<<(QDebug, const QVector4D&)
    494,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    505,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    511,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    514,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    532,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    541,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    565,  // QGlobalSpace::operator<<(QDataStream&, const QPen&)
    570,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    579,  // QGlobalSpace::operator<<(QDebug, const QTransform&)
    584,  // QGlobalSpace::operator<<(QDebug, const QPolygon&)
    594,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    596,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    602,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    604,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    606,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    607,  // QGlobalSpace::operator<<(QDebug, const QFont&)
    618,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    623,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    630,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    636,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    670,  // QGlobalSpace::operator<<(QDataStream&, const QTableWidgetItem&)
    671,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem*)
    684,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    699,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    718,  // QGlobalSpace::operator<<(QDebug, const QColor&)
    719,  // QGlobalSpace::operator<<(QDebug, const QMatrix&)
    720,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    732,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    741,  // QGlobalSpace::operator<<(QDataStream&, const QQuaternion&)
    743,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    744,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    756,  // QGlobalSpace::operator<<(QDebug, const QPainterPath&)
    770,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    773,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    775,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    15,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    72,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemFlag)
    233,  // QGlobalSpace::operator<<(QDebug, QGraphicsItem::GraphicsItemChange)
    305,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    349,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    452,  // QGlobalSpace::operator<<(QDebug, QFlags<QGraphicsItem::GraphicsItemFlag>)
    524,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    654,  // QGlobalSpace::operator<<(QDebug, QFlags<QStyle::StateFlag>)
    712,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    769,  // QGlobalSpace::operator<<(QDebug, const QStyleOption::OptionType&)
    0,
    195,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    219,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    440,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    637,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    438,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    504,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    9,  // QGlobalSpace::operator==(const QVector3D&, const QVector3D&)
    20,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    31,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    53,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    55,  // QGlobalSpace::operator==(QChar, QChar)
    85,  // QGlobalSpace::operator==(const QQuaternion&, const QQuaternion&)
    188,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    210,  // QGlobalSpace::operator==(QBool, QBool)
    250,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    269,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    276,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    339,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    364,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    421,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    430,  // QGlobalSpace::operator==(const QVector4D&, const QVector4D&)
    433,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    530,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    554,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    614,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    662,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    689,  // QGlobalSpace::operator==(const QVector2D&, const QVector2D&)
    0,
    19,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    153,  // QGlobalSpace::operator==(QKeyEvent*, QKeySequence::StandardKey)
    337,  // QGlobalSpace::operator==(QString::Null, const QString&)
    682,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    687,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    737,  // QGlobalSpace::operator==(QBool, bool)
    0,
    14,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    40,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    212,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    389,  // QGlobalSpace::operator==(bool, QBool)
    458,  // QGlobalSpace::operator==(const QString&, QString::Null)
    510,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    626,  // QGlobalSpace::operator==(QKeySequence::StandardKey, QKeyEvent*)
    0,
    81,  // QGlobalSpace::operator>(QChar, QChar)
    175,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    191,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    320,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    41,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    150,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    3,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    70,  // QGlobalSpace::operator>=(QChar, QChar)
    429,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    566,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    399,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    763,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    16,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    24,  // QGlobalSpace::operator>>(QDataStream&, QStandardItem&)
    29,  // QGlobalSpace::operator>>(QDataStream&, QQuaternion&)
    34,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    66,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    68,  // QGlobalSpace::operator>>(QDataStream&, QTableWidgetItem&)
    155,  // QGlobalSpace::operator>>(QTextStream&, QSplitter&)
    163,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    178,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    208,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    220,  // QGlobalSpace::operator>>(QDataStream&, QPen&)
    234,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    242,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    254,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    323,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    336,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    338,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    351,  // QGlobalSpace::operator>>(QDataStream&, QVector3D&)
    358,  // QGlobalSpace::operator>>(QDataStream&, QVector2D&)
    373,  // QGlobalSpace::operator>>(QDataStream&, QMatrix4x4&)
    381,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    385,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    390,  // QGlobalSpace::operator>>(QDataStream&, QPicture&)
    395,  // QGlobalSpace::operator>>(QDataStream&, QVector4D&)
    411,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    427,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    442,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    457,  // QGlobalSpace::operator>>(QDataStream&, QTreeWidgetItem&)
    479,  // QGlobalSpace::operator>>(QDataStream&, QTextFormat&)
    488,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    489,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    492,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    507,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    519,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    520,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    527,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    568,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    578,  // QGlobalSpace::operator>>(QDataStream&, QTextLength&)
    615,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    629,  // QGlobalSpace::operator>>(QDataStream&, QListWidgetItem&)
    643,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    644,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    648,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    664,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    698,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    727,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    730,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    738,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    739,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    766,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    774,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    444,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    651,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    1,  // QGlobalSpace::operator|(QDateTimeEdit::Section, int)
    6,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    8,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    18,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QFlags<QPaintEngine::DirtyFlag>)
    22,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QTextEdit::AutoFormattingFlag)
    25,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    26,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QFlags<QMdiArea::AreaOption>)
    27,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    39,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, int)
    42,  // QGlobalSpace::operator|(QFileDialog::Option, int)
    47,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QMessageBox::StandardButton)
    49,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    52,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QGestureRecognizer::ResultFlag)
    58,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    62,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    69,  // QGlobalSpace::operator|(QMainWindow::DockOption, QFlags<QMainWindow::DockOption>)
    74,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    75,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    77,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, int)
    80,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    82,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    86,  // QGlobalSpace::operator|(QDir::Filter, int)
    87,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    92,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    93,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    94,  // QGlobalSpace::operator|(QMdiArea::AreaOption, int)
    96,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    98,  // QGlobalSpace::operator|(QWizard::WizardOption, QWizard::WizardOption)
    101,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    102,  // QGlobalSpace::operator|(QTextOption::Flag, int)
    104,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    105,  // QGlobalSpace::operator|(QFile::Permission, int)
    106,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, QFlags<QGestureRecognizer::ResultFlag>)
    113,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    121,  // QGlobalSpace::operator|(QFileDialog::Option, QFlags<QFileDialog::Option>)
    124,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    125,  // QGlobalSpace::operator|(QWizard::WizardOption, int)
    129,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QFlags<QDockWidget::DockWidgetFeature>)
    132,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QGraphicsView::CacheModeFlag)
    134,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    136,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    137,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    142,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, int)
    143,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    144,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    154,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QStyleOptionQ3ListViewItem::Q3ListViewItemFeature)
    158,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    161,  // QGlobalSpace::operator|(QPainter::RenderHint, QFlags<QPainter::RenderHint>)
    168,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QFlags<QAccessible::RelationFlag>)
    172,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    173,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    176,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    183,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    185,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, QFlags<QTextEdit::AutoFormattingFlag>)
    189,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    192,  // QGlobalSpace::operator|(QMessageBox::StandardButton, QFlags<QMessageBox::StandardButton>)
    203,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, int)
    205,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QDateTimeEdit::Section)
    207,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    211,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QGraphicsEffect::ChangeFlag)
    213,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, int)
    214,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    217,  // QGlobalSpace::operator|(QGestureRecognizer::ResultFlag, int)
    218,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QImageIOPlugin::Capability)
    225,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    229,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    230,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    231,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QFlags<QGraphicsBlurEffect::BlurHint>)
    232,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    239,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFontDialog::FontDialogOption)
    241,  // QGlobalSpace::operator|(QMainWindow::DockOption, int)
    243,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    245,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    251,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    252,  // QGlobalSpace::operator|(QMainWindow::DockOption, QMainWindow::DockOption)
    253,  // QGlobalSpace::operator|(QWizard::WizardOption, QFlags<QWizard::WizardOption>)
    257,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    263,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    268,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    271,  // QGlobalSpace::operator|(Qt::DropAction, int)
    273,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    286,  // QGlobalSpace::operator|(QTextDocument::FindFlag, int)
    291,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, QDockWidget::DockWidgetFeature)
    296,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    299,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    302,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    303,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    306,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    308,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QFlags<QTextItem::RenderFlag>)
    317,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, int)
    322,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QTextFormat::PageBreakFlag)
    325,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, QPaintEngine::DirtyFlag)
    327,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    328,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QFlags<QInputDialog::InputDialogOption>)
    340,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    341,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, int)
    343,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, QFlags<QTextFormat::PageBreakFlag>)
    357,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    359,  // QGlobalSpace::operator|(QMessageBox::StandardButton, int)
    361,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    365,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QGraphicsView::OptimizationFlag)
    366,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, QInputDialog::InputDialogOption)
    368,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    372,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QFlags<QTreeWidgetItemIterator::IteratorFlag>)
    375,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    377,  // QGlobalSpace::operator|(QTextEdit::AutoFormattingFlag, int)
    379,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    384,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    387,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QFlags<QAbstractPrintDialog::PrintDialogOption>)
    391,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, int)
    396,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QColorDialog::ColorDialogOption)
    400,  // QGlobalSpace::operator|(QFileDialog::Option, QFileDialog::Option)
    401,  // QGlobalSpace::operator|(QTextOption::Flag, QTextOption::Flag)
    402,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    405,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    414,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    419,  // QGlobalSpace::operator|(QAccessible::RelationFlag, int)
    420,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QFlags<QMdiSubWindow::SubWindowOption>)
    425,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    426,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    432,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    437,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    443,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QDialogButtonBox::StandardButton)
    448,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    450,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    455,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    467,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QFlags<QGraphicsItem::GraphicsItemFlag>)
    469,  // QGlobalSpace::operator|(QTextItem::RenderFlag, QTextItem::RenderFlag)
    470,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    474,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, QFlags<QImageIOPlugin::Capability>)
    481,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    484,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    485,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    487,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    493,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    495,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    496,  // QGlobalSpace::operator|(QDockWidget::DockWidgetFeature, int)
    499,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QFlags<QGraphicsScene::SceneLayer>)
    506,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    509,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    512,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    516,  // QGlobalSpace::operator|(QAccessible::StateFlag, QAccessible::StateFlag)
    517,  // QGlobalSpace::operator|(QPainter::RenderHint, QPainter::RenderHint)
    518,  // QGlobalSpace::operator|(Qt::WindowState, int)
    521,  // QGlobalSpace::operator|(QDateTimeEdit::Section, QFlags<QDateTimeEdit::Section>)
    523,  // QGlobalSpace::operator|(QTextOption::Flag, QFlags<QTextOption::Flag>)
    525,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    528,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    535,  // QGlobalSpace::operator|(QAccessible::StateFlag, QFlags<QAccessible::StateFlag>)
    536,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    547,  // QGlobalSpace::operator|(QMdiSubWindow::SubWindowOption, QMdiSubWindow::SubWindowOption)
    548,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    550,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    551,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    555,  // QGlobalSpace::operator|(QInputDialog::InputDialogOption, int)
    556,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    558,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, QTreeWidgetItemIterator::IteratorFlag)
    559,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, QFlags<QStyleOptionQ3ListViewItem::Q3ListViewItemFeature>)
    560,  // QGlobalSpace::operator|(QGraphicsView::OptimizationFlag, QFlags<QGraphicsView::OptimizationFlag>)
    562,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    563,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    564,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, int)
    567,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QPaintEngine::PaintEngineFeature)
    571,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    577,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    580,  // QGlobalSpace::operator|(QTreeWidgetItemIterator::IteratorFlag, int)
    585,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    586,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    587,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    588,  // QGlobalSpace::operator|(QGraphicsScene::SceneLayer, QGraphicsScene::SceneLayer)
    589,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    590,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    592,  // QGlobalSpace::operator|(QTextFormat::PageBreakFlag, int)
    593,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    601,  // QGlobalSpace::operator|(QAccessible::RelationFlag, QAccessible::RelationFlag)
    608,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    609,  // QGlobalSpace::operator|(QColorDialog::ColorDialogOption, QFlags<QColorDialog::ColorDialogOption>)
    610,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, int)
    613,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    616,  // QGlobalSpace::operator|(QMdiArea::AreaOption, QMdiArea::AreaOption)
    624,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFlags<QFontComboBox::FontFilter>)
    625,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, QFlags<QFontDialog::FontDialogOption>)
    627,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    628,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    633,  // QGlobalSpace::operator|(QImageIOPlugin::Capability, int)
    634,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QFlags<QTextDocument::FindFlag>)
    638,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    640,  // QGlobalSpace::operator|(QGraphicsEffect::ChangeFlag, QFlags<QGraphicsEffect::ChangeFlag>)
    642,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    649,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, QGraphicsItem::GraphicsItemFlag)
    650,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    652,  // QGlobalSpace::operator|(QPainter::RenderHint, int)
    655,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    660,  // QGlobalSpace::operator|(QAbstractPrintDialog::PrintDialogOption, QAbstractPrintDialog::PrintDialogOption)
    665,  // QGlobalSpace::operator|(Qt::Orientation, int)
    666,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    677,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    678,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    681,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, int)
    683,  // QGlobalSpace::operator|(QPaintEngine::PaintEngineFeature, QFlags<QPaintEngine::PaintEngineFeature>)
    686,  // QGlobalSpace::operator|(QGraphicsBlurEffect::BlurHint, QGraphicsBlurEffect::BlurHint)
    691,  // QGlobalSpace::operator|(QPaintEngine::DirtyFlag, int)
    693,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    696,  // QGlobalSpace::operator|(QDialogButtonBox::StandardButton, QFlags<QDialogButtonBox::StandardButton>)
    701,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    702,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    707,  // QGlobalSpace::operator|(QFontDialog::FontDialogOption, int)
    708,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    713,  // QGlobalSpace::operator|(QTextDocument::FindFlag, QTextDocument::FindFlag)
    715,  // QGlobalSpace::operator|(QStyleOptionQ3ListViewItem::Q3ListViewItemFeature, int)
    716,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    721,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    722,  // QGlobalSpace::operator|(Qt::WindowType, int)
    724,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    728,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    729,  // QGlobalSpace::operator|(QGraphicsView::CacheModeFlag, QFlags<QGraphicsView::CacheModeFlag>)
    731,  // QGlobalSpace::operator|(QGraphicsItem::GraphicsItemFlag, int)
    733,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    734,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    742,  // QGlobalSpace::operator|(QAccessible::StateFlag, int)
    745,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    747,  // QGlobalSpace::operator|(QTextItem::RenderFlag, int)
    751,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    754,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    761,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    762,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    767,  // QGlobalSpace::operator|(QFontComboBox::FontFilter, QFontComboBox::FontFilter)
    771,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    117,  // QGlobalSpace::qFuzzyCompare(const QVector4D&, const QVector4D&)
    182,  // QGlobalSpace::qFuzzyCompare(const QQuaternion&, const QQuaternion&)
    240,  // QGlobalSpace::qFuzzyCompare(const QTransform&, const QTransform&)
    378,  // QGlobalSpace::qFuzzyCompare(const QMatrix4x4&, const QMatrix4x4&)
    404,  // QGlobalSpace::qFuzzyCompare(const QMatrix&, const QMatrix&)
    533,  // QGlobalSpace::qFuzzyCompare(const QVector2D&, const QVector2D&)
    619,  // QGlobalSpace::qFuzzyCompare(const QVector3D&, const QVector3D&)
    0,
    553,  // QGlobalSpace::qFuzzyCompare(float, float)
    667,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    261,  // QGlobalSpace::qFuzzyIsNull(float)
    581,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    60,  // QGlobalSpace::qHash(const QUrl&)
    61,  // QGlobalSpace::qHash(const QByteArray&)
    156,  // QGlobalSpace::qHash(const QItemSelectionRange&)
    184,  // QGlobalSpace::qHash(QChar)
    204,  // QGlobalSpace::qHash(const QModelIndex&)
    344,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    472,  // QGlobalSpace::qHash(const QBitArray&)
    759,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    38,  // QGlobalSpace::qHash(signed char)
    97,  // QGlobalSpace::qHash(char)
    181,  // QGlobalSpace::qHash(unsigned int)
    194,  // QGlobalSpace::qHash(const QString&)
    265,  // QGlobalSpace::qHash(int)
    318,  // QGlobalSpace::qHash(long)
    321,  // QGlobalSpace::qHash(unsigned short)
    546,  // QGlobalSpace::qHash(short)
    740,  // QGlobalSpace::qHash(unsigned long)
    765,  // QGlobalSpace::qHash(unsigned char)
    0,
    4,  // QGlobalSpace::qHash(unsigned long long)
    236,  // QGlobalSpace::qHash(long long)
    0,
    44,  // QGlobalSpace::qIntCast(double)
    187,  // QGlobalSpace::qIntCast(float)
    0,
    120,  // QGlobalSpace::qIsFinite(double)
    164,  // QGlobalSpace::qIsFinite(float)
    0,
    5,  // QGlobalSpace::qIsInf(double)
    36,  // QGlobalSpace::qIsInf(float)
    0,
    216,  // QGlobalSpace::qIsNaN(float)
    226,  // QGlobalSpace::qIsNaN(double)
    0,
    659,  // QGlobalSpace::qIsNull(float)
    760,  // QGlobalSpace::qIsNull(double)
    0,
    932,  // QSvgGenerator::setViewBox(const QRect&)
    933,  // QSvgGenerator::setViewBox(const QRectF&)
    0,
    950,  // QSvgRenderer::QSvgRenderer(QObject*)
    980,  // QSvgRenderer::QSvgRenderer(const QByteArray&)
    981,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*)
    0,
    952,  // QSvgRenderer::QSvgRenderer(const QByteArray&, QObject*)
    953,  // QSvgRenderer::QSvgRenderer(QXmlStreamReader*, QObject*)
    0,
    970,  // QSvgRenderer::load(const QByteArray&)
    971,  // QSvgRenderer::load(QXmlStreamReader*)
    0,
    958,  // QSvgRenderer::setViewBox(const QRect&)
    959,  // QSvgRenderer::setViewBox(const QRectF&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {26, 60, 778},	// QGlobalSpace::PM_BoldLineWidth
    {26, 61, 777},	// QGlobalSpace::PM_FrameCornerHeight
    {26, 62, 776},	// QGlobalSpace::PM_FrameCornerWidth
    {26, 63, 780},	// QGlobalSpace::PM_MessageBoxHeight
    {26, 64, 779},	// QGlobalSpace::PM_ThinLineWidth
    {26, 90, 783},	// QGlobalSpace::QtCriticalMsg
    {26, 91, 781},	// QGlobalSpace::QtDebugMsg
    {26, 92, 784},	// QGlobalSpace::QtFatalMsg
    {26, 93, 785},	// QGlobalSpace::QtSystemMsg
    {26, 94, 782},	// QGlobalSpace::QtWarningMsg
    {26, 99, 788},	// QGlobalSpace::__codecvt_error
    {26, 100, 789},	// QGlobalSpace::__codecvt_noconv
    {26, 101, 786},	// QGlobalSpace::__codecvt_ok
    {26, 102, 787},	// QGlobalSpace::__codecvt_partial
    {26, 174, -1},	// QGlobalSpace::operator!=##
    {26, 175, -22},	// QGlobalSpace::operator!=#$
    {26, 176, -28},	// QGlobalSpace::operator!=$#
    {26, 177, 215},	// QGlobalSpace::operator!=$$
    {26, 179, 398},	// QGlobalSpace::operator&##
    {26, 181, -35},	// QGlobalSpace::operator*##
    {26, 182, -65},	// QGlobalSpace::operator*#$
    {26, 183, -76},	// QGlobalSpace::operator*$#
    {26, 185, -86},	// QGlobalSpace::operator+##
    {26, 186, -97},	// QGlobalSpace::operator+#$
    {26, 187, -103},	// QGlobalSpace::operator+$#
    {26, 188, -108},	// QGlobalSpace::operator+$$
    {26, 190, -114},	// QGlobalSpace::operator-#
    {26, 191, -122},	// QGlobalSpace::operator-##
    {26, 192, 95},	// QGlobalSpace::operator-#$
    {26, 194, -132},	// QGlobalSpace::operator/#$
    {26, 196, -143},	// QGlobalSpace::operator<##
    {26, 197, 461},	// QGlobalSpace::operator<#$
    {26, 198, -148},	// QGlobalSpace::operator<$#
    {26, 199, 130},	// QGlobalSpace::operator<$$
    {26, 201, -151},	// QGlobalSpace::operator<<##
    {26, 202, -244},	// QGlobalSpace::operator<<#$
    {26, 203, 422},	// QGlobalSpace::operator<<#?
    {26, 205, -255},	// QGlobalSpace::operator<=##
    {26, 206, 186},	// QGlobalSpace::operator<=#$
    {26, 207, -260},	// QGlobalSpace::operator<=$#
    {26, 208, 490},	// QGlobalSpace::operator<=$$
    {26, 210, -263},	// QGlobalSpace::operator==##
    {26, 211, -285},	// QGlobalSpace::operator==#$
    {26, 212, -292},	// QGlobalSpace::operator==$#
    {26, 213, 746},	// QGlobalSpace::operator==$$
    {26, 215, -300},	// QGlobalSpace::operator>##
    {26, 216, 764},	// QGlobalSpace::operator>#$
    {26, 217, -305},	// QGlobalSpace::operator>$#
    {26, 218, 345},	// QGlobalSpace::operator>$$
    {26, 220, -308},	// QGlobalSpace::operator>=##
    {26, 221, 35},	// QGlobalSpace::operator>=#$
    {26, 222, -313},	// QGlobalSpace::operator>=$#
    {26, 223, 758},	// QGlobalSpace::operator>=$$
    {26, 225, -316},	// QGlobalSpace::operator>>##
    {26, 226, -368},	// QGlobalSpace::operator>>#$
    {26, 227, 300},	// QGlobalSpace::operator>>#?
    {26, 229, 190},	// QGlobalSpace::operator^##
    {26, 231, 617},	// QGlobalSpace::operator|##
    {26, 232, -371},	// QGlobalSpace::operator|$$
    {26, 241, 382},	// QGlobalSpace::qAccessibleActionCastHelper
    {26, 242, 90},	// QGlobalSpace::qAccessibleEditableTextCastHelper
    {26, 243, 486},	// QGlobalSpace::qAccessibleImageCastHelper
    {26, 244, 256},	// QGlobalSpace::qAccessibleTableCastHelper
    {26, 245, 171},	// QGlobalSpace::qAccessibleTextCastHelper
    {26, 246, 2},	// QGlobalSpace::qAccessibleValueCastHelper
    {26, 248, 561},	// QGlobalSpace::qAcos$
    {26, 250, 434},	// QGlobalSpace::qAddPostRoutine$
    {26, 252, 127},	// QGlobalSpace::qAlpha$
    {26, 253, 446},	// QGlobalSpace::qAppName
    {26, 255, 605},	// QGlobalSpace::qAsin$
    {26, 257, 663},	// QGlobalSpace::qAtan$
    {26, 259, 33},	// QGlobalSpace::qAtan2$$
    {26, 260, 569},	// QGlobalSpace::qBadAlloc
    {26, 262, 307},	// QGlobalSpace::qBlue$
    {26, 264, 477},	// QGlobalSpace::qCeil$
    {26, 266, 292},	// QGlobalSpace::qChecksum$$
    {26, 268, 583},	// QGlobalSpace::qCompress#
    {26, 269, 582},	// QGlobalSpace::qCompress#$
    {26, 270, 436},	// QGlobalSpace::qCompress$$
    {26, 271, 435},	// QGlobalSpace::qCompress$$$
    {26, 273, 79},	// QGlobalSpace::qCos$
    {26, 274, 409},	// QGlobalSpace::qCritical
    {26, 275, 497},	// QGlobalSpace::qDebug
    {26, 277, 293},	// QGlobalSpace::qDrawBorderPixmap####
    {26, 278, 749},	// QGlobalSpace::qDrawBorderPixmap######
    {26, 279, 750},	// QGlobalSpace::qDrawBorderPixmap#######
    {26, 280, 748},	// QGlobalSpace::qDrawBorderPixmap#######$
    {26, 282, 646},	// QGlobalSpace::qDrawPlainRect###
    {26, 283, 647},	// QGlobalSpace::qDrawPlainRect###$
    {26, 284, 645},	// QGlobalSpace::qDrawPlainRect###$#
    {26, 285, 259},	// QGlobalSpace::qDrawPlainRect#$$$$#
    {26, 286, 260},	// QGlobalSpace::qDrawPlainRect#$$$$#$
    {26, 287, 258},	// QGlobalSpace::qDrawPlainRect#$$$$#$#
    {26, 289, 673},	// QGlobalSpace::qDrawShadeLine####
    {26, 290, 674},	// QGlobalSpace::qDrawShadeLine####$
    {26, 291, 675},	// QGlobalSpace::qDrawShadeLine####$$
    {26, 292, 672},	// QGlobalSpace::qDrawShadeLine####$$$
    {26, 293, 598},	// QGlobalSpace::qDrawShadeLine#$$$$#
    {26, 294, 599},	// QGlobalSpace::qDrawShadeLine#$$$$#$
    {26, 295, 600},	// QGlobalSpace::qDrawShadeLine#$$$$#$$
    {26, 296, 597},	// QGlobalSpace::qDrawShadeLine#$$$$#$$$
    {26, 298, 331},	// QGlobalSpace::qDrawShadePanel###
    {26, 299, 332},	// QGlobalSpace::qDrawShadePanel###$
    {26, 300, 333},	// QGlobalSpace::qDrawShadePanel###$$
    {26, 301, 330},	// QGlobalSpace::qDrawShadePanel###$$#
    {26, 302, 354},	// QGlobalSpace::qDrawShadePanel#$$$$#
    {26, 303, 355},	// QGlobalSpace::qDrawShadePanel#$$$$#$
    {26, 304, 356},	// QGlobalSpace::qDrawShadePanel#$$$$#$$
    {26, 305, 353},	// QGlobalSpace::qDrawShadePanel#$$$$#$$#
    {26, 307, 280},	// QGlobalSpace::qDrawShadeRect###
    {26, 308, 281},	// QGlobalSpace::qDrawShadeRect###$
    {26, 309, 282},	// QGlobalSpace::qDrawShadeRect###$$
    {26, 310, 283},	// QGlobalSpace::qDrawShadeRect###$$$
    {26, 311, 279},	// QGlobalSpace::qDrawShadeRect###$$$#
    {26, 312, 573},	// QGlobalSpace::qDrawShadeRect#$$$$#
    {26, 313, 574},	// QGlobalSpace::qDrawShadeRect#$$$$#$
    {26, 314, 575},	// QGlobalSpace::qDrawShadeRect#$$$$#$$
    {26, 315, 576},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$
    {26, 316, 572},	// QGlobalSpace::qDrawShadeRect#$$$$#$$$#
    {26, 318, 313},	// QGlobalSpace::qDrawWinButton###
    {26, 319, 314},	// QGlobalSpace::qDrawWinButton###$
    {26, 320, 312},	// QGlobalSpace::qDrawWinButton###$#
    {26, 321, 621},	// QGlobalSpace::qDrawWinButton#$$$$#
    {26, 322, 622},	// QGlobalSpace::qDrawWinButton#$$$$#$
    {26, 323, 620},	// QGlobalSpace::qDrawWinButton#$$$$#$#
    {26, 325, 544},	// QGlobalSpace::qDrawWinPanel###
    {26, 326, 545},	// QGlobalSpace::qDrawWinPanel###$
    {26, 327, 543},	// QGlobalSpace::qDrawWinPanel###$#
    {26, 328, 109},	// QGlobalSpace::qDrawWinPanel#$$$$#
    {26, 329, 110},	// QGlobalSpace::qDrawWinPanel#$$$$#$
    {26, 330, 108},	// QGlobalSpace::qDrawWinPanel#$$$$#$#
    {26, 332, 274},	// QGlobalSpace::qExp$
    {26, 334, 549},	// QGlobalSpace::qFabs$
    {26, 336, 206},	// QGlobalSpace::qFastCos$
    {26, 338, 439},	// QGlobalSpace::qFastSin$
    {26, 340, 221},	// QGlobalSpace::qFlagLocation$
    {26, 342, 160},	// QGlobalSpace::qFloor$
    {26, 344, 451},	// QGlobalSpace::qFree$
    {26, 346, 456},	// QGlobalSpace::qFreeAligned$
    {26, 348, -600},	// QGlobalSpace::qFuzzyCompare##
    {26, 349, -608},	// QGlobalSpace::qFuzzyCompare$$
    {26, 351, -611},	// QGlobalSpace::qFuzzyIsNull$
    {26, 353, 227},	// QGlobalSpace::qGray$
    {26, 354, 131},	// QGlobalSpace::qGray$$$
    {26, 356, 502},	// QGlobalSpace::qGreen$
    {26, 358, -614},	// QGlobalSpace::qHash#
    {26, 359, -623},	// QGlobalSpace::qHash$
    {26, 360, -634},	// QGlobalSpace::qHash?
    {26, 361, 711},	// QGlobalSpace::qInf
    {26, 363, 201},	// QGlobalSpace::qInstallMsgHandler$
    {26, 365, -637},	// QGlobalSpace::qIntCast$
    {26, 367, -640},	// QGlobalSpace::qIsFinite$
    {26, 369, 639},	// QGlobalSpace::qIsGray$
    {26, 371, -643},	// QGlobalSpace::qIsInf$
    {26, 373, -646},	// QGlobalSpace::qIsNaN$
    {26, 375, -649},	// QGlobalSpace::qIsNull$
    {26, 377, 277},	// QGlobalSpace::qLn$
    {26, 379, 297},	// QGlobalSpace::qMalloc?
    {26, 381, 498},	// QGlobalSpace::qMallocAligned??
    {26, 383, 12},	// QGlobalSpace::qMemCopy$$?
    {26, 385, 540},	// QGlobalSpace::qMemSet$$?
    {26, 387, 503},	// QGlobalSpace::qPow$$
    {26, 388, 298},	// QGlobalSpace::qQNaN
    {26, 390, 193},	// QGlobalSpace::qRealloc$?
    {26, 392, 177},	// QGlobalSpace::qReallocAligned$???
    {26, 394, 157},	// QGlobalSpace::qRed$
    {26, 396, 288},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {26, 398, 725},	// QGlobalSpace::qRemovePostRoutine$
    {26, 400, 244},	// QGlobalSpace::qRgb$$$
    {26, 402, 408},	// QGlobalSpace::qRgba$$$$
    {26, 404, 710},	// QGlobalSpace::qRound$
    {26, 406, 200},	// QGlobalSpace::qRound64$
    {26, 407, 679},	// QGlobalSpace::qSNaN
    {26, 409, 152},	// QGlobalSpace::qSetFieldWidth$
    {26, 411, 45},	// QGlobalSpace::qSetPadChar#
    {26, 413, 275},	// QGlobalSpace::qSetRealNumberPrecision$
    {26, 414, 84},	// QGlobalSpace::qSharedBuild
    {26, 416, 612},	// QGlobalSpace::qSin$
    {26, 418, 202},	// QGlobalSpace::qSqrt$
    {26, 420, 482},	// QGlobalSpace::qStringComparisonHelper#$
    {26, 421, 28},	// QGlobalSpace::qStringComparisonHelper$$
    {26, 423, 149},	// QGlobalSpace::qTan$
    {26, 425, 374},	// QGlobalSpace::qUncompress#
    {26, 426, 147},	// QGlobalSpace::qUncompress$$
    {26, 427, 447},	// QGlobalSpace::qVersion
    {26, 428, 735},	// QGlobalSpace::qWarning
    {26, 430, 169},	// QGlobalSpace::qbswap_helper$$$
    {26, 432, 557},	// QGlobalSpace::qgcvt$$$
    {26, 434, 37},	// QGlobalSpace::qgetenv$
    {26, 436, 301},	// QGlobalSpace::qputenv$#
    {26, 437, 392},	// QGlobalSpace::qrand
    {26, 439, 407},	// QGlobalSpace::qsort$???
    {26, 441, 315},	// QGlobalSpace::qsrand$
    {26, 443, 552},	// QGlobalSpace::qstrcmp##
    {26, 444, 723},	// QGlobalSpace::qstrcmp#$
    {26, 445, 30},	// QGlobalSpace::qstrcmp$#
    {26, 446, 76},	// QGlobalSpace::qstrcmp$$
    {26, 448, 264},	// QGlobalSpace::qstrcpy$$
    {26, 450, 483},	// QGlobalSpace::qstrdup$
    {26, 452, 706},	// QGlobalSpace::qstricmp$$
    {26, 454, 736},	// QGlobalSpace::qstrlen$
    {26, 456, 148},	// QGlobalSpace::qstrncmp$$$
    {26, 458, 369},	// QGlobalSpace::qstrncpy$$$
    {26, 460, 334},	// QGlobalSpace::qstrnicmp$$$
    {26, 462, 11},	// QGlobalSpace::qstrnlen$$
    {26, 464, 632},	// QGlobalSpace::qtTrId$
    {26, 465, 631},	// QGlobalSpace::qtTrId$$
    {26, 467, 235},	// QGlobalSpace::qt_assert$$$
    {26, 469, 397},	// QGlobalSpace::qt_assert_x$$$$
    {26, 471, 542},	// QGlobalSpace::qt_check_pointer$$
    {26, 472, 139},	// QGlobalSpace::qt_error_string
    {26, 473, 138},	// QGlobalSpace::qt_error_string$
    {26, 475, 755},	// QGlobalSpace::qt_message_output$$
    {26, 480, 13},	// QGlobalSpace::qt_noop
    {26, 482, 352},	// QGlobalSpace::qt_qFindChild_helper#$#
    {26, 484, 661},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {26, 486, 653},	// QGlobalSpace::qvariant_cast_helper#$$
    {26, 488, 537},	// QGlobalSpace::qvsnprintf$?$?
    {34, 76, 899},	// QGraphicsSvgItem::QGraphicsSvgItem
    {34, 77, 884},	// QGraphicsSvgItem::QGraphicsSvgItem#
    {34, 78, 900},	// QGraphicsSvgItem::QGraphicsSvgItem$
    {34, 79, 885},	// QGraphicsSvgItem::QGraphicsSvgItem$#
    {34, 96, 903},	// QGraphicsSvgItem::Type
    {34, 107, 894},	// QGraphicsSvgItem::boundingRect
    {34, 130, 889},	// QGraphicsSvgItem::elementId
    {34, 149, 891},	// QGraphicsSvgItem::isCachingEnabled
    {34, 162, 893},	// QGraphicsSvgItem::maximumCacheSize
    {34, 163, 877},	// QGraphicsSvgItem::metaObject
    {34, 235, 901},	// QGraphicsSvgItem::paint##
    {34, 236, 895},	// QGraphicsSvgItem::paint###
    {34, 477, 883},	// QGraphicsSvgItem::qt_metacall$$?
    {34, 479, 878},	// QGraphicsSvgItem::qt_metacast$
    {34, 494, 887},	// QGraphicsSvgItem::renderer
    {34, 501, 890},	// QGraphicsSvgItem::setCachingEnabled$
    {34, 507, 888},	// QGraphicsSvgItem::setElementId$
    {34, 514, 892},	// QGraphicsSvgItem::setMaximumCacheSize#
    {34, 520, 886},	// QGraphicsSvgItem::setSharedRenderer#
    {34, 532, 902},	// QGraphicsSvgItem::staticMetaObject
    {34, 539, 897},	// QGraphicsSvgItem::tr$
    {34, 540, 879},	// QGraphicsSvgItem::tr$$
    {34, 541, 881},	// QGraphicsSvgItem::tr$$$
    {34, 543, 898},	// QGraphicsSvgItem::trUtf8$
    {34, 544, 880},	// QGraphicsSvgItem::trUtf8$$
    {34, 545, 882},	// QGraphicsSvgItem::trUtf8$$$
    {34, 546, 896},	// QGraphicsSvgItem::type
    {34, 552, 904},	// QGraphicsSvgItem::~QGraphicsSvgItem
    {89, 80, 923},	// QSvgGenerator::QSvgGenerator
    {89, 121, 926},	// QSvgGenerator::description
    {89, 136, 934},	// QSvgGenerator::fileName
    {89, 165, 941},	// QSvgGenerator::metric$
    {89, 233, 936},	// QSvgGenerator::outputDevice
    {89, 237, 940},	// QSvgGenerator::paintEngine
    {89, 497, 939},	// QSvgGenerator::resolution
    {89, 505, 927},	// QSvgGenerator::setDescription$
    {89, 510, 935},	// QSvgGenerator::setFileName$
    {89, 516, 937},	// QSvgGenerator::setOutputDevice#
    {89, 518, 938},	// QSvgGenerator::setResolution$
    {89, 522, 929},	// QSvgGenerator::setSize#
    {89, 524, 925},	// QSvgGenerator::setTitle$
    {89, 526, -652},	// QSvgGenerator::setViewBox#
    {89, 530, 928},	// QSvgGenerator::size
    {89, 537, 924},	// QSvgGenerator::title
    {89, 547, 930},	// QSvgGenerator::viewBox
    {89, 548, 931},	// QSvgGenerator::viewBoxF
    {89, 553, 942},	// QSvgGenerator::~QSvgGenerator
    {90, 81, 978},	// QSvgRenderer::QSvgRenderer
    {90, 82, -655},	// QSvgRenderer::QSvgRenderer#
    {90, 83, -659},	// QSvgRenderer::QSvgRenderer##
    {90, 84, 979},	// QSvgRenderer::QSvgRenderer$
    {90, 85, 951},	// QSvgRenderer::QSvgRenderer$#
    {90, 105, 960},	// QSvgRenderer::animated
    {90, 106, 965},	// QSvgRenderer::animationDuration
    {90, 109, 966},	// QSvgRenderer::boundsOnElement$
    {90, 118, 963},	// QSvgRenderer::currentFrame
    {90, 120, 955},	// QSvgRenderer::defaultSize
    {90, 129, 967},	// QSvgRenderer::elementExists$
    {90, 141, 961},	// QSvgRenderer::framesPerSecond
    {90, 151, 954},	// QSvgRenderer::isValid
    {90, 158, -662},	// QSvgRenderer::load#
    {90, 159, 969},	// QSvgRenderer::load$
    {90, 161, 968},	// QSvgRenderer::matrixForElement$
    {90, 163, 943},	// QSvgRenderer::metaObject
    {90, 477, 949},	// QSvgRenderer::qt_metacall$$?
    {90, 479, 944},	// QSvgRenderer::qt_metacast$
    {90, 490, 972},	// QSvgRenderer::render#
    {90, 491, 973},	// QSvgRenderer::render##
    {90, 492, 982},	// QSvgRenderer::render#$
    {90, 493, 974},	// QSvgRenderer::render#$#
    {90, 495, 975},	// QSvgRenderer::repaintNeeded
    {90, 503, 964},	// QSvgRenderer::setCurrentFrame$
    {90, 512, 962},	// QSvgRenderer::setFramesPerSecond$
    {90, 526, -665},	// QSvgRenderer::setViewBox#
    {90, 532, 983},	// QSvgRenderer::staticMetaObject
    {90, 539, 976},	// QSvgRenderer::tr$
    {90, 540, 945},	// QSvgRenderer::tr$$
    {90, 541, 947},	// QSvgRenderer::tr$$$
    {90, 543, 977},	// QSvgRenderer::trUtf8$
    {90, 544, 946},	// QSvgRenderer::trUtf8$$
    {90, 545, 948},	// QSvgRenderer::trUtf8$$$
    {90, 547, 956},	// QSvgRenderer::viewBox
    {90, 548, 957},	// QSvgRenderer::viewBoxF
    {90, 554, 984},	// QSvgRenderer::~QSvgRenderer
    {91, 86, 1001},	// QSvgWidget::QSvgWidget
    {91, 87, 992},	// QSvgWidget::QSvgWidget#
    {91, 88, 1002},	// QSvgWidget::QSvgWidget$
    {91, 89, 993},	// QSvgWidget::QSvgWidget$#
    {91, 158, 997},	// QSvgWidget::load#
    {91, 159, 996},	// QSvgWidget::load$
    {91, 163, 985},	// QSvgWidget::metaObject
    {91, 239, 998},	// QSvgWidget::paintEvent#
    {91, 477, 991},	// QSvgWidget::qt_metacall$$?
    {91, 479, 986},	// QSvgWidget::qt_metacast$
    {91, 494, 994},	// QSvgWidget::renderer
    {91, 531, 995},	// QSvgWidget::sizeHint
    {91, 532, 1003},	// QSvgWidget::staticMetaObject
    {91, 539, 999},	// QSvgWidget::tr$
    {91, 540, 987},	// QSvgWidget::tr$$
    {91, 541, 989},	// QSvgWidget::tr$$$
    {91, 543, 1000},	// QSvgWidget::trUtf8$
    {91, 544, 988},	// QSvgWidget::trUtf8$$
    {91, 545, 990},	// QSvgWidget::trUtf8$$$
    {91, 555, 1004},	// QSvgWidget::~QSvgWidget
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtsvg_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtsvg_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtsvg_Smoke = new Smoke(
        "qtsvg",
        __smokeqtsvg::classes, 113,
        __smokeqtsvg::methods, 1049,
        __smokeqtsvg::methodMaps, 323,
        __smokeqtsvg::methodNames, 555,
        __smokeqtsvg::types, 464,
        __smokeqtsvg::inheritanceList,
        __smokeqtsvg::argumentList,
        __smokeqtsvg::ambiguousMethodList,
        __smokeqtsvg::cast );
    initialized = true;
}

void delete_qtsvg_Smoke() { delete qtsvg_Smoke; }

}
